#include "tree_sitter/parser.h"

#if defined(__GNUC__) || defined(__clang__)
#pragma GCC diagnostic ignored "-Wmissing-field-initializers"
#endif

#define LANGUAGE_VERSION 14
#define STATE_COUNT 2742
#define LARGE_STATE_COUNT 591
#define SYMBOL_COUNT 430
#define ALIAS_COUNT 1
#define TOKEN_COUNT 195
#define EXTERNAL_TOKEN_COUNT 12
#define FIELD_COUNT 31
#define MAX_ALIAS_SEQUENCE_LENGTH 12
#define PRODUCTION_ID_COUNT 217

enum ts_symbol_identifiers {
  sym_name = 1,
  sym_php_tag = 2,
  anon_sym_QMARK_GT = 3,
  aux_sym_text_token1 = 4,
  aux_sym_text_token2 = 5,
  anon_sym_SEMI = 6,
  anon_sym_AMP = 7,
  aux_sym_function_static_declaration_token1 = 8,
  anon_sym_COMMA = 9,
  anon_sym_EQ = 10,
  aux_sym_global_declaration_token1 = 11,
  aux_sym_namespace_definition_token1 = 12,
  aux_sym_namespace_use_declaration_token1 = 13,
  aux_sym_namespace_use_clause_token1 = 14,
  aux_sym__namespace_use_type_token1 = 15,
  aux_sym__namespace_use_type_token2 = 16,
  anon_sym_BSLASH = 17,
  anon_sym_LBRACE = 18,
  anon_sym_RBRACE = 19,
  aux_sym_trait_declaration_token1 = 20,
  aux_sym_interface_declaration_token1 = 21,
  aux_sym_base_clause_token1 = 22,
  aux_sym_enum_declaration_token1 = 23,
  anon_sym_COLON = 24,
  anon_sym_string = 25,
  anon_sym_int = 26,
  aux_sym_enum_case_token1 = 27,
  aux_sym_class_declaration_token1 = 28,
  aux_sym_final_modifier_token1 = 29,
  aux_sym_abstract_modifier_token1 = 30,
  aux_sym_readonly_modifier_token1 = 31,
  aux_sym_class_interface_clause_token1 = 32,
  anon_sym_EQ_GT = 33,
  sym_var_modifier = 34,
  aux_sym_use_instead_of_clause_token1 = 35,
  aux_sym_visibility_modifier_token1 = 36,
  aux_sym_visibility_modifier_token2 = 37,
  aux_sym_visibility_modifier_token3 = 38,
  anon_sym_LPAREN = 39,
  anon_sym_RPAREN = 40,
  anon_sym_LPAREN2 = 41,
  anon_sym_RPAREN2 = 42,
  aux_sym__arrow_function_header_token1 = 43,
  anon_sym_DOT_DOT_DOT = 44,
  anon_sym_QMARK = 45,
  sym_bottom_type = 46,
  anon_sym_PIPE = 47,
  anon_sym_array = 48,
  aux_sym_primitive_type_token1 = 49,
  anon_sym_iterable = 50,
  anon_sym_bool = 51,
  anon_sym_float = 52,
  anon_sym_void = 53,
  anon_sym_mixed = 54,
  anon_sym_false = 55,
  anon_sym_null = 56,
  anon_sym_true = 57,
  aux_sym_cast_type_token1 = 58,
  aux_sym_cast_type_token2 = 59,
  aux_sym_cast_type_token3 = 60,
  aux_sym_cast_type_token4 = 61,
  aux_sym_cast_type_token5 = 62,
  aux_sym_cast_type_token6 = 63,
  aux_sym_cast_type_token7 = 64,
  aux_sym_cast_type_token8 = 65,
  aux_sym_cast_type_token9 = 66,
  aux_sym_cast_type_token10 = 67,
  aux_sym_cast_type_token11 = 68,
  aux_sym_cast_type_token12 = 69,
  aux_sym_echo_statement_token1 = 70,
  aux_sym_exit_statement_token1 = 71,
  anon_sym_unset = 72,
  aux_sym_declare_statement_token1 = 73,
  aux_sym_declare_statement_token2 = 74,
  anon_sym_ticks = 75,
  anon_sym_encoding = 76,
  anon_sym_strict_types = 77,
  sym_float = 78,
  aux_sym_try_statement_token1 = 79,
  aux_sym_catch_clause_token1 = 80,
  aux_sym_finally_clause_token1 = 81,
  aux_sym_goto_statement_token1 = 82,
  aux_sym_continue_statement_token1 = 83,
  aux_sym_break_statement_token1 = 84,
  sym_integer = 85,
  aux_sym_return_statement_token1 = 86,
  aux_sym_throw_expression_token1 = 87,
  aux_sym_while_statement_token1 = 88,
  aux_sym_while_statement_token2 = 89,
  aux_sym_do_statement_token1 = 90,
  aux_sym_for_statement_token1 = 91,
  aux_sym_for_statement_token2 = 92,
  aux_sym_foreach_statement_token1 = 93,
  aux_sym_foreach_statement_token2 = 94,
  aux_sym_if_statement_token1 = 95,
  aux_sym_if_statement_token2 = 96,
  aux_sym_else_if_clause_token1 = 97,
  aux_sym_else_clause_token1 = 98,
  aux_sym_match_expression_token1 = 99,
  aux_sym_match_default_expression_token1 = 100,
  aux_sym_switch_statement_token1 = 101,
  aux_sym_switch_block_token1 = 102,
  anon_sym_PLUS = 103,
  anon_sym_DASH = 104,
  anon_sym_TILDE = 105,
  anon_sym_BANG = 106,
  anon_sym_AT = 107,
  aux_sym_clone_expression_token1 = 108,
  anon_sym_COLON_COLON = 109,
  aux_sym_print_intrinsic_token1 = 110,
  aux_sym__new_non_dereferencable_expression_token1 = 111,
  anon_sym_DASH_DASH = 112,
  anon_sym_PLUS_PLUS = 113,
  anon_sym_STAR_STAR_EQ = 114,
  anon_sym_STAR_EQ = 115,
  anon_sym_SLASH_EQ = 116,
  anon_sym_PERCENT_EQ = 117,
  anon_sym_PLUS_EQ = 118,
  anon_sym_DASH_EQ = 119,
  anon_sym_DOT_EQ = 120,
  anon_sym_LT_LT_EQ = 121,
  anon_sym_GT_GT_EQ = 122,
  anon_sym_AMP_EQ = 123,
  anon_sym_CARET_EQ = 124,
  anon_sym_PIPE_EQ = 125,
  anon_sym_QMARK_QMARK_EQ = 126,
  anon_sym_DASH_GT = 127,
  anon_sym_QMARK_DASH_GT = 128,
  aux_sym__list_destructing_token1 = 129,
  anon_sym_LBRACK = 130,
  anon_sym_RBRACK = 131,
  anon_sym_self = 132,
  anon_sym_parent = 133,
  aux_sym__argument_name_token1 = 134,
  aux_sym__argument_name_token2 = 135,
  anon_sym_POUND_LBRACK = 136,
  sym_escape_sequence = 137,
  anon_sym_BSLASHu = 138,
  aux_sym_encapsed_string_token1 = 139,
  anon_sym_DQUOTE = 140,
  aux_sym_string_token1 = 141,
  anon_sym_SQUOTE = 142,
  aux_sym_string_token2 = 143,
  aux_sym_string_content_token1 = 144,
  anon_sym_LT_LT_LT = 145,
  anon_sym_DQUOTE2 = 146,
  sym__new_line = 147,
  anon_sym_SQUOTE2 = 148,
  anon_sym_BQUOTE = 149,
  anon_sym_DOLLAR = 150,
  aux_sym_yield_expression_token1 = 151,
  aux_sym_yield_expression_token2 = 152,
  aux_sym_binary_expression_token1 = 153,
  anon_sym_QMARK_QMARK = 154,
  anon_sym_STAR_STAR = 155,
  aux_sym_binary_expression_token2 = 156,
  aux_sym_binary_expression_token3 = 157,
  aux_sym_binary_expression_token4 = 158,
  anon_sym_PIPE_PIPE = 159,
  anon_sym_AMP_AMP = 160,
  anon_sym_CARET = 161,
  anon_sym_EQ_EQ = 162,
  anon_sym_BANG_EQ = 163,
  anon_sym_LT_GT = 164,
  anon_sym_EQ_EQ_EQ = 165,
  anon_sym_BANG_EQ_EQ = 166,
  anon_sym_LT = 167,
  anon_sym_GT = 168,
  anon_sym_LT_EQ = 169,
  anon_sym_GT_EQ = 170,
  anon_sym_LT_EQ_GT = 171,
  anon_sym_LT_LT = 172,
  anon_sym_GT_GT = 173,
  anon_sym_DOT = 174,
  anon_sym_STAR = 175,
  anon_sym_SLASH = 176,
  anon_sym_PERCENT = 177,
  aux_sym_include_expression_token1 = 178,
  aux_sym_include_once_expression_token1 = 179,
  aux_sym_require_expression_token1 = 180,
  aux_sym_require_once_expression_token1 = 181,
  sym_comment = 182,
  sym__automatic_semicolon = 183,
  sym_encapsed_string_chars = 184,
  sym_encapsed_string_chars_after_variable = 185,
  sym_execution_string_chars = 186,
  sym_execution_string_chars_after_variable = 187,
  sym_encapsed_string_chars_heredoc = 188,
  sym_encapsed_string_chars_after_variable_heredoc = 189,
  sym__eof = 190,
  sym_heredoc_start = 191,
  sym_heredoc_end = 192,
  sym_nowdoc_string = 193,
  sym_sentinel_error = 194,
  sym_program = 195,
  sym_text_interpolation = 196,
  sym_text = 197,
  sym_statement = 198,
  sym_empty_statement = 199,
  sym_reference_modifier = 200,
  sym_function_static_declaration = 201,
  sym_static_variable_declaration = 202,
  sym_global_declaration = 203,
  sym_namespace_definition = 204,
  sym_namespace_use_declaration = 205,
  sym_namespace_use_clause = 206,
  sym_qualified_name = 207,
  sym__name = 208,
  sym_namespace_name = 209,
  sym__namespace_use_group = 210,
  sym_namespace_use_group = 211,
  sym_trait_declaration = 212,
  sym_interface_declaration = 213,
  sym_base_clause = 214,
  sym_enum_declaration = 215,
  sym_enum_declaration_list = 216,
  sym__enum_member_declaration = 217,
  sym_enum_case = 218,
  sym_class_declaration = 219,
  sym_declaration_list = 220,
  sym_final_modifier = 221,
  sym_abstract_modifier = 222,
  sym_readonly_modifier = 223,
  sym_class_interface_clause = 224,
  sym__member_declaration = 225,
  sym_const_declaration = 226,
  sym__class_const_declaration = 227,
  sym__const_declaration = 228,
  sym_property_declaration = 229,
  sym__modifier = 230,
  sym_property_element = 231,
  sym_property_hook_list = 232,
  sym_property_hook = 233,
  sym__property_hook_body = 234,
  sym_method_declaration = 235,
  sym_static_modifier = 236,
  sym_use_declaration = 237,
  sym_use_list = 238,
  sym_use_instead_of_clause = 239,
  sym_use_as_clause = 240,
  sym_visibility_modifier = 241,
  sym_function_definition = 242,
  sym__function_definition_header = 243,
  sym_anonymous_function = 244,
  sym_anonymous_function_use_clause = 245,
  sym__anonymous_function_header = 246,
  sym__arrow_function_header = 247,
  sym_arrow_function = 248,
  sym_formal_parameters = 249,
  sym_property_promotion_parameter = 250,
  sym_simple_parameter = 251,
  sym_variadic_parameter = 252,
  sym_type = 253,
  sym__types = 254,
  sym_named_type = 255,
  sym_optional_type = 256,
  sym_union_type = 257,
  sym_intersection_type = 258,
  sym_disjunctive_normal_form_type = 259,
  sym_primitive_type = 260,
  sym_cast_type = 261,
  sym__return_type = 262,
  sym_const_element = 263,
  sym_echo_statement = 264,
  sym_exit_statement = 265,
  sym_unset_statement = 266,
  sym_declare_statement = 267,
  sym_declare_directive = 268,
  sym_literal = 269,
  sym_try_statement = 270,
  sym_catch_clause = 271,
  sym_type_list = 272,
  sym_finally_clause = 273,
  sym_goto_statement = 274,
  sym_continue_statement = 275,
  sym_break_statement = 276,
  sym_return_statement = 277,
  sym_throw_expression = 278,
  sym_while_statement = 279,
  sym_do_statement = 280,
  sym_for_statement = 281,
  sym__expressions = 282,
  sym_sequence_expression = 283,
  sym_foreach_statement = 284,
  sym_foreach_pair = 285,
  sym__foreach_value = 286,
  sym_if_statement = 287,
  sym_colon_block = 288,
  sym_else_if_clause = 289,
  sym_else_clause = 290,
  sym_else_if_clause_2 = 291,
  sym_else_clause_2 = 292,
  sym_match_expression = 293,
  sym_match_block = 294,
  sym_match_condition_list = 295,
  sym_match_conditional_expression = 296,
  sym_match_default_expression = 297,
  sym_switch_statement = 298,
  sym_switch_block = 299,
  sym_case_statement = 300,
  sym_default_statement = 301,
  sym_compound_statement = 302,
  sym_named_label_statement = 303,
  sym_expression_statement = 304,
  sym_expression = 305,
  sym__unary_expression = 306,
  sym_unary_op_expression = 307,
  sym_error_suppression_expression = 308,
  sym_clone_expression = 309,
  sym_primary_expression = 310,
  sym_parenthesized_expression = 311,
  sym_class_constant_access_expression = 312,
  sym_print_intrinsic = 313,
  sym_object_creation_expression = 314,
  sym__new_non_dereferencable_expression = 315,
  sym__new_dereferencable_expression = 316,
  sym__class_name_reference = 317,
  sym_anonymous_class = 318,
  sym_update_expression = 319,
  sym_cast_expression = 320,
  sym_cast_variable = 321,
  sym_assignment_expression = 322,
  sym_reference_assignment_expression = 323,
  sym_conditional_expression = 324,
  sym_augmented_assignment_expression = 325,
  sym__variable_member_access_expression = 326,
  sym_member_access_expression = 327,
  sym__variable_nullsafe_member_access_expression = 328,
  sym_nullsafe_member_access_expression = 329,
  sym__variable_scoped_property_access_expression = 330,
  sym_scoped_property_access_expression = 331,
  sym_list_literal = 332,
  sym__list_destructing = 333,
  sym__array_destructing = 334,
  sym__array_destructing_element = 335,
  sym_function_call_expression = 336,
  sym__callable_expression = 337,
  sym_scoped_call_expression = 338,
  sym__scope_resolution_qualifier = 339,
  sym_relative_scope = 340,
  sym_variadic_placeholder = 341,
  sym_arguments = 342,
  sym_argument = 343,
  sym__argument_name = 344,
  sym_member_call_expression = 345,
  sym_nullsafe_member_call_expression = 346,
  sym_variadic_unpacking = 347,
  sym__member_name = 348,
  sym__variable_subscript_expression = 349,
  sym__dereferencable_subscript_expression = 350,
  sym__dereferencable_expression = 351,
  sym__dereferencable_scalar = 352,
  sym_array_creation_expression = 353,
  sym_attribute_group = 354,
  sym_attribute_list = 355,
  sym_attribute = 356,
  sym__complex_string_part = 357,
  sym__simple_string_member_access_expression = 358,
  sym__simple_string_subscript_unary_expression = 359,
  sym__simple_string_array_access_argument = 360,
  sym__simple_string_subscript_expression = 361,
  sym__simple_string_part = 362,
  aux_sym__interpolated_string_body = 363,
  aux_sym__interpolated_string_body_heredoc = 364,
  sym_encapsed_string = 365,
  sym_string = 366,
  sym_string_content = 367,
  sym_heredoc_body = 368,
  sym_heredoc = 369,
  sym_nowdoc_body = 370,
  sym_nowdoc = 371,
  aux_sym__interpolated_execution_operator_body = 372,
  sym_shell_command_expression = 373,
  sym_boolean = 374,
  sym_null = 375,
  sym__string = 376,
  sym_dynamic_variable_name = 377,
  sym__simple_variable = 378,
  sym__new_variable = 379,
  sym__callable_variable = 380,
  sym_variable_name = 381,
  sym_by_ref = 382,
  sym_yield_expression = 383,
  sym_array_element_initializer = 384,
  sym_binary_expression = 385,
  sym_include_expression = 386,
  sym_include_once_expression = 387,
  sym_require_expression = 388,
  sym_require_once_expression = 389,
  sym__reserved_identifier = 390,
  sym__identifier = 391,
  sym__semicolon = 392,
  aux_sym_program_repeat1 = 393,
  aux_sym_text_repeat1 = 394,
  aux_sym_function_static_declaration_repeat1 = 395,
  aux_sym_global_declaration_repeat1 = 396,
  aux_sym_namespace_use_declaration_repeat1 = 397,
  aux_sym_namespace_name_repeat1 = 398,
  aux_sym_base_clause_repeat1 = 399,
  aux_sym_enum_declaration_list_repeat1 = 400,
  aux_sym_class_declaration_repeat1 = 401,
  aux_sym_declaration_list_repeat1 = 402,
  aux_sym__const_declaration_repeat1 = 403,
  aux_sym_property_declaration_repeat1 = 404,
  aux_sym_property_hook_list_repeat1 = 405,
  aux_sym_use_list_repeat1 = 406,
  aux_sym_anonymous_function_use_clause_repeat1 = 407,
  aux_sym_formal_parameters_repeat1 = 408,
  aux_sym_union_type_repeat1 = 409,
  aux_sym_intersection_type_repeat1 = 410,
  aux_sym_disjunctive_normal_form_type_repeat1 = 411,
  aux_sym_unset_statement_repeat1 = 412,
  aux_sym_try_statement_repeat1 = 413,
  aux_sym_type_list_repeat1 = 414,
  aux_sym_if_statement_repeat1 = 415,
  aux_sym_if_statement_repeat2 = 416,
  aux_sym_match_block_repeat1 = 417,
  aux_sym_match_condition_list_repeat1 = 418,
  aux_sym_switch_block_repeat1 = 419,
  aux_sym__list_destructing_repeat1 = 420,
  aux_sym__array_destructing_repeat1 = 421,
  aux_sym_arguments_repeat1 = 422,
  aux_sym_array_creation_expression_repeat1 = 423,
  aux_sym_attribute_group_repeat1 = 424,
  aux_sym_attribute_list_repeat1 = 425,
  aux_sym_string_repeat1 = 426,
  aux_sym_string_content_repeat1 = 427,
  aux_sym_heredoc_body_repeat1 = 428,
  aux_sym_nowdoc_body_repeat1 = 429,
  alias_sym_operation = 430,
};

static const char * const ts_symbol_names[] = {
  [ts_builtin_sym_end] = "end",
  [sym_name] = "name",
  [sym_php_tag] = "php_tag",
  [anon_sym_QMARK_GT] = "\?>",
  [aux_sym_text_token1] = "text_token1",
  [aux_sym_text_token2] = "text_token2",
  [anon_sym_SEMI] = ";",
  [anon_sym_AMP] = "&",
  [aux_sym_function_static_declaration_token1] = "static",
  [anon_sym_COMMA] = ",",
  [anon_sym_EQ] = "=",
  [aux_sym_global_declaration_token1] = "global",
  [aux_sym_namespace_definition_token1] = "namespace",
  [aux_sym_namespace_use_declaration_token1] = "use",
  [aux_sym_namespace_use_clause_token1] = "as",
  [aux_sym__namespace_use_type_token1] = "function",
  [aux_sym__namespace_use_type_token2] = "const",
  [anon_sym_BSLASH] = "\\",
  [anon_sym_LBRACE] = "{",
  [anon_sym_RBRACE] = "}",
  [aux_sym_trait_declaration_token1] = "trait",
  [aux_sym_interface_declaration_token1] = "interface",
  [aux_sym_base_clause_token1] = "extends",
  [aux_sym_enum_declaration_token1] = "enum",
  [anon_sym_COLON] = ":",
  [anon_sym_string] = "string",
  [anon_sym_int] = "int",
  [aux_sym_enum_case_token1] = "case",
  [aux_sym_class_declaration_token1] = "class",
  [aux_sym_final_modifier_token1] = "final",
  [aux_sym_abstract_modifier_token1] = "abstract",
  [aux_sym_readonly_modifier_token1] = "readonly",
  [aux_sym_class_interface_clause_token1] = "implements",
  [anon_sym_EQ_GT] = "=>",
  [sym_var_modifier] = "var_modifier",
  [aux_sym_use_instead_of_clause_token1] = "insteadof",
  [aux_sym_visibility_modifier_token1] = "public",
  [aux_sym_visibility_modifier_token2] = "protected",
  [aux_sym_visibility_modifier_token3] = "private",
  [anon_sym_LPAREN] = "(",
  [anon_sym_RPAREN] = ")",
  [anon_sym_LPAREN2] = "(",
  [anon_sym_RPAREN2] = ")",
  [aux_sym__arrow_function_header_token1] = "fn",
  [anon_sym_DOT_DOT_DOT] = "...",
  [anon_sym_QMARK] = "\?",
  [sym_bottom_type] = "bottom_type",
  [anon_sym_PIPE] = "|",
  [anon_sym_array] = "array",
  [aux_sym_primitive_type_token1] = "callable",
  [anon_sym_iterable] = "iterable",
  [anon_sym_bool] = "bool",
  [anon_sym_float] = "float",
  [anon_sym_void] = "void",
  [anon_sym_mixed] = "mixed",
  [anon_sym_false] = "false",
  [anon_sym_null] = "null",
  [anon_sym_true] = "true",
  [aux_sym_cast_type_token1] = "cast_type_token1",
  [aux_sym_cast_type_token2] = "cast_type_token2",
  [aux_sym_cast_type_token3] = "cast_type_token3",
  [aux_sym_cast_type_token4] = "cast_type_token4",
  [aux_sym_cast_type_token5] = "cast_type_token5",
  [aux_sym_cast_type_token6] = "cast_type_token6",
  [aux_sym_cast_type_token7] = "cast_type_token7",
  [aux_sym_cast_type_token8] = "cast_type_token8",
  [aux_sym_cast_type_token9] = "cast_type_token9",
  [aux_sym_cast_type_token10] = "cast_type_token10",
  [aux_sym_cast_type_token11] = "cast_type_token11",
  [aux_sym_cast_type_token12] = "cast_type_token12",
  [aux_sym_echo_statement_token1] = "echo",
  [aux_sym_exit_statement_token1] = "exit",
  [anon_sym_unset] = "unset",
  [aux_sym_declare_statement_token1] = "declare",
  [aux_sym_declare_statement_token2] = "enddeclare",
  [anon_sym_ticks] = "ticks",
  [anon_sym_encoding] = "encoding",
  [anon_sym_strict_types] = "strict_types",
  [sym_float] = "float",
  [aux_sym_try_statement_token1] = "try",
  [aux_sym_catch_clause_token1] = "catch",
  [aux_sym_finally_clause_token1] = "finally",
  [aux_sym_goto_statement_token1] = "goto",
  [aux_sym_continue_statement_token1] = "continue",
  [aux_sym_break_statement_token1] = "break",
  [sym_integer] = "integer",
  [aux_sym_return_statement_token1] = "return",
  [aux_sym_throw_expression_token1] = "throw",
  [aux_sym_while_statement_token1] = "while",
  [aux_sym_while_statement_token2] = "endwhile",
  [aux_sym_do_statement_token1] = "do",
  [aux_sym_for_statement_token1] = "for",
  [aux_sym_for_statement_token2] = "endfor",
  [aux_sym_foreach_statement_token1] = "foreach",
  [aux_sym_foreach_statement_token2] = "endforeach",
  [aux_sym_if_statement_token1] = "if",
  [aux_sym_if_statement_token2] = "endif",
  [aux_sym_else_if_clause_token1] = "elseif",
  [aux_sym_else_clause_token1] = "else",
  [aux_sym_match_expression_token1] = "match",
  [aux_sym_match_default_expression_token1] = "default",
  [aux_sym_switch_statement_token1] = "switch",
  [aux_sym_switch_block_token1] = "endswitch",
  [anon_sym_PLUS] = "+",
  [anon_sym_DASH] = "-",
  [anon_sym_TILDE] = "~",
  [anon_sym_BANG] = "!",
  [anon_sym_AT] = "@",
  [aux_sym_clone_expression_token1] = "clone",
  [anon_sym_COLON_COLON] = "::",
  [aux_sym_print_intrinsic_token1] = "print",
  [aux_sym__new_non_dereferencable_expression_token1] = "new",
  [anon_sym_DASH_DASH] = "--",
  [anon_sym_PLUS_PLUS] = "++",
  [anon_sym_STAR_STAR_EQ] = "**=",
  [anon_sym_STAR_EQ] = "*=",
  [anon_sym_SLASH_EQ] = "/=",
  [anon_sym_PERCENT_EQ] = "%=",
  [anon_sym_PLUS_EQ] = "+=",
  [anon_sym_DASH_EQ] = "-=",
  [anon_sym_DOT_EQ] = ".=",
  [anon_sym_LT_LT_EQ] = "<<=",
  [anon_sym_GT_GT_EQ] = ">>=",
  [anon_sym_AMP_EQ] = "&=",
  [anon_sym_CARET_EQ] = "^=",
  [anon_sym_PIPE_EQ] = "|=",
  [anon_sym_QMARK_QMARK_EQ] = "\?\?=",
  [anon_sym_DASH_GT] = "->",
  [anon_sym_QMARK_DASH_GT] = "\?->",
  [aux_sym__list_destructing_token1] = "list",
  [anon_sym_LBRACK] = "[",
  [anon_sym_RBRACK] = "]",
  [anon_sym_self] = "self",
  [anon_sym_parent] = "parent",
  [aux_sym__argument_name_token1] = "_argument_name_token1",
  [aux_sym__argument_name_token2] = "_argument_name_token2",
  [anon_sym_POUND_LBRACK] = "#[",
  [sym_escape_sequence] = "escape_sequence",
  [anon_sym_BSLASHu] = "string_content",
  [aux_sym_encapsed_string_token1] = "encapsed_string_token1",
  [anon_sym_DQUOTE] = "\"",
  [aux_sym_string_token1] = "string_token1",
  [anon_sym_SQUOTE] = "'",
  [aux_sym_string_token2] = "escape_sequence",
  [aux_sym_string_content_token1] = "string_content_token1",
  [anon_sym_LT_LT_LT] = "<<<",
  [anon_sym_DQUOTE2] = "\"",
  [sym__new_line] = "_new_line",
  [anon_sym_SQUOTE2] = "'",
  [anon_sym_BQUOTE] = "`",
  [anon_sym_DOLLAR] = "$",
  [aux_sym_yield_expression_token1] = "yield",
  [aux_sym_yield_expression_token2] = "from",
  [aux_sym_binary_expression_token1] = "instanceof",
  [anon_sym_QMARK_QMARK] = "\?\?",
  [anon_sym_STAR_STAR] = "**",
  [aux_sym_binary_expression_token2] = "and",
  [aux_sym_binary_expression_token3] = "or",
  [aux_sym_binary_expression_token4] = "xor",
  [anon_sym_PIPE_PIPE] = "||",
  [anon_sym_AMP_AMP] = "&&",
  [anon_sym_CARET] = "^",
  [anon_sym_EQ_EQ] = "==",
  [anon_sym_BANG_EQ] = "!=",
  [anon_sym_LT_GT] = "<>",
  [anon_sym_EQ_EQ_EQ] = "===",
  [anon_sym_BANG_EQ_EQ] = "!==",
  [anon_sym_LT] = "<",
  [anon_sym_GT] = ">",
  [anon_sym_LT_EQ] = "<=",
  [anon_sym_GT_EQ] = ">=",
  [anon_sym_LT_EQ_GT] = "<=>",
  [anon_sym_LT_LT] = "<<",
  [anon_sym_GT_GT] = ">>",
  [anon_sym_DOT] = ".",
  [anon_sym_STAR] = "*",
  [anon_sym_SLASH] = "/",
  [anon_sym_PERCENT] = "%",
  [aux_sym_include_expression_token1] = "include",
  [aux_sym_include_once_expression_token1] = "include_once",
  [aux_sym_require_expression_token1] = "require",
  [aux_sym_require_once_expression_token1] = "require_once",
  [sym_comment] = "comment",
  [sym__automatic_semicolon] = "_automatic_semicolon",
  [sym_encapsed_string_chars] = "string_content",
  [sym_encapsed_string_chars_after_variable] = "string_content",
  [sym_execution_string_chars] = "string_content",
  [sym_execution_string_chars_after_variable] = "string_content",
  [sym_encapsed_string_chars_heredoc] = "string_content",
  [sym_encapsed_string_chars_after_variable_heredoc] = "string_content",
  [sym__eof] = "_eof",
  [sym_heredoc_start] = "heredoc_start",
  [sym_heredoc_end] = "heredoc_end",
  [sym_nowdoc_string] = "nowdoc_string",
  [sym_sentinel_error] = "sentinel_error",
  [sym_program] = "program",
  [sym_text_interpolation] = "text_interpolation",
  [sym_text] = "text",
  [sym_statement] = "statement",
  [sym_empty_statement] = "empty_statement",
  [sym_reference_modifier] = "reference_modifier",
  [sym_function_static_declaration] = "function_static_declaration",
  [sym_static_variable_declaration] = "static_variable_declaration",
  [sym_global_declaration] = "global_declaration",
  [sym_namespace_definition] = "namespace_definition",
  [sym_namespace_use_declaration] = "namespace_use_declaration",
  [sym_namespace_use_clause] = "namespace_use_clause",
  [sym_qualified_name] = "qualified_name",
  [sym__name] = "_name",
  [sym_namespace_name] = "namespace_name",
  [sym__namespace_use_group] = "_namespace_use_group",
  [sym_namespace_use_group] = "namespace_use_group",
  [sym_trait_declaration] = "trait_declaration",
  [sym_interface_declaration] = "interface_declaration",
  [sym_base_clause] = "base_clause",
  [sym_enum_declaration] = "enum_declaration",
  [sym_enum_declaration_list] = "enum_declaration_list",
  [sym__enum_member_declaration] = "_enum_member_declaration",
  [sym_enum_case] = "enum_case",
  [sym_class_declaration] = "class_declaration",
  [sym_declaration_list] = "declaration_list",
  [sym_final_modifier] = "final_modifier",
  [sym_abstract_modifier] = "abstract_modifier",
  [sym_readonly_modifier] = "readonly_modifier",
  [sym_class_interface_clause] = "class_interface_clause",
  [sym__member_declaration] = "_member_declaration",
  [sym_const_declaration] = "const_declaration",
  [sym__class_const_declaration] = "const_declaration",
  [sym__const_declaration] = "_const_declaration",
  [sym_property_declaration] = "property_declaration",
  [sym__modifier] = "_modifier",
  [sym_property_element] = "property_element",
  [sym_property_hook_list] = "property_hook_list",
  [sym_property_hook] = "property_hook",
  [sym__property_hook_body] = "_property_hook_body",
  [sym_method_declaration] = "method_declaration",
  [sym_static_modifier] = "static_modifier",
  [sym_use_declaration] = "use_declaration",
  [sym_use_list] = "use_list",
  [sym_use_instead_of_clause] = "use_instead_of_clause",
  [sym_use_as_clause] = "use_as_clause",
  [sym_visibility_modifier] = "visibility_modifier",
  [sym_function_definition] = "function_definition",
  [sym__function_definition_header] = "_function_definition_header",
  [sym_anonymous_function] = "anonymous_function",
  [sym_anonymous_function_use_clause] = "anonymous_function_use_clause",
  [sym__anonymous_function_header] = "_anonymous_function_header",
  [sym__arrow_function_header] = "_arrow_function_header",
  [sym_arrow_function] = "arrow_function",
  [sym_formal_parameters] = "formal_parameters",
  [sym_property_promotion_parameter] = "property_promotion_parameter",
  [sym_simple_parameter] = "simple_parameter",
  [sym_variadic_parameter] = "variadic_parameter",
  [sym_type] = "type",
  [sym__types] = "_types",
  [sym_named_type] = "named_type",
  [sym_optional_type] = "optional_type",
  [sym_union_type] = "union_type",
  [sym_intersection_type] = "intersection_type",
  [sym_disjunctive_normal_form_type] = "disjunctive_normal_form_type",
  [sym_primitive_type] = "primitive_type",
  [sym_cast_type] = "cast_type",
  [sym__return_type] = "_return_type",
  [sym_const_element] = "const_element",
  [sym_echo_statement] = "echo_statement",
  [sym_exit_statement] = "exit_statement",
  [sym_unset_statement] = "unset_statement",
  [sym_declare_statement] = "declare_statement",
  [sym_declare_directive] = "declare_directive",
  [sym_literal] = "literal",
  [sym_try_statement] = "try_statement",
  [sym_catch_clause] = "catch_clause",
  [sym_type_list] = "type_list",
  [sym_finally_clause] = "finally_clause",
  [sym_goto_statement] = "goto_statement",
  [sym_continue_statement] = "continue_statement",
  [sym_break_statement] = "break_statement",
  [sym_return_statement] = "return_statement",
  [sym_throw_expression] = "throw_expression",
  [sym_while_statement] = "while_statement",
  [sym_do_statement] = "do_statement",
  [sym_for_statement] = "for_statement",
  [sym__expressions] = "_expressions",
  [sym_sequence_expression] = "sequence_expression",
  [sym_foreach_statement] = "foreach_statement",
  [sym_foreach_pair] = "pair",
  [sym__foreach_value] = "_foreach_value",
  [sym_if_statement] = "if_statement",
  [sym_colon_block] = "colon_block",
  [sym_else_if_clause] = "else_if_clause",
  [sym_else_clause] = "else_clause",
  [sym_else_if_clause_2] = "else_if_clause",
  [sym_else_clause_2] = "else_clause",
  [sym_match_expression] = "match_expression",
  [sym_match_block] = "match_block",
  [sym_match_condition_list] = "match_condition_list",
  [sym_match_conditional_expression] = "match_conditional_expression",
  [sym_match_default_expression] = "match_default_expression",
  [sym_switch_statement] = "switch_statement",
  [sym_switch_block] = "switch_block",
  [sym_case_statement] = "case_statement",
  [sym_default_statement] = "default_statement",
  [sym_compound_statement] = "compound_statement",
  [sym_named_label_statement] = "named_label_statement",
  [sym_expression_statement] = "expression_statement",
  [sym_expression] = "expression",
  [sym__unary_expression] = "_unary_expression",
  [sym_unary_op_expression] = "unary_op_expression",
  [sym_error_suppression_expression] = "error_suppression_expression",
  [sym_clone_expression] = "clone_expression",
  [sym_primary_expression] = "primary_expression",
  [sym_parenthesized_expression] = "parenthesized_expression",
  [sym_class_constant_access_expression] = "class_constant_access_expression",
  [sym_print_intrinsic] = "print_intrinsic",
  [sym_object_creation_expression] = "object_creation_expression",
  [sym__new_non_dereferencable_expression] = "_new_non_dereferencable_expression",
  [sym__new_dereferencable_expression] = "_new_dereferencable_expression",
  [sym__class_name_reference] = "_class_name_reference",
  [sym_anonymous_class] = "anonymous_class",
  [sym_update_expression] = "update_expression",
  [sym_cast_expression] = "cast_expression",
  [sym_cast_variable] = "cast_expression",
  [sym_assignment_expression] = "assignment_expression",
  [sym_reference_assignment_expression] = "reference_assignment_expression",
  [sym_conditional_expression] = "conditional_expression",
  [sym_augmented_assignment_expression] = "augmented_assignment_expression",
  [sym__variable_member_access_expression] = "member_access_expression",
  [sym_member_access_expression] = "member_access_expression",
  [sym__variable_nullsafe_member_access_expression] = "nullsafe_member_access_expression",
  [sym_nullsafe_member_access_expression] = "nullsafe_member_access_expression",
  [sym__variable_scoped_property_access_expression] = "scoped_property_access_expression",
  [sym_scoped_property_access_expression] = "scoped_property_access_expression",
  [sym_list_literal] = "list_literal",
  [sym__list_destructing] = "_list_destructing",
  [sym__array_destructing] = "_array_destructing",
  [sym__array_destructing_element] = "_array_destructing_element",
  [sym_function_call_expression] = "function_call_expression",
  [sym__callable_expression] = "_callable_expression",
  [sym_scoped_call_expression] = "scoped_call_expression",
  [sym__scope_resolution_qualifier] = "_scope_resolution_qualifier",
  [sym_relative_scope] = "relative_scope",
  [sym_variadic_placeholder] = "variadic_placeholder",
  [sym_arguments] = "arguments",
  [sym_argument] = "argument",
  [sym__argument_name] = "_argument_name",
  [sym_member_call_expression] = "member_call_expression",
  [sym_nullsafe_member_call_expression] = "nullsafe_member_call_expression",
  [sym_variadic_unpacking] = "variadic_unpacking",
  [sym__member_name] = "_member_name",
  [sym__variable_subscript_expression] = "subscript_expression",
  [sym__dereferencable_subscript_expression] = "subscript_expression",
  [sym__dereferencable_expression] = "_dereferencable_expression",
  [sym__dereferencable_scalar] = "_dereferencable_scalar",
  [sym_array_creation_expression] = "array_creation_expression",
  [sym_attribute_group] = "attribute_group",
  [sym_attribute_list] = "attribute_list",
  [sym_attribute] = "attribute",
  [sym__complex_string_part] = "_complex_string_part",
  [sym__simple_string_member_access_expression] = "member_access_expression",
  [sym__simple_string_subscript_unary_expression] = "unary_op_expression",
  [sym__simple_string_array_access_argument] = "_simple_string_array_access_argument",
  [sym__simple_string_subscript_expression] = "subscript_expression",
  [sym__simple_string_part] = "_simple_string_part",
  [aux_sym__interpolated_string_body] = "_interpolated_string_body",
  [aux_sym__interpolated_string_body_heredoc] = "_interpolated_string_body_heredoc",
  [sym_encapsed_string] = "encapsed_string",
  [sym_string] = "string",
  [sym_string_content] = "string_content",
  [sym_heredoc_body] = "heredoc_body",
  [sym_heredoc] = "heredoc",
  [sym_nowdoc_body] = "nowdoc_body",
  [sym_nowdoc] = "nowdoc",
  [aux_sym__interpolated_execution_operator_body] = "_interpolated_execution_operator_body",
  [sym_shell_command_expression] = "shell_command_expression",
  [sym_boolean] = "boolean",
  [sym_null] = "null",
  [sym__string] = "_string",
  [sym_dynamic_variable_name] = "dynamic_variable_name",
  [sym__simple_variable] = "_simple_variable",
  [sym__new_variable] = "_new_variable",
  [sym__callable_variable] = "_callable_variable",
  [sym_variable_name] = "variable_name",
  [sym_by_ref] = "by_ref",
  [sym_yield_expression] = "yield_expression",
  [sym_array_element_initializer] = "array_element_initializer",
  [sym_binary_expression] = "binary_expression",
  [sym_include_expression] = "include_expression",
  [sym_include_once_expression] = "include_once_expression",
  [sym_require_expression] = "require_expression",
  [sym_require_once_expression] = "require_once_expression",
  [sym__reserved_identifier] = "name",
  [sym__identifier] = "_identifier",
  [sym__semicolon] = "_semicolon",
  [aux_sym_program_repeat1] = "program_repeat1",
  [aux_sym_text_repeat1] = "text_repeat1",
  [aux_sym_function_static_declaration_repeat1] = "function_static_declaration_repeat1",
  [aux_sym_global_declaration_repeat1] = "global_declaration_repeat1",
  [aux_sym_namespace_use_declaration_repeat1] = "namespace_use_declaration_repeat1",
  [aux_sym_namespace_name_repeat1] = "namespace_name_repeat1",
  [aux_sym_base_clause_repeat1] = "base_clause_repeat1",
  [aux_sym_enum_declaration_list_repeat1] = "enum_declaration_list_repeat1",
  [aux_sym_class_declaration_repeat1] = "class_declaration_repeat1",
  [aux_sym_declaration_list_repeat1] = "declaration_list_repeat1",
  [aux_sym__const_declaration_repeat1] = "_const_declaration_repeat1",
  [aux_sym_property_declaration_repeat1] = "property_declaration_repeat1",
  [aux_sym_property_hook_list_repeat1] = "property_hook_list_repeat1",
  [aux_sym_use_list_repeat1] = "use_list_repeat1",
  [aux_sym_anonymous_function_use_clause_repeat1] = "anonymous_function_use_clause_repeat1",
  [aux_sym_formal_parameters_repeat1] = "formal_parameters_repeat1",
  [aux_sym_union_type_repeat1] = "union_type_repeat1",
  [aux_sym_intersection_type_repeat1] = "intersection_type_repeat1",
  [aux_sym_disjunctive_normal_form_type_repeat1] = "disjunctive_normal_form_type_repeat1",
  [aux_sym_unset_statement_repeat1] = "unset_statement_repeat1",
  [aux_sym_try_statement_repeat1] = "try_statement_repeat1",
  [aux_sym_type_list_repeat1] = "type_list_repeat1",
  [aux_sym_if_statement_repeat1] = "if_statement_repeat1",
  [aux_sym_if_statement_repeat2] = "if_statement_repeat2",
  [aux_sym_match_block_repeat1] = "match_block_repeat1",
  [aux_sym_match_condition_list_repeat1] = "match_condition_list_repeat1",
  [aux_sym_switch_block_repeat1] = "switch_block_repeat1",
  [aux_sym__list_destructing_repeat1] = "_list_destructing_repeat1",
  [aux_sym__array_destructing_repeat1] = "_array_destructing_repeat1",
  [aux_sym_arguments_repeat1] = "arguments_repeat1",
  [aux_sym_array_creation_expression_repeat1] = "array_creation_expression_repeat1",
  [aux_sym_attribute_group_repeat1] = "attribute_group_repeat1",
  [aux_sym_attribute_list_repeat1] = "attribute_list_repeat1",
  [aux_sym_string_repeat1] = "string_repeat1",
  [aux_sym_string_content_repeat1] = "string_content_repeat1",
  [aux_sym_heredoc_body_repeat1] = "heredoc_body_repeat1",
  [aux_sym_nowdoc_body_repeat1] = "nowdoc_body_repeat1",
  [alias_sym_operation] = "operation",
};

static const TSSymbol ts_symbol_map[] = {
  [ts_builtin_sym_end] = ts_builtin_sym_end,
  [sym_name] = sym_name,
  [sym_php_tag] = sym_php_tag,
  [anon_sym_QMARK_GT] = anon_sym_QMARK_GT,
  [aux_sym_text_token1] = aux_sym_text_token1,
  [aux_sym_text_token2] = aux_sym_text_token2,
  [anon_sym_SEMI] = anon_sym_SEMI,
  [anon_sym_AMP] = anon_sym_AMP,
  [aux_sym_function_static_declaration_token1] = aux_sym_function_static_declaration_token1,
  [anon_sym_COMMA] = anon_sym_COMMA,
  [anon_sym_EQ] = anon_sym_EQ,
  [aux_sym_global_declaration_token1] = aux_sym_global_declaration_token1,
  [aux_sym_namespace_definition_token1] = aux_sym_namespace_definition_token1,
  [aux_sym_namespace_use_declaration_token1] = aux_sym_namespace_use_declaration_token1,
  [aux_sym_namespace_use_clause_token1] = aux_sym_namespace_use_clause_token1,
  [aux_sym__namespace_use_type_token1] = aux_sym__namespace_use_type_token1,
  [aux_sym__namespace_use_type_token2] = aux_sym__namespace_use_type_token2,
  [anon_sym_BSLASH] = anon_sym_BSLASH,
  [anon_sym_LBRACE] = anon_sym_LBRACE,
  [anon_sym_RBRACE] = anon_sym_RBRACE,
  [aux_sym_trait_declaration_token1] = aux_sym_trait_declaration_token1,
  [aux_sym_interface_declaration_token1] = aux_sym_interface_declaration_token1,
  [aux_sym_base_clause_token1] = aux_sym_base_clause_token1,
  [aux_sym_enum_declaration_token1] = aux_sym_enum_declaration_token1,
  [anon_sym_COLON] = anon_sym_COLON,
  [anon_sym_string] = anon_sym_string,
  [anon_sym_int] = anon_sym_int,
  [aux_sym_enum_case_token1] = aux_sym_enum_case_token1,
  [aux_sym_class_declaration_token1] = aux_sym_class_declaration_token1,
  [aux_sym_final_modifier_token1] = aux_sym_final_modifier_token1,
  [aux_sym_abstract_modifier_token1] = aux_sym_abstract_modifier_token1,
  [aux_sym_readonly_modifier_token1] = aux_sym_readonly_modifier_token1,
  [aux_sym_class_interface_clause_token1] = aux_sym_class_interface_clause_token1,
  [anon_sym_EQ_GT] = anon_sym_EQ_GT,
  [sym_var_modifier] = sym_var_modifier,
  [aux_sym_use_instead_of_clause_token1] = aux_sym_use_instead_of_clause_token1,
  [aux_sym_visibility_modifier_token1] = aux_sym_visibility_modifier_token1,
  [aux_sym_visibility_modifier_token2] = aux_sym_visibility_modifier_token2,
  [aux_sym_visibility_modifier_token3] = aux_sym_visibility_modifier_token3,
  [anon_sym_LPAREN] = anon_sym_LPAREN,
  [anon_sym_RPAREN] = anon_sym_RPAREN,
  [anon_sym_LPAREN2] = anon_sym_LPAREN,
  [anon_sym_RPAREN2] = anon_sym_RPAREN,
  [aux_sym__arrow_function_header_token1] = aux_sym__arrow_function_header_token1,
  [anon_sym_DOT_DOT_DOT] = anon_sym_DOT_DOT_DOT,
  [anon_sym_QMARK] = anon_sym_QMARK,
  [sym_bottom_type] = sym_bottom_type,
  [anon_sym_PIPE] = anon_sym_PIPE,
  [anon_sym_array] = anon_sym_array,
  [aux_sym_primitive_type_token1] = aux_sym_primitive_type_token1,
  [anon_sym_iterable] = anon_sym_iterable,
  [anon_sym_bool] = anon_sym_bool,
  [anon_sym_float] = anon_sym_float,
  [anon_sym_void] = anon_sym_void,
  [anon_sym_mixed] = anon_sym_mixed,
  [anon_sym_false] = anon_sym_false,
  [anon_sym_null] = anon_sym_null,
  [anon_sym_true] = anon_sym_true,
  [aux_sym_cast_type_token1] = aux_sym_cast_type_token1,
  [aux_sym_cast_type_token2] = aux_sym_cast_type_token2,
  [aux_sym_cast_type_token3] = aux_sym_cast_type_token3,
  [aux_sym_cast_type_token4] = aux_sym_cast_type_token4,
  [aux_sym_cast_type_token5] = aux_sym_cast_type_token5,
  [aux_sym_cast_type_token6] = aux_sym_cast_type_token6,
  [aux_sym_cast_type_token7] = aux_sym_cast_type_token7,
  [aux_sym_cast_type_token8] = aux_sym_cast_type_token8,
  [aux_sym_cast_type_token9] = aux_sym_cast_type_token9,
  [aux_sym_cast_type_token10] = aux_sym_cast_type_token10,
  [aux_sym_cast_type_token11] = aux_sym_cast_type_token11,
  [aux_sym_cast_type_token12] = aux_sym_cast_type_token12,
  [aux_sym_echo_statement_token1] = aux_sym_echo_statement_token1,
  [aux_sym_exit_statement_token1] = aux_sym_exit_statement_token1,
  [anon_sym_unset] = anon_sym_unset,
  [aux_sym_declare_statement_token1] = aux_sym_declare_statement_token1,
  [aux_sym_declare_statement_token2] = aux_sym_declare_statement_token2,
  [anon_sym_ticks] = anon_sym_ticks,
  [anon_sym_encoding] = anon_sym_encoding,
  [anon_sym_strict_types] = anon_sym_strict_types,
  [sym_float] = sym_float,
  [aux_sym_try_statement_token1] = aux_sym_try_statement_token1,
  [aux_sym_catch_clause_token1] = aux_sym_catch_clause_token1,
  [aux_sym_finally_clause_token1] = aux_sym_finally_clause_token1,
  [aux_sym_goto_statement_token1] = aux_sym_goto_statement_token1,
  [aux_sym_continue_statement_token1] = aux_sym_continue_statement_token1,
  [aux_sym_break_statement_token1] = aux_sym_break_statement_token1,
  [sym_integer] = sym_integer,
  [aux_sym_return_statement_token1] = aux_sym_return_statement_token1,
  [aux_sym_throw_expression_token1] = aux_sym_throw_expression_token1,
  [aux_sym_while_statement_token1] = aux_sym_while_statement_token1,
  [aux_sym_while_statement_token2] = aux_sym_while_statement_token2,
  [aux_sym_do_statement_token1] = aux_sym_do_statement_token1,
  [aux_sym_for_statement_token1] = aux_sym_for_statement_token1,
  [aux_sym_for_statement_token2] = aux_sym_for_statement_token2,
  [aux_sym_foreach_statement_token1] = aux_sym_foreach_statement_token1,
  [aux_sym_foreach_statement_token2] = aux_sym_foreach_statement_token2,
  [aux_sym_if_statement_token1] = aux_sym_if_statement_token1,
  [aux_sym_if_statement_token2] = aux_sym_if_statement_token2,
  [aux_sym_else_if_clause_token1] = aux_sym_else_if_clause_token1,
  [aux_sym_else_clause_token1] = aux_sym_else_clause_token1,
  [aux_sym_match_expression_token1] = aux_sym_match_expression_token1,
  [aux_sym_match_default_expression_token1] = aux_sym_match_default_expression_token1,
  [aux_sym_switch_statement_token1] = aux_sym_switch_statement_token1,
  [aux_sym_switch_block_token1] = aux_sym_switch_block_token1,
  [anon_sym_PLUS] = anon_sym_PLUS,
  [anon_sym_DASH] = anon_sym_DASH,
  [anon_sym_TILDE] = anon_sym_TILDE,
  [anon_sym_BANG] = anon_sym_BANG,
  [anon_sym_AT] = anon_sym_AT,
  [aux_sym_clone_expression_token1] = aux_sym_clone_expression_token1,
  [anon_sym_COLON_COLON] = anon_sym_COLON_COLON,
  [aux_sym_print_intrinsic_token1] = aux_sym_print_intrinsic_token1,
  [aux_sym__new_non_dereferencable_expression_token1] = aux_sym__new_non_dereferencable_expression_token1,
  [anon_sym_DASH_DASH] = anon_sym_DASH_DASH,
  [anon_sym_PLUS_PLUS] = anon_sym_PLUS_PLUS,
  [anon_sym_STAR_STAR_EQ] = anon_sym_STAR_STAR_EQ,
  [anon_sym_STAR_EQ] = anon_sym_STAR_EQ,
  [anon_sym_SLASH_EQ] = anon_sym_SLASH_EQ,
  [anon_sym_PERCENT_EQ] = anon_sym_PERCENT_EQ,
  [anon_sym_PLUS_EQ] = anon_sym_PLUS_EQ,
  [anon_sym_DASH_EQ] = anon_sym_DASH_EQ,
  [anon_sym_DOT_EQ] = anon_sym_DOT_EQ,
  [anon_sym_LT_LT_EQ] = anon_sym_LT_LT_EQ,
  [anon_sym_GT_GT_EQ] = anon_sym_GT_GT_EQ,
  [anon_sym_AMP_EQ] = anon_sym_AMP_EQ,
  [anon_sym_CARET_EQ] = anon_sym_CARET_EQ,
  [anon_sym_PIPE_EQ] = anon_sym_PIPE_EQ,
  [anon_sym_QMARK_QMARK_EQ] = anon_sym_QMARK_QMARK_EQ,
  [anon_sym_DASH_GT] = anon_sym_DASH_GT,
  [anon_sym_QMARK_DASH_GT] = anon_sym_QMARK_DASH_GT,
  [aux_sym__list_destructing_token1] = aux_sym__list_destructing_token1,
  [anon_sym_LBRACK] = anon_sym_LBRACK,
  [anon_sym_RBRACK] = anon_sym_RBRACK,
  [anon_sym_self] = anon_sym_self,
  [anon_sym_parent] = anon_sym_parent,
  [aux_sym__argument_name_token1] = aux_sym__argument_name_token1,
  [aux_sym__argument_name_token2] = aux_sym__argument_name_token2,
  [anon_sym_POUND_LBRACK] = anon_sym_POUND_LBRACK,
  [sym_escape_sequence] = sym_escape_sequence,
  [anon_sym_BSLASHu] = sym_string_content,
  [aux_sym_encapsed_string_token1] = aux_sym_encapsed_string_token1,
  [anon_sym_DQUOTE] = anon_sym_DQUOTE,
  [aux_sym_string_token1] = aux_sym_string_token1,
  [anon_sym_SQUOTE] = anon_sym_SQUOTE,
  [aux_sym_string_token2] = sym_escape_sequence,
  [aux_sym_string_content_token1] = aux_sym_string_content_token1,
  [anon_sym_LT_LT_LT] = anon_sym_LT_LT_LT,
  [anon_sym_DQUOTE2] = anon_sym_DQUOTE,
  [sym__new_line] = sym__new_line,
  [anon_sym_SQUOTE2] = anon_sym_SQUOTE,
  [anon_sym_BQUOTE] = anon_sym_BQUOTE,
  [anon_sym_DOLLAR] = anon_sym_DOLLAR,
  [aux_sym_yield_expression_token1] = aux_sym_yield_expression_token1,
  [aux_sym_yield_expression_token2] = aux_sym_yield_expression_token2,
  [aux_sym_binary_expression_token1] = aux_sym_binary_expression_token1,
  [anon_sym_QMARK_QMARK] = anon_sym_QMARK_QMARK,
  [anon_sym_STAR_STAR] = anon_sym_STAR_STAR,
  [aux_sym_binary_expression_token2] = aux_sym_binary_expression_token2,
  [aux_sym_binary_expression_token3] = aux_sym_binary_expression_token3,
  [aux_sym_binary_expression_token4] = aux_sym_binary_expression_token4,
  [anon_sym_PIPE_PIPE] = anon_sym_PIPE_PIPE,
  [anon_sym_AMP_AMP] = anon_sym_AMP_AMP,
  [anon_sym_CARET] = anon_sym_CARET,
  [anon_sym_EQ_EQ] = anon_sym_EQ_EQ,
  [anon_sym_BANG_EQ] = anon_sym_BANG_EQ,
  [anon_sym_LT_GT] = anon_sym_LT_GT,
  [anon_sym_EQ_EQ_EQ] = anon_sym_EQ_EQ_EQ,
  [anon_sym_BANG_EQ_EQ] = anon_sym_BANG_EQ_EQ,
  [anon_sym_LT] = anon_sym_LT,
  [anon_sym_GT] = anon_sym_GT,
  [anon_sym_LT_EQ] = anon_sym_LT_EQ,
  [anon_sym_GT_EQ] = anon_sym_GT_EQ,
  [anon_sym_LT_EQ_GT] = anon_sym_LT_EQ_GT,
  [anon_sym_LT_LT] = anon_sym_LT_LT,
  [anon_sym_GT_GT] = anon_sym_GT_GT,
  [anon_sym_DOT] = anon_sym_DOT,
  [anon_sym_STAR] = anon_sym_STAR,
  [anon_sym_SLASH] = anon_sym_SLASH,
  [anon_sym_PERCENT] = anon_sym_PERCENT,
  [aux_sym_include_expression_token1] = aux_sym_include_expression_token1,
  [aux_sym_include_once_expression_token1] = aux_sym_include_once_expression_token1,
  [aux_sym_require_expression_token1] = aux_sym_require_expression_token1,
  [aux_sym_require_once_expression_token1] = aux_sym_require_once_expression_token1,
  [sym_comment] = sym_comment,
  [sym__automatic_semicolon] = sym__automatic_semicolon,
  [sym_encapsed_string_chars] = sym_string_content,
  [sym_encapsed_string_chars_after_variable] = sym_string_content,
  [sym_execution_string_chars] = sym_string_content,
  [sym_execution_string_chars_after_variable] = sym_string_content,
  [sym_encapsed_string_chars_heredoc] = sym_string_content,
  [sym_encapsed_string_chars_after_variable_heredoc] = sym_string_content,
  [sym__eof] = sym__eof,
  [sym_heredoc_start] = sym_heredoc_start,
  [sym_heredoc_end] = sym_heredoc_end,
  [sym_nowdoc_string] = sym_nowdoc_string,
  [sym_sentinel_error] = sym_sentinel_error,
  [sym_program] = sym_program,
  [sym_text_interpolation] = sym_text_interpolation,
  [sym_text] = sym_text,
  [sym_statement] = sym_statement,
  [sym_empty_statement] = sym_empty_statement,
  [sym_reference_modifier] = sym_reference_modifier,
  [sym_function_static_declaration] = sym_function_static_declaration,
  [sym_static_variable_declaration] = sym_static_variable_declaration,
  [sym_global_declaration] = sym_global_declaration,
  [sym_namespace_definition] = sym_namespace_definition,
  [sym_namespace_use_declaration] = sym_namespace_use_declaration,
  [sym_namespace_use_clause] = sym_namespace_use_clause,
  [sym_qualified_name] = sym_qualified_name,
  [sym__name] = sym__name,
  [sym_namespace_name] = sym_namespace_name,
  [sym__namespace_use_group] = sym__namespace_use_group,
  [sym_namespace_use_group] = sym_namespace_use_group,
  [sym_trait_declaration] = sym_trait_declaration,
  [sym_interface_declaration] = sym_interface_declaration,
  [sym_base_clause] = sym_base_clause,
  [sym_enum_declaration] = sym_enum_declaration,
  [sym_enum_declaration_list] = sym_enum_declaration_list,
  [sym__enum_member_declaration] = sym__enum_member_declaration,
  [sym_enum_case] = sym_enum_case,
  [sym_class_declaration] = sym_class_declaration,
  [sym_declaration_list] = sym_declaration_list,
  [sym_final_modifier] = sym_final_modifier,
  [sym_abstract_modifier] = sym_abstract_modifier,
  [sym_readonly_modifier] = sym_readonly_modifier,
  [sym_class_interface_clause] = sym_class_interface_clause,
  [sym__member_declaration] = sym__member_declaration,
  [sym_const_declaration] = sym_const_declaration,
  [sym__class_const_declaration] = sym_const_declaration,
  [sym__const_declaration] = sym__const_declaration,
  [sym_property_declaration] = sym_property_declaration,
  [sym__modifier] = sym__modifier,
  [sym_property_element] = sym_property_element,
  [sym_property_hook_list] = sym_property_hook_list,
  [sym_property_hook] = sym_property_hook,
  [sym__property_hook_body] = sym__property_hook_body,
  [sym_method_declaration] = sym_method_declaration,
  [sym_static_modifier] = sym_static_modifier,
  [sym_use_declaration] = sym_use_declaration,
  [sym_use_list] = sym_use_list,
  [sym_use_instead_of_clause] = sym_use_instead_of_clause,
  [sym_use_as_clause] = sym_use_as_clause,
  [sym_visibility_modifier] = sym_visibility_modifier,
  [sym_function_definition] = sym_function_definition,
  [sym__function_definition_header] = sym__function_definition_header,
  [sym_anonymous_function] = sym_anonymous_function,
  [sym_anonymous_function_use_clause] = sym_anonymous_function_use_clause,
  [sym__anonymous_function_header] = sym__anonymous_function_header,
  [sym__arrow_function_header] = sym__arrow_function_header,
  [sym_arrow_function] = sym_arrow_function,
  [sym_formal_parameters] = sym_formal_parameters,
  [sym_property_promotion_parameter] = sym_property_promotion_parameter,
  [sym_simple_parameter] = sym_simple_parameter,
  [sym_variadic_parameter] = sym_variadic_parameter,
  [sym_type] = sym_type,
  [sym__types] = sym__types,
  [sym_named_type] = sym_named_type,
  [sym_optional_type] = sym_optional_type,
  [sym_union_type] = sym_union_type,
  [sym_intersection_type] = sym_intersection_type,
  [sym_disjunctive_normal_form_type] = sym_disjunctive_normal_form_type,
  [sym_primitive_type] = sym_primitive_type,
  [sym_cast_type] = sym_cast_type,
  [sym__return_type] = sym__return_type,
  [sym_const_element] = sym_const_element,
  [sym_echo_statement] = sym_echo_statement,
  [sym_exit_statement] = sym_exit_statement,
  [sym_unset_statement] = sym_unset_statement,
  [sym_declare_statement] = sym_declare_statement,
  [sym_declare_directive] = sym_declare_directive,
  [sym_literal] = sym_literal,
  [sym_try_statement] = sym_try_statement,
  [sym_catch_clause] = sym_catch_clause,
  [sym_type_list] = sym_type_list,
  [sym_finally_clause] = sym_finally_clause,
  [sym_goto_statement] = sym_goto_statement,
  [sym_continue_statement] = sym_continue_statement,
  [sym_break_statement] = sym_break_statement,
  [sym_return_statement] = sym_return_statement,
  [sym_throw_expression] = sym_throw_expression,
  [sym_while_statement] = sym_while_statement,
  [sym_do_statement] = sym_do_statement,
  [sym_for_statement] = sym_for_statement,
  [sym__expressions] = sym__expressions,
  [sym_sequence_expression] = sym_sequence_expression,
  [sym_foreach_statement] = sym_foreach_statement,
  [sym_foreach_pair] = sym_foreach_pair,
  [sym__foreach_value] = sym__foreach_value,
  [sym_if_statement] = sym_if_statement,
  [sym_colon_block] = sym_colon_block,
  [sym_else_if_clause] = sym_else_if_clause,
  [sym_else_clause] = sym_else_clause,
  [sym_else_if_clause_2] = sym_else_if_clause,
  [sym_else_clause_2] = sym_else_clause,
  [sym_match_expression] = sym_match_expression,
  [sym_match_block] = sym_match_block,
  [sym_match_condition_list] = sym_match_condition_list,
  [sym_match_conditional_expression] = sym_match_conditional_expression,
  [sym_match_default_expression] = sym_match_default_expression,
  [sym_switch_statement] = sym_switch_statement,
  [sym_switch_block] = sym_switch_block,
  [sym_case_statement] = sym_case_statement,
  [sym_default_statement] = sym_default_statement,
  [sym_compound_statement] = sym_compound_statement,
  [sym_named_label_statement] = sym_named_label_statement,
  [sym_expression_statement] = sym_expression_statement,
  [sym_expression] = sym_expression,
  [sym__unary_expression] = sym__unary_expression,
  [sym_unary_op_expression] = sym_unary_op_expression,
  [sym_error_suppression_expression] = sym_error_suppression_expression,
  [sym_clone_expression] = sym_clone_expression,
  [sym_primary_expression] = sym_primary_expression,
  [sym_parenthesized_expression] = sym_parenthesized_expression,
  [sym_class_constant_access_expression] = sym_class_constant_access_expression,
  [sym_print_intrinsic] = sym_print_intrinsic,
  [sym_object_creation_expression] = sym_object_creation_expression,
  [sym__new_non_dereferencable_expression] = sym__new_non_dereferencable_expression,
  [sym__new_dereferencable_expression] = sym__new_dereferencable_expression,
  [sym__class_name_reference] = sym__class_name_reference,
  [sym_anonymous_class] = sym_anonymous_class,
  [sym_update_expression] = sym_update_expression,
  [sym_cast_expression] = sym_cast_expression,
  [sym_cast_variable] = sym_cast_expression,
  [sym_assignment_expression] = sym_assignment_expression,
  [sym_reference_assignment_expression] = sym_reference_assignment_expression,
  [sym_conditional_expression] = sym_conditional_expression,
  [sym_augmented_assignment_expression] = sym_augmented_assignment_expression,
  [sym__variable_member_access_expression] = sym_member_access_expression,
  [sym_member_access_expression] = sym_member_access_expression,
  [sym__variable_nullsafe_member_access_expression] = sym_nullsafe_member_access_expression,
  [sym_nullsafe_member_access_expression] = sym_nullsafe_member_access_expression,
  [sym__variable_scoped_property_access_expression] = sym_scoped_property_access_expression,
  [sym_scoped_property_access_expression] = sym_scoped_property_access_expression,
  [sym_list_literal] = sym_list_literal,
  [sym__list_destructing] = sym__list_destructing,
  [sym__array_destructing] = sym__array_destructing,
  [sym__array_destructing_element] = sym__array_destructing_element,
  [sym_function_call_expression] = sym_function_call_expression,
  [sym__callable_expression] = sym__callable_expression,
  [sym_scoped_call_expression] = sym_scoped_call_expression,
  [sym__scope_resolution_qualifier] = sym__scope_resolution_qualifier,
  [sym_relative_scope] = sym_relative_scope,
  [sym_variadic_placeholder] = sym_variadic_placeholder,
  [sym_arguments] = sym_arguments,
  [sym_argument] = sym_argument,
  [sym__argument_name] = sym__argument_name,
  [sym_member_call_expression] = sym_member_call_expression,
  [sym_nullsafe_member_call_expression] = sym_nullsafe_member_call_expression,
  [sym_variadic_unpacking] = sym_variadic_unpacking,
  [sym__member_name] = sym__member_name,
  [sym__variable_subscript_expression] = sym__variable_subscript_expression,
  [sym__dereferencable_subscript_expression] = sym__variable_subscript_expression,
  [sym__dereferencable_expression] = sym__dereferencable_expression,
  [sym__dereferencable_scalar] = sym__dereferencable_scalar,
  [sym_array_creation_expression] = sym_array_creation_expression,
  [sym_attribute_group] = sym_attribute_group,
  [sym_attribute_list] = sym_attribute_list,
  [sym_attribute] = sym_attribute,
  [sym__complex_string_part] = sym__complex_string_part,
  [sym__simple_string_member_access_expression] = sym_member_access_expression,
  [sym__simple_string_subscript_unary_expression] = sym_unary_op_expression,
  [sym__simple_string_array_access_argument] = sym__simple_string_array_access_argument,
  [sym__simple_string_subscript_expression] = sym__variable_subscript_expression,
  [sym__simple_string_part] = sym__simple_string_part,
  [aux_sym__interpolated_string_body] = aux_sym__interpolated_string_body,
  [aux_sym__interpolated_string_body_heredoc] = aux_sym__interpolated_string_body_heredoc,
  [sym_encapsed_string] = sym_encapsed_string,
  [sym_string] = sym_string,
  [sym_string_content] = sym_string_content,
  [sym_heredoc_body] = sym_heredoc_body,
  [sym_heredoc] = sym_heredoc,
  [sym_nowdoc_body] = sym_nowdoc_body,
  [sym_nowdoc] = sym_nowdoc,
  [aux_sym__interpolated_execution_operator_body] = aux_sym__interpolated_execution_operator_body,
  [sym_shell_command_expression] = sym_shell_command_expression,
  [sym_boolean] = sym_boolean,
  [sym_null] = sym_null,
  [sym__string] = sym__string,
  [sym_dynamic_variable_name] = sym_dynamic_variable_name,
  [sym__simple_variable] = sym__simple_variable,
  [sym__new_variable] = sym__new_variable,
  [sym__callable_variable] = sym__callable_variable,
  [sym_variable_name] = sym_variable_name,
  [sym_by_ref] = sym_by_ref,
  [sym_yield_expression] = sym_yield_expression,
  [sym_array_element_initializer] = sym_array_element_initializer,
  [sym_binary_expression] = sym_binary_expression,
  [sym_include_expression] = sym_include_expression,
  [sym_include_once_expression] = sym_include_once_expression,
  [sym_require_expression] = sym_require_expression,
  [sym_require_once_expression] = sym_require_once_expression,
  [sym__reserved_identifier] = sym_name,
  [sym__identifier] = sym__identifier,
  [sym__semicolon] = sym__semicolon,
  [aux_sym_program_repeat1] = aux_sym_program_repeat1,
  [aux_sym_text_repeat1] = aux_sym_text_repeat1,
  [aux_sym_function_static_declaration_repeat1] = aux_sym_function_static_declaration_repeat1,
  [aux_sym_global_declaration_repeat1] = aux_sym_global_declaration_repeat1,
  [aux_sym_namespace_use_declaration_repeat1] = aux_sym_namespace_use_declaration_repeat1,
  [aux_sym_namespace_name_repeat1] = aux_sym_namespace_name_repeat1,
  [aux_sym_base_clause_repeat1] = aux_sym_base_clause_repeat1,
  [aux_sym_enum_declaration_list_repeat1] = aux_sym_enum_declaration_list_repeat1,
  [aux_sym_class_declaration_repeat1] = aux_sym_class_declaration_repeat1,
  [aux_sym_declaration_list_repeat1] = aux_sym_declaration_list_repeat1,
  [aux_sym__const_declaration_repeat1] = aux_sym__const_declaration_repeat1,
  [aux_sym_property_declaration_repeat1] = aux_sym_property_declaration_repeat1,
  [aux_sym_property_hook_list_repeat1] = aux_sym_property_hook_list_repeat1,
  [aux_sym_use_list_repeat1] = aux_sym_use_list_repeat1,
  [aux_sym_anonymous_function_use_clause_repeat1] = aux_sym_anonymous_function_use_clause_repeat1,
  [aux_sym_formal_parameters_repeat1] = aux_sym_formal_parameters_repeat1,
  [aux_sym_union_type_repeat1] = aux_sym_union_type_repeat1,
  [aux_sym_intersection_type_repeat1] = aux_sym_intersection_type_repeat1,
  [aux_sym_disjunctive_normal_form_type_repeat1] = aux_sym_disjunctive_normal_form_type_repeat1,
  [aux_sym_unset_statement_repeat1] = aux_sym_unset_statement_repeat1,
  [aux_sym_try_statement_repeat1] = aux_sym_try_statement_repeat1,
  [aux_sym_type_list_repeat1] = aux_sym_type_list_repeat1,
  [aux_sym_if_statement_repeat1] = aux_sym_if_statement_repeat1,
  [aux_sym_if_statement_repeat2] = aux_sym_if_statement_repeat2,
  [aux_sym_match_block_repeat1] = aux_sym_match_block_repeat1,
  [aux_sym_match_condition_list_repeat1] = aux_sym_match_condition_list_repeat1,
  [aux_sym_switch_block_repeat1] = aux_sym_switch_block_repeat1,
  [aux_sym__list_destructing_repeat1] = aux_sym__list_destructing_repeat1,
  [aux_sym__array_destructing_repeat1] = aux_sym__array_destructing_repeat1,
  [aux_sym_arguments_repeat1] = aux_sym_arguments_repeat1,
  [aux_sym_array_creation_expression_repeat1] = aux_sym_array_creation_expression_repeat1,
  [aux_sym_attribute_group_repeat1] = aux_sym_attribute_group_repeat1,
  [aux_sym_attribute_list_repeat1] = aux_sym_attribute_list_repeat1,
  [aux_sym_string_repeat1] = aux_sym_string_repeat1,
  [aux_sym_string_content_repeat1] = aux_sym_string_content_repeat1,
  [aux_sym_heredoc_body_repeat1] = aux_sym_heredoc_body_repeat1,
  [aux_sym_nowdoc_body_repeat1] = aux_sym_nowdoc_body_repeat1,
  [alias_sym_operation] = alias_sym_operation,
};

static const TSSymbolMetadata ts_symbol_metadata[] = {
  [ts_builtin_sym_end] = {
    .visible = false,
    .named = true,
  },
  [sym_name] = {
    .visible = true,
    .named = true,
  },
  [sym_php_tag] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_QMARK_GT] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_text_token1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_text_token2] = {
    .visible = false,
    .named = false,
  },
  [anon_sym_SEMI] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMP] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_function_static_declaration_token1] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COMMA] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_EQ] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_global_declaration_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_namespace_definition_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_namespace_use_declaration_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_namespace_use_clause_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym__namespace_use_type_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym__namespace_use_type_token2] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LBRACE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RBRACE] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_trait_declaration_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_interface_declaration_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_base_clause_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_enum_declaration_token1] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COLON] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_string] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_int] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_enum_case_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_class_declaration_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_final_modifier_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_abstract_modifier_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_readonly_modifier_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_class_interface_clause_token1] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_EQ_GT] = {
    .visible = true,
    .named = false,
  },
  [sym_var_modifier] = {
    .visible = true,
    .named = true,
  },
  [aux_sym_use_instead_of_clause_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_visibility_modifier_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_visibility_modifier_token2] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_visibility_modifier_token3] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LPAREN] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RPAREN] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LPAREN2] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RPAREN2] = {
    .visible = true,
    .named = false,
  },
  [aux_sym__arrow_function_header_token1] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DOT_DOT_DOT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_QMARK] = {
    .visible = true,
    .named = false,
  },
  [sym_bottom_type] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_PIPE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_array] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_primitive_type_token1] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_iterable] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_bool] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_float] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_void] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_mixed] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_false] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_null] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_true] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_cast_type_token1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_cast_type_token2] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_cast_type_token3] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_cast_type_token4] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_cast_type_token5] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_cast_type_token6] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_cast_type_token7] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_cast_type_token8] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_cast_type_token9] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_cast_type_token10] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_cast_type_token11] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_cast_type_token12] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_echo_statement_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_exit_statement_token1] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_unset] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_declare_statement_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_declare_statement_token2] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_ticks] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_encoding] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_strict_types] = {
    .visible = true,
    .named = false,
  },
  [sym_float] = {
    .visible = true,
    .named = true,
  },
  [aux_sym_try_statement_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_catch_clause_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_finally_clause_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_goto_statement_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_continue_statement_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_break_statement_token1] = {
    .visible = true,
    .named = false,
  },
  [sym_integer] = {
    .visible = true,
    .named = true,
  },
  [aux_sym_return_statement_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_throw_expression_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_while_statement_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_while_statement_token2] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_do_statement_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_for_statement_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_for_statement_token2] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_foreach_statement_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_foreach_statement_token2] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_if_statement_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_if_statement_token2] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_else_if_clause_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_else_clause_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_match_expression_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_match_default_expression_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_switch_statement_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_switch_block_token1] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PLUS] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_TILDE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BANG] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AT] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_clone_expression_token1] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COLON_COLON] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_print_intrinsic_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym__new_non_dereferencable_expression_token1] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH_DASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PLUS_PLUS] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_STAR_STAR_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_STAR_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SLASH_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PERCENT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PLUS_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DOT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_LT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_GT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMP_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_CARET_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PIPE_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_QMARK_QMARK_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_QMARK_DASH_GT] = {
    .visible = true,
    .named = false,
  },
  [aux_sym__list_destructing_token1] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LBRACK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RBRACK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_self] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_parent] = {
    .visible = true,
    .named = false,
  },
  [aux_sym__argument_name_token1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__argument_name_token2] = {
    .visible = false,
    .named = false,
  },
  [anon_sym_POUND_LBRACK] = {
    .visible = true,
    .named = false,
  },
  [sym_escape_sequence] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_BSLASHu] = {
    .visible = true,
    .named = true,
  },
  [aux_sym_encapsed_string_token1] = {
    .visible = false,
    .named = false,
  },
  [anon_sym_DQUOTE] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_string_token1] = {
    .visible = false,
    .named = false,
  },
  [anon_sym_SQUOTE] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_string_token2] = {
    .visible = true,
    .named = true,
  },
  [aux_sym_string_content_token1] = {
    .visible = false,
    .named = false,
  },
  [anon_sym_LT_LT_LT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DQUOTE2] = {
    .visible = true,
    .named = false,
  },
  [sym__new_line] = {
    .visible = false,
    .named = true,
  },
  [anon_sym_SQUOTE2] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BQUOTE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DOLLAR] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_yield_expression_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_yield_expression_token2] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_binary_expression_token1] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_QMARK_QMARK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_STAR_STAR] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_binary_expression_token2] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_binary_expression_token3] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_binary_expression_token4] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PIPE_PIPE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMP_AMP] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_CARET] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_EQ_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BANG_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_EQ_EQ_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BANG_EQ_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_EQ_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_LT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DOT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SLASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PERCENT] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_include_expression_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_include_once_expression_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_require_expression_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_require_once_expression_token1] = {
    .visible = true,
    .named = false,
  },
  [sym_comment] = {
    .visible = true,
    .named = true,
  },
  [sym__automatic_semicolon] = {
    .visible = false,
    .named = true,
  },
  [sym_encapsed_string_chars] = {
    .visible = true,
    .named = true,
  },
  [sym_encapsed_string_chars_after_variable] = {
    .visible = true,
    .named = true,
  },
  [sym_execution_string_chars] = {
    .visible = true,
    .named = true,
  },
  [sym_execution_string_chars_after_variable] = {
    .visible = true,
    .named = true,
  },
  [sym_encapsed_string_chars_heredoc] = {
    .visible = true,
    .named = true,
  },
  [sym_encapsed_string_chars_after_variable_heredoc] = {
    .visible = true,
    .named = true,
  },
  [sym__eof] = {
    .visible = false,
    .named = true,
  },
  [sym_heredoc_start] = {
    .visible = true,
    .named = true,
  },
  [sym_heredoc_end] = {
    .visible = true,
    .named = true,
  },
  [sym_nowdoc_string] = {
    .visible = true,
    .named = true,
  },
  [sym_sentinel_error] = {
    .visible = true,
    .named = true,
  },
  [sym_program] = {
    .visible = true,
    .named = true,
  },
  [sym_text_interpolation] = {
    .visible = true,
    .named = true,
  },
  [sym_text] = {
    .visible = true,
    .named = true,
  },
  [sym_statement] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym_empty_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_reference_modifier] = {
    .visible = true,
    .named = true,
  },
  [sym_function_static_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_static_variable_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_global_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_namespace_definition] = {
    .visible = true,
    .named = true,
  },
  [sym_namespace_use_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_namespace_use_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_qualified_name] = {
    .visible = true,
    .named = true,
  },
  [sym__name] = {
    .visible = false,
    .named = true,
  },
  [sym_namespace_name] = {
    .visible = true,
    .named = true,
  },
  [sym__namespace_use_group] = {
    .visible = false,
    .named = true,
  },
  [sym_namespace_use_group] = {
    .visible = true,
    .named = true,
  },
  [sym_trait_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_interface_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_base_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_enum_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_enum_declaration_list] = {
    .visible = true,
    .named = true,
  },
  [sym__enum_member_declaration] = {
    .visible = false,
    .named = true,
  },
  [sym_enum_case] = {
    .visible = true,
    .named = true,
  },
  [sym_class_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_declaration_list] = {
    .visible = true,
    .named = true,
  },
  [sym_final_modifier] = {
    .visible = true,
    .named = true,
  },
  [sym_abstract_modifier] = {
    .visible = true,
    .named = true,
  },
  [sym_readonly_modifier] = {
    .visible = true,
    .named = true,
  },
  [sym_class_interface_clause] = {
    .visible = true,
    .named = true,
  },
  [sym__member_declaration] = {
    .visible = false,
    .named = true,
  },
  [sym_const_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym__class_const_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym__const_declaration] = {
    .visible = false,
    .named = true,
  },
  [sym_property_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym__modifier] = {
    .visible = false,
    .named = true,
  },
  [sym_property_element] = {
    .visible = true,
    .named = true,
  },
  [sym_property_hook_list] = {
    .visible = true,
    .named = true,
  },
  [sym_property_hook] = {
    .visible = true,
    .named = true,
  },
  [sym__property_hook_body] = {
    .visible = false,
    .named = true,
  },
  [sym_method_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_static_modifier] = {
    .visible = true,
    .named = true,
  },
  [sym_use_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_use_list] = {
    .visible = true,
    .named = true,
  },
  [sym_use_instead_of_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_use_as_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_visibility_modifier] = {
    .visible = true,
    .named = true,
  },
  [sym_function_definition] = {
    .visible = true,
    .named = true,
  },
  [sym__function_definition_header] = {
    .visible = false,
    .named = true,
  },
  [sym_anonymous_function] = {
    .visible = true,
    .named = true,
  },
  [sym_anonymous_function_use_clause] = {
    .visible = true,
    .named = true,
  },
  [sym__anonymous_function_header] = {
    .visible = false,
    .named = true,
  },
  [sym__arrow_function_header] = {
    .visible = false,
    .named = true,
  },
  [sym_arrow_function] = {
    .visible = true,
    .named = true,
  },
  [sym_formal_parameters] = {
    .visible = true,
    .named = true,
  },
  [sym_property_promotion_parameter] = {
    .visible = true,
    .named = true,
  },
  [sym_simple_parameter] = {
    .visible = true,
    .named = true,
  },
  [sym_variadic_parameter] = {
    .visible = true,
    .named = true,
  },
  [sym_type] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym__types] = {
    .visible = false,
    .named = true,
  },
  [sym_named_type] = {
    .visible = true,
    .named = true,
  },
  [sym_optional_type] = {
    .visible = true,
    .named = true,
  },
  [sym_union_type] = {
    .visible = true,
    .named = true,
  },
  [sym_intersection_type] = {
    .visible = true,
    .named = true,
  },
  [sym_disjunctive_normal_form_type] = {
    .visible = true,
    .named = true,
  },
  [sym_primitive_type] = {
    .visible = true,
    .named = true,
  },
  [sym_cast_type] = {
    .visible = true,
    .named = true,
  },
  [sym__return_type] = {
    .visible = false,
    .named = true,
  },
  [sym_const_element] = {
    .visible = true,
    .named = true,
  },
  [sym_echo_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_exit_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_unset_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_declare_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_declare_directive] = {
    .visible = true,
    .named = true,
  },
  [sym_literal] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym_try_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_catch_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_type_list] = {
    .visible = true,
    .named = true,
  },
  [sym_finally_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_goto_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_continue_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_break_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_return_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_throw_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_while_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_do_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_for_statement] = {
    .visible = true,
    .named = true,
  },
  [sym__expressions] = {
    .visible = false,
    .named = true,
  },
  [sym_sequence_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_foreach_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_foreach_pair] = {
    .visible = true,
    .named = true,
  },
  [sym__foreach_value] = {
    .visible = false,
    .named = true,
  },
  [sym_if_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_colon_block] = {
    .visible = true,
    .named = true,
  },
  [sym_else_if_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_else_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_else_if_clause_2] = {
    .visible = true,
    .named = true,
  },
  [sym_else_clause_2] = {
    .visible = true,
    .named = true,
  },
  [sym_match_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_match_block] = {
    .visible = true,
    .named = true,
  },
  [sym_match_condition_list] = {
    .visible = true,
    .named = true,
  },
  [sym_match_conditional_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_match_default_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_switch_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_switch_block] = {
    .visible = true,
    .named = true,
  },
  [sym_case_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_default_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_compound_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_named_label_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_expression_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_expression] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym__unary_expression] = {
    .visible = false,
    .named = true,
  },
  [sym_unary_op_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_error_suppression_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_clone_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_primary_expression] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym_parenthesized_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_class_constant_access_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_print_intrinsic] = {
    .visible = true,
    .named = true,
  },
  [sym_object_creation_expression] = {
    .visible = true,
    .named = true,
  },
  [sym__new_non_dereferencable_expression] = {
    .visible = false,
    .named = true,
  },
  [sym__new_dereferencable_expression] = {
    .visible = false,
    .named = true,
  },
  [sym__class_name_reference] = {
    .visible = false,
    .named = true,
  },
  [sym_anonymous_class] = {
    .visible = true,
    .named = true,
  },
  [sym_update_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_cast_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_cast_variable] = {
    .visible = true,
    .named = true,
  },
  [sym_assignment_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_reference_assignment_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_conditional_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_augmented_assignment_expression] = {
    .visible = true,
    .named = true,
  },
  [sym__variable_member_access_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_member_access_expression] = {
    .visible = true,
    .named = true,
  },
  [sym__variable_nullsafe_member_access_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_nullsafe_member_access_expression] = {
    .visible = true,
    .named = true,
  },
  [sym__variable_scoped_property_access_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_scoped_property_access_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_list_literal] = {
    .visible = true,
    .named = true,
  },
  [sym__list_destructing] = {
    .visible = false,
    .named = true,
  },
  [sym__array_destructing] = {
    .visible = false,
    .named = true,
  },
  [sym__array_destructing_element] = {
    .visible = false,
    .named = true,
  },
  [sym_function_call_expression] = {
    .visible = true,
    .named = true,
  },
  [sym__callable_expression] = {
    .visible = false,
    .named = true,
  },
  [sym_scoped_call_expression] = {
    .visible = true,
    .named = true,
  },
  [sym__scope_resolution_qualifier] = {
    .visible = false,
    .named = true,
  },
  [sym_relative_scope] = {
    .visible = true,
    .named = true,
  },
  [sym_variadic_placeholder] = {
    .visible = true,
    .named = true,
  },
  [sym_arguments] = {
    .visible = true,
    .named = true,
  },
  [sym_argument] = {
    .visible = true,
    .named = true,
  },
  [sym__argument_name] = {
    .visible = false,
    .named = true,
  },
  [sym_member_call_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_nullsafe_member_call_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_variadic_unpacking] = {
    .visible = true,
    .named = true,
  },
  [sym__member_name] = {
    .visible = false,
    .named = true,
  },
  [sym__variable_subscript_expression] = {
    .visible = true,
    .named = true,
  },
  [sym__dereferencable_subscript_expression] = {
    .visible = true,
    .named = true,
  },
  [sym__dereferencable_expression] = {
    .visible = false,
    .named = true,
  },
  [sym__dereferencable_scalar] = {
    .visible = false,
    .named = true,
  },
  [sym_array_creation_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_attribute_group] = {
    .visible = true,
    .named = true,
  },
  [sym_attribute_list] = {
    .visible = true,
    .named = true,
  },
  [sym_attribute] = {
    .visible = true,
    .named = true,
  },
  [sym__complex_string_part] = {
    .visible = false,
    .named = true,
  },
  [sym__simple_string_member_access_expression] = {
    .visible = true,
    .named = true,
  },
  [sym__simple_string_subscript_unary_expression] = {
    .visible = true,
    .named = true,
  },
  [sym__simple_string_array_access_argument] = {
    .visible = false,
    .named = true,
  },
  [sym__simple_string_subscript_expression] = {
    .visible = true,
    .named = true,
  },
  [sym__simple_string_part] = {
    .visible = false,
    .named = true,
  },
  [aux_sym__interpolated_string_body] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__interpolated_string_body_heredoc] = {
    .visible = false,
    .named = false,
  },
  [sym_encapsed_string] = {
    .visible = true,
    .named = true,
  },
  [sym_string] = {
    .visible = true,
    .named = true,
  },
  [sym_string_content] = {
    .visible = true,
    .named = true,
  },
  [sym_heredoc_body] = {
    .visible = true,
    .named = true,
  },
  [sym_heredoc] = {
    .visible = true,
    .named = true,
  },
  [sym_nowdoc_body] = {
    .visible = true,
    .named = true,
  },
  [sym_nowdoc] = {
    .visible = true,
    .named = true,
  },
  [aux_sym__interpolated_execution_operator_body] = {
    .visible = false,
    .named = false,
  },
  [sym_shell_command_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_boolean] = {
    .visible = true,
    .named = true,
  },
  [sym_null] = {
    .visible = true,
    .named = true,
  },
  [sym__string] = {
    .visible = false,
    .named = true,
  },
  [sym_dynamic_variable_name] = {
    .visible = true,
    .named = true,
  },
  [sym__simple_variable] = {
    .visible = false,
    .named = true,
  },
  [sym__new_variable] = {
    .visible = false,
    .named = true,
  },
  [sym__callable_variable] = {
    .visible = false,
    .named = true,
  },
  [sym_variable_name] = {
    .visible = true,
    .named = true,
  },
  [sym_by_ref] = {
    .visible = true,
    .named = true,
  },
  [sym_yield_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_array_element_initializer] = {
    .visible = true,
    .named = true,
  },
  [sym_binary_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_include_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_include_once_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_require_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_require_once_expression] = {
    .visible = true,
    .named = true,
  },
  [sym__reserved_identifier] = {
    .visible = true,
    .named = true,
  },
  [sym__identifier] = {
    .visible = false,
    .named = true,
  },
  [sym__semicolon] = {
    .visible = false,
    .named = true,
  },
  [aux_sym_program_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_text_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_function_static_declaration_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_global_declaration_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_namespace_use_declaration_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_namespace_name_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_base_clause_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_enum_declaration_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_class_declaration_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_declaration_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__const_declaration_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_property_declaration_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_property_hook_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_use_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_anonymous_function_use_clause_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_formal_parameters_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_union_type_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_intersection_type_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_disjunctive_normal_form_type_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_unset_statement_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_try_statement_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_type_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_if_statement_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_if_statement_repeat2] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_match_block_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_match_condition_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_switch_block_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__list_destructing_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__array_destructing_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_arguments_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_array_creation_expression_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_attribute_group_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_attribute_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_string_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_string_content_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_heredoc_body_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_nowdoc_body_repeat1] = {
    .visible = false,
    .named = false,
  },
  [alias_sym_operation] = {
    .visible = true,
    .named = true,
  },
};

enum ts_field_identifiers {
  field_alias = 1,
  field_alternative = 2,
  field_argument = 3,
  field_arguments = 4,
  field_attributes = 5,
  field_body = 6,
  field_condition = 7,
  field_conditional_expressions = 8,
  field_default_value = 9,
  field_end_tag = 10,
  field_final = 11,
  field_function = 12,
  field_identifier = 13,
  field_initialize = 14,
  field_left = 15,
  field_name = 16,
  field_object = 17,
  field_operator = 18,
  field_parameters = 19,
  field_prefix = 20,
  field_readonly = 21,
  field_reference_modifier = 22,
  field_return_expression = 23,
  field_return_type = 24,
  field_right = 25,
  field_scope = 26,
  field_static_modifier = 27,
  field_type = 28,
  field_update = 29,
  field_value = 30,
  field_visibility = 31,
};

static const char * const ts_field_names[] = {
  [0] = NULL,
  [field_alias] = "alias",
  [field_alternative] = "alternative",
  [field_argument] = "argument",
  [field_arguments] = "arguments",
  [field_attributes] = "attributes",
  [field_body] = "body",
  [field_condition] = "condition",
  [field_conditional_expressions] = "conditional_expressions",
  [field_default_value] = "default_value",
  [field_end_tag] = "end_tag",
  [field_final] = "final",
  [field_function] = "function",
  [field_identifier] = "identifier",
  [field_initialize] = "initialize",
  [field_left] = "left",
  [field_name] = "name",
  [field_object] = "object",
  [field_operator] = "operator",
  [field_parameters] = "parameters",
  [field_prefix] = "prefix",
  [field_readonly] = "readonly",
  [field_reference_modifier] = "reference_modifier",
  [field_return_expression] = "return_expression",
  [field_return_type] = "return_type",
  [field_right] = "right",
  [field_scope] = "scope",
  [field_static_modifier] = "static_modifier",
  [field_type] = "type",
  [field_update] = "update",
  [field_value] = "value",
  [field_visibility] = "visibility",
};

static const TSFieldMapSlice ts_field_map_slices[PRODUCTION_ID_COUNT] = {
  [1] = {.index = 0, .length = 1},
  [3] = {.index = 1, .length = 2},
  [4] = {.index = 3, .length = 2},
  [5] = {.index = 5, .length = 1},
  [6] = {.index = 6, .length = 1},
  [7] = {.index = 7, .length = 1},
  [8] = {.index = 8, .length = 1},
  [9] = {.index = 9, .length = 2},
  [11] = {.index = 11, .length = 2},
  [12] = {.index = 13, .length = 4},
  [13] = {.index = 17, .length = 6},
  [14] = {.index = 23, .length = 2},
  [15] = {.index = 25, .length = 2},
  [16] = {.index = 27, .length = 1},
  [17] = {.index = 28, .length = 1},
  [18] = {.index = 29, .length = 2},
  [19] = {.index = 31, .length = 2},
  [20] = {.index = 33, .length = 2},
  [21] = {.index = 35, .length = 2},
  [23] = {.index = 37, .length = 2},
  [24] = {.index = 39, .length = 2},
  [25] = {.index = 41, .length = 2},
  [26] = {.index = 43, .length = 2},
  [27] = {.index = 45, .length = 2},
  [28] = {.index = 47, .length = 6},
  [29] = {.index = 53, .length = 3},
  [30] = {.index = 56, .length = 2},
  [31] = {.index = 58, .length = 2},
  [32] = {.index = 60, .length = 2},
  [33] = {.index = 62, .length = 5},
  [34] = {.index = 67, .length = 2},
  [35] = {.index = 69, .length = 1},
  [36] = {.index = 70, .length = 1},
  [37] = {.index = 71, .length = 2},
  [38] = {.index = 73, .length = 2},
  [39] = {.index = 75, .length = 2},
  [40] = {.index = 77, .length = 2},
  [41] = {.index = 79, .length = 3},
  [42] = {.index = 82, .length = 2},
  [43] = {.index = 84, .length = 1},
  [44] = {.index = 85, .length = 2},
  [45] = {.index = 87, .length = 3},
  [46] = {.index = 90, .length = 1},
  [47] = {.index = 91, .length = 2},
  [48] = {.index = 93, .length = 2},
  [50] = {.index = 95, .length = 2},
  [51] = {.index = 97, .length = 1},
  [52] = {.index = 98, .length = 3},
  [53] = {.index = 101, .length = 3},
  [54] = {.index = 104, .length = 2},
  [57] = {.index = 106, .length = 2},
  [58] = {.index = 108, .length = 2},
  [59] = {.index = 110, .length = 3},
  [60] = {.index = 113, .length = 2},
  [61] = {.index = 5, .length = 1},
  [62] = {.index = 115, .length = 1},
  [63] = {.index = 116, .length = 1},
  [64] = {.index = 117, .length = 3},
  [65] = {.index = 120, .length = 3},
  [66] = {.index = 123, .length = 2},
  [67] = {.index = 125, .length = 2},
  [68] = {.index = 127, .length = 3},
  [69] = {.index = 130, .length = 3},
  [70] = {.index = 133, .length = 3},
  [71] = {.index = 136, .length = 3},
  [72] = {.index = 139, .length = 3},
  [73] = {.index = 142, .length = 3},
  [74] = {.index = 145, .length = 2},
  [75] = {.index = 147, .length = 2},
  [76] = {.index = 149, .length = 2},
  [77] = {.index = 151, .length = 2},
  [78] = {.index = 153, .length = 3},
  [79] = {.index = 156, .length = 3},
  [80] = {.index = 159, .length = 2},
  [81] = {.index = 161, .length = 3},
  [82] = {.index = 164, .length = 2},
  [83] = {.index = 166, .length = 3},
  [84] = {.index = 169, .length = 3},
  [85] = {.index = 172, .length = 3},
  [86] = {.index = 175, .length = 2},
  [87] = {.index = 177, .length = 3},
  [88] = {.index = 180, .length = 3},
  [89] = {.index = 183, .length = 1},
  [90] = {.index = 184, .length = 3},
  [91] = {.index = 187, .length = 2},
  [92] = {.index = 189, .length = 2},
  [93] = {.index = 189, .length = 2},
  [94] = {.index = 191, .length = 2},
  [95] = {.index = 193, .length = 4},
  [96] = {.index = 197, .length = 2},
  [97] = {.index = 199, .length = 1},
  [98] = {.index = 200, .length = 2},
  [99] = {.index = 202, .length = 3},
  [100] = {.index = 205, .length = 3},
  [101] = {.index = 208, .length = 2},
  [102] = {.index = 210, .length = 3},
  [103] = {.index = 213, .length = 2},
  [104] = {.index = 215, .length = 4},
  [105] = {.index = 219, .length = 3},
  [106] = {.index = 222, .length = 3},
  [108] = {.index = 225, .length = 4},
  [109] = {.index = 229, .length = 3},
  [110] = {.index = 232, .length = 3},
  [111] = {.index = 235, .length = 4},
  [112] = {.index = 239, .length = 4},
  [113] = {.index = 243, .length = 3},
  [114] = {.index = 246, .length = 1},
  [115] = {.index = 247, .length = 2},
  [116] = {.index = 249, .length = 3},
  [117] = {.index = 252, .length = 4},
  [118] = {.index = 256, .length = 3},
  [119] = {.index = 259, .length = 3},
  [120] = {.index = 262, .length = 3},
  [121] = {.index = 265, .length = 3},
  [122] = {.index = 268, .length = 4},
  [123] = {.index = 272, .length = 4},
  [124] = {.index = 276, .length = 3},
  [125] = {.index = 279, .length = 4},
  [126] = {.index = 283, .length = 3},
  [127] = {.index = 286, .length = 2},
  [128] = {.index = 288, .length = 4},
  [129] = {.index = 292, .length = 4},
  [130] = {.index = 296, .length = 3},
  [131] = {.index = 299, .length = 2},
  [132] = {.index = 301, .length = 1},
  [133] = {.index = 302, .length = 1},
  [134] = {.index = 303, .length = 2},
  [135] = {.index = 305, .length = 1},
  [136] = {.index = 306, .length = 1},
  [137] = {.index = 307, .length = 2},
  [140] = {.index = 309, .length = 3},
  [141] = {.index = 312, .length = 3},
  [142] = {.index = 315, .length = 3},
  [143] = {.index = 318, .length = 4},
  [144] = {.index = 322, .length = 4},
  [145] = {.index = 326, .length = 3},
  [146] = {.index = 326, .length = 3},
  [147] = {.index = 329, .length = 5},
  [148] = {.index = 334, .length = 4},
  [149] = {.index = 338, .length = 3},
  [150] = {.index = 341, .length = 2},
  [151] = {.index = 343, .length = 4},
  [152] = {.index = 347, .length = 4},
  [153] = {.index = 351, .length = 1},
  [154] = {.index = 352, .length = 1},
  [155] = {.index = 353, .length = 4},
  [156] = {.index = 357, .length = 4},
  [157] = {.index = 361, .length = 5},
  [158] = {.index = 366, .length = 4},
  [159] = {.index = 370, .length = 4},
  [160] = {.index = 374, .length = 4},
  [161] = {.index = 378, .length = 1},
  [162] = {.index = 379, .length = 5},
  [163] = {.index = 384, .length = 4},
  [164] = {.index = 388, .length = 2},
  [165] = {.index = 390, .length = 2},
  [166] = {.index = 392, .length = 1},
  [167] = {.index = 393, .length = 2},
  [168] = {.index = 395, .length = 1},
  [169] = {.index = 396, .length = 2},
  [170] = {.index = 398, .length = 1},
  [171] = {.index = 399, .length = 1},
  [172] = {.index = 400, .length = 2},
  [173] = {.index = 402, .length = 3},
  [174] = {.index = 405, .length = 3},
  [175] = {.index = 408, .length = 5},
  [176] = {.index = 413, .length = 3},
  [177] = {.index = 416, .length = 5},
  [178] = {.index = 421, .length = 2},
  [179] = {.index = 423, .length = 2},
  [180] = {.index = 425, .length = 2},
  [181] = {.index = 427, .length = 2},
  [182] = {.index = 429, .length = 5},
  [183] = {.index = 434, .length = 5},
  [184] = {.index = 439, .length = 5},
  [185] = {.index = 444, .length = 2},
  [186] = {.index = 446, .length = 2},
  [187] = {.index = 448, .length = 3},
  [188] = {.index = 451, .length = 3},
  [189] = {.index = 454, .length = 2},
  [190] = {.index = 456, .length = 3},
  [191] = {.index = 459, .length = 2},
  [192] = {.index = 461, .length = 3},
  [193] = {.index = 464, .length = 2},
  [194] = {.index = 466, .length = 2},
  [195] = {.index = 468, .length = 3},
  [196] = {.index = 471, .length = 3},
  [197] = {.index = 474, .length = 3},
  [198] = {.index = 477, .length = 3},
  [199] = {.index = 480, .length = 3},
  [200] = {.index = 483, .length = 3},
  [201] = {.index = 486, .length = 6},
  [202] = {.index = 492, .length = 3},
  [203] = {.index = 495, .length = 4},
  [204] = {.index = 499, .length = 3},
  [205] = {.index = 502, .length = 4},
  [206] = {.index = 506, .length = 4},
  [207] = {.index = 510, .length = 4},
  [208] = {.index = 514, .length = 4},
  [209] = {.index = 518, .length = 2},
  [210] = {.index = 520, .length = 2},
  [211] = {.index = 522, .length = 2},
  [212] = {.index = 524, .length = 5},
  [213] = {.index = 529, .length = 3},
  [214] = {.index = 532, .length = 3},
  [215] = {.index = 535, .length = 3},
  [216] = {.index = 538, .length = 4},
};

static const TSFieldMapEntry ts_field_map_entries[] = {
  [0] =
    {field_type, 0, .inherited = true},
  [1] =
    {field_name, 0, .inherited = true},
    {field_object, 0, .inherited = true},
  [3] =
    {field_name, 0, .inherited = true},
    {field_scope, 0, .inherited = true},
  [5] =
    {field_name, 0},
  [6] =
    {field_body, 1},
  [7] =
    {field_parameters, 1},
  [8] =
    {field_prefix, 0},
  [9] =
    {field_argument, 1},
    {field_operator, 0},
  [11] =
    {field_arguments, 1},
    {field_function, 0},
  [13] =
    {field_body, 1},
    {field_name, 0, .inherited = true},
    {field_parameters, 0, .inherited = true},
    {field_return_type, 0, .inherited = true},
  [17] =
    {field_attributes, 0, .inherited = true},
    {field_body, 1},
    {field_parameters, 0, .inherited = true},
    {field_reference_modifier, 0, .inherited = true},
    {field_return_type, 0, .inherited = true},
    {field_static_modifier, 0, .inherited = true},
  [23] =
    {field_argument, 0},
    {field_operator, 1},
  [25] =
    {field_body, 2},
    {field_name, 1},
  [27] =
    {field_name, 1},
  [28] =
    {field_type, 0},
  [29] =
    {field_body, 1, .inherited = true},
    {field_type, 1, .inherited = true},
  [31] =
    {field_parameters, 2},
    {field_reference_modifier, 1},
  [33] =
    {field_parameters, 1},
    {field_return_type, 2, .inherited = true},
  [35] =
    {field_name, 1},
    {field_parameters, 2},
  [37] =
    {field_body, 2},
    {field_condition, 1},
  [39] =
    {field_end_tag, 2},
    {field_identifier, 1},
  [41] =
    {field_name, 2},
    {field_scope, 0},
  [43] =
    {field_prefix, 0},
    {field_prefix, 1},
  [45] =
    {field_parameters, 2},
    {field_static_modifier, 0},
  [47] =
    {field_attributes, 0, .inherited = true},
    {field_body, 2},
    {field_parameters, 0, .inherited = true},
    {field_reference_modifier, 0, .inherited = true},
    {field_return_type, 0, .inherited = true},
    {field_static_modifier, 0, .inherited = true},
  [53] =
    {field_left, 0},
    {field_operator, 1},
    {field_right, 2},
  [56] =
    {field_left, 0},
    {field_right, 2},
  [58] =
    {field_name, 2, .inherited = true},
    {field_object, 0},
  [60] =
    {field_attributes, 0},
    {field_parameters, 2},
  [62] =
    {field_attributes, 0},
    {field_body, 2},
    {field_name, 1, .inherited = true},
    {field_parameters, 1, .inherited = true},
    {field_return_type, 1, .inherited = true},
  [67] =
    {field_name, 0},
    {field_value, 2},
  [69] =
    {field_alias, 2},
  [70] =
    {field_body, 2},
  [71] =
    {field_name, 1},
    {field_reference_modifier, 0},
  [73] =
    {field_name, 1},
    {field_visibility, 0},
  [75] =
    {field_name, 1},
    {field_type, 0},
  [77] =
    {field_attributes, 0},
    {field_name, 1},
  [79] =
    {field_parameters, 2},
    {field_reference_modifier, 1},
    {field_return_type, 3, .inherited = true},
  [82] =
    {field_name, 2},
    {field_parameters, 3},
  [84] =
    {field_return_type, 1},
  [85] =
    {field_parameters, 1},
    {field_return_type, 3, .inherited = true},
  [87] =
    {field_name, 1},
    {field_parameters, 2},
    {field_return_type, 3, .inherited = true},
  [90] =
    {field_type, 1},
  [91] =
    {field_attributes, 0, .inherited = true},
    {field_type, 0, .inherited = true},
  [93] =
    {field_body, 3},
    {field_name, 1},
  [95] =
    {field_type, 1},
    {field_value, 3},
  [97] =
    {field_alternative, 0},
  [98] =
    {field_alternative, 3},
    {field_body, 2},
    {field_condition, 1},
  [101] =
    {field_alternative, 3, .inherited = true},
    {field_body, 2},
    {field_condition, 1},
  [104] =
    {field_attributes, 0},
    {field_body, 2},
  [106] =
    {field_name, 2},
    {field_object, 0},
  [108] =
    {field_end_tag, 3},
    {field_identifier, 1},
  [110] =
    {field_end_tag, 3},
    {field_identifier, 1},
    {field_value, 2},
  [113] =
    {field_end_tag, 3},
    {field_identifier, 2},
  [115] =
    {field_reference_modifier, 0},
  [116] =
    {field_name, 0, .inherited = true},
  [117] =
    {field_parameters, 3},
    {field_reference_modifier, 2},
    {field_static_modifier, 0},
  [120] =
    {field_parameters, 2},
    {field_return_type, 3, .inherited = true},
    {field_static_modifier, 0},
  [123] =
    {field_alternative, 3},
    {field_condition, 0},
  [125] =
    {field_left, 0},
    {field_right, 3},
  [127] =
    {field_arguments, 3},
    {field_name, 2, .inherited = true},
    {field_scope, 0},
  [130] =
    {field_arguments, 3},
    {field_name, 2, .inherited = true},
    {field_object, 0},
  [133] =
    {field_attributes, 0},
    {field_parameters, 3},
    {field_reference_modifier, 2},
  [136] =
    {field_attributes, 0},
    {field_parameters, 2},
    {field_return_type, 3, .inherited = true},
  [139] =
    {field_attributes, 0},
    {field_body, 3},
    {field_name, 2},
  [142] =
    {field_attributes, 0},
    {field_parameters, 3},
    {field_static_modifier, 1},
  [145] =
    {field_body, 3},
    {field_name, 2},
  [147] =
    {field_alias, 3},
    {field_type, 0},
  [149] =
    {field_body, 3},
    {field_type, 0},
  [151] =
    {field_name, 2},
    {field_reference_modifier, 0},
  [153] =
    {field_name, 2},
    {field_readonly, 1},
    {field_visibility, 0},
  [156] =
    {field_name, 2},
    {field_type, 1},
    {field_visibility, 0},
  [159] =
    {field_name, 2},
    {field_type, 0},
  [161] =
    {field_name, 2},
    {field_reference_modifier, 1},
    {field_type, 0},
  [164] =
    {field_attributes, 0},
    {field_name, 2},
  [166] =
    {field_attributes, 0},
    {field_name, 2},
    {field_reference_modifier, 1},
  [169] =
    {field_attributes, 0},
    {field_name, 2},
    {field_visibility, 1},
  [172] =
    {field_attributes, 0},
    {field_name, 2},
    {field_type, 1},
  [175] =
    {field_default_value, 2},
    {field_name, 0},
  [177] =
    {field_parameters, 2},
    {field_reference_modifier, 1},
    {field_return_type, 4, .inherited = true},
  [180] =
    {field_name, 2},
    {field_parameters, 3},
    {field_return_type, 4, .inherited = true},
  [183] =
    {field_type, 1, .inherited = true},
  [184] =
    {field_name, 0, .inherited = true},
    {field_parameters, 0, .inherited = true},
    {field_return_type, 0, .inherited = true},
  [187] =
    {field_attributes, 0},
    {field_type, 1, .inherited = true},
  [189] =
    {field_body, 4},
    {field_name, 1},
  [191] =
    {field_body, 1},
    {field_condition, 3},
  [193] =
    {field_alternative, 3, .inherited = true},
    {field_alternative, 4},
    {field_body, 2},
    {field_condition, 1},
  [197] =
    {field_alternative, 0, .inherited = true},
    {field_alternative, 1, .inherited = true},
  [199] =
    {field_body, 3},
  [200] =
    {field_attributes, 0},
    {field_body, 3},
  [202] =
    {field_end_tag, 4},
    {field_identifier, 1},
    {field_value, 3},
  [205] =
    {field_end_tag, 4},
    {field_identifier, 1},
    {field_value, 2},
  [208] =
    {field_end_tag, 4},
    {field_identifier, 2},
  [210] =
    {field_end_tag, 4},
    {field_identifier, 2},
    {field_value, 3},
  [213] =
    {field_name, 0, .inherited = true},
    {field_reference_modifier, 1},
  [215] =
    {field_parameters, 3},
    {field_reference_modifier, 2},
    {field_return_type, 4, .inherited = true},
    {field_static_modifier, 0},
  [219] =
    {field_parameters, 2},
    {field_return_type, 4, .inherited = true},
    {field_static_modifier, 0},
  [222] =
    {field_alternative, 4},
    {field_body, 2},
    {field_condition, 0},
  [225] =
    {field_attributes, 0},
    {field_parameters, 3},
    {field_reference_modifier, 2},
    {field_return_type, 4, .inherited = true},
  [229] =
    {field_attributes, 0},
    {field_parameters, 2},
    {field_return_type, 4, .inherited = true},
  [232] =
    {field_attributes, 0},
    {field_body, 4},
    {field_name, 2},
  [235] =
    {field_attributes, 0},
    {field_parameters, 4},
    {field_reference_modifier, 3},
    {field_static_modifier, 1},
  [239] =
    {field_attributes, 0},
    {field_parameters, 3},
    {field_return_type, 4, .inherited = true},
    {field_static_modifier, 1},
  [243] =
    {field_attributes, 0},
    {field_body, 4},
    {field_name, 3},
  [246] =
    {field_type, 2},
  [247] =
    {field_body, 4},
    {field_name, 2},
  [249] =
    {field_default_value, 3},
    {field_name, 1},
    {field_reference_modifier, 0},
  [252] =
    {field_name, 3},
    {field_readonly, 1},
    {field_type, 2},
    {field_visibility, 0},
  [256] =
    {field_default_value, 3},
    {field_name, 1},
    {field_visibility, 0},
  [259] =
    {field_name, 3},
    {field_reference_modifier, 1},
    {field_type, 0},
  [262] =
    {field_default_value, 3},
    {field_name, 1},
    {field_type, 0},
  [265] =
    {field_attributes, 0},
    {field_name, 3},
    {field_reference_modifier, 1},
  [268] =
    {field_attributes, 0},
    {field_name, 3},
    {field_readonly, 2},
    {field_visibility, 1},
  [272] =
    {field_attributes, 0},
    {field_name, 3},
    {field_type, 2},
    {field_visibility, 1},
  [276] =
    {field_attributes, 0},
    {field_name, 3},
    {field_type, 1},
  [279] =
    {field_attributes, 0},
    {field_name, 3},
    {field_reference_modifier, 2},
    {field_type, 1},
  [283] =
    {field_attributes, 0},
    {field_default_value, 3},
    {field_name, 1},
  [286] =
    {field_attributes, 0},
    {field_type, 2, .inherited = true},
  [288] =
    {field_attributes, 0},
    {field_name, 1, .inherited = true},
    {field_parameters, 1, .inherited = true},
    {field_return_type, 1, .inherited = true},
  [292] =
    {field_body, 2},
    {field_name, 1, .inherited = true},
    {field_parameters, 1, .inherited = true},
    {field_return_type, 1, .inherited = true},
  [296] =
    {field_name, 1, .inherited = true},
    {field_parameters, 1, .inherited = true},
    {field_return_type, 1, .inherited = true},
  [299] =
    {field_body, 5},
    {field_name, 1},
  [301] =
    {field_body, 5},
  [302] =
    {field_return_expression, 2},
  [303] =
    {field_conditional_expressions, 0},
    {field_return_expression, 2},
  [305] =
    {field_value, 1},
  [306] =
    {field_body, 4},
  [307] =
    {field_attributes, 0},
    {field_body, 4},
  [309] =
    {field_end_tag, 5},
    {field_identifier, 1},
    {field_value, 3},
  [312] =
    {field_end_tag, 5},
    {field_identifier, 2},
    {field_value, 4},
  [315] =
    {field_end_tag, 5},
    {field_identifier, 2},
    {field_value, 3},
  [318] =
    {field_parameters, 3},
    {field_reference_modifier, 2},
    {field_return_type, 5, .inherited = true},
    {field_static_modifier, 0},
  [322] =
    {field_attributes, 0},
    {field_parameters, 3},
    {field_reference_modifier, 2},
    {field_return_type, 5, .inherited = true},
  [326] =
    {field_attributes, 0},
    {field_body, 5},
    {field_name, 2},
  [329] =
    {field_attributes, 0},
    {field_parameters, 4},
    {field_reference_modifier, 3},
    {field_return_type, 5, .inherited = true},
    {field_static_modifier, 1},
  [334] =
    {field_attributes, 0},
    {field_parameters, 3},
    {field_return_type, 5, .inherited = true},
    {field_static_modifier, 1},
  [338] =
    {field_attributes, 0},
    {field_body, 5},
    {field_name, 3},
  [341] =
    {field_body, 5},
    {field_name, 2},
  [343] =
    {field_default_value, 4},
    {field_name, 2},
    {field_readonly, 1},
    {field_visibility, 0},
  [347] =
    {field_default_value, 4},
    {field_name, 2},
    {field_type, 1},
    {field_visibility, 0},
  [351] =
    {field_body, 1, .inherited = true},
  [352] =
    {field_body, 0},
  [353] =
    {field_default_value, 4},
    {field_name, 2},
    {field_reference_modifier, 1},
    {field_type, 0},
  [357] =
    {field_attributes, 0},
    {field_default_value, 4},
    {field_name, 2},
    {field_reference_modifier, 1},
  [361] =
    {field_attributes, 0},
    {field_name, 4},
    {field_readonly, 2},
    {field_type, 3},
    {field_visibility, 1},
  [366] =
    {field_attributes, 0},
    {field_default_value, 4},
    {field_name, 2},
    {field_visibility, 1},
  [370] =
    {field_attributes, 0},
    {field_name, 4},
    {field_reference_modifier, 2},
    {field_type, 1},
  [374] =
    {field_attributes, 0},
    {field_default_value, 4},
    {field_name, 2},
    {field_type, 1},
  [378] =
    {field_attributes, 0},
  [379] =
    {field_attributes, 0},
    {field_body, 3},
    {field_name, 2, .inherited = true},
    {field_parameters, 2, .inherited = true},
    {field_return_type, 2, .inherited = true},
  [384] =
    {field_attributes, 0},
    {field_name, 2, .inherited = true},
    {field_parameters, 2, .inherited = true},
    {field_return_type, 2, .inherited = true},
  [388] =
    {field_body, 4},
    {field_type, 2},
  [390] =
    {field_body, 6},
    {field_update, 4},
  [392] =
    {field_update, 4},
  [393] =
    {field_body, 6},
    {field_condition, 3},
  [395] =
    {field_condition, 3},
  [396] =
    {field_body, 6},
    {field_initialize, 2},
  [398] =
    {field_initialize, 2},
  [399] =
    {field_body, 6},
  [400] =
    {field_attributes, 0},
    {field_body, 5},
  [402] =
    {field_end_tag, 6},
    {field_identifier, 2},
    {field_value, 4},
  [405] =
    {field_attributes, 0},
    {field_body, 6},
    {field_name, 2},
  [408] =
    {field_attributes, 0},
    {field_parameters, 4},
    {field_reference_modifier, 3},
    {field_return_type, 6, .inherited = true},
    {field_static_modifier, 1},
  [413] =
    {field_attributes, 0},
    {field_body, 6},
    {field_name, 3},
  [416] =
    {field_default_value, 5},
    {field_name, 3},
    {field_readonly, 1},
    {field_type, 2},
    {field_visibility, 0},
  [421] =
    {field_body, 2, .inherited = true},
    {field_parameters, 1},
  [423] =
    {field_body, 2, .inherited = true},
    {field_reference_modifier, 0},
  [425] =
    {field_body, 2, .inherited = true},
    {field_final, 0},
  [427] =
    {field_attributes, 0},
    {field_body, 2, .inherited = true},
  [429] =
    {field_attributes, 0},
    {field_default_value, 5},
    {field_name, 3},
    {field_readonly, 2},
    {field_visibility, 1},
  [434] =
    {field_attributes, 0},
    {field_default_value, 5},
    {field_name, 3},
    {field_type, 2},
    {field_visibility, 1},
  [439] =
    {field_attributes, 0},
    {field_default_value, 5},
    {field_name, 3},
    {field_reference_modifier, 2},
    {field_type, 1},
  [444] =
    {field_attributes, 0},
    {field_type, 2},
  [446] =
    {field_name, 1},
    {field_value, 3},
  [448] =
    {field_body, 5},
    {field_name, 3},
    {field_type, 2},
  [451] =
    {field_body, 7},
    {field_condition, 3},
    {field_update, 5},
  [454] =
    {field_condition, 3},
    {field_update, 5},
  [456] =
    {field_body, 7},
    {field_initialize, 2},
    {field_update, 5},
  [459] =
    {field_initialize, 2},
    {field_update, 5},
  [461] =
    {field_body, 7},
    {field_condition, 4},
    {field_initialize, 2},
  [464] =
    {field_condition, 4},
    {field_initialize, 2},
  [466] =
    {field_attributes, 0},
    {field_body, 6},
  [468] =
    {field_body, 3, .inherited = true},
    {field_parameters, 2},
    {field_reference_modifier, 0},
  [471] =
    {field_body, 3, .inherited = true},
    {field_final, 0},
    {field_parameters, 2},
  [474] =
    {field_body, 3, .inherited = true},
    {field_final, 0},
    {field_reference_modifier, 1},
  [477] =
    {field_attributes, 0},
    {field_body, 3, .inherited = true},
    {field_parameters, 2},
  [480] =
    {field_attributes, 0},
    {field_body, 3, .inherited = true},
    {field_reference_modifier, 1},
  [483] =
    {field_attributes, 0},
    {field_body, 3, .inherited = true},
    {field_final, 1},
  [486] =
    {field_attributes, 0},
    {field_default_value, 6},
    {field_name, 4},
    {field_readonly, 2},
    {field_type, 3},
    {field_visibility, 1},
  [492] =
    {field_attributes, 0},
    {field_name, 2},
    {field_value, 4},
  [495] =
    {field_body, 8},
    {field_condition, 4},
    {field_initialize, 2},
    {field_update, 6},
  [499] =
    {field_condition, 4},
    {field_initialize, 2},
    {field_update, 6},
  [502] =
    {field_body, 4, .inherited = true},
    {field_final, 0},
    {field_parameters, 3},
    {field_reference_modifier, 1},
  [506] =
    {field_attributes, 0},
    {field_body, 4, .inherited = true},
    {field_parameters, 3},
    {field_reference_modifier, 1},
  [510] =
    {field_attributes, 0},
    {field_body, 4, .inherited = true},
    {field_final, 1},
    {field_parameters, 3},
  [514] =
    {field_attributes, 0},
    {field_body, 4, .inherited = true},
    {field_final, 1},
    {field_reference_modifier, 2},
  [518] =
    {field_body, 7},
    {field_update, 4},
  [520] =
    {field_body, 7},
    {field_condition, 3},
  [522] =
    {field_body, 7},
    {field_initialize, 2},
  [524] =
    {field_attributes, 0},
    {field_body, 5, .inherited = true},
    {field_final, 1},
    {field_parameters, 4},
    {field_reference_modifier, 2},
  [529] =
    {field_body, 8},
    {field_condition, 3},
    {field_update, 5},
  [532] =
    {field_body, 8},
    {field_initialize, 2},
    {field_update, 5},
  [535] =
    {field_body, 8},
    {field_condition, 4},
    {field_initialize, 2},
  [538] =
    {field_body, 9},
    {field_condition, 4},
    {field_initialize, 2},
    {field_update, 6},
};

static const TSSymbol ts_alias_sequences[PRODUCTION_ID_COUNT][MAX_ALIAS_SEQUENCE_LENGTH] = {
  [0] = {0},
  [2] = {
    [0] = sym_object_creation_expression,
  },
  [10] = {
    [0] = sym_list_literal,
  },
  [22] = {
    [0] = anon_sym_array,
  },
  [49] = {
    [2] = alias_sym_operation,
  },
  [55] = {
    [1] = sym_list_literal,
  },
  [56] = {
    [2] = sym_list_literal,
  },
  [61] = {
    [0] = sym_name,
  },
  [92] = {
    [3] = sym_primitive_type,
  },
  [107] = {
    [3] = sym_name,
  },
  [131] = {
    [3] = sym_primitive_type,
  },
  [138] = {
    [3] = sym_list_literal,
  },
  [139] = {
    [4] = sym_list_literal,
  },
  [145] = {
    [4] = sym_primitive_type,
  },
  [174] = {
    [4] = sym_primitive_type,
  },
};

static const uint16_t ts_non_terminal_alias_map[] = {
  sym_expression, 2,
    sym_expression,
    sym_name,
  sym__new_dereferencable_expression, 2,
    sym__new_dereferencable_expression,
    sym_object_creation_expression,
  sym__list_destructing, 2,
    sym__list_destructing,
    sym_list_literal,
  sym__array_destructing, 2,
    sym__array_destructing,
    sym_list_literal,
  0,
};

static const TSStateId ts_primary_state_ids[STATE_COUNT] = {
  [0] = 0,
  [1] = 1,
  [2] = 2,
  [3] = 3,
  [4] = 4,
  [5] = 5,
  [6] = 6,
  [7] = 7,
  [8] = 8,
  [9] = 9,
  [10] = 9,
  [11] = 2,
  [12] = 8,
  [13] = 7,
  [14] = 9,
  [15] = 9,
  [16] = 16,
  [17] = 17,
  [18] = 16,
  [19] = 19,
  [20] = 20,
  [21] = 21,
  [22] = 21,
  [23] = 23,
  [24] = 24,
  [25] = 25,
  [26] = 26,
  [27] = 16,
  [28] = 17,
  [29] = 17,
  [30] = 19,
  [31] = 16,
  [32] = 26,
  [33] = 20,
  [34] = 21,
  [35] = 23,
  [36] = 23,
  [37] = 24,
  [38] = 25,
  [39] = 26,
  [40] = 17,
  [41] = 24,
  [42] = 19,
  [43] = 20,
  [44] = 21,
  [45] = 25,
  [46] = 23,
  [47] = 24,
  [48] = 25,
  [49] = 26,
  [50] = 20,
  [51] = 19,
  [52] = 52,
  [53] = 53,
  [54] = 54,
  [55] = 55,
  [56] = 56,
  [57] = 57,
  [58] = 58,
  [59] = 59,
  [60] = 60,
  [61] = 61,
  [62] = 62,
  [63] = 63,
  [64] = 64,
  [65] = 65,
  [66] = 66,
  [67] = 67,
  [68] = 68,
  [69] = 69,
  [70] = 70,
  [71] = 71,
  [72] = 72,
  [73] = 73,
  [74] = 60,
  [75] = 62,
  [76] = 76,
  [77] = 77,
  [78] = 56,
  [79] = 62,
  [80] = 80,
  [81] = 55,
  [82] = 53,
  [83] = 57,
  [84] = 58,
  [85] = 59,
  [86] = 61,
  [87] = 63,
  [88] = 64,
  [89] = 65,
  [90] = 66,
  [91] = 67,
  [92] = 68,
  [93] = 69,
  [94] = 70,
  [95] = 71,
  [96] = 72,
  [97] = 73,
  [98] = 62,
  [99] = 77,
  [100] = 56,
  [101] = 77,
  [102] = 77,
  [103] = 56,
  [104] = 77,
  [105] = 56,
  [106] = 60,
  [107] = 60,
  [108] = 80,
  [109] = 109,
  [110] = 110,
  [111] = 110,
  [112] = 110,
  [113] = 110,
  [114] = 114,
  [115] = 114,
  [116] = 116,
  [117] = 116,
  [118] = 118,
  [119] = 118,
  [120] = 118,
  [121] = 118,
  [122] = 122,
  [123] = 123,
  [124] = 122,
  [125] = 123,
  [126] = 123,
  [127] = 122,
  [128] = 122,
  [129] = 122,
  [130] = 123,
  [131] = 123,
  [132] = 123,
  [133] = 133,
  [134] = 133,
  [135] = 133,
  [136] = 133,
  [137] = 137,
  [138] = 137,
  [139] = 137,
  [140] = 137,
  [141] = 133,
  [142] = 137,
  [143] = 137,
  [144] = 144,
  [145] = 144,
  [146] = 146,
  [147] = 146,
  [148] = 144,
  [149] = 146,
  [150] = 144,
  [151] = 144,
  [152] = 146,
  [153] = 146,
  [154] = 144,
  [155] = 146,
  [156] = 156,
  [157] = 156,
  [158] = 158,
  [159] = 159,
  [160] = 158,
  [161] = 161,
  [162] = 161,
  [163] = 163,
  [164] = 164,
  [165] = 164,
  [166] = 163,
  [167] = 167,
  [168] = 167,
  [169] = 169,
  [170] = 169,
  [171] = 171,
  [172] = 172,
  [173] = 173,
  [174] = 174,
  [175] = 172,
  [176] = 174,
  [177] = 177,
  [178] = 171,
  [179] = 179,
  [180] = 173,
  [181] = 181,
  [182] = 182,
  [183] = 183,
  [184] = 183,
  [185] = 183,
  [186] = 186,
  [187] = 183,
  [188] = 188,
  [189] = 189,
  [190] = 190,
  [191] = 191,
  [192] = 190,
  [193] = 193,
  [194] = 188,
  [195] = 195,
  [196] = 188,
  [197] = 195,
  [198] = 198,
  [199] = 199,
  [200] = 200,
  [201] = 188,
  [202] = 195,
  [203] = 193,
  [204] = 190,
  [205] = 198,
  [206] = 189,
  [207] = 207,
  [208] = 208,
  [209] = 189,
  [210] = 200,
  [211] = 191,
  [212] = 195,
  [213] = 208,
  [214] = 199,
  [215] = 189,
  [216] = 200,
  [217] = 198,
  [218] = 208,
  [219] = 190,
  [220] = 198,
  [221] = 200,
  [222] = 208,
  [223] = 223,
  [224] = 224,
  [225] = 225,
  [226] = 225,
  [227] = 225,
  [228] = 223,
  [229] = 225,
  [230] = 225,
  [231] = 231,
  [232] = 232,
  [233] = 225,
  [234] = 234,
  [235] = 234,
  [236] = 236,
  [237] = 237,
  [238] = 238,
  [239] = 237,
  [240] = 240,
  [241] = 240,
  [242] = 242,
  [243] = 234,
  [244] = 238,
  [245] = 245,
  [246] = 246,
  [247] = 247,
  [248] = 242,
  [249] = 238,
  [250] = 238,
  [251] = 245,
  [252] = 238,
  [253] = 238,
  [254] = 245,
  [255] = 234,
  [256] = 237,
  [257] = 240,
  [258] = 258,
  [259] = 237,
  [260] = 260,
  [261] = 261,
  [262] = 262,
  [263] = 263,
  [264] = 264,
  [265] = 260,
  [266] = 266,
  [267] = 267,
  [268] = 268,
  [269] = 269,
  [270] = 270,
  [271] = 271,
  [272] = 272,
  [273] = 273,
  [274] = 274,
  [275] = 275,
  [276] = 276,
  [277] = 277,
  [278] = 262,
  [279] = 279,
  [280] = 280,
  [281] = 281,
  [282] = 282,
  [283] = 283,
  [284] = 284,
  [285] = 285,
  [286] = 286,
  [287] = 287,
  [288] = 288,
  [289] = 289,
  [290] = 290,
  [291] = 279,
  [292] = 261,
  [293] = 280,
  [294] = 294,
  [295] = 295,
  [296] = 296,
  [297] = 297,
  [298] = 298,
  [299] = 299,
  [300] = 300,
  [301] = 260,
  [302] = 266,
  [303] = 303,
  [304] = 304,
  [305] = 305,
  [306] = 281,
  [307] = 267,
  [308] = 295,
  [309] = 296,
  [310] = 310,
  [311] = 311,
  [312] = 312,
  [313] = 282,
  [314] = 300,
  [315] = 283,
  [316] = 264,
  [317] = 317,
  [318] = 284,
  [319] = 285,
  [320] = 275,
  [321] = 321,
  [322] = 268,
  [323] = 286,
  [324] = 297,
  [325] = 287,
  [326] = 288,
  [327] = 300,
  [328] = 272,
  [329] = 329,
  [330] = 330,
  [331] = 331,
  [332] = 310,
  [333] = 311,
  [334] = 334,
  [335] = 335,
  [336] = 336,
  [337] = 269,
  [338] = 270,
  [339] = 264,
  [340] = 340,
  [341] = 266,
  [342] = 267,
  [343] = 268,
  [344] = 269,
  [345] = 270,
  [346] = 271,
  [347] = 271,
  [348] = 273,
  [349] = 274,
  [350] = 275,
  [351] = 276,
  [352] = 277,
  [353] = 262,
  [354] = 276,
  [355] = 280,
  [356] = 281,
  [357] = 282,
  [358] = 283,
  [359] = 284,
  [360] = 285,
  [361] = 286,
  [362] = 287,
  [363] = 288,
  [364] = 289,
  [365] = 290,
  [366] = 289,
  [367] = 261,
  [368] = 368,
  [369] = 295,
  [370] = 296,
  [371] = 272,
  [372] = 329,
  [373] = 297,
  [374] = 374,
  [375] = 375,
  [376] = 330,
  [377] = 273,
  [378] = 300,
  [379] = 272,
  [380] = 329,
  [381] = 330,
  [382] = 311,
  [383] = 264,
  [384] = 260,
  [385] = 266,
  [386] = 267,
  [387] = 268,
  [388] = 269,
  [389] = 270,
  [390] = 271,
  [391] = 273,
  [392] = 274,
  [393] = 275,
  [394] = 276,
  [395] = 277,
  [396] = 262,
  [397] = 279,
  [398] = 280,
  [399] = 281,
  [400] = 282,
  [401] = 283,
  [402] = 284,
  [403] = 285,
  [404] = 286,
  [405] = 287,
  [406] = 288,
  [407] = 289,
  [408] = 290,
  [409] = 290,
  [410] = 261,
  [411] = 295,
  [412] = 296,
  [413] = 297,
  [414] = 277,
  [415] = 415,
  [416] = 300,
  [417] = 330,
  [418] = 311,
  [419] = 419,
  [420] = 330,
  [421] = 311,
  [422] = 330,
  [423] = 311,
  [424] = 330,
  [425] = 330,
  [426] = 330,
  [427] = 427,
  [428] = 428,
  [429] = 429,
  [430] = 430,
  [431] = 431,
  [432] = 321,
  [433] = 321,
  [434] = 274,
  [435] = 321,
  [436] = 279,
  [437] = 437,
  [438] = 437,
  [439] = 437,
  [440] = 437,
  [441] = 437,
  [442] = 442,
  [443] = 443,
  [444] = 444,
  [445] = 445,
  [446] = 444,
  [447] = 445,
  [448] = 448,
  [449] = 449,
  [450] = 450,
  [451] = 451,
  [452] = 452,
  [453] = 453,
  [454] = 454,
  [455] = 455,
  [456] = 456,
  [457] = 457,
  [458] = 458,
  [459] = 459,
  [460] = 460,
  [461] = 461,
  [462] = 462,
  [463] = 463,
  [464] = 464,
  [465] = 465,
  [466] = 466,
  [467] = 467,
  [468] = 468,
  [469] = 469,
  [470] = 470,
  [471] = 471,
  [472] = 472,
  [473] = 473,
  [474] = 474,
  [475] = 475,
  [476] = 476,
  [477] = 477,
  [478] = 478,
  [479] = 479,
  [480] = 480,
  [481] = 481,
  [482] = 482,
  [483] = 483,
  [484] = 484,
  [485] = 485,
  [486] = 486,
  [487] = 487,
  [488] = 488,
  [489] = 489,
  [490] = 490,
  [491] = 491,
  [492] = 492,
  [493] = 493,
  [494] = 494,
  [495] = 495,
  [496] = 496,
  [497] = 497,
  [498] = 498,
  [499] = 499,
  [500] = 500,
  [501] = 501,
  [502] = 502,
  [503] = 503,
  [504] = 504,
  [505] = 505,
  [506] = 506,
  [507] = 507,
  [508] = 508,
  [509] = 509,
  [510] = 510,
  [511] = 511,
  [512] = 512,
  [513] = 513,
  [514] = 514,
  [515] = 515,
  [516] = 516,
  [517] = 517,
  [518] = 518,
  [519] = 519,
  [520] = 520,
  [521] = 449,
  [522] = 522,
  [523] = 523,
  [524] = 524,
  [525] = 525,
  [526] = 526,
  [527] = 527,
  [528] = 528,
  [529] = 529,
  [530] = 530,
  [531] = 531,
  [532] = 532,
  [533] = 533,
  [534] = 534,
  [535] = 535,
  [536] = 536,
  [537] = 537,
  [538] = 538,
  [539] = 539,
  [540] = 540,
  [541] = 541,
  [542] = 542,
  [543] = 543,
  [544] = 544,
  [545] = 545,
  [546] = 546,
  [547] = 547,
  [548] = 548,
  [549] = 549,
  [550] = 550,
  [551] = 551,
  [552] = 552,
  [553] = 553,
  [554] = 554,
  [555] = 555,
  [556] = 556,
  [557] = 557,
  [558] = 448,
  [559] = 559,
  [560] = 560,
  [561] = 561,
  [562] = 562,
  [563] = 563,
  [564] = 564,
  [565] = 565,
  [566] = 566,
  [567] = 567,
  [568] = 568,
  [569] = 569,
  [570] = 570,
  [571] = 571,
  [572] = 572,
  [573] = 573,
  [574] = 574,
  [575] = 575,
  [576] = 576,
  [577] = 577,
  [578] = 578,
  [579] = 579,
  [580] = 580,
  [581] = 581,
  [582] = 582,
  [583] = 582,
  [584] = 582,
  [585] = 582,
  [586] = 586,
  [587] = 587,
  [588] = 588,
  [589] = 589,
  [590] = 590,
  [591] = 591,
  [592] = 592,
  [593] = 593,
  [594] = 594,
  [595] = 595,
  [596] = 596,
  [597] = 597,
  [598] = 598,
  [599] = 599,
  [600] = 600,
  [601] = 601,
  [602] = 602,
  [603] = 603,
  [604] = 604,
  [605] = 605,
  [606] = 606,
  [607] = 607,
  [608] = 608,
  [609] = 609,
  [610] = 610,
  [611] = 611,
  [612] = 612,
  [613] = 613,
  [614] = 614,
  [615] = 615,
  [616] = 616,
  [617] = 617,
  [618] = 618,
  [619] = 619,
  [620] = 620,
  [621] = 621,
  [622] = 591,
  [623] = 623,
  [624] = 592,
  [625] = 611,
  [626] = 614,
  [627] = 590,
  [628] = 588,
  [629] = 623,
  [630] = 630,
  [631] = 631,
  [632] = 615,
  [633] = 609,
  [634] = 612,
  [635] = 598,
  [636] = 601,
  [637] = 589,
  [638] = 617,
  [639] = 603,
  [640] = 616,
  [641] = 641,
  [642] = 605,
  [643] = 643,
  [644] = 596,
  [645] = 645,
  [646] = 623,
  [647] = 647,
  [648] = 597,
  [649] = 587,
  [650] = 618,
  [651] = 604,
  [652] = 593,
  [653] = 653,
  [654] = 595,
  [655] = 600,
  [656] = 630,
  [657] = 623,
  [658] = 658,
  [659] = 594,
  [660] = 620,
  [661] = 630,
  [662] = 653,
  [663] = 619,
  [664] = 602,
  [665] = 610,
  [666] = 611,
  [667] = 653,
  [668] = 668,
  [669] = 621,
  [670] = 599,
  [671] = 606,
  [672] = 607,
  [673] = 608,
  [674] = 613,
  [675] = 620,
  [676] = 676,
  [677] = 621,
  [678] = 678,
  [679] = 679,
  [680] = 678,
  [681] = 630,
  [682] = 682,
  [683] = 653,
  [684] = 684,
  [685] = 685,
  [686] = 686,
  [687] = 687,
  [688] = 688,
  [689] = 686,
  [690] = 688,
  [691] = 685,
  [692] = 687,
  [693] = 693,
  [694] = 694,
  [695] = 695,
  [696] = 696,
  [697] = 697,
  [698] = 695,
  [699] = 699,
  [700] = 695,
  [701] = 701,
  [702] = 697,
  [703] = 695,
  [704] = 695,
  [705] = 697,
  [706] = 706,
  [707] = 707,
  [708] = 708,
  [709] = 706,
  [710] = 699,
  [711] = 711,
  [712] = 712,
  [713] = 591,
  [714] = 714,
  [715] = 491,
  [716] = 592,
  [717] = 598,
  [718] = 718,
  [719] = 719,
  [720] = 458,
  [721] = 593,
  [722] = 615,
  [723] = 609,
  [724] = 617,
  [725] = 587,
  [726] = 589,
  [727] = 600,
  [728] = 618,
  [729] = 596,
  [730] = 597,
  [731] = 614,
  [732] = 600,
  [733] = 733,
  [734] = 612,
  [735] = 711,
  [736] = 736,
  [737] = 595,
  [738] = 598,
  [739] = 604,
  [740] = 588,
  [741] = 601,
  [742] = 742,
  [743] = 603,
  [744] = 744,
  [745] = 605,
  [746] = 590,
  [747] = 616,
  [748] = 613,
  [749] = 749,
  [750] = 619,
  [751] = 751,
  [752] = 599,
  [753] = 602,
  [754] = 591,
  [755] = 610,
  [756] = 592,
  [757] = 594,
  [758] = 758,
  [759] = 606,
  [760] = 760,
  [761] = 607,
  [762] = 608,
  [763] = 763,
  [764] = 764,
  [765] = 765,
  [766] = 766,
  [767] = 767,
  [768] = 768,
  [769] = 448,
  [770] = 714,
  [771] = 771,
  [772] = 772,
  [773] = 773,
  [774] = 774,
  [775] = 775,
  [776] = 776,
  [777] = 449,
  [778] = 586,
  [779] = 779,
  [780] = 780,
  [781] = 781,
  [782] = 782,
  [783] = 783,
  [784] = 784,
  [785] = 613,
  [786] = 602,
  [787] = 612,
  [788] = 610,
  [789] = 595,
  [790] = 790,
  [791] = 604,
  [792] = 588,
  [793] = 599,
  [794] = 601,
  [795] = 795,
  [796] = 603,
  [797] = 605,
  [798] = 606,
  [799] = 607,
  [800] = 608,
  [801] = 590,
  [802] = 616,
  [803] = 615,
  [804] = 609,
  [805] = 617,
  [806] = 594,
  [807] = 587,
  [808] = 593,
  [809] = 589,
  [810] = 810,
  [811] = 811,
  [812] = 812,
  [813] = 618,
  [814] = 814,
  [815] = 596,
  [816] = 597,
  [817] = 614,
  [818] = 818,
  [819] = 764,
  [820] = 820,
  [821] = 821,
  [822] = 822,
  [823] = 823,
  [824] = 824,
  [825] = 825,
  [826] = 826,
  [827] = 827,
  [828] = 828,
  [829] = 829,
  [830] = 830,
  [831] = 831,
  [832] = 832,
  [833] = 833,
  [834] = 834,
  [835] = 835,
  [836] = 836,
  [837] = 837,
  [838] = 838,
  [839] = 839,
  [840] = 840,
  [841] = 841,
  [842] = 842,
  [843] = 843,
  [844] = 844,
  [845] = 845,
  [846] = 846,
  [847] = 619,
  [848] = 696,
  [849] = 600,
  [850] = 850,
  [851] = 742,
  [852] = 744,
  [853] = 696,
  [854] = 854,
  [855] = 855,
  [856] = 856,
  [857] = 850,
  [858] = 858,
  [859] = 859,
  [860] = 854,
  [861] = 591,
  [862] = 592,
  [863] = 600,
  [864] = 736,
  [865] = 587,
  [866] = 593,
  [867] = 589,
  [868] = 714,
  [869] = 869,
  [870] = 598,
  [871] = 871,
  [872] = 872,
  [873] = 873,
  [874] = 618,
  [875] = 614,
  [876] = 590,
  [877] = 595,
  [878] = 873,
  [879] = 615,
  [880] = 733,
  [881] = 609,
  [882] = 774,
  [883] = 596,
  [884] = 617,
  [885] = 597,
  [886] = 604,
  [887] = 588,
  [888] = 601,
  [889] = 603,
  [890] = 612,
  [891] = 605,
  [892] = 616,
  [893] = 893,
  [894] = 774,
  [895] = 749,
  [896] = 610,
  [897] = 897,
  [898] = 592,
  [899] = 742,
  [900] = 607,
  [901] = 591,
  [902] = 744,
  [903] = 602,
  [904] = 712,
  [905] = 613,
  [906] = 608,
  [907] = 599,
  [908] = 594,
  [909] = 751,
  [910] = 910,
  [911] = 911,
  [912] = 619,
  [913] = 712,
  [914] = 598,
  [915] = 606,
  [916] = 760,
  [917] = 823,
  [918] = 600,
  [919] = 812,
  [920] = 814,
  [921] = 825,
  [922] = 826,
  [923] = 818,
  [924] = 827,
  [925] = 830,
  [926] = 831,
  [927] = 767,
  [928] = 832,
  [929] = 833,
  [930] = 834,
  [931] = 931,
  [932] = 771,
  [933] = 772,
  [934] = 613,
  [935] = 619,
  [936] = 602,
  [937] = 612,
  [938] = 610,
  [939] = 618,
  [940] = 595,
  [941] = 768,
  [942] = 774,
  [943] = 596,
  [944] = 597,
  [945] = 604,
  [946] = 588,
  [947] = 599,
  [948] = 601,
  [949] = 603,
  [950] = 820,
  [951] = 605,
  [952] = 606,
  [953] = 607,
  [954] = 608,
  [955] = 614,
  [956] = 590,
  [957] = 616,
  [958] = 615,
  [959] = 609,
  [960] = 617,
  [961] = 594,
  [962] = 773,
  [963] = 587,
  [964] = 811,
  [965] = 589,
  [966] = 842,
  [967] = 586,
  [968] = 821,
  [969] = 835,
  [970] = 824,
  [971] = 822,
  [972] = 763,
  [973] = 775,
  [974] = 836,
  [975] = 837,
  [976] = 838,
  [977] = 839,
  [978] = 840,
  [979] = 598,
  [980] = 841,
  [981] = 458,
  [982] = 586,
  [983] = 776,
  [984] = 779,
  [985] = 985,
  [986] = 491,
  [987] = 780,
  [988] = 781,
  [989] = 782,
  [990] = 714,
  [991] = 843,
  [992] = 844,
  [993] = 783,
  [994] = 784,
  [995] = 790,
  [996] = 845,
  [997] = 795,
  [998] = 846,
  [999] = 985,
  [1000] = 810,
  [1001] = 1001,
  [1002] = 765,
  [1003] = 758,
  [1004] = 858,
  [1005] = 766,
  [1006] = 593,
  [1007] = 1007,
  [1008] = 1008,
  [1009] = 1009,
  [1010] = 1010,
  [1011] = 1011,
  [1012] = 1012,
  [1013] = 828,
  [1014] = 829,
  [1015] = 1015,
  [1016] = 1016,
  [1017] = 1017,
  [1018] = 696,
  [1019] = 859,
  [1020] = 855,
  [1021] = 1021,
  [1022] = 1022,
  [1023] = 774,
  [1024] = 1024,
  [1025] = 1025,
  [1026] = 1026,
  [1027] = 1027,
  [1028] = 742,
  [1029] = 744,
  [1030] = 856,
  [1031] = 1031,
  [1032] = 1032,
  [1033] = 1033,
  [1034] = 1034,
  [1035] = 1035,
  [1036] = 1036,
  [1037] = 1037,
  [1038] = 1038,
  [1039] = 1039,
  [1040] = 1040,
  [1041] = 600,
  [1042] = 893,
  [1043] = 598,
  [1044] = 911,
  [1045] = 897,
  [1046] = 712,
  [1047] = 1047,
  [1048] = 1048,
  [1049] = 1049,
  [1050] = 1050,
  [1051] = 1051,
  [1052] = 1052,
  [1053] = 1053,
  [1054] = 931,
  [1055] = 1055,
  [1056] = 1056,
  [1057] = 1057,
  [1058] = 1058,
  [1059] = 1059,
  [1060] = 1060,
  [1061] = 1061,
  [1062] = 1062,
  [1063] = 586,
  [1064] = 1064,
  [1065] = 1065,
  [1066] = 1066,
  [1067] = 1067,
  [1068] = 1068,
  [1069] = 1069,
  [1070] = 1070,
  [1071] = 1071,
  [1072] = 1072,
  [1073] = 1073,
  [1074] = 1074,
  [1075] = 1075,
  [1076] = 1076,
  [1077] = 1077,
  [1078] = 1078,
  [1079] = 1079,
  [1080] = 1080,
  [1081] = 1068,
  [1082] = 449,
  [1083] = 1071,
  [1084] = 1078,
  [1085] = 1037,
  [1086] = 1038,
  [1087] = 1034,
  [1088] = 1035,
  [1089] = 1050,
  [1090] = 1024,
  [1091] = 1016,
  [1092] = 1074,
  [1093] = 1031,
  [1094] = 1012,
  [1095] = 1015,
  [1096] = 1075,
  [1097] = 1027,
  [1098] = 1066,
  [1099] = 1017,
  [1100] = 1033,
  [1101] = 1055,
  [1102] = 1102,
  [1103] = 1068,
  [1104] = 448,
  [1105] = 1008,
  [1106] = 1032,
  [1107] = 1062,
  [1108] = 1064,
  [1109] = 1049,
  [1110] = 1052,
  [1111] = 1047,
  [1112] = 1058,
  [1113] = 1059,
  [1114] = 1061,
  [1115] = 1065,
  [1116] = 1067,
  [1117] = 1070,
  [1118] = 1072,
  [1119] = 1073,
  [1120] = 1076,
  [1121] = 1077,
  [1122] = 1079,
  [1123] = 1057,
  [1124] = 1021,
  [1125] = 1053,
  [1126] = 1056,
  [1127] = 1011,
  [1128] = 1074,
  [1129] = 1051,
  [1130] = 1075,
  [1131] = 1062,
  [1132] = 1064,
  [1133] = 1049,
  [1134] = 1052,
  [1135] = 1047,
  [1136] = 1058,
  [1137] = 1059,
  [1138] = 1061,
  [1139] = 1065,
  [1140] = 1067,
  [1141] = 1070,
  [1142] = 1072,
  [1143] = 1073,
  [1144] = 1076,
  [1145] = 1077,
  [1146] = 1079,
  [1147] = 1057,
  [1148] = 1039,
  [1149] = 1053,
  [1150] = 1056,
  [1151] = 1151,
  [1152] = 1026,
  [1153] = 1050,
  [1154] = 1051,
  [1155] = 1060,
  [1156] = 1048,
  [1157] = 1007,
  [1158] = 1158,
  [1159] = 1010,
  [1160] = 1069,
  [1161] = 1060,
  [1162] = 1036,
  [1163] = 1025,
  [1164] = 1164,
  [1165] = 1048,
  [1166] = 1080,
  [1167] = 1066,
  [1168] = 1009,
  [1169] = 1069,
  [1170] = 1071,
  [1171] = 1078,
  [1172] = 1022,
  [1173] = 1040,
  [1174] = 1080,
  [1175] = 1055,
  [1176] = 1068,
  [1177] = 1071,
  [1178] = 1055,
  [1179] = 1062,
  [1180] = 1064,
  [1181] = 1078,
  [1182] = 1052,
  [1183] = 1047,
  [1184] = 1058,
  [1185] = 1059,
  [1186] = 1061,
  [1187] = 1065,
  [1188] = 1067,
  [1189] = 1070,
  [1190] = 1072,
  [1191] = 1073,
  [1192] = 1076,
  [1193] = 1077,
  [1194] = 1079,
  [1195] = 1057,
  [1196] = 1053,
  [1197] = 1056,
  [1198] = 1050,
  [1199] = 1051,
  [1200] = 1060,
  [1201] = 1074,
  [1202] = 1075,
  [1203] = 1048,
  [1204] = 1080,
  [1205] = 1066,
  [1206] = 1069,
  [1207] = 1049,
  [1208] = 1208,
  [1209] = 1209,
  [1210] = 1210,
  [1211] = 1211,
  [1212] = 1212,
  [1213] = 1213,
  [1214] = 1214,
  [1215] = 1215,
  [1216] = 1216,
  [1217] = 1217,
  [1218] = 1218,
  [1219] = 1219,
  [1220] = 1220,
  [1221] = 1221,
  [1222] = 1222,
  [1223] = 1223,
  [1224] = 1223,
  [1225] = 1225,
  [1226] = 1226,
  [1227] = 1227,
  [1228] = 1228,
  [1229] = 1229,
  [1230] = 1066,
  [1231] = 1231,
  [1232] = 1226,
  [1233] = 1233,
  [1234] = 1221,
  [1235] = 1227,
  [1236] = 1229,
  [1237] = 1066,
  [1238] = 1238,
  [1239] = 1238,
  [1240] = 1240,
  [1241] = 1241,
  [1242] = 1220,
  [1243] = 1243,
  [1244] = 1244,
  [1245] = 1245,
  [1246] = 1246,
  [1247] = 1222,
  [1248] = 1248,
  [1249] = 1249,
  [1250] = 1250,
  [1251] = 1251,
  [1252] = 1252,
  [1253] = 1253,
  [1254] = 1254,
  [1255] = 1255,
  [1256] = 1222,
  [1257] = 1257,
  [1258] = 1258,
  [1259] = 1259,
  [1260] = 1260,
  [1261] = 1259,
  [1262] = 1262,
  [1263] = 1263,
  [1264] = 1259,
  [1265] = 1265,
  [1266] = 1262,
  [1267] = 1220,
  [1268] = 1262,
  [1269] = 1269,
  [1270] = 1270,
  [1271] = 1271,
  [1272] = 1272,
  [1273] = 1273,
  [1274] = 1274,
  [1275] = 1272,
  [1276] = 1276,
  [1277] = 1271,
  [1278] = 1278,
  [1279] = 1272,
  [1280] = 1276,
  [1281] = 1281,
  [1282] = 1276,
  [1283] = 1283,
  [1284] = 1278,
  [1285] = 1285,
  [1286] = 1286,
  [1287] = 1276,
  [1288] = 1285,
  [1289] = 1289,
  [1290] = 1272,
  [1291] = 1285,
  [1292] = 1273,
  [1293] = 1293,
  [1294] = 1276,
  [1295] = 1286,
  [1296] = 1271,
  [1297] = 1278,
  [1298] = 1276,
  [1299] = 1299,
  [1300] = 1276,
  [1301] = 1272,
  [1302] = 1302,
  [1303] = 1286,
  [1304] = 1293,
  [1305] = 1305,
  [1306] = 1285,
  [1307] = 1293,
  [1308] = 1276,
  [1309] = 1271,
  [1310] = 1286,
  [1311] = 1271,
  [1312] = 1312,
  [1313] = 1278,
  [1314] = 1278,
  [1315] = 1312,
  [1316] = 1272,
  [1317] = 1285,
  [1318] = 1276,
  [1319] = 1271,
  [1320] = 1278,
  [1321] = 1312,
  [1322] = 1312,
  [1323] = 1305,
  [1324] = 1324,
  [1325] = 1325,
  [1326] = 1324,
  [1327] = 1327,
  [1328] = 1327,
  [1329] = 1329,
  [1330] = 1330,
  [1331] = 1331,
  [1332] = 1332,
  [1333] = 1333,
  [1334] = 1334,
  [1335] = 1335,
  [1336] = 1336,
  [1337] = 1336,
  [1338] = 1338,
  [1339] = 1339,
  [1340] = 1340,
  [1341] = 1341,
  [1342] = 1342,
  [1343] = 1343,
  [1344] = 1344,
  [1345] = 1345,
  [1346] = 1346,
  [1347] = 1347,
  [1348] = 1348,
  [1349] = 1349,
  [1350] = 1346,
  [1351] = 1348,
  [1352] = 1345,
  [1353] = 1347,
  [1354] = 1349,
  [1355] = 1346,
  [1356] = 1344,
  [1357] = 1348,
  [1358] = 1345,
  [1359] = 1359,
  [1360] = 1360,
  [1361] = 1359,
  [1362] = 1338,
  [1363] = 1360,
  [1364] = 1359,
  [1365] = 1339,
  [1366] = 1360,
  [1367] = 1367,
  [1368] = 1367,
  [1369] = 565,
  [1370] = 1340,
  [1371] = 1371,
  [1372] = 1341,
  [1373] = 1342,
  [1374] = 1343,
  [1375] = 1375,
  [1376] = 1376,
  [1377] = 1376,
  [1378] = 1376,
  [1379] = 1379,
  [1380] = 1380,
  [1381] = 1381,
  [1382] = 1381,
  [1383] = 1383,
  [1384] = 1384,
  [1385] = 1385,
  [1386] = 1386,
  [1387] = 1387,
  [1388] = 1388,
  [1389] = 1388,
  [1390] = 1390,
  [1391] = 1391,
  [1392] = 1392,
  [1393] = 1386,
  [1394] = 1387,
  [1395] = 1385,
  [1396] = 1396,
  [1397] = 1397,
  [1398] = 1398,
  [1399] = 1399,
  [1400] = 1400,
  [1401] = 1401,
  [1402] = 1401,
  [1403] = 1403,
  [1404] = 1404,
  [1405] = 1405,
  [1406] = 1406,
  [1407] = 1407,
  [1408] = 1408,
  [1409] = 1409,
  [1410] = 1410,
  [1411] = 1411,
  [1412] = 1412,
  [1413] = 1413,
  [1414] = 1414,
  [1415] = 1415,
  [1416] = 1416,
  [1417] = 1417,
  [1418] = 1418,
  [1419] = 1419,
  [1420] = 1405,
  [1421] = 1419,
  [1422] = 1418,
  [1423] = 1413,
  [1424] = 1424,
  [1425] = 1425,
  [1426] = 1426,
  [1427] = 1427,
  [1428] = 1428,
  [1429] = 1429,
  [1430] = 1430,
  [1431] = 1431,
  [1432] = 1432,
  [1433] = 1433,
  [1434] = 1434,
  [1435] = 1435,
  [1436] = 1436,
  [1437] = 1437,
  [1438] = 1438,
  [1439] = 1439,
  [1440] = 1440,
  [1441] = 1441,
  [1442] = 1442,
  [1443] = 1443,
  [1444] = 1444,
  [1445] = 1445,
  [1446] = 858,
  [1447] = 1447,
  [1448] = 1448,
  [1449] = 1449,
  [1450] = 1433,
  [1451] = 1451,
  [1452] = 1452,
  [1453] = 1453,
  [1454] = 1454,
  [1455] = 1455,
  [1456] = 1456,
  [1457] = 1457,
  [1458] = 1457,
  [1459] = 1459,
  [1460] = 1460,
  [1461] = 1455,
  [1462] = 1462,
  [1463] = 1454,
  [1464] = 1460,
  [1465] = 1455,
  [1466] = 1456,
  [1467] = 1467,
  [1468] = 1468,
  [1469] = 1460,
  [1470] = 1455,
  [1471] = 1462,
  [1472] = 1454,
  [1473] = 1473,
  [1474] = 1473,
  [1475] = 1459,
  [1476] = 1460,
  [1477] = 1459,
  [1478] = 1467,
  [1479] = 1459,
  [1480] = 1459,
  [1481] = 1460,
  [1482] = 1455,
  [1483] = 1460,
  [1484] = 1460,
  [1485] = 1485,
  [1486] = 1455,
  [1487] = 1459,
  [1488] = 1455,
  [1489] = 1462,
  [1490] = 1459,
  [1491] = 1491,
  [1492] = 1492,
  [1493] = 1493,
  [1494] = 1494,
  [1495] = 1495,
  [1496] = 893,
  [1497] = 1497,
  [1498] = 1498,
  [1499] = 1499,
  [1500] = 1498,
  [1501] = 1501,
  [1502] = 1502,
  [1503] = 1503,
  [1504] = 1504,
  [1505] = 1505,
  [1506] = 1506,
  [1507] = 1507,
  [1508] = 1507,
  [1509] = 1509,
  [1510] = 1510,
  [1511] = 1511,
  [1512] = 1512,
  [1513] = 1513,
  [1514] = 1514,
  [1515] = 1515,
  [1516] = 1516,
  [1517] = 1517,
  [1518] = 1518,
  [1519] = 1519,
  [1520] = 1520,
  [1521] = 1502,
  [1522] = 1522,
  [1523] = 596,
  [1524] = 1524,
  [1525] = 1525,
  [1526] = 1526,
  [1527] = 1527,
  [1528] = 1528,
  [1529] = 1529,
  [1530] = 1530,
  [1531] = 1531,
  [1532] = 1532,
  [1533] = 596,
  [1534] = 596,
  [1535] = 1535,
  [1536] = 1536,
  [1537] = 1537,
  [1538] = 1538,
  [1539] = 1539,
  [1540] = 1540,
  [1541] = 1541,
  [1542] = 1542,
  [1543] = 1543,
  [1544] = 1544,
  [1545] = 443,
  [1546] = 442,
  [1547] = 1547,
  [1548] = 1548,
  [1549] = 1549,
  [1550] = 1543,
  [1551] = 1551,
  [1552] = 1549,
  [1553] = 1553,
  [1554] = 1554,
  [1555] = 1555,
  [1556] = 1555,
  [1557] = 1557,
  [1558] = 1553,
  [1559] = 1554,
  [1560] = 1485,
  [1561] = 1561,
  [1562] = 1562,
  [1563] = 1563,
  [1564] = 1564,
  [1565] = 1565,
  [1566] = 1566,
  [1567] = 1567,
  [1568] = 1568,
  [1569] = 1569,
  [1570] = 1570,
  [1571] = 1571,
  [1572] = 1572,
  [1573] = 1573,
  [1574] = 1574,
  [1575] = 1575,
  [1576] = 1576,
  [1577] = 1577,
  [1578] = 1578,
  [1579] = 1579,
  [1580] = 1580,
  [1581] = 1581,
  [1582] = 1582,
  [1583] = 1583,
  [1584] = 618,
  [1585] = 597,
  [1586] = 1586,
  [1587] = 596,
  [1588] = 1588,
  [1589] = 1589,
  [1590] = 1590,
  [1591] = 1567,
  [1592] = 1568,
  [1593] = 1593,
  [1594] = 1594,
  [1595] = 1595,
  [1596] = 1596,
  [1597] = 1597,
  [1598] = 1598,
  [1599] = 1599,
  [1600] = 1598,
  [1601] = 1601,
  [1602] = 1485,
  [1603] = 1603,
  [1604] = 1604,
  [1605] = 1605,
  [1606] = 1606,
  [1607] = 1607,
  [1608] = 1589,
  [1609] = 1596,
  [1610] = 1598,
  [1611] = 1611,
  [1612] = 910,
  [1613] = 1613,
  [1614] = 1614,
  [1615] = 1442,
  [1616] = 614,
  [1617] = 1617,
  [1618] = 596,
  [1619] = 444,
  [1620] = 1620,
  [1621] = 1621,
  [1622] = 1622,
  [1623] = 1623,
  [1624] = 1624,
  [1625] = 1625,
  [1626] = 1626,
  [1627] = 696,
  [1628] = 1628,
  [1629] = 1629,
  [1630] = 1630,
  [1631] = 1626,
  [1632] = 1632,
  [1633] = 1633,
  [1634] = 445,
  [1635] = 1635,
  [1636] = 444,
  [1637] = 1620,
  [1638] = 1622,
  [1639] = 1623,
  [1640] = 1629,
  [1641] = 1641,
  [1642] = 1642,
  [1643] = 1643,
  [1644] = 1570,
  [1645] = 1645,
  [1646] = 1617,
  [1647] = 1647,
  [1648] = 1648,
  [1649] = 1649,
  [1650] = 1645,
  [1651] = 1651,
  [1652] = 1652,
  [1653] = 1641,
  [1654] = 1654,
  [1655] = 618,
  [1656] = 1656,
  [1657] = 597,
  [1658] = 1625,
  [1659] = 1626,
  [1660] = 1660,
  [1661] = 1625,
  [1662] = 1626,
  [1663] = 1663,
  [1664] = 1625,
  [1665] = 1648,
  [1666] = 1625,
  [1667] = 1626,
  [1668] = 1625,
  [1669] = 1625,
  [1670] = 1625,
  [1671] = 1625,
  [1672] = 1625,
  [1673] = 1625,
  [1674] = 1571,
  [1675] = 1651,
  [1676] = 1572,
  [1677] = 1562,
  [1678] = 1678,
  [1679] = 1679,
  [1680] = 1654,
  [1681] = 614,
  [1682] = 1624,
  [1683] = 618,
  [1684] = 1684,
  [1685] = 1485,
  [1686] = 1686,
  [1687] = 1687,
  [1688] = 1647,
  [1689] = 1643,
  [1690] = 1574,
  [1691] = 597,
  [1692] = 1570,
  [1693] = 1562,
  [1694] = 1571,
  [1695] = 614,
  [1696] = 445,
  [1697] = 1572,
  [1698] = 1630,
  [1699] = 1625,
  [1700] = 1649,
  [1701] = 596,
  [1702] = 1628,
  [1703] = 1574,
  [1704] = 1642,
  [1705] = 1705,
  [1706] = 1626,
  [1707] = 1707,
  [1708] = 1708,
  [1709] = 1709,
  [1710] = 1710,
  [1711] = 1509,
  [1712] = 1712,
  [1713] = 1713,
  [1714] = 451,
  [1715] = 1715,
  [1716] = 1716,
  [1717] = 1717,
  [1718] = 1718,
  [1719] = 1719,
  [1720] = 1720,
  [1721] = 1721,
  [1722] = 1722,
  [1723] = 1723,
  [1724] = 1724,
  [1725] = 454,
  [1726] = 1726,
  [1727] = 1516,
  [1728] = 1518,
  [1729] = 565,
  [1730] = 1520,
  [1731] = 1731,
  [1732] = 1512,
  [1733] = 1733,
  [1734] = 1734,
  [1735] = 1735,
  [1736] = 1736,
  [1737] = 1737,
  [1738] = 1738,
  [1739] = 1739,
  [1740] = 1740,
  [1741] = 1741,
  [1742] = 1742,
  [1743] = 1743,
  [1744] = 1744,
  [1745] = 453,
  [1746] = 1746,
  [1747] = 1747,
  [1748] = 1748,
  [1749] = 1749,
  [1750] = 1750,
  [1751] = 1751,
  [1752] = 1752,
  [1753] = 1753,
  [1754] = 1754,
  [1755] = 1755,
  [1756] = 1756,
  [1757] = 1757,
  [1758] = 1713,
  [1759] = 1759,
  [1760] = 1760,
  [1761] = 1716,
  [1762] = 1762,
  [1763] = 1763,
  [1764] = 1764,
  [1765] = 1765,
  [1766] = 1766,
  [1767] = 1767,
  [1768] = 1768,
  [1769] = 1769,
  [1770] = 1715,
  [1771] = 448,
  [1772] = 1718,
  [1773] = 449,
  [1774] = 1774,
  [1775] = 1769,
  [1776] = 1499,
  [1777] = 1504,
  [1778] = 1495,
  [1779] = 1501,
  [1780] = 1516,
  [1781] = 1520,
  [1782] = 1782,
  [1783] = 1504,
  [1784] = 1719,
  [1785] = 1785,
  [1786] = 1723,
  [1787] = 450,
  [1788] = 1788,
  [1789] = 772,
  [1790] = 1790,
  [1791] = 1720,
  [1792] = 1792,
  [1793] = 1721,
  [1794] = 1794,
  [1795] = 1742,
  [1796] = 1796,
  [1797] = 1797,
  [1798] = 1798,
  [1799] = 1726,
  [1800] = 1800,
  [1801] = 1801,
  [1802] = 1802,
  [1803] = 1803,
  [1804] = 1804,
  [1805] = 1785,
  [1806] = 1806,
  [1807] = 1722,
  [1808] = 1808,
  [1809] = 1809,
  [1810] = 1810,
  [1811] = 1811,
  [1812] = 1712,
  [1813] = 1813,
  [1814] = 1814,
  [1815] = 1815,
  [1816] = 1724,
  [1817] = 1760,
  [1818] = 1762,
  [1819] = 1768,
  [1820] = 1820,
  [1821] = 1821,
  [1822] = 1822,
  [1823] = 1497,
  [1824] = 1813,
  [1825] = 1510,
  [1826] = 1513,
  [1827] = 1827,
  [1828] = 1815,
  [1829] = 1829,
  [1830] = 1830,
  [1831] = 1510,
  [1832] = 1513,
  [1833] = 1509,
  [1834] = 452,
  [1835] = 1835,
  [1836] = 1810,
  [1837] = 1837,
  [1838] = 1838,
  [1839] = 1839,
  [1840] = 1840,
  [1841] = 1841,
  [1842] = 1842,
  [1843] = 1804,
  [1844] = 1844,
  [1845] = 1845,
  [1846] = 1846,
  [1847] = 1505,
  [1848] = 1848,
  [1849] = 1524,
  [1850] = 1774,
  [1851] = 1851,
  [1852] = 1518,
  [1853] = 1853,
  [1854] = 1854,
  [1855] = 1855,
  [1856] = 1856,
  [1857] = 1857,
  [1858] = 1856,
  [1859] = 1859,
  [1860] = 1844,
  [1861] = 1861,
  [1862] = 1859,
  [1863] = 1863,
  [1864] = 1864,
  [1865] = 1865,
  [1866] = 1866,
  [1867] = 1867,
  [1868] = 1868,
  [1869] = 1869,
  [1870] = 1870,
  [1871] = 1871,
  [1872] = 1872,
  [1873] = 1873,
  [1874] = 1874,
  [1875] = 1873,
  [1876] = 1866,
  [1877] = 1877,
  [1878] = 1878,
  [1879] = 1879,
  [1880] = 1880,
  [1881] = 1881,
  [1882] = 712,
  [1883] = 1871,
  [1884] = 1884,
  [1885] = 1514,
  [1886] = 1886,
  [1887] = 1887,
  [1888] = 1888,
  [1889] = 1889,
  [1890] = 1890,
  [1891] = 1891,
  [1892] = 1892,
  [1893] = 1893,
  [1894] = 1894,
  [1895] = 1895,
  [1896] = 1886,
  [1897] = 1897,
  [1898] = 1846,
  [1899] = 1897,
  [1900] = 1900,
  [1901] = 1889,
  [1902] = 1902,
  [1903] = 1903,
  [1904] = 1904,
  [1905] = 1845,
  [1906] = 1906,
  [1907] = 1891,
  [1908] = 1274,
  [1909] = 1909,
  [1910] = 1910,
  [1911] = 1911,
  [1912] = 1863,
  [1913] = 1913,
  [1914] = 1522,
  [1915] = 1515,
  [1916] = 1874,
  [1917] = 1917,
  [1918] = 1855,
  [1919] = 1919,
  [1920] = 1708,
  [1921] = 1921,
  [1922] = 1922,
  [1923] = 1923,
  [1924] = 1886,
  [1925] = 1925,
  [1926] = 1512,
  [1927] = 1886,
  [1928] = 1921,
  [1929] = 1814,
  [1930] = 1891,
  [1931] = 1904,
  [1932] = 1932,
  [1933] = 1933,
  [1934] = 1934,
  [1935] = 1853,
  [1936] = 1923,
  [1937] = 1937,
  [1938] = 1864,
  [1939] = 1939,
  [1940] = 1940,
  [1941] = 1941,
  [1942] = 1886,
  [1943] = 1933,
  [1944] = 1944,
  [1945] = 1902,
  [1946] = 1886,
  [1947] = 1820,
  [1948] = 1886,
  [1949] = 1897,
  [1950] = 1950,
  [1951] = 1897,
  [1952] = 1952,
  [1953] = 1953,
  [1954] = 1954,
  [1955] = 490,
  [1956] = 1956,
  [1957] = 1957,
  [1958] = 492,
  [1959] = 1959,
  [1960] = 1960,
  [1961] = 493,
  [1962] = 494,
  [1963] = 1963,
  [1964] = 1964,
  [1965] = 1965,
  [1966] = 495,
  [1967] = 1967,
  [1968] = 1968,
  [1969] = 496,
  [1970] = 497,
  [1971] = 499,
  [1972] = 1972,
  [1973] = 1973,
  [1974] = 500,
  [1975] = 504,
  [1976] = 1976,
  [1977] = 523,
  [1978] = 524,
  [1979] = 525,
  [1980] = 1980,
  [1981] = 1981,
  [1982] = 1982,
  [1983] = 1983,
  [1984] = 456,
  [1985] = 526,
  [1986] = 1986,
  [1987] = 1987,
  [1988] = 1988,
  [1989] = 1989,
  [1990] = 1990,
  [1991] = 1991,
  [1992] = 1992,
  [1993] = 1993,
  [1994] = 1994,
  [1995] = 1995,
  [1996] = 1996,
  [1997] = 1997,
  [1998] = 1998,
  [1999] = 1999,
  [2000] = 527,
  [2001] = 528,
  [2002] = 2002,
  [2003] = 531,
  [2004] = 532,
  [2005] = 533,
  [2006] = 538,
  [2007] = 2007,
  [2008] = 2008,
  [2009] = 555,
  [2010] = 2010,
  [2011] = 2011,
  [2012] = 2012,
  [2013] = 2013,
  [2014] = 457,
  [2015] = 1953,
  [2016] = 570,
  [2017] = 2017,
  [2018] = 1995,
  [2019] = 1999,
  [2020] = 2020,
  [2021] = 571,
  [2022] = 1957,
  [2023] = 1963,
  [2024] = 574,
  [2025] = 1968,
  [2026] = 576,
  [2027] = 2027,
  [2028] = 2028,
  [2029] = 2029,
  [2030] = 2030,
  [2031] = 478,
  [2032] = 498,
  [2033] = 472,
  [2034] = 2034,
  [2035] = 459,
  [2036] = 484,
  [2037] = 2034,
  [2038] = 2038,
  [2039] = 460,
  [2040] = 2040,
  [2041] = 461,
  [2042] = 2042,
  [2043] = 2043,
  [2044] = 508,
  [2045] = 510,
  [2046] = 2046,
  [2047] = 513,
  [2048] = 466,
  [2049] = 467,
  [2050] = 2050,
  [2051] = 503,
  [2052] = 506,
  [2053] = 2053,
  [2054] = 462,
  [2055] = 2055,
  [2056] = 2056,
  [2057] = 2057,
  [2058] = 2058,
  [2059] = 2059,
  [2060] = 514,
  [2061] = 544,
  [2062] = 2062,
  [2063] = 463,
  [2064] = 581,
  [2065] = 2065,
  [2066] = 1332,
  [2067] = 473,
  [2068] = 476,
  [2069] = 2069,
  [2070] = 2070,
  [2071] = 2071,
  [2072] = 2072,
  [2073] = 487,
  [2074] = 488,
  [2075] = 489,
  [2076] = 2076,
  [2077] = 2077,
  [2078] = 2078,
  [2079] = 2079,
  [2080] = 2080,
  [2081] = 2081,
  [2082] = 2082,
  [2083] = 2083,
  [2084] = 2084,
  [2085] = 2085,
  [2086] = 501,
  [2087] = 502,
  [2088] = 2088,
  [2089] = 2089,
  [2090] = 505,
  [2091] = 2091,
  [2092] = 2092,
  [2093] = 507,
  [2094] = 2040,
  [2095] = 2095,
  [2096] = 2002,
  [2097] = 2008,
  [2098] = 2042,
  [2099] = 2012,
  [2100] = 511,
  [2101] = 512,
  [2102] = 2020,
  [2103] = 515,
  [2104] = 516,
  [2105] = 518,
  [2106] = 519,
  [2107] = 2107,
  [2108] = 2028,
  [2109] = 2109,
  [2110] = 2110,
  [2111] = 2111,
  [2112] = 2112,
  [2113] = 2046,
  [2114] = 535,
  [2115] = 2115,
  [2116] = 2043,
  [2117] = 2072,
  [2118] = 537,
  [2119] = 2119,
  [2120] = 2077,
  [2121] = 539,
  [2122] = 2079,
  [2123] = 2080,
  [2124] = 543,
  [2125] = 2085,
  [2126] = 2088,
  [2127] = 455,
  [2128] = 2089,
  [2129] = 550,
  [2130] = 551,
  [2131] = 2046,
  [2132] = 552,
  [2133] = 554,
  [2134] = 2017,
  [2135] = 2072,
  [2136] = 2136,
  [2137] = 556,
  [2138] = 559,
  [2139] = 2109,
  [2140] = 573,
  [2141] = 517,
  [2142] = 1981,
  [2143] = 2046,
  [2144] = 1982,
  [2145] = 2145,
  [2146] = 561,
  [2147] = 2072,
  [2148] = 2110,
  [2149] = 2149,
  [2150] = 562,
  [2151] = 2111,
  [2152] = 2112,
  [2153] = 564,
  [2154] = 2154,
  [2155] = 2046,
  [2156] = 2083,
  [2157] = 566,
  [2158] = 567,
  [2159] = 2072,
  [2160] = 2160,
  [2161] = 568,
  [2162] = 2162,
  [2163] = 2119,
  [2164] = 569,
  [2165] = 464,
  [2166] = 2166,
  [2167] = 2107,
  [2168] = 2168,
  [2169] = 2169,
  [2170] = 1972,
  [2171] = 2171,
  [2172] = 1986,
  [2173] = 2173,
  [2174] = 2174,
  [2175] = 2175,
  [2176] = 557,
  [2177] = 1893,
  [2178] = 2046,
  [2179] = 2179,
  [2180] = 2180,
  [2181] = 2181,
  [2182] = 2182,
  [2183] = 1528,
  [2184] = 1954,
  [2185] = 2185,
  [2186] = 1959,
  [2187] = 2078,
  [2188] = 2188,
  [2189] = 465,
  [2190] = 1989,
  [2191] = 468,
  [2192] = 2192,
  [2193] = 469,
  [2194] = 2194,
  [2195] = 470,
  [2196] = 2196,
  [2197] = 2029,
  [2198] = 2198,
  [2199] = 2199,
  [2200] = 2200,
  [2201] = 474,
  [2202] = 475,
  [2203] = 2203,
  [2204] = 575,
  [2205] = 2154,
  [2206] = 2206,
  [2207] = 1512,
  [2208] = 477,
  [2209] = 1996,
  [2210] = 2210,
  [2211] = 2070,
  [2212] = 2071,
  [2213] = 2213,
  [2214] = 1941,
  [2215] = 2062,
  [2216] = 2216,
  [2217] = 572,
  [2218] = 577,
  [2219] = 578,
  [2220] = 2220,
  [2221] = 2221,
  [2222] = 2222,
  [2223] = 579,
  [2224] = 2224,
  [2225] = 2225,
  [2226] = 2226,
  [2227] = 2227,
  [2228] = 2228,
  [2229] = 2229,
  [2230] = 1822,
  [2231] = 2056,
  [2232] = 2232,
  [2233] = 2233,
  [2234] = 2234,
  [2235] = 2235,
  [2236] = 2236,
  [2237] = 2237,
  [2238] = 2007,
  [2239] = 2239,
  [2240] = 1709,
  [2241] = 2241,
  [2242] = 2242,
  [2243] = 2243,
  [2244] = 509,
  [2245] = 2245,
  [2246] = 2072,
  [2247] = 2013,
  [2248] = 2248,
  [2249] = 540,
  [2250] = 545,
  [2251] = 546,
  [2252] = 563,
  [2253] = 1917,
  [2254] = 471,
  [2255] = 2255,
  [2256] = 482,
  [2257] = 2257,
  [2258] = 2059,
  [2259] = 2030,
  [2260] = 2260,
  [2261] = 479,
  [2262] = 480,
  [2263] = 483,
  [2264] = 481,
  [2265] = 2265,
  [2266] = 485,
  [2267] = 2267,
  [2268] = 2268,
  [2269] = 2269,
  [2270] = 522,
  [2271] = 529,
  [2272] = 2272,
  [2273] = 530,
  [2274] = 534,
  [2275] = 2149,
  [2276] = 536,
  [2277] = 2272,
  [2278] = 2053,
  [2279] = 580,
  [2280] = 541,
  [2281] = 542,
  [2282] = 547,
  [2283] = 548,
  [2284] = 549,
  [2285] = 2285,
  [2286] = 1895,
  [2287] = 553,
  [2288] = 486,
  [2289] = 2289,
  [2290] = 2290,
  [2291] = 2057,
  [2292] = 2292,
  [2293] = 2293,
  [2294] = 2169,
  [2295] = 2295,
  [2296] = 2296,
  [2297] = 560,
  [2298] = 2226,
  [2299] = 2299,
  [2300] = 2300,
  [2301] = 2301,
  [2302] = 2302,
  [2303] = 2303,
  [2304] = 1803,
  [2305] = 2305,
  [2306] = 2306,
  [2307] = 2307,
  [2308] = 2308,
  [2309] = 2309,
  [2310] = 2310,
  [2311] = 2311,
  [2312] = 2312,
  [2313] = 2313,
  [2314] = 2314,
  [2315] = 2299,
  [2316] = 2316,
  [2317] = 2302,
  [2318] = 2318,
  [2319] = 2305,
  [2320] = 1841,
  [2321] = 2321,
  [2322] = 2312,
  [2323] = 2312,
  [2324] = 2305,
  [2325] = 2325,
  [2326] = 2326,
  [2327] = 2327,
  [2328] = 2305,
  [2329] = 2329,
  [2330] = 2330,
  [2331] = 2331,
  [2332] = 2312,
  [2333] = 2333,
  [2334] = 2334,
  [2335] = 2335,
  [2336] = 2336,
  [2337] = 2337,
  [2338] = 2338,
  [2339] = 2339,
  [2340] = 2340,
  [2341] = 2341,
  [2342] = 2342,
  [2343] = 2343,
  [2344] = 2344,
  [2345] = 2345,
  [2346] = 2346,
  [2347] = 2314,
  [2348] = 2348,
  [2349] = 2299,
  [2350] = 2326,
  [2351] = 2351,
  [2352] = 2352,
  [2353] = 2353,
  [2354] = 2354,
  [2355] = 2355,
  [2356] = 2356,
  [2357] = 2357,
  [2358] = 2358,
  [2359] = 2359,
  [2360] = 2360,
  [2361] = 2361,
  [2362] = 2362,
  [2363] = 2357,
  [2364] = 2364,
  [2365] = 2365,
  [2366] = 2366,
  [2367] = 2367,
  [2368] = 2368,
  [2369] = 2369,
  [2370] = 2370,
  [2371] = 2371,
  [2372] = 2372,
  [2373] = 2373,
  [2374] = 2374,
  [2375] = 2375,
  [2376] = 2376,
  [2377] = 2358,
  [2378] = 2378,
  [2379] = 2334,
  [2380] = 2369,
  [2381] = 2311,
  [2382] = 2382,
  [2383] = 2383,
  [2384] = 2384,
  [2385] = 2385,
  [2386] = 2386,
  [2387] = 2387,
  [2388] = 2308,
  [2389] = 2389,
  [2390] = 2343,
  [2391] = 911,
  [2392] = 2392,
  [2393] = 2393,
  [2394] = 2312,
  [2395] = 2395,
  [2396] = 2396,
  [2397] = 2397,
  [2398] = 2398,
  [2399] = 2325,
  [2400] = 2400,
  [2401] = 2401,
  [2402] = 2402,
  [2403] = 2403,
  [2404] = 2384,
  [2405] = 2405,
  [2406] = 2406,
  [2407] = 2407,
  [2408] = 2408,
  [2409] = 2375,
  [2410] = 2410,
  [2411] = 2382,
  [2412] = 2412,
  [2413] = 2362,
  [2414] = 2370,
  [2415] = 2415,
  [2416] = 2416,
  [2417] = 2417,
  [2418] = 2348,
  [2419] = 2408,
  [2420] = 2420,
  [2421] = 2410,
  [2422] = 2416,
  [2423] = 1425,
  [2424] = 2424,
  [2425] = 2396,
  [2426] = 2426,
  [2427] = 2402,
  [2428] = 2428,
  [2429] = 2429,
  [2430] = 2430,
  [2431] = 2431,
  [2432] = 2374,
  [2433] = 2433,
  [2434] = 2434,
  [2435] = 2435,
  [2436] = 2436,
  [2437] = 2437,
  [2438] = 2301,
  [2439] = 2439,
  [2440] = 2353,
  [2441] = 2441,
  [2442] = 2442,
  [2443] = 2443,
  [2444] = 2444,
  [2445] = 2342,
  [2446] = 2344,
  [2447] = 2447,
  [2448] = 1956,
  [2449] = 2449,
  [2450] = 2450,
  [2451] = 2451,
  [2452] = 2385,
  [2453] = 2393,
  [2454] = 2351,
  [2455] = 2455,
  [2456] = 2456,
  [2457] = 2457,
  [2458] = 2458,
  [2459] = 2459,
  [2460] = 1829,
  [2461] = 2428,
  [2462] = 2376,
  [2463] = 2463,
  [2464] = 2464,
  [2465] = 2465,
  [2466] = 2383,
  [2467] = 2467,
  [2468] = 2225,
  [2469] = 2469,
  [2470] = 2316,
  [2471] = 2305,
  [2472] = 2472,
  [2473] = 2420,
  [2474] = 2474,
  [2475] = 2475,
  [2476] = 2469,
  [2477] = 2402,
  [2478] = 2336,
  [2479] = 2360,
  [2480] = 2299,
  [2481] = 2481,
  [2482] = 2482,
  [2483] = 2483,
  [2484] = 2305,
  [2485] = 2431,
  [2486] = 2354,
  [2487] = 2300,
  [2488] = 2412,
  [2489] = 2318,
  [2490] = 2387,
  [2491] = 2456,
  [2492] = 2433,
  [2493] = 2493,
  [2494] = 2494,
  [2495] = 2495,
  [2496] = 2180,
  [2497] = 2497,
  [2498] = 2335,
  [2499] = 2312,
  [2500] = 1428,
  [2501] = 2402,
  [2502] = 2502,
  [2503] = 2481,
  [2504] = 2504,
  [2505] = 2505,
  [2506] = 2506,
  [2507] = 2507,
  [2508] = 2508,
  [2509] = 2509,
  [2510] = 2510,
  [2511] = 2511,
  [2512] = 2512,
  [2513] = 2513,
  [2514] = 2514,
  [2515] = 2515,
  [2516] = 2516,
  [2517] = 2517,
  [2518] = 2516,
  [2519] = 2519,
  [2520] = 2520,
  [2521] = 2521,
  [2522] = 2509,
  [2523] = 2523,
  [2524] = 2524,
  [2525] = 2525,
  [2526] = 2526,
  [2527] = 2527,
  [2528] = 2528,
  [2529] = 2529,
  [2530] = 2530,
  [2531] = 2531,
  [2532] = 2517,
  [2533] = 2533,
  [2534] = 2534,
  [2535] = 2535,
  [2536] = 2536,
  [2537] = 2537,
  [2538] = 2511,
  [2539] = 2539,
  [2540] = 2524,
  [2541] = 2541,
  [2542] = 2542,
  [2543] = 2521,
  [2544] = 2544,
  [2545] = 2545,
  [2546] = 2546,
  [2547] = 2547,
  [2548] = 2530,
  [2549] = 2528,
  [2550] = 2528,
  [2551] = 2551,
  [2552] = 2552,
  [2553] = 2553,
  [2554] = 2554,
  [2555] = 2555,
  [2556] = 2556,
  [2557] = 2557,
  [2558] = 2514,
  [2559] = 2559,
  [2560] = 2560,
  [2561] = 2561,
  [2562] = 2562,
  [2563] = 2563,
  [2564] = 2509,
  [2565] = 2507,
  [2566] = 2566,
  [2567] = 2567,
  [2568] = 2562,
  [2569] = 2556,
  [2570] = 2570,
  [2571] = 2541,
  [2572] = 2509,
  [2573] = 2541,
  [2574] = 2510,
  [2575] = 2507,
  [2576] = 2576,
  [2577] = 2577,
  [2578] = 2578,
  [2579] = 2579,
  [2580] = 2570,
  [2581] = 2551,
  [2582] = 2582,
  [2583] = 2512,
  [2584] = 2559,
  [2585] = 2560,
  [2586] = 2586,
  [2587] = 2544,
  [2588] = 2588,
  [2589] = 2589,
  [2590] = 2590,
  [2591] = 2591,
  [2592] = 2536,
  [2593] = 2586,
  [2594] = 2594,
  [2595] = 2595,
  [2596] = 2526,
  [2597] = 2513,
  [2598] = 2598,
  [2599] = 1976,
  [2600] = 2600,
  [2601] = 2521,
  [2602] = 2576,
  [2603] = 2603,
  [2604] = 2604,
  [2605] = 2605,
  [2606] = 2606,
  [2607] = 2607,
  [2608] = 2608,
  [2609] = 2609,
  [2610] = 2610,
  [2611] = 2611,
  [2612] = 2609,
  [2613] = 2595,
  [2614] = 2614,
  [2615] = 2545,
  [2616] = 2579,
  [2617] = 2617,
  [2618] = 2552,
  [2619] = 2619,
  [2620] = 2546,
  [2621] = 2621,
  [2622] = 2554,
  [2623] = 2562,
  [2624] = 2624,
  [2625] = 2519,
  [2626] = 2626,
  [2627] = 2627,
  [2628] = 2604,
  [2629] = 2604,
  [2630] = 2559,
  [2631] = 2555,
  [2632] = 2530,
  [2633] = 2552,
  [2634] = 2634,
  [2635] = 2635,
  [2636] = 2636,
  [2637] = 2604,
  [2638] = 2638,
  [2639] = 2547,
  [2640] = 2530,
  [2641] = 2528,
  [2642] = 2642,
  [2643] = 1950,
  [2644] = 2590,
  [2645] = 2507,
  [2646] = 2626,
  [2647] = 2627,
  [2648] = 2648,
  [2649] = 2541,
  [2650] = 2590,
  [2651] = 2509,
  [2652] = 2507,
  [2653] = 2653,
  [2654] = 2560,
  [2655] = 2541,
  [2656] = 2624,
  [2657] = 2576,
  [2658] = 2653,
  [2659] = 2509,
  [2660] = 2555,
  [2661] = 2661,
  [2662] = 2589,
  [2663] = 2566,
  [2664] = 2536,
  [2665] = 2665,
  [2666] = 2666,
  [2667] = 2667,
  [2668] = 2591,
  [2669] = 2611,
  [2670] = 2670,
  [2671] = 2552,
  [2672] = 2603,
  [2673] = 2604,
  [2674] = 2674,
  [2675] = 2675,
  [2676] = 2676,
  [2677] = 2677,
  [2678] = 2678,
  [2679] = 2547,
  [2680] = 2555,
  [2681] = 2681,
  [2682] = 2296,
  [2683] = 2514,
  [2684] = 2559,
  [2685] = 2560,
  [2686] = 2686,
  [2687] = 2562,
  [2688] = 2688,
  [2689] = 2689,
  [2690] = 2509,
  [2691] = 2691,
  [2692] = 2506,
  [2693] = 2528,
  [2694] = 2578,
  [2695] = 2695,
  [2696] = 2675,
  [2697] = 2590,
  [2698] = 2698,
  [2699] = 2523,
  [2700] = 2566,
  [2701] = 2701,
  [2702] = 2603,
  [2703] = 2563,
  [2704] = 2661,
  [2705] = 2636,
  [2706] = 2557,
  [2707] = 2542,
  [2708] = 2590,
  [2709] = 2611,
  [2710] = 2579,
  [2711] = 2521,
  [2712] = 2670,
  [2713] = 2582,
  [2714] = 2688,
  [2715] = 2715,
  [2716] = 2667,
  [2717] = 2677,
  [2718] = 2718,
  [2719] = 2521,
  [2720] = 2591,
  [2721] = 2674,
  [2722] = 2722,
  [2723] = 2576,
  [2724] = 2724,
  [2725] = 2691,
  [2726] = 2579,
  [2727] = 2677,
  [2728] = 2514,
  [2729] = 2566,
  [2730] = 2698,
  [2731] = 2547,
  [2732] = 2732,
  [2733] = 2603,
  [2734] = 2521,
  [2735] = 2698,
  [2736] = 2677,
  [2737] = 2737,
  [2738] = 2698,
  [2739] = 2739,
  [2740] = 2740,
  [2741] = 2741,
};

static TSCharacterRange sym_escape_sequence_character_set_1[] = {
  {'"', '"'}, {'$', '$'}, {'0', '7'}, {'\\', '\\'}, {'`', '`'}, {'e', 'f'}, {'n', 'n'}, {'r', 'r'},
  {'t', 'v'}, {'x', 'x'},
};

static TSCharacterRange sym_name_character_set_1[] = {
  {'0', '9'}, {'A', 'Z'}, {'_', '_'}, {'a', 'z'}, {0x80, 0x9f}, {0xa1, 0x200a}, {0x200c, 0x205f}, {0x2061, 0xfefe},
  {0xff00, 0xffff},
};

static bool ts_lex(TSLexer *lexer, TSStateId state) {
  START_LEXER();
  eof = lexer->eof(lexer);
  switch (state) {
    case 0:
      if (eof) ADVANCE(67);
      ADVANCE_MAP(
        '!', 135,
        '"', 184,
        '#', 264,
        '$', 188,
        '%', 224,
        '&', 85,
        '\'', 186,
        '(', 95,
        ')', 96,
        '*', 219,
        '+', 127,
        ',', 86,
        '-', 130,
        '.', 217,
        '/', 222,
        '0', 117,
        ':', 93,
        ';', 82,
        '<', 205,
        '=', 87,
        '>', 206,
        '?', 100,
        '@', 136,
        '[', 155,
        '\\', 89,
        ']', 156,
        '^', 196,
        '_', 259,
        '`', 187,
        '{', 90,
        '|', 105,
        '}', 91,
        '~', 133,
        'A', 249,
        'a', 249,
        'B', 225,
        'b', 225,
        'E', 228,
        'e', 228,
        'F', 229,
        'f', 229,
        'I', 243,
        'i', 243,
        'N', 257,
        'n', 257,
        'S', 255,
        's', 255,
        'T', 248,
        't', 248,
        'U', 241,
        'u', 241,
      );
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(119);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 0xa0 ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(62);
      if (('C' <= lookahead && lookahead <= 'z') ||
          (0x80 <= lookahead && lookahead <= 0xffff)) ADVANCE(261);
      END_STATE();
    case 1:
      if (lookahead == '\n') ADVANCE(262);
      END_STATE();
    case 2:
      if (lookahead == '\n') ADVANCE(262);
      if (lookahead == '\r') ADVANCE(1);
      if (lookahead != 0 &&
          lookahead != '>') ADVANCE(263);
      END_STATE();
    case 3:
      ADVANCE_MAP(
        '\n', 185,
        '\r', 185,
        '"', 184,
        '#', 265,
        '$', 188,
        '-', 31,
        '/', 20,
        '?', 33,
        '[', 155,
        '\\', 35,
        '{', 90,
      );
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ' ||
          lookahead == 0xa0 ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(4);
      END_STATE();
    case 4:
      ADVANCE_MAP(
        '\n', 185,
        '\r', 185,
        '#', 265,
        '$', 188,
        '-', 31,
        '/', 20,
        '?', 33,
        '[', 155,
        '\\', 36,
        '{', 90,
      );
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ' ||
          lookahead == 0xa0 ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(4);
      END_STATE();
    case 5:
      ADVANCE_MAP(
        '!', 135,
        '"', 169,
        '#', 264,
        '$', 188,
        '%', 223,
        '&', 84,
        '\'', 171,
        '(', 97,
        ')', 98,
        '*', 220,
        '+', 126,
        ',', 86,
        '-', 129,
        '.', 217,
        '/', 221,
        '0', 117,
        ':', 92,
        ';', 82,
        '<', 202,
        '=', 30,
        '>', 207,
        '?', 103,
        '@', 136,
        '[', 155,
        '\\', 88,
        ']', 156,
        '^', 195,
        '_', 259,
        '`', 187,
        '{', 90,
        '|', 106,
        '}', 91,
        '~', 133,
        'A', 249,
        'a', 249,
        'B', 226,
        'b', 226,
        'E', 228,
        'e', 228,
        'F', 230,
        'f', 230,
        'N', 257,
        'n', 257,
        'T', 248,
        't', 248,
      );
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(119);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 0xa0 ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(5);
      if (('C' <= lookahead && lookahead <= 'z') ||
          (0x80 <= lookahead && lookahead <= 0xffff)) ADVANCE(261);
      END_STATE();
    case 6:
      ADVANCE_MAP(
        '!', 134,
        '"', 169,
        '#', 264,
        '$', 188,
        '&', 83,
        '\'', 171,
        '(', 97,
        ')', 98,
        '+', 126,
        ',', 86,
        '-', 129,
        '.', 113,
        '/', 20,
        '0', 117,
        '<', 27,
        '?', 33,
        '@', 136,
        '[', 155,
        '\\', 88,
        ']', 156,
        '_', 259,
        '`', 187,
        '~', 133,
        'A', 249,
        'a', 249,
        'B', 226,
        'b', 226,
        'E', 228,
        'e', 228,
        'F', 230,
        'f', 230,
        'N', 257,
        'n', 257,
        'T', 248,
        't', 248,
      );
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(119);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 0xa0 ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(6);
      if (('C' <= lookahead && lookahead <= 'Z') ||
          ('c' <= lookahead && lookahead <= 'z') ||
          (0x80 <= lookahead && lookahead <= 0xffff)) ADVANCE(261);
      END_STATE();
    case 7:
      ADVANCE_MAP(
        '!', 134,
        '"', 169,
        '#', 264,
        '$', 188,
        '\'', 171,
        '(', 97,
        '+', 126,
        '-', 129,
        '.', 114,
        '/', 20,
        '0', 117,
        '<', 27,
        '?', 33,
        '@', 136,
        '[', 155,
        '\\', 88,
        '_', 259,
        '`', 187,
        '~', 133,
        'A', 249,
        'a', 249,
        'B', 225,
        'b', 225,
        'E', 228,
        'e', 228,
        'F', 229,
        'f', 229,
        'I', 243,
        'i', 243,
        'N', 257,
        'n', 257,
        'S', 255,
        's', 255,
        'T', 248,
        't', 248,
        'U', 241,
        'u', 241,
      );
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(119);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 0xa0 ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(7);
      if (('C' <= lookahead && lookahead <= 'Z') ||
          ('c' <= lookahead && lookahead <= 'z') ||
          (0x80 <= lookahead && lookahead <= 0xffff)) ADVANCE(261);
      END_STATE();
    case 8:
      ADVANCE_MAP(
        '!', 29,
        '"', 169,
        '#', 265,
        '$', 188,
        '%', 223,
        '&', 84,
        '(', 97,
        ')', 98,
        '*', 220,
        '+', 126,
        ',', 86,
        '-', 131,
        '.', 216,
        '/', 221,
        ':', 93,
        ';', 82,
        '<', 204,
        '=', 87,
        '>', 207,
        '?', 101,
        '[', 155,
        '\\', 35,
        ']', 156,
        '^', 195,
        '`', 187,
        '{', 90,
        '|', 106,
        '}', 91,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 0xa0 ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(9);
      if (('A' <= lookahead && lookahead <= 'z') ||
          (0x80 <= lookahead && lookahead <= 0xffff)) ADVANCE(261);
      END_STATE();
    case 9:
      ADVANCE_MAP(
        '!', 29,
        '"', 169,
        '#', 265,
        '$', 188,
        '%', 223,
        '&', 84,
        '(', 97,
        ')', 98,
        '*', 220,
        '+', 126,
        ',', 86,
        '-', 131,
        '.', 216,
        '/', 221,
        ':', 93,
        ';', 82,
        '<', 204,
        '=', 87,
        '>', 207,
        '?', 101,
        '[', 155,
        '\\', 36,
        ']', 156,
        '^', 195,
        '`', 187,
        '{', 90,
        '|', 106,
        '}', 91,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 0xa0 ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(9);
      if (('A' <= lookahead && lookahead <= 'z') ||
          (0x80 <= lookahead && lookahead <= 0xffff)) ADVANCE(261);
      END_STATE();
    case 10:
      ADVANCE_MAP(
        '!', 29,
        '#', 265,
        '$', 188,
        '%', 223,
        '&', 84,
        '\'', 186,
        '(', 97,
        ')', 98,
        '*', 220,
        '+', 125,
        ',', 86,
        '-', 132,
        '.', 216,
        '/', 221,
        '0', 122,
        ':', 93,
        ';', 82,
        '<', 204,
        '=', 87,
        '>', 207,
        '?', 101,
        '[', 155,
        '\\', 88,
        ']', 156,
        '^', 195,
        '{', 90,
        '|', 106,
        '}', 91,
      );
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(124);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 0xa0 ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(11);
      if (('A' <= lookahead && lookahead <= '_') ||
          ('a' <= lookahead && lookahead <= 'z') ||
          (0x80 <= lookahead && lookahead <= 0xffff)) ADVANCE(261);
      END_STATE();
    case 11:
      ADVANCE_MAP(
        '!', 29,
        '#', 265,
        '$', 188,
        '%', 223,
        '&', 84,
        '(', 97,
        ')', 98,
        '*', 220,
        '+', 125,
        ',', 86,
        '-', 132,
        '.', 216,
        '/', 221,
        '0', 122,
        ':', 93,
        ';', 82,
        '<', 204,
        '=', 87,
        '>', 207,
        '?', 101,
        '[', 155,
        '\\', 88,
        ']', 156,
        '^', 195,
        '{', 90,
        '|', 106,
        '}', 91,
      );
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(124);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 0xa0 ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(11);
      if (('A' <= lookahead && lookahead <= '_') ||
          ('a' <= lookahead && lookahead <= 'z') ||
          (0x80 <= lookahead && lookahead <= 0xffff)) ADVANCE(261);
      END_STATE();
    case 12:
      ADVANCE_MAP(
        '!', 29,
        '#', 265,
        '$', 188,
        '%', 223,
        '&', 84,
        '(', 97,
        ')', 98,
        '*', 220,
        '+', 125,
        ',', 86,
        '-', 128,
        '.', 216,
        '/', 221,
        ':', 93,
        ';', 82,
        '<', 204,
        '=', 87,
        '>', 207,
        '?', 103,
        '\\', 88,
        ']', 156,
        '^', 195,
        '{', 90,
        '|', 106,
        '}', 91,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 0xa0 ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(12);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z') ||
          (0x80 <= lookahead && lookahead <= 0xffff)) ADVANCE(261);
      END_STATE();
    case 13:
      if (lookahead == '"') ADVANCE(168);
      if (lookahead == '\'') ADVANCE(170);
      END_STATE();
    case 14:
      ADVANCE_MAP(
        '"', 169,
        '#', 265,
        '\'', 171,
        '.', 114,
        '/', 20,
        '0', 117,
        '<', 27,
        '?', 33,
        '_', 56,
        'B', 13,
        'b', 13,
        'E', 39,
        'e', 39,
        'F', 40,
        'f', 40,
        'N', 50,
        'n', 50,
        'T', 47,
        't', 47,
      );
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(119);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 0xa0 ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(14);
      END_STATE();
    case 15:
      ADVANCE_MAP(
        '#', 264,
        '$', 188,
        '&', 83,
        '(', 97,
        ')', 98,
        ',', 86,
        '.', 23,
        '/', 20,
        '?', 102,
        '\\', 88,
        '}', 91,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 0xa0 ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(15);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z') ||
          (0x80 <= lookahead && lookahead <= 0xffff)) ADVANCE(261);
      END_STATE();
    case 16:
      ADVANCE_MAP(
        '#', 265,
        '$', 188,
        '&', 83,
        '(', 95,
        ')', 96,
        '/', 20,
        ';', 82,
        '?', 102,
        '\\', 88,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 0xa0 ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(18);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z') ||
          (0x80 <= lookahead && lookahead <= 0xffff)) ADVANCE(261);
      END_STATE();
    case 17:
      ADVANCE_MAP(
        '#', 265,
        '$', 188,
        '&', 83,
        '(', 97,
        ')', 98,
        '.', 23,
        '/', 20,
        '=', 32,
        '?', 102,
        '\\', 88,
        '{', 90,
        '|', 104,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 0xa0 ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(17);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z') ||
          (0x80 <= lookahead && lookahead <= 0xffff)) ADVANCE(261);
      END_STATE();
    case 18:
      ADVANCE_MAP(
        '#', 265,
        '$', 188,
        '&', 83,
        '(', 97,
        '/', 20,
        ';', 82,
        '?', 102,
        '\\', 88,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 0xa0 ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(18);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z') ||
          (0x80 <= lookahead && lookahead <= 0xffff)) ADVANCE(261);
      END_STATE();
    case 19:
      if (lookahead == '#') ADVANCE(181);
      if (lookahead == '\'') ADVANCE(171);
      if (lookahead == '/') ADVANCE(176);
      if (lookahead == '?') ADVANCE(179);
      if (lookahead == '\\') ADVANCE(38);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 0xa0 ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) ADVANCE(175);
      if (lookahead != 0) ADVANCE(182);
      END_STATE();
    case 20:
      if (lookahead == '*') ADVANCE(22);
      if (lookahead == '/') ADVANCE(263);
      END_STATE();
    case 21:
      if (lookahead == '*') ADVANCE(21);
      if (lookahead == '/') ADVANCE(262);
      if (lookahead != 0) ADVANCE(22);
      END_STATE();
    case 22:
      if (lookahead == '*') ADVANCE(21);
      if (lookahead != 0) ADVANCE(22);
      END_STATE();
    case 23:
      if (lookahead == '.') ADVANCE(25);
      END_STATE();
    case 24:
      if (lookahead == '.') ADVANCE(114);
      if (lookahead == '_') ADVANCE(56);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(39);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(24);
      END_STATE();
    case 25:
      if (lookahead == '.') ADVANCE(99);
      END_STATE();
    case 26:
      if (lookahead == '<') ADVANCE(183);
      END_STATE();
    case 27:
      if (lookahead == '<') ADVANCE(26);
      END_STATE();
    case 28:
      if (lookahead == '<') ADVANCE(26);
      if (lookahead == '?') ADVANCE(69);
      END_STATE();
    case 29:
      if (lookahead == '=') ADVANCE(198);
      END_STATE();
    case 30:
      if (lookahead == '=') ADVANCE(197);
      if (lookahead == '>') ADVANCE(94);
      END_STATE();
    case 31:
      if (lookahead == '>') ADVANCE(153);
      END_STATE();
    case 32:
      if (lookahead == '>') ADVANCE(94);
      END_STATE();
    case 33:
      if (lookahead == '>') ADVANCE(70);
      END_STATE();
    case 34:
      if (lookahead == '>') ADVANCE(154);
      END_STATE();
    case 35:
      if (lookahead == 'u') ADVANCE(167);
      if (lookahead == 'x') ADVANCE(60);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(164);
      if (set_contains(sym_escape_sequence_character_set_1, 10, lookahead)) ADVANCE(162);
      END_STATE();
    case 36:
      if (lookahead == 'u') ADVANCE(166);
      END_STATE();
    case 37:
      if (lookahead == '}') ADVANCE(162);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(37);
      END_STATE();
    case 38:
      if (lookahead == '\'' ||
          lookahead == '\\') ADVANCE(172);
      if (lookahead != 0) ADVANCE(182);
      END_STATE();
    case 39:
      if (lookahead == '+' ||
          lookahead == '-') ADVANCE(57);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(116);
      END_STATE();
    case 40:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(43);
      END_STATE();
    case 41:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(159);
      END_STATE();
    case 42:
      if (lookahead == 'H' ||
          lookahead == 'h') ADVANCE(46);
      END_STATE();
    case 43:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(48);
      END_STATE();
    case 44:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(157);
      END_STATE();
    case 45:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(44);
      END_STATE();
    case 46:
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(68);
      END_STATE();
    case 47:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(49);
      END_STATE();
    case 48:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(41);
      END_STATE();
    case 49:
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(41);
      END_STATE();
    case 50:
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(45);
      END_STATE();
    case 51:
      if (lookahead == '0' ||
          lookahead == '1') ADVANCE(120);
      END_STATE();
    case 52:
      if (lookahead == '8' ||
          lookahead == '9') ADVANCE(24);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(118);
      END_STATE();
    case 53:
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(123);
      END_STATE();
    case 54:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(119);
      END_STATE();
    case 55:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(114);
      END_STATE();
    case 56:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(24);
      END_STATE();
    case 57:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(116);
      END_STATE();
    case 58:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(124);
      END_STATE();
    case 59:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(121);
      END_STATE();
    case 60:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(165);
      END_STATE();
    case 61:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(37);
      END_STATE();
    case 62:
      if (eof) ADVANCE(67);
      ADVANCE_MAP(
        '!', 135,
        '"', 169,
        '#', 264,
        '$', 188,
        '%', 224,
        '&', 85,
        '\'', 171,
        '(', 97,
        ')', 98,
        '*', 219,
        '+', 127,
        ',', 86,
        '-', 130,
        '.', 217,
        '/', 222,
        '0', 117,
        ':', 93,
        ';', 82,
        '<', 205,
        '=', 87,
        '>', 206,
        '?', 100,
        '@', 136,
        '[', 155,
        '\\', 89,
        ']', 156,
        '^', 196,
        '_', 259,
        '`', 187,
        '{', 90,
        '|', 105,
        '}', 91,
        '~', 133,
        'A', 249,
        'a', 249,
        'B', 225,
        'b', 225,
        'E', 228,
        'e', 228,
        'F', 229,
        'f', 229,
        'I', 243,
        'i', 243,
        'N', 257,
        'n', 257,
        'S', 255,
        's', 255,
        'T', 248,
        't', 248,
        'U', 241,
        'u', 241,
      );
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(119);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 0xa0 ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(62);
      if (('C' <= lookahead && lookahead <= 'z') ||
          (0x80 <= lookahead && lookahead <= 0xffff)) ADVANCE(261);
      END_STATE();
    case 63:
      if (eof) ADVANCE(67);
      ADVANCE_MAP(
        '!', 134,
        '"', 169,
        '#', 264,
        '$', 188,
        '&', 83,
        '\'', 171,
        '(', 97,
        ')', 98,
        '+', 126,
        ',', 86,
        '-', 129,
        '.', 114,
        '/', 20,
        '0', 117,
        ':', 92,
        ';', 82,
        '<', 27,
        '=', 32,
        '?', 33,
        '@', 136,
        '[', 155,
        '\\', 88,
        ']', 156,
        '_', 259,
        '`', 187,
        '{', 90,
        '}', 91,
        '~', 133,
        'A', 249,
        'a', 249,
        'B', 226,
        'b', 226,
        'E', 228,
        'e', 228,
        'F', 230,
        'f', 230,
        'N', 257,
        'n', 257,
        'T', 248,
        't', 248,
      );
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(119);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 0xa0 ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(63);
      if (('C' <= lookahead && lookahead <= 'Z') ||
          ('c' <= lookahead && lookahead <= 'z') ||
          (0x80 <= lookahead && lookahead <= 0xffff)) ADVANCE(261);
      END_STATE();
    case 64:
      if (eof) ADVANCE(67);
      ADVANCE_MAP(
        '!', 29,
        '"', 169,
        '#', 265,
        '$', 188,
        '%', 224,
        '&', 85,
        '\'', 171,
        '(', 97,
        ')', 98,
        '*', 219,
        '+', 127,
        ',', 86,
        '-', 130,
        '.', 218,
        '/', 222,
        '0', 122,
        ':', 93,
        ';', 82,
        '<', 203,
        '=', 87,
        '>', 206,
        '?', 100,
        '[', 155,
        '\\', 88,
        ']', 156,
        '^', 196,
        '{', 90,
        '|', 105,
        '}', 91,
      );
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(124);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 0xa0 ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(64);
      if (('A' <= lookahead && lookahead <= '_') ||
          ('a' <= lookahead && lookahead <= 'z') ||
          (0x80 <= lookahead && lookahead <= 0xffff)) ADVANCE(261);
      END_STATE();
    case 65:
      if (eof) ADVANCE(67);
      ADVANCE_MAP(
        '"', 169,
        '#', 265,
        '$', 188,
        '&', 83,
        '\'', 171,
        '(', 97,
        ')', 98,
        '.', 23,
        '/', 20,
        '0', 122,
        '<', 28,
        '?', 33,
        '[', 155,
        '\\', 88,
        '|', 104,
        '}', 91,
        'A', 249,
        'a', 249,
        'B', 226,
        'b', 226,
      );
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(124);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 0xa0 ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(65);
      if (('C' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('c' <= lookahead && lookahead <= 'z') ||
          (0x80 <= lookahead && lookahead <= 0xffff)) ADVANCE(261);
      END_STATE();
    case 66:
      if (eof) ADVANCE(67);
      ADVANCE_MAP(
        '#', 80,
        '/', 75,
        '<', 71,
        '?', 78,
        0xa0, 74,
        0x200b, 74,
        0x2060, 74,
        0xfeff, 74,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(66);
      if (lookahead != 0) ADVANCE(81);
      END_STATE();
    case 67:
      ACCEPT_TOKEN(ts_builtin_sym_end);
      END_STATE();
    case 68:
      ACCEPT_TOKEN(sym_php_tag);
      END_STATE();
    case 69:
      ACCEPT_TOKEN(sym_php_tag);
      if (lookahead == '=') ADVANCE(68);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(42);
      END_STATE();
    case 70:
      ACCEPT_TOKEN(anon_sym_QMARK_GT);
      END_STATE();
    case 71:
      ACCEPT_TOKEN(aux_sym_text_token1);
      if (lookahead == '?') ADVANCE(69);
      END_STATE();
    case 72:
      ACCEPT_TOKEN(aux_sym_text_token2);
      if (lookahead == '\n') ADVANCE(81);
      if (lookahead == '\r') ADVANCE(73);
      if (lookahead == '>') ADVANCE(81);
      if (lookahead != 0 &&
          lookahead != '<') ADVANCE(79);
      END_STATE();
    case 73:
      ACCEPT_TOKEN(aux_sym_text_token2);
      if (lookahead == '\n') ADVANCE(81);
      if (lookahead != 0 &&
          lookahead != '<') ADVANCE(81);
      END_STATE();
    case 74:
      ACCEPT_TOKEN(aux_sym_text_token2);
      if (lookahead == '#') ADVANCE(80);
      if (lookahead == '/') ADVANCE(75);
      if (lookahead == '?') ADVANCE(78);
      if (lookahead == 0xa0 ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) ADVANCE(74);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(74);
      if (lookahead != 0 &&
          lookahead != '<') ADVANCE(81);
      END_STATE();
    case 75:
      ACCEPT_TOKEN(aux_sym_text_token2);
      if (lookahead == '*') ADVANCE(77);
      if (lookahead == '/') ADVANCE(79);
      if (lookahead != 0 &&
          lookahead != '<') ADVANCE(81);
      END_STATE();
    case 76:
      ACCEPT_TOKEN(aux_sym_text_token2);
      if (lookahead == '*') ADVANCE(76);
      if (lookahead == '/') ADVANCE(81);
      if (lookahead != 0 &&
          lookahead != '<') ADVANCE(77);
      END_STATE();
    case 77:
      ACCEPT_TOKEN(aux_sym_text_token2);
      if (lookahead == '*') ADVANCE(76);
      if (lookahead != 0 &&
          lookahead != '<') ADVANCE(77);
      END_STATE();
    case 78:
      ACCEPT_TOKEN(aux_sym_text_token2);
      if (lookahead == '>') ADVANCE(81);
      if (lookahead != 0 &&
          lookahead != '<') ADVANCE(81);
      END_STATE();
    case 79:
      ACCEPT_TOKEN(aux_sym_text_token2);
      if (lookahead == '?') ADVANCE(72);
      if (lookahead == '\n' ||
          lookahead == '\r') ADVANCE(81);
      if (lookahead != 0 &&
          lookahead != '<') ADVANCE(79);
      END_STATE();
    case 80:
      ACCEPT_TOKEN(aux_sym_text_token2);
      if (lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == '?' ||
          lookahead == '[') ADVANCE(81);
      if (lookahead != 0 &&
          lookahead != '<') ADVANCE(79);
      END_STATE();
    case 81:
      ACCEPT_TOKEN(aux_sym_text_token2);
      if (lookahead != 0 &&
          lookahead != '<') ADVANCE(81);
      END_STATE();
    case 82:
      ACCEPT_TOKEN(anon_sym_SEMI);
      END_STATE();
    case 83:
      ACCEPT_TOKEN(anon_sym_AMP);
      END_STATE();
    case 84:
      ACCEPT_TOKEN(anon_sym_AMP);
      if (lookahead == '&') ADVANCE(194);
      END_STATE();
    case 85:
      ACCEPT_TOKEN(anon_sym_AMP);
      if (lookahead == '&') ADVANCE(194);
      if (lookahead == '=') ADVANCE(149);
      END_STATE();
    case 86:
      ACCEPT_TOKEN(anon_sym_COMMA);
      END_STATE();
    case 87:
      ACCEPT_TOKEN(anon_sym_EQ);
      if (lookahead == '=') ADVANCE(197);
      if (lookahead == '>') ADVANCE(94);
      END_STATE();
    case 88:
      ACCEPT_TOKEN(anon_sym_BSLASH);
      END_STATE();
    case 89:
      ACCEPT_TOKEN(anon_sym_BSLASH);
      if (lookahead == '\'' ||
          lookahead == '\\') ADVANCE(172);
      END_STATE();
    case 90:
      ACCEPT_TOKEN(anon_sym_LBRACE);
      END_STATE();
    case 91:
      ACCEPT_TOKEN(anon_sym_RBRACE);
      END_STATE();
    case 92:
      ACCEPT_TOKEN(anon_sym_COLON);
      END_STATE();
    case 93:
      ACCEPT_TOKEN(anon_sym_COLON);
      if (lookahead == ':') ADVANCE(137);
      END_STATE();
    case 94:
      ACCEPT_TOKEN(anon_sym_EQ_GT);
      END_STATE();
    case 95:
      ACCEPT_TOKEN(anon_sym_LPAREN);
      END_STATE();
    case 96:
      ACCEPT_TOKEN(anon_sym_RPAREN);
      END_STATE();
    case 97:
      ACCEPT_TOKEN(anon_sym_LPAREN2);
      END_STATE();
    case 98:
      ACCEPT_TOKEN(anon_sym_RPAREN2);
      END_STATE();
    case 99:
      ACCEPT_TOKEN(anon_sym_DOT_DOT_DOT);
      END_STATE();
    case 100:
      ACCEPT_TOKEN(anon_sym_QMARK);
      if (lookahead == '-') ADVANCE(34);
      if (lookahead == '>') ADVANCE(70);
      if (lookahead == '?') ADVANCE(190);
      END_STATE();
    case 101:
      ACCEPT_TOKEN(anon_sym_QMARK);
      if (lookahead == '-') ADVANCE(34);
      if (lookahead == '>') ADVANCE(70);
      if (lookahead == '?') ADVANCE(189);
      END_STATE();
    case 102:
      ACCEPT_TOKEN(anon_sym_QMARK);
      if (lookahead == '>') ADVANCE(70);
      END_STATE();
    case 103:
      ACCEPT_TOKEN(anon_sym_QMARK);
      if (lookahead == '>') ADVANCE(70);
      if (lookahead == '?') ADVANCE(189);
      END_STATE();
    case 104:
      ACCEPT_TOKEN(anon_sym_PIPE);
      END_STATE();
    case 105:
      ACCEPT_TOKEN(anon_sym_PIPE);
      if (lookahead == '=') ADVANCE(151);
      if (lookahead == '|') ADVANCE(193);
      END_STATE();
    case 106:
      ACCEPT_TOKEN(anon_sym_PIPE);
      if (lookahead == '|') ADVANCE(193);
      END_STATE();
    case 107:
      ACCEPT_TOKEN(aux_sym_cast_type_token1);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(261);
      END_STATE();
    case 108:
      ACCEPT_TOKEN(aux_sym_cast_type_token3);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(261);
      END_STATE();
    case 109:
      ACCEPT_TOKEN(aux_sym_cast_type_token6);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(261);
      END_STATE();
    case 110:
      ACCEPT_TOKEN(aux_sym_cast_type_token8);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(261);
      END_STATE();
    case 111:
      ACCEPT_TOKEN(aux_sym_cast_type_token11);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(261);
      END_STATE();
    case 112:
      ACCEPT_TOKEN(aux_sym_cast_type_token12);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(261);
      END_STATE();
    case 113:
      ACCEPT_TOKEN(sym_float);
      if (lookahead == '.') ADVANCE(25);
      if (lookahead == '_') ADVANCE(55);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(39);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(114);
      END_STATE();
    case 114:
      ACCEPT_TOKEN(sym_float);
      if (lookahead == '_') ADVANCE(55);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(39);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(114);
      END_STATE();
    case 115:
      ACCEPT_TOKEN(sym_float);
      if (lookahead == '_') ADVANCE(260);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(115);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z') ||
          (0x80 <= lookahead && lookahead <= 0x9f) ||
          (0xa1 <= lookahead && lookahead <= 0x200a) ||
          (0x200c <= lookahead && lookahead <= 0x205f) ||
          (0x2061 <= lookahead && lookahead <= 0xfefe) ||
          (0xff00 <= lookahead && lookahead <= 0xffff)) ADVANCE(261);
      END_STATE();
    case 116:
      ACCEPT_TOKEN(sym_float);
      if (lookahead == '_') ADVANCE(57);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(116);
      END_STATE();
    case 117:
      ACCEPT_TOKEN(sym_integer);
      ADVANCE_MAP(
        '.', 114,
        '_', 52,
        'B', 51,
        'b', 51,
        'E', 39,
        'e', 39,
        'O', 123,
        'o', 123,
        'X', 59,
        'x', 59,
        '8', 24,
        '9', 24,
      );
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(118);
      END_STATE();
    case 118:
      ACCEPT_TOKEN(sym_integer);
      if (lookahead == '.') ADVANCE(114);
      if (lookahead == '_') ADVANCE(52);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(39);
      if (lookahead == '8' ||
          lookahead == '9') ADVANCE(24);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(118);
      END_STATE();
    case 119:
      ACCEPT_TOKEN(sym_integer);
      if (lookahead == '.') ADVANCE(114);
      if (lookahead == '_') ADVANCE(54);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(39);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(119);
      END_STATE();
    case 120:
      ACCEPT_TOKEN(sym_integer);
      if (lookahead == '_') ADVANCE(51);
      if (lookahead == '0' ||
          lookahead == '1') ADVANCE(120);
      END_STATE();
    case 121:
      ACCEPT_TOKEN(sym_integer);
      if (lookahead == '_') ADVANCE(59);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(121);
      END_STATE();
    case 122:
      ACCEPT_TOKEN(sym_integer);
      if (lookahead == '_') ADVANCE(53);
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(51);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(123);
      if (lookahead == 'X' ||
          lookahead == 'x') ADVANCE(59);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(123);
      END_STATE();
    case 123:
      ACCEPT_TOKEN(sym_integer);
      if (lookahead == '_') ADVANCE(53);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(123);
      END_STATE();
    case 124:
      ACCEPT_TOKEN(sym_integer);
      if (lookahead == '_') ADVANCE(58);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(124);
      END_STATE();
    case 125:
      ACCEPT_TOKEN(anon_sym_PLUS);
      END_STATE();
    case 126:
      ACCEPT_TOKEN(anon_sym_PLUS);
      if (lookahead == '+') ADVANCE(139);
      END_STATE();
    case 127:
      ACCEPT_TOKEN(anon_sym_PLUS);
      if (lookahead == '+') ADVANCE(139);
      if (lookahead == '=') ADVANCE(144);
      END_STATE();
    case 128:
      ACCEPT_TOKEN(anon_sym_DASH);
      END_STATE();
    case 129:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '-') ADVANCE(138);
      END_STATE();
    case 130:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '-') ADVANCE(138);
      if (lookahead == '=') ADVANCE(145);
      if (lookahead == '>') ADVANCE(153);
      END_STATE();
    case 131:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '-') ADVANCE(138);
      if (lookahead == '>') ADVANCE(153);
      END_STATE();
    case 132:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '>') ADVANCE(153);
      END_STATE();
    case 133:
      ACCEPT_TOKEN(anon_sym_TILDE);
      END_STATE();
    case 134:
      ACCEPT_TOKEN(anon_sym_BANG);
      END_STATE();
    case 135:
      ACCEPT_TOKEN(anon_sym_BANG);
      if (lookahead == '=') ADVANCE(198);
      END_STATE();
    case 136:
      ACCEPT_TOKEN(anon_sym_AT);
      END_STATE();
    case 137:
      ACCEPT_TOKEN(anon_sym_COLON_COLON);
      END_STATE();
    case 138:
      ACCEPT_TOKEN(anon_sym_DASH_DASH);
      END_STATE();
    case 139:
      ACCEPT_TOKEN(anon_sym_PLUS_PLUS);
      END_STATE();
    case 140:
      ACCEPT_TOKEN(anon_sym_STAR_STAR_EQ);
      END_STATE();
    case 141:
      ACCEPT_TOKEN(anon_sym_STAR_EQ);
      END_STATE();
    case 142:
      ACCEPT_TOKEN(anon_sym_SLASH_EQ);
      END_STATE();
    case 143:
      ACCEPT_TOKEN(anon_sym_PERCENT_EQ);
      END_STATE();
    case 144:
      ACCEPT_TOKEN(anon_sym_PLUS_EQ);
      END_STATE();
    case 145:
      ACCEPT_TOKEN(anon_sym_DASH_EQ);
      END_STATE();
    case 146:
      ACCEPT_TOKEN(anon_sym_DOT_EQ);
      END_STATE();
    case 147:
      ACCEPT_TOKEN(anon_sym_LT_LT_EQ);
      END_STATE();
    case 148:
      ACCEPT_TOKEN(anon_sym_GT_GT_EQ);
      END_STATE();
    case 149:
      ACCEPT_TOKEN(anon_sym_AMP_EQ);
      END_STATE();
    case 150:
      ACCEPT_TOKEN(anon_sym_CARET_EQ);
      END_STATE();
    case 151:
      ACCEPT_TOKEN(anon_sym_PIPE_EQ);
      END_STATE();
    case 152:
      ACCEPT_TOKEN(anon_sym_QMARK_QMARK_EQ);
      END_STATE();
    case 153:
      ACCEPT_TOKEN(anon_sym_DASH_GT);
      END_STATE();
    case 154:
      ACCEPT_TOKEN(anon_sym_QMARK_DASH_GT);
      END_STATE();
    case 155:
      ACCEPT_TOKEN(anon_sym_LBRACK);
      END_STATE();
    case 156:
      ACCEPT_TOKEN(anon_sym_RBRACK);
      END_STATE();
    case 157:
      ACCEPT_TOKEN(aux_sym__argument_name_token1);
      END_STATE();
    case 158:
      ACCEPT_TOKEN(aux_sym__argument_name_token1);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(261);
      END_STATE();
    case 159:
      ACCEPT_TOKEN(aux_sym__argument_name_token2);
      END_STATE();
    case 160:
      ACCEPT_TOKEN(aux_sym__argument_name_token2);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(261);
      END_STATE();
    case 161:
      ACCEPT_TOKEN(anon_sym_POUND_LBRACK);
      END_STATE();
    case 162:
      ACCEPT_TOKEN(sym_escape_sequence);
      END_STATE();
    case 163:
      ACCEPT_TOKEN(sym_escape_sequence);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(162);
      END_STATE();
    case 164:
      ACCEPT_TOKEN(sym_escape_sequence);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(163);
      END_STATE();
    case 165:
      ACCEPT_TOKEN(sym_escape_sequence);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(162);
      END_STATE();
    case 166:
      ACCEPT_TOKEN(anon_sym_BSLASHu);
      END_STATE();
    case 167:
      ACCEPT_TOKEN(anon_sym_BSLASHu);
      if (lookahead == '{') ADVANCE(61);
      END_STATE();
    case 168:
      ACCEPT_TOKEN(aux_sym_encapsed_string_token1);
      END_STATE();
    case 169:
      ACCEPT_TOKEN(anon_sym_DQUOTE);
      END_STATE();
    case 170:
      ACCEPT_TOKEN(aux_sym_string_token1);
      END_STATE();
    case 171:
      ACCEPT_TOKEN(anon_sym_SQUOTE);
      END_STATE();
    case 172:
      ACCEPT_TOKEN(aux_sym_string_token2);
      END_STATE();
    case 173:
      ACCEPT_TOKEN(aux_sym_string_content_token1);
      if (lookahead == '\n') ADVANCE(182);
      if (lookahead == '\r') ADVANCE(174);
      if (lookahead == '>') ADVANCE(182);
      if (lookahead != 0 &&
          lookahead != '\'' &&
          lookahead != '\\') ADVANCE(180);
      END_STATE();
    case 174:
      ACCEPT_TOKEN(aux_sym_string_content_token1);
      if (lookahead == '\n') ADVANCE(182);
      if (lookahead != 0 &&
          lookahead != '\'' &&
          lookahead != '\\') ADVANCE(182);
      END_STATE();
    case 175:
      ACCEPT_TOKEN(aux_sym_string_content_token1);
      if (lookahead == '#') ADVANCE(181);
      if (lookahead == '/') ADVANCE(176);
      if (lookahead == '?') ADVANCE(179);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 0xa0 ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) ADVANCE(175);
      if (lookahead != 0 &&
          lookahead != '\'' &&
          lookahead != '\\') ADVANCE(182);
      END_STATE();
    case 176:
      ACCEPT_TOKEN(aux_sym_string_content_token1);
      if (lookahead == '*') ADVANCE(178);
      if (lookahead == '/') ADVANCE(180);
      if (lookahead != 0 &&
          lookahead != '\'' &&
          lookahead != '\\') ADVANCE(182);
      END_STATE();
    case 177:
      ACCEPT_TOKEN(aux_sym_string_content_token1);
      if (lookahead == '*') ADVANCE(177);
      if (lookahead == '/') ADVANCE(182);
      if (lookahead != 0 &&
          lookahead != '\'' &&
          lookahead != '\\') ADVANCE(178);
      END_STATE();
    case 178:
      ACCEPT_TOKEN(aux_sym_string_content_token1);
      if (lookahead == '*') ADVANCE(177);
      if (lookahead != 0 &&
          lookahead != '\'' &&
          lookahead != '\\') ADVANCE(178);
      END_STATE();
    case 179:
      ACCEPT_TOKEN(aux_sym_string_content_token1);
      if (lookahead == '>') ADVANCE(182);
      if (lookahead != 0 &&
          lookahead != '\'' &&
          lookahead != '\\') ADVANCE(182);
      END_STATE();
    case 180:
      ACCEPT_TOKEN(aux_sym_string_content_token1);
      if (lookahead == '?') ADVANCE(173);
      if (lookahead == '\n' ||
          lookahead == '\r') ADVANCE(182);
      if (lookahead != 0 &&
          lookahead != '\'' &&
          lookahead != '\\') ADVANCE(180);
      END_STATE();
    case 181:
      ACCEPT_TOKEN(aux_sym_string_content_token1);
      if (lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == '?' ||
          lookahead == '[') ADVANCE(182);
      if (lookahead != 0 &&
          lookahead != '\'' &&
          lookahead != '[' &&
          lookahead != '\\') ADVANCE(180);
      END_STATE();
    case 182:
      ACCEPT_TOKEN(aux_sym_string_content_token1);
      if (lookahead != 0 &&
          lookahead != '\'' &&
          lookahead != '\\') ADVANCE(182);
      END_STATE();
    case 183:
      ACCEPT_TOKEN(anon_sym_LT_LT_LT);
      END_STATE();
    case 184:
      ACCEPT_TOKEN(anon_sym_DQUOTE2);
      END_STATE();
    case 185:
      ACCEPT_TOKEN(sym__new_line);
      if (lookahead == '\n') ADVANCE(185);
      if (lookahead == '\r') ADVANCE(185);
      END_STATE();
    case 186:
      ACCEPT_TOKEN(anon_sym_SQUOTE2);
      END_STATE();
    case 187:
      ACCEPT_TOKEN(anon_sym_BQUOTE);
      END_STATE();
    case 188:
      ACCEPT_TOKEN(anon_sym_DOLLAR);
      END_STATE();
    case 189:
      ACCEPT_TOKEN(anon_sym_QMARK_QMARK);
      END_STATE();
    case 190:
      ACCEPT_TOKEN(anon_sym_QMARK_QMARK);
      if (lookahead == '=') ADVANCE(152);
      END_STATE();
    case 191:
      ACCEPT_TOKEN(anon_sym_STAR_STAR);
      END_STATE();
    case 192:
      ACCEPT_TOKEN(anon_sym_STAR_STAR);
      if (lookahead == '=') ADVANCE(140);
      END_STATE();
    case 193:
      ACCEPT_TOKEN(anon_sym_PIPE_PIPE);
      END_STATE();
    case 194:
      ACCEPT_TOKEN(anon_sym_AMP_AMP);
      END_STATE();
    case 195:
      ACCEPT_TOKEN(anon_sym_CARET);
      END_STATE();
    case 196:
      ACCEPT_TOKEN(anon_sym_CARET);
      if (lookahead == '=') ADVANCE(150);
      END_STATE();
    case 197:
      ACCEPT_TOKEN(anon_sym_EQ_EQ);
      if (lookahead == '=') ADVANCE(200);
      END_STATE();
    case 198:
      ACCEPT_TOKEN(anon_sym_BANG_EQ);
      if (lookahead == '=') ADVANCE(201);
      END_STATE();
    case 199:
      ACCEPT_TOKEN(anon_sym_LT_GT);
      END_STATE();
    case 200:
      ACCEPT_TOKEN(anon_sym_EQ_EQ_EQ);
      END_STATE();
    case 201:
      ACCEPT_TOKEN(anon_sym_BANG_EQ_EQ);
      END_STATE();
    case 202:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '<') ADVANCE(212);
      if (lookahead == '=') ADVANCE(208);
      if (lookahead == '>') ADVANCE(199);
      END_STATE();
    case 203:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '<') ADVANCE(213);
      if (lookahead == '=') ADVANCE(208);
      if (lookahead == '>') ADVANCE(199);
      END_STATE();
    case 204:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '<') ADVANCE(211);
      if (lookahead == '=') ADVANCE(208);
      if (lookahead == '>') ADVANCE(199);
      END_STATE();
    case 205:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '?') ADVANCE(69);
      END_STATE();
    case 206:
      ACCEPT_TOKEN(anon_sym_GT);
      if (lookahead == '=') ADVANCE(209);
      if (lookahead == '>') ADVANCE(215);
      END_STATE();
    case 207:
      ACCEPT_TOKEN(anon_sym_GT);
      if (lookahead == '=') ADVANCE(209);
      if (lookahead == '>') ADVANCE(214);
      END_STATE();
    case 208:
      ACCEPT_TOKEN(anon_sym_LT_EQ);
      if (lookahead == '>') ADVANCE(210);
      END_STATE();
    case 209:
      ACCEPT_TOKEN(anon_sym_GT_EQ);
      END_STATE();
    case 210:
      ACCEPT_TOKEN(anon_sym_LT_EQ_GT);
      END_STATE();
    case 211:
      ACCEPT_TOKEN(anon_sym_LT_LT);
      END_STATE();
    case 212:
      ACCEPT_TOKEN(anon_sym_LT_LT);
      if (lookahead == '<') ADVANCE(183);
      END_STATE();
    case 213:
      ACCEPT_TOKEN(anon_sym_LT_LT);
      if (lookahead == '=') ADVANCE(147);
      END_STATE();
    case 214:
      ACCEPT_TOKEN(anon_sym_GT_GT);
      END_STATE();
    case 215:
      ACCEPT_TOKEN(anon_sym_GT_GT);
      if (lookahead == '=') ADVANCE(148);
      END_STATE();
    case 216:
      ACCEPT_TOKEN(anon_sym_DOT);
      END_STATE();
    case 217:
      ACCEPT_TOKEN(anon_sym_DOT);
      if (lookahead == '.') ADVANCE(25);
      if (lookahead == '_') ADVANCE(55);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(39);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(114);
      END_STATE();
    case 218:
      ACCEPT_TOKEN(anon_sym_DOT);
      if (lookahead == '=') ADVANCE(146);
      END_STATE();
    case 219:
      ACCEPT_TOKEN(anon_sym_STAR);
      if (lookahead == '*') ADVANCE(192);
      if (lookahead == '=') ADVANCE(141);
      END_STATE();
    case 220:
      ACCEPT_TOKEN(anon_sym_STAR);
      if (lookahead == '*') ADVANCE(191);
      END_STATE();
    case 221:
      ACCEPT_TOKEN(anon_sym_SLASH);
      if (lookahead == '*') ADVANCE(22);
      if (lookahead == '/') ADVANCE(263);
      END_STATE();
    case 222:
      ACCEPT_TOKEN(anon_sym_SLASH);
      if (lookahead == '*') ADVANCE(22);
      if (lookahead == '/') ADVANCE(263);
      if (lookahead == '=') ADVANCE(142);
      END_STATE();
    case 223:
      ACCEPT_TOKEN(anon_sym_PERCENT);
      END_STATE();
    case 224:
      ACCEPT_TOKEN(anon_sym_PERCENT);
      if (lookahead == '=') ADVANCE(143);
      END_STATE();
    case 225:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == '"') ADVANCE(168);
      if (lookahead == '\'') ADVANCE(170);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(245);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(261);
      END_STATE();
    case 226:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == '"') ADVANCE(168);
      if (lookahead == '\'') ADVANCE(170);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(261);
      END_STATE();
    case 227:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == '.') ADVANCE(114);
      if (lookahead == '_') ADVANCE(259);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(228);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(227);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z') ||
          (0x80 <= lookahead && lookahead <= 0x9f) ||
          (0xa1 <= lookahead && lookahead <= 0x200a) ||
          (0x200c <= lookahead && lookahead <= 0x205f) ||
          (0x2061 <= lookahead && lookahead <= 0xfefe) ||
          (0xff00 <= lookahead && lookahead <= 0xffff)) ADVANCE(261);
      END_STATE();
    case 228:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == '+' ||
          lookahead == '-') ADVANCE(57);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(115);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(261);
      END_STATE();
    case 229:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(240);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(244);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(261);
      END_STATE();
    case 230:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(240);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(261);
      END_STATE();
    case 231:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(258);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(261);
      END_STATE();
    case 232:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(253);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(261);
      END_STATE();
    case 233:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(160);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(261);
      END_STATE();
    case 234:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(254);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(261);
      END_STATE();
    case 235:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'G' ||
          lookahead == 'g') ADVANCE(111);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(261);
      END_STATE();
    case 236:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(242);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(261);
      END_STATE();
    case 237:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(108);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(261);
      END_STATE();
    case 238:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(158);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(261);
      END_STATE();
    case 239:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(238);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(261);
      END_STATE();
    case 240:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(250);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(261);
      END_STATE();
    case 241:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(251);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(261);
      END_STATE();
    case 242:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(235);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(261);
      END_STATE();
    case 243:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(252);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(261);
      END_STATE();
    case 244:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(232);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(261);
      END_STATE();
    case 245:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(237);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(261);
      END_STATE();
    case 246:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(231);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(261);
      END_STATE();
    case 247:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(236);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(261);
      END_STATE();
    case 248:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(256);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(261);
      END_STATE();
    case 249:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(246);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(261);
      END_STATE();
    case 250:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(233);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(261);
      END_STATE();
    case 251:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(234);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(261);
      END_STATE();
    case 252:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(109);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(261);
      END_STATE();
    case 253:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(110);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(261);
      END_STATE();
    case 254:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(112);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(261);
      END_STATE();
    case 255:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(247);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(261);
      END_STATE();
    case 256:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(233);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(261);
      END_STATE();
    case 257:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(239);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(261);
      END_STATE();
    case 258:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'Y' ||
          lookahead == 'y') ADVANCE(107);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(261);
      END_STATE();
    case 259:
      ACCEPT_TOKEN(sym_name);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(227);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(261);
      END_STATE();
    case 260:
      ACCEPT_TOKEN(sym_name);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(115);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(261);
      END_STATE();
    case 261:
      ACCEPT_TOKEN(sym_name);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(261);
      END_STATE();
    case 262:
      ACCEPT_TOKEN(sym_comment);
      END_STATE();
    case 263:
      ACCEPT_TOKEN(sym_comment);
      if (lookahead == '?') ADVANCE(2);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\r') ADVANCE(263);
      END_STATE();
    case 264:
      ACCEPT_TOKEN(sym_comment);
      if (lookahead == '[') ADVANCE(161);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != '?') ADVANCE(263);
      END_STATE();
    case 265:
      ACCEPT_TOKEN(sym_comment);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != '?' &&
          lookahead != '[') ADVANCE(263);
      END_STATE();
    default:
      return false;
  }
}

static bool ts_lex_keywords(TSLexer *lexer, TSStateId state) {
  START_LEXER();
  eof = lexer->eof(lexer);
  switch (state) {
    case 0:
      ADVANCE_MAP(
        'A', 1,
        'B', 2,
        'E', 3,
        'F', 4,
        'I', 5,
        'M', 6,
        'N', 7,
        'P', 8,
        'S', 9,
        'T', 10,
        'U', 11,
        'V', 12,
        'a', 13,
        'b', 14,
        'e', 15,
        'f', 16,
        'i', 17,
        'm', 18,
        'n', 19,
        'p', 20,
        's', 21,
        't', 22,
        'u', 23,
        'v', 24,
        'C', 25,
        'c', 25,
        'D', 26,
        'd', 26,
        'G', 27,
        'g', 27,
        'L', 28,
        'l', 28,
        'O', 29,
        'o', 29,
        'R', 30,
        'r', 30,
        'W', 31,
        'w', 31,
        'X', 32,
        'x', 32,
        'Y', 33,
        'y', 33,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 0xa0 ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(0);
      END_STATE();
    case 1:
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(34);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(35);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(36);
      END_STATE();
    case 2:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(37);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(38);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(39);
      END_STATE();
    case 3:
      ADVANCE_MAP(
        'C', 40,
        'c', 40,
        'L', 41,
        'l', 41,
        'N', 42,
        'n', 42,
        'X', 43,
        'x', 43,
      );
      END_STATE();
    case 4:
      ADVANCE_MAP(
        'I', 44,
        'i', 44,
        'N', 45,
        'n', 45,
        'O', 46,
        'o', 46,
        'R', 47,
        'r', 47,
        'U', 48,
        'u', 48,
      );
      END_STATE();
    case 5:
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(49);
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(50);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(51);
      END_STATE();
    case 6:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(52);
      END_STATE();
    case 7:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(53);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(54);
      END_STATE();
    case 8:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(55);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(56);
      END_STATE();
    case 9:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(57);
      if (lookahead == 'W' ||
          lookahead == 'w') ADVANCE(58);
      END_STATE();
    case 10:
      if (lookahead == 'H' ||
          lookahead == 'h') ADVANCE(59);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(60);
      END_STATE();
    case 11:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(61);
      END_STATE();
    case 12:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(62);
      END_STATE();
    case 13:
      if (lookahead == 'r') ADVANCE(63);
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(34);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(35);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(36);
      END_STATE();
    case 14:
      if (lookahead == 'O') ADVANCE(38);
      if (lookahead == 'o') ADVANCE(64);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(37);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(39);
      END_STATE();
    case 15:
      ADVANCE_MAP(
        'N', 42,
        'n', 65,
        'C', 40,
        'c', 40,
        'L', 41,
        'l', 41,
        'X', 43,
        'x', 43,
      );
      END_STATE();
    case 16:
      ADVANCE_MAP(
        'a', 66,
        'l', 67,
        'I', 44,
        'i', 44,
        'N', 45,
        'n', 45,
        'O', 46,
        'o', 46,
        'R', 47,
        'r', 47,
        'U', 48,
        'u', 48,
      );
      END_STATE();
    case 17:
      if (lookahead == 'N') ADVANCE(51);
      if (lookahead == 'n') ADVANCE(68);
      if (lookahead == 't') ADVANCE(69);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(49);
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(50);
      END_STATE();
    case 18:
      if (lookahead == 'i') ADVANCE(70);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(52);
      END_STATE();
    case 19:
      if (lookahead == 'E') ADVANCE(54);
      if (lookahead == 'e') ADVANCE(71);
      if (lookahead == 'u') ADVANCE(72);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(53);
      END_STATE();
    case 20:
      if (lookahead == 'a') ADVANCE(73);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(55);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(56);
      END_STATE();
    case 21:
      if (lookahead == 'T') ADVANCE(57);
      if (lookahead == 'e') ADVANCE(74);
      if (lookahead == 't') ADVANCE(75);
      if (lookahead == 'W' ||
          lookahead == 'w') ADVANCE(58);
      END_STATE();
    case 22:
      if (lookahead == 'R') ADVANCE(60);
      if (lookahead == 'i') ADVANCE(76);
      if (lookahead == 'r') ADVANCE(77);
      if (lookahead == 'H' ||
          lookahead == 'h') ADVANCE(59);
      END_STATE();
    case 23:
      if (lookahead == 'n') ADVANCE(78);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(61);
      END_STATE();
    case 24:
      if (lookahead == 'o') ADVANCE(79);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(62);
      END_STATE();
    case 25:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(80);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(81);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(82);
      END_STATE();
    case 26:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(83);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(84);
      END_STATE();
    case 27:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(85);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(86);
      END_STATE();
    case 28:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(87);
      END_STATE();
    case 29:
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(88);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(89);
      END_STATE();
    case 30:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(90);
      END_STATE();
    case 31:
      if (lookahead == 'H' ||
          lookahead == 'h') ADVANCE(91);
      END_STATE();
    case 32:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(92);
      END_STATE();
    case 33:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(93);
      END_STATE();
    case 34:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(94);
      END_STATE();
    case 35:
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(95);
      END_STATE();
    case 36:
      ACCEPT_TOKEN(aux_sym_namespace_use_clause_token1);
      END_STATE();
    case 37:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(96);
      END_STATE();
    case 38:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(97);
      END_STATE();
    case 39:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(98);
      END_STATE();
    case 40:
      if (lookahead == 'H' ||
          lookahead == 'h') ADVANCE(99);
      END_STATE();
    case 41:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(100);
      END_STATE();
    case 42:
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(101);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(102);
      END_STATE();
    case 43:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(103);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(104);
      END_STATE();
    case 44:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(105);
      END_STATE();
    case 45:
      ACCEPT_TOKEN(aux_sym__arrow_function_header_token1);
      END_STATE();
    case 46:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(106);
      END_STATE();
    case 47:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(107);
      END_STATE();
    case 48:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(108);
      END_STATE();
    case 49:
      ACCEPT_TOKEN(aux_sym_if_statement_token1);
      END_STATE();
    case 50:
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(109);
      END_STATE();
    case 51:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(110);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(111);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(112);
      END_STATE();
    case 52:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(113);
      END_STATE();
    case 53:
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(114);
      END_STATE();
    case 54:
      if (lookahead == 'W' ||
          lookahead == 'w') ADVANCE(115);
      END_STATE();
    case 55:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(116);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(117);
      END_STATE();
    case 56:
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(118);
      END_STATE();
    case 57:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(119);
      END_STATE();
    case 58:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(120);
      END_STATE();
    case 59:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(121);
      END_STATE();
    case 60:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(122);
      if (lookahead == 'Y' ||
          lookahead == 'y') ADVANCE(123);
      END_STATE();
    case 61:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(124);
      END_STATE();
    case 62:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(125);
      END_STATE();
    case 63:
      if (lookahead == 'r') ADVANCE(126);
      END_STATE();
    case 64:
      if (lookahead == 'O') ADVANCE(97);
      if (lookahead == 'o') ADVANCE(127);
      END_STATE();
    case 65:
      if (lookahead == 'c') ADVANCE(128);
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(101);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(102);
      END_STATE();
    case 66:
      if (lookahead == 'l') ADVANCE(129);
      END_STATE();
    case 67:
      if (lookahead == 'o') ADVANCE(130);
      END_STATE();
    case 68:
      if (lookahead == 'T') ADVANCE(112);
      if (lookahead == 't') ADVANCE(131);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(110);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(111);
      END_STATE();
    case 69:
      if (lookahead == 'e') ADVANCE(132);
      END_STATE();
    case 70:
      if (lookahead == 'x') ADVANCE(133);
      END_STATE();
    case 71:
      if (lookahead == 'v') ADVANCE(134);
      if (lookahead == 'W' ||
          lookahead == 'w') ADVANCE(115);
      END_STATE();
    case 72:
      if (lookahead == 'l') ADVANCE(135);
      END_STATE();
    case 73:
      if (lookahead == 'r') ADVANCE(136);
      END_STATE();
    case 74:
      if (lookahead == 'l') ADVANCE(137);
      END_STATE();
    case 75:
      if (lookahead == 'r') ADVANCE(138);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(119);
      END_STATE();
    case 76:
      if (lookahead == 'c') ADVANCE(139);
      END_STATE();
    case 77:
      if (lookahead == 'u') ADVANCE(140);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(122);
      if (lookahead == 'Y' ||
          lookahead == 'y') ADVANCE(123);
      END_STATE();
    case 78:
      if (lookahead == 's') ADVANCE(141);
      END_STATE();
    case 79:
      if (lookahead == 'i') ADVANCE(142);
      END_STATE();
    case 80:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(143);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(144);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(145);
      END_STATE();
    case 81:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(146);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(147);
      END_STATE();
    case 82:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(148);
      END_STATE();
    case 83:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(149);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(150);
      END_STATE();
    case 84:
      ACCEPT_TOKEN(aux_sym_do_statement_token1);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(151);
      END_STATE();
    case 85:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(152);
      END_STATE();
    case 86:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(153);
      END_STATE();
    case 87:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(154);
      END_STATE();
    case 88:
      if (lookahead == 'J' ||
          lookahead == 'j') ADVANCE(155);
      END_STATE();
    case 89:
      ACCEPT_TOKEN(aux_sym_binary_expression_token3);
      END_STATE();
    case 90:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(156);
      if (lookahead == 'Q' ||
          lookahead == 'q') ADVANCE(157);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(158);
      END_STATE();
    case 91:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(159);
      END_STATE();
    case 92:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(160);
      END_STATE();
    case 93:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(161);
      END_STATE();
    case 94:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(162);
      END_STATE();
    case 95:
      ACCEPT_TOKEN(aux_sym_binary_expression_token2);
      END_STATE();
    case 96:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(163);
      END_STATE();
    case 97:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(164);
      END_STATE();
    case 98:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(165);
      END_STATE();
    case 99:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(166);
      END_STATE();
    case 100:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(167);
      END_STATE();
    case 101:
      ADVANCE_MAP(
        'D', 168,
        'd', 168,
        'F', 169,
        'f', 169,
        'I', 170,
        'i', 170,
        'S', 171,
        's', 171,
        'W', 172,
        'w', 172,
      );
      END_STATE();
    case 102:
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(173);
      END_STATE();
    case 103:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(174);
      END_STATE();
    case 104:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(175);
      END_STATE();
    case 105:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(176);
      END_STATE();
    case 106:
      ACCEPT_TOKEN(aux_sym_for_statement_token1);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(177);
      END_STATE();
    case 107:
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(178);
      END_STATE();
    case 108:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(179);
      END_STATE();
    case 109:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(180);
      END_STATE();
    case 110:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(181);
      END_STATE();
    case 111:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(182);
      END_STATE();
    case 112:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(183);
      END_STATE();
    case 113:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(184);
      END_STATE();
    case 114:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(185);
      END_STATE();
    case 115:
      ACCEPT_TOKEN(aux_sym__new_non_dereferencable_expression_token1);
      END_STATE();
    case 116:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(186);
      if (lookahead == 'V' ||
          lookahead == 'v') ADVANCE(187);
      END_STATE();
    case 117:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(188);
      END_STATE();
    case 118:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(189);
      END_STATE();
    case 119:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(190);
      END_STATE();
    case 120:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(191);
      END_STATE();
    case 121:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(192);
      END_STATE();
    case 122:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(193);
      END_STATE();
    case 123:
      ACCEPT_TOKEN(aux_sym_try_statement_token1);
      END_STATE();
    case 124:
      ACCEPT_TOKEN(aux_sym_namespace_use_declaration_token1);
      END_STATE();
    case 125:
      ACCEPT_TOKEN(sym_var_modifier);
      END_STATE();
    case 126:
      if (lookahead == 'a') ADVANCE(194);
      END_STATE();
    case 127:
      if (lookahead == 'L') ADVANCE(164);
      if (lookahead == 'l') ADVANCE(195);
      END_STATE();
    case 128:
      if (lookahead == 'o') ADVANCE(196);
      END_STATE();
    case 129:
      if (lookahead == 's') ADVANCE(197);
      END_STATE();
    case 130:
      if (lookahead == 'a') ADVANCE(198);
      END_STATE();
    case 131:
      ACCEPT_TOKEN(anon_sym_int);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(183);
      END_STATE();
    case 132:
      if (lookahead == 'r') ADVANCE(199);
      END_STATE();
    case 133:
      if (lookahead == 'e') ADVANCE(200);
      END_STATE();
    case 134:
      if (lookahead == 'e') ADVANCE(201);
      END_STATE();
    case 135:
      if (lookahead == 'l') ADVANCE(202);
      END_STATE();
    case 136:
      if (lookahead == 'e') ADVANCE(203);
      END_STATE();
    case 137:
      if (lookahead == 'f') ADVANCE(204);
      END_STATE();
    case 138:
      if (lookahead == 'i') ADVANCE(205);
      END_STATE();
    case 139:
      if (lookahead == 'k') ADVANCE(206);
      END_STATE();
    case 140:
      if (lookahead == 'e') ADVANCE(207);
      END_STATE();
    case 141:
      if (lookahead == 'e') ADVANCE(208);
      END_STATE();
    case 142:
      if (lookahead == 'd') ADVANCE(209);
      END_STATE();
    case 143:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(210);
      END_STATE();
    case 144:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(211);
      END_STATE();
    case 145:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(212);
      END_STATE();
    case 146:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(213);
      END_STATE();
    case 147:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(214);
      END_STATE();
    case 148:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(215);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(216);
      END_STATE();
    case 149:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(217);
      END_STATE();
    case 150:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(218);
      END_STATE();
    case 151:
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(219);
      END_STATE();
    case 152:
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(220);
      END_STATE();
    case 153:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(221);
      END_STATE();
    case 154:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(222);
      END_STATE();
    case 155:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(223);
      END_STATE();
    case 156:
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(224);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(225);
      END_STATE();
    case 157:
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(226);
      END_STATE();
    case 158:
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(227);
      END_STATE();
    case 159:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(228);
      END_STATE();
    case 160:
      ACCEPT_TOKEN(aux_sym_binary_expression_token4);
      END_STATE();
    case 161:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(229);
      END_STATE();
    case 162:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(230);
      END_STATE();
    case 163:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(231);
      END_STATE();
    case 164:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(232);
      END_STATE();
    case 165:
      if (lookahead == 'K' ||
          lookahead == 'k') ADVANCE(233);
      END_STATE();
    case 166:
      ACCEPT_TOKEN(aux_sym_echo_statement_token1);
      END_STATE();
    case 167:
      ACCEPT_TOKEN(aux_sym_else_clause_token1);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(234);
      END_STATE();
    case 168:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(235);
      END_STATE();
    case 169:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(236);
      END_STATE();
    case 170:
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(237);
      END_STATE();
    case 171:
      if (lookahead == 'W' ||
          lookahead == 'w') ADVANCE(238);
      END_STATE();
    case 172:
      if (lookahead == 'H' ||
          lookahead == 'h') ADVANCE(239);
      END_STATE();
    case 173:
      ACCEPT_TOKEN(aux_sym_enum_declaration_token1);
      END_STATE();
    case 174:
      ACCEPT_TOKEN(aux_sym_exit_statement_token1);
      END_STATE();
    case 175:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(240);
      END_STATE();
    case 176:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(241);
      END_STATE();
    case 177:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(242);
      END_STATE();
    case 178:
      ACCEPT_TOKEN(aux_sym_yield_expression_token2);
      END_STATE();
    case 179:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(243);
      END_STATE();
    case 180:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(244);
      END_STATE();
    case 181:
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(245);
      END_STATE();
    case 182:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(246);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(247);
      END_STATE();
    case 183:
      if (lookahead == 'G' ||
          lookahead == 'g') ADVANCE(248);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(249);
      END_STATE();
    case 184:
      if (lookahead == 'H' ||
          lookahead == 'h') ADVANCE(250);
      END_STATE();
    case 185:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(251);
      END_STATE();
    case 186:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(252);
      END_STATE();
    case 187:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(253);
      END_STATE();
    case 188:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(254);
      END_STATE();
    case 189:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(255);
      END_STATE();
    case 190:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(256);
      END_STATE();
    case 191:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(257);
      END_STATE();
    case 192:
      if (lookahead == 'W' ||
          lookahead == 'w') ADVANCE(258);
      END_STATE();
    case 193:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(259);
      END_STATE();
    case 194:
      if (lookahead == 'y') ADVANCE(260);
      END_STATE();
    case 195:
      ACCEPT_TOKEN(anon_sym_bool);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(232);
      END_STATE();
    case 196:
      if (lookahead == 'd') ADVANCE(261);
      END_STATE();
    case 197:
      if (lookahead == 'e') ADVANCE(262);
      END_STATE();
    case 198:
      if (lookahead == 't') ADVANCE(263);
      END_STATE();
    case 199:
      if (lookahead == 'a') ADVANCE(264);
      END_STATE();
    case 200:
      if (lookahead == 'd') ADVANCE(265);
      END_STATE();
    case 201:
      if (lookahead == 'r') ADVANCE(266);
      END_STATE();
    case 202:
      ACCEPT_TOKEN(anon_sym_null);
      END_STATE();
    case 203:
      if (lookahead == 'n') ADVANCE(267);
      END_STATE();
    case 204:
      ACCEPT_TOKEN(anon_sym_self);
      END_STATE();
    case 205:
      if (lookahead == 'c') ADVANCE(268);
      if (lookahead == 'n') ADVANCE(269);
      END_STATE();
    case 206:
      if (lookahead == 's') ADVANCE(270);
      END_STATE();
    case 207:
      ACCEPT_TOKEN(anon_sym_true);
      END_STATE();
    case 208:
      if (lookahead == 't') ADVANCE(271);
      END_STATE();
    case 209:
      ACCEPT_TOKEN(anon_sym_void);
      END_STATE();
    case 210:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(272);
      END_STATE();
    case 211:
      ACCEPT_TOKEN(aux_sym_enum_case_token1);
      END_STATE();
    case 212:
      if (lookahead == 'H' ||
          lookahead == 'h') ADVANCE(273);
      END_STATE();
    case 213:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(274);
      END_STATE();
    case 214:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(275);
      END_STATE();
    case 215:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(276);
      END_STATE();
    case 216:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(277);
      END_STATE();
    case 217:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(278);
      END_STATE();
    case 218:
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(279);
      END_STATE();
    case 219:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(280);
      END_STATE();
    case 220:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(281);
      END_STATE();
    case 221:
      ACCEPT_TOKEN(aux_sym_goto_statement_token1);
      END_STATE();
    case 222:
      ACCEPT_TOKEN(aux_sym__list_destructing_token1);
      END_STATE();
    case 223:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(282);
      END_STATE();
    case 224:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(283);
      END_STATE();
    case 225:
      ACCEPT_TOKEN(aux_sym_cast_type_token10);
      END_STATE();
    case 226:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(284);
      END_STATE();
    case 227:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(285);
      END_STATE();
    case 228:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(286);
      END_STATE();
    case 229:
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(287);
      END_STATE();
    case 230:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(288);
      END_STATE();
    case 231:
      if (lookahead == 'Y' ||
          lookahead == 'y') ADVANCE(289);
      END_STATE();
    case 232:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(290);
      END_STATE();
    case 233:
      ACCEPT_TOKEN(aux_sym_break_statement_token1);
      END_STATE();
    case 234:
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(291);
      END_STATE();
    case 235:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(292);
      END_STATE();
    case 236:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(293);
      END_STATE();
    case 237:
      ACCEPT_TOKEN(aux_sym_if_statement_token2);
      END_STATE();
    case 238:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(294);
      END_STATE();
    case 239:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(295);
      END_STATE();
    case 240:
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(296);
      END_STATE();
    case 241:
      ACCEPT_TOKEN(aux_sym_final_modifier_token1);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(297);
      END_STATE();
    case 242:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(298);
      END_STATE();
    case 243:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(299);
      END_STATE();
    case 244:
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(300);
      END_STATE();
    case 245:
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(301);
      END_STATE();
    case 246:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(302);
      END_STATE();
    case 247:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(303);
      END_STATE();
    case 248:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(304);
      END_STATE();
    case 249:
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(305);
      END_STATE();
    case 250:
      ACCEPT_TOKEN(aux_sym_match_expression_token1);
      END_STATE();
    case 251:
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(306);
      END_STATE();
    case 252:
      ACCEPT_TOKEN(aux_sym_print_intrinsic_token1);
      END_STATE();
    case 253:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(307);
      END_STATE();
    case 254:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(308);
      END_STATE();
    case 255:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(309);
      END_STATE();
    case 256:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(310);
      END_STATE();
    case 257:
      if (lookahead == 'H' ||
          lookahead == 'h') ADVANCE(311);
      END_STATE();
    case 258:
      ACCEPT_TOKEN(aux_sym_throw_expression_token1);
      END_STATE();
    case 259:
      ACCEPT_TOKEN(aux_sym_trait_declaration_token1);
      END_STATE();
    case 260:
      ACCEPT_TOKEN(anon_sym_array);
      END_STATE();
    case 261:
      if (lookahead == 'i') ADVANCE(312);
      END_STATE();
    case 262:
      ACCEPT_TOKEN(anon_sym_false);
      END_STATE();
    case 263:
      ACCEPT_TOKEN(anon_sym_float);
      END_STATE();
    case 264:
      if (lookahead == 'b') ADVANCE(313);
      END_STATE();
    case 265:
      ACCEPT_TOKEN(anon_sym_mixed);
      END_STATE();
    case 266:
      ACCEPT_TOKEN(sym_bottom_type);
      END_STATE();
    case 267:
      if (lookahead == 't') ADVANCE(314);
      END_STATE();
    case 268:
      if (lookahead == 't') ADVANCE(315);
      END_STATE();
    case 269:
      if (lookahead == 'g') ADVANCE(316);
      END_STATE();
    case 270:
      ACCEPT_TOKEN(anon_sym_ticks);
      END_STATE();
    case 271:
      ACCEPT_TOKEN(anon_sym_unset);
      END_STATE();
    case 272:
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(317);
      END_STATE();
    case 273:
      ACCEPT_TOKEN(aux_sym_catch_clause_token1);
      END_STATE();
    case 274:
      ACCEPT_TOKEN(aux_sym_class_declaration_token1);
      END_STATE();
    case 275:
      ACCEPT_TOKEN(aux_sym_clone_expression_token1);
      END_STATE();
    case 276:
      ACCEPT_TOKEN(aux_sym__namespace_use_type_token2);
      END_STATE();
    case 277:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(318);
      END_STATE();
    case 278:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(319);
      END_STATE();
    case 279:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(320);
      END_STATE();
    case 280:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(321);
      END_STATE();
    case 281:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(322);
      END_STATE();
    case 282:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(323);
      END_STATE();
    case 283:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(324);
      END_STATE();
    case 284:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(325);
      END_STATE();
    case 285:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(326);
      END_STATE();
    case 286:
      ACCEPT_TOKEN(aux_sym_while_statement_token1);
      END_STATE();
    case 287:
      ACCEPT_TOKEN(aux_sym_yield_expression_token1);
      END_STATE();
    case 288:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(327);
      END_STATE();
    case 289:
      ACCEPT_TOKEN(aux_sym_cast_type_token2);
      END_STATE();
    case 290:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(328);
      END_STATE();
    case 291:
      ACCEPT_TOKEN(aux_sym_else_if_clause_token1);
      END_STATE();
    case 292:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(329);
      END_STATE();
    case 293:
      ACCEPT_TOKEN(aux_sym_for_statement_token2);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(330);
      END_STATE();
    case 294:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(331);
      END_STATE();
    case 295:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(332);
      END_STATE();
    case 296:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(333);
      END_STATE();
    case 297:
      if (lookahead == 'Y' ||
          lookahead == 'y') ADVANCE(334);
      END_STATE();
    case 298:
      if (lookahead == 'H' ||
          lookahead == 'h') ADVANCE(335);
      END_STATE();
    case 299:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(336);
      END_STATE();
    case 300:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(337);
      END_STATE();
    case 301:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(338);
      END_STATE();
    case 302:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(339);
      END_STATE();
    case 303:
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(340);
      END_STATE();
    case 304:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(341);
      END_STATE();
    case 305:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(342);
      END_STATE();
    case 306:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(343);
      END_STATE();
    case 307:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(344);
      END_STATE();
    case 308:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(345);
      END_STATE();
    case 309:
      ACCEPT_TOKEN(aux_sym_visibility_modifier_token1);
      END_STATE();
    case 310:
      ACCEPT_TOKEN(aux_sym_function_static_declaration_token1);
      END_STATE();
    case 311:
      ACCEPT_TOKEN(aux_sym_switch_statement_token1);
      END_STATE();
    case 312:
      if (lookahead == 'n') ADVANCE(346);
      END_STATE();
    case 313:
      if (lookahead == 'l') ADVANCE(347);
      END_STATE();
    case 314:
      ACCEPT_TOKEN(anon_sym_parent);
      END_STATE();
    case 315:
      if (lookahead == '_') ADVANCE(348);
      END_STATE();
    case 316:
      ACCEPT_TOKEN(anon_sym_string);
      END_STATE();
    case 317:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(349);
      END_STATE();
    case 318:
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(350);
      END_STATE();
    case 319:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(351);
      END_STATE();
    case 320:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(352);
      END_STATE();
    case 321:
      ACCEPT_TOKEN(aux_sym_cast_type_token5);
      END_STATE();
    case 322:
      ACCEPT_TOKEN(aux_sym_global_declaration_token1);
      END_STATE();
    case 323:
      ACCEPT_TOKEN(aux_sym_cast_type_token9);
      END_STATE();
    case 324:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(353);
      END_STATE();
    case 325:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(354);
      END_STATE();
    case 326:
      ACCEPT_TOKEN(aux_sym_return_statement_token1);
      END_STATE();
    case 327:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(355);
      END_STATE();
    case 328:
      ACCEPT_TOKEN(aux_sym_cast_type_token4);
      END_STATE();
    case 329:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(356);
      END_STATE();
    case 330:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(357);
      END_STATE();
    case 331:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(358);
      END_STATE();
    case 332:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(359);
      END_STATE();
    case 333:
      ACCEPT_TOKEN(aux_sym_base_clause_token1);
      END_STATE();
    case 334:
      ACCEPT_TOKEN(aux_sym_finally_clause_token1);
      END_STATE();
    case 335:
      ACCEPT_TOKEN(aux_sym_foreach_statement_token1);
      END_STATE();
    case 336:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(360);
      END_STATE();
    case 337:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(361);
      END_STATE();
    case 338:
      ACCEPT_TOKEN(aux_sym_include_expression_token1);
      if (lookahead == '_') ADVANCE(362);
      END_STATE();
    case 339:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(363);
      END_STATE();
    case 340:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(364);
      END_STATE();
    case 341:
      ACCEPT_TOKEN(aux_sym_cast_type_token7);
      END_STATE();
    case 342:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(365);
      END_STATE();
    case 343:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(366);
      END_STATE();
    case 344:
      ACCEPT_TOKEN(aux_sym_visibility_modifier_token3);
      END_STATE();
    case 345:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(367);
      END_STATE();
    case 346:
      if (lookahead == 'g') ADVANCE(368);
      END_STATE();
    case 347:
      if (lookahead == 'e') ADVANCE(369);
      END_STATE();
    case 348:
      if (lookahead == 't') ADVANCE(370);
      END_STATE();
    case 349:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(371);
      END_STATE();
    case 350:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(372);
      END_STATE();
    case 351:
      ACCEPT_TOKEN(aux_sym_declare_statement_token1);
      END_STATE();
    case 352:
      ACCEPT_TOKEN(aux_sym_match_default_expression_token1);
      END_STATE();
    case 353:
      if (lookahead == 'Y' ||
          lookahead == 'y') ADVANCE(373);
      END_STATE();
    case 354:
      ACCEPT_TOKEN(aux_sym_require_expression_token1);
      if (lookahead == '_') ADVANCE(374);
      END_STATE();
    case 355:
      ACCEPT_TOKEN(aux_sym_abstract_modifier_token1);
      END_STATE();
    case 356:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(375);
      END_STATE();
    case 357:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(376);
      END_STATE();
    case 358:
      if (lookahead == 'H' ||
          lookahead == 'h') ADVANCE(377);
      END_STATE();
    case 359:
      ACCEPT_TOKEN(aux_sym_while_statement_token2);
      END_STATE();
    case 360:
      ACCEPT_TOKEN(aux_sym__namespace_use_type_token1);
      END_STATE();
    case 361:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(378);
      END_STATE();
    case 362:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(379);
      END_STATE();
    case 363:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(380);
      END_STATE();
    case 364:
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(381);
      END_STATE();
    case 365:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(382);
      END_STATE();
    case 366:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(383);
      END_STATE();
    case 367:
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(384);
      END_STATE();
    case 368:
      ACCEPT_TOKEN(anon_sym_encoding);
      END_STATE();
    case 369:
      ACCEPT_TOKEN(anon_sym_iterable);
      END_STATE();
    case 370:
      if (lookahead == 'y') ADVANCE(385);
      END_STATE();
    case 371:
      ACCEPT_TOKEN(aux_sym_primitive_type_token1);
      END_STATE();
    case 372:
      ACCEPT_TOKEN(aux_sym_continue_statement_token1);
      END_STATE();
    case 373:
      ACCEPT_TOKEN(aux_sym_readonly_modifier_token1);
      END_STATE();
    case 374:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(386);
      END_STATE();
    case 375:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(387);
      END_STATE();
    case 376:
      if (lookahead == 'H' ||
          lookahead == 'h') ADVANCE(388);
      END_STATE();
    case 377:
      ACCEPT_TOKEN(aux_sym_switch_block_token1);
      END_STATE();
    case 378:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(389);
      END_STATE();
    case 379:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(390);
      END_STATE();
    case 380:
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(391);
      END_STATE();
    case 381:
      ACCEPT_TOKEN(aux_sym_use_instead_of_clause_token1);
      END_STATE();
    case 382:
      ACCEPT_TOKEN(aux_sym_interface_declaration_token1);
      END_STATE();
    case 383:
      ACCEPT_TOKEN(aux_sym_namespace_definition_token1);
      END_STATE();
    case 384:
      ACCEPT_TOKEN(aux_sym_visibility_modifier_token2);
      END_STATE();
    case 385:
      if (lookahead == 'p') ADVANCE(392);
      END_STATE();
    case 386:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(393);
      END_STATE();
    case 387:
      ACCEPT_TOKEN(aux_sym_declare_statement_token2);
      END_STATE();
    case 388:
      ACCEPT_TOKEN(aux_sym_foreach_statement_token2);
      END_STATE();
    case 389:
      ACCEPT_TOKEN(aux_sym_class_interface_clause_token1);
      END_STATE();
    case 390:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(394);
      END_STATE();
    case 391:
      ACCEPT_TOKEN(aux_sym_binary_expression_token1);
      END_STATE();
    case 392:
      if (lookahead == 'e') ADVANCE(395);
      END_STATE();
    case 393:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(396);
      END_STATE();
    case 394:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(397);
      END_STATE();
    case 395:
      if (lookahead == 's') ADVANCE(398);
      END_STATE();
    case 396:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(399);
      END_STATE();
    case 397:
      ACCEPT_TOKEN(aux_sym_include_once_expression_token1);
      END_STATE();
    case 398:
      ACCEPT_TOKEN(anon_sym_strict_types);
      END_STATE();
    case 399:
      ACCEPT_TOKEN(aux_sym_require_once_expression_token1);
      END_STATE();
    default:
      return false;
  }
}

static const TSLexMode ts_lex_modes[STATE_COUNT] = {
  [0] = {.lex_state = 0, .external_lex_state = 1},
  [1] = {.lex_state = 66},
  [2] = {.lex_state = 63},
  [3] = {.lex_state = 63},
  [4] = {.lex_state = 63},
  [5] = {.lex_state = 63},
  [6] = {.lex_state = 63},
  [7] = {.lex_state = 63},
  [8] = {.lex_state = 63},
  [9] = {.lex_state = 63, .external_lex_state = 2},
  [10] = {.lex_state = 63, .external_lex_state = 2},
  [11] = {.lex_state = 63},
  [12] = {.lex_state = 63},
  [13] = {.lex_state = 63},
  [14] = {.lex_state = 63, .external_lex_state = 2},
  [15] = {.lex_state = 63, .external_lex_state = 2},
  [16] = {.lex_state = 63, .external_lex_state = 2},
  [17] = {.lex_state = 63, .external_lex_state = 2},
  [18] = {.lex_state = 63, .external_lex_state = 2},
  [19] = {.lex_state = 63, .external_lex_state = 2},
  [20] = {.lex_state = 63, .external_lex_state = 2},
  [21] = {.lex_state = 63, .external_lex_state = 2},
  [22] = {.lex_state = 63, .external_lex_state = 2},
  [23] = {.lex_state = 63, .external_lex_state = 2},
  [24] = {.lex_state = 63, .external_lex_state = 2},
  [25] = {.lex_state = 63, .external_lex_state = 2},
  [26] = {.lex_state = 63, .external_lex_state = 2},
  [27] = {.lex_state = 63, .external_lex_state = 2},
  [28] = {.lex_state = 63, .external_lex_state = 2},
  [29] = {.lex_state = 63, .external_lex_state = 2},
  [30] = {.lex_state = 63, .external_lex_state = 2},
  [31] = {.lex_state = 63, .external_lex_state = 2},
  [32] = {.lex_state = 63, .external_lex_state = 2},
  [33] = {.lex_state = 63, .external_lex_state = 2},
  [34] = {.lex_state = 63, .external_lex_state = 2},
  [35] = {.lex_state = 63, .external_lex_state = 2},
  [36] = {.lex_state = 63, .external_lex_state = 2},
  [37] = {.lex_state = 63, .external_lex_state = 2},
  [38] = {.lex_state = 63, .external_lex_state = 2},
  [39] = {.lex_state = 63, .external_lex_state = 2},
  [40] = {.lex_state = 63, .external_lex_state = 2},
  [41] = {.lex_state = 63, .external_lex_state = 2},
  [42] = {.lex_state = 63, .external_lex_state = 2},
  [43] = {.lex_state = 63, .external_lex_state = 2},
  [44] = {.lex_state = 63, .external_lex_state = 2},
  [45] = {.lex_state = 63, .external_lex_state = 2},
  [46] = {.lex_state = 63, .external_lex_state = 2},
  [47] = {.lex_state = 63, .external_lex_state = 2},
  [48] = {.lex_state = 63, .external_lex_state = 2},
  [49] = {.lex_state = 63, .external_lex_state = 2},
  [50] = {.lex_state = 63, .external_lex_state = 2},
  [51] = {.lex_state = 63, .external_lex_state = 2},
  [52] = {.lex_state = 63},
  [53] = {.lex_state = 63},
  [54] = {.lex_state = 63},
  [55] = {.lex_state = 63},
  [56] = {.lex_state = 63},
  [57] = {.lex_state = 63},
  [58] = {.lex_state = 63},
  [59] = {.lex_state = 63},
  [60] = {.lex_state = 63},
  [61] = {.lex_state = 63},
  [62] = {.lex_state = 63},
  [63] = {.lex_state = 63},
  [64] = {.lex_state = 63},
  [65] = {.lex_state = 63},
  [66] = {.lex_state = 63},
  [67] = {.lex_state = 63},
  [68] = {.lex_state = 63},
  [69] = {.lex_state = 63},
  [70] = {.lex_state = 63},
  [71] = {.lex_state = 63},
  [72] = {.lex_state = 63},
  [73] = {.lex_state = 63},
  [74] = {.lex_state = 63},
  [75] = {.lex_state = 63},
  [76] = {.lex_state = 63},
  [77] = {.lex_state = 63},
  [78] = {.lex_state = 63},
  [79] = {.lex_state = 63},
  [80] = {.lex_state = 63},
  [81] = {.lex_state = 63},
  [82] = {.lex_state = 63},
  [83] = {.lex_state = 63},
  [84] = {.lex_state = 63},
  [85] = {.lex_state = 63},
  [86] = {.lex_state = 63},
  [87] = {.lex_state = 63},
  [88] = {.lex_state = 63},
  [89] = {.lex_state = 63},
  [90] = {.lex_state = 63},
  [91] = {.lex_state = 63},
  [92] = {.lex_state = 63},
  [93] = {.lex_state = 63},
  [94] = {.lex_state = 63},
  [95] = {.lex_state = 63},
  [96] = {.lex_state = 63},
  [97] = {.lex_state = 63},
  [98] = {.lex_state = 63},
  [99] = {.lex_state = 63},
  [100] = {.lex_state = 63},
  [101] = {.lex_state = 63},
  [102] = {.lex_state = 63},
  [103] = {.lex_state = 63},
  [104] = {.lex_state = 63},
  [105] = {.lex_state = 63},
  [106] = {.lex_state = 63},
  [107] = {.lex_state = 63},
  [108] = {.lex_state = 63},
  [109] = {.lex_state = 63},
  [110] = {.lex_state = 63},
  [111] = {.lex_state = 63},
  [112] = {.lex_state = 63},
  [113] = {.lex_state = 63},
  [114] = {.lex_state = 63},
  [115] = {.lex_state = 63},
  [116] = {.lex_state = 63},
  [117] = {.lex_state = 63},
  [118] = {.lex_state = 5},
  [119] = {.lex_state = 5},
  [120] = {.lex_state = 5, .external_lex_state = 2},
  [121] = {.lex_state = 5},
  [122] = {.lex_state = 7},
  [123] = {.lex_state = 7},
  [124] = {.lex_state = 7},
  [125] = {.lex_state = 7},
  [126] = {.lex_state = 7},
  [127] = {.lex_state = 7},
  [128] = {.lex_state = 7},
  [129] = {.lex_state = 7},
  [130] = {.lex_state = 7},
  [131] = {.lex_state = 7},
  [132] = {.lex_state = 7},
  [133] = {.lex_state = 6},
  [134] = {.lex_state = 6},
  [135] = {.lex_state = 6},
  [136] = {.lex_state = 6},
  [137] = {.lex_state = 6},
  [138] = {.lex_state = 6},
  [139] = {.lex_state = 6},
  [140] = {.lex_state = 6},
  [141] = {.lex_state = 6},
  [142] = {.lex_state = 6},
  [143] = {.lex_state = 6},
  [144] = {.lex_state = 6},
  [145] = {.lex_state = 6},
  [146] = {.lex_state = 6},
  [147] = {.lex_state = 6},
  [148] = {.lex_state = 6},
  [149] = {.lex_state = 6},
  [150] = {.lex_state = 6},
  [151] = {.lex_state = 6},
  [152] = {.lex_state = 6},
  [153] = {.lex_state = 6},
  [154] = {.lex_state = 6},
  [155] = {.lex_state = 6},
  [156] = {.lex_state = 6},
  [157] = {.lex_state = 6},
  [158] = {.lex_state = 6},
  [159] = {.lex_state = 6},
  [160] = {.lex_state = 6},
  [161] = {.lex_state = 63},
  [162] = {.lex_state = 63},
  [163] = {.lex_state = 6},
  [164] = {.lex_state = 6},
  [165] = {.lex_state = 6},
  [166] = {.lex_state = 6},
  [167] = {.lex_state = 6},
  [168] = {.lex_state = 6},
  [169] = {.lex_state = 6},
  [170] = {.lex_state = 6},
  [171] = {.lex_state = 63},
  [172] = {.lex_state = 6},
  [173] = {.lex_state = 63},
  [174] = {.lex_state = 63},
  [175] = {.lex_state = 6},
  [176] = {.lex_state = 63},
  [177] = {.lex_state = 63},
  [178] = {.lex_state = 63},
  [179] = {.lex_state = 63},
  [180] = {.lex_state = 63},
  [181] = {.lex_state = 63},
  [182] = {.lex_state = 6},
  [183] = {.lex_state = 63},
  [184] = {.lex_state = 63},
  [185] = {.lex_state = 63},
  [186] = {.lex_state = 63},
  [187] = {.lex_state = 63},
  [188] = {.lex_state = 63},
  [189] = {.lex_state = 63},
  [190] = {.lex_state = 63},
  [191] = {.lex_state = 63, .external_lex_state = 2},
  [192] = {.lex_state = 63},
  [193] = {.lex_state = 63, .external_lex_state = 2},
  [194] = {.lex_state = 63},
  [195] = {.lex_state = 63},
  [196] = {.lex_state = 63},
  [197] = {.lex_state = 63},
  [198] = {.lex_state = 63},
  [199] = {.lex_state = 63, .external_lex_state = 2},
  [200] = {.lex_state = 63},
  [201] = {.lex_state = 63},
  [202] = {.lex_state = 63},
  [203] = {.lex_state = 63, .external_lex_state = 2},
  [204] = {.lex_state = 63},
  [205] = {.lex_state = 63},
  [206] = {.lex_state = 63},
  [207] = {.lex_state = 63},
  [208] = {.lex_state = 63},
  [209] = {.lex_state = 63},
  [210] = {.lex_state = 63},
  [211] = {.lex_state = 63, .external_lex_state = 2},
  [212] = {.lex_state = 63},
  [213] = {.lex_state = 63},
  [214] = {.lex_state = 63, .external_lex_state = 2},
  [215] = {.lex_state = 63},
  [216] = {.lex_state = 63},
  [217] = {.lex_state = 63},
  [218] = {.lex_state = 63},
  [219] = {.lex_state = 63},
  [220] = {.lex_state = 63},
  [221] = {.lex_state = 63},
  [222] = {.lex_state = 63},
  [223] = {.lex_state = 63},
  [224] = {.lex_state = 6},
  [225] = {.lex_state = 63},
  [226] = {.lex_state = 63},
  [227] = {.lex_state = 63},
  [228] = {.lex_state = 63},
  [229] = {.lex_state = 63},
  [230] = {.lex_state = 63},
  [231] = {.lex_state = 6},
  [232] = {.lex_state = 63},
  [233] = {.lex_state = 63},
  [234] = {.lex_state = 63},
  [235] = {.lex_state = 63},
  [236] = {.lex_state = 63},
  [237] = {.lex_state = 63},
  [238] = {.lex_state = 63},
  [239] = {.lex_state = 63},
  [240] = {.lex_state = 63},
  [241] = {.lex_state = 63},
  [242] = {.lex_state = 63},
  [243] = {.lex_state = 63},
  [244] = {.lex_state = 63},
  [245] = {.lex_state = 63},
  [246] = {.lex_state = 63},
  [247] = {.lex_state = 63},
  [248] = {.lex_state = 63},
  [249] = {.lex_state = 63},
  [250] = {.lex_state = 63},
  [251] = {.lex_state = 63},
  [252] = {.lex_state = 63},
  [253] = {.lex_state = 63},
  [254] = {.lex_state = 63},
  [255] = {.lex_state = 63},
  [256] = {.lex_state = 63},
  [257] = {.lex_state = 63},
  [258] = {.lex_state = 63},
  [259] = {.lex_state = 63},
  [260] = {.lex_state = 63},
  [261] = {.lex_state = 63},
  [262] = {.lex_state = 63},
  [263] = {.lex_state = 63},
  [264] = {.lex_state = 63},
  [265] = {.lex_state = 63},
  [266] = {.lex_state = 63},
  [267] = {.lex_state = 63},
  [268] = {.lex_state = 63},
  [269] = {.lex_state = 63},
  [270] = {.lex_state = 63},
  [271] = {.lex_state = 63},
  [272] = {.lex_state = 63},
  [273] = {.lex_state = 63},
  [274] = {.lex_state = 63},
  [275] = {.lex_state = 63},
  [276] = {.lex_state = 63},
  [277] = {.lex_state = 63},
  [278] = {.lex_state = 63},
  [279] = {.lex_state = 63},
  [280] = {.lex_state = 63},
  [281] = {.lex_state = 63},
  [282] = {.lex_state = 63},
  [283] = {.lex_state = 63},
  [284] = {.lex_state = 63},
  [285] = {.lex_state = 63},
  [286] = {.lex_state = 63},
  [287] = {.lex_state = 63},
  [288] = {.lex_state = 63},
  [289] = {.lex_state = 63},
  [290] = {.lex_state = 63},
  [291] = {.lex_state = 63},
  [292] = {.lex_state = 63},
  [293] = {.lex_state = 63},
  [294] = {.lex_state = 63},
  [295] = {.lex_state = 63},
  [296] = {.lex_state = 63},
  [297] = {.lex_state = 63},
  [298] = {.lex_state = 63},
  [299] = {.lex_state = 63},
  [300] = {.lex_state = 63},
  [301] = {.lex_state = 63},
  [302] = {.lex_state = 63},
  [303] = {.lex_state = 63},
  [304] = {.lex_state = 63},
  [305] = {.lex_state = 63},
  [306] = {.lex_state = 63},
  [307] = {.lex_state = 63},
  [308] = {.lex_state = 63},
  [309] = {.lex_state = 63},
  [310] = {.lex_state = 63},
  [311] = {.lex_state = 63},
  [312] = {.lex_state = 63},
  [313] = {.lex_state = 63},
  [314] = {.lex_state = 63},
  [315] = {.lex_state = 63},
  [316] = {.lex_state = 63},
  [317] = {.lex_state = 63},
  [318] = {.lex_state = 63},
  [319] = {.lex_state = 63},
  [320] = {.lex_state = 63},
  [321] = {.lex_state = 63},
  [322] = {.lex_state = 63},
  [323] = {.lex_state = 63},
  [324] = {.lex_state = 63},
  [325] = {.lex_state = 63},
  [326] = {.lex_state = 63},
  [327] = {.lex_state = 63},
  [328] = {.lex_state = 63},
  [329] = {.lex_state = 63},
  [330] = {.lex_state = 63},
  [331] = {.lex_state = 63},
  [332] = {.lex_state = 63},
  [333] = {.lex_state = 63},
  [334] = {.lex_state = 63},
  [335] = {.lex_state = 63},
  [336] = {.lex_state = 63},
  [337] = {.lex_state = 63},
  [338] = {.lex_state = 63},
  [339] = {.lex_state = 63},
  [340] = {.lex_state = 63},
  [341] = {.lex_state = 63},
  [342] = {.lex_state = 63},
  [343] = {.lex_state = 63},
  [344] = {.lex_state = 63},
  [345] = {.lex_state = 63},
  [346] = {.lex_state = 63},
  [347] = {.lex_state = 63},
  [348] = {.lex_state = 63},
  [349] = {.lex_state = 63},
  [350] = {.lex_state = 63},
  [351] = {.lex_state = 63},
  [352] = {.lex_state = 63},
  [353] = {.lex_state = 63},
  [354] = {.lex_state = 63},
  [355] = {.lex_state = 63},
  [356] = {.lex_state = 63},
  [357] = {.lex_state = 63},
  [358] = {.lex_state = 63},
  [359] = {.lex_state = 63},
  [360] = {.lex_state = 63},
  [361] = {.lex_state = 63},
  [362] = {.lex_state = 63},
  [363] = {.lex_state = 63},
  [364] = {.lex_state = 63},
  [365] = {.lex_state = 63},
  [366] = {.lex_state = 63},
  [367] = {.lex_state = 63},
  [368] = {.lex_state = 63},
  [369] = {.lex_state = 63},
  [370] = {.lex_state = 63},
  [371] = {.lex_state = 63},
  [372] = {.lex_state = 63},
  [373] = {.lex_state = 63},
  [374] = {.lex_state = 63},
  [375] = {.lex_state = 63},
  [376] = {.lex_state = 63},
  [377] = {.lex_state = 63},
  [378] = {.lex_state = 63},
  [379] = {.lex_state = 63},
  [380] = {.lex_state = 63},
  [381] = {.lex_state = 63},
  [382] = {.lex_state = 63},
  [383] = {.lex_state = 63},
  [384] = {.lex_state = 63},
  [385] = {.lex_state = 63},
  [386] = {.lex_state = 63},
  [387] = {.lex_state = 63},
  [388] = {.lex_state = 63},
  [389] = {.lex_state = 63},
  [390] = {.lex_state = 63},
  [391] = {.lex_state = 63},
  [392] = {.lex_state = 63},
  [393] = {.lex_state = 63},
  [394] = {.lex_state = 63},
  [395] = {.lex_state = 63},
  [396] = {.lex_state = 63},
  [397] = {.lex_state = 63},
  [398] = {.lex_state = 63},
  [399] = {.lex_state = 63},
  [400] = {.lex_state = 63},
  [401] = {.lex_state = 63},
  [402] = {.lex_state = 63},
  [403] = {.lex_state = 63},
  [404] = {.lex_state = 63},
  [405] = {.lex_state = 63},
  [406] = {.lex_state = 63},
  [407] = {.lex_state = 63},
  [408] = {.lex_state = 63},
  [409] = {.lex_state = 63},
  [410] = {.lex_state = 63},
  [411] = {.lex_state = 63},
  [412] = {.lex_state = 63},
  [413] = {.lex_state = 63},
  [414] = {.lex_state = 63},
  [415] = {.lex_state = 63},
  [416] = {.lex_state = 63},
  [417] = {.lex_state = 63},
  [418] = {.lex_state = 63},
  [419] = {.lex_state = 63},
  [420] = {.lex_state = 63},
  [421] = {.lex_state = 63},
  [422] = {.lex_state = 63},
  [423] = {.lex_state = 63},
  [424] = {.lex_state = 63},
  [425] = {.lex_state = 63},
  [426] = {.lex_state = 63},
  [427] = {.lex_state = 63},
  [428] = {.lex_state = 63},
  [429] = {.lex_state = 63},
  [430] = {.lex_state = 63},
  [431] = {.lex_state = 63},
  [432] = {.lex_state = 63},
  [433] = {.lex_state = 63},
  [434] = {.lex_state = 63},
  [435] = {.lex_state = 63},
  [436] = {.lex_state = 63},
  [437] = {.lex_state = 63},
  [438] = {.lex_state = 63},
  [439] = {.lex_state = 63},
  [440] = {.lex_state = 63},
  [441] = {.lex_state = 63},
  [442] = {.lex_state = 63},
  [443] = {.lex_state = 63},
  [444] = {.lex_state = 63},
  [445] = {.lex_state = 63},
  [446] = {.lex_state = 63},
  [447] = {.lex_state = 63},
  [448] = {.lex_state = 63},
  [449] = {.lex_state = 63},
  [450] = {.lex_state = 63},
  [451] = {.lex_state = 63},
  [452] = {.lex_state = 63},
  [453] = {.lex_state = 63},
  [454] = {.lex_state = 63},
  [455] = {.lex_state = 63},
  [456] = {.lex_state = 63},
  [457] = {.lex_state = 63},
  [458] = {.lex_state = 63},
  [459] = {.lex_state = 63},
  [460] = {.lex_state = 63},
  [461] = {.lex_state = 63},
  [462] = {.lex_state = 63},
  [463] = {.lex_state = 63},
  [464] = {.lex_state = 63},
  [465] = {.lex_state = 63},
  [466] = {.lex_state = 63},
  [467] = {.lex_state = 63},
  [468] = {.lex_state = 63},
  [469] = {.lex_state = 63},
  [470] = {.lex_state = 63},
  [471] = {.lex_state = 63},
  [472] = {.lex_state = 63},
  [473] = {.lex_state = 63},
  [474] = {.lex_state = 63},
  [475] = {.lex_state = 63},
  [476] = {.lex_state = 63},
  [477] = {.lex_state = 63},
  [478] = {.lex_state = 63},
  [479] = {.lex_state = 63},
  [480] = {.lex_state = 63},
  [481] = {.lex_state = 63},
  [482] = {.lex_state = 63},
  [483] = {.lex_state = 63},
  [484] = {.lex_state = 63},
  [485] = {.lex_state = 63},
  [486] = {.lex_state = 63},
  [487] = {.lex_state = 63},
  [488] = {.lex_state = 63},
  [489] = {.lex_state = 63},
  [490] = {.lex_state = 63},
  [491] = {.lex_state = 63},
  [492] = {.lex_state = 63},
  [493] = {.lex_state = 63},
  [494] = {.lex_state = 63},
  [495] = {.lex_state = 63},
  [496] = {.lex_state = 63},
  [497] = {.lex_state = 63},
  [498] = {.lex_state = 63},
  [499] = {.lex_state = 63},
  [500] = {.lex_state = 63},
  [501] = {.lex_state = 63},
  [502] = {.lex_state = 63},
  [503] = {.lex_state = 63},
  [504] = {.lex_state = 63},
  [505] = {.lex_state = 63},
  [506] = {.lex_state = 63},
  [507] = {.lex_state = 63},
  [508] = {.lex_state = 63},
  [509] = {.lex_state = 63},
  [510] = {.lex_state = 63},
  [511] = {.lex_state = 63},
  [512] = {.lex_state = 63},
  [513] = {.lex_state = 63},
  [514] = {.lex_state = 63},
  [515] = {.lex_state = 63},
  [516] = {.lex_state = 63},
  [517] = {.lex_state = 63},
  [518] = {.lex_state = 63},
  [519] = {.lex_state = 63},
  [520] = {.lex_state = 63},
  [521] = {.lex_state = 63},
  [522] = {.lex_state = 63},
  [523] = {.lex_state = 63},
  [524] = {.lex_state = 63},
  [525] = {.lex_state = 63},
  [526] = {.lex_state = 63},
  [527] = {.lex_state = 63},
  [528] = {.lex_state = 63},
  [529] = {.lex_state = 63},
  [530] = {.lex_state = 63},
  [531] = {.lex_state = 63},
  [532] = {.lex_state = 63},
  [533] = {.lex_state = 63},
  [534] = {.lex_state = 63},
  [535] = {.lex_state = 63},
  [536] = {.lex_state = 63},
  [537] = {.lex_state = 63},
  [538] = {.lex_state = 63},
  [539] = {.lex_state = 63},
  [540] = {.lex_state = 63},
  [541] = {.lex_state = 63},
  [542] = {.lex_state = 63},
  [543] = {.lex_state = 63},
  [544] = {.lex_state = 63},
  [545] = {.lex_state = 63},
  [546] = {.lex_state = 63},
  [547] = {.lex_state = 63},
  [548] = {.lex_state = 63},
  [549] = {.lex_state = 63},
  [550] = {.lex_state = 63},
  [551] = {.lex_state = 63},
  [552] = {.lex_state = 63},
  [553] = {.lex_state = 63},
  [554] = {.lex_state = 63},
  [555] = {.lex_state = 63},
  [556] = {.lex_state = 63},
  [557] = {.lex_state = 63},
  [558] = {.lex_state = 63},
  [559] = {.lex_state = 63},
  [560] = {.lex_state = 63},
  [561] = {.lex_state = 63},
  [562] = {.lex_state = 63},
  [563] = {.lex_state = 63},
  [564] = {.lex_state = 63},
  [565] = {.lex_state = 63},
  [566] = {.lex_state = 63},
  [567] = {.lex_state = 63},
  [568] = {.lex_state = 63},
  [569] = {.lex_state = 63},
  [570] = {.lex_state = 63},
  [571] = {.lex_state = 63},
  [572] = {.lex_state = 63},
  [573] = {.lex_state = 63},
  [574] = {.lex_state = 63},
  [575] = {.lex_state = 63},
  [576] = {.lex_state = 63},
  [577] = {.lex_state = 63},
  [578] = {.lex_state = 63},
  [579] = {.lex_state = 63},
  [580] = {.lex_state = 63},
  [581] = {.lex_state = 63},
  [582] = {.lex_state = 63},
  [583] = {.lex_state = 63},
  [584] = {.lex_state = 63},
  [585] = {.lex_state = 63},
  [586] = {.lex_state = 63},
  [587] = {.lex_state = 64},
  [588] = {.lex_state = 64},
  [589] = {.lex_state = 64},
  [590] = {.lex_state = 64},
  [591] = {.lex_state = 64},
  [592] = {.lex_state = 64},
  [593] = {.lex_state = 64},
  [594] = {.lex_state = 64},
  [595] = {.lex_state = 64},
  [596] = {.lex_state = 64},
  [597] = {.lex_state = 64},
  [598] = {.lex_state = 64},
  [599] = {.lex_state = 64},
  [600] = {.lex_state = 64},
  [601] = {.lex_state = 64},
  [602] = {.lex_state = 64},
  [603] = {.lex_state = 64},
  [604] = {.lex_state = 64},
  [605] = {.lex_state = 64},
  [606] = {.lex_state = 64},
  [607] = {.lex_state = 64},
  [608] = {.lex_state = 64},
  [609] = {.lex_state = 64},
  [610] = {.lex_state = 64},
  [611] = {.lex_state = 64},
  [612] = {.lex_state = 64},
  [613] = {.lex_state = 64},
  [614] = {.lex_state = 64},
  [615] = {.lex_state = 64},
  [616] = {.lex_state = 64},
  [617] = {.lex_state = 64},
  [618] = {.lex_state = 64},
  [619] = {.lex_state = 64},
  [620] = {.lex_state = 64},
  [621] = {.lex_state = 64},
  [622] = {.lex_state = 64, .external_lex_state = 2},
  [623] = {.lex_state = 64},
  [624] = {.lex_state = 64, .external_lex_state = 2},
  [625] = {.lex_state = 64, .external_lex_state = 2},
  [626] = {.lex_state = 64, .external_lex_state = 2},
  [627] = {.lex_state = 64, .external_lex_state = 2},
  [628] = {.lex_state = 64, .external_lex_state = 2},
  [629] = {.lex_state = 64, .external_lex_state = 2},
  [630] = {.lex_state = 64},
  [631] = {.lex_state = 65},
  [632] = {.lex_state = 64, .external_lex_state = 2},
  [633] = {.lex_state = 64, .external_lex_state = 2},
  [634] = {.lex_state = 64, .external_lex_state = 2},
  [635] = {.lex_state = 64, .external_lex_state = 2},
  [636] = {.lex_state = 64, .external_lex_state = 2},
  [637] = {.lex_state = 64, .external_lex_state = 2},
  [638] = {.lex_state = 64, .external_lex_state = 2},
  [639] = {.lex_state = 64, .external_lex_state = 2},
  [640] = {.lex_state = 64, .external_lex_state = 2},
  [641] = {.lex_state = 65},
  [642] = {.lex_state = 64, .external_lex_state = 2},
  [643] = {.lex_state = 65},
  [644] = {.lex_state = 64, .external_lex_state = 2},
  [645] = {.lex_state = 65},
  [646] = {.lex_state = 64},
  [647] = {.lex_state = 65},
  [648] = {.lex_state = 64, .external_lex_state = 2},
  [649] = {.lex_state = 64, .external_lex_state = 2},
  [650] = {.lex_state = 64, .external_lex_state = 2},
  [651] = {.lex_state = 64, .external_lex_state = 2},
  [652] = {.lex_state = 64, .external_lex_state = 2},
  [653] = {.lex_state = 64},
  [654] = {.lex_state = 64, .external_lex_state = 2},
  [655] = {.lex_state = 64, .external_lex_state = 2},
  [656] = {.lex_state = 64},
  [657] = {.lex_state = 64},
  [658] = {.lex_state = 65},
  [659] = {.lex_state = 64, .external_lex_state = 2},
  [660] = {.lex_state = 64, .external_lex_state = 2},
  [661] = {.lex_state = 64, .external_lex_state = 2},
  [662] = {.lex_state = 64},
  [663] = {.lex_state = 64, .external_lex_state = 2},
  [664] = {.lex_state = 64, .external_lex_state = 2},
  [665] = {.lex_state = 64, .external_lex_state = 2},
  [666] = {.lex_state = 64},
  [667] = {.lex_state = 64, .external_lex_state = 2},
  [668] = {.lex_state = 64},
  [669] = {.lex_state = 64, .external_lex_state = 2},
  [670] = {.lex_state = 64, .external_lex_state = 2},
  [671] = {.lex_state = 64, .external_lex_state = 2},
  [672] = {.lex_state = 64, .external_lex_state = 2},
  [673] = {.lex_state = 64, .external_lex_state = 2},
  [674] = {.lex_state = 64, .external_lex_state = 2},
  [675] = {.lex_state = 64},
  [676] = {.lex_state = 64},
  [677] = {.lex_state = 64},
  [678] = {.lex_state = 64},
  [679] = {.lex_state = 64},
  [680] = {.lex_state = 64},
  [681] = {.lex_state = 64},
  [682] = {.lex_state = 64},
  [683] = {.lex_state = 64},
  [684] = {.lex_state = 64},
  [685] = {.lex_state = 65},
  [686] = {.lex_state = 64},
  [687] = {.lex_state = 64},
  [688] = {.lex_state = 65},
  [689] = {.lex_state = 64},
  [690] = {.lex_state = 65},
  [691] = {.lex_state = 65},
  [692] = {.lex_state = 64},
  [693] = {.lex_state = 64},
  [694] = {.lex_state = 64},
  [695] = {.lex_state = 65},
  [696] = {.lex_state = 10},
  [697] = {.lex_state = 65},
  [698] = {.lex_state = 65},
  [699] = {.lex_state = 65},
  [700] = {.lex_state = 65},
  [701] = {.lex_state = 64},
  [702] = {.lex_state = 65},
  [703] = {.lex_state = 65},
  [704] = {.lex_state = 65},
  [705] = {.lex_state = 65},
  [706] = {.lex_state = 65},
  [707] = {.lex_state = 65},
  [708] = {.lex_state = 64},
  [709] = {.lex_state = 65},
  [710] = {.lex_state = 65},
  [711] = {.lex_state = 12},
  [712] = {.lex_state = 10},
  [713] = {.lex_state = 8},
  [714] = {.lex_state = 8},
  [715] = {.lex_state = 10},
  [716] = {.lex_state = 8},
  [717] = {.lex_state = 10},
  [718] = {.lex_state = 12},
  [719] = {.lex_state = 12},
  [720] = {.lex_state = 10},
  [721] = {.lex_state = 8},
  [722] = {.lex_state = 8},
  [723] = {.lex_state = 8},
  [724] = {.lex_state = 8},
  [725] = {.lex_state = 8},
  [726] = {.lex_state = 8},
  [727] = {.lex_state = 10},
  [728] = {.lex_state = 8},
  [729] = {.lex_state = 8},
  [730] = {.lex_state = 8},
  [731] = {.lex_state = 8},
  [732] = {.lex_state = 8},
  [733] = {.lex_state = 8},
  [734] = {.lex_state = 8},
  [735] = {.lex_state = 12, .external_lex_state = 2},
  [736] = {.lex_state = 10},
  [737] = {.lex_state = 8},
  [738] = {.lex_state = 8},
  [739] = {.lex_state = 8},
  [740] = {.lex_state = 8},
  [741] = {.lex_state = 8},
  [742] = {.lex_state = 8},
  [743] = {.lex_state = 8},
  [744] = {.lex_state = 8},
  [745] = {.lex_state = 8},
  [746] = {.lex_state = 8},
  [747] = {.lex_state = 8},
  [748] = {.lex_state = 8},
  [749] = {.lex_state = 8},
  [750] = {.lex_state = 8},
  [751] = {.lex_state = 8},
  [752] = {.lex_state = 8},
  [753] = {.lex_state = 8},
  [754] = {.lex_state = 10},
  [755] = {.lex_state = 8},
  [756] = {.lex_state = 10},
  [757] = {.lex_state = 8},
  [758] = {.lex_state = 10},
  [759] = {.lex_state = 8},
  [760] = {.lex_state = 10},
  [761] = {.lex_state = 8},
  [762] = {.lex_state = 8},
  [763] = {.lex_state = 10},
  [764] = {.lex_state = 15},
  [765] = {.lex_state = 10},
  [766] = {.lex_state = 10},
  [767] = {.lex_state = 10},
  [768] = {.lex_state = 10},
  [769] = {.lex_state = 12},
  [770] = {.lex_state = 10},
  [771] = {.lex_state = 10},
  [772] = {.lex_state = 10},
  [773] = {.lex_state = 10},
  [774] = {.lex_state = 10},
  [775] = {.lex_state = 10},
  [776] = {.lex_state = 10},
  [777] = {.lex_state = 12},
  [778] = {.lex_state = 10},
  [779] = {.lex_state = 10},
  [780] = {.lex_state = 10},
  [781] = {.lex_state = 10},
  [782] = {.lex_state = 10},
  [783] = {.lex_state = 10},
  [784] = {.lex_state = 10},
  [785] = {.lex_state = 10},
  [786] = {.lex_state = 10},
  [787] = {.lex_state = 10},
  [788] = {.lex_state = 10},
  [789] = {.lex_state = 10},
  [790] = {.lex_state = 10},
  [791] = {.lex_state = 10},
  [792] = {.lex_state = 10},
  [793] = {.lex_state = 10},
  [794] = {.lex_state = 10},
  [795] = {.lex_state = 10},
  [796] = {.lex_state = 10},
  [797] = {.lex_state = 10},
  [798] = {.lex_state = 10},
  [799] = {.lex_state = 10},
  [800] = {.lex_state = 10},
  [801] = {.lex_state = 10},
  [802] = {.lex_state = 10},
  [803] = {.lex_state = 10},
  [804] = {.lex_state = 10},
  [805] = {.lex_state = 10},
  [806] = {.lex_state = 10},
  [807] = {.lex_state = 10},
  [808] = {.lex_state = 10},
  [809] = {.lex_state = 10},
  [810] = {.lex_state = 10},
  [811] = {.lex_state = 10},
  [812] = {.lex_state = 10},
  [813] = {.lex_state = 10},
  [814] = {.lex_state = 10},
  [815] = {.lex_state = 10},
  [816] = {.lex_state = 10},
  [817] = {.lex_state = 10},
  [818] = {.lex_state = 10},
  [819] = {.lex_state = 15},
  [820] = {.lex_state = 10},
  [821] = {.lex_state = 10},
  [822] = {.lex_state = 10},
  [823] = {.lex_state = 10},
  [824] = {.lex_state = 10},
  [825] = {.lex_state = 10},
  [826] = {.lex_state = 10},
  [827] = {.lex_state = 10},
  [828] = {.lex_state = 10},
  [829] = {.lex_state = 10},
  [830] = {.lex_state = 10},
  [831] = {.lex_state = 10},
  [832] = {.lex_state = 10},
  [833] = {.lex_state = 10},
  [834] = {.lex_state = 10},
  [835] = {.lex_state = 10},
  [836] = {.lex_state = 10},
  [837] = {.lex_state = 10},
  [838] = {.lex_state = 10},
  [839] = {.lex_state = 10},
  [840] = {.lex_state = 10},
  [841] = {.lex_state = 10},
  [842] = {.lex_state = 10},
  [843] = {.lex_state = 10},
  [844] = {.lex_state = 10},
  [845] = {.lex_state = 10},
  [846] = {.lex_state = 10},
  [847] = {.lex_state = 10},
  [848] = {.lex_state = 10, .external_lex_state = 2},
  [849] = {.lex_state = 12},
  [850] = {.lex_state = 15},
  [851] = {.lex_state = 10},
  [852] = {.lex_state = 10},
  [853] = {.lex_state = 12},
  [854] = {.lex_state = 15},
  [855] = {.lex_state = 10},
  [856] = {.lex_state = 10},
  [857] = {.lex_state = 15},
  [858] = {.lex_state = 12},
  [859] = {.lex_state = 10},
  [860] = {.lex_state = 15},
  [861] = {.lex_state = 8, .external_lex_state = 2},
  [862] = {.lex_state = 8, .external_lex_state = 2},
  [863] = {.lex_state = 8, .external_lex_state = 2},
  [864] = {.lex_state = 10, .external_lex_state = 2},
  [865] = {.lex_state = 8, .external_lex_state = 2},
  [866] = {.lex_state = 8, .external_lex_state = 2},
  [867] = {.lex_state = 8, .external_lex_state = 2},
  [868] = {.lex_state = 8, .external_lex_state = 2},
  [869] = {.lex_state = 6},
  [870] = {.lex_state = 8, .external_lex_state = 2},
  [871] = {.lex_state = 15},
  [872] = {.lex_state = 15},
  [873] = {.lex_state = 15},
  [874] = {.lex_state = 8, .external_lex_state = 2},
  [875] = {.lex_state = 8, .external_lex_state = 2},
  [876] = {.lex_state = 8, .external_lex_state = 2},
  [877] = {.lex_state = 8, .external_lex_state = 2},
  [878] = {.lex_state = 15},
  [879] = {.lex_state = 8, .external_lex_state = 2},
  [880] = {.lex_state = 8, .external_lex_state = 2},
  [881] = {.lex_state = 8, .external_lex_state = 2},
  [882] = {.lex_state = 10},
  [883] = {.lex_state = 8, .external_lex_state = 2},
  [884] = {.lex_state = 8, .external_lex_state = 2},
  [885] = {.lex_state = 8, .external_lex_state = 2},
  [886] = {.lex_state = 8, .external_lex_state = 2},
  [887] = {.lex_state = 8, .external_lex_state = 2},
  [888] = {.lex_state = 8, .external_lex_state = 2},
  [889] = {.lex_state = 8, .external_lex_state = 2},
  [890] = {.lex_state = 8, .external_lex_state = 2},
  [891] = {.lex_state = 8, .external_lex_state = 2},
  [892] = {.lex_state = 8, .external_lex_state = 2},
  [893] = {.lex_state = 12},
  [894] = {.lex_state = 10, .external_lex_state = 2},
  [895] = {.lex_state = 8, .external_lex_state = 2},
  [896] = {.lex_state = 8, .external_lex_state = 2},
  [897] = {.lex_state = 12},
  [898] = {.lex_state = 10, .external_lex_state = 2},
  [899] = {.lex_state = 8, .external_lex_state = 2},
  [900] = {.lex_state = 8, .external_lex_state = 2},
  [901] = {.lex_state = 10, .external_lex_state = 2},
  [902] = {.lex_state = 8, .external_lex_state = 2},
  [903] = {.lex_state = 8, .external_lex_state = 2},
  [904] = {.lex_state = 10, .external_lex_state = 2},
  [905] = {.lex_state = 8, .external_lex_state = 2},
  [906] = {.lex_state = 8, .external_lex_state = 2},
  [907] = {.lex_state = 8, .external_lex_state = 2},
  [908] = {.lex_state = 8, .external_lex_state = 2},
  [909] = {.lex_state = 8, .external_lex_state = 2},
  [910] = {.lex_state = 6},
  [911] = {.lex_state = 12},
  [912] = {.lex_state = 8, .external_lex_state = 2},
  [913] = {.lex_state = 12},
  [914] = {.lex_state = 12},
  [915] = {.lex_state = 8, .external_lex_state = 2},
  [916] = {.lex_state = 10, .external_lex_state = 2},
  [917] = {.lex_state = 10, .external_lex_state = 2},
  [918] = {.lex_state = 10, .external_lex_state = 2},
  [919] = {.lex_state = 10, .external_lex_state = 2},
  [920] = {.lex_state = 10, .external_lex_state = 2},
  [921] = {.lex_state = 10, .external_lex_state = 2},
  [922] = {.lex_state = 10, .external_lex_state = 2},
  [923] = {.lex_state = 10, .external_lex_state = 2},
  [924] = {.lex_state = 10, .external_lex_state = 2},
  [925] = {.lex_state = 10, .external_lex_state = 2},
  [926] = {.lex_state = 10, .external_lex_state = 2},
  [927] = {.lex_state = 10, .external_lex_state = 2},
  [928] = {.lex_state = 10, .external_lex_state = 2},
  [929] = {.lex_state = 10, .external_lex_state = 2},
  [930] = {.lex_state = 10, .external_lex_state = 2},
  [931] = {.lex_state = 12},
  [932] = {.lex_state = 10, .external_lex_state = 2},
  [933] = {.lex_state = 10, .external_lex_state = 2},
  [934] = {.lex_state = 10, .external_lex_state = 2},
  [935] = {.lex_state = 10, .external_lex_state = 2},
  [936] = {.lex_state = 10, .external_lex_state = 2},
  [937] = {.lex_state = 10, .external_lex_state = 2},
  [938] = {.lex_state = 10, .external_lex_state = 2},
  [939] = {.lex_state = 10, .external_lex_state = 2},
  [940] = {.lex_state = 10, .external_lex_state = 2},
  [941] = {.lex_state = 10, .external_lex_state = 2},
  [942] = {.lex_state = 10},
  [943] = {.lex_state = 10, .external_lex_state = 2},
  [944] = {.lex_state = 10, .external_lex_state = 2},
  [945] = {.lex_state = 10, .external_lex_state = 2},
  [946] = {.lex_state = 10, .external_lex_state = 2},
  [947] = {.lex_state = 10, .external_lex_state = 2},
  [948] = {.lex_state = 10, .external_lex_state = 2},
  [949] = {.lex_state = 10, .external_lex_state = 2},
  [950] = {.lex_state = 10, .external_lex_state = 2},
  [951] = {.lex_state = 10, .external_lex_state = 2},
  [952] = {.lex_state = 10, .external_lex_state = 2},
  [953] = {.lex_state = 10, .external_lex_state = 2},
  [954] = {.lex_state = 10, .external_lex_state = 2},
  [955] = {.lex_state = 10, .external_lex_state = 2},
  [956] = {.lex_state = 10, .external_lex_state = 2},
  [957] = {.lex_state = 10, .external_lex_state = 2},
  [958] = {.lex_state = 10, .external_lex_state = 2},
  [959] = {.lex_state = 10, .external_lex_state = 2},
  [960] = {.lex_state = 10, .external_lex_state = 2},
  [961] = {.lex_state = 10, .external_lex_state = 2},
  [962] = {.lex_state = 10, .external_lex_state = 2},
  [963] = {.lex_state = 10, .external_lex_state = 2},
  [964] = {.lex_state = 10, .external_lex_state = 2},
  [965] = {.lex_state = 10, .external_lex_state = 2},
  [966] = {.lex_state = 10, .external_lex_state = 2},
  [967] = {.lex_state = 12},
  [968] = {.lex_state = 10, .external_lex_state = 2},
  [969] = {.lex_state = 10, .external_lex_state = 2},
  [970] = {.lex_state = 10, .external_lex_state = 2},
  [971] = {.lex_state = 10, .external_lex_state = 2},
  [972] = {.lex_state = 10, .external_lex_state = 2},
  [973] = {.lex_state = 10, .external_lex_state = 2},
  [974] = {.lex_state = 10, .external_lex_state = 2},
  [975] = {.lex_state = 10, .external_lex_state = 2},
  [976] = {.lex_state = 10, .external_lex_state = 2},
  [977] = {.lex_state = 10, .external_lex_state = 2},
  [978] = {.lex_state = 10, .external_lex_state = 2},
  [979] = {.lex_state = 10, .external_lex_state = 2},
  [980] = {.lex_state = 10, .external_lex_state = 2},
  [981] = {.lex_state = 10, .external_lex_state = 2},
  [982] = {.lex_state = 10, .external_lex_state = 2},
  [983] = {.lex_state = 10, .external_lex_state = 2},
  [984] = {.lex_state = 10, .external_lex_state = 2},
  [985] = {.lex_state = 10, .external_lex_state = 2},
  [986] = {.lex_state = 10, .external_lex_state = 2},
  [987] = {.lex_state = 10, .external_lex_state = 2},
  [988] = {.lex_state = 10, .external_lex_state = 2},
  [989] = {.lex_state = 10, .external_lex_state = 2},
  [990] = {.lex_state = 10, .external_lex_state = 2},
  [991] = {.lex_state = 10, .external_lex_state = 2},
  [992] = {.lex_state = 10, .external_lex_state = 2},
  [993] = {.lex_state = 10, .external_lex_state = 2},
  [994] = {.lex_state = 10, .external_lex_state = 2},
  [995] = {.lex_state = 10, .external_lex_state = 2},
  [996] = {.lex_state = 10, .external_lex_state = 2},
  [997] = {.lex_state = 10, .external_lex_state = 2},
  [998] = {.lex_state = 10, .external_lex_state = 2},
  [999] = {.lex_state = 10, .external_lex_state = 2},
  [1000] = {.lex_state = 10, .external_lex_state = 2},
  [1001] = {.lex_state = 10},
  [1002] = {.lex_state = 10, .external_lex_state = 2},
  [1003] = {.lex_state = 10, .external_lex_state = 2},
  [1004] = {.lex_state = 12, .external_lex_state = 2},
  [1005] = {.lex_state = 10, .external_lex_state = 2},
  [1006] = {.lex_state = 10, .external_lex_state = 2},
  [1007] = {.lex_state = 12},
  [1008] = {.lex_state = 12},
  [1009] = {.lex_state = 12},
  [1010] = {.lex_state = 12},
  [1011] = {.lex_state = 12},
  [1012] = {.lex_state = 12},
  [1013] = {.lex_state = 10, .external_lex_state = 2},
  [1014] = {.lex_state = 10, .external_lex_state = 2},
  [1015] = {.lex_state = 12},
  [1016] = {.lex_state = 12},
  [1017] = {.lex_state = 12},
  [1018] = {.lex_state = 12, .external_lex_state = 2},
  [1019] = {.lex_state = 10, .external_lex_state = 2},
  [1020] = {.lex_state = 10, .external_lex_state = 2},
  [1021] = {.lex_state = 12},
  [1022] = {.lex_state = 12},
  [1023] = {.lex_state = 10},
  [1024] = {.lex_state = 12},
  [1025] = {.lex_state = 12},
  [1026] = {.lex_state = 12},
  [1027] = {.lex_state = 12},
  [1028] = {.lex_state = 10, .external_lex_state = 2},
  [1029] = {.lex_state = 10, .external_lex_state = 2},
  [1030] = {.lex_state = 10, .external_lex_state = 2},
  [1031] = {.lex_state = 12},
  [1032] = {.lex_state = 12},
  [1033] = {.lex_state = 12},
  [1034] = {.lex_state = 12},
  [1035] = {.lex_state = 12},
  [1036] = {.lex_state = 12},
  [1037] = {.lex_state = 12},
  [1038] = {.lex_state = 12},
  [1039] = {.lex_state = 12},
  [1040] = {.lex_state = 12},
  [1041] = {.lex_state = 12, .external_lex_state = 2},
  [1042] = {.lex_state = 12, .external_lex_state = 2},
  [1043] = {.lex_state = 12, .external_lex_state = 2},
  [1044] = {.lex_state = 12, .external_lex_state = 2},
  [1045] = {.lex_state = 12, .external_lex_state = 2},
  [1046] = {.lex_state = 12, .external_lex_state = 2},
  [1047] = {.lex_state = 12},
  [1048] = {.lex_state = 12},
  [1049] = {.lex_state = 12},
  [1050] = {.lex_state = 12},
  [1051] = {.lex_state = 12},
  [1052] = {.lex_state = 12},
  [1053] = {.lex_state = 12},
  [1054] = {.lex_state = 12, .external_lex_state = 2},
  [1055] = {.lex_state = 12},
  [1056] = {.lex_state = 12},
  [1057] = {.lex_state = 12},
  [1058] = {.lex_state = 12},
  [1059] = {.lex_state = 12},
  [1060] = {.lex_state = 12},
  [1061] = {.lex_state = 12},
  [1062] = {.lex_state = 12},
  [1063] = {.lex_state = 12, .external_lex_state = 2},
  [1064] = {.lex_state = 12},
  [1065] = {.lex_state = 12},
  [1066] = {.lex_state = 12},
  [1067] = {.lex_state = 12},
  [1068] = {.lex_state = 12},
  [1069] = {.lex_state = 12},
  [1070] = {.lex_state = 12},
  [1071] = {.lex_state = 12},
  [1072] = {.lex_state = 12},
  [1073] = {.lex_state = 12},
  [1074] = {.lex_state = 12},
  [1075] = {.lex_state = 12},
  [1076] = {.lex_state = 12},
  [1077] = {.lex_state = 12},
  [1078] = {.lex_state = 12},
  [1079] = {.lex_state = 12},
  [1080] = {.lex_state = 12},
  [1081] = {.lex_state = 12},
  [1082] = {.lex_state = 12, .external_lex_state = 2},
  [1083] = {.lex_state = 12, .external_lex_state = 2},
  [1084] = {.lex_state = 12, .external_lex_state = 2},
  [1085] = {.lex_state = 12, .external_lex_state = 2},
  [1086] = {.lex_state = 12, .external_lex_state = 2},
  [1087] = {.lex_state = 12, .external_lex_state = 2},
  [1088] = {.lex_state = 12, .external_lex_state = 2},
  [1089] = {.lex_state = 12, .external_lex_state = 2},
  [1090] = {.lex_state = 12, .external_lex_state = 2},
  [1091] = {.lex_state = 12, .external_lex_state = 2},
  [1092] = {.lex_state = 12},
  [1093] = {.lex_state = 12, .external_lex_state = 2},
  [1094] = {.lex_state = 12, .external_lex_state = 2},
  [1095] = {.lex_state = 12, .external_lex_state = 2},
  [1096] = {.lex_state = 12, .external_lex_state = 2},
  [1097] = {.lex_state = 12, .external_lex_state = 2},
  [1098] = {.lex_state = 12, .external_lex_state = 2},
  [1099] = {.lex_state = 12, .external_lex_state = 2},
  [1100] = {.lex_state = 12, .external_lex_state = 2},
  [1101] = {.lex_state = 12, .external_lex_state = 2},
  [1102] = {.lex_state = 17},
  [1103] = {.lex_state = 12, .external_lex_state = 2},
  [1104] = {.lex_state = 12, .external_lex_state = 2},
  [1105] = {.lex_state = 12, .external_lex_state = 2},
  [1106] = {.lex_state = 12, .external_lex_state = 2},
  [1107] = {.lex_state = 12, .external_lex_state = 2},
  [1108] = {.lex_state = 12, .external_lex_state = 2},
  [1109] = {.lex_state = 12, .external_lex_state = 2},
  [1110] = {.lex_state = 12, .external_lex_state = 2},
  [1111] = {.lex_state = 12, .external_lex_state = 2},
  [1112] = {.lex_state = 12, .external_lex_state = 2},
  [1113] = {.lex_state = 12, .external_lex_state = 2},
  [1114] = {.lex_state = 12, .external_lex_state = 2},
  [1115] = {.lex_state = 12, .external_lex_state = 2},
  [1116] = {.lex_state = 12, .external_lex_state = 2},
  [1117] = {.lex_state = 12, .external_lex_state = 2},
  [1118] = {.lex_state = 12, .external_lex_state = 2},
  [1119] = {.lex_state = 12, .external_lex_state = 2},
  [1120] = {.lex_state = 12, .external_lex_state = 2},
  [1121] = {.lex_state = 12, .external_lex_state = 2},
  [1122] = {.lex_state = 12, .external_lex_state = 2},
  [1123] = {.lex_state = 12, .external_lex_state = 2},
  [1124] = {.lex_state = 12, .external_lex_state = 2},
  [1125] = {.lex_state = 12, .external_lex_state = 2},
  [1126] = {.lex_state = 12, .external_lex_state = 2},
  [1127] = {.lex_state = 12, .external_lex_state = 2},
  [1128] = {.lex_state = 12, .external_lex_state = 2},
  [1129] = {.lex_state = 12, .external_lex_state = 2},
  [1130] = {.lex_state = 12},
  [1131] = {.lex_state = 12},
  [1132] = {.lex_state = 12},
  [1133] = {.lex_state = 12},
  [1134] = {.lex_state = 12},
  [1135] = {.lex_state = 12},
  [1136] = {.lex_state = 12},
  [1137] = {.lex_state = 12},
  [1138] = {.lex_state = 12},
  [1139] = {.lex_state = 12},
  [1140] = {.lex_state = 12},
  [1141] = {.lex_state = 12},
  [1142] = {.lex_state = 12},
  [1143] = {.lex_state = 12},
  [1144] = {.lex_state = 12},
  [1145] = {.lex_state = 12},
  [1146] = {.lex_state = 12},
  [1147] = {.lex_state = 12},
  [1148] = {.lex_state = 12, .external_lex_state = 2},
  [1149] = {.lex_state = 12},
  [1150] = {.lex_state = 12},
  [1151] = {.lex_state = 12},
  [1152] = {.lex_state = 12, .external_lex_state = 2},
  [1153] = {.lex_state = 12},
  [1154] = {.lex_state = 12},
  [1155] = {.lex_state = 12},
  [1156] = {.lex_state = 12, .external_lex_state = 2},
  [1157] = {.lex_state = 12, .external_lex_state = 2},
  [1158] = {.lex_state = 12},
  [1159] = {.lex_state = 12, .external_lex_state = 2},
  [1160] = {.lex_state = 12, .external_lex_state = 2},
  [1161] = {.lex_state = 12, .external_lex_state = 2},
  [1162] = {.lex_state = 12, .external_lex_state = 2},
  [1163] = {.lex_state = 12, .external_lex_state = 2},
  [1164] = {.lex_state = 12},
  [1165] = {.lex_state = 12},
  [1166] = {.lex_state = 12},
  [1167] = {.lex_state = 12},
  [1168] = {.lex_state = 12, .external_lex_state = 2},
  [1169] = {.lex_state = 12},
  [1170] = {.lex_state = 12},
  [1171] = {.lex_state = 12},
  [1172] = {.lex_state = 12, .external_lex_state = 2},
  [1173] = {.lex_state = 12, .external_lex_state = 2},
  [1174] = {.lex_state = 12, .external_lex_state = 2},
  [1175] = {.lex_state = 12},
  [1176] = {.lex_state = 12},
  [1177] = {.lex_state = 12},
  [1178] = {.lex_state = 12},
  [1179] = {.lex_state = 12},
  [1180] = {.lex_state = 12},
  [1181] = {.lex_state = 12},
  [1182] = {.lex_state = 12},
  [1183] = {.lex_state = 12},
  [1184] = {.lex_state = 12},
  [1185] = {.lex_state = 12},
  [1186] = {.lex_state = 12},
  [1187] = {.lex_state = 12},
  [1188] = {.lex_state = 12},
  [1189] = {.lex_state = 12},
  [1190] = {.lex_state = 12},
  [1191] = {.lex_state = 12},
  [1192] = {.lex_state = 12},
  [1193] = {.lex_state = 12},
  [1194] = {.lex_state = 12},
  [1195] = {.lex_state = 12},
  [1196] = {.lex_state = 12},
  [1197] = {.lex_state = 12},
  [1198] = {.lex_state = 12},
  [1199] = {.lex_state = 12},
  [1200] = {.lex_state = 12},
  [1201] = {.lex_state = 12},
  [1202] = {.lex_state = 12},
  [1203] = {.lex_state = 12},
  [1204] = {.lex_state = 12},
  [1205] = {.lex_state = 12},
  [1206] = {.lex_state = 12},
  [1207] = {.lex_state = 12},
  [1208] = {.lex_state = 12, .external_lex_state = 2},
  [1209] = {.lex_state = 12},
  [1210] = {.lex_state = 12},
  [1211] = {.lex_state = 12},
  [1212] = {.lex_state = 12},
  [1213] = {.lex_state = 12},
  [1214] = {.lex_state = 12},
  [1215] = {.lex_state = 12},
  [1216] = {.lex_state = 12},
  [1217] = {.lex_state = 12},
  [1218] = {.lex_state = 12},
  [1219] = {.lex_state = 12},
  [1220] = {.lex_state = 12, .external_lex_state = 2},
  [1221] = {.lex_state = 12, .external_lex_state = 2},
  [1222] = {.lex_state = 12, .external_lex_state = 2},
  [1223] = {.lex_state = 12},
  [1224] = {.lex_state = 12},
  [1225] = {.lex_state = 12, .external_lex_state = 2},
  [1226] = {.lex_state = 12, .external_lex_state = 2},
  [1227] = {.lex_state = 12, .external_lex_state = 2},
  [1228] = {.lex_state = 12, .external_lex_state = 2},
  [1229] = {.lex_state = 12, .external_lex_state = 2},
  [1230] = {.lex_state = 12},
  [1231] = {.lex_state = 12},
  [1232] = {.lex_state = 12, .external_lex_state = 2},
  [1233] = {.lex_state = 12},
  [1234] = {.lex_state = 12, .external_lex_state = 2},
  [1235] = {.lex_state = 12, .external_lex_state = 2},
  [1236] = {.lex_state = 12, .external_lex_state = 2},
  [1237] = {.lex_state = 12},
  [1238] = {.lex_state = 12},
  [1239] = {.lex_state = 12},
  [1240] = {.lex_state = 12, .external_lex_state = 2},
  [1241] = {.lex_state = 12},
  [1242] = {.lex_state = 12},
  [1243] = {.lex_state = 12},
  [1244] = {.lex_state = 12},
  [1245] = {.lex_state = 12},
  [1246] = {.lex_state = 12},
  [1247] = {.lex_state = 12},
  [1248] = {.lex_state = 12},
  [1249] = {.lex_state = 12},
  [1250] = {.lex_state = 12},
  [1251] = {.lex_state = 12},
  [1252] = {.lex_state = 12},
  [1253] = {.lex_state = 12},
  [1254] = {.lex_state = 12},
  [1255] = {.lex_state = 12},
  [1256] = {.lex_state = 12},
  [1257] = {.lex_state = 12},
  [1258] = {.lex_state = 12},
  [1259] = {.lex_state = 15},
  [1260] = {.lex_state = 12},
  [1261] = {.lex_state = 15},
  [1262] = {.lex_state = 15},
  [1263] = {.lex_state = 12},
  [1264] = {.lex_state = 15},
  [1265] = {.lex_state = 12},
  [1266] = {.lex_state = 15},
  [1267] = {.lex_state = 12},
  [1268] = {.lex_state = 15},
  [1269] = {.lex_state = 15},
  [1270] = {.lex_state = 12},
  [1271] = {.lex_state = 12},
  [1272] = {.lex_state = 12},
  [1273] = {.lex_state = 12},
  [1274] = {.lex_state = 16},
  [1275] = {.lex_state = 12},
  [1276] = {.lex_state = 12},
  [1277] = {.lex_state = 12},
  [1278] = {.lex_state = 12},
  [1279] = {.lex_state = 12},
  [1280] = {.lex_state = 12},
  [1281] = {.lex_state = 12},
  [1282] = {.lex_state = 12},
  [1283] = {.lex_state = 12},
  [1284] = {.lex_state = 12},
  [1285] = {.lex_state = 12},
  [1286] = {.lex_state = 12},
  [1287] = {.lex_state = 12},
  [1288] = {.lex_state = 12},
  [1289] = {.lex_state = 12},
  [1290] = {.lex_state = 12},
  [1291] = {.lex_state = 12},
  [1292] = {.lex_state = 12},
  [1293] = {.lex_state = 12},
  [1294] = {.lex_state = 12},
  [1295] = {.lex_state = 12},
  [1296] = {.lex_state = 12},
  [1297] = {.lex_state = 12},
  [1298] = {.lex_state = 12},
  [1299] = {.lex_state = 12},
  [1300] = {.lex_state = 12},
  [1301] = {.lex_state = 12},
  [1302] = {.lex_state = 12},
  [1303] = {.lex_state = 12},
  [1304] = {.lex_state = 12},
  [1305] = {.lex_state = 12},
  [1306] = {.lex_state = 12},
  [1307] = {.lex_state = 12},
  [1308] = {.lex_state = 12},
  [1309] = {.lex_state = 12},
  [1310] = {.lex_state = 12},
  [1311] = {.lex_state = 12},
  [1312] = {.lex_state = 12},
  [1313] = {.lex_state = 12},
  [1314] = {.lex_state = 12},
  [1315] = {.lex_state = 12},
  [1316] = {.lex_state = 12},
  [1317] = {.lex_state = 12},
  [1318] = {.lex_state = 12},
  [1319] = {.lex_state = 12},
  [1320] = {.lex_state = 12},
  [1321] = {.lex_state = 12},
  [1322] = {.lex_state = 12},
  [1323] = {.lex_state = 12},
  [1324] = {.lex_state = 15},
  [1325] = {.lex_state = 12},
  [1326] = {.lex_state = 15},
  [1327] = {.lex_state = 15},
  [1328] = {.lex_state = 15},
  [1329] = {.lex_state = 12},
  [1330] = {.lex_state = 12},
  [1331] = {.lex_state = 15},
  [1332] = {.lex_state = 12},
  [1333] = {.lex_state = 12},
  [1334] = {.lex_state = 12},
  [1335] = {.lex_state = 12},
  [1336] = {.lex_state = 12},
  [1337] = {.lex_state = 12},
  [1338] = {.lex_state = 15},
  [1339] = {.lex_state = 15},
  [1340] = {.lex_state = 15},
  [1341] = {.lex_state = 15},
  [1342] = {.lex_state = 15},
  [1343] = {.lex_state = 15},
  [1344] = {.lex_state = 64},
  [1345] = {.lex_state = 12},
  [1346] = {.lex_state = 12},
  [1347] = {.lex_state = 64},
  [1348] = {.lex_state = 12},
  [1349] = {.lex_state = 12},
  [1350] = {.lex_state = 12},
  [1351] = {.lex_state = 12},
  [1352] = {.lex_state = 12},
  [1353] = {.lex_state = 64},
  [1354] = {.lex_state = 12},
  [1355] = {.lex_state = 12},
  [1356] = {.lex_state = 64},
  [1357] = {.lex_state = 12},
  [1358] = {.lex_state = 12},
  [1359] = {.lex_state = 12},
  [1360] = {.lex_state = 12},
  [1361] = {.lex_state = 12},
  [1362] = {.lex_state = 15},
  [1363] = {.lex_state = 12},
  [1364] = {.lex_state = 12},
  [1365] = {.lex_state = 15},
  [1366] = {.lex_state = 12},
  [1367] = {.lex_state = 64},
  [1368] = {.lex_state = 64},
  [1369] = {.lex_state = 65},
  [1370] = {.lex_state = 15},
  [1371] = {.lex_state = 64},
  [1372] = {.lex_state = 15},
  [1373] = {.lex_state = 15},
  [1374] = {.lex_state = 15},
  [1375] = {.lex_state = 64},
  [1376] = {.lex_state = 64},
  [1377] = {.lex_state = 64},
  [1378] = {.lex_state = 64},
  [1379] = {.lex_state = 64},
  [1380] = {.lex_state = 14},
  [1381] = {.lex_state = 64},
  [1382] = {.lex_state = 64},
  [1383] = {.lex_state = 64},
  [1384] = {.lex_state = 3, .external_lex_state = 3},
  [1385] = {.lex_state = 64},
  [1386] = {.lex_state = 64},
  [1387] = {.lex_state = 64},
  [1388] = {.lex_state = 64},
  [1389] = {.lex_state = 64},
  [1390] = {.lex_state = 64},
  [1391] = {.lex_state = 65},
  [1392] = {.lex_state = 3, .external_lex_state = 3},
  [1393] = {.lex_state = 64},
  [1394] = {.lex_state = 64},
  [1395] = {.lex_state = 64},
  [1396] = {.lex_state = 3, .external_lex_state = 3},
  [1397] = {.lex_state = 3, .external_lex_state = 4},
  [1398] = {.lex_state = 3, .external_lex_state = 3},
  [1399] = {.lex_state = 3, .external_lex_state = 3},
  [1400] = {.lex_state = 15},
  [1401] = {.lex_state = 64},
  [1402] = {.lex_state = 64},
  [1403] = {.lex_state = 15},
  [1404] = {.lex_state = 15},
  [1405] = {.lex_state = 8, .external_lex_state = 5},
  [1406] = {.lex_state = 15},
  [1407] = {.lex_state = 15},
  [1408] = {.lex_state = 15},
  [1409] = {.lex_state = 15},
  [1410] = {.lex_state = 15},
  [1411] = {.lex_state = 15},
  [1412] = {.lex_state = 8, .external_lex_state = 5},
  [1413] = {.lex_state = 8, .external_lex_state = 6},
  [1414] = {.lex_state = 15},
  [1415] = {.lex_state = 15},
  [1416] = {.lex_state = 8, .external_lex_state = 6},
  [1417] = {.lex_state = 15},
  [1418] = {.lex_state = 8, .external_lex_state = 5},
  [1419] = {.lex_state = 8, .external_lex_state = 6},
  [1420] = {.lex_state = 8, .external_lex_state = 5},
  [1421] = {.lex_state = 8, .external_lex_state = 6},
  [1422] = {.lex_state = 8, .external_lex_state = 5},
  [1423] = {.lex_state = 8, .external_lex_state = 6},
  [1424] = {.lex_state = 15},
  [1425] = {.lex_state = 15},
  [1426] = {.lex_state = 64},
  [1427] = {.lex_state = 15},
  [1428] = {.lex_state = 15},
  [1429] = {.lex_state = 15},
  [1430] = {.lex_state = 15},
  [1431] = {.lex_state = 15},
  [1432] = {.lex_state = 15},
  [1433] = {.lex_state = 64},
  [1434] = {.lex_state = 15},
  [1435] = {.lex_state = 15},
  [1436] = {.lex_state = 15},
  [1437] = {.lex_state = 15},
  [1438] = {.lex_state = 15},
  [1439] = {.lex_state = 15},
  [1440] = {.lex_state = 15},
  [1441] = {.lex_state = 15},
  [1442] = {.lex_state = 17},
  [1443] = {.lex_state = 15},
  [1444] = {.lex_state = 15},
  [1445] = {.lex_state = 15},
  [1446] = {.lex_state = 64},
  [1447] = {.lex_state = 8, .external_lex_state = 4},
  [1448] = {.lex_state = 15},
  [1449] = {.lex_state = 15},
  [1450] = {.lex_state = 64},
  [1451] = {.lex_state = 15},
  [1452] = {.lex_state = 15},
  [1453] = {.lex_state = 15},
  [1454] = {.lex_state = 64},
  [1455] = {.lex_state = 64},
  [1456] = {.lex_state = 15},
  [1457] = {.lex_state = 64},
  [1458] = {.lex_state = 64},
  [1459] = {.lex_state = 64},
  [1460] = {.lex_state = 64},
  [1461] = {.lex_state = 64},
  [1462] = {.lex_state = 64},
  [1463] = {.lex_state = 64},
  [1464] = {.lex_state = 64},
  [1465] = {.lex_state = 64},
  [1466] = {.lex_state = 15},
  [1467] = {.lex_state = 15},
  [1468] = {.lex_state = 64},
  [1469] = {.lex_state = 64},
  [1470] = {.lex_state = 64},
  [1471] = {.lex_state = 64},
  [1472] = {.lex_state = 64},
  [1473] = {.lex_state = 64},
  [1474] = {.lex_state = 64},
  [1475] = {.lex_state = 64},
  [1476] = {.lex_state = 64},
  [1477] = {.lex_state = 64},
  [1478] = {.lex_state = 15},
  [1479] = {.lex_state = 64},
  [1480] = {.lex_state = 64},
  [1481] = {.lex_state = 64},
  [1482] = {.lex_state = 64},
  [1483] = {.lex_state = 64},
  [1484] = {.lex_state = 64},
  [1485] = {.lex_state = 64},
  [1486] = {.lex_state = 64},
  [1487] = {.lex_state = 64},
  [1488] = {.lex_state = 64},
  [1489] = {.lex_state = 64},
  [1490] = {.lex_state = 64},
  [1491] = {.lex_state = 65},
  [1492] = {.lex_state = 65},
  [1493] = {.lex_state = 64},
  [1494] = {.lex_state = 64},
  [1495] = {.lex_state = 17},
  [1496] = {.lex_state = 64},
  [1497] = {.lex_state = 17},
  [1498] = {.lex_state = 64},
  [1499] = {.lex_state = 17},
  [1500] = {.lex_state = 64},
  [1501] = {.lex_state = 17},
  [1502] = {.lex_state = 64},
  [1503] = {.lex_state = 64},
  [1504] = {.lex_state = 64},
  [1505] = {.lex_state = 17},
  [1506] = {.lex_state = 64},
  [1507] = {.lex_state = 64},
  [1508] = {.lex_state = 64},
  [1509] = {.lex_state = 64},
  [1510] = {.lex_state = 64},
  [1511] = {.lex_state = 64},
  [1512] = {.lex_state = 64},
  [1513] = {.lex_state = 64},
  [1514] = {.lex_state = 17},
  [1515] = {.lex_state = 17},
  [1516] = {.lex_state = 64},
  [1517] = {.lex_state = 64},
  [1518] = {.lex_state = 64},
  [1519] = {.lex_state = 64},
  [1520] = {.lex_state = 64},
  [1521] = {.lex_state = 64},
  [1522] = {.lex_state = 17},
  [1523] = {.lex_state = 3, .external_lex_state = 7},
  [1524] = {.lex_state = 17},
  [1525] = {.lex_state = 3, .external_lex_state = 7},
  [1526] = {.lex_state = 64},
  [1527] = {.lex_state = 64},
  [1528] = {.lex_state = 17},
  [1529] = {.lex_state = 64, .external_lex_state = 2},
  [1530] = {.lex_state = 64},
  [1531] = {.lex_state = 64, .external_lex_state = 2},
  [1532] = {.lex_state = 8, .external_lex_state = 8},
  [1533] = {.lex_state = 8, .external_lex_state = 8},
  [1534] = {.lex_state = 8, .external_lex_state = 9},
  [1535] = {.lex_state = 64, .external_lex_state = 2},
  [1536] = {.lex_state = 64, .external_lex_state = 2},
  [1537] = {.lex_state = 64, .external_lex_state = 2},
  [1538] = {.lex_state = 64},
  [1539] = {.lex_state = 64, .external_lex_state = 2},
  [1540] = {.lex_state = 64, .external_lex_state = 2},
  [1541] = {.lex_state = 8, .external_lex_state = 9},
  [1542] = {.lex_state = 64, .external_lex_state = 2},
  [1543] = {.lex_state = 64},
  [1544] = {.lex_state = 64},
  [1545] = {.lex_state = 64},
  [1546] = {.lex_state = 64},
  [1547] = {.lex_state = 64},
  [1548] = {.lex_state = 64},
  [1549] = {.lex_state = 64},
  [1550] = {.lex_state = 64},
  [1551] = {.lex_state = 64},
  [1552] = {.lex_state = 64},
  [1553] = {.lex_state = 64},
  [1554] = {.lex_state = 64},
  [1555] = {.lex_state = 64},
  [1556] = {.lex_state = 64},
  [1557] = {.lex_state = 64},
  [1558] = {.lex_state = 64},
  [1559] = {.lex_state = 64},
  [1560] = {.lex_state = 64, .external_lex_state = 2},
  [1561] = {.lex_state = 64},
  [1562] = {.lex_state = 3, .external_lex_state = 3},
  [1563] = {.lex_state = 64, .external_lex_state = 2},
  [1564] = {.lex_state = 64, .external_lex_state = 2},
  [1565] = {.lex_state = 64, .external_lex_state = 2},
  [1566] = {.lex_state = 64, .external_lex_state = 2},
  [1567] = {.lex_state = 64},
  [1568] = {.lex_state = 64},
  [1569] = {.lex_state = 64},
  [1570] = {.lex_state = 3, .external_lex_state = 3},
  [1571] = {.lex_state = 3, .external_lex_state = 3},
  [1572] = {.lex_state = 3, .external_lex_state = 3},
  [1573] = {.lex_state = 64, .external_lex_state = 2},
  [1574] = {.lex_state = 3, .external_lex_state = 3},
  [1575] = {.lex_state = 64, .external_lex_state = 2},
  [1576] = {.lex_state = 64, .external_lex_state = 2},
  [1577] = {.lex_state = 64, .external_lex_state = 2},
  [1578] = {.lex_state = 64, .external_lex_state = 2},
  [1579] = {.lex_state = 64},
  [1580] = {.lex_state = 64, .external_lex_state = 2},
  [1581] = {.lex_state = 64, .external_lex_state = 2},
  [1582] = {.lex_state = 64, .external_lex_state = 2},
  [1583] = {.lex_state = 64, .external_lex_state = 2},
  [1584] = {.lex_state = 3, .external_lex_state = 3},
  [1585] = {.lex_state = 3, .external_lex_state = 3},
  [1586] = {.lex_state = 64},
  [1587] = {.lex_state = 3, .external_lex_state = 3},
  [1588] = {.lex_state = 64, .external_lex_state = 2},
  [1589] = {.lex_state = 64},
  [1590] = {.lex_state = 64},
  [1591] = {.lex_state = 64},
  [1592] = {.lex_state = 64},
  [1593] = {.lex_state = 64, .external_lex_state = 2},
  [1594] = {.lex_state = 64, .external_lex_state = 2},
  [1595] = {.lex_state = 64, .external_lex_state = 2},
  [1596] = {.lex_state = 64},
  [1597] = {.lex_state = 64, .external_lex_state = 2},
  [1598] = {.lex_state = 10},
  [1599] = {.lex_state = 64},
  [1600] = {.lex_state = 10},
  [1601] = {.lex_state = 64},
  [1602] = {.lex_state = 65},
  [1603] = {.lex_state = 64},
  [1604] = {.lex_state = 64},
  [1605] = {.lex_state = 3, .external_lex_state = 3},
  [1606] = {.lex_state = 64},
  [1607] = {.lex_state = 3, .external_lex_state = 3},
  [1608] = {.lex_state = 64},
  [1609] = {.lex_state = 64},
  [1610] = {.lex_state = 10},
  [1611] = {.lex_state = 64},
  [1612] = {.lex_state = 17},
  [1613] = {.lex_state = 64},
  [1614] = {.lex_state = 64},
  [1615] = {.lex_state = 64, .external_lex_state = 2},
  [1616] = {.lex_state = 3, .external_lex_state = 3},
  [1617] = {.lex_state = 64},
  [1618] = {.lex_state = 8, .external_lex_state = 6},
  [1619] = {.lex_state = 64},
  [1620] = {.lex_state = 64},
  [1621] = {.lex_state = 8, .external_lex_state = 5},
  [1622] = {.lex_state = 64},
  [1623] = {.lex_state = 64},
  [1624] = {.lex_state = 19},
  [1625] = {.lex_state = 64},
  [1626] = {.lex_state = 64},
  [1627] = {.lex_state = 65},
  [1628] = {.lex_state = 64},
  [1629] = {.lex_state = 64},
  [1630] = {.lex_state = 19},
  [1631] = {.lex_state = 64},
  [1632] = {.lex_state = 64},
  [1633] = {.lex_state = 64},
  [1634] = {.lex_state = 64},
  [1635] = {.lex_state = 64},
  [1636] = {.lex_state = 64},
  [1637] = {.lex_state = 64},
  [1638] = {.lex_state = 64},
  [1639] = {.lex_state = 64},
  [1640] = {.lex_state = 64},
  [1641] = {.lex_state = 64},
  [1642] = {.lex_state = 64},
  [1643] = {.lex_state = 64},
  [1644] = {.lex_state = 8, .external_lex_state = 5},
  [1645] = {.lex_state = 64},
  [1646] = {.lex_state = 64},
  [1647] = {.lex_state = 64},
  [1648] = {.lex_state = 64},
  [1649] = {.lex_state = 64},
  [1650] = {.lex_state = 64},
  [1651] = {.lex_state = 64},
  [1652] = {.lex_state = 66, .external_lex_state = 10},
  [1653] = {.lex_state = 64},
  [1654] = {.lex_state = 64},
  [1655] = {.lex_state = 8, .external_lex_state = 5},
  [1656] = {.lex_state = 8, .external_lex_state = 5},
  [1657] = {.lex_state = 8, .external_lex_state = 5},
  [1658] = {.lex_state = 64},
  [1659] = {.lex_state = 64},
  [1660] = {.lex_state = 19},
  [1661] = {.lex_state = 64},
  [1662] = {.lex_state = 64},
  [1663] = {.lex_state = 8, .external_lex_state = 6},
  [1664] = {.lex_state = 64},
  [1665] = {.lex_state = 64},
  [1666] = {.lex_state = 64},
  [1667] = {.lex_state = 64},
  [1668] = {.lex_state = 64},
  [1669] = {.lex_state = 64},
  [1670] = {.lex_state = 64},
  [1671] = {.lex_state = 64},
  [1672] = {.lex_state = 64},
  [1673] = {.lex_state = 64},
  [1674] = {.lex_state = 8, .external_lex_state = 5},
  [1675] = {.lex_state = 64},
  [1676] = {.lex_state = 8, .external_lex_state = 5},
  [1677] = {.lex_state = 8, .external_lex_state = 5},
  [1678] = {.lex_state = 64},
  [1679] = {.lex_state = 64},
  [1680] = {.lex_state = 64},
  [1681] = {.lex_state = 8, .external_lex_state = 5},
  [1682] = {.lex_state = 19},
  [1683] = {.lex_state = 8, .external_lex_state = 6},
  [1684] = {.lex_state = 64},
  [1685] = {.lex_state = 64},
  [1686] = {.lex_state = 64},
  [1687] = {.lex_state = 64},
  [1688] = {.lex_state = 64},
  [1689] = {.lex_state = 64},
  [1690] = {.lex_state = 8, .external_lex_state = 5},
  [1691] = {.lex_state = 8, .external_lex_state = 6},
  [1692] = {.lex_state = 8, .external_lex_state = 6},
  [1693] = {.lex_state = 8, .external_lex_state = 6},
  [1694] = {.lex_state = 8, .external_lex_state = 6},
  [1695] = {.lex_state = 8, .external_lex_state = 6},
  [1696] = {.lex_state = 64},
  [1697] = {.lex_state = 8, .external_lex_state = 6},
  [1698] = {.lex_state = 19},
  [1699] = {.lex_state = 64},
  [1700] = {.lex_state = 64},
  [1701] = {.lex_state = 8, .external_lex_state = 5},
  [1702] = {.lex_state = 64},
  [1703] = {.lex_state = 8, .external_lex_state = 6},
  [1704] = {.lex_state = 64},
  [1705] = {.lex_state = 8, .external_lex_state = 6},
  [1706] = {.lex_state = 64},
  [1707] = {.lex_state = 15},
  [1708] = {.lex_state = 64, .external_lex_state = 2},
  [1709] = {.lex_state = 64, .external_lex_state = 2},
  [1710] = {.lex_state = 64},
  [1711] = {.lex_state = 64, .external_lex_state = 2},
  [1712] = {.lex_state = 64, .external_lex_state = 2},
  [1713] = {.lex_state = 64},
  [1714] = {.lex_state = 64},
  [1715] = {.lex_state = 64, .external_lex_state = 2},
  [1716] = {.lex_state = 66},
  [1717] = {.lex_state = 64},
  [1718] = {.lex_state = 64, .external_lex_state = 2},
  [1719] = {.lex_state = 64, .external_lex_state = 2},
  [1720] = {.lex_state = 64, .external_lex_state = 2},
  [1721] = {.lex_state = 64, .external_lex_state = 2},
  [1722] = {.lex_state = 64, .external_lex_state = 2},
  [1723] = {.lex_state = 64, .external_lex_state = 2},
  [1724] = {.lex_state = 64},
  [1725] = {.lex_state = 64},
  [1726] = {.lex_state = 64},
  [1727] = {.lex_state = 64, .external_lex_state = 2},
  [1728] = {.lex_state = 64, .external_lex_state = 2},
  [1729] = {.lex_state = 15},
  [1730] = {.lex_state = 64, .external_lex_state = 2},
  [1731] = {.lex_state = 15},
  [1732] = {.lex_state = 64, .external_lex_state = 2},
  [1733] = {.lex_state = 15},
  [1734] = {.lex_state = 64},
  [1735] = {.lex_state = 64},
  [1736] = {.lex_state = 15},
  [1737] = {.lex_state = 15},
  [1738] = {.lex_state = 64, .external_lex_state = 2},
  [1739] = {.lex_state = 15},
  [1740] = {.lex_state = 15},
  [1741] = {.lex_state = 15},
  [1742] = {.lex_state = 64},
  [1743] = {.lex_state = 64},
  [1744] = {.lex_state = 15},
  [1745] = {.lex_state = 64},
  [1746] = {.lex_state = 15},
  [1747] = {.lex_state = 15},
  [1748] = {.lex_state = 15},
  [1749] = {.lex_state = 64},
  [1750] = {.lex_state = 64},
  [1751] = {.lex_state = 64},
  [1752] = {.lex_state = 15},
  [1753] = {.lex_state = 15},
  [1754] = {.lex_state = 15},
  [1755] = {.lex_state = 64},
  [1756] = {.lex_state = 64},
  [1757] = {.lex_state = 64},
  [1758] = {.lex_state = 64},
  [1759] = {.lex_state = 15},
  [1760] = {.lex_state = 64, .external_lex_state = 2},
  [1761] = {.lex_state = 66, .external_lex_state = 10},
  [1762] = {.lex_state = 64, .external_lex_state = 2},
  [1763] = {.lex_state = 64, .external_lex_state = 2},
  [1764] = {.lex_state = 64},
  [1765] = {.lex_state = 64},
  [1766] = {.lex_state = 64},
  [1767] = {.lex_state = 64, .external_lex_state = 2},
  [1768] = {.lex_state = 64, .external_lex_state = 2},
  [1769] = {.lex_state = 66},
  [1770] = {.lex_state = 64, .external_lex_state = 2},
  [1771] = {.lex_state = 15},
  [1772] = {.lex_state = 64, .external_lex_state = 2},
  [1773] = {.lex_state = 15},
  [1774] = {.lex_state = 64, .external_lex_state = 2},
  [1775] = {.lex_state = 66, .external_lex_state = 10},
  [1776] = {.lex_state = 64, .external_lex_state = 2},
  [1777] = {.lex_state = 64, .external_lex_state = 2},
  [1778] = {.lex_state = 64, .external_lex_state = 2},
  [1779] = {.lex_state = 64, .external_lex_state = 2},
  [1780] = {.lex_state = 65},
  [1781] = {.lex_state = 65},
  [1782] = {.lex_state = 64},
  [1783] = {.lex_state = 65},
  [1784] = {.lex_state = 64, .external_lex_state = 2},
  [1785] = {.lex_state = 64, .external_lex_state = 2},
  [1786] = {.lex_state = 64, .external_lex_state = 2},
  [1787] = {.lex_state = 64},
  [1788] = {.lex_state = 64, .external_lex_state = 2},
  [1789] = {.lex_state = 64},
  [1790] = {.lex_state = 64},
  [1791] = {.lex_state = 64, .external_lex_state = 2},
  [1792] = {.lex_state = 64, .external_lex_state = 2},
  [1793] = {.lex_state = 64, .external_lex_state = 2},
  [1794] = {.lex_state = 64},
  [1795] = {.lex_state = 64},
  [1796] = {.lex_state = 64, .external_lex_state = 2},
  [1797] = {.lex_state = 65},
  [1798] = {.lex_state = 64, .external_lex_state = 2},
  [1799] = {.lex_state = 64},
  [1800] = {.lex_state = 15},
  [1801] = {.lex_state = 64},
  [1802] = {.lex_state = 15},
  [1803] = {.lex_state = 64, .external_lex_state = 2},
  [1804] = {.lex_state = 64, .external_lex_state = 2},
  [1805] = {.lex_state = 64, .external_lex_state = 2},
  [1806] = {.lex_state = 15},
  [1807] = {.lex_state = 64, .external_lex_state = 2},
  [1808] = {.lex_state = 64},
  [1809] = {.lex_state = 65},
  [1810] = {.lex_state = 64, .external_lex_state = 2},
  [1811] = {.lex_state = 15},
  [1812] = {.lex_state = 64, .external_lex_state = 2},
  [1813] = {.lex_state = 64, .external_lex_state = 2},
  [1814] = {.lex_state = 64, .external_lex_state = 2},
  [1815] = {.lex_state = 64, .external_lex_state = 2},
  [1816] = {.lex_state = 64},
  [1817] = {.lex_state = 64, .external_lex_state = 2},
  [1818] = {.lex_state = 64, .external_lex_state = 2},
  [1819] = {.lex_state = 64, .external_lex_state = 2},
  [1820] = {.lex_state = 64, .external_lex_state = 2},
  [1821] = {.lex_state = 64},
  [1822] = {.lex_state = 64, .external_lex_state = 2},
  [1823] = {.lex_state = 64, .external_lex_state = 2},
  [1824] = {.lex_state = 64, .external_lex_state = 2},
  [1825] = {.lex_state = 64, .external_lex_state = 2},
  [1826] = {.lex_state = 64, .external_lex_state = 2},
  [1827] = {.lex_state = 64, .external_lex_state = 2},
  [1828] = {.lex_state = 64, .external_lex_state = 2},
  [1829] = {.lex_state = 64, .external_lex_state = 2},
  [1830] = {.lex_state = 64},
  [1831] = {.lex_state = 65},
  [1832] = {.lex_state = 65},
  [1833] = {.lex_state = 65},
  [1834] = {.lex_state = 64},
  [1835] = {.lex_state = 64},
  [1836] = {.lex_state = 64, .external_lex_state = 2},
  [1837] = {.lex_state = 64},
  [1838] = {.lex_state = 64},
  [1839] = {.lex_state = 64},
  [1840] = {.lex_state = 64},
  [1841] = {.lex_state = 64, .external_lex_state = 2},
  [1842] = {.lex_state = 64},
  [1843] = {.lex_state = 64},
  [1844] = {.lex_state = 64},
  [1845] = {.lex_state = 66},
  [1846] = {.lex_state = 64},
  [1847] = {.lex_state = 64, .external_lex_state = 2},
  [1848] = {.lex_state = 64},
  [1849] = {.lex_state = 64, .external_lex_state = 2},
  [1850] = {.lex_state = 64},
  [1851] = {.lex_state = 64},
  [1852] = {.lex_state = 65},
  [1853] = {.lex_state = 64},
  [1854] = {.lex_state = 19},
  [1855] = {.lex_state = 64},
  [1856] = {.lex_state = 64},
  [1857] = {.lex_state = 64},
  [1858] = {.lex_state = 64},
  [1859] = {.lex_state = 64},
  [1860] = {.lex_state = 64},
  [1861] = {.lex_state = 64},
  [1862] = {.lex_state = 64},
  [1863] = {.lex_state = 64},
  [1864] = {.lex_state = 64},
  [1865] = {.lex_state = 64, .external_lex_state = 2},
  [1866] = {.lex_state = 64},
  [1867] = {.lex_state = 64},
  [1868] = {.lex_state = 64},
  [1869] = {.lex_state = 64},
  [1870] = {.lex_state = 64},
  [1871] = {.lex_state = 3, .external_lex_state = 11},
  [1872] = {.lex_state = 3, .external_lex_state = 12},
  [1873] = {.lex_state = 64},
  [1874] = {.lex_state = 64},
  [1875] = {.lex_state = 64},
  [1876] = {.lex_state = 64},
  [1877] = {.lex_state = 64},
  [1878] = {.lex_state = 64},
  [1879] = {.lex_state = 64},
  [1880] = {.lex_state = 64},
  [1881] = {.lex_state = 64},
  [1882] = {.lex_state = 65},
  [1883] = {.lex_state = 3, .external_lex_state = 11},
  [1884] = {.lex_state = 64},
  [1885] = {.lex_state = 64, .external_lex_state = 2},
  [1886] = {.lex_state = 64},
  [1887] = {.lex_state = 64},
  [1888] = {.lex_state = 19},
  [1889] = {.lex_state = 3, .external_lex_state = 11},
  [1890] = {.lex_state = 64},
  [1891] = {.lex_state = 64},
  [1892] = {.lex_state = 64, .external_lex_state = 2},
  [1893] = {.lex_state = 64, .external_lex_state = 2},
  [1894] = {.lex_state = 64, .external_lex_state = 2},
  [1895] = {.lex_state = 64, .external_lex_state = 2},
  [1896] = {.lex_state = 64},
  [1897] = {.lex_state = 64},
  [1898] = {.lex_state = 64},
  [1899] = {.lex_state = 64},
  [1900] = {.lex_state = 64},
  [1901] = {.lex_state = 3, .external_lex_state = 11},
  [1902] = {.lex_state = 64},
  [1903] = {.lex_state = 64},
  [1904] = {.lex_state = 64},
  [1905] = {.lex_state = 66, .external_lex_state = 10},
  [1906] = {.lex_state = 64},
  [1907] = {.lex_state = 64},
  [1908] = {.lex_state = 16, .external_lex_state = 2},
  [1909] = {.lex_state = 64},
  [1910] = {.lex_state = 64},
  [1911] = {.lex_state = 64, .external_lex_state = 2},
  [1912] = {.lex_state = 64},
  [1913] = {.lex_state = 64},
  [1914] = {.lex_state = 64, .external_lex_state = 2},
  [1915] = {.lex_state = 64, .external_lex_state = 2},
  [1916] = {.lex_state = 64},
  [1917] = {.lex_state = 64, .external_lex_state = 2},
  [1918] = {.lex_state = 64},
  [1919] = {.lex_state = 64, .external_lex_state = 2},
  [1920] = {.lex_state = 64},
  [1921] = {.lex_state = 64, .external_lex_state = 2},
  [1922] = {.lex_state = 64},
  [1923] = {.lex_state = 64},
  [1924] = {.lex_state = 64},
  [1925] = {.lex_state = 64, .external_lex_state = 2},
  [1926] = {.lex_state = 65},
  [1927] = {.lex_state = 64},
  [1928] = {.lex_state = 64, .external_lex_state = 2},
  [1929] = {.lex_state = 64},
  [1930] = {.lex_state = 64},
  [1931] = {.lex_state = 64},
  [1932] = {.lex_state = 64},
  [1933] = {.lex_state = 64},
  [1934] = {.lex_state = 64, .external_lex_state = 2},
  [1935] = {.lex_state = 64},
  [1936] = {.lex_state = 64},
  [1937] = {.lex_state = 64},
  [1938] = {.lex_state = 64},
  [1939] = {.lex_state = 64},
  [1940] = {.lex_state = 3, .external_lex_state = 12},
  [1941] = {.lex_state = 64, .external_lex_state = 2},
  [1942] = {.lex_state = 64},
  [1943] = {.lex_state = 64},
  [1944] = {.lex_state = 64},
  [1945] = {.lex_state = 64},
  [1946] = {.lex_state = 64},
  [1947] = {.lex_state = 64},
  [1948] = {.lex_state = 64},
  [1949] = {.lex_state = 64},
  [1950] = {.lex_state = 64, .external_lex_state = 2},
  [1951] = {.lex_state = 64},
  [1952] = {.lex_state = 64},
  [1953] = {.lex_state = 64},
  [1954] = {.lex_state = 64, .external_lex_state = 2},
  [1955] = {.lex_state = 64},
  [1956] = {.lex_state = 64, .external_lex_state = 2},
  [1957] = {.lex_state = 64, .external_lex_state = 2},
  [1958] = {.lex_state = 64},
  [1959] = {.lex_state = 64, .external_lex_state = 2},
  [1960] = {.lex_state = 64},
  [1961] = {.lex_state = 64},
  [1962] = {.lex_state = 64},
  [1963] = {.lex_state = 64, .external_lex_state = 2},
  [1964] = {.lex_state = 64},
  [1965] = {.lex_state = 64},
  [1966] = {.lex_state = 64},
  [1967] = {.lex_state = 64},
  [1968] = {.lex_state = 64, .external_lex_state = 2},
  [1969] = {.lex_state = 64},
  [1970] = {.lex_state = 64},
  [1971] = {.lex_state = 64},
  [1972] = {.lex_state = 64, .external_lex_state = 13},
  [1973] = {.lex_state = 64},
  [1974] = {.lex_state = 64},
  [1975] = {.lex_state = 64},
  [1976] = {.lex_state = 64, .external_lex_state = 2},
  [1977] = {.lex_state = 64},
  [1978] = {.lex_state = 64},
  [1979] = {.lex_state = 64},
  [1980] = {.lex_state = 64},
  [1981] = {.lex_state = 64, .external_lex_state = 2},
  [1982] = {.lex_state = 64, .external_lex_state = 2},
  [1983] = {.lex_state = 64},
  [1984] = {.lex_state = 64},
  [1985] = {.lex_state = 64},
  [1986] = {.lex_state = 64, .external_lex_state = 2},
  [1987] = {.lex_state = 64},
  [1988] = {.lex_state = 64},
  [1989] = {.lex_state = 64, .external_lex_state = 2},
  [1990] = {.lex_state = 64},
  [1991] = {.lex_state = 64},
  [1992] = {.lex_state = 64},
  [1993] = {.lex_state = 64},
  [1994] = {.lex_state = 64},
  [1995] = {.lex_state = 64},
  [1996] = {.lex_state = 64, .external_lex_state = 2},
  [1997] = {.lex_state = 64, .external_lex_state = 2},
  [1998] = {.lex_state = 64},
  [1999] = {.lex_state = 64},
  [2000] = {.lex_state = 64},
  [2001] = {.lex_state = 64},
  [2002] = {.lex_state = 64, .external_lex_state = 2},
  [2003] = {.lex_state = 64},
  [2004] = {.lex_state = 64},
  [2005] = {.lex_state = 64},
  [2006] = {.lex_state = 64},
  [2007] = {.lex_state = 64, .external_lex_state = 2},
  [2008] = {.lex_state = 64, .external_lex_state = 2},
  [2009] = {.lex_state = 64},
  [2010] = {.lex_state = 64},
  [2011] = {.lex_state = 64},
  [2012] = {.lex_state = 64, .external_lex_state = 2},
  [2013] = {.lex_state = 64, .external_lex_state = 2},
  [2014] = {.lex_state = 64},
  [2015] = {.lex_state = 64},
  [2016] = {.lex_state = 64},
  [2017] = {.lex_state = 64},
  [2018] = {.lex_state = 64},
  [2019] = {.lex_state = 64},
  [2020] = {.lex_state = 64, .external_lex_state = 2},
  [2021] = {.lex_state = 64},
  [2022] = {.lex_state = 64, .external_lex_state = 2},
  [2023] = {.lex_state = 64, .external_lex_state = 2},
  [2024] = {.lex_state = 64},
  [2025] = {.lex_state = 64, .external_lex_state = 2},
  [2026] = {.lex_state = 64},
  [2027] = {.lex_state = 64},
  [2028] = {.lex_state = 64, .external_lex_state = 2},
  [2029] = {.lex_state = 64},
  [2030] = {.lex_state = 64},
  [2031] = {.lex_state = 64},
  [2032] = {.lex_state = 64},
  [2033] = {.lex_state = 64},
  [2034] = {.lex_state = 64, .external_lex_state = 2},
  [2035] = {.lex_state = 64},
  [2036] = {.lex_state = 64},
  [2037] = {.lex_state = 64, .external_lex_state = 2},
  [2038] = {.lex_state = 64},
  [2039] = {.lex_state = 64},
  [2040] = {.lex_state = 64},
  [2041] = {.lex_state = 64},
  [2042] = {.lex_state = 64},
  [2043] = {.lex_state = 3, .external_lex_state = 11},
  [2044] = {.lex_state = 64},
  [2045] = {.lex_state = 64},
  [2046] = {.lex_state = 64},
  [2047] = {.lex_state = 64},
  [2048] = {.lex_state = 64},
  [2049] = {.lex_state = 64},
  [2050] = {.lex_state = 64},
  [2051] = {.lex_state = 64},
  [2052] = {.lex_state = 64},
  [2053] = {.lex_state = 64, .external_lex_state = 2},
  [2054] = {.lex_state = 64},
  [2055] = {.lex_state = 64},
  [2056] = {.lex_state = 64},
  [2057] = {.lex_state = 64, .external_lex_state = 2},
  [2058] = {.lex_state = 64},
  [2059] = {.lex_state = 64},
  [2060] = {.lex_state = 64},
  [2061] = {.lex_state = 64},
  [2062] = {.lex_state = 64},
  [2063] = {.lex_state = 64},
  [2064] = {.lex_state = 64},
  [2065] = {.lex_state = 64, .external_lex_state = 2},
  [2066] = {.lex_state = 64, .external_lex_state = 2},
  [2067] = {.lex_state = 64},
  [2068] = {.lex_state = 64},
  [2069] = {.lex_state = 64},
  [2070] = {.lex_state = 3, .external_lex_state = 11},
  [2071] = {.lex_state = 3, .external_lex_state = 11},
  [2072] = {.lex_state = 64},
  [2073] = {.lex_state = 64},
  [2074] = {.lex_state = 64},
  [2075] = {.lex_state = 64},
  [2076] = {.lex_state = 64},
  [2077] = {.lex_state = 64, .external_lex_state = 2},
  [2078] = {.lex_state = 64},
  [2079] = {.lex_state = 64, .external_lex_state = 2},
  [2080] = {.lex_state = 64, .external_lex_state = 2},
  [2081] = {.lex_state = 64},
  [2082] = {.lex_state = 64},
  [2083] = {.lex_state = 64},
  [2084] = {.lex_state = 64},
  [2085] = {.lex_state = 64, .external_lex_state = 2},
  [2086] = {.lex_state = 64},
  [2087] = {.lex_state = 64},
  [2088] = {.lex_state = 64, .external_lex_state = 2},
  [2089] = {.lex_state = 64, .external_lex_state = 2},
  [2090] = {.lex_state = 64},
  [2091] = {.lex_state = 64},
  [2092] = {.lex_state = 64},
  [2093] = {.lex_state = 64},
  [2094] = {.lex_state = 64},
  [2095] = {.lex_state = 64},
  [2096] = {.lex_state = 64, .external_lex_state = 2},
  [2097] = {.lex_state = 64, .external_lex_state = 2},
  [2098] = {.lex_state = 64},
  [2099] = {.lex_state = 64, .external_lex_state = 2},
  [2100] = {.lex_state = 64},
  [2101] = {.lex_state = 64},
  [2102] = {.lex_state = 64, .external_lex_state = 2},
  [2103] = {.lex_state = 64},
  [2104] = {.lex_state = 64},
  [2105] = {.lex_state = 64},
  [2106] = {.lex_state = 64},
  [2107] = {.lex_state = 64, .external_lex_state = 2},
  [2108] = {.lex_state = 64, .external_lex_state = 2},
  [2109] = {.lex_state = 64, .external_lex_state = 2},
  [2110] = {.lex_state = 64, .external_lex_state = 2},
  [2111] = {.lex_state = 64, .external_lex_state = 2},
  [2112] = {.lex_state = 64, .external_lex_state = 2},
  [2113] = {.lex_state = 64},
  [2114] = {.lex_state = 64},
  [2115] = {.lex_state = 64},
  [2116] = {.lex_state = 3, .external_lex_state = 11},
  [2117] = {.lex_state = 64},
  [2118] = {.lex_state = 64},
  [2119] = {.lex_state = 64, .external_lex_state = 2},
  [2120] = {.lex_state = 64, .external_lex_state = 2},
  [2121] = {.lex_state = 64},
  [2122] = {.lex_state = 64, .external_lex_state = 2},
  [2123] = {.lex_state = 64, .external_lex_state = 2},
  [2124] = {.lex_state = 64},
  [2125] = {.lex_state = 64, .external_lex_state = 2},
  [2126] = {.lex_state = 64, .external_lex_state = 2},
  [2127] = {.lex_state = 64},
  [2128] = {.lex_state = 64, .external_lex_state = 2},
  [2129] = {.lex_state = 64},
  [2130] = {.lex_state = 64},
  [2131] = {.lex_state = 64},
  [2132] = {.lex_state = 64},
  [2133] = {.lex_state = 64},
  [2134] = {.lex_state = 64},
  [2135] = {.lex_state = 64},
  [2136] = {.lex_state = 64},
  [2137] = {.lex_state = 64},
  [2138] = {.lex_state = 64},
  [2139] = {.lex_state = 64, .external_lex_state = 2},
  [2140] = {.lex_state = 64},
  [2141] = {.lex_state = 64},
  [2142] = {.lex_state = 64, .external_lex_state = 2},
  [2143] = {.lex_state = 64},
  [2144] = {.lex_state = 64, .external_lex_state = 2},
  [2145] = {.lex_state = 64},
  [2146] = {.lex_state = 64},
  [2147] = {.lex_state = 64},
  [2148] = {.lex_state = 64, .external_lex_state = 2},
  [2149] = {.lex_state = 64},
  [2150] = {.lex_state = 64},
  [2151] = {.lex_state = 64, .external_lex_state = 2},
  [2152] = {.lex_state = 64, .external_lex_state = 2},
  [2153] = {.lex_state = 64},
  [2154] = {.lex_state = 64, .external_lex_state = 2},
  [2155] = {.lex_state = 64},
  [2156] = {.lex_state = 64},
  [2157] = {.lex_state = 64},
  [2158] = {.lex_state = 64},
  [2159] = {.lex_state = 64},
  [2160] = {.lex_state = 64},
  [2161] = {.lex_state = 64},
  [2162] = {.lex_state = 64},
  [2163] = {.lex_state = 64, .external_lex_state = 2},
  [2164] = {.lex_state = 64},
  [2165] = {.lex_state = 64},
  [2166] = {.lex_state = 64},
  [2167] = {.lex_state = 64, .external_lex_state = 2},
  [2168] = {.lex_state = 64},
  [2169] = {.lex_state = 64, .external_lex_state = 2},
  [2170] = {.lex_state = 64, .external_lex_state = 13},
  [2171] = {.lex_state = 65},
  [2172] = {.lex_state = 64, .external_lex_state = 2},
  [2173] = {.lex_state = 64},
  [2174] = {.lex_state = 64},
  [2175] = {.lex_state = 64},
  [2176] = {.lex_state = 64},
  [2177] = {.lex_state = 64},
  [2178] = {.lex_state = 64},
  [2179] = {.lex_state = 64},
  [2180] = {.lex_state = 64, .external_lex_state = 2},
  [2181] = {.lex_state = 64},
  [2182] = {.lex_state = 3, .external_lex_state = 12},
  [2183] = {.lex_state = 64, .external_lex_state = 2},
  [2184] = {.lex_state = 64, .external_lex_state = 2},
  [2185] = {.lex_state = 64},
  [2186] = {.lex_state = 64, .external_lex_state = 2},
  [2187] = {.lex_state = 64},
  [2188] = {.lex_state = 19},
  [2189] = {.lex_state = 64},
  [2190] = {.lex_state = 64, .external_lex_state = 2},
  [2191] = {.lex_state = 64},
  [2192] = {.lex_state = 64},
  [2193] = {.lex_state = 64},
  [2194] = {.lex_state = 19},
  [2195] = {.lex_state = 64},
  [2196] = {.lex_state = 64},
  [2197] = {.lex_state = 64},
  [2198] = {.lex_state = 64},
  [2199] = {.lex_state = 64},
  [2200] = {.lex_state = 64},
  [2201] = {.lex_state = 64},
  [2202] = {.lex_state = 64},
  [2203] = {.lex_state = 64},
  [2204] = {.lex_state = 64},
  [2205] = {.lex_state = 64, .external_lex_state = 2},
  [2206] = {.lex_state = 64},
  [2207] = {.lex_state = 64},
  [2208] = {.lex_state = 64},
  [2209] = {.lex_state = 64, .external_lex_state = 2},
  [2210] = {.lex_state = 64},
  [2211] = {.lex_state = 3, .external_lex_state = 11},
  [2212] = {.lex_state = 3, .external_lex_state = 11},
  [2213] = {.lex_state = 64},
  [2214] = {.lex_state = 64},
  [2215] = {.lex_state = 64},
  [2216] = {.lex_state = 64},
  [2217] = {.lex_state = 64},
  [2218] = {.lex_state = 64},
  [2219] = {.lex_state = 64},
  [2220] = {.lex_state = 64, .external_lex_state = 2},
  [2221] = {.lex_state = 64},
  [2222] = {.lex_state = 64, .external_lex_state = 2},
  [2223] = {.lex_state = 64},
  [2224] = {.lex_state = 64},
  [2225] = {.lex_state = 64, .external_lex_state = 2},
  [2226] = {.lex_state = 64, .external_lex_state = 2},
  [2227] = {.lex_state = 64},
  [2228] = {.lex_state = 64},
  [2229] = {.lex_state = 64},
  [2230] = {.lex_state = 64},
  [2231] = {.lex_state = 64},
  [2232] = {.lex_state = 65},
  [2233] = {.lex_state = 64},
  [2234] = {.lex_state = 65},
  [2235] = {.lex_state = 64},
  [2236] = {.lex_state = 64},
  [2237] = {.lex_state = 64},
  [2238] = {.lex_state = 64, .external_lex_state = 2},
  [2239] = {.lex_state = 64},
  [2240] = {.lex_state = 64},
  [2241] = {.lex_state = 64},
  [2242] = {.lex_state = 64},
  [2243] = {.lex_state = 64, .external_lex_state = 2},
  [2244] = {.lex_state = 64},
  [2245] = {.lex_state = 64},
  [2246] = {.lex_state = 64},
  [2247] = {.lex_state = 64, .external_lex_state = 2},
  [2248] = {.lex_state = 64},
  [2249] = {.lex_state = 64},
  [2250] = {.lex_state = 64},
  [2251] = {.lex_state = 64},
  [2252] = {.lex_state = 64},
  [2253] = {.lex_state = 64},
  [2254] = {.lex_state = 64},
  [2255] = {.lex_state = 64, .external_lex_state = 2},
  [2256] = {.lex_state = 64},
  [2257] = {.lex_state = 64},
  [2258] = {.lex_state = 64},
  [2259] = {.lex_state = 64},
  [2260] = {.lex_state = 64},
  [2261] = {.lex_state = 64},
  [2262] = {.lex_state = 64},
  [2263] = {.lex_state = 64},
  [2264] = {.lex_state = 64},
  [2265] = {.lex_state = 65},
  [2266] = {.lex_state = 64},
  [2267] = {.lex_state = 64},
  [2268] = {.lex_state = 64},
  [2269] = {.lex_state = 64, .external_lex_state = 2},
  [2270] = {.lex_state = 64},
  [2271] = {.lex_state = 64},
  [2272] = {.lex_state = 64, .external_lex_state = 2},
  [2273] = {.lex_state = 64},
  [2274] = {.lex_state = 64},
  [2275] = {.lex_state = 64},
  [2276] = {.lex_state = 64},
  [2277] = {.lex_state = 64, .external_lex_state = 2},
  [2278] = {.lex_state = 64, .external_lex_state = 2},
  [2279] = {.lex_state = 64},
  [2280] = {.lex_state = 64},
  [2281] = {.lex_state = 64},
  [2282] = {.lex_state = 64},
  [2283] = {.lex_state = 64},
  [2284] = {.lex_state = 64},
  [2285] = {.lex_state = 64},
  [2286] = {.lex_state = 64},
  [2287] = {.lex_state = 64},
  [2288] = {.lex_state = 64},
  [2289] = {.lex_state = 64},
  [2290] = {.lex_state = 64},
  [2291] = {.lex_state = 64, .external_lex_state = 2},
  [2292] = {.lex_state = 64},
  [2293] = {.lex_state = 64},
  [2294] = {.lex_state = 64, .external_lex_state = 2},
  [2295] = {.lex_state = 64},
  [2296] = {.lex_state = 64, .external_lex_state = 2},
  [2297] = {.lex_state = 64},
  [2298] = {.lex_state = 64},
  [2299] = {.lex_state = 64},
  [2300] = {.lex_state = 64},
  [2301] = {.lex_state = 64},
  [2302] = {.lex_state = 3, .external_lex_state = 11},
  [2303] = {.lex_state = 64},
  [2304] = {.lex_state = 64},
  [2305] = {.lex_state = 64},
  [2306] = {.lex_state = 64},
  [2307] = {.lex_state = 64},
  [2308] = {.lex_state = 64},
  [2309] = {.lex_state = 64},
  [2310] = {.lex_state = 64},
  [2311] = {.lex_state = 64},
  [2312] = {.lex_state = 64},
  [2313] = {.lex_state = 64},
  [2314] = {.lex_state = 64},
  [2315] = {.lex_state = 64},
  [2316] = {.lex_state = 64},
  [2317] = {.lex_state = 3, .external_lex_state = 11},
  [2318] = {.lex_state = 64},
  [2319] = {.lex_state = 64},
  [2320] = {.lex_state = 64},
  [2321] = {.lex_state = 64},
  [2322] = {.lex_state = 64},
  [2323] = {.lex_state = 64},
  [2324] = {.lex_state = 64},
  [2325] = {.lex_state = 64},
  [2326] = {.lex_state = 64},
  [2327] = {.lex_state = 64},
  [2328] = {.lex_state = 64},
  [2329] = {.lex_state = 64},
  [2330] = {.lex_state = 64},
  [2331] = {.lex_state = 64},
  [2332] = {.lex_state = 64},
  [2333] = {.lex_state = 64},
  [2334] = {.lex_state = 64, .external_lex_state = 2},
  [2335] = {.lex_state = 64},
  [2336] = {.lex_state = 64},
  [2337] = {.lex_state = 64},
  [2338] = {.lex_state = 64},
  [2339] = {.lex_state = 64},
  [2340] = {.lex_state = 64},
  [2341] = {.lex_state = 64, .external_lex_state = 2},
  [2342] = {.lex_state = 64},
  [2343] = {.lex_state = 64},
  [2344] = {.lex_state = 64},
  [2345] = {.lex_state = 64},
  [2346] = {.lex_state = 64},
  [2347] = {.lex_state = 64},
  [2348] = {.lex_state = 64},
  [2349] = {.lex_state = 64},
  [2350] = {.lex_state = 64},
  [2351] = {.lex_state = 64},
  [2352] = {.lex_state = 64},
  [2353] = {.lex_state = 64},
  [2354] = {.lex_state = 64},
  [2355] = {.lex_state = 64},
  [2356] = {.lex_state = 64},
  [2357] = {.lex_state = 64},
  [2358] = {.lex_state = 64},
  [2359] = {.lex_state = 64},
  [2360] = {.lex_state = 64},
  [2361] = {.lex_state = 64, .external_lex_state = 2},
  [2362] = {.lex_state = 64},
  [2363] = {.lex_state = 64},
  [2364] = {.lex_state = 64},
  [2365] = {.lex_state = 64},
  [2366] = {.lex_state = 65, .external_lex_state = 10},
  [2367] = {.lex_state = 64, .external_lex_state = 2},
  [2368] = {.lex_state = 64},
  [2369] = {.lex_state = 3, .external_lex_state = 11},
  [2370] = {.lex_state = 64},
  [2371] = {.lex_state = 64},
  [2372] = {.lex_state = 64},
  [2373] = {.lex_state = 64},
  [2374] = {.lex_state = 64},
  [2375] = {.lex_state = 3, .external_lex_state = 11},
  [2376] = {.lex_state = 64},
  [2377] = {.lex_state = 64},
  [2378] = {.lex_state = 64},
  [2379] = {.lex_state = 64},
  [2380] = {.lex_state = 3, .external_lex_state = 11},
  [2381] = {.lex_state = 64},
  [2382] = {.lex_state = 64},
  [2383] = {.lex_state = 64},
  [2384] = {.lex_state = 64},
  [2385] = {.lex_state = 64},
  [2386] = {.lex_state = 64},
  [2387] = {.lex_state = 64},
  [2388] = {.lex_state = 64},
  [2389] = {.lex_state = 64},
  [2390] = {.lex_state = 64},
  [2391] = {.lex_state = 64},
  [2392] = {.lex_state = 64},
  [2393] = {.lex_state = 64},
  [2394] = {.lex_state = 64},
  [2395] = {.lex_state = 64},
  [2396] = {.lex_state = 64},
  [2397] = {.lex_state = 65},
  [2398] = {.lex_state = 64, .external_lex_state = 2},
  [2399] = {.lex_state = 64},
  [2400] = {.lex_state = 64},
  [2401] = {.lex_state = 64},
  [2402] = {.lex_state = 64},
  [2403] = {.lex_state = 64},
  [2404] = {.lex_state = 64},
  [2405] = {.lex_state = 64},
  [2406] = {.lex_state = 64},
  [2407] = {.lex_state = 64},
  [2408] = {.lex_state = 64, .external_lex_state = 2},
  [2409] = {.lex_state = 3, .external_lex_state = 11},
  [2410] = {.lex_state = 3, .external_lex_state = 11},
  [2411] = {.lex_state = 64},
  [2412] = {.lex_state = 64},
  [2413] = {.lex_state = 64},
  [2414] = {.lex_state = 64},
  [2415] = {.lex_state = 64, .external_lex_state = 14},
  [2416] = {.lex_state = 3, .external_lex_state = 11},
  [2417] = {.lex_state = 64},
  [2418] = {.lex_state = 64},
  [2419] = {.lex_state = 64},
  [2420] = {.lex_state = 64},
  [2421] = {.lex_state = 3, .external_lex_state = 11},
  [2422] = {.lex_state = 3, .external_lex_state = 11},
  [2423] = {.lex_state = 64},
  [2424] = {.lex_state = 64},
  [2425] = {.lex_state = 64},
  [2426] = {.lex_state = 64},
  [2427] = {.lex_state = 64},
  [2428] = {.lex_state = 64},
  [2429] = {.lex_state = 64},
  [2430] = {.lex_state = 64},
  [2431] = {.lex_state = 64},
  [2432] = {.lex_state = 64},
  [2433] = {.lex_state = 64},
  [2434] = {.lex_state = 64, .external_lex_state = 2},
  [2435] = {.lex_state = 64},
  [2436] = {.lex_state = 64},
  [2437] = {.lex_state = 64},
  [2438] = {.lex_state = 64},
  [2439] = {.lex_state = 64},
  [2440] = {.lex_state = 64},
  [2441] = {.lex_state = 64},
  [2442] = {.lex_state = 64},
  [2443] = {.lex_state = 64},
  [2444] = {.lex_state = 64},
  [2445] = {.lex_state = 64},
  [2446] = {.lex_state = 64},
  [2447] = {.lex_state = 64},
  [2448] = {.lex_state = 64},
  [2449] = {.lex_state = 64},
  [2450] = {.lex_state = 64},
  [2451] = {.lex_state = 64},
  [2452] = {.lex_state = 64},
  [2453] = {.lex_state = 64},
  [2454] = {.lex_state = 64},
  [2455] = {.lex_state = 64},
  [2456] = {.lex_state = 64},
  [2457] = {.lex_state = 64},
  [2458] = {.lex_state = 64},
  [2459] = {.lex_state = 64},
  [2460] = {.lex_state = 64},
  [2461] = {.lex_state = 64},
  [2462] = {.lex_state = 64},
  [2463] = {.lex_state = 64},
  [2464] = {.lex_state = 64},
  [2465] = {.lex_state = 64},
  [2466] = {.lex_state = 64},
  [2467] = {.lex_state = 64},
  [2468] = {.lex_state = 64},
  [2469] = {.lex_state = 64},
  [2470] = {.lex_state = 64},
  [2471] = {.lex_state = 64},
  [2472] = {.lex_state = 64},
  [2473] = {.lex_state = 64},
  [2474] = {.lex_state = 64},
  [2475] = {.lex_state = 64, .external_lex_state = 2},
  [2476] = {.lex_state = 64},
  [2477] = {.lex_state = 64},
  [2478] = {.lex_state = 64},
  [2479] = {.lex_state = 64},
  [2480] = {.lex_state = 64},
  [2481] = {.lex_state = 64},
  [2482] = {.lex_state = 64},
  [2483] = {.lex_state = 64},
  [2484] = {.lex_state = 64},
  [2485] = {.lex_state = 64},
  [2486] = {.lex_state = 64},
  [2487] = {.lex_state = 64},
  [2488] = {.lex_state = 64},
  [2489] = {.lex_state = 64},
  [2490] = {.lex_state = 64},
  [2491] = {.lex_state = 64},
  [2492] = {.lex_state = 64},
  [2493] = {.lex_state = 64, .external_lex_state = 2},
  [2494] = {.lex_state = 64},
  [2495] = {.lex_state = 64},
  [2496] = {.lex_state = 64},
  [2497] = {.lex_state = 64},
  [2498] = {.lex_state = 64},
  [2499] = {.lex_state = 64},
  [2500] = {.lex_state = 64},
  [2501] = {.lex_state = 64},
  [2502] = {.lex_state = 64},
  [2503] = {.lex_state = 64},
  [2504] = {.lex_state = 64},
  [2505] = {.lex_state = 64},
  [2506] = {.lex_state = 64},
  [2507] = {.lex_state = 64},
  [2508] = {.lex_state = 64},
  [2509] = {.lex_state = 64},
  [2510] = {.lex_state = 64},
  [2511] = {.lex_state = 64, .external_lex_state = 11},
  [2512] = {.lex_state = 64},
  [2513] = {.lex_state = 64, .external_lex_state = 11},
  [2514] = {.lex_state = 64},
  [2515] = {.lex_state = 64},
  [2516] = {.lex_state = 64},
  [2517] = {.lex_state = 64},
  [2518] = {.lex_state = 64},
  [2519] = {.lex_state = 64},
  [2520] = {.lex_state = 64},
  [2521] = {.lex_state = 64},
  [2522] = {.lex_state = 64},
  [2523] = {.lex_state = 16},
  [2524] = {.lex_state = 64, .external_lex_state = 11},
  [2525] = {.lex_state = 64},
  [2526] = {.lex_state = 64},
  [2527] = {.lex_state = 64},
  [2528] = {.lex_state = 64},
  [2529] = {.lex_state = 64},
  [2530] = {.lex_state = 64},
  [2531] = {.lex_state = 64},
  [2532] = {.lex_state = 64},
  [2533] = {.lex_state = 64},
  [2534] = {.lex_state = 64},
  [2535] = {.lex_state = 64},
  [2536] = {.lex_state = 64},
  [2537] = {.lex_state = 64},
  [2538] = {.lex_state = 64, .external_lex_state = 11},
  [2539] = {.lex_state = 64},
  [2540] = {.lex_state = 64, .external_lex_state = 11},
  [2541] = {.lex_state = 64},
  [2542] = {.lex_state = 64, .external_lex_state = 13},
  [2543] = {.lex_state = 64},
  [2544] = {.lex_state = 64},
  [2545] = {.lex_state = 64},
  [2546] = {.lex_state = 64},
  [2547] = {.lex_state = 64},
  [2548] = {.lex_state = 64},
  [2549] = {.lex_state = 64},
  [2550] = {.lex_state = 64},
  [2551] = {.lex_state = 64},
  [2552] = {.lex_state = 64},
  [2553] = {.lex_state = 64},
  [2554] = {.lex_state = 64},
  [2555] = {.lex_state = 64},
  [2556] = {.lex_state = 64},
  [2557] = {.lex_state = 64},
  [2558] = {.lex_state = 64},
  [2559] = {.lex_state = 64},
  [2560] = {.lex_state = 64},
  [2561] = {.lex_state = 64},
  [2562] = {.lex_state = 64},
  [2563] = {.lex_state = 64},
  [2564] = {.lex_state = 64},
  [2565] = {.lex_state = 64},
  [2566] = {.lex_state = 64},
  [2567] = {.lex_state = 64},
  [2568] = {.lex_state = 64},
  [2569] = {.lex_state = 64},
  [2570] = {.lex_state = 10},
  [2571] = {.lex_state = 64},
  [2572] = {.lex_state = 64},
  [2573] = {.lex_state = 64},
  [2574] = {.lex_state = 64},
  [2575] = {.lex_state = 64},
  [2576] = {.lex_state = 64},
  [2577] = {.lex_state = 64},
  [2578] = {.lex_state = 64},
  [2579] = {.lex_state = 64},
  [2580] = {.lex_state = 10},
  [2581] = {.lex_state = 64},
  [2582] = {.lex_state = 64},
  [2583] = {.lex_state = 64},
  [2584] = {.lex_state = 64},
  [2585] = {.lex_state = 64},
  [2586] = {.lex_state = 64, .external_lex_state = 11},
  [2587] = {.lex_state = 64},
  [2588] = {.lex_state = 64},
  [2589] = {.lex_state = 64},
  [2590] = {.lex_state = 64},
  [2591] = {.lex_state = 64},
  [2592] = {.lex_state = 64},
  [2593] = {.lex_state = 64, .external_lex_state = 11},
  [2594] = {.lex_state = 64},
  [2595] = {.lex_state = 64, .external_lex_state = 11},
  [2596] = {.lex_state = 64},
  [2597] = {.lex_state = 64, .external_lex_state = 11},
  [2598] = {.lex_state = 64},
  [2599] = {.lex_state = 64},
  [2600] = {.lex_state = 64},
  [2601] = {.lex_state = 64},
  [2602] = {.lex_state = 64},
  [2603] = {.lex_state = 64},
  [2604] = {.lex_state = 64},
  [2605] = {.lex_state = 64},
  [2606] = {.lex_state = 64},
  [2607] = {.lex_state = 64},
  [2608] = {.lex_state = 64},
  [2609] = {.lex_state = 64},
  [2610] = {.lex_state = 64},
  [2611] = {.lex_state = 64},
  [2612] = {.lex_state = 64},
  [2613] = {.lex_state = 64, .external_lex_state = 11},
  [2614] = {.lex_state = 64},
  [2615] = {.lex_state = 64},
  [2616] = {.lex_state = 64},
  [2617] = {.lex_state = 64},
  [2618] = {.lex_state = 64},
  [2619] = {.lex_state = 64},
  [2620] = {.lex_state = 64},
  [2621] = {.lex_state = 64},
  [2622] = {.lex_state = 64},
  [2623] = {.lex_state = 64},
  [2624] = {.lex_state = 64},
  [2625] = {.lex_state = 64},
  [2626] = {.lex_state = 64},
  [2627] = {.lex_state = 64},
  [2628] = {.lex_state = 64},
  [2629] = {.lex_state = 64},
  [2630] = {.lex_state = 64},
  [2631] = {.lex_state = 64},
  [2632] = {.lex_state = 64},
  [2633] = {.lex_state = 64},
  [2634] = {.lex_state = 64},
  [2635] = {.lex_state = 64},
  [2636] = {.lex_state = 64},
  [2637] = {.lex_state = 64},
  [2638] = {.lex_state = 64},
  [2639] = {.lex_state = 64},
  [2640] = {.lex_state = 64},
  [2641] = {.lex_state = 64},
  [2642] = {.lex_state = 64},
  [2643] = {.lex_state = 64},
  [2644] = {.lex_state = 64},
  [2645] = {.lex_state = 64},
  [2646] = {.lex_state = 64},
  [2647] = {.lex_state = 64},
  [2648] = {.lex_state = 64},
  [2649] = {.lex_state = 64},
  [2650] = {.lex_state = 64},
  [2651] = {.lex_state = 64},
  [2652] = {.lex_state = 64},
  [2653] = {.lex_state = 64},
  [2654] = {.lex_state = 64},
  [2655] = {.lex_state = 64},
  [2656] = {.lex_state = 64},
  [2657] = {.lex_state = 64},
  [2658] = {.lex_state = 64},
  [2659] = {.lex_state = 64},
  [2660] = {.lex_state = 64},
  [2661] = {.lex_state = 64},
  [2662] = {.lex_state = 64},
  [2663] = {.lex_state = 64},
  [2664] = {.lex_state = 64},
  [2665] = {.lex_state = 64},
  [2666] = {.lex_state = 64},
  [2667] = {.lex_state = 64, .external_lex_state = 13},
  [2668] = {.lex_state = 64},
  [2669] = {.lex_state = 64},
  [2670] = {.lex_state = 64},
  [2671] = {.lex_state = 64},
  [2672] = {.lex_state = 64},
  [2673] = {.lex_state = 64},
  [2674] = {.lex_state = 64},
  [2675] = {.lex_state = 64},
  [2676] = {.lex_state = 64},
  [2677] = {.lex_state = 64},
  [2678] = {.lex_state = 64},
  [2679] = {.lex_state = 64},
  [2680] = {.lex_state = 64},
  [2681] = {.lex_state = 64},
  [2682] = {.lex_state = 64},
  [2683] = {.lex_state = 64},
  [2684] = {.lex_state = 64},
  [2685] = {.lex_state = 64},
  [2686] = {.lex_state = 64},
  [2687] = {.lex_state = 64},
  [2688] = {.lex_state = 64},
  [2689] = {.lex_state = 64},
  [2690] = {.lex_state = 64},
  [2691] = {.lex_state = 64},
  [2692] = {.lex_state = 64},
  [2693] = {.lex_state = 64},
  [2694] = {.lex_state = 64},
  [2695] = {.lex_state = 64},
  [2696] = {.lex_state = 64},
  [2697] = {.lex_state = 64},
  [2698] = {.lex_state = 64},
  [2699] = {.lex_state = 16},
  [2700] = {.lex_state = 64},
  [2701] = {.lex_state = 64},
  [2702] = {.lex_state = 64},
  [2703] = {.lex_state = 64},
  [2704] = {.lex_state = 64},
  [2705] = {.lex_state = 64},
  [2706] = {.lex_state = 64},
  [2707] = {.lex_state = 64, .external_lex_state = 13},
  [2708] = {.lex_state = 64},
  [2709] = {.lex_state = 64},
  [2710] = {.lex_state = 64},
  [2711] = {.lex_state = 64},
  [2712] = {.lex_state = 64},
  [2713] = {.lex_state = 64},
  [2714] = {.lex_state = 64},
  [2715] = {.lex_state = 64},
  [2716] = {.lex_state = 64, .external_lex_state = 13},
  [2717] = {.lex_state = 64},
  [2718] = {.lex_state = 64},
  [2719] = {.lex_state = 64},
  [2720] = {.lex_state = 64},
  [2721] = {.lex_state = 64},
  [2722] = {.lex_state = 64},
  [2723] = {.lex_state = 64},
  [2724] = {.lex_state = 64},
  [2725] = {.lex_state = 64},
  [2726] = {.lex_state = 64},
  [2727] = {.lex_state = 64},
  [2728] = {.lex_state = 64},
  [2729] = {.lex_state = 64},
  [2730] = {.lex_state = 64},
  [2731] = {.lex_state = 64},
  [2732] = {.lex_state = 64},
  [2733] = {.lex_state = 64},
  [2734] = {.lex_state = 64},
  [2735] = {.lex_state = 64},
  [2736] = {.lex_state = 64},
  [2737] = {.lex_state = 64},
  [2738] = {.lex_state = 64},
  [2739] = {.lex_state = 64},
  [2740] = {(TSStateId)(-1)},
  [2741] = {(TSStateId)(-1)},
};

static const uint16_t ts_parse_table[LARGE_STATE_COUNT][SYMBOL_COUNT] = {
  [0] = {
    [sym_text_interpolation] = STATE(0),
    [ts_builtin_sym_end] = ACTIONS(1),
    [sym_name] = ACTIONS(1),
    [sym_php_tag] = ACTIONS(1),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_text_token1] = ACTIONS(1),
    [anon_sym_SEMI] = ACTIONS(1),
    [anon_sym_AMP] = ACTIONS(1),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1),
    [anon_sym_COMMA] = ACTIONS(1),
    [anon_sym_EQ] = ACTIONS(1),
    [aux_sym_global_declaration_token1] = ACTIONS(1),
    [aux_sym_namespace_definition_token1] = ACTIONS(1),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1),
    [aux_sym_namespace_use_clause_token1] = ACTIONS(1),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1),
    [anon_sym_BSLASH] = ACTIONS(1),
    [anon_sym_LBRACE] = ACTIONS(1),
    [anon_sym_RBRACE] = ACTIONS(1),
    [aux_sym_trait_declaration_token1] = ACTIONS(1),
    [aux_sym_interface_declaration_token1] = ACTIONS(1),
    [aux_sym_base_clause_token1] = ACTIONS(1),
    [aux_sym_enum_declaration_token1] = ACTIONS(1),
    [anon_sym_COLON] = ACTIONS(1),
    [anon_sym_string] = ACTIONS(1),
    [anon_sym_int] = ACTIONS(1),
    [aux_sym_enum_case_token1] = ACTIONS(1),
    [aux_sym_class_declaration_token1] = ACTIONS(1),
    [aux_sym_final_modifier_token1] = ACTIONS(1),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1),
    [aux_sym_class_interface_clause_token1] = ACTIONS(1),
    [anon_sym_EQ_GT] = ACTIONS(1),
    [sym_var_modifier] = ACTIONS(1),
    [aux_sym_use_instead_of_clause_token1] = ACTIONS(1),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1),
    [anon_sym_LPAREN] = ACTIONS(1),
    [anon_sym_RPAREN] = ACTIONS(1),
    [anon_sym_LPAREN2] = ACTIONS(1),
    [anon_sym_RPAREN2] = ACTIONS(1),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1),
    [anon_sym_QMARK] = ACTIONS(1),
    [sym_bottom_type] = ACTIONS(1),
    [anon_sym_PIPE] = ACTIONS(1),
    [anon_sym_array] = ACTIONS(1),
    [aux_sym_primitive_type_token1] = ACTIONS(1),
    [anon_sym_iterable] = ACTIONS(1),
    [anon_sym_bool] = ACTIONS(1),
    [anon_sym_float] = ACTIONS(1),
    [anon_sym_void] = ACTIONS(1),
    [anon_sym_mixed] = ACTIONS(1),
    [anon_sym_false] = ACTIONS(1),
    [anon_sym_null] = ACTIONS(1),
    [anon_sym_true] = ACTIONS(1),
    [aux_sym_cast_type_token1] = ACTIONS(1),
    [aux_sym_cast_type_token2] = ACTIONS(1),
    [aux_sym_cast_type_token3] = ACTIONS(1),
    [aux_sym_cast_type_token4] = ACTIONS(1),
    [aux_sym_cast_type_token5] = ACTIONS(1),
    [aux_sym_cast_type_token6] = ACTIONS(1),
    [aux_sym_cast_type_token7] = ACTIONS(1),
    [aux_sym_cast_type_token8] = ACTIONS(1),
    [aux_sym_cast_type_token9] = ACTIONS(1),
    [aux_sym_cast_type_token10] = ACTIONS(1),
    [aux_sym_cast_type_token11] = ACTIONS(1),
    [aux_sym_cast_type_token12] = ACTIONS(1),
    [aux_sym_echo_statement_token1] = ACTIONS(1),
    [aux_sym_exit_statement_token1] = ACTIONS(1),
    [anon_sym_unset] = ACTIONS(1),
    [aux_sym_declare_statement_token1] = ACTIONS(1),
    [aux_sym_declare_statement_token2] = ACTIONS(1),
    [anon_sym_ticks] = ACTIONS(1),
    [anon_sym_encoding] = ACTIONS(1),
    [anon_sym_strict_types] = ACTIONS(1),
    [sym_float] = ACTIONS(1),
    [aux_sym_try_statement_token1] = ACTIONS(1),
    [aux_sym_catch_clause_token1] = ACTIONS(1),
    [aux_sym_finally_clause_token1] = ACTIONS(1),
    [aux_sym_goto_statement_token1] = ACTIONS(1),
    [aux_sym_continue_statement_token1] = ACTIONS(1),
    [aux_sym_break_statement_token1] = ACTIONS(1),
    [sym_integer] = ACTIONS(1),
    [aux_sym_return_statement_token1] = ACTIONS(1),
    [aux_sym_throw_expression_token1] = ACTIONS(1),
    [aux_sym_while_statement_token1] = ACTIONS(1),
    [aux_sym_while_statement_token2] = ACTIONS(1),
    [aux_sym_do_statement_token1] = ACTIONS(1),
    [aux_sym_for_statement_token1] = ACTIONS(1),
    [aux_sym_for_statement_token2] = ACTIONS(1),
    [aux_sym_foreach_statement_token1] = ACTIONS(1),
    [aux_sym_foreach_statement_token2] = ACTIONS(1),
    [aux_sym_if_statement_token1] = ACTIONS(1),
    [aux_sym_if_statement_token2] = ACTIONS(1),
    [aux_sym_else_if_clause_token1] = ACTIONS(1),
    [aux_sym_else_clause_token1] = ACTIONS(1),
    [aux_sym_match_expression_token1] = ACTIONS(1),
    [aux_sym_match_default_expression_token1] = ACTIONS(1),
    [aux_sym_switch_statement_token1] = ACTIONS(1),
    [aux_sym_switch_block_token1] = ACTIONS(1),
    [anon_sym_PLUS] = ACTIONS(1),
    [anon_sym_DASH] = ACTIONS(1),
    [anon_sym_TILDE] = ACTIONS(1),
    [anon_sym_BANG] = ACTIONS(1),
    [anon_sym_AT] = ACTIONS(1),
    [aux_sym_clone_expression_token1] = ACTIONS(1),
    [anon_sym_COLON_COLON] = ACTIONS(1),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1),
    [anon_sym_DASH_DASH] = ACTIONS(1),
    [anon_sym_PLUS_PLUS] = ACTIONS(1),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1),
    [anon_sym_STAR_EQ] = ACTIONS(1),
    [anon_sym_SLASH_EQ] = ACTIONS(1),
    [anon_sym_PERCENT_EQ] = ACTIONS(1),
    [anon_sym_PLUS_EQ] = ACTIONS(1),
    [anon_sym_DASH_EQ] = ACTIONS(1),
    [anon_sym_GT_GT_EQ] = ACTIONS(1),
    [anon_sym_AMP_EQ] = ACTIONS(1),
    [anon_sym_CARET_EQ] = ACTIONS(1),
    [anon_sym_PIPE_EQ] = ACTIONS(1),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(1),
    [anon_sym_DASH_GT] = ACTIONS(1),
    [anon_sym_QMARK_DASH_GT] = ACTIONS(1),
    [aux_sym__list_destructing_token1] = ACTIONS(1),
    [anon_sym_LBRACK] = ACTIONS(1),
    [anon_sym_RBRACK] = ACTIONS(1),
    [anon_sym_self] = ACTIONS(1),
    [anon_sym_parent] = ACTIONS(1),
    [aux_sym__argument_name_token1] = ACTIONS(1),
    [aux_sym__argument_name_token2] = ACTIONS(1),
    [anon_sym_POUND_LBRACK] = ACTIONS(1),
    [aux_sym_encapsed_string_token1] = ACTIONS(1),
    [anon_sym_DQUOTE] = ACTIONS(1),
    [aux_sym_string_token1] = ACTIONS(1),
    [anon_sym_SQUOTE] = ACTIONS(1),
    [aux_sym_string_token2] = ACTIONS(1),
    [anon_sym_DQUOTE2] = ACTIONS(1),
    [anon_sym_SQUOTE2] = ACTIONS(1),
    [anon_sym_BQUOTE] = ACTIONS(1),
    [anon_sym_DOLLAR] = ACTIONS(1),
    [aux_sym_yield_expression_token1] = ACTIONS(1),
    [aux_sym_yield_expression_token2] = ACTIONS(1),
    [aux_sym_binary_expression_token1] = ACTIONS(1),
    [anon_sym_QMARK_QMARK] = ACTIONS(1),
    [anon_sym_STAR_STAR] = ACTIONS(1),
    [aux_sym_binary_expression_token2] = ACTIONS(1),
    [aux_sym_binary_expression_token3] = ACTIONS(1),
    [aux_sym_binary_expression_token4] = ACTIONS(1),
    [anon_sym_PIPE_PIPE] = ACTIONS(1),
    [anon_sym_AMP_AMP] = ACTIONS(1),
    [anon_sym_CARET] = ACTIONS(1),
    [anon_sym_EQ_EQ] = ACTIONS(1),
    [anon_sym_BANG_EQ] = ACTIONS(1),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1),
    [anon_sym_LT] = ACTIONS(1),
    [anon_sym_GT] = ACTIONS(1),
    [anon_sym_GT_EQ] = ACTIONS(1),
    [anon_sym_GT_GT] = ACTIONS(1),
    [anon_sym_DOT] = ACTIONS(1),
    [anon_sym_STAR] = ACTIONS(1),
    [anon_sym_SLASH] = ACTIONS(1),
    [anon_sym_PERCENT] = ACTIONS(1),
    [aux_sym_include_expression_token1] = ACTIONS(1),
    [aux_sym_include_once_expression_token1] = ACTIONS(1),
    [aux_sym_require_expression_token1] = ACTIONS(1),
    [aux_sym_require_once_expression_token1] = ACTIONS(1),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(1),
    [sym_encapsed_string_chars] = ACTIONS(1),
    [sym_encapsed_string_chars_after_variable] = ACTIONS(1),
    [sym_execution_string_chars] = ACTIONS(1),
    [sym_execution_string_chars_after_variable] = ACTIONS(1),
    [sym_encapsed_string_chars_heredoc] = ACTIONS(1),
    [sym_encapsed_string_chars_after_variable_heredoc] = ACTIONS(1),
    [sym__eof] = ACTIONS(1),
    [sym_heredoc_start] = ACTIONS(1),
    [sym_heredoc_end] = ACTIONS(1),
    [sym_nowdoc_string] = ACTIONS(1),
    [sym_sentinel_error] = ACTIONS(1),
  },
  [1] = {
    [sym_program] = STATE(2531),
    [sym_text_interpolation] = STATE(1),
    [sym_text] = STATE(2397),
    [aux_sym_text_repeat1] = STATE(1716),
    [ts_builtin_sym_end] = ACTIONS(7),
    [sym_php_tag] = ACTIONS(9),
    [anon_sym_QMARK_GT] = ACTIONS(11),
    [aux_sym_text_token1] = ACTIONS(13),
    [aux_sym_text_token2] = ACTIONS(15),
    [sym_comment] = ACTIONS(5),
  },
  [2] = {
    [sym_text_interpolation] = STATE(2),
    [sym_statement] = STATE(520),
    [sym_empty_statement] = STATE(573),
    [sym_function_static_declaration] = STATE(573),
    [sym_global_declaration] = STATE(573),
    [sym_namespace_definition] = STATE(573),
    [sym_namespace_use_declaration] = STATE(573),
    [sym_qualified_name] = STATE(1000),
    [sym__name] = STATE(1631),
    [sym_namespace_name] = STATE(2575),
    [sym_trait_declaration] = STATE(573),
    [sym_interface_declaration] = STATE(573),
    [sym_enum_declaration] = STATE(573),
    [sym_class_declaration] = STATE(573),
    [sym_final_modifier] = STATE(1335),
    [sym_abstract_modifier] = STATE(1335),
    [sym_readonly_modifier] = STATE(1335),
    [sym_const_declaration] = STATE(573),
    [sym__const_declaration] = STATE(517),
    [sym__modifier] = STATE(1334),
    [sym_static_modifier] = STATE(1468),
    [sym_visibility_modifier] = STATE(1335),
    [sym_function_definition] = STATE(573),
    [sym__function_definition_header] = STATE(2470),
    [sym_anonymous_function] = STATE(1148),
    [sym__anonymous_function_header] = STATE(2489),
    [sym__arrow_function_header] = STATE(2731),
    [sym_arrow_function] = STATE(1148),
    [sym_echo_statement] = STATE(573),
    [sym_exit_statement] = STATE(573),
    [sym_unset_statement] = STATE(573),
    [sym_declare_statement] = STATE(573),
    [sym_literal] = STATE(1148),
    [sym_try_statement] = STATE(573),
    [sym_goto_statement] = STATE(573),
    [sym_continue_statement] = STATE(573),
    [sym_break_statement] = STATE(573),
    [sym_return_statement] = STATE(573),
    [sym_throw_expression] = STATE(1148),
    [sym_while_statement] = STATE(573),
    [sym_do_statement] = STATE(573),
    [sym_for_statement] = STATE(573),
    [sym_foreach_statement] = STATE(573),
    [sym_if_statement] = STATE(573),
    [sym_match_expression] = STATE(1152),
    [sym_switch_statement] = STATE(573),
    [sym_compound_statement] = STATE(573),
    [sym_named_label_statement] = STATE(573),
    [sym_expression_statement] = STATE(573),
    [sym_expression] = STATE(1221),
    [sym__unary_expression] = STATE(1159),
    [sym_unary_op_expression] = STATE(1172),
    [sym_error_suppression_expression] = STATE(1152),
    [sym_clone_expression] = STATE(1172),
    [sym_primary_expression] = STATE(1172),
    [sym_parenthesized_expression] = STATE(964),
    [sym_class_constant_access_expression] = STATE(1019),
    [sym_print_intrinsic] = STATE(1148),
    [sym_object_creation_expression] = STATE(1148),
    [sym__new_non_dereferencable_expression] = STATE(1168),
    [sym__new_dereferencable_expression] = STATE(966),
    [sym_update_expression] = STATE(1148),
    [sym_cast_expression] = STATE(1172),
    [sym_cast_variable] = STATE(661),
    [sym_assignment_expression] = STATE(1152),
    [sym_reference_assignment_expression] = STATE(1152),
    [sym_conditional_expression] = STATE(1152),
    [sym_augmented_assignment_expression] = STATE(1152),
    [sym__variable_member_access_expression] = STATE(674),
    [sym_member_access_expression] = STATE(661),
    [sym__variable_nullsafe_member_access_expression] = STATE(663),
    [sym_nullsafe_member_access_expression] = STATE(661),
    [sym__variable_scoped_property_access_expression] = STATE(664),
    [sym_scoped_property_access_expression] = STATE(661),
    [sym_list_literal] = STATE(2530),
    [sym__list_destructing] = STATE(2405),
    [sym__array_destructing] = STATE(2405),
    [sym_function_call_expression] = STATE(634),
    [sym__callable_expression] = STATE(2471),
    [sym_scoped_call_expression] = STATE(634),
    [sym__scope_resolution_qualifier] = STATE(2651),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(634),
    [sym_nullsafe_member_call_expression] = STATE(634),
    [sym__variable_subscript_expression] = STATE(665),
    [sym__dereferencable_subscript_expression] = STATE(634),
    [sym__dereferencable_expression] = STATE(1946),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(1005),
    [sym_attribute_group] = STATE(1373),
    [sym_attribute_list] = STATE(1356),
    [sym_encapsed_string] = STATE(927),
    [sym_string] = STATE(927),
    [sym_heredoc] = STATE(927),
    [sym_nowdoc] = STATE(927),
    [sym_shell_command_expression] = STATE(1148),
    [sym_boolean] = STATE(1162),
    [sym_null] = STATE(1162),
    [sym__string] = STATE(941),
    [sym_dynamic_variable_name] = STATE(650),
    [sym__simple_variable] = STATE(654),
    [sym__new_variable] = STATE(667),
    [sym__callable_variable] = STATE(629),
    [sym_variable_name] = STATE(650),
    [sym_yield_expression] = STATE(1152),
    [sym_binary_expression] = STATE(1152),
    [sym_include_expression] = STATE(1152),
    [sym_include_once_expression] = STATE(1152),
    [sym_require_expression] = STATE(1152),
    [sym_require_once_expression] = STATE(1152),
    [sym__reserved_identifier] = STATE(717),
    [sym__identifier] = STATE(1496),
    [aux_sym_program_repeat1] = STATE(2),
    [aux_sym_class_declaration_repeat1] = STATE(1381),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [ts_builtin_sym_end] = ACTIONS(17),
    [sym_name] = ACTIONS(19),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(22),
    [aux_sym_function_static_declaration_token1] = ACTIONS(25),
    [aux_sym_global_declaration_token1] = ACTIONS(28),
    [aux_sym_namespace_definition_token1] = ACTIONS(31),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(34),
    [aux_sym__namespace_use_type_token1] = ACTIONS(37),
    [aux_sym__namespace_use_type_token2] = ACTIONS(40),
    [anon_sym_BSLASH] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(46),
    [anon_sym_RBRACE] = ACTIONS(17),
    [aux_sym_trait_declaration_token1] = ACTIONS(49),
    [aux_sym_interface_declaration_token1] = ACTIONS(52),
    [aux_sym_enum_declaration_token1] = ACTIONS(55),
    [aux_sym_enum_case_token1] = ACTIONS(58),
    [aux_sym_class_declaration_token1] = ACTIONS(60),
    [aux_sym_final_modifier_token1] = ACTIONS(63),
    [aux_sym_abstract_modifier_token1] = ACTIONS(66),
    [aux_sym_readonly_modifier_token1] = ACTIONS(69),
    [sym_var_modifier] = ACTIONS(72),
    [aux_sym_visibility_modifier_token1] = ACTIONS(75),
    [aux_sym_visibility_modifier_token2] = ACTIONS(75),
    [aux_sym_visibility_modifier_token3] = ACTIONS(75),
    [anon_sym_LPAREN2] = ACTIONS(78),
    [aux_sym__arrow_function_header_token1] = ACTIONS(81),
    [aux_sym_cast_type_token1] = ACTIONS(84),
    [aux_sym_echo_statement_token1] = ACTIONS(87),
    [aux_sym_exit_statement_token1] = ACTIONS(90),
    [anon_sym_unset] = ACTIONS(93),
    [aux_sym_declare_statement_token1] = ACTIONS(96),
    [aux_sym_declare_statement_token2] = ACTIONS(58),
    [sym_float] = ACTIONS(99),
    [aux_sym_try_statement_token1] = ACTIONS(102),
    [aux_sym_goto_statement_token1] = ACTIONS(105),
    [aux_sym_continue_statement_token1] = ACTIONS(108),
    [aux_sym_break_statement_token1] = ACTIONS(111),
    [sym_integer] = ACTIONS(99),
    [aux_sym_return_statement_token1] = ACTIONS(114),
    [aux_sym_throw_expression_token1] = ACTIONS(117),
    [aux_sym_while_statement_token1] = ACTIONS(120),
    [aux_sym_while_statement_token2] = ACTIONS(58),
    [aux_sym_do_statement_token1] = ACTIONS(123),
    [aux_sym_for_statement_token1] = ACTIONS(126),
    [aux_sym_for_statement_token2] = ACTIONS(58),
    [aux_sym_foreach_statement_token1] = ACTIONS(129),
    [aux_sym_foreach_statement_token2] = ACTIONS(58),
    [aux_sym_if_statement_token1] = ACTIONS(132),
    [aux_sym_if_statement_token2] = ACTIONS(58),
    [aux_sym_match_expression_token1] = ACTIONS(135),
    [aux_sym_match_default_expression_token1] = ACTIONS(58),
    [aux_sym_switch_statement_token1] = ACTIONS(138),
    [aux_sym_switch_block_token1] = ACTIONS(58),
    [anon_sym_PLUS] = ACTIONS(141),
    [anon_sym_DASH] = ACTIONS(141),
    [anon_sym_TILDE] = ACTIONS(144),
    [anon_sym_BANG] = ACTIONS(144),
    [anon_sym_AT] = ACTIONS(147),
    [aux_sym_clone_expression_token1] = ACTIONS(150),
    [aux_sym_print_intrinsic_token1] = ACTIONS(153),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(156),
    [anon_sym_DASH_DASH] = ACTIONS(159),
    [anon_sym_PLUS_PLUS] = ACTIONS(159),
    [aux_sym__list_destructing_token1] = ACTIONS(162),
    [anon_sym_LBRACK] = ACTIONS(165),
    [anon_sym_self] = ACTIONS(168),
    [anon_sym_parent] = ACTIONS(168),
    [aux_sym__argument_name_token1] = ACTIONS(171),
    [aux_sym__argument_name_token2] = ACTIONS(174),
    [anon_sym_POUND_LBRACK] = ACTIONS(177),
    [aux_sym_encapsed_string_token1] = ACTIONS(180),
    [anon_sym_DQUOTE] = ACTIONS(180),
    [aux_sym_string_token1] = ACTIONS(183),
    [anon_sym_SQUOTE] = ACTIONS(183),
    [anon_sym_LT_LT_LT] = ACTIONS(186),
    [anon_sym_BQUOTE] = ACTIONS(189),
    [anon_sym_DOLLAR] = ACTIONS(192),
    [aux_sym_yield_expression_token1] = ACTIONS(195),
    [aux_sym_include_expression_token1] = ACTIONS(198),
    [aux_sym_include_once_expression_token1] = ACTIONS(201),
    [aux_sym_require_expression_token1] = ACTIONS(204),
    [aux_sym_require_once_expression_token1] = ACTIONS(207),
    [sym_comment] = ACTIONS(5),
  },
  [3] = {
    [sym_text_interpolation] = STATE(3),
    [sym_statement] = STATE(520),
    [sym_empty_statement] = STATE(573),
    [sym_function_static_declaration] = STATE(573),
    [sym_global_declaration] = STATE(573),
    [sym_namespace_definition] = STATE(573),
    [sym_namespace_use_declaration] = STATE(573),
    [sym_qualified_name] = STATE(1000),
    [sym__name] = STATE(1631),
    [sym_namespace_name] = STATE(2575),
    [sym_trait_declaration] = STATE(573),
    [sym_interface_declaration] = STATE(573),
    [sym_enum_declaration] = STATE(573),
    [sym_class_declaration] = STATE(573),
    [sym_final_modifier] = STATE(1335),
    [sym_abstract_modifier] = STATE(1335),
    [sym_readonly_modifier] = STATE(1335),
    [sym_const_declaration] = STATE(573),
    [sym__const_declaration] = STATE(517),
    [sym__modifier] = STATE(1334),
    [sym_static_modifier] = STATE(1468),
    [sym_visibility_modifier] = STATE(1335),
    [sym_function_definition] = STATE(573),
    [sym__function_definition_header] = STATE(2470),
    [sym_anonymous_function] = STATE(1148),
    [sym__anonymous_function_header] = STATE(2489),
    [sym__arrow_function_header] = STATE(2731),
    [sym_arrow_function] = STATE(1148),
    [sym_echo_statement] = STATE(573),
    [sym_exit_statement] = STATE(573),
    [sym_unset_statement] = STATE(573),
    [sym_declare_statement] = STATE(573),
    [sym_literal] = STATE(1148),
    [sym_try_statement] = STATE(573),
    [sym_goto_statement] = STATE(573),
    [sym_continue_statement] = STATE(573),
    [sym_break_statement] = STATE(573),
    [sym_return_statement] = STATE(573),
    [sym_throw_expression] = STATE(1148),
    [sym_while_statement] = STATE(573),
    [sym_do_statement] = STATE(573),
    [sym_for_statement] = STATE(573),
    [sym_foreach_statement] = STATE(573),
    [sym_if_statement] = STATE(573),
    [sym_match_expression] = STATE(1152),
    [sym_switch_statement] = STATE(573),
    [sym_compound_statement] = STATE(573),
    [sym_named_label_statement] = STATE(573),
    [sym_expression_statement] = STATE(573),
    [sym_expression] = STATE(1221),
    [sym__unary_expression] = STATE(1159),
    [sym_unary_op_expression] = STATE(1172),
    [sym_error_suppression_expression] = STATE(1152),
    [sym_clone_expression] = STATE(1172),
    [sym_primary_expression] = STATE(1172),
    [sym_parenthesized_expression] = STATE(964),
    [sym_class_constant_access_expression] = STATE(1019),
    [sym_print_intrinsic] = STATE(1148),
    [sym_object_creation_expression] = STATE(1148),
    [sym__new_non_dereferencable_expression] = STATE(1168),
    [sym__new_dereferencable_expression] = STATE(966),
    [sym_update_expression] = STATE(1148),
    [sym_cast_expression] = STATE(1172),
    [sym_cast_variable] = STATE(661),
    [sym_assignment_expression] = STATE(1152),
    [sym_reference_assignment_expression] = STATE(1152),
    [sym_conditional_expression] = STATE(1152),
    [sym_augmented_assignment_expression] = STATE(1152),
    [sym__variable_member_access_expression] = STATE(674),
    [sym_member_access_expression] = STATE(661),
    [sym__variable_nullsafe_member_access_expression] = STATE(663),
    [sym_nullsafe_member_access_expression] = STATE(661),
    [sym__variable_scoped_property_access_expression] = STATE(664),
    [sym_scoped_property_access_expression] = STATE(661),
    [sym_list_literal] = STATE(2530),
    [sym__list_destructing] = STATE(2405),
    [sym__array_destructing] = STATE(2405),
    [sym_function_call_expression] = STATE(634),
    [sym__callable_expression] = STATE(2471),
    [sym_scoped_call_expression] = STATE(634),
    [sym__scope_resolution_qualifier] = STATE(2651),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(634),
    [sym_nullsafe_member_call_expression] = STATE(634),
    [sym__variable_subscript_expression] = STATE(665),
    [sym__dereferencable_subscript_expression] = STATE(634),
    [sym__dereferencable_expression] = STATE(1946),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(1005),
    [sym_attribute_group] = STATE(1373),
    [sym_attribute_list] = STATE(1356),
    [sym_encapsed_string] = STATE(927),
    [sym_string] = STATE(927),
    [sym_heredoc] = STATE(927),
    [sym_nowdoc] = STATE(927),
    [sym_shell_command_expression] = STATE(1148),
    [sym_boolean] = STATE(1162),
    [sym_null] = STATE(1162),
    [sym__string] = STATE(941),
    [sym_dynamic_variable_name] = STATE(650),
    [sym__simple_variable] = STATE(654),
    [sym__new_variable] = STATE(667),
    [sym__callable_variable] = STATE(629),
    [sym_variable_name] = STATE(650),
    [sym_yield_expression] = STATE(1152),
    [sym_binary_expression] = STATE(1152),
    [sym_include_expression] = STATE(1152),
    [sym_include_once_expression] = STATE(1152),
    [sym_require_expression] = STATE(1152),
    [sym_require_once_expression] = STATE(1152),
    [sym__reserved_identifier] = STATE(717),
    [sym__identifier] = STATE(1496),
    [aux_sym_program_repeat1] = STATE(2),
    [aux_sym_class_declaration_repeat1] = STATE(1381),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(212),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym__namespace_use_type_token1] = ACTIONS(222),
    [aux_sym__namespace_use_type_token2] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [anon_sym_RBRACE] = ACTIONS(230),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [aux_sym_enum_case_token1] = ACTIONS(238),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [anon_sym_LPAREN2] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(264),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(280),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(284),
    [aux_sym_foreach_statement_token1] = ACTIONS(286),
    [aux_sym_if_statement_token1] = ACTIONS(288),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_match_default_expression_token1] = ACTIONS(238),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [aux_sym_switch_block_token1] = ACTIONS(238),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [4] = {
    [sym_text_interpolation] = STATE(4),
    [sym_statement] = STATE(520),
    [sym_empty_statement] = STATE(573),
    [sym_function_static_declaration] = STATE(573),
    [sym_global_declaration] = STATE(573),
    [sym_namespace_definition] = STATE(573),
    [sym_namespace_use_declaration] = STATE(573),
    [sym_qualified_name] = STATE(1000),
    [sym__name] = STATE(1631),
    [sym_namespace_name] = STATE(2575),
    [sym_trait_declaration] = STATE(573),
    [sym_interface_declaration] = STATE(573),
    [sym_enum_declaration] = STATE(573),
    [sym_class_declaration] = STATE(573),
    [sym_final_modifier] = STATE(1335),
    [sym_abstract_modifier] = STATE(1335),
    [sym_readonly_modifier] = STATE(1335),
    [sym_const_declaration] = STATE(573),
    [sym__const_declaration] = STATE(517),
    [sym__modifier] = STATE(1334),
    [sym_static_modifier] = STATE(1468),
    [sym_visibility_modifier] = STATE(1335),
    [sym_function_definition] = STATE(573),
    [sym__function_definition_header] = STATE(2470),
    [sym_anonymous_function] = STATE(1148),
    [sym__anonymous_function_header] = STATE(2489),
    [sym__arrow_function_header] = STATE(2731),
    [sym_arrow_function] = STATE(1148),
    [sym_echo_statement] = STATE(573),
    [sym_exit_statement] = STATE(573),
    [sym_unset_statement] = STATE(573),
    [sym_declare_statement] = STATE(573),
    [sym_literal] = STATE(1148),
    [sym_try_statement] = STATE(573),
    [sym_goto_statement] = STATE(573),
    [sym_continue_statement] = STATE(573),
    [sym_break_statement] = STATE(573),
    [sym_return_statement] = STATE(573),
    [sym_throw_expression] = STATE(1148),
    [sym_while_statement] = STATE(573),
    [sym_do_statement] = STATE(573),
    [sym_for_statement] = STATE(573),
    [sym_foreach_statement] = STATE(573),
    [sym_if_statement] = STATE(573),
    [sym_match_expression] = STATE(1152),
    [sym_switch_statement] = STATE(573),
    [sym_compound_statement] = STATE(573),
    [sym_named_label_statement] = STATE(573),
    [sym_expression_statement] = STATE(573),
    [sym_expression] = STATE(1221),
    [sym__unary_expression] = STATE(1159),
    [sym_unary_op_expression] = STATE(1172),
    [sym_error_suppression_expression] = STATE(1152),
    [sym_clone_expression] = STATE(1172),
    [sym_primary_expression] = STATE(1172),
    [sym_parenthesized_expression] = STATE(964),
    [sym_class_constant_access_expression] = STATE(1019),
    [sym_print_intrinsic] = STATE(1148),
    [sym_object_creation_expression] = STATE(1148),
    [sym__new_non_dereferencable_expression] = STATE(1168),
    [sym__new_dereferencable_expression] = STATE(966),
    [sym_update_expression] = STATE(1148),
    [sym_cast_expression] = STATE(1172),
    [sym_cast_variable] = STATE(661),
    [sym_assignment_expression] = STATE(1152),
    [sym_reference_assignment_expression] = STATE(1152),
    [sym_conditional_expression] = STATE(1152),
    [sym_augmented_assignment_expression] = STATE(1152),
    [sym__variable_member_access_expression] = STATE(674),
    [sym_member_access_expression] = STATE(661),
    [sym__variable_nullsafe_member_access_expression] = STATE(663),
    [sym_nullsafe_member_access_expression] = STATE(661),
    [sym__variable_scoped_property_access_expression] = STATE(664),
    [sym_scoped_property_access_expression] = STATE(661),
    [sym_list_literal] = STATE(2530),
    [sym__list_destructing] = STATE(2405),
    [sym__array_destructing] = STATE(2405),
    [sym_function_call_expression] = STATE(634),
    [sym__callable_expression] = STATE(2471),
    [sym_scoped_call_expression] = STATE(634),
    [sym__scope_resolution_qualifier] = STATE(2651),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(634),
    [sym_nullsafe_member_call_expression] = STATE(634),
    [sym__variable_subscript_expression] = STATE(665),
    [sym__dereferencable_subscript_expression] = STATE(634),
    [sym__dereferencable_expression] = STATE(1946),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(1005),
    [sym_attribute_group] = STATE(1373),
    [sym_attribute_list] = STATE(1356),
    [sym_encapsed_string] = STATE(927),
    [sym_string] = STATE(927),
    [sym_heredoc] = STATE(927),
    [sym_nowdoc] = STATE(927),
    [sym_shell_command_expression] = STATE(1148),
    [sym_boolean] = STATE(1162),
    [sym_null] = STATE(1162),
    [sym__string] = STATE(941),
    [sym_dynamic_variable_name] = STATE(650),
    [sym__simple_variable] = STATE(654),
    [sym__new_variable] = STATE(667),
    [sym__callable_variable] = STATE(629),
    [sym_variable_name] = STATE(650),
    [sym_yield_expression] = STATE(1152),
    [sym_binary_expression] = STATE(1152),
    [sym_include_expression] = STATE(1152),
    [sym_include_once_expression] = STATE(1152),
    [sym_require_expression] = STATE(1152),
    [sym_require_once_expression] = STATE(1152),
    [sym__reserved_identifier] = STATE(717),
    [sym__identifier] = STATE(1496),
    [aux_sym_program_repeat1] = STATE(3),
    [aux_sym_class_declaration_repeat1] = STATE(1381),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(212),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym__namespace_use_type_token1] = ACTIONS(222),
    [aux_sym__namespace_use_type_token2] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [anon_sym_RBRACE] = ACTIONS(340),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [aux_sym_enum_case_token1] = ACTIONS(342),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [anon_sym_LPAREN2] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(264),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(280),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(284),
    [aux_sym_foreach_statement_token1] = ACTIONS(286),
    [aux_sym_if_statement_token1] = ACTIONS(288),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_match_default_expression_token1] = ACTIONS(342),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [aux_sym_switch_block_token1] = ACTIONS(342),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [5] = {
    [sym_text_interpolation] = STATE(5),
    [sym_statement] = STATE(520),
    [sym_empty_statement] = STATE(573),
    [sym_function_static_declaration] = STATE(573),
    [sym_global_declaration] = STATE(573),
    [sym_namespace_definition] = STATE(573),
    [sym_namespace_use_declaration] = STATE(573),
    [sym_qualified_name] = STATE(1000),
    [sym__name] = STATE(1631),
    [sym_namespace_name] = STATE(2575),
    [sym_trait_declaration] = STATE(573),
    [sym_interface_declaration] = STATE(573),
    [sym_enum_declaration] = STATE(573),
    [sym_class_declaration] = STATE(573),
    [sym_final_modifier] = STATE(1335),
    [sym_abstract_modifier] = STATE(1335),
    [sym_readonly_modifier] = STATE(1335),
    [sym_const_declaration] = STATE(573),
    [sym__const_declaration] = STATE(517),
    [sym__modifier] = STATE(1334),
    [sym_static_modifier] = STATE(1468),
    [sym_visibility_modifier] = STATE(1335),
    [sym_function_definition] = STATE(573),
    [sym__function_definition_header] = STATE(2470),
    [sym_anonymous_function] = STATE(1148),
    [sym__anonymous_function_header] = STATE(2489),
    [sym__arrow_function_header] = STATE(2731),
    [sym_arrow_function] = STATE(1148),
    [sym_echo_statement] = STATE(573),
    [sym_exit_statement] = STATE(573),
    [sym_unset_statement] = STATE(573),
    [sym_declare_statement] = STATE(573),
    [sym_literal] = STATE(1148),
    [sym_try_statement] = STATE(573),
    [sym_goto_statement] = STATE(573),
    [sym_continue_statement] = STATE(573),
    [sym_break_statement] = STATE(573),
    [sym_return_statement] = STATE(573),
    [sym_throw_expression] = STATE(1148),
    [sym_while_statement] = STATE(573),
    [sym_do_statement] = STATE(573),
    [sym_for_statement] = STATE(573),
    [sym_foreach_statement] = STATE(573),
    [sym_if_statement] = STATE(573),
    [sym_match_expression] = STATE(1152),
    [sym_switch_statement] = STATE(573),
    [sym_compound_statement] = STATE(573),
    [sym_named_label_statement] = STATE(573),
    [sym_expression_statement] = STATE(573),
    [sym_expression] = STATE(1221),
    [sym__unary_expression] = STATE(1159),
    [sym_unary_op_expression] = STATE(1172),
    [sym_error_suppression_expression] = STATE(1152),
    [sym_clone_expression] = STATE(1172),
    [sym_primary_expression] = STATE(1172),
    [sym_parenthesized_expression] = STATE(964),
    [sym_class_constant_access_expression] = STATE(1019),
    [sym_print_intrinsic] = STATE(1148),
    [sym_object_creation_expression] = STATE(1148),
    [sym__new_non_dereferencable_expression] = STATE(1168),
    [sym__new_dereferencable_expression] = STATE(966),
    [sym_update_expression] = STATE(1148),
    [sym_cast_expression] = STATE(1172),
    [sym_cast_variable] = STATE(661),
    [sym_assignment_expression] = STATE(1152),
    [sym_reference_assignment_expression] = STATE(1152),
    [sym_conditional_expression] = STATE(1152),
    [sym_augmented_assignment_expression] = STATE(1152),
    [sym__variable_member_access_expression] = STATE(674),
    [sym_member_access_expression] = STATE(661),
    [sym__variable_nullsafe_member_access_expression] = STATE(663),
    [sym_nullsafe_member_access_expression] = STATE(661),
    [sym__variable_scoped_property_access_expression] = STATE(664),
    [sym_scoped_property_access_expression] = STATE(661),
    [sym_list_literal] = STATE(2530),
    [sym__list_destructing] = STATE(2405),
    [sym__array_destructing] = STATE(2405),
    [sym_function_call_expression] = STATE(634),
    [sym__callable_expression] = STATE(2471),
    [sym_scoped_call_expression] = STATE(634),
    [sym__scope_resolution_qualifier] = STATE(2651),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(634),
    [sym_nullsafe_member_call_expression] = STATE(634),
    [sym__variable_subscript_expression] = STATE(665),
    [sym__dereferencable_subscript_expression] = STATE(634),
    [sym__dereferencable_expression] = STATE(1946),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(1005),
    [sym_attribute_group] = STATE(1373),
    [sym_attribute_list] = STATE(1356),
    [sym_encapsed_string] = STATE(927),
    [sym_string] = STATE(927),
    [sym_heredoc] = STATE(927),
    [sym_nowdoc] = STATE(927),
    [sym_shell_command_expression] = STATE(1148),
    [sym_boolean] = STATE(1162),
    [sym_null] = STATE(1162),
    [sym__string] = STATE(941),
    [sym_dynamic_variable_name] = STATE(650),
    [sym__simple_variable] = STATE(654),
    [sym__new_variable] = STATE(667),
    [sym__callable_variable] = STATE(629),
    [sym_variable_name] = STATE(650),
    [sym_yield_expression] = STATE(1152),
    [sym_binary_expression] = STATE(1152),
    [sym_include_expression] = STATE(1152),
    [sym_include_once_expression] = STATE(1152),
    [sym_require_expression] = STATE(1152),
    [sym_require_once_expression] = STATE(1152),
    [sym__reserved_identifier] = STATE(717),
    [sym__identifier] = STATE(1496),
    [aux_sym_program_repeat1] = STATE(2),
    [aux_sym_class_declaration_repeat1] = STATE(1381),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(212),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym__namespace_use_type_token1] = ACTIONS(222),
    [aux_sym__namespace_use_type_token2] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [anon_sym_RBRACE] = ACTIONS(344),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [aux_sym_enum_case_token1] = ACTIONS(346),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [anon_sym_LPAREN2] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(264),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(280),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(284),
    [aux_sym_foreach_statement_token1] = ACTIONS(286),
    [aux_sym_if_statement_token1] = ACTIONS(288),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_match_default_expression_token1] = ACTIONS(346),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [aux_sym_switch_block_token1] = ACTIONS(346),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [6] = {
    [sym_text_interpolation] = STATE(6),
    [sym_statement] = STATE(520),
    [sym_empty_statement] = STATE(573),
    [sym_function_static_declaration] = STATE(573),
    [sym_global_declaration] = STATE(573),
    [sym_namespace_definition] = STATE(573),
    [sym_namespace_use_declaration] = STATE(573),
    [sym_qualified_name] = STATE(1000),
    [sym__name] = STATE(1631),
    [sym_namespace_name] = STATE(2575),
    [sym_trait_declaration] = STATE(573),
    [sym_interface_declaration] = STATE(573),
    [sym_enum_declaration] = STATE(573),
    [sym_class_declaration] = STATE(573),
    [sym_final_modifier] = STATE(1335),
    [sym_abstract_modifier] = STATE(1335),
    [sym_readonly_modifier] = STATE(1335),
    [sym_const_declaration] = STATE(573),
    [sym__const_declaration] = STATE(517),
    [sym__modifier] = STATE(1334),
    [sym_static_modifier] = STATE(1468),
    [sym_visibility_modifier] = STATE(1335),
    [sym_function_definition] = STATE(573),
    [sym__function_definition_header] = STATE(2470),
    [sym_anonymous_function] = STATE(1148),
    [sym__anonymous_function_header] = STATE(2489),
    [sym__arrow_function_header] = STATE(2731),
    [sym_arrow_function] = STATE(1148),
    [sym_echo_statement] = STATE(573),
    [sym_exit_statement] = STATE(573),
    [sym_unset_statement] = STATE(573),
    [sym_declare_statement] = STATE(573),
    [sym_literal] = STATE(1148),
    [sym_try_statement] = STATE(573),
    [sym_goto_statement] = STATE(573),
    [sym_continue_statement] = STATE(573),
    [sym_break_statement] = STATE(573),
    [sym_return_statement] = STATE(573),
    [sym_throw_expression] = STATE(1148),
    [sym_while_statement] = STATE(573),
    [sym_do_statement] = STATE(573),
    [sym_for_statement] = STATE(573),
    [sym_foreach_statement] = STATE(573),
    [sym_if_statement] = STATE(573),
    [sym_match_expression] = STATE(1152),
    [sym_switch_statement] = STATE(573),
    [sym_compound_statement] = STATE(573),
    [sym_named_label_statement] = STATE(573),
    [sym_expression_statement] = STATE(573),
    [sym_expression] = STATE(1221),
    [sym__unary_expression] = STATE(1159),
    [sym_unary_op_expression] = STATE(1172),
    [sym_error_suppression_expression] = STATE(1152),
    [sym_clone_expression] = STATE(1172),
    [sym_primary_expression] = STATE(1172),
    [sym_parenthesized_expression] = STATE(964),
    [sym_class_constant_access_expression] = STATE(1019),
    [sym_print_intrinsic] = STATE(1148),
    [sym_object_creation_expression] = STATE(1148),
    [sym__new_non_dereferencable_expression] = STATE(1168),
    [sym__new_dereferencable_expression] = STATE(966),
    [sym_update_expression] = STATE(1148),
    [sym_cast_expression] = STATE(1172),
    [sym_cast_variable] = STATE(661),
    [sym_assignment_expression] = STATE(1152),
    [sym_reference_assignment_expression] = STATE(1152),
    [sym_conditional_expression] = STATE(1152),
    [sym_augmented_assignment_expression] = STATE(1152),
    [sym__variable_member_access_expression] = STATE(674),
    [sym_member_access_expression] = STATE(661),
    [sym__variable_nullsafe_member_access_expression] = STATE(663),
    [sym_nullsafe_member_access_expression] = STATE(661),
    [sym__variable_scoped_property_access_expression] = STATE(664),
    [sym_scoped_property_access_expression] = STATE(661),
    [sym_list_literal] = STATE(2530),
    [sym__list_destructing] = STATE(2405),
    [sym__array_destructing] = STATE(2405),
    [sym_function_call_expression] = STATE(634),
    [sym__callable_expression] = STATE(2471),
    [sym_scoped_call_expression] = STATE(634),
    [sym__scope_resolution_qualifier] = STATE(2651),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(634),
    [sym_nullsafe_member_call_expression] = STATE(634),
    [sym__variable_subscript_expression] = STATE(665),
    [sym__dereferencable_subscript_expression] = STATE(634),
    [sym__dereferencable_expression] = STATE(1946),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(1005),
    [sym_attribute_group] = STATE(1373),
    [sym_attribute_list] = STATE(1356),
    [sym_encapsed_string] = STATE(927),
    [sym_string] = STATE(927),
    [sym_heredoc] = STATE(927),
    [sym_nowdoc] = STATE(927),
    [sym_shell_command_expression] = STATE(1148),
    [sym_boolean] = STATE(1162),
    [sym_null] = STATE(1162),
    [sym__string] = STATE(941),
    [sym_dynamic_variable_name] = STATE(650),
    [sym__simple_variable] = STATE(654),
    [sym__new_variable] = STATE(667),
    [sym__callable_variable] = STATE(629),
    [sym_variable_name] = STATE(650),
    [sym_yield_expression] = STATE(1152),
    [sym_binary_expression] = STATE(1152),
    [sym_include_expression] = STATE(1152),
    [sym_include_once_expression] = STATE(1152),
    [sym_require_expression] = STATE(1152),
    [sym_require_once_expression] = STATE(1152),
    [sym__reserved_identifier] = STATE(717),
    [sym__identifier] = STATE(1496),
    [aux_sym_program_repeat1] = STATE(5),
    [aux_sym_class_declaration_repeat1] = STATE(1381),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(212),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym__namespace_use_type_token1] = ACTIONS(222),
    [aux_sym__namespace_use_type_token2] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [anon_sym_RBRACE] = ACTIONS(348),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [aux_sym_enum_case_token1] = ACTIONS(350),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [anon_sym_LPAREN2] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(264),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(280),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(284),
    [aux_sym_foreach_statement_token1] = ACTIONS(286),
    [aux_sym_if_statement_token1] = ACTIONS(288),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_match_default_expression_token1] = ACTIONS(350),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [aux_sym_switch_block_token1] = ACTIONS(350),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [7] = {
    [sym_text_interpolation] = STATE(7),
    [sym_statement] = STATE(520),
    [sym_empty_statement] = STATE(573),
    [sym_function_static_declaration] = STATE(573),
    [sym_global_declaration] = STATE(573),
    [sym_namespace_definition] = STATE(573),
    [sym_namespace_use_declaration] = STATE(573),
    [sym_qualified_name] = STATE(1000),
    [sym__name] = STATE(1631),
    [sym_namespace_name] = STATE(2575),
    [sym_trait_declaration] = STATE(573),
    [sym_interface_declaration] = STATE(573),
    [sym_enum_declaration] = STATE(573),
    [sym_class_declaration] = STATE(573),
    [sym_final_modifier] = STATE(1335),
    [sym_abstract_modifier] = STATE(1335),
    [sym_readonly_modifier] = STATE(1335),
    [sym_const_declaration] = STATE(573),
    [sym__const_declaration] = STATE(517),
    [sym__modifier] = STATE(1334),
    [sym_static_modifier] = STATE(1468),
    [sym_visibility_modifier] = STATE(1335),
    [sym_function_definition] = STATE(573),
    [sym__function_definition_header] = STATE(2470),
    [sym_anonymous_function] = STATE(1148),
    [sym__anonymous_function_header] = STATE(2489),
    [sym__arrow_function_header] = STATE(2731),
    [sym_arrow_function] = STATE(1148),
    [sym_echo_statement] = STATE(573),
    [sym_exit_statement] = STATE(573),
    [sym_unset_statement] = STATE(573),
    [sym_declare_statement] = STATE(573),
    [sym_literal] = STATE(1148),
    [sym_try_statement] = STATE(573),
    [sym_goto_statement] = STATE(573),
    [sym_continue_statement] = STATE(573),
    [sym_break_statement] = STATE(573),
    [sym_return_statement] = STATE(573),
    [sym_throw_expression] = STATE(1148),
    [sym_while_statement] = STATE(573),
    [sym_do_statement] = STATE(573),
    [sym_for_statement] = STATE(573),
    [sym_foreach_statement] = STATE(573),
    [sym_if_statement] = STATE(573),
    [sym_match_expression] = STATE(1152),
    [sym_switch_statement] = STATE(573),
    [sym_compound_statement] = STATE(573),
    [sym_named_label_statement] = STATE(573),
    [sym_expression_statement] = STATE(573),
    [sym_expression] = STATE(1221),
    [sym__unary_expression] = STATE(1159),
    [sym_unary_op_expression] = STATE(1172),
    [sym_error_suppression_expression] = STATE(1152),
    [sym_clone_expression] = STATE(1172),
    [sym_primary_expression] = STATE(1172),
    [sym_parenthesized_expression] = STATE(964),
    [sym_class_constant_access_expression] = STATE(1019),
    [sym_print_intrinsic] = STATE(1148),
    [sym_object_creation_expression] = STATE(1148),
    [sym__new_non_dereferencable_expression] = STATE(1168),
    [sym__new_dereferencable_expression] = STATE(966),
    [sym_update_expression] = STATE(1148),
    [sym_cast_expression] = STATE(1172),
    [sym_cast_variable] = STATE(661),
    [sym_assignment_expression] = STATE(1152),
    [sym_reference_assignment_expression] = STATE(1152),
    [sym_conditional_expression] = STATE(1152),
    [sym_augmented_assignment_expression] = STATE(1152),
    [sym__variable_member_access_expression] = STATE(674),
    [sym_member_access_expression] = STATE(661),
    [sym__variable_nullsafe_member_access_expression] = STATE(663),
    [sym_nullsafe_member_access_expression] = STATE(661),
    [sym__variable_scoped_property_access_expression] = STATE(664),
    [sym_scoped_property_access_expression] = STATE(661),
    [sym_list_literal] = STATE(2530),
    [sym__list_destructing] = STATE(2405),
    [sym__array_destructing] = STATE(2405),
    [sym_function_call_expression] = STATE(634),
    [sym__callable_expression] = STATE(2471),
    [sym_scoped_call_expression] = STATE(634),
    [sym__scope_resolution_qualifier] = STATE(2651),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(634),
    [sym_nullsafe_member_call_expression] = STATE(634),
    [sym__variable_subscript_expression] = STATE(665),
    [sym__dereferencable_subscript_expression] = STATE(634),
    [sym__dereferencable_expression] = STATE(1946),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(1005),
    [sym_attribute_group] = STATE(1373),
    [sym_attribute_list] = STATE(1356),
    [sym_encapsed_string] = STATE(927),
    [sym_string] = STATE(927),
    [sym_heredoc] = STATE(927),
    [sym_nowdoc] = STATE(927),
    [sym_shell_command_expression] = STATE(1148),
    [sym_boolean] = STATE(1162),
    [sym_null] = STATE(1162),
    [sym__string] = STATE(941),
    [sym_dynamic_variable_name] = STATE(650),
    [sym__simple_variable] = STATE(654),
    [sym__new_variable] = STATE(667),
    [sym__callable_variable] = STATE(629),
    [sym_variable_name] = STATE(650),
    [sym_yield_expression] = STATE(1152),
    [sym_binary_expression] = STATE(1152),
    [sym_include_expression] = STATE(1152),
    [sym_include_once_expression] = STATE(1152),
    [sym_require_expression] = STATE(1152),
    [sym_require_once_expression] = STATE(1152),
    [sym__reserved_identifier] = STATE(717),
    [sym__identifier] = STATE(1496),
    [aux_sym_program_repeat1] = STATE(2),
    [aux_sym_class_declaration_repeat1] = STATE(1381),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(212),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym__namespace_use_type_token1] = ACTIONS(222),
    [aux_sym__namespace_use_type_token2] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [anon_sym_LPAREN2] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(264),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(280),
    [aux_sym_while_statement_token2] = ACTIONS(352),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(284),
    [aux_sym_foreach_statement_token1] = ACTIONS(286),
    [aux_sym_foreach_statement_token2] = ACTIONS(352),
    [aux_sym_if_statement_token1] = ACTIONS(288),
    [aux_sym_if_statement_token2] = ACTIONS(352),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [8] = {
    [sym_text_interpolation] = STATE(8),
    [sym_statement] = STATE(520),
    [sym_empty_statement] = STATE(573),
    [sym_function_static_declaration] = STATE(573),
    [sym_global_declaration] = STATE(573),
    [sym_namespace_definition] = STATE(573),
    [sym_namespace_use_declaration] = STATE(573),
    [sym_qualified_name] = STATE(1000),
    [sym__name] = STATE(1631),
    [sym_namespace_name] = STATE(2575),
    [sym_trait_declaration] = STATE(573),
    [sym_interface_declaration] = STATE(573),
    [sym_enum_declaration] = STATE(573),
    [sym_class_declaration] = STATE(573),
    [sym_final_modifier] = STATE(1335),
    [sym_abstract_modifier] = STATE(1335),
    [sym_readonly_modifier] = STATE(1335),
    [sym_const_declaration] = STATE(573),
    [sym__const_declaration] = STATE(517),
    [sym__modifier] = STATE(1334),
    [sym_static_modifier] = STATE(1468),
    [sym_visibility_modifier] = STATE(1335),
    [sym_function_definition] = STATE(573),
    [sym__function_definition_header] = STATE(2470),
    [sym_anonymous_function] = STATE(1148),
    [sym__anonymous_function_header] = STATE(2489),
    [sym__arrow_function_header] = STATE(2731),
    [sym_arrow_function] = STATE(1148),
    [sym_echo_statement] = STATE(573),
    [sym_exit_statement] = STATE(573),
    [sym_unset_statement] = STATE(573),
    [sym_declare_statement] = STATE(573),
    [sym_literal] = STATE(1148),
    [sym_try_statement] = STATE(573),
    [sym_goto_statement] = STATE(573),
    [sym_continue_statement] = STATE(573),
    [sym_break_statement] = STATE(573),
    [sym_return_statement] = STATE(573),
    [sym_throw_expression] = STATE(1148),
    [sym_while_statement] = STATE(573),
    [sym_do_statement] = STATE(573),
    [sym_for_statement] = STATE(573),
    [sym_foreach_statement] = STATE(573),
    [sym_if_statement] = STATE(573),
    [sym_match_expression] = STATE(1152),
    [sym_switch_statement] = STATE(573),
    [sym_compound_statement] = STATE(573),
    [sym_named_label_statement] = STATE(573),
    [sym_expression_statement] = STATE(573),
    [sym_expression] = STATE(1221),
    [sym__unary_expression] = STATE(1159),
    [sym_unary_op_expression] = STATE(1172),
    [sym_error_suppression_expression] = STATE(1152),
    [sym_clone_expression] = STATE(1172),
    [sym_primary_expression] = STATE(1172),
    [sym_parenthesized_expression] = STATE(964),
    [sym_class_constant_access_expression] = STATE(1019),
    [sym_print_intrinsic] = STATE(1148),
    [sym_object_creation_expression] = STATE(1148),
    [sym__new_non_dereferencable_expression] = STATE(1168),
    [sym__new_dereferencable_expression] = STATE(966),
    [sym_update_expression] = STATE(1148),
    [sym_cast_expression] = STATE(1172),
    [sym_cast_variable] = STATE(661),
    [sym_assignment_expression] = STATE(1152),
    [sym_reference_assignment_expression] = STATE(1152),
    [sym_conditional_expression] = STATE(1152),
    [sym_augmented_assignment_expression] = STATE(1152),
    [sym__variable_member_access_expression] = STATE(674),
    [sym_member_access_expression] = STATE(661),
    [sym__variable_nullsafe_member_access_expression] = STATE(663),
    [sym_nullsafe_member_access_expression] = STATE(661),
    [sym__variable_scoped_property_access_expression] = STATE(664),
    [sym_scoped_property_access_expression] = STATE(661),
    [sym_list_literal] = STATE(2530),
    [sym__list_destructing] = STATE(2405),
    [sym__array_destructing] = STATE(2405),
    [sym_function_call_expression] = STATE(634),
    [sym__callable_expression] = STATE(2471),
    [sym_scoped_call_expression] = STATE(634),
    [sym__scope_resolution_qualifier] = STATE(2651),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(634),
    [sym_nullsafe_member_call_expression] = STATE(634),
    [sym__variable_subscript_expression] = STATE(665),
    [sym__dereferencable_subscript_expression] = STATE(634),
    [sym__dereferencable_expression] = STATE(1946),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(1005),
    [sym_attribute_group] = STATE(1373),
    [sym_attribute_list] = STATE(1356),
    [sym_encapsed_string] = STATE(927),
    [sym_string] = STATE(927),
    [sym_heredoc] = STATE(927),
    [sym_nowdoc] = STATE(927),
    [sym_shell_command_expression] = STATE(1148),
    [sym_boolean] = STATE(1162),
    [sym_null] = STATE(1162),
    [sym__string] = STATE(941),
    [sym_dynamic_variable_name] = STATE(650),
    [sym__simple_variable] = STATE(654),
    [sym__new_variable] = STATE(667),
    [sym__callable_variable] = STATE(629),
    [sym_variable_name] = STATE(650),
    [sym_yield_expression] = STATE(1152),
    [sym_binary_expression] = STATE(1152),
    [sym_include_expression] = STATE(1152),
    [sym_include_once_expression] = STATE(1152),
    [sym_require_expression] = STATE(1152),
    [sym_require_once_expression] = STATE(1152),
    [sym__reserved_identifier] = STATE(717),
    [sym__identifier] = STATE(1496),
    [aux_sym_program_repeat1] = STATE(7),
    [aux_sym_class_declaration_repeat1] = STATE(1381),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(212),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym__namespace_use_type_token1] = ACTIONS(222),
    [aux_sym__namespace_use_type_token2] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [anon_sym_LPAREN2] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(264),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(280),
    [aux_sym_while_statement_token2] = ACTIONS(354),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(284),
    [aux_sym_foreach_statement_token1] = ACTIONS(286),
    [aux_sym_foreach_statement_token2] = ACTIONS(354),
    [aux_sym_if_statement_token1] = ACTIONS(288),
    [aux_sym_if_statement_token2] = ACTIONS(354),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [9] = {
    [sym_text_interpolation] = STATE(9),
    [sym_statement] = STATE(487),
    [sym_empty_statement] = STATE(573),
    [sym_function_static_declaration] = STATE(573),
    [sym_global_declaration] = STATE(573),
    [sym_namespace_definition] = STATE(573),
    [sym_namespace_use_declaration] = STATE(573),
    [sym_qualified_name] = STATE(1000),
    [sym__name] = STATE(1631),
    [sym_namespace_name] = STATE(2575),
    [sym_trait_declaration] = STATE(573),
    [sym_interface_declaration] = STATE(573),
    [sym_enum_declaration] = STATE(573),
    [sym_class_declaration] = STATE(573),
    [sym_final_modifier] = STATE(1335),
    [sym_abstract_modifier] = STATE(1335),
    [sym_readonly_modifier] = STATE(1335),
    [sym_const_declaration] = STATE(573),
    [sym__const_declaration] = STATE(517),
    [sym__modifier] = STATE(1334),
    [sym_static_modifier] = STATE(1468),
    [sym_visibility_modifier] = STATE(1335),
    [sym_function_definition] = STATE(573),
    [sym__function_definition_header] = STATE(2470),
    [sym_anonymous_function] = STATE(1148),
    [sym__anonymous_function_header] = STATE(2489),
    [sym__arrow_function_header] = STATE(2731),
    [sym_arrow_function] = STATE(1148),
    [sym_echo_statement] = STATE(573),
    [sym_exit_statement] = STATE(573),
    [sym_unset_statement] = STATE(573),
    [sym_declare_statement] = STATE(573),
    [sym_literal] = STATE(1148),
    [sym_try_statement] = STATE(573),
    [sym_goto_statement] = STATE(573),
    [sym_continue_statement] = STATE(573),
    [sym_break_statement] = STATE(573),
    [sym_return_statement] = STATE(573),
    [sym_throw_expression] = STATE(1148),
    [sym_while_statement] = STATE(573),
    [sym_do_statement] = STATE(573),
    [sym_for_statement] = STATE(573),
    [sym_foreach_statement] = STATE(573),
    [sym_if_statement] = STATE(573),
    [sym_colon_block] = STATE(2519),
    [sym_match_expression] = STATE(1152),
    [sym_switch_statement] = STATE(573),
    [sym_compound_statement] = STATE(573),
    [sym_named_label_statement] = STATE(573),
    [sym_expression_statement] = STATE(573),
    [sym_expression] = STATE(1221),
    [sym__unary_expression] = STATE(1159),
    [sym_unary_op_expression] = STATE(1172),
    [sym_error_suppression_expression] = STATE(1152),
    [sym_clone_expression] = STATE(1172),
    [sym_primary_expression] = STATE(1172),
    [sym_parenthesized_expression] = STATE(964),
    [sym_class_constant_access_expression] = STATE(1019),
    [sym_print_intrinsic] = STATE(1148),
    [sym_object_creation_expression] = STATE(1148),
    [sym__new_non_dereferencable_expression] = STATE(1168),
    [sym__new_dereferencable_expression] = STATE(966),
    [sym_update_expression] = STATE(1148),
    [sym_cast_expression] = STATE(1172),
    [sym_cast_variable] = STATE(661),
    [sym_assignment_expression] = STATE(1152),
    [sym_reference_assignment_expression] = STATE(1152),
    [sym_conditional_expression] = STATE(1152),
    [sym_augmented_assignment_expression] = STATE(1152),
    [sym__variable_member_access_expression] = STATE(674),
    [sym_member_access_expression] = STATE(661),
    [sym__variable_nullsafe_member_access_expression] = STATE(663),
    [sym_nullsafe_member_access_expression] = STATE(661),
    [sym__variable_scoped_property_access_expression] = STATE(664),
    [sym_scoped_property_access_expression] = STATE(661),
    [sym_list_literal] = STATE(2530),
    [sym__list_destructing] = STATE(2405),
    [sym__array_destructing] = STATE(2405),
    [sym_function_call_expression] = STATE(634),
    [sym__callable_expression] = STATE(2471),
    [sym_scoped_call_expression] = STATE(634),
    [sym__scope_resolution_qualifier] = STATE(2651),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(634),
    [sym_nullsafe_member_call_expression] = STATE(634),
    [sym__variable_subscript_expression] = STATE(665),
    [sym__dereferencable_subscript_expression] = STATE(634),
    [sym__dereferencable_expression] = STATE(1946),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(1005),
    [sym_attribute_group] = STATE(1373),
    [sym_attribute_list] = STATE(1356),
    [sym_encapsed_string] = STATE(927),
    [sym_string] = STATE(927),
    [sym_heredoc] = STATE(927),
    [sym_nowdoc] = STATE(927),
    [sym_shell_command_expression] = STATE(1148),
    [sym_boolean] = STATE(1162),
    [sym_null] = STATE(1162),
    [sym__string] = STATE(941),
    [sym_dynamic_variable_name] = STATE(650),
    [sym__simple_variable] = STATE(654),
    [sym__new_variable] = STATE(667),
    [sym__callable_variable] = STATE(629),
    [sym_variable_name] = STATE(650),
    [sym_yield_expression] = STATE(1152),
    [sym_binary_expression] = STATE(1152),
    [sym_include_expression] = STATE(1152),
    [sym_include_once_expression] = STATE(1152),
    [sym_require_expression] = STATE(1152),
    [sym_require_once_expression] = STATE(1152),
    [sym__reserved_identifier] = STATE(717),
    [sym__identifier] = STATE(1496),
    [sym__semicolon] = STATE(488),
    [aux_sym_class_declaration_repeat1] = STATE(1381),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(356),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym__namespace_use_type_token1] = ACTIONS(222),
    [aux_sym__namespace_use_type_token2] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [anon_sym_COLON] = ACTIONS(358),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [anon_sym_LPAREN2] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(264),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(280),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(284),
    [aux_sym_foreach_statement_token1] = ACTIONS(286),
    [aux_sym_if_statement_token1] = ACTIONS(288),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(360),
  },
  [10] = {
    [sym_text_interpolation] = STATE(10),
    [sym_statement] = STATE(2073),
    [sym_empty_statement] = STATE(2140),
    [sym_function_static_declaration] = STATE(2140),
    [sym_global_declaration] = STATE(2140),
    [sym_namespace_definition] = STATE(2140),
    [sym_namespace_use_declaration] = STATE(2140),
    [sym_qualified_name] = STATE(1000),
    [sym__name] = STATE(1631),
    [sym_namespace_name] = STATE(2575),
    [sym_trait_declaration] = STATE(2140),
    [sym_interface_declaration] = STATE(2140),
    [sym_enum_declaration] = STATE(2140),
    [sym_class_declaration] = STATE(2140),
    [sym_final_modifier] = STATE(1335),
    [sym_abstract_modifier] = STATE(1335),
    [sym_readonly_modifier] = STATE(1335),
    [sym_const_declaration] = STATE(2140),
    [sym__const_declaration] = STATE(2141),
    [sym__modifier] = STATE(1334),
    [sym_static_modifier] = STATE(1468),
    [sym_visibility_modifier] = STATE(1335),
    [sym_function_definition] = STATE(2140),
    [sym__function_definition_header] = STATE(2316),
    [sym_anonymous_function] = STATE(1148),
    [sym__anonymous_function_header] = STATE(2489),
    [sym__arrow_function_header] = STATE(2731),
    [sym_arrow_function] = STATE(1148),
    [sym_echo_statement] = STATE(2140),
    [sym_exit_statement] = STATE(2140),
    [sym_unset_statement] = STATE(2140),
    [sym_declare_statement] = STATE(2140),
    [sym_literal] = STATE(1148),
    [sym_try_statement] = STATE(2140),
    [sym_goto_statement] = STATE(2140),
    [sym_continue_statement] = STATE(2140),
    [sym_break_statement] = STATE(2140),
    [sym_return_statement] = STATE(2140),
    [sym_throw_expression] = STATE(1148),
    [sym_while_statement] = STATE(2140),
    [sym_do_statement] = STATE(2140),
    [sym_for_statement] = STATE(2140),
    [sym_foreach_statement] = STATE(2140),
    [sym_if_statement] = STATE(2140),
    [sym_colon_block] = STATE(2625),
    [sym_match_expression] = STATE(1152),
    [sym_switch_statement] = STATE(2140),
    [sym_compound_statement] = STATE(2140),
    [sym_named_label_statement] = STATE(2140),
    [sym_expression_statement] = STATE(2140),
    [sym_expression] = STATE(1234),
    [sym__unary_expression] = STATE(1159),
    [sym_unary_op_expression] = STATE(1172),
    [sym_error_suppression_expression] = STATE(1152),
    [sym_clone_expression] = STATE(1172),
    [sym_primary_expression] = STATE(1172),
    [sym_parenthesized_expression] = STATE(964),
    [sym_class_constant_access_expression] = STATE(1019),
    [sym_print_intrinsic] = STATE(1148),
    [sym_object_creation_expression] = STATE(1148),
    [sym__new_non_dereferencable_expression] = STATE(1168),
    [sym__new_dereferencable_expression] = STATE(966),
    [sym_update_expression] = STATE(1148),
    [sym_cast_expression] = STATE(1172),
    [sym_cast_variable] = STATE(661),
    [sym_assignment_expression] = STATE(1152),
    [sym_reference_assignment_expression] = STATE(1152),
    [sym_conditional_expression] = STATE(1152),
    [sym_augmented_assignment_expression] = STATE(1152),
    [sym__variable_member_access_expression] = STATE(674),
    [sym_member_access_expression] = STATE(661),
    [sym__variable_nullsafe_member_access_expression] = STATE(663),
    [sym_nullsafe_member_access_expression] = STATE(661),
    [sym__variable_scoped_property_access_expression] = STATE(664),
    [sym_scoped_property_access_expression] = STATE(661),
    [sym_list_literal] = STATE(2530),
    [sym__list_destructing] = STATE(2405),
    [sym__array_destructing] = STATE(2405),
    [sym_function_call_expression] = STATE(634),
    [sym__callable_expression] = STATE(2471),
    [sym_scoped_call_expression] = STATE(634),
    [sym__scope_resolution_qualifier] = STATE(2651),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(634),
    [sym_nullsafe_member_call_expression] = STATE(634),
    [sym__variable_subscript_expression] = STATE(665),
    [sym__dereferencable_subscript_expression] = STATE(634),
    [sym__dereferencable_expression] = STATE(1946),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(1005),
    [sym_attribute_group] = STATE(1373),
    [sym_attribute_list] = STATE(1344),
    [sym_encapsed_string] = STATE(927),
    [sym_string] = STATE(927),
    [sym_heredoc] = STATE(927),
    [sym_nowdoc] = STATE(927),
    [sym_shell_command_expression] = STATE(1148),
    [sym_boolean] = STATE(1162),
    [sym_null] = STATE(1162),
    [sym__string] = STATE(941),
    [sym_dynamic_variable_name] = STATE(650),
    [sym__simple_variable] = STATE(654),
    [sym__new_variable] = STATE(667),
    [sym__callable_variable] = STATE(629),
    [sym_variable_name] = STATE(650),
    [sym_yield_expression] = STATE(1152),
    [sym_binary_expression] = STATE(1152),
    [sym_include_expression] = STATE(1152),
    [sym_include_once_expression] = STATE(1152),
    [sym_require_expression] = STATE(1152),
    [sym_require_once_expression] = STATE(1152),
    [sym__reserved_identifier] = STATE(717),
    [sym__identifier] = STATE(1496),
    [sym__semicolon] = STATE(2074),
    [aux_sym_class_declaration_repeat1] = STATE(1382),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(362),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(364),
    [aux_sym_function_static_declaration_token1] = ACTIONS(366),
    [aux_sym_global_declaration_token1] = ACTIONS(368),
    [aux_sym_namespace_definition_token1] = ACTIONS(370),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(372),
    [aux_sym__namespace_use_type_token1] = ACTIONS(222),
    [aux_sym__namespace_use_type_token2] = ACTIONS(374),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(376),
    [aux_sym_trait_declaration_token1] = ACTIONS(378),
    [aux_sym_interface_declaration_token1] = ACTIONS(380),
    [aux_sym_enum_declaration_token1] = ACTIONS(382),
    [anon_sym_COLON] = ACTIONS(358),
    [aux_sym_class_declaration_token1] = ACTIONS(384),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [anon_sym_LPAREN2] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(386),
    [aux_sym_exit_statement_token1] = ACTIONS(388),
    [anon_sym_unset] = ACTIONS(390),
    [aux_sym_declare_statement_token1] = ACTIONS(392),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(394),
    [aux_sym_goto_statement_token1] = ACTIONS(396),
    [aux_sym_continue_statement_token1] = ACTIONS(398),
    [aux_sym_break_statement_token1] = ACTIONS(400),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(402),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(404),
    [aux_sym_do_statement_token1] = ACTIONS(406),
    [aux_sym_for_statement_token1] = ACTIONS(408),
    [aux_sym_foreach_statement_token1] = ACTIONS(410),
    [aux_sym_if_statement_token1] = ACTIONS(412),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(414),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(416),
  },
  [11] = {
    [sym_text_interpolation] = STATE(11),
    [sym_statement] = STATE(520),
    [sym_empty_statement] = STATE(573),
    [sym_function_static_declaration] = STATE(573),
    [sym_global_declaration] = STATE(573),
    [sym_namespace_definition] = STATE(573),
    [sym_namespace_use_declaration] = STATE(573),
    [sym_qualified_name] = STATE(1000),
    [sym__name] = STATE(1631),
    [sym_namespace_name] = STATE(2575),
    [sym_trait_declaration] = STATE(573),
    [sym_interface_declaration] = STATE(573),
    [sym_enum_declaration] = STATE(573),
    [sym_class_declaration] = STATE(573),
    [sym_final_modifier] = STATE(1335),
    [sym_abstract_modifier] = STATE(1335),
    [sym_readonly_modifier] = STATE(1335),
    [sym_const_declaration] = STATE(573),
    [sym__const_declaration] = STATE(517),
    [sym__modifier] = STATE(1334),
    [sym_static_modifier] = STATE(1468),
    [sym_visibility_modifier] = STATE(1335),
    [sym_function_definition] = STATE(573),
    [sym__function_definition_header] = STATE(2470),
    [sym_anonymous_function] = STATE(1148),
    [sym__anonymous_function_header] = STATE(2489),
    [sym__arrow_function_header] = STATE(2731),
    [sym_arrow_function] = STATE(1148),
    [sym_echo_statement] = STATE(573),
    [sym_exit_statement] = STATE(573),
    [sym_unset_statement] = STATE(573),
    [sym_declare_statement] = STATE(573),
    [sym_literal] = STATE(1148),
    [sym_try_statement] = STATE(573),
    [sym_goto_statement] = STATE(573),
    [sym_continue_statement] = STATE(573),
    [sym_break_statement] = STATE(573),
    [sym_return_statement] = STATE(573),
    [sym_throw_expression] = STATE(1148),
    [sym_while_statement] = STATE(573),
    [sym_do_statement] = STATE(573),
    [sym_for_statement] = STATE(573),
    [sym_foreach_statement] = STATE(573),
    [sym_if_statement] = STATE(573),
    [sym_match_expression] = STATE(1152),
    [sym_switch_statement] = STATE(573),
    [sym_compound_statement] = STATE(573),
    [sym_named_label_statement] = STATE(573),
    [sym_expression_statement] = STATE(573),
    [sym_expression] = STATE(1221),
    [sym__unary_expression] = STATE(1159),
    [sym_unary_op_expression] = STATE(1172),
    [sym_error_suppression_expression] = STATE(1152),
    [sym_clone_expression] = STATE(1172),
    [sym_primary_expression] = STATE(1172),
    [sym_parenthesized_expression] = STATE(964),
    [sym_class_constant_access_expression] = STATE(1019),
    [sym_print_intrinsic] = STATE(1148),
    [sym_object_creation_expression] = STATE(1148),
    [sym__new_non_dereferencable_expression] = STATE(1168),
    [sym__new_dereferencable_expression] = STATE(966),
    [sym_update_expression] = STATE(1148),
    [sym_cast_expression] = STATE(1172),
    [sym_cast_variable] = STATE(661),
    [sym_assignment_expression] = STATE(1152),
    [sym_reference_assignment_expression] = STATE(1152),
    [sym_conditional_expression] = STATE(1152),
    [sym_augmented_assignment_expression] = STATE(1152),
    [sym__variable_member_access_expression] = STATE(674),
    [sym_member_access_expression] = STATE(661),
    [sym__variable_nullsafe_member_access_expression] = STATE(663),
    [sym_nullsafe_member_access_expression] = STATE(661),
    [sym__variable_scoped_property_access_expression] = STATE(664),
    [sym_scoped_property_access_expression] = STATE(661),
    [sym_list_literal] = STATE(2530),
    [sym__list_destructing] = STATE(2405),
    [sym__array_destructing] = STATE(2405),
    [sym_function_call_expression] = STATE(634),
    [sym__callable_expression] = STATE(2471),
    [sym_scoped_call_expression] = STATE(634),
    [sym__scope_resolution_qualifier] = STATE(2651),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(634),
    [sym_nullsafe_member_call_expression] = STATE(634),
    [sym__variable_subscript_expression] = STATE(665),
    [sym__dereferencable_subscript_expression] = STATE(634),
    [sym__dereferencable_expression] = STATE(1946),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(1005),
    [sym_attribute_group] = STATE(1373),
    [sym_attribute_list] = STATE(1356),
    [sym_encapsed_string] = STATE(927),
    [sym_string] = STATE(927),
    [sym_heredoc] = STATE(927),
    [sym_nowdoc] = STATE(927),
    [sym_shell_command_expression] = STATE(1148),
    [sym_boolean] = STATE(1162),
    [sym_null] = STATE(1162),
    [sym__string] = STATE(941),
    [sym_dynamic_variable_name] = STATE(650),
    [sym__simple_variable] = STATE(654),
    [sym__new_variable] = STATE(667),
    [sym__callable_variable] = STATE(629),
    [sym_variable_name] = STATE(650),
    [sym_yield_expression] = STATE(1152),
    [sym_binary_expression] = STATE(1152),
    [sym_include_expression] = STATE(1152),
    [sym_include_once_expression] = STATE(1152),
    [sym_require_expression] = STATE(1152),
    [sym_require_once_expression] = STATE(1152),
    [sym__reserved_identifier] = STATE(717),
    [sym__identifier] = STATE(1496),
    [aux_sym_program_repeat1] = STATE(11),
    [aux_sym_class_declaration_repeat1] = STATE(1381),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(19),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(22),
    [aux_sym_function_static_declaration_token1] = ACTIONS(25),
    [aux_sym_global_declaration_token1] = ACTIONS(28),
    [aux_sym_namespace_definition_token1] = ACTIONS(31),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(34),
    [aux_sym__namespace_use_type_token1] = ACTIONS(37),
    [aux_sym__namespace_use_type_token2] = ACTIONS(40),
    [anon_sym_BSLASH] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(46),
    [aux_sym_trait_declaration_token1] = ACTIONS(49),
    [aux_sym_interface_declaration_token1] = ACTIONS(52),
    [aux_sym_enum_declaration_token1] = ACTIONS(55),
    [aux_sym_class_declaration_token1] = ACTIONS(60),
    [aux_sym_final_modifier_token1] = ACTIONS(63),
    [aux_sym_abstract_modifier_token1] = ACTIONS(66),
    [aux_sym_readonly_modifier_token1] = ACTIONS(69),
    [sym_var_modifier] = ACTIONS(72),
    [aux_sym_visibility_modifier_token1] = ACTIONS(75),
    [aux_sym_visibility_modifier_token2] = ACTIONS(75),
    [aux_sym_visibility_modifier_token3] = ACTIONS(75),
    [anon_sym_LPAREN2] = ACTIONS(78),
    [aux_sym__arrow_function_header_token1] = ACTIONS(81),
    [aux_sym_cast_type_token1] = ACTIONS(84),
    [aux_sym_echo_statement_token1] = ACTIONS(87),
    [aux_sym_exit_statement_token1] = ACTIONS(90),
    [anon_sym_unset] = ACTIONS(93),
    [aux_sym_declare_statement_token1] = ACTIONS(418),
    [sym_float] = ACTIONS(99),
    [aux_sym_try_statement_token1] = ACTIONS(102),
    [aux_sym_goto_statement_token1] = ACTIONS(105),
    [aux_sym_continue_statement_token1] = ACTIONS(108),
    [aux_sym_break_statement_token1] = ACTIONS(111),
    [sym_integer] = ACTIONS(99),
    [aux_sym_return_statement_token1] = ACTIONS(114),
    [aux_sym_throw_expression_token1] = ACTIONS(117),
    [aux_sym_while_statement_token1] = ACTIONS(421),
    [aux_sym_do_statement_token1] = ACTIONS(123),
    [aux_sym_for_statement_token1] = ACTIONS(424),
    [aux_sym_foreach_statement_token1] = ACTIONS(427),
    [aux_sym_if_statement_token1] = ACTIONS(430),
    [aux_sym_if_statement_token2] = ACTIONS(58),
    [aux_sym_else_if_clause_token1] = ACTIONS(58),
    [aux_sym_else_clause_token1] = ACTIONS(58),
    [aux_sym_match_expression_token1] = ACTIONS(135),
    [aux_sym_switch_statement_token1] = ACTIONS(138),
    [anon_sym_PLUS] = ACTIONS(141),
    [anon_sym_DASH] = ACTIONS(141),
    [anon_sym_TILDE] = ACTIONS(144),
    [anon_sym_BANG] = ACTIONS(144),
    [anon_sym_AT] = ACTIONS(147),
    [aux_sym_clone_expression_token1] = ACTIONS(150),
    [aux_sym_print_intrinsic_token1] = ACTIONS(153),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(156),
    [anon_sym_DASH_DASH] = ACTIONS(159),
    [anon_sym_PLUS_PLUS] = ACTIONS(159),
    [aux_sym__list_destructing_token1] = ACTIONS(162),
    [anon_sym_LBRACK] = ACTIONS(165),
    [anon_sym_self] = ACTIONS(168),
    [anon_sym_parent] = ACTIONS(168),
    [aux_sym__argument_name_token1] = ACTIONS(171),
    [aux_sym__argument_name_token2] = ACTIONS(174),
    [anon_sym_POUND_LBRACK] = ACTIONS(177),
    [aux_sym_encapsed_string_token1] = ACTIONS(180),
    [anon_sym_DQUOTE] = ACTIONS(180),
    [aux_sym_string_token1] = ACTIONS(183),
    [anon_sym_SQUOTE] = ACTIONS(183),
    [anon_sym_LT_LT_LT] = ACTIONS(186),
    [anon_sym_BQUOTE] = ACTIONS(189),
    [anon_sym_DOLLAR] = ACTIONS(192),
    [aux_sym_yield_expression_token1] = ACTIONS(195),
    [aux_sym_include_expression_token1] = ACTIONS(198),
    [aux_sym_include_once_expression_token1] = ACTIONS(201),
    [aux_sym_require_expression_token1] = ACTIONS(204),
    [aux_sym_require_once_expression_token1] = ACTIONS(207),
    [sym_comment] = ACTIONS(5),
  },
  [12] = {
    [sym_text_interpolation] = STATE(12),
    [sym_statement] = STATE(520),
    [sym_empty_statement] = STATE(573),
    [sym_function_static_declaration] = STATE(573),
    [sym_global_declaration] = STATE(573),
    [sym_namespace_definition] = STATE(573),
    [sym_namespace_use_declaration] = STATE(573),
    [sym_qualified_name] = STATE(1000),
    [sym__name] = STATE(1631),
    [sym_namespace_name] = STATE(2575),
    [sym_trait_declaration] = STATE(573),
    [sym_interface_declaration] = STATE(573),
    [sym_enum_declaration] = STATE(573),
    [sym_class_declaration] = STATE(573),
    [sym_final_modifier] = STATE(1335),
    [sym_abstract_modifier] = STATE(1335),
    [sym_readonly_modifier] = STATE(1335),
    [sym_const_declaration] = STATE(573),
    [sym__const_declaration] = STATE(517),
    [sym__modifier] = STATE(1334),
    [sym_static_modifier] = STATE(1468),
    [sym_visibility_modifier] = STATE(1335),
    [sym_function_definition] = STATE(573),
    [sym__function_definition_header] = STATE(2470),
    [sym_anonymous_function] = STATE(1148),
    [sym__anonymous_function_header] = STATE(2489),
    [sym__arrow_function_header] = STATE(2731),
    [sym_arrow_function] = STATE(1148),
    [sym_echo_statement] = STATE(573),
    [sym_exit_statement] = STATE(573),
    [sym_unset_statement] = STATE(573),
    [sym_declare_statement] = STATE(573),
    [sym_literal] = STATE(1148),
    [sym_try_statement] = STATE(573),
    [sym_goto_statement] = STATE(573),
    [sym_continue_statement] = STATE(573),
    [sym_break_statement] = STATE(573),
    [sym_return_statement] = STATE(573),
    [sym_throw_expression] = STATE(1148),
    [sym_while_statement] = STATE(573),
    [sym_do_statement] = STATE(573),
    [sym_for_statement] = STATE(573),
    [sym_foreach_statement] = STATE(573),
    [sym_if_statement] = STATE(573),
    [sym_match_expression] = STATE(1152),
    [sym_switch_statement] = STATE(573),
    [sym_compound_statement] = STATE(573),
    [sym_named_label_statement] = STATE(573),
    [sym_expression_statement] = STATE(573),
    [sym_expression] = STATE(1221),
    [sym__unary_expression] = STATE(1159),
    [sym_unary_op_expression] = STATE(1172),
    [sym_error_suppression_expression] = STATE(1152),
    [sym_clone_expression] = STATE(1172),
    [sym_primary_expression] = STATE(1172),
    [sym_parenthesized_expression] = STATE(964),
    [sym_class_constant_access_expression] = STATE(1019),
    [sym_print_intrinsic] = STATE(1148),
    [sym_object_creation_expression] = STATE(1148),
    [sym__new_non_dereferencable_expression] = STATE(1168),
    [sym__new_dereferencable_expression] = STATE(966),
    [sym_update_expression] = STATE(1148),
    [sym_cast_expression] = STATE(1172),
    [sym_cast_variable] = STATE(661),
    [sym_assignment_expression] = STATE(1152),
    [sym_reference_assignment_expression] = STATE(1152),
    [sym_conditional_expression] = STATE(1152),
    [sym_augmented_assignment_expression] = STATE(1152),
    [sym__variable_member_access_expression] = STATE(674),
    [sym_member_access_expression] = STATE(661),
    [sym__variable_nullsafe_member_access_expression] = STATE(663),
    [sym_nullsafe_member_access_expression] = STATE(661),
    [sym__variable_scoped_property_access_expression] = STATE(664),
    [sym_scoped_property_access_expression] = STATE(661),
    [sym_list_literal] = STATE(2530),
    [sym__list_destructing] = STATE(2405),
    [sym__array_destructing] = STATE(2405),
    [sym_function_call_expression] = STATE(634),
    [sym__callable_expression] = STATE(2471),
    [sym_scoped_call_expression] = STATE(634),
    [sym__scope_resolution_qualifier] = STATE(2651),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(634),
    [sym_nullsafe_member_call_expression] = STATE(634),
    [sym__variable_subscript_expression] = STATE(665),
    [sym__dereferencable_subscript_expression] = STATE(634),
    [sym__dereferencable_expression] = STATE(1946),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(1005),
    [sym_attribute_group] = STATE(1373),
    [sym_attribute_list] = STATE(1356),
    [sym_encapsed_string] = STATE(927),
    [sym_string] = STATE(927),
    [sym_heredoc] = STATE(927),
    [sym_nowdoc] = STATE(927),
    [sym_shell_command_expression] = STATE(1148),
    [sym_boolean] = STATE(1162),
    [sym_null] = STATE(1162),
    [sym__string] = STATE(941),
    [sym_dynamic_variable_name] = STATE(650),
    [sym__simple_variable] = STATE(654),
    [sym__new_variable] = STATE(667),
    [sym__callable_variable] = STATE(629),
    [sym_variable_name] = STATE(650),
    [sym_yield_expression] = STATE(1152),
    [sym_binary_expression] = STATE(1152),
    [sym_include_expression] = STATE(1152),
    [sym_include_once_expression] = STATE(1152),
    [sym_require_expression] = STATE(1152),
    [sym_require_once_expression] = STATE(1152),
    [sym__reserved_identifier] = STATE(717),
    [sym__identifier] = STATE(1496),
    [aux_sym_program_repeat1] = STATE(13),
    [aux_sym_class_declaration_repeat1] = STATE(1381),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(212),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym__namespace_use_type_token1] = ACTIONS(222),
    [aux_sym__namespace_use_type_token2] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [anon_sym_LPAREN2] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(433),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(435),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(437),
    [aux_sym_foreach_statement_token1] = ACTIONS(439),
    [aux_sym_if_statement_token1] = ACTIONS(441),
    [aux_sym_if_statement_token2] = ACTIONS(354),
    [aux_sym_else_if_clause_token1] = ACTIONS(354),
    [aux_sym_else_clause_token1] = ACTIONS(354),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [13] = {
    [sym_text_interpolation] = STATE(13),
    [sym_statement] = STATE(520),
    [sym_empty_statement] = STATE(573),
    [sym_function_static_declaration] = STATE(573),
    [sym_global_declaration] = STATE(573),
    [sym_namespace_definition] = STATE(573),
    [sym_namespace_use_declaration] = STATE(573),
    [sym_qualified_name] = STATE(1000),
    [sym__name] = STATE(1631),
    [sym_namespace_name] = STATE(2575),
    [sym_trait_declaration] = STATE(573),
    [sym_interface_declaration] = STATE(573),
    [sym_enum_declaration] = STATE(573),
    [sym_class_declaration] = STATE(573),
    [sym_final_modifier] = STATE(1335),
    [sym_abstract_modifier] = STATE(1335),
    [sym_readonly_modifier] = STATE(1335),
    [sym_const_declaration] = STATE(573),
    [sym__const_declaration] = STATE(517),
    [sym__modifier] = STATE(1334),
    [sym_static_modifier] = STATE(1468),
    [sym_visibility_modifier] = STATE(1335),
    [sym_function_definition] = STATE(573),
    [sym__function_definition_header] = STATE(2470),
    [sym_anonymous_function] = STATE(1148),
    [sym__anonymous_function_header] = STATE(2489),
    [sym__arrow_function_header] = STATE(2731),
    [sym_arrow_function] = STATE(1148),
    [sym_echo_statement] = STATE(573),
    [sym_exit_statement] = STATE(573),
    [sym_unset_statement] = STATE(573),
    [sym_declare_statement] = STATE(573),
    [sym_literal] = STATE(1148),
    [sym_try_statement] = STATE(573),
    [sym_goto_statement] = STATE(573),
    [sym_continue_statement] = STATE(573),
    [sym_break_statement] = STATE(573),
    [sym_return_statement] = STATE(573),
    [sym_throw_expression] = STATE(1148),
    [sym_while_statement] = STATE(573),
    [sym_do_statement] = STATE(573),
    [sym_for_statement] = STATE(573),
    [sym_foreach_statement] = STATE(573),
    [sym_if_statement] = STATE(573),
    [sym_match_expression] = STATE(1152),
    [sym_switch_statement] = STATE(573),
    [sym_compound_statement] = STATE(573),
    [sym_named_label_statement] = STATE(573),
    [sym_expression_statement] = STATE(573),
    [sym_expression] = STATE(1221),
    [sym__unary_expression] = STATE(1159),
    [sym_unary_op_expression] = STATE(1172),
    [sym_error_suppression_expression] = STATE(1152),
    [sym_clone_expression] = STATE(1172),
    [sym_primary_expression] = STATE(1172),
    [sym_parenthesized_expression] = STATE(964),
    [sym_class_constant_access_expression] = STATE(1019),
    [sym_print_intrinsic] = STATE(1148),
    [sym_object_creation_expression] = STATE(1148),
    [sym__new_non_dereferencable_expression] = STATE(1168),
    [sym__new_dereferencable_expression] = STATE(966),
    [sym_update_expression] = STATE(1148),
    [sym_cast_expression] = STATE(1172),
    [sym_cast_variable] = STATE(661),
    [sym_assignment_expression] = STATE(1152),
    [sym_reference_assignment_expression] = STATE(1152),
    [sym_conditional_expression] = STATE(1152),
    [sym_augmented_assignment_expression] = STATE(1152),
    [sym__variable_member_access_expression] = STATE(674),
    [sym_member_access_expression] = STATE(661),
    [sym__variable_nullsafe_member_access_expression] = STATE(663),
    [sym_nullsafe_member_access_expression] = STATE(661),
    [sym__variable_scoped_property_access_expression] = STATE(664),
    [sym_scoped_property_access_expression] = STATE(661),
    [sym_list_literal] = STATE(2530),
    [sym__list_destructing] = STATE(2405),
    [sym__array_destructing] = STATE(2405),
    [sym_function_call_expression] = STATE(634),
    [sym__callable_expression] = STATE(2471),
    [sym_scoped_call_expression] = STATE(634),
    [sym__scope_resolution_qualifier] = STATE(2651),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(634),
    [sym_nullsafe_member_call_expression] = STATE(634),
    [sym__variable_subscript_expression] = STATE(665),
    [sym__dereferencable_subscript_expression] = STATE(634),
    [sym__dereferencable_expression] = STATE(1946),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(1005),
    [sym_attribute_group] = STATE(1373),
    [sym_attribute_list] = STATE(1356),
    [sym_encapsed_string] = STATE(927),
    [sym_string] = STATE(927),
    [sym_heredoc] = STATE(927),
    [sym_nowdoc] = STATE(927),
    [sym_shell_command_expression] = STATE(1148),
    [sym_boolean] = STATE(1162),
    [sym_null] = STATE(1162),
    [sym__string] = STATE(941),
    [sym_dynamic_variable_name] = STATE(650),
    [sym__simple_variable] = STATE(654),
    [sym__new_variable] = STATE(667),
    [sym__callable_variable] = STATE(629),
    [sym_variable_name] = STATE(650),
    [sym_yield_expression] = STATE(1152),
    [sym_binary_expression] = STATE(1152),
    [sym_include_expression] = STATE(1152),
    [sym_include_once_expression] = STATE(1152),
    [sym_require_expression] = STATE(1152),
    [sym_require_once_expression] = STATE(1152),
    [sym__reserved_identifier] = STATE(717),
    [sym__identifier] = STATE(1496),
    [aux_sym_program_repeat1] = STATE(11),
    [aux_sym_class_declaration_repeat1] = STATE(1381),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(212),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym__namespace_use_type_token1] = ACTIONS(222),
    [aux_sym__namespace_use_type_token2] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [anon_sym_LPAREN2] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(433),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(435),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(437),
    [aux_sym_foreach_statement_token1] = ACTIONS(439),
    [aux_sym_if_statement_token1] = ACTIONS(441),
    [aux_sym_if_statement_token2] = ACTIONS(352),
    [aux_sym_else_if_clause_token1] = ACTIONS(352),
    [aux_sym_else_clause_token1] = ACTIONS(352),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [14] = {
    [sym_text_interpolation] = STATE(14),
    [sym_statement] = STATE(487),
    [sym_empty_statement] = STATE(573),
    [sym_function_static_declaration] = STATE(573),
    [sym_global_declaration] = STATE(573),
    [sym_namespace_definition] = STATE(573),
    [sym_namespace_use_declaration] = STATE(573),
    [sym_qualified_name] = STATE(1000),
    [sym__name] = STATE(1631),
    [sym_namespace_name] = STATE(2575),
    [sym_trait_declaration] = STATE(573),
    [sym_interface_declaration] = STATE(573),
    [sym_enum_declaration] = STATE(573),
    [sym_class_declaration] = STATE(573),
    [sym_final_modifier] = STATE(1335),
    [sym_abstract_modifier] = STATE(1335),
    [sym_readonly_modifier] = STATE(1335),
    [sym_const_declaration] = STATE(573),
    [sym__const_declaration] = STATE(517),
    [sym__modifier] = STATE(1334),
    [sym_static_modifier] = STATE(1468),
    [sym_visibility_modifier] = STATE(1335),
    [sym_function_definition] = STATE(573),
    [sym__function_definition_header] = STATE(2470),
    [sym_anonymous_function] = STATE(1148),
    [sym__anonymous_function_header] = STATE(2489),
    [sym__arrow_function_header] = STATE(2731),
    [sym_arrow_function] = STATE(1148),
    [sym_echo_statement] = STATE(573),
    [sym_exit_statement] = STATE(573),
    [sym_unset_statement] = STATE(573),
    [sym_declare_statement] = STATE(573),
    [sym_literal] = STATE(1148),
    [sym_try_statement] = STATE(573),
    [sym_goto_statement] = STATE(573),
    [sym_continue_statement] = STATE(573),
    [sym_break_statement] = STATE(573),
    [sym_return_statement] = STATE(573),
    [sym_throw_expression] = STATE(1148),
    [sym_while_statement] = STATE(573),
    [sym_do_statement] = STATE(573),
    [sym_for_statement] = STATE(573),
    [sym_foreach_statement] = STATE(573),
    [sym_if_statement] = STATE(573),
    [sym_colon_block] = STATE(2519),
    [sym_match_expression] = STATE(1152),
    [sym_switch_statement] = STATE(573),
    [sym_compound_statement] = STATE(573),
    [sym_named_label_statement] = STATE(573),
    [sym_expression_statement] = STATE(573),
    [sym_expression] = STATE(1221),
    [sym__unary_expression] = STATE(1159),
    [sym_unary_op_expression] = STATE(1172),
    [sym_error_suppression_expression] = STATE(1152),
    [sym_clone_expression] = STATE(1172),
    [sym_primary_expression] = STATE(1172),
    [sym_parenthesized_expression] = STATE(964),
    [sym_class_constant_access_expression] = STATE(1019),
    [sym_print_intrinsic] = STATE(1148),
    [sym_object_creation_expression] = STATE(1148),
    [sym__new_non_dereferencable_expression] = STATE(1168),
    [sym__new_dereferencable_expression] = STATE(966),
    [sym_update_expression] = STATE(1148),
    [sym_cast_expression] = STATE(1172),
    [sym_cast_variable] = STATE(661),
    [sym_assignment_expression] = STATE(1152),
    [sym_reference_assignment_expression] = STATE(1152),
    [sym_conditional_expression] = STATE(1152),
    [sym_augmented_assignment_expression] = STATE(1152),
    [sym__variable_member_access_expression] = STATE(674),
    [sym_member_access_expression] = STATE(661),
    [sym__variable_nullsafe_member_access_expression] = STATE(663),
    [sym_nullsafe_member_access_expression] = STATE(661),
    [sym__variable_scoped_property_access_expression] = STATE(664),
    [sym_scoped_property_access_expression] = STATE(661),
    [sym_list_literal] = STATE(2530),
    [sym__list_destructing] = STATE(2405),
    [sym__array_destructing] = STATE(2405),
    [sym_function_call_expression] = STATE(634),
    [sym__callable_expression] = STATE(2471),
    [sym_scoped_call_expression] = STATE(634),
    [sym__scope_resolution_qualifier] = STATE(2651),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(634),
    [sym_nullsafe_member_call_expression] = STATE(634),
    [sym__variable_subscript_expression] = STATE(665),
    [sym__dereferencable_subscript_expression] = STATE(634),
    [sym__dereferencable_expression] = STATE(1946),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(1005),
    [sym_attribute_group] = STATE(1373),
    [sym_attribute_list] = STATE(1356),
    [sym_encapsed_string] = STATE(927),
    [sym_string] = STATE(927),
    [sym_heredoc] = STATE(927),
    [sym_nowdoc] = STATE(927),
    [sym_shell_command_expression] = STATE(1148),
    [sym_boolean] = STATE(1162),
    [sym_null] = STATE(1162),
    [sym__string] = STATE(941),
    [sym_dynamic_variable_name] = STATE(650),
    [sym__simple_variable] = STATE(654),
    [sym__new_variable] = STATE(667),
    [sym__callable_variable] = STATE(629),
    [sym_variable_name] = STATE(650),
    [sym_yield_expression] = STATE(1152),
    [sym_binary_expression] = STATE(1152),
    [sym_include_expression] = STATE(1152),
    [sym_include_once_expression] = STATE(1152),
    [sym_require_expression] = STATE(1152),
    [sym_require_once_expression] = STATE(1152),
    [sym__reserved_identifier] = STATE(717),
    [sym__identifier] = STATE(1496),
    [sym__semicolon] = STATE(488),
    [aux_sym_class_declaration_repeat1] = STATE(1381),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(356),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym__namespace_use_type_token1] = ACTIONS(222),
    [aux_sym__namespace_use_type_token2] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [anon_sym_COLON] = ACTIONS(358),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [anon_sym_LPAREN2] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(433),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(435),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(437),
    [aux_sym_foreach_statement_token1] = ACTIONS(439),
    [aux_sym_if_statement_token1] = ACTIONS(441),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(360),
  },
  [15] = {
    [sym_text_interpolation] = STATE(15),
    [sym_statement] = STATE(2073),
    [sym_empty_statement] = STATE(2140),
    [sym_function_static_declaration] = STATE(2140),
    [sym_global_declaration] = STATE(2140),
    [sym_namespace_definition] = STATE(2140),
    [sym_namespace_use_declaration] = STATE(2140),
    [sym_qualified_name] = STATE(1000),
    [sym__name] = STATE(1631),
    [sym_namespace_name] = STATE(2575),
    [sym_trait_declaration] = STATE(2140),
    [sym_interface_declaration] = STATE(2140),
    [sym_enum_declaration] = STATE(2140),
    [sym_class_declaration] = STATE(2140),
    [sym_final_modifier] = STATE(1335),
    [sym_abstract_modifier] = STATE(1335),
    [sym_readonly_modifier] = STATE(1335),
    [sym_const_declaration] = STATE(2140),
    [sym__const_declaration] = STATE(2141),
    [sym__modifier] = STATE(1334),
    [sym_static_modifier] = STATE(1468),
    [sym_visibility_modifier] = STATE(1335),
    [sym_function_definition] = STATE(2140),
    [sym__function_definition_header] = STATE(2316),
    [sym_anonymous_function] = STATE(1148),
    [sym__anonymous_function_header] = STATE(2489),
    [sym__arrow_function_header] = STATE(2731),
    [sym_arrow_function] = STATE(1148),
    [sym_echo_statement] = STATE(2140),
    [sym_exit_statement] = STATE(2140),
    [sym_unset_statement] = STATE(2140),
    [sym_declare_statement] = STATE(2140),
    [sym_literal] = STATE(1148),
    [sym_try_statement] = STATE(2140),
    [sym_goto_statement] = STATE(2140),
    [sym_continue_statement] = STATE(2140),
    [sym_break_statement] = STATE(2140),
    [sym_return_statement] = STATE(2140),
    [sym_throw_expression] = STATE(1148),
    [sym_while_statement] = STATE(2140),
    [sym_do_statement] = STATE(2140),
    [sym_for_statement] = STATE(2140),
    [sym_foreach_statement] = STATE(2140),
    [sym_if_statement] = STATE(2140),
    [sym_colon_block] = STATE(2625),
    [sym_match_expression] = STATE(1152),
    [sym_switch_statement] = STATE(2140),
    [sym_compound_statement] = STATE(2140),
    [sym_named_label_statement] = STATE(2140),
    [sym_expression_statement] = STATE(2140),
    [sym_expression] = STATE(1234),
    [sym__unary_expression] = STATE(1159),
    [sym_unary_op_expression] = STATE(1172),
    [sym_error_suppression_expression] = STATE(1152),
    [sym_clone_expression] = STATE(1172),
    [sym_primary_expression] = STATE(1172),
    [sym_parenthesized_expression] = STATE(964),
    [sym_class_constant_access_expression] = STATE(1019),
    [sym_print_intrinsic] = STATE(1148),
    [sym_object_creation_expression] = STATE(1148),
    [sym__new_non_dereferencable_expression] = STATE(1168),
    [sym__new_dereferencable_expression] = STATE(966),
    [sym_update_expression] = STATE(1148),
    [sym_cast_expression] = STATE(1172),
    [sym_cast_variable] = STATE(661),
    [sym_assignment_expression] = STATE(1152),
    [sym_reference_assignment_expression] = STATE(1152),
    [sym_conditional_expression] = STATE(1152),
    [sym_augmented_assignment_expression] = STATE(1152),
    [sym__variable_member_access_expression] = STATE(674),
    [sym_member_access_expression] = STATE(661),
    [sym__variable_nullsafe_member_access_expression] = STATE(663),
    [sym_nullsafe_member_access_expression] = STATE(661),
    [sym__variable_scoped_property_access_expression] = STATE(664),
    [sym_scoped_property_access_expression] = STATE(661),
    [sym_list_literal] = STATE(2530),
    [sym__list_destructing] = STATE(2405),
    [sym__array_destructing] = STATE(2405),
    [sym_function_call_expression] = STATE(634),
    [sym__callable_expression] = STATE(2471),
    [sym_scoped_call_expression] = STATE(634),
    [sym__scope_resolution_qualifier] = STATE(2651),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(634),
    [sym_nullsafe_member_call_expression] = STATE(634),
    [sym__variable_subscript_expression] = STATE(665),
    [sym__dereferencable_subscript_expression] = STATE(634),
    [sym__dereferencable_expression] = STATE(1946),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(1005),
    [sym_attribute_group] = STATE(1373),
    [sym_attribute_list] = STATE(1344),
    [sym_encapsed_string] = STATE(927),
    [sym_string] = STATE(927),
    [sym_heredoc] = STATE(927),
    [sym_nowdoc] = STATE(927),
    [sym_shell_command_expression] = STATE(1148),
    [sym_boolean] = STATE(1162),
    [sym_null] = STATE(1162),
    [sym__string] = STATE(941),
    [sym_dynamic_variable_name] = STATE(650),
    [sym__simple_variable] = STATE(654),
    [sym__new_variable] = STATE(667),
    [sym__callable_variable] = STATE(629),
    [sym_variable_name] = STATE(650),
    [sym_yield_expression] = STATE(1152),
    [sym_binary_expression] = STATE(1152),
    [sym_include_expression] = STATE(1152),
    [sym_include_once_expression] = STATE(1152),
    [sym_require_expression] = STATE(1152),
    [sym_require_once_expression] = STATE(1152),
    [sym__reserved_identifier] = STATE(717),
    [sym__identifier] = STATE(1496),
    [sym__semicolon] = STATE(2074),
    [aux_sym_class_declaration_repeat1] = STATE(1382),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(362),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(364),
    [aux_sym_function_static_declaration_token1] = ACTIONS(366),
    [aux_sym_global_declaration_token1] = ACTIONS(368),
    [aux_sym_namespace_definition_token1] = ACTIONS(370),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(372),
    [aux_sym__namespace_use_type_token1] = ACTIONS(222),
    [aux_sym__namespace_use_type_token2] = ACTIONS(374),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(376),
    [aux_sym_trait_declaration_token1] = ACTIONS(378),
    [aux_sym_interface_declaration_token1] = ACTIONS(380),
    [aux_sym_enum_declaration_token1] = ACTIONS(382),
    [anon_sym_COLON] = ACTIONS(358),
    [aux_sym_class_declaration_token1] = ACTIONS(384),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [anon_sym_LPAREN2] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(386),
    [aux_sym_exit_statement_token1] = ACTIONS(388),
    [anon_sym_unset] = ACTIONS(390),
    [aux_sym_declare_statement_token1] = ACTIONS(443),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(394),
    [aux_sym_goto_statement_token1] = ACTIONS(396),
    [aux_sym_continue_statement_token1] = ACTIONS(398),
    [aux_sym_break_statement_token1] = ACTIONS(400),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(402),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(445),
    [aux_sym_do_statement_token1] = ACTIONS(406),
    [aux_sym_for_statement_token1] = ACTIONS(447),
    [aux_sym_foreach_statement_token1] = ACTIONS(449),
    [aux_sym_if_statement_token1] = ACTIONS(451),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(414),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(416),
  },
  [16] = {
    [sym_text_interpolation] = STATE(16),
    [sym_statement] = STATE(2024),
    [sym_empty_statement] = STATE(2140),
    [sym_function_static_declaration] = STATE(2140),
    [sym_global_declaration] = STATE(2140),
    [sym_namespace_definition] = STATE(2140),
    [sym_namespace_use_declaration] = STATE(2140),
    [sym_qualified_name] = STATE(1000),
    [sym__name] = STATE(1631),
    [sym_namespace_name] = STATE(2575),
    [sym_trait_declaration] = STATE(2140),
    [sym_interface_declaration] = STATE(2140),
    [sym_enum_declaration] = STATE(2140),
    [sym_class_declaration] = STATE(2140),
    [sym_final_modifier] = STATE(1335),
    [sym_abstract_modifier] = STATE(1335),
    [sym_readonly_modifier] = STATE(1335),
    [sym_const_declaration] = STATE(2140),
    [sym__const_declaration] = STATE(2141),
    [sym__modifier] = STATE(1334),
    [sym_static_modifier] = STATE(1468),
    [sym_visibility_modifier] = STATE(1335),
    [sym_function_definition] = STATE(2140),
    [sym__function_definition_header] = STATE(2316),
    [sym_anonymous_function] = STATE(1148),
    [sym__anonymous_function_header] = STATE(2489),
    [sym__arrow_function_header] = STATE(2731),
    [sym_arrow_function] = STATE(1148),
    [sym_echo_statement] = STATE(2140),
    [sym_exit_statement] = STATE(2140),
    [sym_unset_statement] = STATE(2140),
    [sym_declare_statement] = STATE(2140),
    [sym_literal] = STATE(1148),
    [sym_try_statement] = STATE(2140),
    [sym_goto_statement] = STATE(2140),
    [sym_continue_statement] = STATE(2140),
    [sym_break_statement] = STATE(2140),
    [sym_return_statement] = STATE(2140),
    [sym_throw_expression] = STATE(1148),
    [sym_while_statement] = STATE(2140),
    [sym_do_statement] = STATE(2140),
    [sym_for_statement] = STATE(2140),
    [sym_foreach_statement] = STATE(2140),
    [sym_if_statement] = STATE(2140),
    [sym_match_expression] = STATE(1152),
    [sym_switch_statement] = STATE(2140),
    [sym_compound_statement] = STATE(2140),
    [sym_named_label_statement] = STATE(2140),
    [sym_expression_statement] = STATE(2140),
    [sym_expression] = STATE(1234),
    [sym__unary_expression] = STATE(1159),
    [sym_unary_op_expression] = STATE(1172),
    [sym_error_suppression_expression] = STATE(1152),
    [sym_clone_expression] = STATE(1172),
    [sym_primary_expression] = STATE(1172),
    [sym_parenthesized_expression] = STATE(964),
    [sym_class_constant_access_expression] = STATE(1019),
    [sym_print_intrinsic] = STATE(1148),
    [sym_object_creation_expression] = STATE(1148),
    [sym__new_non_dereferencable_expression] = STATE(1168),
    [sym__new_dereferencable_expression] = STATE(966),
    [sym_update_expression] = STATE(1148),
    [sym_cast_expression] = STATE(1172),
    [sym_cast_variable] = STATE(661),
    [sym_assignment_expression] = STATE(1152),
    [sym_reference_assignment_expression] = STATE(1152),
    [sym_conditional_expression] = STATE(1152),
    [sym_augmented_assignment_expression] = STATE(1152),
    [sym__variable_member_access_expression] = STATE(674),
    [sym_member_access_expression] = STATE(661),
    [sym__variable_nullsafe_member_access_expression] = STATE(663),
    [sym_nullsafe_member_access_expression] = STATE(661),
    [sym__variable_scoped_property_access_expression] = STATE(664),
    [sym_scoped_property_access_expression] = STATE(661),
    [sym_list_literal] = STATE(2530),
    [sym__list_destructing] = STATE(2405),
    [sym__array_destructing] = STATE(2405),
    [sym_function_call_expression] = STATE(634),
    [sym__callable_expression] = STATE(2471),
    [sym_scoped_call_expression] = STATE(634),
    [sym__scope_resolution_qualifier] = STATE(2651),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(634),
    [sym_nullsafe_member_call_expression] = STATE(634),
    [sym__variable_subscript_expression] = STATE(665),
    [sym__dereferencable_subscript_expression] = STATE(634),
    [sym__dereferencable_expression] = STATE(1946),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(1005),
    [sym_attribute_group] = STATE(1373),
    [sym_attribute_list] = STATE(1344),
    [sym_encapsed_string] = STATE(927),
    [sym_string] = STATE(927),
    [sym_heredoc] = STATE(927),
    [sym_nowdoc] = STATE(927),
    [sym_shell_command_expression] = STATE(1148),
    [sym_boolean] = STATE(1162),
    [sym_null] = STATE(1162),
    [sym__string] = STATE(941),
    [sym_dynamic_variable_name] = STATE(650),
    [sym__simple_variable] = STATE(654),
    [sym__new_variable] = STATE(667),
    [sym__callable_variable] = STATE(629),
    [sym_variable_name] = STATE(650),
    [sym_yield_expression] = STATE(1152),
    [sym_binary_expression] = STATE(1152),
    [sym_include_expression] = STATE(1152),
    [sym_include_once_expression] = STATE(1152),
    [sym_require_expression] = STATE(1152),
    [sym_require_once_expression] = STATE(1152),
    [sym__reserved_identifier] = STATE(717),
    [sym__identifier] = STATE(1496),
    [sym__semicolon] = STATE(2026),
    [aux_sym_class_declaration_repeat1] = STATE(1382),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(362),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(364),
    [aux_sym_function_static_declaration_token1] = ACTIONS(366),
    [aux_sym_global_declaration_token1] = ACTIONS(368),
    [aux_sym_namespace_definition_token1] = ACTIONS(370),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(372),
    [aux_sym__namespace_use_type_token1] = ACTIONS(222),
    [aux_sym__namespace_use_type_token2] = ACTIONS(374),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(376),
    [aux_sym_trait_declaration_token1] = ACTIONS(378),
    [aux_sym_interface_declaration_token1] = ACTIONS(380),
    [aux_sym_enum_declaration_token1] = ACTIONS(382),
    [anon_sym_COLON] = ACTIONS(453),
    [aux_sym_class_declaration_token1] = ACTIONS(384),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [anon_sym_LPAREN2] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(386),
    [aux_sym_exit_statement_token1] = ACTIONS(388),
    [anon_sym_unset] = ACTIONS(390),
    [aux_sym_declare_statement_token1] = ACTIONS(443),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(394),
    [aux_sym_goto_statement_token1] = ACTIONS(396),
    [aux_sym_continue_statement_token1] = ACTIONS(398),
    [aux_sym_break_statement_token1] = ACTIONS(400),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(402),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(445),
    [aux_sym_do_statement_token1] = ACTIONS(406),
    [aux_sym_for_statement_token1] = ACTIONS(447),
    [aux_sym_foreach_statement_token1] = ACTIONS(449),
    [aux_sym_if_statement_token1] = ACTIONS(451),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(414),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(416),
  },
  [17] = {
    [sym_text_interpolation] = STATE(17),
    [sym_statement] = STATE(1971),
    [sym_empty_statement] = STATE(2140),
    [sym_function_static_declaration] = STATE(2140),
    [sym_global_declaration] = STATE(2140),
    [sym_namespace_definition] = STATE(2140),
    [sym_namespace_use_declaration] = STATE(2140),
    [sym_qualified_name] = STATE(1000),
    [sym__name] = STATE(1631),
    [sym_namespace_name] = STATE(2575),
    [sym_trait_declaration] = STATE(2140),
    [sym_interface_declaration] = STATE(2140),
    [sym_enum_declaration] = STATE(2140),
    [sym_class_declaration] = STATE(2140),
    [sym_final_modifier] = STATE(1335),
    [sym_abstract_modifier] = STATE(1335),
    [sym_readonly_modifier] = STATE(1335),
    [sym_const_declaration] = STATE(2140),
    [sym__const_declaration] = STATE(2141),
    [sym__modifier] = STATE(1334),
    [sym_static_modifier] = STATE(1468),
    [sym_visibility_modifier] = STATE(1335),
    [sym_function_definition] = STATE(2140),
    [sym__function_definition_header] = STATE(2316),
    [sym_anonymous_function] = STATE(1148),
    [sym__anonymous_function_header] = STATE(2489),
    [sym__arrow_function_header] = STATE(2731),
    [sym_arrow_function] = STATE(1148),
    [sym_echo_statement] = STATE(2140),
    [sym_exit_statement] = STATE(2140),
    [sym_unset_statement] = STATE(2140),
    [sym_declare_statement] = STATE(2140),
    [sym_literal] = STATE(1148),
    [sym_try_statement] = STATE(2140),
    [sym_goto_statement] = STATE(2140),
    [sym_continue_statement] = STATE(2140),
    [sym_break_statement] = STATE(2140),
    [sym_return_statement] = STATE(2140),
    [sym_throw_expression] = STATE(1148),
    [sym_while_statement] = STATE(2140),
    [sym_do_statement] = STATE(2140),
    [sym_for_statement] = STATE(2140),
    [sym_foreach_statement] = STATE(2140),
    [sym_if_statement] = STATE(2140),
    [sym_match_expression] = STATE(1152),
    [sym_switch_statement] = STATE(2140),
    [sym_compound_statement] = STATE(2140),
    [sym_named_label_statement] = STATE(2140),
    [sym_expression_statement] = STATE(2140),
    [sym_expression] = STATE(1234),
    [sym__unary_expression] = STATE(1159),
    [sym_unary_op_expression] = STATE(1172),
    [sym_error_suppression_expression] = STATE(1152),
    [sym_clone_expression] = STATE(1172),
    [sym_primary_expression] = STATE(1172),
    [sym_parenthesized_expression] = STATE(964),
    [sym_class_constant_access_expression] = STATE(1019),
    [sym_print_intrinsic] = STATE(1148),
    [sym_object_creation_expression] = STATE(1148),
    [sym__new_non_dereferencable_expression] = STATE(1168),
    [sym__new_dereferencable_expression] = STATE(966),
    [sym_update_expression] = STATE(1148),
    [sym_cast_expression] = STATE(1172),
    [sym_cast_variable] = STATE(661),
    [sym_assignment_expression] = STATE(1152),
    [sym_reference_assignment_expression] = STATE(1152),
    [sym_conditional_expression] = STATE(1152),
    [sym_augmented_assignment_expression] = STATE(1152),
    [sym__variable_member_access_expression] = STATE(674),
    [sym_member_access_expression] = STATE(661),
    [sym__variable_nullsafe_member_access_expression] = STATE(663),
    [sym_nullsafe_member_access_expression] = STATE(661),
    [sym__variable_scoped_property_access_expression] = STATE(664),
    [sym_scoped_property_access_expression] = STATE(661),
    [sym_list_literal] = STATE(2530),
    [sym__list_destructing] = STATE(2405),
    [sym__array_destructing] = STATE(2405),
    [sym_function_call_expression] = STATE(634),
    [sym__callable_expression] = STATE(2471),
    [sym_scoped_call_expression] = STATE(634),
    [sym__scope_resolution_qualifier] = STATE(2651),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(634),
    [sym_nullsafe_member_call_expression] = STATE(634),
    [sym__variable_subscript_expression] = STATE(665),
    [sym__dereferencable_subscript_expression] = STATE(634),
    [sym__dereferencable_expression] = STATE(1946),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(1005),
    [sym_attribute_group] = STATE(1373),
    [sym_attribute_list] = STATE(1344),
    [sym_encapsed_string] = STATE(927),
    [sym_string] = STATE(927),
    [sym_heredoc] = STATE(927),
    [sym_nowdoc] = STATE(927),
    [sym_shell_command_expression] = STATE(1148),
    [sym_boolean] = STATE(1162),
    [sym_null] = STATE(1162),
    [sym__string] = STATE(941),
    [sym_dynamic_variable_name] = STATE(650),
    [sym__simple_variable] = STATE(654),
    [sym__new_variable] = STATE(667),
    [sym__callable_variable] = STATE(629),
    [sym_variable_name] = STATE(650),
    [sym_yield_expression] = STATE(1152),
    [sym_binary_expression] = STATE(1152),
    [sym_include_expression] = STATE(1152),
    [sym_include_once_expression] = STATE(1152),
    [sym_require_expression] = STATE(1152),
    [sym_require_once_expression] = STATE(1152),
    [sym__reserved_identifier] = STATE(717),
    [sym__identifier] = STATE(1496),
    [sym__semicolon] = STATE(1971),
    [aux_sym_class_declaration_repeat1] = STATE(1382),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(362),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(364),
    [aux_sym_function_static_declaration_token1] = ACTIONS(366),
    [aux_sym_global_declaration_token1] = ACTIONS(368),
    [aux_sym_namespace_definition_token1] = ACTIONS(370),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(372),
    [aux_sym__namespace_use_type_token1] = ACTIONS(222),
    [aux_sym__namespace_use_type_token2] = ACTIONS(374),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(376),
    [aux_sym_trait_declaration_token1] = ACTIONS(378),
    [aux_sym_interface_declaration_token1] = ACTIONS(380),
    [aux_sym_enum_declaration_token1] = ACTIONS(382),
    [anon_sym_COLON] = ACTIONS(455),
    [aux_sym_class_declaration_token1] = ACTIONS(384),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [anon_sym_LPAREN2] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(386),
    [aux_sym_exit_statement_token1] = ACTIONS(388),
    [anon_sym_unset] = ACTIONS(390),
    [aux_sym_declare_statement_token1] = ACTIONS(392),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(394),
    [aux_sym_goto_statement_token1] = ACTIONS(396),
    [aux_sym_continue_statement_token1] = ACTIONS(398),
    [aux_sym_break_statement_token1] = ACTIONS(400),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(402),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(404),
    [aux_sym_do_statement_token1] = ACTIONS(406),
    [aux_sym_for_statement_token1] = ACTIONS(408),
    [aux_sym_foreach_statement_token1] = ACTIONS(410),
    [aux_sym_if_statement_token1] = ACTIONS(412),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(414),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(416),
  },
  [18] = {
    [sym_text_interpolation] = STATE(18),
    [sym_statement] = STATE(2024),
    [sym_empty_statement] = STATE(2140),
    [sym_function_static_declaration] = STATE(2140),
    [sym_global_declaration] = STATE(2140),
    [sym_namespace_definition] = STATE(2140),
    [sym_namespace_use_declaration] = STATE(2140),
    [sym_qualified_name] = STATE(1000),
    [sym__name] = STATE(1631),
    [sym_namespace_name] = STATE(2575),
    [sym_trait_declaration] = STATE(2140),
    [sym_interface_declaration] = STATE(2140),
    [sym_enum_declaration] = STATE(2140),
    [sym_class_declaration] = STATE(2140),
    [sym_final_modifier] = STATE(1335),
    [sym_abstract_modifier] = STATE(1335),
    [sym_readonly_modifier] = STATE(1335),
    [sym_const_declaration] = STATE(2140),
    [sym__const_declaration] = STATE(2141),
    [sym__modifier] = STATE(1334),
    [sym_static_modifier] = STATE(1468),
    [sym_visibility_modifier] = STATE(1335),
    [sym_function_definition] = STATE(2140),
    [sym__function_definition_header] = STATE(2316),
    [sym_anonymous_function] = STATE(1148),
    [sym__anonymous_function_header] = STATE(2489),
    [sym__arrow_function_header] = STATE(2731),
    [sym_arrow_function] = STATE(1148),
    [sym_echo_statement] = STATE(2140),
    [sym_exit_statement] = STATE(2140),
    [sym_unset_statement] = STATE(2140),
    [sym_declare_statement] = STATE(2140),
    [sym_literal] = STATE(1148),
    [sym_try_statement] = STATE(2140),
    [sym_goto_statement] = STATE(2140),
    [sym_continue_statement] = STATE(2140),
    [sym_break_statement] = STATE(2140),
    [sym_return_statement] = STATE(2140),
    [sym_throw_expression] = STATE(1148),
    [sym_while_statement] = STATE(2140),
    [sym_do_statement] = STATE(2140),
    [sym_for_statement] = STATE(2140),
    [sym_foreach_statement] = STATE(2140),
    [sym_if_statement] = STATE(2140),
    [sym_match_expression] = STATE(1152),
    [sym_switch_statement] = STATE(2140),
    [sym_compound_statement] = STATE(2140),
    [sym_named_label_statement] = STATE(2140),
    [sym_expression_statement] = STATE(2140),
    [sym_expression] = STATE(1234),
    [sym__unary_expression] = STATE(1159),
    [sym_unary_op_expression] = STATE(1172),
    [sym_error_suppression_expression] = STATE(1152),
    [sym_clone_expression] = STATE(1172),
    [sym_primary_expression] = STATE(1172),
    [sym_parenthesized_expression] = STATE(964),
    [sym_class_constant_access_expression] = STATE(1019),
    [sym_print_intrinsic] = STATE(1148),
    [sym_object_creation_expression] = STATE(1148),
    [sym__new_non_dereferencable_expression] = STATE(1168),
    [sym__new_dereferencable_expression] = STATE(966),
    [sym_update_expression] = STATE(1148),
    [sym_cast_expression] = STATE(1172),
    [sym_cast_variable] = STATE(661),
    [sym_assignment_expression] = STATE(1152),
    [sym_reference_assignment_expression] = STATE(1152),
    [sym_conditional_expression] = STATE(1152),
    [sym_augmented_assignment_expression] = STATE(1152),
    [sym__variable_member_access_expression] = STATE(674),
    [sym_member_access_expression] = STATE(661),
    [sym__variable_nullsafe_member_access_expression] = STATE(663),
    [sym_nullsafe_member_access_expression] = STATE(661),
    [sym__variable_scoped_property_access_expression] = STATE(664),
    [sym_scoped_property_access_expression] = STATE(661),
    [sym_list_literal] = STATE(2530),
    [sym__list_destructing] = STATE(2405),
    [sym__array_destructing] = STATE(2405),
    [sym_function_call_expression] = STATE(634),
    [sym__callable_expression] = STATE(2471),
    [sym_scoped_call_expression] = STATE(634),
    [sym__scope_resolution_qualifier] = STATE(2651),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(634),
    [sym_nullsafe_member_call_expression] = STATE(634),
    [sym__variable_subscript_expression] = STATE(665),
    [sym__dereferencable_subscript_expression] = STATE(634),
    [sym__dereferencable_expression] = STATE(1946),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(1005),
    [sym_attribute_group] = STATE(1373),
    [sym_attribute_list] = STATE(1344),
    [sym_encapsed_string] = STATE(927),
    [sym_string] = STATE(927),
    [sym_heredoc] = STATE(927),
    [sym_nowdoc] = STATE(927),
    [sym_shell_command_expression] = STATE(1148),
    [sym_boolean] = STATE(1162),
    [sym_null] = STATE(1162),
    [sym__string] = STATE(941),
    [sym_dynamic_variable_name] = STATE(650),
    [sym__simple_variable] = STATE(654),
    [sym__new_variable] = STATE(667),
    [sym__callable_variable] = STATE(629),
    [sym_variable_name] = STATE(650),
    [sym_yield_expression] = STATE(1152),
    [sym_binary_expression] = STATE(1152),
    [sym_include_expression] = STATE(1152),
    [sym_include_once_expression] = STATE(1152),
    [sym_require_expression] = STATE(1152),
    [sym_require_once_expression] = STATE(1152),
    [sym__reserved_identifier] = STATE(717),
    [sym__identifier] = STATE(1496),
    [sym__semicolon] = STATE(2026),
    [aux_sym_class_declaration_repeat1] = STATE(1382),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(362),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(364),
    [aux_sym_function_static_declaration_token1] = ACTIONS(366),
    [aux_sym_global_declaration_token1] = ACTIONS(368),
    [aux_sym_namespace_definition_token1] = ACTIONS(370),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(372),
    [aux_sym__namespace_use_type_token1] = ACTIONS(222),
    [aux_sym__namespace_use_type_token2] = ACTIONS(374),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(376),
    [aux_sym_trait_declaration_token1] = ACTIONS(378),
    [aux_sym_interface_declaration_token1] = ACTIONS(380),
    [aux_sym_enum_declaration_token1] = ACTIONS(382),
    [anon_sym_COLON] = ACTIONS(453),
    [aux_sym_class_declaration_token1] = ACTIONS(384),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [anon_sym_LPAREN2] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(386),
    [aux_sym_exit_statement_token1] = ACTIONS(388),
    [anon_sym_unset] = ACTIONS(390),
    [aux_sym_declare_statement_token1] = ACTIONS(392),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(394),
    [aux_sym_goto_statement_token1] = ACTIONS(396),
    [aux_sym_continue_statement_token1] = ACTIONS(398),
    [aux_sym_break_statement_token1] = ACTIONS(400),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(402),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(404),
    [aux_sym_do_statement_token1] = ACTIONS(406),
    [aux_sym_for_statement_token1] = ACTIONS(408),
    [aux_sym_foreach_statement_token1] = ACTIONS(410),
    [aux_sym_if_statement_token1] = ACTIONS(412),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(414),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(416),
  },
  [19] = {
    [sym_text_interpolation] = STATE(19),
    [sym_statement] = STATE(2060),
    [sym_empty_statement] = STATE(2140),
    [sym_function_static_declaration] = STATE(2140),
    [sym_global_declaration] = STATE(2140),
    [sym_namespace_definition] = STATE(2140),
    [sym_namespace_use_declaration] = STATE(2140),
    [sym_qualified_name] = STATE(1000),
    [sym__name] = STATE(1631),
    [sym_namespace_name] = STATE(2575),
    [sym_trait_declaration] = STATE(2140),
    [sym_interface_declaration] = STATE(2140),
    [sym_enum_declaration] = STATE(2140),
    [sym_class_declaration] = STATE(2140),
    [sym_final_modifier] = STATE(1335),
    [sym_abstract_modifier] = STATE(1335),
    [sym_readonly_modifier] = STATE(1335),
    [sym_const_declaration] = STATE(2140),
    [sym__const_declaration] = STATE(2141),
    [sym__modifier] = STATE(1334),
    [sym_static_modifier] = STATE(1468),
    [sym_visibility_modifier] = STATE(1335),
    [sym_function_definition] = STATE(2140),
    [sym__function_definition_header] = STATE(2316),
    [sym_anonymous_function] = STATE(1148),
    [sym__anonymous_function_header] = STATE(2489),
    [sym__arrow_function_header] = STATE(2731),
    [sym_arrow_function] = STATE(1148),
    [sym_echo_statement] = STATE(2140),
    [sym_exit_statement] = STATE(2140),
    [sym_unset_statement] = STATE(2140),
    [sym_declare_statement] = STATE(2140),
    [sym_literal] = STATE(1148),
    [sym_try_statement] = STATE(2140),
    [sym_goto_statement] = STATE(2140),
    [sym_continue_statement] = STATE(2140),
    [sym_break_statement] = STATE(2140),
    [sym_return_statement] = STATE(2140),
    [sym_throw_expression] = STATE(1148),
    [sym_while_statement] = STATE(2140),
    [sym_do_statement] = STATE(2140),
    [sym_for_statement] = STATE(2140),
    [sym_foreach_statement] = STATE(2140),
    [sym_if_statement] = STATE(2140),
    [sym_match_expression] = STATE(1152),
    [sym_switch_statement] = STATE(2140),
    [sym_compound_statement] = STATE(2140),
    [sym_named_label_statement] = STATE(2140),
    [sym_expression_statement] = STATE(2140),
    [sym_expression] = STATE(1234),
    [sym__unary_expression] = STATE(1159),
    [sym_unary_op_expression] = STATE(1172),
    [sym_error_suppression_expression] = STATE(1152),
    [sym_clone_expression] = STATE(1172),
    [sym_primary_expression] = STATE(1172),
    [sym_parenthesized_expression] = STATE(964),
    [sym_class_constant_access_expression] = STATE(1019),
    [sym_print_intrinsic] = STATE(1148),
    [sym_object_creation_expression] = STATE(1148),
    [sym__new_non_dereferencable_expression] = STATE(1168),
    [sym__new_dereferencable_expression] = STATE(966),
    [sym_update_expression] = STATE(1148),
    [sym_cast_expression] = STATE(1172),
    [sym_cast_variable] = STATE(661),
    [sym_assignment_expression] = STATE(1152),
    [sym_reference_assignment_expression] = STATE(1152),
    [sym_conditional_expression] = STATE(1152),
    [sym_augmented_assignment_expression] = STATE(1152),
    [sym__variable_member_access_expression] = STATE(674),
    [sym_member_access_expression] = STATE(661),
    [sym__variable_nullsafe_member_access_expression] = STATE(663),
    [sym_nullsafe_member_access_expression] = STATE(661),
    [sym__variable_scoped_property_access_expression] = STATE(664),
    [sym_scoped_property_access_expression] = STATE(661),
    [sym_list_literal] = STATE(2530),
    [sym__list_destructing] = STATE(2405),
    [sym__array_destructing] = STATE(2405),
    [sym_function_call_expression] = STATE(634),
    [sym__callable_expression] = STATE(2471),
    [sym_scoped_call_expression] = STATE(634),
    [sym__scope_resolution_qualifier] = STATE(2651),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(634),
    [sym_nullsafe_member_call_expression] = STATE(634),
    [sym__variable_subscript_expression] = STATE(665),
    [sym__dereferencable_subscript_expression] = STATE(634),
    [sym__dereferencable_expression] = STATE(1946),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(1005),
    [sym_attribute_group] = STATE(1373),
    [sym_attribute_list] = STATE(1344),
    [sym_encapsed_string] = STATE(927),
    [sym_string] = STATE(927),
    [sym_heredoc] = STATE(927),
    [sym_nowdoc] = STATE(927),
    [sym_shell_command_expression] = STATE(1148),
    [sym_boolean] = STATE(1162),
    [sym_null] = STATE(1162),
    [sym__string] = STATE(941),
    [sym_dynamic_variable_name] = STATE(650),
    [sym__simple_variable] = STATE(654),
    [sym__new_variable] = STATE(667),
    [sym__callable_variable] = STATE(629),
    [sym_variable_name] = STATE(650),
    [sym_yield_expression] = STATE(1152),
    [sym_binary_expression] = STATE(1152),
    [sym_include_expression] = STATE(1152),
    [sym_include_once_expression] = STATE(1152),
    [sym_require_expression] = STATE(1152),
    [sym_require_once_expression] = STATE(1152),
    [sym__reserved_identifier] = STATE(717),
    [sym__identifier] = STATE(1496),
    [sym__semicolon] = STATE(2061),
    [aux_sym_class_declaration_repeat1] = STATE(1382),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(362),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(364),
    [aux_sym_function_static_declaration_token1] = ACTIONS(366),
    [aux_sym_global_declaration_token1] = ACTIONS(368),
    [aux_sym_namespace_definition_token1] = ACTIONS(370),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(372),
    [aux_sym__namespace_use_type_token1] = ACTIONS(222),
    [aux_sym__namespace_use_type_token2] = ACTIONS(374),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(376),
    [aux_sym_trait_declaration_token1] = ACTIONS(378),
    [aux_sym_interface_declaration_token1] = ACTIONS(380),
    [aux_sym_enum_declaration_token1] = ACTIONS(382),
    [anon_sym_COLON] = ACTIONS(457),
    [aux_sym_class_declaration_token1] = ACTIONS(384),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [anon_sym_LPAREN2] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(386),
    [aux_sym_exit_statement_token1] = ACTIONS(388),
    [anon_sym_unset] = ACTIONS(390),
    [aux_sym_declare_statement_token1] = ACTIONS(392),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(394),
    [aux_sym_goto_statement_token1] = ACTIONS(396),
    [aux_sym_continue_statement_token1] = ACTIONS(398),
    [aux_sym_break_statement_token1] = ACTIONS(400),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(402),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(404),
    [aux_sym_do_statement_token1] = ACTIONS(406),
    [aux_sym_for_statement_token1] = ACTIONS(408),
    [aux_sym_foreach_statement_token1] = ACTIONS(410),
    [aux_sym_if_statement_token1] = ACTIONS(412),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(414),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(416),
  },
  [20] = {
    [sym_text_interpolation] = STATE(20),
    [sym_statement] = STATE(2063),
    [sym_empty_statement] = STATE(2140),
    [sym_function_static_declaration] = STATE(2140),
    [sym_global_declaration] = STATE(2140),
    [sym_namespace_definition] = STATE(2140),
    [sym_namespace_use_declaration] = STATE(2140),
    [sym_qualified_name] = STATE(1000),
    [sym__name] = STATE(1631),
    [sym_namespace_name] = STATE(2575),
    [sym_trait_declaration] = STATE(2140),
    [sym_interface_declaration] = STATE(2140),
    [sym_enum_declaration] = STATE(2140),
    [sym_class_declaration] = STATE(2140),
    [sym_final_modifier] = STATE(1335),
    [sym_abstract_modifier] = STATE(1335),
    [sym_readonly_modifier] = STATE(1335),
    [sym_const_declaration] = STATE(2140),
    [sym__const_declaration] = STATE(2141),
    [sym__modifier] = STATE(1334),
    [sym_static_modifier] = STATE(1468),
    [sym_visibility_modifier] = STATE(1335),
    [sym_function_definition] = STATE(2140),
    [sym__function_definition_header] = STATE(2316),
    [sym_anonymous_function] = STATE(1148),
    [sym__anonymous_function_header] = STATE(2489),
    [sym__arrow_function_header] = STATE(2731),
    [sym_arrow_function] = STATE(1148),
    [sym_echo_statement] = STATE(2140),
    [sym_exit_statement] = STATE(2140),
    [sym_unset_statement] = STATE(2140),
    [sym_declare_statement] = STATE(2140),
    [sym_literal] = STATE(1148),
    [sym_try_statement] = STATE(2140),
    [sym_goto_statement] = STATE(2140),
    [sym_continue_statement] = STATE(2140),
    [sym_break_statement] = STATE(2140),
    [sym_return_statement] = STATE(2140),
    [sym_throw_expression] = STATE(1148),
    [sym_while_statement] = STATE(2140),
    [sym_do_statement] = STATE(2140),
    [sym_for_statement] = STATE(2140),
    [sym_foreach_statement] = STATE(2140),
    [sym_if_statement] = STATE(2140),
    [sym_match_expression] = STATE(1152),
    [sym_switch_statement] = STATE(2140),
    [sym_compound_statement] = STATE(2140),
    [sym_named_label_statement] = STATE(2140),
    [sym_expression_statement] = STATE(2140),
    [sym_expression] = STATE(1234),
    [sym__unary_expression] = STATE(1159),
    [sym_unary_op_expression] = STATE(1172),
    [sym_error_suppression_expression] = STATE(1152),
    [sym_clone_expression] = STATE(1172),
    [sym_primary_expression] = STATE(1172),
    [sym_parenthesized_expression] = STATE(964),
    [sym_class_constant_access_expression] = STATE(1019),
    [sym_print_intrinsic] = STATE(1148),
    [sym_object_creation_expression] = STATE(1148),
    [sym__new_non_dereferencable_expression] = STATE(1168),
    [sym__new_dereferencable_expression] = STATE(966),
    [sym_update_expression] = STATE(1148),
    [sym_cast_expression] = STATE(1172),
    [sym_cast_variable] = STATE(661),
    [sym_assignment_expression] = STATE(1152),
    [sym_reference_assignment_expression] = STATE(1152),
    [sym_conditional_expression] = STATE(1152),
    [sym_augmented_assignment_expression] = STATE(1152),
    [sym__variable_member_access_expression] = STATE(674),
    [sym_member_access_expression] = STATE(661),
    [sym__variable_nullsafe_member_access_expression] = STATE(663),
    [sym_nullsafe_member_access_expression] = STATE(661),
    [sym__variable_scoped_property_access_expression] = STATE(664),
    [sym_scoped_property_access_expression] = STATE(661),
    [sym_list_literal] = STATE(2530),
    [sym__list_destructing] = STATE(2405),
    [sym__array_destructing] = STATE(2405),
    [sym_function_call_expression] = STATE(634),
    [sym__callable_expression] = STATE(2471),
    [sym_scoped_call_expression] = STATE(634),
    [sym__scope_resolution_qualifier] = STATE(2651),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(634),
    [sym_nullsafe_member_call_expression] = STATE(634),
    [sym__variable_subscript_expression] = STATE(665),
    [sym__dereferencable_subscript_expression] = STATE(634),
    [sym__dereferencable_expression] = STATE(1946),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(1005),
    [sym_attribute_group] = STATE(1373),
    [sym_attribute_list] = STATE(1344),
    [sym_encapsed_string] = STATE(927),
    [sym_string] = STATE(927),
    [sym_heredoc] = STATE(927),
    [sym_nowdoc] = STATE(927),
    [sym_shell_command_expression] = STATE(1148),
    [sym_boolean] = STATE(1162),
    [sym_null] = STATE(1162),
    [sym__string] = STATE(941),
    [sym_dynamic_variable_name] = STATE(650),
    [sym__simple_variable] = STATE(654),
    [sym__new_variable] = STATE(667),
    [sym__callable_variable] = STATE(629),
    [sym_variable_name] = STATE(650),
    [sym_yield_expression] = STATE(1152),
    [sym_binary_expression] = STATE(1152),
    [sym_include_expression] = STATE(1152),
    [sym_include_once_expression] = STATE(1152),
    [sym_require_expression] = STATE(1152),
    [sym_require_once_expression] = STATE(1152),
    [sym__reserved_identifier] = STATE(717),
    [sym__identifier] = STATE(1496),
    [sym__semicolon] = STATE(2064),
    [aux_sym_class_declaration_repeat1] = STATE(1382),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(362),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(364),
    [aux_sym_function_static_declaration_token1] = ACTIONS(366),
    [aux_sym_global_declaration_token1] = ACTIONS(368),
    [aux_sym_namespace_definition_token1] = ACTIONS(370),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(372),
    [aux_sym__namespace_use_type_token1] = ACTIONS(222),
    [aux_sym__namespace_use_type_token2] = ACTIONS(374),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(376),
    [aux_sym_trait_declaration_token1] = ACTIONS(378),
    [aux_sym_interface_declaration_token1] = ACTIONS(380),
    [aux_sym_enum_declaration_token1] = ACTIONS(382),
    [anon_sym_COLON] = ACTIONS(459),
    [aux_sym_class_declaration_token1] = ACTIONS(384),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [anon_sym_LPAREN2] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(386),
    [aux_sym_exit_statement_token1] = ACTIONS(388),
    [anon_sym_unset] = ACTIONS(390),
    [aux_sym_declare_statement_token1] = ACTIONS(392),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(394),
    [aux_sym_goto_statement_token1] = ACTIONS(396),
    [aux_sym_continue_statement_token1] = ACTIONS(398),
    [aux_sym_break_statement_token1] = ACTIONS(400),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(402),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(404),
    [aux_sym_do_statement_token1] = ACTIONS(406),
    [aux_sym_for_statement_token1] = ACTIONS(408),
    [aux_sym_foreach_statement_token1] = ACTIONS(410),
    [aux_sym_if_statement_token1] = ACTIONS(412),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(414),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(416),
  },
  [21] = {
    [sym_text_interpolation] = STATE(21),
    [sym_statement] = STATE(2067),
    [sym_empty_statement] = STATE(2140),
    [sym_function_static_declaration] = STATE(2140),
    [sym_global_declaration] = STATE(2140),
    [sym_namespace_definition] = STATE(2140),
    [sym_namespace_use_declaration] = STATE(2140),
    [sym_qualified_name] = STATE(1000),
    [sym__name] = STATE(1631),
    [sym_namespace_name] = STATE(2575),
    [sym_trait_declaration] = STATE(2140),
    [sym_interface_declaration] = STATE(2140),
    [sym_enum_declaration] = STATE(2140),
    [sym_class_declaration] = STATE(2140),
    [sym_final_modifier] = STATE(1335),
    [sym_abstract_modifier] = STATE(1335),
    [sym_readonly_modifier] = STATE(1335),
    [sym_const_declaration] = STATE(2140),
    [sym__const_declaration] = STATE(2141),
    [sym__modifier] = STATE(1334),
    [sym_static_modifier] = STATE(1468),
    [sym_visibility_modifier] = STATE(1335),
    [sym_function_definition] = STATE(2140),
    [sym__function_definition_header] = STATE(2316),
    [sym_anonymous_function] = STATE(1148),
    [sym__anonymous_function_header] = STATE(2489),
    [sym__arrow_function_header] = STATE(2731),
    [sym_arrow_function] = STATE(1148),
    [sym_echo_statement] = STATE(2140),
    [sym_exit_statement] = STATE(2140),
    [sym_unset_statement] = STATE(2140),
    [sym_declare_statement] = STATE(2140),
    [sym_literal] = STATE(1148),
    [sym_try_statement] = STATE(2140),
    [sym_goto_statement] = STATE(2140),
    [sym_continue_statement] = STATE(2140),
    [sym_break_statement] = STATE(2140),
    [sym_return_statement] = STATE(2140),
    [sym_throw_expression] = STATE(1148),
    [sym_while_statement] = STATE(2140),
    [sym_do_statement] = STATE(2140),
    [sym_for_statement] = STATE(2140),
    [sym_foreach_statement] = STATE(2140),
    [sym_if_statement] = STATE(2140),
    [sym_match_expression] = STATE(1152),
    [sym_switch_statement] = STATE(2140),
    [sym_compound_statement] = STATE(2140),
    [sym_named_label_statement] = STATE(2140),
    [sym_expression_statement] = STATE(2140),
    [sym_expression] = STATE(1234),
    [sym__unary_expression] = STATE(1159),
    [sym_unary_op_expression] = STATE(1172),
    [sym_error_suppression_expression] = STATE(1152),
    [sym_clone_expression] = STATE(1172),
    [sym_primary_expression] = STATE(1172),
    [sym_parenthesized_expression] = STATE(964),
    [sym_class_constant_access_expression] = STATE(1019),
    [sym_print_intrinsic] = STATE(1148),
    [sym_object_creation_expression] = STATE(1148),
    [sym__new_non_dereferencable_expression] = STATE(1168),
    [sym__new_dereferencable_expression] = STATE(966),
    [sym_update_expression] = STATE(1148),
    [sym_cast_expression] = STATE(1172),
    [sym_cast_variable] = STATE(661),
    [sym_assignment_expression] = STATE(1152),
    [sym_reference_assignment_expression] = STATE(1152),
    [sym_conditional_expression] = STATE(1152),
    [sym_augmented_assignment_expression] = STATE(1152),
    [sym__variable_member_access_expression] = STATE(674),
    [sym_member_access_expression] = STATE(661),
    [sym__variable_nullsafe_member_access_expression] = STATE(663),
    [sym_nullsafe_member_access_expression] = STATE(661),
    [sym__variable_scoped_property_access_expression] = STATE(664),
    [sym_scoped_property_access_expression] = STATE(661),
    [sym_list_literal] = STATE(2530),
    [sym__list_destructing] = STATE(2405),
    [sym__array_destructing] = STATE(2405),
    [sym_function_call_expression] = STATE(634),
    [sym__callable_expression] = STATE(2471),
    [sym_scoped_call_expression] = STATE(634),
    [sym__scope_resolution_qualifier] = STATE(2651),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(634),
    [sym_nullsafe_member_call_expression] = STATE(634),
    [sym__variable_subscript_expression] = STATE(665),
    [sym__dereferencable_subscript_expression] = STATE(634),
    [sym__dereferencable_expression] = STATE(1946),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(1005),
    [sym_attribute_group] = STATE(1373),
    [sym_attribute_list] = STATE(1344),
    [sym_encapsed_string] = STATE(927),
    [sym_string] = STATE(927),
    [sym_heredoc] = STATE(927),
    [sym_nowdoc] = STATE(927),
    [sym_shell_command_expression] = STATE(1148),
    [sym_boolean] = STATE(1162),
    [sym_null] = STATE(1162),
    [sym__string] = STATE(941),
    [sym_dynamic_variable_name] = STATE(650),
    [sym__simple_variable] = STATE(654),
    [sym__new_variable] = STATE(667),
    [sym__callable_variable] = STATE(629),
    [sym_variable_name] = STATE(650),
    [sym_yield_expression] = STATE(1152),
    [sym_binary_expression] = STATE(1152),
    [sym_include_expression] = STATE(1152),
    [sym_include_once_expression] = STATE(1152),
    [sym_require_expression] = STATE(1152),
    [sym_require_once_expression] = STATE(1152),
    [sym__reserved_identifier] = STATE(717),
    [sym__identifier] = STATE(1496),
    [sym__semicolon] = STATE(2068),
    [aux_sym_class_declaration_repeat1] = STATE(1382),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(362),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(364),
    [aux_sym_function_static_declaration_token1] = ACTIONS(366),
    [aux_sym_global_declaration_token1] = ACTIONS(368),
    [aux_sym_namespace_definition_token1] = ACTIONS(370),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(372),
    [aux_sym__namespace_use_type_token1] = ACTIONS(222),
    [aux_sym__namespace_use_type_token2] = ACTIONS(374),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(376),
    [aux_sym_trait_declaration_token1] = ACTIONS(378),
    [aux_sym_interface_declaration_token1] = ACTIONS(380),
    [aux_sym_enum_declaration_token1] = ACTIONS(382),
    [anon_sym_COLON] = ACTIONS(461),
    [aux_sym_class_declaration_token1] = ACTIONS(384),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [anon_sym_LPAREN2] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(386),
    [aux_sym_exit_statement_token1] = ACTIONS(388),
    [anon_sym_unset] = ACTIONS(390),
    [aux_sym_declare_statement_token1] = ACTIONS(392),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(394),
    [aux_sym_goto_statement_token1] = ACTIONS(396),
    [aux_sym_continue_statement_token1] = ACTIONS(398),
    [aux_sym_break_statement_token1] = ACTIONS(400),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(402),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(404),
    [aux_sym_do_statement_token1] = ACTIONS(406),
    [aux_sym_for_statement_token1] = ACTIONS(408),
    [aux_sym_foreach_statement_token1] = ACTIONS(410),
    [aux_sym_if_statement_token1] = ACTIONS(412),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(414),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(416),
  },
  [22] = {
    [sym_text_interpolation] = STATE(22),
    [sym_statement] = STATE(473),
    [sym_empty_statement] = STATE(573),
    [sym_function_static_declaration] = STATE(573),
    [sym_global_declaration] = STATE(573),
    [sym_namespace_definition] = STATE(573),
    [sym_namespace_use_declaration] = STATE(573),
    [sym_qualified_name] = STATE(1000),
    [sym__name] = STATE(1631),
    [sym_namespace_name] = STATE(2575),
    [sym_trait_declaration] = STATE(573),
    [sym_interface_declaration] = STATE(573),
    [sym_enum_declaration] = STATE(573),
    [sym_class_declaration] = STATE(573),
    [sym_final_modifier] = STATE(1335),
    [sym_abstract_modifier] = STATE(1335),
    [sym_readonly_modifier] = STATE(1335),
    [sym_const_declaration] = STATE(573),
    [sym__const_declaration] = STATE(517),
    [sym__modifier] = STATE(1334),
    [sym_static_modifier] = STATE(1468),
    [sym_visibility_modifier] = STATE(1335),
    [sym_function_definition] = STATE(573),
    [sym__function_definition_header] = STATE(2470),
    [sym_anonymous_function] = STATE(1148),
    [sym__anonymous_function_header] = STATE(2489),
    [sym__arrow_function_header] = STATE(2731),
    [sym_arrow_function] = STATE(1148),
    [sym_echo_statement] = STATE(573),
    [sym_exit_statement] = STATE(573),
    [sym_unset_statement] = STATE(573),
    [sym_declare_statement] = STATE(573),
    [sym_literal] = STATE(1148),
    [sym_try_statement] = STATE(573),
    [sym_goto_statement] = STATE(573),
    [sym_continue_statement] = STATE(573),
    [sym_break_statement] = STATE(573),
    [sym_return_statement] = STATE(573),
    [sym_throw_expression] = STATE(1148),
    [sym_while_statement] = STATE(573),
    [sym_do_statement] = STATE(573),
    [sym_for_statement] = STATE(573),
    [sym_foreach_statement] = STATE(573),
    [sym_if_statement] = STATE(573),
    [sym_match_expression] = STATE(1152),
    [sym_switch_statement] = STATE(573),
    [sym_compound_statement] = STATE(573),
    [sym_named_label_statement] = STATE(573),
    [sym_expression_statement] = STATE(573),
    [sym_expression] = STATE(1221),
    [sym__unary_expression] = STATE(1159),
    [sym_unary_op_expression] = STATE(1172),
    [sym_error_suppression_expression] = STATE(1152),
    [sym_clone_expression] = STATE(1172),
    [sym_primary_expression] = STATE(1172),
    [sym_parenthesized_expression] = STATE(964),
    [sym_class_constant_access_expression] = STATE(1019),
    [sym_print_intrinsic] = STATE(1148),
    [sym_object_creation_expression] = STATE(1148),
    [sym__new_non_dereferencable_expression] = STATE(1168),
    [sym__new_dereferencable_expression] = STATE(966),
    [sym_update_expression] = STATE(1148),
    [sym_cast_expression] = STATE(1172),
    [sym_cast_variable] = STATE(661),
    [sym_assignment_expression] = STATE(1152),
    [sym_reference_assignment_expression] = STATE(1152),
    [sym_conditional_expression] = STATE(1152),
    [sym_augmented_assignment_expression] = STATE(1152),
    [sym__variable_member_access_expression] = STATE(674),
    [sym_member_access_expression] = STATE(661),
    [sym__variable_nullsafe_member_access_expression] = STATE(663),
    [sym_nullsafe_member_access_expression] = STATE(661),
    [sym__variable_scoped_property_access_expression] = STATE(664),
    [sym_scoped_property_access_expression] = STATE(661),
    [sym_list_literal] = STATE(2530),
    [sym__list_destructing] = STATE(2405),
    [sym__array_destructing] = STATE(2405),
    [sym_function_call_expression] = STATE(634),
    [sym__callable_expression] = STATE(2471),
    [sym_scoped_call_expression] = STATE(634),
    [sym__scope_resolution_qualifier] = STATE(2651),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(634),
    [sym_nullsafe_member_call_expression] = STATE(634),
    [sym__variable_subscript_expression] = STATE(665),
    [sym__dereferencable_subscript_expression] = STATE(634),
    [sym__dereferencable_expression] = STATE(1946),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(1005),
    [sym_attribute_group] = STATE(1373),
    [sym_attribute_list] = STATE(1356),
    [sym_encapsed_string] = STATE(927),
    [sym_string] = STATE(927),
    [sym_heredoc] = STATE(927),
    [sym_nowdoc] = STATE(927),
    [sym_shell_command_expression] = STATE(1148),
    [sym_boolean] = STATE(1162),
    [sym_null] = STATE(1162),
    [sym__string] = STATE(941),
    [sym_dynamic_variable_name] = STATE(650),
    [sym__simple_variable] = STATE(654),
    [sym__new_variable] = STATE(667),
    [sym__callable_variable] = STATE(629),
    [sym_variable_name] = STATE(650),
    [sym_yield_expression] = STATE(1152),
    [sym_binary_expression] = STATE(1152),
    [sym_include_expression] = STATE(1152),
    [sym_include_once_expression] = STATE(1152),
    [sym_require_expression] = STATE(1152),
    [sym_require_once_expression] = STATE(1152),
    [sym__reserved_identifier] = STATE(717),
    [sym__identifier] = STATE(1496),
    [sym__semicolon] = STATE(476),
    [aux_sym_class_declaration_repeat1] = STATE(1381),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(356),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym__namespace_use_type_token1] = ACTIONS(222),
    [aux_sym__namespace_use_type_token2] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [anon_sym_COLON] = ACTIONS(463),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [anon_sym_LPAREN2] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(264),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(280),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(284),
    [aux_sym_foreach_statement_token1] = ACTIONS(286),
    [aux_sym_if_statement_token1] = ACTIONS(288),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(360),
  },
  [23] = {
    [sym_text_interpolation] = STATE(23),
    [sym_statement] = STATE(2100),
    [sym_empty_statement] = STATE(2140),
    [sym_function_static_declaration] = STATE(2140),
    [sym_global_declaration] = STATE(2140),
    [sym_namespace_definition] = STATE(2140),
    [sym_namespace_use_declaration] = STATE(2140),
    [sym_qualified_name] = STATE(1000),
    [sym__name] = STATE(1631),
    [sym_namespace_name] = STATE(2575),
    [sym_trait_declaration] = STATE(2140),
    [sym_interface_declaration] = STATE(2140),
    [sym_enum_declaration] = STATE(2140),
    [sym_class_declaration] = STATE(2140),
    [sym_final_modifier] = STATE(1335),
    [sym_abstract_modifier] = STATE(1335),
    [sym_readonly_modifier] = STATE(1335),
    [sym_const_declaration] = STATE(2140),
    [sym__const_declaration] = STATE(2141),
    [sym__modifier] = STATE(1334),
    [sym_static_modifier] = STATE(1468),
    [sym_visibility_modifier] = STATE(1335),
    [sym_function_definition] = STATE(2140),
    [sym__function_definition_header] = STATE(2316),
    [sym_anonymous_function] = STATE(1148),
    [sym__anonymous_function_header] = STATE(2489),
    [sym__arrow_function_header] = STATE(2731),
    [sym_arrow_function] = STATE(1148),
    [sym_echo_statement] = STATE(2140),
    [sym_exit_statement] = STATE(2140),
    [sym_unset_statement] = STATE(2140),
    [sym_declare_statement] = STATE(2140),
    [sym_literal] = STATE(1148),
    [sym_try_statement] = STATE(2140),
    [sym_goto_statement] = STATE(2140),
    [sym_continue_statement] = STATE(2140),
    [sym_break_statement] = STATE(2140),
    [sym_return_statement] = STATE(2140),
    [sym_throw_expression] = STATE(1148),
    [sym_while_statement] = STATE(2140),
    [sym_do_statement] = STATE(2140),
    [sym_for_statement] = STATE(2140),
    [sym_foreach_statement] = STATE(2140),
    [sym_if_statement] = STATE(2140),
    [sym_match_expression] = STATE(1152),
    [sym_switch_statement] = STATE(2140),
    [sym_compound_statement] = STATE(2140),
    [sym_named_label_statement] = STATE(2140),
    [sym_expression_statement] = STATE(2140),
    [sym_expression] = STATE(1234),
    [sym__unary_expression] = STATE(1159),
    [sym_unary_op_expression] = STATE(1172),
    [sym_error_suppression_expression] = STATE(1152),
    [sym_clone_expression] = STATE(1172),
    [sym_primary_expression] = STATE(1172),
    [sym_parenthesized_expression] = STATE(964),
    [sym_class_constant_access_expression] = STATE(1019),
    [sym_print_intrinsic] = STATE(1148),
    [sym_object_creation_expression] = STATE(1148),
    [sym__new_non_dereferencable_expression] = STATE(1168),
    [sym__new_dereferencable_expression] = STATE(966),
    [sym_update_expression] = STATE(1148),
    [sym_cast_expression] = STATE(1172),
    [sym_cast_variable] = STATE(661),
    [sym_assignment_expression] = STATE(1152),
    [sym_reference_assignment_expression] = STATE(1152),
    [sym_conditional_expression] = STATE(1152),
    [sym_augmented_assignment_expression] = STATE(1152),
    [sym__variable_member_access_expression] = STATE(674),
    [sym_member_access_expression] = STATE(661),
    [sym__variable_nullsafe_member_access_expression] = STATE(663),
    [sym_nullsafe_member_access_expression] = STATE(661),
    [sym__variable_scoped_property_access_expression] = STATE(664),
    [sym_scoped_property_access_expression] = STATE(661),
    [sym_list_literal] = STATE(2530),
    [sym__list_destructing] = STATE(2405),
    [sym__array_destructing] = STATE(2405),
    [sym_function_call_expression] = STATE(634),
    [sym__callable_expression] = STATE(2471),
    [sym_scoped_call_expression] = STATE(634),
    [sym__scope_resolution_qualifier] = STATE(2651),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(634),
    [sym_nullsafe_member_call_expression] = STATE(634),
    [sym__variable_subscript_expression] = STATE(665),
    [sym__dereferencable_subscript_expression] = STATE(634),
    [sym__dereferencable_expression] = STATE(1946),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(1005),
    [sym_attribute_group] = STATE(1373),
    [sym_attribute_list] = STATE(1344),
    [sym_encapsed_string] = STATE(927),
    [sym_string] = STATE(927),
    [sym_heredoc] = STATE(927),
    [sym_nowdoc] = STATE(927),
    [sym_shell_command_expression] = STATE(1148),
    [sym_boolean] = STATE(1162),
    [sym_null] = STATE(1162),
    [sym__string] = STATE(941),
    [sym_dynamic_variable_name] = STATE(650),
    [sym__simple_variable] = STATE(654),
    [sym__new_variable] = STATE(667),
    [sym__callable_variable] = STATE(629),
    [sym_variable_name] = STATE(650),
    [sym_yield_expression] = STATE(1152),
    [sym_binary_expression] = STATE(1152),
    [sym_include_expression] = STATE(1152),
    [sym_include_once_expression] = STATE(1152),
    [sym_require_expression] = STATE(1152),
    [sym_require_once_expression] = STATE(1152),
    [sym__reserved_identifier] = STATE(717),
    [sym__identifier] = STATE(1496),
    [sym__semicolon] = STATE(2101),
    [aux_sym_class_declaration_repeat1] = STATE(1382),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(362),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(364),
    [aux_sym_function_static_declaration_token1] = ACTIONS(366),
    [aux_sym_global_declaration_token1] = ACTIONS(368),
    [aux_sym_namespace_definition_token1] = ACTIONS(370),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(372),
    [aux_sym__namespace_use_type_token1] = ACTIONS(222),
    [aux_sym__namespace_use_type_token2] = ACTIONS(374),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(376),
    [aux_sym_trait_declaration_token1] = ACTIONS(378),
    [aux_sym_interface_declaration_token1] = ACTIONS(380),
    [aux_sym_enum_declaration_token1] = ACTIONS(382),
    [anon_sym_COLON] = ACTIONS(465),
    [aux_sym_class_declaration_token1] = ACTIONS(384),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [anon_sym_LPAREN2] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(386),
    [aux_sym_exit_statement_token1] = ACTIONS(388),
    [anon_sym_unset] = ACTIONS(390),
    [aux_sym_declare_statement_token1] = ACTIONS(392),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(394),
    [aux_sym_goto_statement_token1] = ACTIONS(396),
    [aux_sym_continue_statement_token1] = ACTIONS(398),
    [aux_sym_break_statement_token1] = ACTIONS(400),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(402),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(404),
    [aux_sym_do_statement_token1] = ACTIONS(406),
    [aux_sym_for_statement_token1] = ACTIONS(408),
    [aux_sym_foreach_statement_token1] = ACTIONS(410),
    [aux_sym_if_statement_token1] = ACTIONS(412),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(414),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(416),
  },
  [24] = {
    [sym_text_interpolation] = STATE(24),
    [sym_statement] = STATE(2103),
    [sym_empty_statement] = STATE(2140),
    [sym_function_static_declaration] = STATE(2140),
    [sym_global_declaration] = STATE(2140),
    [sym_namespace_definition] = STATE(2140),
    [sym_namespace_use_declaration] = STATE(2140),
    [sym_qualified_name] = STATE(1000),
    [sym__name] = STATE(1631),
    [sym_namespace_name] = STATE(2575),
    [sym_trait_declaration] = STATE(2140),
    [sym_interface_declaration] = STATE(2140),
    [sym_enum_declaration] = STATE(2140),
    [sym_class_declaration] = STATE(2140),
    [sym_final_modifier] = STATE(1335),
    [sym_abstract_modifier] = STATE(1335),
    [sym_readonly_modifier] = STATE(1335),
    [sym_const_declaration] = STATE(2140),
    [sym__const_declaration] = STATE(2141),
    [sym__modifier] = STATE(1334),
    [sym_static_modifier] = STATE(1468),
    [sym_visibility_modifier] = STATE(1335),
    [sym_function_definition] = STATE(2140),
    [sym__function_definition_header] = STATE(2316),
    [sym_anonymous_function] = STATE(1148),
    [sym__anonymous_function_header] = STATE(2489),
    [sym__arrow_function_header] = STATE(2731),
    [sym_arrow_function] = STATE(1148),
    [sym_echo_statement] = STATE(2140),
    [sym_exit_statement] = STATE(2140),
    [sym_unset_statement] = STATE(2140),
    [sym_declare_statement] = STATE(2140),
    [sym_literal] = STATE(1148),
    [sym_try_statement] = STATE(2140),
    [sym_goto_statement] = STATE(2140),
    [sym_continue_statement] = STATE(2140),
    [sym_break_statement] = STATE(2140),
    [sym_return_statement] = STATE(2140),
    [sym_throw_expression] = STATE(1148),
    [sym_while_statement] = STATE(2140),
    [sym_do_statement] = STATE(2140),
    [sym_for_statement] = STATE(2140),
    [sym_foreach_statement] = STATE(2140),
    [sym_if_statement] = STATE(2140),
    [sym_match_expression] = STATE(1152),
    [sym_switch_statement] = STATE(2140),
    [sym_compound_statement] = STATE(2140),
    [sym_named_label_statement] = STATE(2140),
    [sym_expression_statement] = STATE(2140),
    [sym_expression] = STATE(1234),
    [sym__unary_expression] = STATE(1159),
    [sym_unary_op_expression] = STATE(1172),
    [sym_error_suppression_expression] = STATE(1152),
    [sym_clone_expression] = STATE(1172),
    [sym_primary_expression] = STATE(1172),
    [sym_parenthesized_expression] = STATE(964),
    [sym_class_constant_access_expression] = STATE(1019),
    [sym_print_intrinsic] = STATE(1148),
    [sym_object_creation_expression] = STATE(1148),
    [sym__new_non_dereferencable_expression] = STATE(1168),
    [sym__new_dereferencable_expression] = STATE(966),
    [sym_update_expression] = STATE(1148),
    [sym_cast_expression] = STATE(1172),
    [sym_cast_variable] = STATE(661),
    [sym_assignment_expression] = STATE(1152),
    [sym_reference_assignment_expression] = STATE(1152),
    [sym_conditional_expression] = STATE(1152),
    [sym_augmented_assignment_expression] = STATE(1152),
    [sym__variable_member_access_expression] = STATE(674),
    [sym_member_access_expression] = STATE(661),
    [sym__variable_nullsafe_member_access_expression] = STATE(663),
    [sym_nullsafe_member_access_expression] = STATE(661),
    [sym__variable_scoped_property_access_expression] = STATE(664),
    [sym_scoped_property_access_expression] = STATE(661),
    [sym_list_literal] = STATE(2530),
    [sym__list_destructing] = STATE(2405),
    [sym__array_destructing] = STATE(2405),
    [sym_function_call_expression] = STATE(634),
    [sym__callable_expression] = STATE(2471),
    [sym_scoped_call_expression] = STATE(634),
    [sym__scope_resolution_qualifier] = STATE(2651),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(634),
    [sym_nullsafe_member_call_expression] = STATE(634),
    [sym__variable_subscript_expression] = STATE(665),
    [sym__dereferencable_subscript_expression] = STATE(634),
    [sym__dereferencable_expression] = STATE(1946),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(1005),
    [sym_attribute_group] = STATE(1373),
    [sym_attribute_list] = STATE(1344),
    [sym_encapsed_string] = STATE(927),
    [sym_string] = STATE(927),
    [sym_heredoc] = STATE(927),
    [sym_nowdoc] = STATE(927),
    [sym_shell_command_expression] = STATE(1148),
    [sym_boolean] = STATE(1162),
    [sym_null] = STATE(1162),
    [sym__string] = STATE(941),
    [sym_dynamic_variable_name] = STATE(650),
    [sym__simple_variable] = STATE(654),
    [sym__new_variable] = STATE(667),
    [sym__callable_variable] = STATE(629),
    [sym_variable_name] = STATE(650),
    [sym_yield_expression] = STATE(1152),
    [sym_binary_expression] = STATE(1152),
    [sym_include_expression] = STATE(1152),
    [sym_include_once_expression] = STATE(1152),
    [sym_require_expression] = STATE(1152),
    [sym_require_once_expression] = STATE(1152),
    [sym__reserved_identifier] = STATE(717),
    [sym__identifier] = STATE(1496),
    [sym__semicolon] = STATE(2104),
    [aux_sym_class_declaration_repeat1] = STATE(1382),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(362),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(364),
    [aux_sym_function_static_declaration_token1] = ACTIONS(366),
    [aux_sym_global_declaration_token1] = ACTIONS(368),
    [aux_sym_namespace_definition_token1] = ACTIONS(370),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(372),
    [aux_sym__namespace_use_type_token1] = ACTIONS(222),
    [aux_sym__namespace_use_type_token2] = ACTIONS(374),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(376),
    [aux_sym_trait_declaration_token1] = ACTIONS(378),
    [aux_sym_interface_declaration_token1] = ACTIONS(380),
    [aux_sym_enum_declaration_token1] = ACTIONS(382),
    [anon_sym_COLON] = ACTIONS(467),
    [aux_sym_class_declaration_token1] = ACTIONS(384),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [anon_sym_LPAREN2] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(386),
    [aux_sym_exit_statement_token1] = ACTIONS(388),
    [anon_sym_unset] = ACTIONS(390),
    [aux_sym_declare_statement_token1] = ACTIONS(392),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(394),
    [aux_sym_goto_statement_token1] = ACTIONS(396),
    [aux_sym_continue_statement_token1] = ACTIONS(398),
    [aux_sym_break_statement_token1] = ACTIONS(400),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(402),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(404),
    [aux_sym_do_statement_token1] = ACTIONS(406),
    [aux_sym_for_statement_token1] = ACTIONS(408),
    [aux_sym_foreach_statement_token1] = ACTIONS(410),
    [aux_sym_if_statement_token1] = ACTIONS(412),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(414),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(416),
  },
  [25] = {
    [sym_text_interpolation] = STATE(25),
    [sym_statement] = STATE(2105),
    [sym_empty_statement] = STATE(2140),
    [sym_function_static_declaration] = STATE(2140),
    [sym_global_declaration] = STATE(2140),
    [sym_namespace_definition] = STATE(2140),
    [sym_namespace_use_declaration] = STATE(2140),
    [sym_qualified_name] = STATE(1000),
    [sym__name] = STATE(1631),
    [sym_namespace_name] = STATE(2575),
    [sym_trait_declaration] = STATE(2140),
    [sym_interface_declaration] = STATE(2140),
    [sym_enum_declaration] = STATE(2140),
    [sym_class_declaration] = STATE(2140),
    [sym_final_modifier] = STATE(1335),
    [sym_abstract_modifier] = STATE(1335),
    [sym_readonly_modifier] = STATE(1335),
    [sym_const_declaration] = STATE(2140),
    [sym__const_declaration] = STATE(2141),
    [sym__modifier] = STATE(1334),
    [sym_static_modifier] = STATE(1468),
    [sym_visibility_modifier] = STATE(1335),
    [sym_function_definition] = STATE(2140),
    [sym__function_definition_header] = STATE(2316),
    [sym_anonymous_function] = STATE(1148),
    [sym__anonymous_function_header] = STATE(2489),
    [sym__arrow_function_header] = STATE(2731),
    [sym_arrow_function] = STATE(1148),
    [sym_echo_statement] = STATE(2140),
    [sym_exit_statement] = STATE(2140),
    [sym_unset_statement] = STATE(2140),
    [sym_declare_statement] = STATE(2140),
    [sym_literal] = STATE(1148),
    [sym_try_statement] = STATE(2140),
    [sym_goto_statement] = STATE(2140),
    [sym_continue_statement] = STATE(2140),
    [sym_break_statement] = STATE(2140),
    [sym_return_statement] = STATE(2140),
    [sym_throw_expression] = STATE(1148),
    [sym_while_statement] = STATE(2140),
    [sym_do_statement] = STATE(2140),
    [sym_for_statement] = STATE(2140),
    [sym_foreach_statement] = STATE(2140),
    [sym_if_statement] = STATE(2140),
    [sym_match_expression] = STATE(1152),
    [sym_switch_statement] = STATE(2140),
    [sym_compound_statement] = STATE(2140),
    [sym_named_label_statement] = STATE(2140),
    [sym_expression_statement] = STATE(2140),
    [sym_expression] = STATE(1234),
    [sym__unary_expression] = STATE(1159),
    [sym_unary_op_expression] = STATE(1172),
    [sym_error_suppression_expression] = STATE(1152),
    [sym_clone_expression] = STATE(1172),
    [sym_primary_expression] = STATE(1172),
    [sym_parenthesized_expression] = STATE(964),
    [sym_class_constant_access_expression] = STATE(1019),
    [sym_print_intrinsic] = STATE(1148),
    [sym_object_creation_expression] = STATE(1148),
    [sym__new_non_dereferencable_expression] = STATE(1168),
    [sym__new_dereferencable_expression] = STATE(966),
    [sym_update_expression] = STATE(1148),
    [sym_cast_expression] = STATE(1172),
    [sym_cast_variable] = STATE(661),
    [sym_assignment_expression] = STATE(1152),
    [sym_reference_assignment_expression] = STATE(1152),
    [sym_conditional_expression] = STATE(1152),
    [sym_augmented_assignment_expression] = STATE(1152),
    [sym__variable_member_access_expression] = STATE(674),
    [sym_member_access_expression] = STATE(661),
    [sym__variable_nullsafe_member_access_expression] = STATE(663),
    [sym_nullsafe_member_access_expression] = STATE(661),
    [sym__variable_scoped_property_access_expression] = STATE(664),
    [sym_scoped_property_access_expression] = STATE(661),
    [sym_list_literal] = STATE(2530),
    [sym__list_destructing] = STATE(2405),
    [sym__array_destructing] = STATE(2405),
    [sym_function_call_expression] = STATE(634),
    [sym__callable_expression] = STATE(2471),
    [sym_scoped_call_expression] = STATE(634),
    [sym__scope_resolution_qualifier] = STATE(2651),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(634),
    [sym_nullsafe_member_call_expression] = STATE(634),
    [sym__variable_subscript_expression] = STATE(665),
    [sym__dereferencable_subscript_expression] = STATE(634),
    [sym__dereferencable_expression] = STATE(1946),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(1005),
    [sym_attribute_group] = STATE(1373),
    [sym_attribute_list] = STATE(1344),
    [sym_encapsed_string] = STATE(927),
    [sym_string] = STATE(927),
    [sym_heredoc] = STATE(927),
    [sym_nowdoc] = STATE(927),
    [sym_shell_command_expression] = STATE(1148),
    [sym_boolean] = STATE(1162),
    [sym_null] = STATE(1162),
    [sym__string] = STATE(941),
    [sym_dynamic_variable_name] = STATE(650),
    [sym__simple_variable] = STATE(654),
    [sym__new_variable] = STATE(667),
    [sym__callable_variable] = STATE(629),
    [sym_variable_name] = STATE(650),
    [sym_yield_expression] = STATE(1152),
    [sym_binary_expression] = STATE(1152),
    [sym_include_expression] = STATE(1152),
    [sym_include_once_expression] = STATE(1152),
    [sym_require_expression] = STATE(1152),
    [sym_require_once_expression] = STATE(1152),
    [sym__reserved_identifier] = STATE(717),
    [sym__identifier] = STATE(1496),
    [sym__semicolon] = STATE(2106),
    [aux_sym_class_declaration_repeat1] = STATE(1382),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(362),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(364),
    [aux_sym_function_static_declaration_token1] = ACTIONS(366),
    [aux_sym_global_declaration_token1] = ACTIONS(368),
    [aux_sym_namespace_definition_token1] = ACTIONS(370),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(372),
    [aux_sym__namespace_use_type_token1] = ACTIONS(222),
    [aux_sym__namespace_use_type_token2] = ACTIONS(374),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(376),
    [aux_sym_trait_declaration_token1] = ACTIONS(378),
    [aux_sym_interface_declaration_token1] = ACTIONS(380),
    [aux_sym_enum_declaration_token1] = ACTIONS(382),
    [anon_sym_COLON] = ACTIONS(469),
    [aux_sym_class_declaration_token1] = ACTIONS(384),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [anon_sym_LPAREN2] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(386),
    [aux_sym_exit_statement_token1] = ACTIONS(388),
    [anon_sym_unset] = ACTIONS(390),
    [aux_sym_declare_statement_token1] = ACTIONS(392),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(394),
    [aux_sym_goto_statement_token1] = ACTIONS(396),
    [aux_sym_continue_statement_token1] = ACTIONS(398),
    [aux_sym_break_statement_token1] = ACTIONS(400),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(402),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(404),
    [aux_sym_do_statement_token1] = ACTIONS(406),
    [aux_sym_for_statement_token1] = ACTIONS(408),
    [aux_sym_foreach_statement_token1] = ACTIONS(410),
    [aux_sym_if_statement_token1] = ACTIONS(412),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(414),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(416),
  },
  [26] = {
    [sym_text_interpolation] = STATE(26),
    [sym_statement] = STATE(2129),
    [sym_empty_statement] = STATE(2140),
    [sym_function_static_declaration] = STATE(2140),
    [sym_global_declaration] = STATE(2140),
    [sym_namespace_definition] = STATE(2140),
    [sym_namespace_use_declaration] = STATE(2140),
    [sym_qualified_name] = STATE(1000),
    [sym__name] = STATE(1631),
    [sym_namespace_name] = STATE(2575),
    [sym_trait_declaration] = STATE(2140),
    [sym_interface_declaration] = STATE(2140),
    [sym_enum_declaration] = STATE(2140),
    [sym_class_declaration] = STATE(2140),
    [sym_final_modifier] = STATE(1335),
    [sym_abstract_modifier] = STATE(1335),
    [sym_readonly_modifier] = STATE(1335),
    [sym_const_declaration] = STATE(2140),
    [sym__const_declaration] = STATE(2141),
    [sym__modifier] = STATE(1334),
    [sym_static_modifier] = STATE(1468),
    [sym_visibility_modifier] = STATE(1335),
    [sym_function_definition] = STATE(2140),
    [sym__function_definition_header] = STATE(2316),
    [sym_anonymous_function] = STATE(1148),
    [sym__anonymous_function_header] = STATE(2489),
    [sym__arrow_function_header] = STATE(2731),
    [sym_arrow_function] = STATE(1148),
    [sym_echo_statement] = STATE(2140),
    [sym_exit_statement] = STATE(2140),
    [sym_unset_statement] = STATE(2140),
    [sym_declare_statement] = STATE(2140),
    [sym_literal] = STATE(1148),
    [sym_try_statement] = STATE(2140),
    [sym_goto_statement] = STATE(2140),
    [sym_continue_statement] = STATE(2140),
    [sym_break_statement] = STATE(2140),
    [sym_return_statement] = STATE(2140),
    [sym_throw_expression] = STATE(1148),
    [sym_while_statement] = STATE(2140),
    [sym_do_statement] = STATE(2140),
    [sym_for_statement] = STATE(2140),
    [sym_foreach_statement] = STATE(2140),
    [sym_if_statement] = STATE(2140),
    [sym_match_expression] = STATE(1152),
    [sym_switch_statement] = STATE(2140),
    [sym_compound_statement] = STATE(2140),
    [sym_named_label_statement] = STATE(2140),
    [sym_expression_statement] = STATE(2140),
    [sym_expression] = STATE(1234),
    [sym__unary_expression] = STATE(1159),
    [sym_unary_op_expression] = STATE(1172),
    [sym_error_suppression_expression] = STATE(1152),
    [sym_clone_expression] = STATE(1172),
    [sym_primary_expression] = STATE(1172),
    [sym_parenthesized_expression] = STATE(964),
    [sym_class_constant_access_expression] = STATE(1019),
    [sym_print_intrinsic] = STATE(1148),
    [sym_object_creation_expression] = STATE(1148),
    [sym__new_non_dereferencable_expression] = STATE(1168),
    [sym__new_dereferencable_expression] = STATE(966),
    [sym_update_expression] = STATE(1148),
    [sym_cast_expression] = STATE(1172),
    [sym_cast_variable] = STATE(661),
    [sym_assignment_expression] = STATE(1152),
    [sym_reference_assignment_expression] = STATE(1152),
    [sym_conditional_expression] = STATE(1152),
    [sym_augmented_assignment_expression] = STATE(1152),
    [sym__variable_member_access_expression] = STATE(674),
    [sym_member_access_expression] = STATE(661),
    [sym__variable_nullsafe_member_access_expression] = STATE(663),
    [sym_nullsafe_member_access_expression] = STATE(661),
    [sym__variable_scoped_property_access_expression] = STATE(664),
    [sym_scoped_property_access_expression] = STATE(661),
    [sym_list_literal] = STATE(2530),
    [sym__list_destructing] = STATE(2405),
    [sym__array_destructing] = STATE(2405),
    [sym_function_call_expression] = STATE(634),
    [sym__callable_expression] = STATE(2471),
    [sym_scoped_call_expression] = STATE(634),
    [sym__scope_resolution_qualifier] = STATE(2651),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(634),
    [sym_nullsafe_member_call_expression] = STATE(634),
    [sym__variable_subscript_expression] = STATE(665),
    [sym__dereferencable_subscript_expression] = STATE(634),
    [sym__dereferencable_expression] = STATE(1946),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(1005),
    [sym_attribute_group] = STATE(1373),
    [sym_attribute_list] = STATE(1344),
    [sym_encapsed_string] = STATE(927),
    [sym_string] = STATE(927),
    [sym_heredoc] = STATE(927),
    [sym_nowdoc] = STATE(927),
    [sym_shell_command_expression] = STATE(1148),
    [sym_boolean] = STATE(1162),
    [sym_null] = STATE(1162),
    [sym__string] = STATE(941),
    [sym_dynamic_variable_name] = STATE(650),
    [sym__simple_variable] = STATE(654),
    [sym__new_variable] = STATE(667),
    [sym__callable_variable] = STATE(629),
    [sym_variable_name] = STATE(650),
    [sym_yield_expression] = STATE(1152),
    [sym_binary_expression] = STATE(1152),
    [sym_include_expression] = STATE(1152),
    [sym_include_once_expression] = STATE(1152),
    [sym_require_expression] = STATE(1152),
    [sym_require_once_expression] = STATE(1152),
    [sym__reserved_identifier] = STATE(717),
    [sym__identifier] = STATE(1496),
    [sym__semicolon] = STATE(2130),
    [aux_sym_class_declaration_repeat1] = STATE(1382),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(362),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(364),
    [aux_sym_function_static_declaration_token1] = ACTIONS(366),
    [aux_sym_global_declaration_token1] = ACTIONS(368),
    [aux_sym_namespace_definition_token1] = ACTIONS(370),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(372),
    [aux_sym__namespace_use_type_token1] = ACTIONS(222),
    [aux_sym__namespace_use_type_token2] = ACTIONS(374),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(376),
    [aux_sym_trait_declaration_token1] = ACTIONS(378),
    [aux_sym_interface_declaration_token1] = ACTIONS(380),
    [aux_sym_enum_declaration_token1] = ACTIONS(382),
    [anon_sym_COLON] = ACTIONS(471),
    [aux_sym_class_declaration_token1] = ACTIONS(384),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [anon_sym_LPAREN2] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(386),
    [aux_sym_exit_statement_token1] = ACTIONS(388),
    [anon_sym_unset] = ACTIONS(390),
    [aux_sym_declare_statement_token1] = ACTIONS(392),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(394),
    [aux_sym_goto_statement_token1] = ACTIONS(396),
    [aux_sym_continue_statement_token1] = ACTIONS(398),
    [aux_sym_break_statement_token1] = ACTIONS(400),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(402),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(404),
    [aux_sym_do_statement_token1] = ACTIONS(406),
    [aux_sym_for_statement_token1] = ACTIONS(408),
    [aux_sym_foreach_statement_token1] = ACTIONS(410),
    [aux_sym_if_statement_token1] = ACTIONS(412),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(414),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(416),
  },
  [27] = {
    [sym_text_interpolation] = STATE(27),
    [sym_statement] = STATE(574),
    [sym_empty_statement] = STATE(573),
    [sym_function_static_declaration] = STATE(573),
    [sym_global_declaration] = STATE(573),
    [sym_namespace_definition] = STATE(573),
    [sym_namespace_use_declaration] = STATE(573),
    [sym_qualified_name] = STATE(1000),
    [sym__name] = STATE(1631),
    [sym_namespace_name] = STATE(2575),
    [sym_trait_declaration] = STATE(573),
    [sym_interface_declaration] = STATE(573),
    [sym_enum_declaration] = STATE(573),
    [sym_class_declaration] = STATE(573),
    [sym_final_modifier] = STATE(1335),
    [sym_abstract_modifier] = STATE(1335),
    [sym_readonly_modifier] = STATE(1335),
    [sym_const_declaration] = STATE(573),
    [sym__const_declaration] = STATE(517),
    [sym__modifier] = STATE(1334),
    [sym_static_modifier] = STATE(1468),
    [sym_visibility_modifier] = STATE(1335),
    [sym_function_definition] = STATE(573),
    [sym__function_definition_header] = STATE(2470),
    [sym_anonymous_function] = STATE(1148),
    [sym__anonymous_function_header] = STATE(2489),
    [sym__arrow_function_header] = STATE(2731),
    [sym_arrow_function] = STATE(1148),
    [sym_echo_statement] = STATE(573),
    [sym_exit_statement] = STATE(573),
    [sym_unset_statement] = STATE(573),
    [sym_declare_statement] = STATE(573),
    [sym_literal] = STATE(1148),
    [sym_try_statement] = STATE(573),
    [sym_goto_statement] = STATE(573),
    [sym_continue_statement] = STATE(573),
    [sym_break_statement] = STATE(573),
    [sym_return_statement] = STATE(573),
    [sym_throw_expression] = STATE(1148),
    [sym_while_statement] = STATE(573),
    [sym_do_statement] = STATE(573),
    [sym_for_statement] = STATE(573),
    [sym_foreach_statement] = STATE(573),
    [sym_if_statement] = STATE(573),
    [sym_match_expression] = STATE(1152),
    [sym_switch_statement] = STATE(573),
    [sym_compound_statement] = STATE(573),
    [sym_named_label_statement] = STATE(573),
    [sym_expression_statement] = STATE(573),
    [sym_expression] = STATE(1221),
    [sym__unary_expression] = STATE(1159),
    [sym_unary_op_expression] = STATE(1172),
    [sym_error_suppression_expression] = STATE(1152),
    [sym_clone_expression] = STATE(1172),
    [sym_primary_expression] = STATE(1172),
    [sym_parenthesized_expression] = STATE(964),
    [sym_class_constant_access_expression] = STATE(1019),
    [sym_print_intrinsic] = STATE(1148),
    [sym_object_creation_expression] = STATE(1148),
    [sym__new_non_dereferencable_expression] = STATE(1168),
    [sym__new_dereferencable_expression] = STATE(966),
    [sym_update_expression] = STATE(1148),
    [sym_cast_expression] = STATE(1172),
    [sym_cast_variable] = STATE(661),
    [sym_assignment_expression] = STATE(1152),
    [sym_reference_assignment_expression] = STATE(1152),
    [sym_conditional_expression] = STATE(1152),
    [sym_augmented_assignment_expression] = STATE(1152),
    [sym__variable_member_access_expression] = STATE(674),
    [sym_member_access_expression] = STATE(661),
    [sym__variable_nullsafe_member_access_expression] = STATE(663),
    [sym_nullsafe_member_access_expression] = STATE(661),
    [sym__variable_scoped_property_access_expression] = STATE(664),
    [sym_scoped_property_access_expression] = STATE(661),
    [sym_list_literal] = STATE(2530),
    [sym__list_destructing] = STATE(2405),
    [sym__array_destructing] = STATE(2405),
    [sym_function_call_expression] = STATE(634),
    [sym__callable_expression] = STATE(2471),
    [sym_scoped_call_expression] = STATE(634),
    [sym__scope_resolution_qualifier] = STATE(2651),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(634),
    [sym_nullsafe_member_call_expression] = STATE(634),
    [sym__variable_subscript_expression] = STATE(665),
    [sym__dereferencable_subscript_expression] = STATE(634),
    [sym__dereferencable_expression] = STATE(1946),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(1005),
    [sym_attribute_group] = STATE(1373),
    [sym_attribute_list] = STATE(1356),
    [sym_encapsed_string] = STATE(927),
    [sym_string] = STATE(927),
    [sym_heredoc] = STATE(927),
    [sym_nowdoc] = STATE(927),
    [sym_shell_command_expression] = STATE(1148),
    [sym_boolean] = STATE(1162),
    [sym_null] = STATE(1162),
    [sym__string] = STATE(941),
    [sym_dynamic_variable_name] = STATE(650),
    [sym__simple_variable] = STATE(654),
    [sym__new_variable] = STATE(667),
    [sym__callable_variable] = STATE(629),
    [sym_variable_name] = STATE(650),
    [sym_yield_expression] = STATE(1152),
    [sym_binary_expression] = STATE(1152),
    [sym_include_expression] = STATE(1152),
    [sym_include_once_expression] = STATE(1152),
    [sym_require_expression] = STATE(1152),
    [sym_require_once_expression] = STATE(1152),
    [sym__reserved_identifier] = STATE(717),
    [sym__identifier] = STATE(1496),
    [sym__semicolon] = STATE(576),
    [aux_sym_class_declaration_repeat1] = STATE(1381),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(356),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym__namespace_use_type_token1] = ACTIONS(222),
    [aux_sym__namespace_use_type_token2] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [anon_sym_COLON] = ACTIONS(473),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [anon_sym_LPAREN2] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(264),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(280),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(284),
    [aux_sym_foreach_statement_token1] = ACTIONS(286),
    [aux_sym_if_statement_token1] = ACTIONS(288),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(360),
  },
  [28] = {
    [sym_text_interpolation] = STATE(28),
    [sym_statement] = STATE(499),
    [sym_empty_statement] = STATE(573),
    [sym_function_static_declaration] = STATE(573),
    [sym_global_declaration] = STATE(573),
    [sym_namespace_definition] = STATE(573),
    [sym_namespace_use_declaration] = STATE(573),
    [sym_qualified_name] = STATE(1000),
    [sym__name] = STATE(1631),
    [sym_namespace_name] = STATE(2575),
    [sym_trait_declaration] = STATE(573),
    [sym_interface_declaration] = STATE(573),
    [sym_enum_declaration] = STATE(573),
    [sym_class_declaration] = STATE(573),
    [sym_final_modifier] = STATE(1335),
    [sym_abstract_modifier] = STATE(1335),
    [sym_readonly_modifier] = STATE(1335),
    [sym_const_declaration] = STATE(573),
    [sym__const_declaration] = STATE(517),
    [sym__modifier] = STATE(1334),
    [sym_static_modifier] = STATE(1468),
    [sym_visibility_modifier] = STATE(1335),
    [sym_function_definition] = STATE(573),
    [sym__function_definition_header] = STATE(2470),
    [sym_anonymous_function] = STATE(1148),
    [sym__anonymous_function_header] = STATE(2489),
    [sym__arrow_function_header] = STATE(2731),
    [sym_arrow_function] = STATE(1148),
    [sym_echo_statement] = STATE(573),
    [sym_exit_statement] = STATE(573),
    [sym_unset_statement] = STATE(573),
    [sym_declare_statement] = STATE(573),
    [sym_literal] = STATE(1148),
    [sym_try_statement] = STATE(573),
    [sym_goto_statement] = STATE(573),
    [sym_continue_statement] = STATE(573),
    [sym_break_statement] = STATE(573),
    [sym_return_statement] = STATE(573),
    [sym_throw_expression] = STATE(1148),
    [sym_while_statement] = STATE(573),
    [sym_do_statement] = STATE(573),
    [sym_for_statement] = STATE(573),
    [sym_foreach_statement] = STATE(573),
    [sym_if_statement] = STATE(573),
    [sym_match_expression] = STATE(1152),
    [sym_switch_statement] = STATE(573),
    [sym_compound_statement] = STATE(573),
    [sym_named_label_statement] = STATE(573),
    [sym_expression_statement] = STATE(573),
    [sym_expression] = STATE(1221),
    [sym__unary_expression] = STATE(1159),
    [sym_unary_op_expression] = STATE(1172),
    [sym_error_suppression_expression] = STATE(1152),
    [sym_clone_expression] = STATE(1172),
    [sym_primary_expression] = STATE(1172),
    [sym_parenthesized_expression] = STATE(964),
    [sym_class_constant_access_expression] = STATE(1019),
    [sym_print_intrinsic] = STATE(1148),
    [sym_object_creation_expression] = STATE(1148),
    [sym__new_non_dereferencable_expression] = STATE(1168),
    [sym__new_dereferencable_expression] = STATE(966),
    [sym_update_expression] = STATE(1148),
    [sym_cast_expression] = STATE(1172),
    [sym_cast_variable] = STATE(661),
    [sym_assignment_expression] = STATE(1152),
    [sym_reference_assignment_expression] = STATE(1152),
    [sym_conditional_expression] = STATE(1152),
    [sym_augmented_assignment_expression] = STATE(1152),
    [sym__variable_member_access_expression] = STATE(674),
    [sym_member_access_expression] = STATE(661),
    [sym__variable_nullsafe_member_access_expression] = STATE(663),
    [sym_nullsafe_member_access_expression] = STATE(661),
    [sym__variable_scoped_property_access_expression] = STATE(664),
    [sym_scoped_property_access_expression] = STATE(661),
    [sym_list_literal] = STATE(2530),
    [sym__list_destructing] = STATE(2405),
    [sym__array_destructing] = STATE(2405),
    [sym_function_call_expression] = STATE(634),
    [sym__callable_expression] = STATE(2471),
    [sym_scoped_call_expression] = STATE(634),
    [sym__scope_resolution_qualifier] = STATE(2651),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(634),
    [sym_nullsafe_member_call_expression] = STATE(634),
    [sym__variable_subscript_expression] = STATE(665),
    [sym__dereferencable_subscript_expression] = STATE(634),
    [sym__dereferencable_expression] = STATE(1946),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(1005),
    [sym_attribute_group] = STATE(1373),
    [sym_attribute_list] = STATE(1356),
    [sym_encapsed_string] = STATE(927),
    [sym_string] = STATE(927),
    [sym_heredoc] = STATE(927),
    [sym_nowdoc] = STATE(927),
    [sym_shell_command_expression] = STATE(1148),
    [sym_boolean] = STATE(1162),
    [sym_null] = STATE(1162),
    [sym__string] = STATE(941),
    [sym_dynamic_variable_name] = STATE(650),
    [sym__simple_variable] = STATE(654),
    [sym__new_variable] = STATE(667),
    [sym__callable_variable] = STATE(629),
    [sym_variable_name] = STATE(650),
    [sym_yield_expression] = STATE(1152),
    [sym_binary_expression] = STATE(1152),
    [sym_include_expression] = STATE(1152),
    [sym_include_once_expression] = STATE(1152),
    [sym_require_expression] = STATE(1152),
    [sym_require_once_expression] = STATE(1152),
    [sym__reserved_identifier] = STATE(717),
    [sym__identifier] = STATE(1496),
    [sym__semicolon] = STATE(499),
    [aux_sym_class_declaration_repeat1] = STATE(1381),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(356),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym__namespace_use_type_token1] = ACTIONS(222),
    [aux_sym__namespace_use_type_token2] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [anon_sym_COLON] = ACTIONS(475),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [anon_sym_LPAREN2] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(264),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(280),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(284),
    [aux_sym_foreach_statement_token1] = ACTIONS(286),
    [aux_sym_if_statement_token1] = ACTIONS(288),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(360),
  },
  [29] = {
    [sym_text_interpolation] = STATE(29),
    [sym_statement] = STATE(499),
    [sym_empty_statement] = STATE(573),
    [sym_function_static_declaration] = STATE(573),
    [sym_global_declaration] = STATE(573),
    [sym_namespace_definition] = STATE(573),
    [sym_namespace_use_declaration] = STATE(573),
    [sym_qualified_name] = STATE(1000),
    [sym__name] = STATE(1631),
    [sym_namespace_name] = STATE(2575),
    [sym_trait_declaration] = STATE(573),
    [sym_interface_declaration] = STATE(573),
    [sym_enum_declaration] = STATE(573),
    [sym_class_declaration] = STATE(573),
    [sym_final_modifier] = STATE(1335),
    [sym_abstract_modifier] = STATE(1335),
    [sym_readonly_modifier] = STATE(1335),
    [sym_const_declaration] = STATE(573),
    [sym__const_declaration] = STATE(517),
    [sym__modifier] = STATE(1334),
    [sym_static_modifier] = STATE(1468),
    [sym_visibility_modifier] = STATE(1335),
    [sym_function_definition] = STATE(573),
    [sym__function_definition_header] = STATE(2470),
    [sym_anonymous_function] = STATE(1148),
    [sym__anonymous_function_header] = STATE(2489),
    [sym__arrow_function_header] = STATE(2731),
    [sym_arrow_function] = STATE(1148),
    [sym_echo_statement] = STATE(573),
    [sym_exit_statement] = STATE(573),
    [sym_unset_statement] = STATE(573),
    [sym_declare_statement] = STATE(573),
    [sym_literal] = STATE(1148),
    [sym_try_statement] = STATE(573),
    [sym_goto_statement] = STATE(573),
    [sym_continue_statement] = STATE(573),
    [sym_break_statement] = STATE(573),
    [sym_return_statement] = STATE(573),
    [sym_throw_expression] = STATE(1148),
    [sym_while_statement] = STATE(573),
    [sym_do_statement] = STATE(573),
    [sym_for_statement] = STATE(573),
    [sym_foreach_statement] = STATE(573),
    [sym_if_statement] = STATE(573),
    [sym_match_expression] = STATE(1152),
    [sym_switch_statement] = STATE(573),
    [sym_compound_statement] = STATE(573),
    [sym_named_label_statement] = STATE(573),
    [sym_expression_statement] = STATE(573),
    [sym_expression] = STATE(1221),
    [sym__unary_expression] = STATE(1159),
    [sym_unary_op_expression] = STATE(1172),
    [sym_error_suppression_expression] = STATE(1152),
    [sym_clone_expression] = STATE(1172),
    [sym_primary_expression] = STATE(1172),
    [sym_parenthesized_expression] = STATE(964),
    [sym_class_constant_access_expression] = STATE(1019),
    [sym_print_intrinsic] = STATE(1148),
    [sym_object_creation_expression] = STATE(1148),
    [sym__new_non_dereferencable_expression] = STATE(1168),
    [sym__new_dereferencable_expression] = STATE(966),
    [sym_update_expression] = STATE(1148),
    [sym_cast_expression] = STATE(1172),
    [sym_cast_variable] = STATE(661),
    [sym_assignment_expression] = STATE(1152),
    [sym_reference_assignment_expression] = STATE(1152),
    [sym_conditional_expression] = STATE(1152),
    [sym_augmented_assignment_expression] = STATE(1152),
    [sym__variable_member_access_expression] = STATE(674),
    [sym_member_access_expression] = STATE(661),
    [sym__variable_nullsafe_member_access_expression] = STATE(663),
    [sym_nullsafe_member_access_expression] = STATE(661),
    [sym__variable_scoped_property_access_expression] = STATE(664),
    [sym_scoped_property_access_expression] = STATE(661),
    [sym_list_literal] = STATE(2530),
    [sym__list_destructing] = STATE(2405),
    [sym__array_destructing] = STATE(2405),
    [sym_function_call_expression] = STATE(634),
    [sym__callable_expression] = STATE(2471),
    [sym_scoped_call_expression] = STATE(634),
    [sym__scope_resolution_qualifier] = STATE(2651),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(634),
    [sym_nullsafe_member_call_expression] = STATE(634),
    [sym__variable_subscript_expression] = STATE(665),
    [sym__dereferencable_subscript_expression] = STATE(634),
    [sym__dereferencable_expression] = STATE(1946),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(1005),
    [sym_attribute_group] = STATE(1373),
    [sym_attribute_list] = STATE(1356),
    [sym_encapsed_string] = STATE(927),
    [sym_string] = STATE(927),
    [sym_heredoc] = STATE(927),
    [sym_nowdoc] = STATE(927),
    [sym_shell_command_expression] = STATE(1148),
    [sym_boolean] = STATE(1162),
    [sym_null] = STATE(1162),
    [sym__string] = STATE(941),
    [sym_dynamic_variable_name] = STATE(650),
    [sym__simple_variable] = STATE(654),
    [sym__new_variable] = STATE(667),
    [sym__callable_variable] = STATE(629),
    [sym_variable_name] = STATE(650),
    [sym_yield_expression] = STATE(1152),
    [sym_binary_expression] = STATE(1152),
    [sym_include_expression] = STATE(1152),
    [sym_include_once_expression] = STATE(1152),
    [sym_require_expression] = STATE(1152),
    [sym_require_once_expression] = STATE(1152),
    [sym__reserved_identifier] = STATE(717),
    [sym__identifier] = STATE(1496),
    [sym__semicolon] = STATE(499),
    [aux_sym_class_declaration_repeat1] = STATE(1381),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(356),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym__namespace_use_type_token1] = ACTIONS(222),
    [aux_sym__namespace_use_type_token2] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [anon_sym_COLON] = ACTIONS(475),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [anon_sym_LPAREN2] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(433),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(435),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(437),
    [aux_sym_foreach_statement_token1] = ACTIONS(439),
    [aux_sym_if_statement_token1] = ACTIONS(441),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(360),
  },
  [30] = {
    [sym_text_interpolation] = STATE(30),
    [sym_statement] = STATE(514),
    [sym_empty_statement] = STATE(573),
    [sym_function_static_declaration] = STATE(573),
    [sym_global_declaration] = STATE(573),
    [sym_namespace_definition] = STATE(573),
    [sym_namespace_use_declaration] = STATE(573),
    [sym_qualified_name] = STATE(1000),
    [sym__name] = STATE(1631),
    [sym_namespace_name] = STATE(2575),
    [sym_trait_declaration] = STATE(573),
    [sym_interface_declaration] = STATE(573),
    [sym_enum_declaration] = STATE(573),
    [sym_class_declaration] = STATE(573),
    [sym_final_modifier] = STATE(1335),
    [sym_abstract_modifier] = STATE(1335),
    [sym_readonly_modifier] = STATE(1335),
    [sym_const_declaration] = STATE(573),
    [sym__const_declaration] = STATE(517),
    [sym__modifier] = STATE(1334),
    [sym_static_modifier] = STATE(1468),
    [sym_visibility_modifier] = STATE(1335),
    [sym_function_definition] = STATE(573),
    [sym__function_definition_header] = STATE(2470),
    [sym_anonymous_function] = STATE(1148),
    [sym__anonymous_function_header] = STATE(2489),
    [sym__arrow_function_header] = STATE(2731),
    [sym_arrow_function] = STATE(1148),
    [sym_echo_statement] = STATE(573),
    [sym_exit_statement] = STATE(573),
    [sym_unset_statement] = STATE(573),
    [sym_declare_statement] = STATE(573),
    [sym_literal] = STATE(1148),
    [sym_try_statement] = STATE(573),
    [sym_goto_statement] = STATE(573),
    [sym_continue_statement] = STATE(573),
    [sym_break_statement] = STATE(573),
    [sym_return_statement] = STATE(573),
    [sym_throw_expression] = STATE(1148),
    [sym_while_statement] = STATE(573),
    [sym_do_statement] = STATE(573),
    [sym_for_statement] = STATE(573),
    [sym_foreach_statement] = STATE(573),
    [sym_if_statement] = STATE(573),
    [sym_match_expression] = STATE(1152),
    [sym_switch_statement] = STATE(573),
    [sym_compound_statement] = STATE(573),
    [sym_named_label_statement] = STATE(573),
    [sym_expression_statement] = STATE(573),
    [sym_expression] = STATE(1221),
    [sym__unary_expression] = STATE(1159),
    [sym_unary_op_expression] = STATE(1172),
    [sym_error_suppression_expression] = STATE(1152),
    [sym_clone_expression] = STATE(1172),
    [sym_primary_expression] = STATE(1172),
    [sym_parenthesized_expression] = STATE(964),
    [sym_class_constant_access_expression] = STATE(1019),
    [sym_print_intrinsic] = STATE(1148),
    [sym_object_creation_expression] = STATE(1148),
    [sym__new_non_dereferencable_expression] = STATE(1168),
    [sym__new_dereferencable_expression] = STATE(966),
    [sym_update_expression] = STATE(1148),
    [sym_cast_expression] = STATE(1172),
    [sym_cast_variable] = STATE(661),
    [sym_assignment_expression] = STATE(1152),
    [sym_reference_assignment_expression] = STATE(1152),
    [sym_conditional_expression] = STATE(1152),
    [sym_augmented_assignment_expression] = STATE(1152),
    [sym__variable_member_access_expression] = STATE(674),
    [sym_member_access_expression] = STATE(661),
    [sym__variable_nullsafe_member_access_expression] = STATE(663),
    [sym_nullsafe_member_access_expression] = STATE(661),
    [sym__variable_scoped_property_access_expression] = STATE(664),
    [sym_scoped_property_access_expression] = STATE(661),
    [sym_list_literal] = STATE(2530),
    [sym__list_destructing] = STATE(2405),
    [sym__array_destructing] = STATE(2405),
    [sym_function_call_expression] = STATE(634),
    [sym__callable_expression] = STATE(2471),
    [sym_scoped_call_expression] = STATE(634),
    [sym__scope_resolution_qualifier] = STATE(2651),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(634),
    [sym_nullsafe_member_call_expression] = STATE(634),
    [sym__variable_subscript_expression] = STATE(665),
    [sym__dereferencable_subscript_expression] = STATE(634),
    [sym__dereferencable_expression] = STATE(1946),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(1005),
    [sym_attribute_group] = STATE(1373),
    [sym_attribute_list] = STATE(1356),
    [sym_encapsed_string] = STATE(927),
    [sym_string] = STATE(927),
    [sym_heredoc] = STATE(927),
    [sym_nowdoc] = STATE(927),
    [sym_shell_command_expression] = STATE(1148),
    [sym_boolean] = STATE(1162),
    [sym_null] = STATE(1162),
    [sym__string] = STATE(941),
    [sym_dynamic_variable_name] = STATE(650),
    [sym__simple_variable] = STATE(654),
    [sym__new_variable] = STATE(667),
    [sym__callable_variable] = STATE(629),
    [sym_variable_name] = STATE(650),
    [sym_yield_expression] = STATE(1152),
    [sym_binary_expression] = STATE(1152),
    [sym_include_expression] = STATE(1152),
    [sym_include_once_expression] = STATE(1152),
    [sym_require_expression] = STATE(1152),
    [sym_require_once_expression] = STATE(1152),
    [sym__reserved_identifier] = STATE(717),
    [sym__identifier] = STATE(1496),
    [sym__semicolon] = STATE(544),
    [aux_sym_class_declaration_repeat1] = STATE(1381),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(356),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym__namespace_use_type_token1] = ACTIONS(222),
    [aux_sym__namespace_use_type_token2] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [anon_sym_COLON] = ACTIONS(477),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [anon_sym_LPAREN2] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(264),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(280),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(284),
    [aux_sym_foreach_statement_token1] = ACTIONS(286),
    [aux_sym_if_statement_token1] = ACTIONS(288),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(360),
  },
  [31] = {
    [sym_text_interpolation] = STATE(31),
    [sym_statement] = STATE(574),
    [sym_empty_statement] = STATE(573),
    [sym_function_static_declaration] = STATE(573),
    [sym_global_declaration] = STATE(573),
    [sym_namespace_definition] = STATE(573),
    [sym_namespace_use_declaration] = STATE(573),
    [sym_qualified_name] = STATE(1000),
    [sym__name] = STATE(1631),
    [sym_namespace_name] = STATE(2575),
    [sym_trait_declaration] = STATE(573),
    [sym_interface_declaration] = STATE(573),
    [sym_enum_declaration] = STATE(573),
    [sym_class_declaration] = STATE(573),
    [sym_final_modifier] = STATE(1335),
    [sym_abstract_modifier] = STATE(1335),
    [sym_readonly_modifier] = STATE(1335),
    [sym_const_declaration] = STATE(573),
    [sym__const_declaration] = STATE(517),
    [sym__modifier] = STATE(1334),
    [sym_static_modifier] = STATE(1468),
    [sym_visibility_modifier] = STATE(1335),
    [sym_function_definition] = STATE(573),
    [sym__function_definition_header] = STATE(2470),
    [sym_anonymous_function] = STATE(1148),
    [sym__anonymous_function_header] = STATE(2489),
    [sym__arrow_function_header] = STATE(2731),
    [sym_arrow_function] = STATE(1148),
    [sym_echo_statement] = STATE(573),
    [sym_exit_statement] = STATE(573),
    [sym_unset_statement] = STATE(573),
    [sym_declare_statement] = STATE(573),
    [sym_literal] = STATE(1148),
    [sym_try_statement] = STATE(573),
    [sym_goto_statement] = STATE(573),
    [sym_continue_statement] = STATE(573),
    [sym_break_statement] = STATE(573),
    [sym_return_statement] = STATE(573),
    [sym_throw_expression] = STATE(1148),
    [sym_while_statement] = STATE(573),
    [sym_do_statement] = STATE(573),
    [sym_for_statement] = STATE(573),
    [sym_foreach_statement] = STATE(573),
    [sym_if_statement] = STATE(573),
    [sym_match_expression] = STATE(1152),
    [sym_switch_statement] = STATE(573),
    [sym_compound_statement] = STATE(573),
    [sym_named_label_statement] = STATE(573),
    [sym_expression_statement] = STATE(573),
    [sym_expression] = STATE(1221),
    [sym__unary_expression] = STATE(1159),
    [sym_unary_op_expression] = STATE(1172),
    [sym_error_suppression_expression] = STATE(1152),
    [sym_clone_expression] = STATE(1172),
    [sym_primary_expression] = STATE(1172),
    [sym_parenthesized_expression] = STATE(964),
    [sym_class_constant_access_expression] = STATE(1019),
    [sym_print_intrinsic] = STATE(1148),
    [sym_object_creation_expression] = STATE(1148),
    [sym__new_non_dereferencable_expression] = STATE(1168),
    [sym__new_dereferencable_expression] = STATE(966),
    [sym_update_expression] = STATE(1148),
    [sym_cast_expression] = STATE(1172),
    [sym_cast_variable] = STATE(661),
    [sym_assignment_expression] = STATE(1152),
    [sym_reference_assignment_expression] = STATE(1152),
    [sym_conditional_expression] = STATE(1152),
    [sym_augmented_assignment_expression] = STATE(1152),
    [sym__variable_member_access_expression] = STATE(674),
    [sym_member_access_expression] = STATE(661),
    [sym__variable_nullsafe_member_access_expression] = STATE(663),
    [sym_nullsafe_member_access_expression] = STATE(661),
    [sym__variable_scoped_property_access_expression] = STATE(664),
    [sym_scoped_property_access_expression] = STATE(661),
    [sym_list_literal] = STATE(2530),
    [sym__list_destructing] = STATE(2405),
    [sym__array_destructing] = STATE(2405),
    [sym_function_call_expression] = STATE(634),
    [sym__callable_expression] = STATE(2471),
    [sym_scoped_call_expression] = STATE(634),
    [sym__scope_resolution_qualifier] = STATE(2651),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(634),
    [sym_nullsafe_member_call_expression] = STATE(634),
    [sym__variable_subscript_expression] = STATE(665),
    [sym__dereferencable_subscript_expression] = STATE(634),
    [sym__dereferencable_expression] = STATE(1946),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(1005),
    [sym_attribute_group] = STATE(1373),
    [sym_attribute_list] = STATE(1356),
    [sym_encapsed_string] = STATE(927),
    [sym_string] = STATE(927),
    [sym_heredoc] = STATE(927),
    [sym_nowdoc] = STATE(927),
    [sym_shell_command_expression] = STATE(1148),
    [sym_boolean] = STATE(1162),
    [sym_null] = STATE(1162),
    [sym__string] = STATE(941),
    [sym_dynamic_variable_name] = STATE(650),
    [sym__simple_variable] = STATE(654),
    [sym__new_variable] = STATE(667),
    [sym__callable_variable] = STATE(629),
    [sym_variable_name] = STATE(650),
    [sym_yield_expression] = STATE(1152),
    [sym_binary_expression] = STATE(1152),
    [sym_include_expression] = STATE(1152),
    [sym_include_once_expression] = STATE(1152),
    [sym_require_expression] = STATE(1152),
    [sym_require_once_expression] = STATE(1152),
    [sym__reserved_identifier] = STATE(717),
    [sym__identifier] = STATE(1496),
    [sym__semicolon] = STATE(576),
    [aux_sym_class_declaration_repeat1] = STATE(1381),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(356),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym__namespace_use_type_token1] = ACTIONS(222),
    [aux_sym__namespace_use_type_token2] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [anon_sym_COLON] = ACTIONS(473),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [anon_sym_LPAREN2] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(433),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(435),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(437),
    [aux_sym_foreach_statement_token1] = ACTIONS(439),
    [aux_sym_if_statement_token1] = ACTIONS(441),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(360),
  },
  [32] = {
    [sym_text_interpolation] = STATE(32),
    [sym_statement] = STATE(550),
    [sym_empty_statement] = STATE(573),
    [sym_function_static_declaration] = STATE(573),
    [sym_global_declaration] = STATE(573),
    [sym_namespace_definition] = STATE(573),
    [sym_namespace_use_declaration] = STATE(573),
    [sym_qualified_name] = STATE(1000),
    [sym__name] = STATE(1631),
    [sym_namespace_name] = STATE(2575),
    [sym_trait_declaration] = STATE(573),
    [sym_interface_declaration] = STATE(573),
    [sym_enum_declaration] = STATE(573),
    [sym_class_declaration] = STATE(573),
    [sym_final_modifier] = STATE(1335),
    [sym_abstract_modifier] = STATE(1335),
    [sym_readonly_modifier] = STATE(1335),
    [sym_const_declaration] = STATE(573),
    [sym__const_declaration] = STATE(517),
    [sym__modifier] = STATE(1334),
    [sym_static_modifier] = STATE(1468),
    [sym_visibility_modifier] = STATE(1335),
    [sym_function_definition] = STATE(573),
    [sym__function_definition_header] = STATE(2470),
    [sym_anonymous_function] = STATE(1148),
    [sym__anonymous_function_header] = STATE(2489),
    [sym__arrow_function_header] = STATE(2731),
    [sym_arrow_function] = STATE(1148),
    [sym_echo_statement] = STATE(573),
    [sym_exit_statement] = STATE(573),
    [sym_unset_statement] = STATE(573),
    [sym_declare_statement] = STATE(573),
    [sym_literal] = STATE(1148),
    [sym_try_statement] = STATE(573),
    [sym_goto_statement] = STATE(573),
    [sym_continue_statement] = STATE(573),
    [sym_break_statement] = STATE(573),
    [sym_return_statement] = STATE(573),
    [sym_throw_expression] = STATE(1148),
    [sym_while_statement] = STATE(573),
    [sym_do_statement] = STATE(573),
    [sym_for_statement] = STATE(573),
    [sym_foreach_statement] = STATE(573),
    [sym_if_statement] = STATE(573),
    [sym_match_expression] = STATE(1152),
    [sym_switch_statement] = STATE(573),
    [sym_compound_statement] = STATE(573),
    [sym_named_label_statement] = STATE(573),
    [sym_expression_statement] = STATE(573),
    [sym_expression] = STATE(1221),
    [sym__unary_expression] = STATE(1159),
    [sym_unary_op_expression] = STATE(1172),
    [sym_error_suppression_expression] = STATE(1152),
    [sym_clone_expression] = STATE(1172),
    [sym_primary_expression] = STATE(1172),
    [sym_parenthesized_expression] = STATE(964),
    [sym_class_constant_access_expression] = STATE(1019),
    [sym_print_intrinsic] = STATE(1148),
    [sym_object_creation_expression] = STATE(1148),
    [sym__new_non_dereferencable_expression] = STATE(1168),
    [sym__new_dereferencable_expression] = STATE(966),
    [sym_update_expression] = STATE(1148),
    [sym_cast_expression] = STATE(1172),
    [sym_cast_variable] = STATE(661),
    [sym_assignment_expression] = STATE(1152),
    [sym_reference_assignment_expression] = STATE(1152),
    [sym_conditional_expression] = STATE(1152),
    [sym_augmented_assignment_expression] = STATE(1152),
    [sym__variable_member_access_expression] = STATE(674),
    [sym_member_access_expression] = STATE(661),
    [sym__variable_nullsafe_member_access_expression] = STATE(663),
    [sym_nullsafe_member_access_expression] = STATE(661),
    [sym__variable_scoped_property_access_expression] = STATE(664),
    [sym_scoped_property_access_expression] = STATE(661),
    [sym_list_literal] = STATE(2530),
    [sym__list_destructing] = STATE(2405),
    [sym__array_destructing] = STATE(2405),
    [sym_function_call_expression] = STATE(634),
    [sym__callable_expression] = STATE(2471),
    [sym_scoped_call_expression] = STATE(634),
    [sym__scope_resolution_qualifier] = STATE(2651),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(634),
    [sym_nullsafe_member_call_expression] = STATE(634),
    [sym__variable_subscript_expression] = STATE(665),
    [sym__dereferencable_subscript_expression] = STATE(634),
    [sym__dereferencable_expression] = STATE(1946),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(1005),
    [sym_attribute_group] = STATE(1373),
    [sym_attribute_list] = STATE(1356),
    [sym_encapsed_string] = STATE(927),
    [sym_string] = STATE(927),
    [sym_heredoc] = STATE(927),
    [sym_nowdoc] = STATE(927),
    [sym_shell_command_expression] = STATE(1148),
    [sym_boolean] = STATE(1162),
    [sym_null] = STATE(1162),
    [sym__string] = STATE(941),
    [sym_dynamic_variable_name] = STATE(650),
    [sym__simple_variable] = STATE(654),
    [sym__new_variable] = STATE(667),
    [sym__callable_variable] = STATE(629),
    [sym_variable_name] = STATE(650),
    [sym_yield_expression] = STATE(1152),
    [sym_binary_expression] = STATE(1152),
    [sym_include_expression] = STATE(1152),
    [sym_include_once_expression] = STATE(1152),
    [sym_require_expression] = STATE(1152),
    [sym_require_once_expression] = STATE(1152),
    [sym__reserved_identifier] = STATE(717),
    [sym__identifier] = STATE(1496),
    [sym__semicolon] = STATE(551),
    [aux_sym_class_declaration_repeat1] = STATE(1381),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(356),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym__namespace_use_type_token1] = ACTIONS(222),
    [aux_sym__namespace_use_type_token2] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [anon_sym_COLON] = ACTIONS(479),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [anon_sym_LPAREN2] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(264),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(280),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(284),
    [aux_sym_foreach_statement_token1] = ACTIONS(286),
    [aux_sym_if_statement_token1] = ACTIONS(288),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(360),
  },
  [33] = {
    [sym_text_interpolation] = STATE(33),
    [sym_statement] = STATE(463),
    [sym_empty_statement] = STATE(573),
    [sym_function_static_declaration] = STATE(573),
    [sym_global_declaration] = STATE(573),
    [sym_namespace_definition] = STATE(573),
    [sym_namespace_use_declaration] = STATE(573),
    [sym_qualified_name] = STATE(1000),
    [sym__name] = STATE(1631),
    [sym_namespace_name] = STATE(2575),
    [sym_trait_declaration] = STATE(573),
    [sym_interface_declaration] = STATE(573),
    [sym_enum_declaration] = STATE(573),
    [sym_class_declaration] = STATE(573),
    [sym_final_modifier] = STATE(1335),
    [sym_abstract_modifier] = STATE(1335),
    [sym_readonly_modifier] = STATE(1335),
    [sym_const_declaration] = STATE(573),
    [sym__const_declaration] = STATE(517),
    [sym__modifier] = STATE(1334),
    [sym_static_modifier] = STATE(1468),
    [sym_visibility_modifier] = STATE(1335),
    [sym_function_definition] = STATE(573),
    [sym__function_definition_header] = STATE(2470),
    [sym_anonymous_function] = STATE(1148),
    [sym__anonymous_function_header] = STATE(2489),
    [sym__arrow_function_header] = STATE(2731),
    [sym_arrow_function] = STATE(1148),
    [sym_echo_statement] = STATE(573),
    [sym_exit_statement] = STATE(573),
    [sym_unset_statement] = STATE(573),
    [sym_declare_statement] = STATE(573),
    [sym_literal] = STATE(1148),
    [sym_try_statement] = STATE(573),
    [sym_goto_statement] = STATE(573),
    [sym_continue_statement] = STATE(573),
    [sym_break_statement] = STATE(573),
    [sym_return_statement] = STATE(573),
    [sym_throw_expression] = STATE(1148),
    [sym_while_statement] = STATE(573),
    [sym_do_statement] = STATE(573),
    [sym_for_statement] = STATE(573),
    [sym_foreach_statement] = STATE(573),
    [sym_if_statement] = STATE(573),
    [sym_match_expression] = STATE(1152),
    [sym_switch_statement] = STATE(573),
    [sym_compound_statement] = STATE(573),
    [sym_named_label_statement] = STATE(573),
    [sym_expression_statement] = STATE(573),
    [sym_expression] = STATE(1221),
    [sym__unary_expression] = STATE(1159),
    [sym_unary_op_expression] = STATE(1172),
    [sym_error_suppression_expression] = STATE(1152),
    [sym_clone_expression] = STATE(1172),
    [sym_primary_expression] = STATE(1172),
    [sym_parenthesized_expression] = STATE(964),
    [sym_class_constant_access_expression] = STATE(1019),
    [sym_print_intrinsic] = STATE(1148),
    [sym_object_creation_expression] = STATE(1148),
    [sym__new_non_dereferencable_expression] = STATE(1168),
    [sym__new_dereferencable_expression] = STATE(966),
    [sym_update_expression] = STATE(1148),
    [sym_cast_expression] = STATE(1172),
    [sym_cast_variable] = STATE(661),
    [sym_assignment_expression] = STATE(1152),
    [sym_reference_assignment_expression] = STATE(1152),
    [sym_conditional_expression] = STATE(1152),
    [sym_augmented_assignment_expression] = STATE(1152),
    [sym__variable_member_access_expression] = STATE(674),
    [sym_member_access_expression] = STATE(661),
    [sym__variable_nullsafe_member_access_expression] = STATE(663),
    [sym_nullsafe_member_access_expression] = STATE(661),
    [sym__variable_scoped_property_access_expression] = STATE(664),
    [sym_scoped_property_access_expression] = STATE(661),
    [sym_list_literal] = STATE(2530),
    [sym__list_destructing] = STATE(2405),
    [sym__array_destructing] = STATE(2405),
    [sym_function_call_expression] = STATE(634),
    [sym__callable_expression] = STATE(2471),
    [sym_scoped_call_expression] = STATE(634),
    [sym__scope_resolution_qualifier] = STATE(2651),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(634),
    [sym_nullsafe_member_call_expression] = STATE(634),
    [sym__variable_subscript_expression] = STATE(665),
    [sym__dereferencable_subscript_expression] = STATE(634),
    [sym__dereferencable_expression] = STATE(1946),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(1005),
    [sym_attribute_group] = STATE(1373),
    [sym_attribute_list] = STATE(1356),
    [sym_encapsed_string] = STATE(927),
    [sym_string] = STATE(927),
    [sym_heredoc] = STATE(927),
    [sym_nowdoc] = STATE(927),
    [sym_shell_command_expression] = STATE(1148),
    [sym_boolean] = STATE(1162),
    [sym_null] = STATE(1162),
    [sym__string] = STATE(941),
    [sym_dynamic_variable_name] = STATE(650),
    [sym__simple_variable] = STATE(654),
    [sym__new_variable] = STATE(667),
    [sym__callable_variable] = STATE(629),
    [sym_variable_name] = STATE(650),
    [sym_yield_expression] = STATE(1152),
    [sym_binary_expression] = STATE(1152),
    [sym_include_expression] = STATE(1152),
    [sym_include_once_expression] = STATE(1152),
    [sym_require_expression] = STATE(1152),
    [sym_require_once_expression] = STATE(1152),
    [sym__reserved_identifier] = STATE(717),
    [sym__identifier] = STATE(1496),
    [sym__semicolon] = STATE(581),
    [aux_sym_class_declaration_repeat1] = STATE(1381),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(356),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym__namespace_use_type_token1] = ACTIONS(222),
    [aux_sym__namespace_use_type_token2] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [anon_sym_COLON] = ACTIONS(481),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [anon_sym_LPAREN2] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(433),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(435),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(437),
    [aux_sym_foreach_statement_token1] = ACTIONS(439),
    [aux_sym_if_statement_token1] = ACTIONS(441),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(360),
  },
  [34] = {
    [sym_text_interpolation] = STATE(34),
    [sym_statement] = STATE(473),
    [sym_empty_statement] = STATE(573),
    [sym_function_static_declaration] = STATE(573),
    [sym_global_declaration] = STATE(573),
    [sym_namespace_definition] = STATE(573),
    [sym_namespace_use_declaration] = STATE(573),
    [sym_qualified_name] = STATE(1000),
    [sym__name] = STATE(1631),
    [sym_namespace_name] = STATE(2575),
    [sym_trait_declaration] = STATE(573),
    [sym_interface_declaration] = STATE(573),
    [sym_enum_declaration] = STATE(573),
    [sym_class_declaration] = STATE(573),
    [sym_final_modifier] = STATE(1335),
    [sym_abstract_modifier] = STATE(1335),
    [sym_readonly_modifier] = STATE(1335),
    [sym_const_declaration] = STATE(573),
    [sym__const_declaration] = STATE(517),
    [sym__modifier] = STATE(1334),
    [sym_static_modifier] = STATE(1468),
    [sym_visibility_modifier] = STATE(1335),
    [sym_function_definition] = STATE(573),
    [sym__function_definition_header] = STATE(2470),
    [sym_anonymous_function] = STATE(1148),
    [sym__anonymous_function_header] = STATE(2489),
    [sym__arrow_function_header] = STATE(2731),
    [sym_arrow_function] = STATE(1148),
    [sym_echo_statement] = STATE(573),
    [sym_exit_statement] = STATE(573),
    [sym_unset_statement] = STATE(573),
    [sym_declare_statement] = STATE(573),
    [sym_literal] = STATE(1148),
    [sym_try_statement] = STATE(573),
    [sym_goto_statement] = STATE(573),
    [sym_continue_statement] = STATE(573),
    [sym_break_statement] = STATE(573),
    [sym_return_statement] = STATE(573),
    [sym_throw_expression] = STATE(1148),
    [sym_while_statement] = STATE(573),
    [sym_do_statement] = STATE(573),
    [sym_for_statement] = STATE(573),
    [sym_foreach_statement] = STATE(573),
    [sym_if_statement] = STATE(573),
    [sym_match_expression] = STATE(1152),
    [sym_switch_statement] = STATE(573),
    [sym_compound_statement] = STATE(573),
    [sym_named_label_statement] = STATE(573),
    [sym_expression_statement] = STATE(573),
    [sym_expression] = STATE(1221),
    [sym__unary_expression] = STATE(1159),
    [sym_unary_op_expression] = STATE(1172),
    [sym_error_suppression_expression] = STATE(1152),
    [sym_clone_expression] = STATE(1172),
    [sym_primary_expression] = STATE(1172),
    [sym_parenthesized_expression] = STATE(964),
    [sym_class_constant_access_expression] = STATE(1019),
    [sym_print_intrinsic] = STATE(1148),
    [sym_object_creation_expression] = STATE(1148),
    [sym__new_non_dereferencable_expression] = STATE(1168),
    [sym__new_dereferencable_expression] = STATE(966),
    [sym_update_expression] = STATE(1148),
    [sym_cast_expression] = STATE(1172),
    [sym_cast_variable] = STATE(661),
    [sym_assignment_expression] = STATE(1152),
    [sym_reference_assignment_expression] = STATE(1152),
    [sym_conditional_expression] = STATE(1152),
    [sym_augmented_assignment_expression] = STATE(1152),
    [sym__variable_member_access_expression] = STATE(674),
    [sym_member_access_expression] = STATE(661),
    [sym__variable_nullsafe_member_access_expression] = STATE(663),
    [sym_nullsafe_member_access_expression] = STATE(661),
    [sym__variable_scoped_property_access_expression] = STATE(664),
    [sym_scoped_property_access_expression] = STATE(661),
    [sym_list_literal] = STATE(2530),
    [sym__list_destructing] = STATE(2405),
    [sym__array_destructing] = STATE(2405),
    [sym_function_call_expression] = STATE(634),
    [sym__callable_expression] = STATE(2471),
    [sym_scoped_call_expression] = STATE(634),
    [sym__scope_resolution_qualifier] = STATE(2651),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(634),
    [sym_nullsafe_member_call_expression] = STATE(634),
    [sym__variable_subscript_expression] = STATE(665),
    [sym__dereferencable_subscript_expression] = STATE(634),
    [sym__dereferencable_expression] = STATE(1946),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(1005),
    [sym_attribute_group] = STATE(1373),
    [sym_attribute_list] = STATE(1356),
    [sym_encapsed_string] = STATE(927),
    [sym_string] = STATE(927),
    [sym_heredoc] = STATE(927),
    [sym_nowdoc] = STATE(927),
    [sym_shell_command_expression] = STATE(1148),
    [sym_boolean] = STATE(1162),
    [sym_null] = STATE(1162),
    [sym__string] = STATE(941),
    [sym_dynamic_variable_name] = STATE(650),
    [sym__simple_variable] = STATE(654),
    [sym__new_variable] = STATE(667),
    [sym__callable_variable] = STATE(629),
    [sym_variable_name] = STATE(650),
    [sym_yield_expression] = STATE(1152),
    [sym_binary_expression] = STATE(1152),
    [sym_include_expression] = STATE(1152),
    [sym_include_once_expression] = STATE(1152),
    [sym_require_expression] = STATE(1152),
    [sym_require_once_expression] = STATE(1152),
    [sym__reserved_identifier] = STATE(717),
    [sym__identifier] = STATE(1496),
    [sym__semicolon] = STATE(476),
    [aux_sym_class_declaration_repeat1] = STATE(1381),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(356),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym__namespace_use_type_token1] = ACTIONS(222),
    [aux_sym__namespace_use_type_token2] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [anon_sym_COLON] = ACTIONS(463),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [anon_sym_LPAREN2] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(433),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(435),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(437),
    [aux_sym_foreach_statement_token1] = ACTIONS(439),
    [aux_sym_if_statement_token1] = ACTIONS(441),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(360),
  },
  [35] = {
    [sym_text_interpolation] = STATE(35),
    [sym_statement] = STATE(511),
    [sym_empty_statement] = STATE(573),
    [sym_function_static_declaration] = STATE(573),
    [sym_global_declaration] = STATE(573),
    [sym_namespace_definition] = STATE(573),
    [sym_namespace_use_declaration] = STATE(573),
    [sym_qualified_name] = STATE(1000),
    [sym__name] = STATE(1631),
    [sym_namespace_name] = STATE(2575),
    [sym_trait_declaration] = STATE(573),
    [sym_interface_declaration] = STATE(573),
    [sym_enum_declaration] = STATE(573),
    [sym_class_declaration] = STATE(573),
    [sym_final_modifier] = STATE(1335),
    [sym_abstract_modifier] = STATE(1335),
    [sym_readonly_modifier] = STATE(1335),
    [sym_const_declaration] = STATE(573),
    [sym__const_declaration] = STATE(517),
    [sym__modifier] = STATE(1334),
    [sym_static_modifier] = STATE(1468),
    [sym_visibility_modifier] = STATE(1335),
    [sym_function_definition] = STATE(573),
    [sym__function_definition_header] = STATE(2470),
    [sym_anonymous_function] = STATE(1148),
    [sym__anonymous_function_header] = STATE(2489),
    [sym__arrow_function_header] = STATE(2731),
    [sym_arrow_function] = STATE(1148),
    [sym_echo_statement] = STATE(573),
    [sym_exit_statement] = STATE(573),
    [sym_unset_statement] = STATE(573),
    [sym_declare_statement] = STATE(573),
    [sym_literal] = STATE(1148),
    [sym_try_statement] = STATE(573),
    [sym_goto_statement] = STATE(573),
    [sym_continue_statement] = STATE(573),
    [sym_break_statement] = STATE(573),
    [sym_return_statement] = STATE(573),
    [sym_throw_expression] = STATE(1148),
    [sym_while_statement] = STATE(573),
    [sym_do_statement] = STATE(573),
    [sym_for_statement] = STATE(573),
    [sym_foreach_statement] = STATE(573),
    [sym_if_statement] = STATE(573),
    [sym_match_expression] = STATE(1152),
    [sym_switch_statement] = STATE(573),
    [sym_compound_statement] = STATE(573),
    [sym_named_label_statement] = STATE(573),
    [sym_expression_statement] = STATE(573),
    [sym_expression] = STATE(1221),
    [sym__unary_expression] = STATE(1159),
    [sym_unary_op_expression] = STATE(1172),
    [sym_error_suppression_expression] = STATE(1152),
    [sym_clone_expression] = STATE(1172),
    [sym_primary_expression] = STATE(1172),
    [sym_parenthesized_expression] = STATE(964),
    [sym_class_constant_access_expression] = STATE(1019),
    [sym_print_intrinsic] = STATE(1148),
    [sym_object_creation_expression] = STATE(1148),
    [sym__new_non_dereferencable_expression] = STATE(1168),
    [sym__new_dereferencable_expression] = STATE(966),
    [sym_update_expression] = STATE(1148),
    [sym_cast_expression] = STATE(1172),
    [sym_cast_variable] = STATE(661),
    [sym_assignment_expression] = STATE(1152),
    [sym_reference_assignment_expression] = STATE(1152),
    [sym_conditional_expression] = STATE(1152),
    [sym_augmented_assignment_expression] = STATE(1152),
    [sym__variable_member_access_expression] = STATE(674),
    [sym_member_access_expression] = STATE(661),
    [sym__variable_nullsafe_member_access_expression] = STATE(663),
    [sym_nullsafe_member_access_expression] = STATE(661),
    [sym__variable_scoped_property_access_expression] = STATE(664),
    [sym_scoped_property_access_expression] = STATE(661),
    [sym_list_literal] = STATE(2530),
    [sym__list_destructing] = STATE(2405),
    [sym__array_destructing] = STATE(2405),
    [sym_function_call_expression] = STATE(634),
    [sym__callable_expression] = STATE(2471),
    [sym_scoped_call_expression] = STATE(634),
    [sym__scope_resolution_qualifier] = STATE(2651),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(634),
    [sym_nullsafe_member_call_expression] = STATE(634),
    [sym__variable_subscript_expression] = STATE(665),
    [sym__dereferencable_subscript_expression] = STATE(634),
    [sym__dereferencable_expression] = STATE(1946),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(1005),
    [sym_attribute_group] = STATE(1373),
    [sym_attribute_list] = STATE(1356),
    [sym_encapsed_string] = STATE(927),
    [sym_string] = STATE(927),
    [sym_heredoc] = STATE(927),
    [sym_nowdoc] = STATE(927),
    [sym_shell_command_expression] = STATE(1148),
    [sym_boolean] = STATE(1162),
    [sym_null] = STATE(1162),
    [sym__string] = STATE(941),
    [sym_dynamic_variable_name] = STATE(650),
    [sym__simple_variable] = STATE(654),
    [sym__new_variable] = STATE(667),
    [sym__callable_variable] = STATE(629),
    [sym_variable_name] = STATE(650),
    [sym_yield_expression] = STATE(1152),
    [sym_binary_expression] = STATE(1152),
    [sym_include_expression] = STATE(1152),
    [sym_include_once_expression] = STATE(1152),
    [sym_require_expression] = STATE(1152),
    [sym_require_once_expression] = STATE(1152),
    [sym__reserved_identifier] = STATE(717),
    [sym__identifier] = STATE(1496),
    [sym__semicolon] = STATE(512),
    [aux_sym_class_declaration_repeat1] = STATE(1381),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(356),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym__namespace_use_type_token1] = ACTIONS(222),
    [aux_sym__namespace_use_type_token2] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [anon_sym_COLON] = ACTIONS(483),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [anon_sym_LPAREN2] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(264),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(280),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(284),
    [aux_sym_foreach_statement_token1] = ACTIONS(286),
    [aux_sym_if_statement_token1] = ACTIONS(288),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(360),
  },
  [36] = {
    [sym_text_interpolation] = STATE(36),
    [sym_statement] = STATE(511),
    [sym_empty_statement] = STATE(573),
    [sym_function_static_declaration] = STATE(573),
    [sym_global_declaration] = STATE(573),
    [sym_namespace_definition] = STATE(573),
    [sym_namespace_use_declaration] = STATE(573),
    [sym_qualified_name] = STATE(1000),
    [sym__name] = STATE(1631),
    [sym_namespace_name] = STATE(2575),
    [sym_trait_declaration] = STATE(573),
    [sym_interface_declaration] = STATE(573),
    [sym_enum_declaration] = STATE(573),
    [sym_class_declaration] = STATE(573),
    [sym_final_modifier] = STATE(1335),
    [sym_abstract_modifier] = STATE(1335),
    [sym_readonly_modifier] = STATE(1335),
    [sym_const_declaration] = STATE(573),
    [sym__const_declaration] = STATE(517),
    [sym__modifier] = STATE(1334),
    [sym_static_modifier] = STATE(1468),
    [sym_visibility_modifier] = STATE(1335),
    [sym_function_definition] = STATE(573),
    [sym__function_definition_header] = STATE(2470),
    [sym_anonymous_function] = STATE(1148),
    [sym__anonymous_function_header] = STATE(2489),
    [sym__arrow_function_header] = STATE(2731),
    [sym_arrow_function] = STATE(1148),
    [sym_echo_statement] = STATE(573),
    [sym_exit_statement] = STATE(573),
    [sym_unset_statement] = STATE(573),
    [sym_declare_statement] = STATE(573),
    [sym_literal] = STATE(1148),
    [sym_try_statement] = STATE(573),
    [sym_goto_statement] = STATE(573),
    [sym_continue_statement] = STATE(573),
    [sym_break_statement] = STATE(573),
    [sym_return_statement] = STATE(573),
    [sym_throw_expression] = STATE(1148),
    [sym_while_statement] = STATE(573),
    [sym_do_statement] = STATE(573),
    [sym_for_statement] = STATE(573),
    [sym_foreach_statement] = STATE(573),
    [sym_if_statement] = STATE(573),
    [sym_match_expression] = STATE(1152),
    [sym_switch_statement] = STATE(573),
    [sym_compound_statement] = STATE(573),
    [sym_named_label_statement] = STATE(573),
    [sym_expression_statement] = STATE(573),
    [sym_expression] = STATE(1221),
    [sym__unary_expression] = STATE(1159),
    [sym_unary_op_expression] = STATE(1172),
    [sym_error_suppression_expression] = STATE(1152),
    [sym_clone_expression] = STATE(1172),
    [sym_primary_expression] = STATE(1172),
    [sym_parenthesized_expression] = STATE(964),
    [sym_class_constant_access_expression] = STATE(1019),
    [sym_print_intrinsic] = STATE(1148),
    [sym_object_creation_expression] = STATE(1148),
    [sym__new_non_dereferencable_expression] = STATE(1168),
    [sym__new_dereferencable_expression] = STATE(966),
    [sym_update_expression] = STATE(1148),
    [sym_cast_expression] = STATE(1172),
    [sym_cast_variable] = STATE(661),
    [sym_assignment_expression] = STATE(1152),
    [sym_reference_assignment_expression] = STATE(1152),
    [sym_conditional_expression] = STATE(1152),
    [sym_augmented_assignment_expression] = STATE(1152),
    [sym__variable_member_access_expression] = STATE(674),
    [sym_member_access_expression] = STATE(661),
    [sym__variable_nullsafe_member_access_expression] = STATE(663),
    [sym_nullsafe_member_access_expression] = STATE(661),
    [sym__variable_scoped_property_access_expression] = STATE(664),
    [sym_scoped_property_access_expression] = STATE(661),
    [sym_list_literal] = STATE(2530),
    [sym__list_destructing] = STATE(2405),
    [sym__array_destructing] = STATE(2405),
    [sym_function_call_expression] = STATE(634),
    [sym__callable_expression] = STATE(2471),
    [sym_scoped_call_expression] = STATE(634),
    [sym__scope_resolution_qualifier] = STATE(2651),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(634),
    [sym_nullsafe_member_call_expression] = STATE(634),
    [sym__variable_subscript_expression] = STATE(665),
    [sym__dereferencable_subscript_expression] = STATE(634),
    [sym__dereferencable_expression] = STATE(1946),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(1005),
    [sym_attribute_group] = STATE(1373),
    [sym_attribute_list] = STATE(1356),
    [sym_encapsed_string] = STATE(927),
    [sym_string] = STATE(927),
    [sym_heredoc] = STATE(927),
    [sym_nowdoc] = STATE(927),
    [sym_shell_command_expression] = STATE(1148),
    [sym_boolean] = STATE(1162),
    [sym_null] = STATE(1162),
    [sym__string] = STATE(941),
    [sym_dynamic_variable_name] = STATE(650),
    [sym__simple_variable] = STATE(654),
    [sym__new_variable] = STATE(667),
    [sym__callable_variable] = STATE(629),
    [sym_variable_name] = STATE(650),
    [sym_yield_expression] = STATE(1152),
    [sym_binary_expression] = STATE(1152),
    [sym_include_expression] = STATE(1152),
    [sym_include_once_expression] = STATE(1152),
    [sym_require_expression] = STATE(1152),
    [sym_require_once_expression] = STATE(1152),
    [sym__reserved_identifier] = STATE(717),
    [sym__identifier] = STATE(1496),
    [sym__semicolon] = STATE(512),
    [aux_sym_class_declaration_repeat1] = STATE(1381),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(356),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym__namespace_use_type_token1] = ACTIONS(222),
    [aux_sym__namespace_use_type_token2] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [anon_sym_COLON] = ACTIONS(483),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [anon_sym_LPAREN2] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(433),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(435),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(437),
    [aux_sym_foreach_statement_token1] = ACTIONS(439),
    [aux_sym_if_statement_token1] = ACTIONS(441),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(360),
  },
  [37] = {
    [sym_text_interpolation] = STATE(37),
    [sym_statement] = STATE(515),
    [sym_empty_statement] = STATE(573),
    [sym_function_static_declaration] = STATE(573),
    [sym_global_declaration] = STATE(573),
    [sym_namespace_definition] = STATE(573),
    [sym_namespace_use_declaration] = STATE(573),
    [sym_qualified_name] = STATE(1000),
    [sym__name] = STATE(1631),
    [sym_namespace_name] = STATE(2575),
    [sym_trait_declaration] = STATE(573),
    [sym_interface_declaration] = STATE(573),
    [sym_enum_declaration] = STATE(573),
    [sym_class_declaration] = STATE(573),
    [sym_final_modifier] = STATE(1335),
    [sym_abstract_modifier] = STATE(1335),
    [sym_readonly_modifier] = STATE(1335),
    [sym_const_declaration] = STATE(573),
    [sym__const_declaration] = STATE(517),
    [sym__modifier] = STATE(1334),
    [sym_static_modifier] = STATE(1468),
    [sym_visibility_modifier] = STATE(1335),
    [sym_function_definition] = STATE(573),
    [sym__function_definition_header] = STATE(2470),
    [sym_anonymous_function] = STATE(1148),
    [sym__anonymous_function_header] = STATE(2489),
    [sym__arrow_function_header] = STATE(2731),
    [sym_arrow_function] = STATE(1148),
    [sym_echo_statement] = STATE(573),
    [sym_exit_statement] = STATE(573),
    [sym_unset_statement] = STATE(573),
    [sym_declare_statement] = STATE(573),
    [sym_literal] = STATE(1148),
    [sym_try_statement] = STATE(573),
    [sym_goto_statement] = STATE(573),
    [sym_continue_statement] = STATE(573),
    [sym_break_statement] = STATE(573),
    [sym_return_statement] = STATE(573),
    [sym_throw_expression] = STATE(1148),
    [sym_while_statement] = STATE(573),
    [sym_do_statement] = STATE(573),
    [sym_for_statement] = STATE(573),
    [sym_foreach_statement] = STATE(573),
    [sym_if_statement] = STATE(573),
    [sym_match_expression] = STATE(1152),
    [sym_switch_statement] = STATE(573),
    [sym_compound_statement] = STATE(573),
    [sym_named_label_statement] = STATE(573),
    [sym_expression_statement] = STATE(573),
    [sym_expression] = STATE(1221),
    [sym__unary_expression] = STATE(1159),
    [sym_unary_op_expression] = STATE(1172),
    [sym_error_suppression_expression] = STATE(1152),
    [sym_clone_expression] = STATE(1172),
    [sym_primary_expression] = STATE(1172),
    [sym_parenthesized_expression] = STATE(964),
    [sym_class_constant_access_expression] = STATE(1019),
    [sym_print_intrinsic] = STATE(1148),
    [sym_object_creation_expression] = STATE(1148),
    [sym__new_non_dereferencable_expression] = STATE(1168),
    [sym__new_dereferencable_expression] = STATE(966),
    [sym_update_expression] = STATE(1148),
    [sym_cast_expression] = STATE(1172),
    [sym_cast_variable] = STATE(661),
    [sym_assignment_expression] = STATE(1152),
    [sym_reference_assignment_expression] = STATE(1152),
    [sym_conditional_expression] = STATE(1152),
    [sym_augmented_assignment_expression] = STATE(1152),
    [sym__variable_member_access_expression] = STATE(674),
    [sym_member_access_expression] = STATE(661),
    [sym__variable_nullsafe_member_access_expression] = STATE(663),
    [sym_nullsafe_member_access_expression] = STATE(661),
    [sym__variable_scoped_property_access_expression] = STATE(664),
    [sym_scoped_property_access_expression] = STATE(661),
    [sym_list_literal] = STATE(2530),
    [sym__list_destructing] = STATE(2405),
    [sym__array_destructing] = STATE(2405),
    [sym_function_call_expression] = STATE(634),
    [sym__callable_expression] = STATE(2471),
    [sym_scoped_call_expression] = STATE(634),
    [sym__scope_resolution_qualifier] = STATE(2651),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(634),
    [sym_nullsafe_member_call_expression] = STATE(634),
    [sym__variable_subscript_expression] = STATE(665),
    [sym__dereferencable_subscript_expression] = STATE(634),
    [sym__dereferencable_expression] = STATE(1946),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(1005),
    [sym_attribute_group] = STATE(1373),
    [sym_attribute_list] = STATE(1356),
    [sym_encapsed_string] = STATE(927),
    [sym_string] = STATE(927),
    [sym_heredoc] = STATE(927),
    [sym_nowdoc] = STATE(927),
    [sym_shell_command_expression] = STATE(1148),
    [sym_boolean] = STATE(1162),
    [sym_null] = STATE(1162),
    [sym__string] = STATE(941),
    [sym_dynamic_variable_name] = STATE(650),
    [sym__simple_variable] = STATE(654),
    [sym__new_variable] = STATE(667),
    [sym__callable_variable] = STATE(629),
    [sym_variable_name] = STATE(650),
    [sym_yield_expression] = STATE(1152),
    [sym_binary_expression] = STATE(1152),
    [sym_include_expression] = STATE(1152),
    [sym_include_once_expression] = STATE(1152),
    [sym_require_expression] = STATE(1152),
    [sym_require_once_expression] = STATE(1152),
    [sym__reserved_identifier] = STATE(717),
    [sym__identifier] = STATE(1496),
    [sym__semicolon] = STATE(516),
    [aux_sym_class_declaration_repeat1] = STATE(1381),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(356),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym__namespace_use_type_token1] = ACTIONS(222),
    [aux_sym__namespace_use_type_token2] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [anon_sym_COLON] = ACTIONS(485),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [anon_sym_LPAREN2] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(433),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(435),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(437),
    [aux_sym_foreach_statement_token1] = ACTIONS(439),
    [aux_sym_if_statement_token1] = ACTIONS(441),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(360),
  },
  [38] = {
    [sym_text_interpolation] = STATE(38),
    [sym_statement] = STATE(518),
    [sym_empty_statement] = STATE(573),
    [sym_function_static_declaration] = STATE(573),
    [sym_global_declaration] = STATE(573),
    [sym_namespace_definition] = STATE(573),
    [sym_namespace_use_declaration] = STATE(573),
    [sym_qualified_name] = STATE(1000),
    [sym__name] = STATE(1631),
    [sym_namespace_name] = STATE(2575),
    [sym_trait_declaration] = STATE(573),
    [sym_interface_declaration] = STATE(573),
    [sym_enum_declaration] = STATE(573),
    [sym_class_declaration] = STATE(573),
    [sym_final_modifier] = STATE(1335),
    [sym_abstract_modifier] = STATE(1335),
    [sym_readonly_modifier] = STATE(1335),
    [sym_const_declaration] = STATE(573),
    [sym__const_declaration] = STATE(517),
    [sym__modifier] = STATE(1334),
    [sym_static_modifier] = STATE(1468),
    [sym_visibility_modifier] = STATE(1335),
    [sym_function_definition] = STATE(573),
    [sym__function_definition_header] = STATE(2470),
    [sym_anonymous_function] = STATE(1148),
    [sym__anonymous_function_header] = STATE(2489),
    [sym__arrow_function_header] = STATE(2731),
    [sym_arrow_function] = STATE(1148),
    [sym_echo_statement] = STATE(573),
    [sym_exit_statement] = STATE(573),
    [sym_unset_statement] = STATE(573),
    [sym_declare_statement] = STATE(573),
    [sym_literal] = STATE(1148),
    [sym_try_statement] = STATE(573),
    [sym_goto_statement] = STATE(573),
    [sym_continue_statement] = STATE(573),
    [sym_break_statement] = STATE(573),
    [sym_return_statement] = STATE(573),
    [sym_throw_expression] = STATE(1148),
    [sym_while_statement] = STATE(573),
    [sym_do_statement] = STATE(573),
    [sym_for_statement] = STATE(573),
    [sym_foreach_statement] = STATE(573),
    [sym_if_statement] = STATE(573),
    [sym_match_expression] = STATE(1152),
    [sym_switch_statement] = STATE(573),
    [sym_compound_statement] = STATE(573),
    [sym_named_label_statement] = STATE(573),
    [sym_expression_statement] = STATE(573),
    [sym_expression] = STATE(1221),
    [sym__unary_expression] = STATE(1159),
    [sym_unary_op_expression] = STATE(1172),
    [sym_error_suppression_expression] = STATE(1152),
    [sym_clone_expression] = STATE(1172),
    [sym_primary_expression] = STATE(1172),
    [sym_parenthesized_expression] = STATE(964),
    [sym_class_constant_access_expression] = STATE(1019),
    [sym_print_intrinsic] = STATE(1148),
    [sym_object_creation_expression] = STATE(1148),
    [sym__new_non_dereferencable_expression] = STATE(1168),
    [sym__new_dereferencable_expression] = STATE(966),
    [sym_update_expression] = STATE(1148),
    [sym_cast_expression] = STATE(1172),
    [sym_cast_variable] = STATE(661),
    [sym_assignment_expression] = STATE(1152),
    [sym_reference_assignment_expression] = STATE(1152),
    [sym_conditional_expression] = STATE(1152),
    [sym_augmented_assignment_expression] = STATE(1152),
    [sym__variable_member_access_expression] = STATE(674),
    [sym_member_access_expression] = STATE(661),
    [sym__variable_nullsafe_member_access_expression] = STATE(663),
    [sym_nullsafe_member_access_expression] = STATE(661),
    [sym__variable_scoped_property_access_expression] = STATE(664),
    [sym_scoped_property_access_expression] = STATE(661),
    [sym_list_literal] = STATE(2530),
    [sym__list_destructing] = STATE(2405),
    [sym__array_destructing] = STATE(2405),
    [sym_function_call_expression] = STATE(634),
    [sym__callable_expression] = STATE(2471),
    [sym_scoped_call_expression] = STATE(634),
    [sym__scope_resolution_qualifier] = STATE(2651),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(634),
    [sym_nullsafe_member_call_expression] = STATE(634),
    [sym__variable_subscript_expression] = STATE(665),
    [sym__dereferencable_subscript_expression] = STATE(634),
    [sym__dereferencable_expression] = STATE(1946),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(1005),
    [sym_attribute_group] = STATE(1373),
    [sym_attribute_list] = STATE(1356),
    [sym_encapsed_string] = STATE(927),
    [sym_string] = STATE(927),
    [sym_heredoc] = STATE(927),
    [sym_nowdoc] = STATE(927),
    [sym_shell_command_expression] = STATE(1148),
    [sym_boolean] = STATE(1162),
    [sym_null] = STATE(1162),
    [sym__string] = STATE(941),
    [sym_dynamic_variable_name] = STATE(650),
    [sym__simple_variable] = STATE(654),
    [sym__new_variable] = STATE(667),
    [sym__callable_variable] = STATE(629),
    [sym_variable_name] = STATE(650),
    [sym_yield_expression] = STATE(1152),
    [sym_binary_expression] = STATE(1152),
    [sym_include_expression] = STATE(1152),
    [sym_include_once_expression] = STATE(1152),
    [sym_require_expression] = STATE(1152),
    [sym_require_once_expression] = STATE(1152),
    [sym__reserved_identifier] = STATE(717),
    [sym__identifier] = STATE(1496),
    [sym__semicolon] = STATE(519),
    [aux_sym_class_declaration_repeat1] = STATE(1381),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(356),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym__namespace_use_type_token1] = ACTIONS(222),
    [aux_sym__namespace_use_type_token2] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [anon_sym_COLON] = ACTIONS(487),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [anon_sym_LPAREN2] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(433),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(435),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(437),
    [aux_sym_foreach_statement_token1] = ACTIONS(439),
    [aux_sym_if_statement_token1] = ACTIONS(441),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(360),
  },
  [39] = {
    [sym_text_interpolation] = STATE(39),
    [sym_statement] = STATE(550),
    [sym_empty_statement] = STATE(573),
    [sym_function_static_declaration] = STATE(573),
    [sym_global_declaration] = STATE(573),
    [sym_namespace_definition] = STATE(573),
    [sym_namespace_use_declaration] = STATE(573),
    [sym_qualified_name] = STATE(1000),
    [sym__name] = STATE(1631),
    [sym_namespace_name] = STATE(2575),
    [sym_trait_declaration] = STATE(573),
    [sym_interface_declaration] = STATE(573),
    [sym_enum_declaration] = STATE(573),
    [sym_class_declaration] = STATE(573),
    [sym_final_modifier] = STATE(1335),
    [sym_abstract_modifier] = STATE(1335),
    [sym_readonly_modifier] = STATE(1335),
    [sym_const_declaration] = STATE(573),
    [sym__const_declaration] = STATE(517),
    [sym__modifier] = STATE(1334),
    [sym_static_modifier] = STATE(1468),
    [sym_visibility_modifier] = STATE(1335),
    [sym_function_definition] = STATE(573),
    [sym__function_definition_header] = STATE(2470),
    [sym_anonymous_function] = STATE(1148),
    [sym__anonymous_function_header] = STATE(2489),
    [sym__arrow_function_header] = STATE(2731),
    [sym_arrow_function] = STATE(1148),
    [sym_echo_statement] = STATE(573),
    [sym_exit_statement] = STATE(573),
    [sym_unset_statement] = STATE(573),
    [sym_declare_statement] = STATE(573),
    [sym_literal] = STATE(1148),
    [sym_try_statement] = STATE(573),
    [sym_goto_statement] = STATE(573),
    [sym_continue_statement] = STATE(573),
    [sym_break_statement] = STATE(573),
    [sym_return_statement] = STATE(573),
    [sym_throw_expression] = STATE(1148),
    [sym_while_statement] = STATE(573),
    [sym_do_statement] = STATE(573),
    [sym_for_statement] = STATE(573),
    [sym_foreach_statement] = STATE(573),
    [sym_if_statement] = STATE(573),
    [sym_match_expression] = STATE(1152),
    [sym_switch_statement] = STATE(573),
    [sym_compound_statement] = STATE(573),
    [sym_named_label_statement] = STATE(573),
    [sym_expression_statement] = STATE(573),
    [sym_expression] = STATE(1221),
    [sym__unary_expression] = STATE(1159),
    [sym_unary_op_expression] = STATE(1172),
    [sym_error_suppression_expression] = STATE(1152),
    [sym_clone_expression] = STATE(1172),
    [sym_primary_expression] = STATE(1172),
    [sym_parenthesized_expression] = STATE(964),
    [sym_class_constant_access_expression] = STATE(1019),
    [sym_print_intrinsic] = STATE(1148),
    [sym_object_creation_expression] = STATE(1148),
    [sym__new_non_dereferencable_expression] = STATE(1168),
    [sym__new_dereferencable_expression] = STATE(966),
    [sym_update_expression] = STATE(1148),
    [sym_cast_expression] = STATE(1172),
    [sym_cast_variable] = STATE(661),
    [sym_assignment_expression] = STATE(1152),
    [sym_reference_assignment_expression] = STATE(1152),
    [sym_conditional_expression] = STATE(1152),
    [sym_augmented_assignment_expression] = STATE(1152),
    [sym__variable_member_access_expression] = STATE(674),
    [sym_member_access_expression] = STATE(661),
    [sym__variable_nullsafe_member_access_expression] = STATE(663),
    [sym_nullsafe_member_access_expression] = STATE(661),
    [sym__variable_scoped_property_access_expression] = STATE(664),
    [sym_scoped_property_access_expression] = STATE(661),
    [sym_list_literal] = STATE(2530),
    [sym__list_destructing] = STATE(2405),
    [sym__array_destructing] = STATE(2405),
    [sym_function_call_expression] = STATE(634),
    [sym__callable_expression] = STATE(2471),
    [sym_scoped_call_expression] = STATE(634),
    [sym__scope_resolution_qualifier] = STATE(2651),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(634),
    [sym_nullsafe_member_call_expression] = STATE(634),
    [sym__variable_subscript_expression] = STATE(665),
    [sym__dereferencable_subscript_expression] = STATE(634),
    [sym__dereferencable_expression] = STATE(1946),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(1005),
    [sym_attribute_group] = STATE(1373),
    [sym_attribute_list] = STATE(1356),
    [sym_encapsed_string] = STATE(927),
    [sym_string] = STATE(927),
    [sym_heredoc] = STATE(927),
    [sym_nowdoc] = STATE(927),
    [sym_shell_command_expression] = STATE(1148),
    [sym_boolean] = STATE(1162),
    [sym_null] = STATE(1162),
    [sym__string] = STATE(941),
    [sym_dynamic_variable_name] = STATE(650),
    [sym__simple_variable] = STATE(654),
    [sym__new_variable] = STATE(667),
    [sym__callable_variable] = STATE(629),
    [sym_variable_name] = STATE(650),
    [sym_yield_expression] = STATE(1152),
    [sym_binary_expression] = STATE(1152),
    [sym_include_expression] = STATE(1152),
    [sym_include_once_expression] = STATE(1152),
    [sym_require_expression] = STATE(1152),
    [sym_require_once_expression] = STATE(1152),
    [sym__reserved_identifier] = STATE(717),
    [sym__identifier] = STATE(1496),
    [sym__semicolon] = STATE(551),
    [aux_sym_class_declaration_repeat1] = STATE(1381),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(356),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym__namespace_use_type_token1] = ACTIONS(222),
    [aux_sym__namespace_use_type_token2] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [anon_sym_COLON] = ACTIONS(479),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [anon_sym_LPAREN2] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(433),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(435),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(437),
    [aux_sym_foreach_statement_token1] = ACTIONS(439),
    [aux_sym_if_statement_token1] = ACTIONS(441),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(360),
  },
  [40] = {
    [sym_text_interpolation] = STATE(40),
    [sym_statement] = STATE(1971),
    [sym_empty_statement] = STATE(2140),
    [sym_function_static_declaration] = STATE(2140),
    [sym_global_declaration] = STATE(2140),
    [sym_namespace_definition] = STATE(2140),
    [sym_namespace_use_declaration] = STATE(2140),
    [sym_qualified_name] = STATE(1000),
    [sym__name] = STATE(1631),
    [sym_namespace_name] = STATE(2575),
    [sym_trait_declaration] = STATE(2140),
    [sym_interface_declaration] = STATE(2140),
    [sym_enum_declaration] = STATE(2140),
    [sym_class_declaration] = STATE(2140),
    [sym_final_modifier] = STATE(1335),
    [sym_abstract_modifier] = STATE(1335),
    [sym_readonly_modifier] = STATE(1335),
    [sym_const_declaration] = STATE(2140),
    [sym__const_declaration] = STATE(2141),
    [sym__modifier] = STATE(1334),
    [sym_static_modifier] = STATE(1468),
    [sym_visibility_modifier] = STATE(1335),
    [sym_function_definition] = STATE(2140),
    [sym__function_definition_header] = STATE(2316),
    [sym_anonymous_function] = STATE(1148),
    [sym__anonymous_function_header] = STATE(2489),
    [sym__arrow_function_header] = STATE(2731),
    [sym_arrow_function] = STATE(1148),
    [sym_echo_statement] = STATE(2140),
    [sym_exit_statement] = STATE(2140),
    [sym_unset_statement] = STATE(2140),
    [sym_declare_statement] = STATE(2140),
    [sym_literal] = STATE(1148),
    [sym_try_statement] = STATE(2140),
    [sym_goto_statement] = STATE(2140),
    [sym_continue_statement] = STATE(2140),
    [sym_break_statement] = STATE(2140),
    [sym_return_statement] = STATE(2140),
    [sym_throw_expression] = STATE(1148),
    [sym_while_statement] = STATE(2140),
    [sym_do_statement] = STATE(2140),
    [sym_for_statement] = STATE(2140),
    [sym_foreach_statement] = STATE(2140),
    [sym_if_statement] = STATE(2140),
    [sym_match_expression] = STATE(1152),
    [sym_switch_statement] = STATE(2140),
    [sym_compound_statement] = STATE(2140),
    [sym_named_label_statement] = STATE(2140),
    [sym_expression_statement] = STATE(2140),
    [sym_expression] = STATE(1234),
    [sym__unary_expression] = STATE(1159),
    [sym_unary_op_expression] = STATE(1172),
    [sym_error_suppression_expression] = STATE(1152),
    [sym_clone_expression] = STATE(1172),
    [sym_primary_expression] = STATE(1172),
    [sym_parenthesized_expression] = STATE(964),
    [sym_class_constant_access_expression] = STATE(1019),
    [sym_print_intrinsic] = STATE(1148),
    [sym_object_creation_expression] = STATE(1148),
    [sym__new_non_dereferencable_expression] = STATE(1168),
    [sym__new_dereferencable_expression] = STATE(966),
    [sym_update_expression] = STATE(1148),
    [sym_cast_expression] = STATE(1172),
    [sym_cast_variable] = STATE(661),
    [sym_assignment_expression] = STATE(1152),
    [sym_reference_assignment_expression] = STATE(1152),
    [sym_conditional_expression] = STATE(1152),
    [sym_augmented_assignment_expression] = STATE(1152),
    [sym__variable_member_access_expression] = STATE(674),
    [sym_member_access_expression] = STATE(661),
    [sym__variable_nullsafe_member_access_expression] = STATE(663),
    [sym_nullsafe_member_access_expression] = STATE(661),
    [sym__variable_scoped_property_access_expression] = STATE(664),
    [sym_scoped_property_access_expression] = STATE(661),
    [sym_list_literal] = STATE(2530),
    [sym__list_destructing] = STATE(2405),
    [sym__array_destructing] = STATE(2405),
    [sym_function_call_expression] = STATE(634),
    [sym__callable_expression] = STATE(2471),
    [sym_scoped_call_expression] = STATE(634),
    [sym__scope_resolution_qualifier] = STATE(2651),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(634),
    [sym_nullsafe_member_call_expression] = STATE(634),
    [sym__variable_subscript_expression] = STATE(665),
    [sym__dereferencable_subscript_expression] = STATE(634),
    [sym__dereferencable_expression] = STATE(1946),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(1005),
    [sym_attribute_group] = STATE(1373),
    [sym_attribute_list] = STATE(1344),
    [sym_encapsed_string] = STATE(927),
    [sym_string] = STATE(927),
    [sym_heredoc] = STATE(927),
    [sym_nowdoc] = STATE(927),
    [sym_shell_command_expression] = STATE(1148),
    [sym_boolean] = STATE(1162),
    [sym_null] = STATE(1162),
    [sym__string] = STATE(941),
    [sym_dynamic_variable_name] = STATE(650),
    [sym__simple_variable] = STATE(654),
    [sym__new_variable] = STATE(667),
    [sym__callable_variable] = STATE(629),
    [sym_variable_name] = STATE(650),
    [sym_yield_expression] = STATE(1152),
    [sym_binary_expression] = STATE(1152),
    [sym_include_expression] = STATE(1152),
    [sym_include_once_expression] = STATE(1152),
    [sym_require_expression] = STATE(1152),
    [sym_require_once_expression] = STATE(1152),
    [sym__reserved_identifier] = STATE(717),
    [sym__identifier] = STATE(1496),
    [sym__semicolon] = STATE(1971),
    [aux_sym_class_declaration_repeat1] = STATE(1382),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(362),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(364),
    [aux_sym_function_static_declaration_token1] = ACTIONS(366),
    [aux_sym_global_declaration_token1] = ACTIONS(368),
    [aux_sym_namespace_definition_token1] = ACTIONS(370),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(372),
    [aux_sym__namespace_use_type_token1] = ACTIONS(222),
    [aux_sym__namespace_use_type_token2] = ACTIONS(374),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(376),
    [aux_sym_trait_declaration_token1] = ACTIONS(378),
    [aux_sym_interface_declaration_token1] = ACTIONS(380),
    [aux_sym_enum_declaration_token1] = ACTIONS(382),
    [anon_sym_COLON] = ACTIONS(455),
    [aux_sym_class_declaration_token1] = ACTIONS(384),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [anon_sym_LPAREN2] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(386),
    [aux_sym_exit_statement_token1] = ACTIONS(388),
    [anon_sym_unset] = ACTIONS(390),
    [aux_sym_declare_statement_token1] = ACTIONS(443),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(394),
    [aux_sym_goto_statement_token1] = ACTIONS(396),
    [aux_sym_continue_statement_token1] = ACTIONS(398),
    [aux_sym_break_statement_token1] = ACTIONS(400),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(402),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(445),
    [aux_sym_do_statement_token1] = ACTIONS(406),
    [aux_sym_for_statement_token1] = ACTIONS(447),
    [aux_sym_foreach_statement_token1] = ACTIONS(449),
    [aux_sym_if_statement_token1] = ACTIONS(451),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(414),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(416),
  },
  [41] = {
    [sym_text_interpolation] = STATE(41),
    [sym_statement] = STATE(515),
    [sym_empty_statement] = STATE(573),
    [sym_function_static_declaration] = STATE(573),
    [sym_global_declaration] = STATE(573),
    [sym_namespace_definition] = STATE(573),
    [sym_namespace_use_declaration] = STATE(573),
    [sym_qualified_name] = STATE(1000),
    [sym__name] = STATE(1631),
    [sym_namespace_name] = STATE(2575),
    [sym_trait_declaration] = STATE(573),
    [sym_interface_declaration] = STATE(573),
    [sym_enum_declaration] = STATE(573),
    [sym_class_declaration] = STATE(573),
    [sym_final_modifier] = STATE(1335),
    [sym_abstract_modifier] = STATE(1335),
    [sym_readonly_modifier] = STATE(1335),
    [sym_const_declaration] = STATE(573),
    [sym__const_declaration] = STATE(517),
    [sym__modifier] = STATE(1334),
    [sym_static_modifier] = STATE(1468),
    [sym_visibility_modifier] = STATE(1335),
    [sym_function_definition] = STATE(573),
    [sym__function_definition_header] = STATE(2470),
    [sym_anonymous_function] = STATE(1148),
    [sym__anonymous_function_header] = STATE(2489),
    [sym__arrow_function_header] = STATE(2731),
    [sym_arrow_function] = STATE(1148),
    [sym_echo_statement] = STATE(573),
    [sym_exit_statement] = STATE(573),
    [sym_unset_statement] = STATE(573),
    [sym_declare_statement] = STATE(573),
    [sym_literal] = STATE(1148),
    [sym_try_statement] = STATE(573),
    [sym_goto_statement] = STATE(573),
    [sym_continue_statement] = STATE(573),
    [sym_break_statement] = STATE(573),
    [sym_return_statement] = STATE(573),
    [sym_throw_expression] = STATE(1148),
    [sym_while_statement] = STATE(573),
    [sym_do_statement] = STATE(573),
    [sym_for_statement] = STATE(573),
    [sym_foreach_statement] = STATE(573),
    [sym_if_statement] = STATE(573),
    [sym_match_expression] = STATE(1152),
    [sym_switch_statement] = STATE(573),
    [sym_compound_statement] = STATE(573),
    [sym_named_label_statement] = STATE(573),
    [sym_expression_statement] = STATE(573),
    [sym_expression] = STATE(1221),
    [sym__unary_expression] = STATE(1159),
    [sym_unary_op_expression] = STATE(1172),
    [sym_error_suppression_expression] = STATE(1152),
    [sym_clone_expression] = STATE(1172),
    [sym_primary_expression] = STATE(1172),
    [sym_parenthesized_expression] = STATE(964),
    [sym_class_constant_access_expression] = STATE(1019),
    [sym_print_intrinsic] = STATE(1148),
    [sym_object_creation_expression] = STATE(1148),
    [sym__new_non_dereferencable_expression] = STATE(1168),
    [sym__new_dereferencable_expression] = STATE(966),
    [sym_update_expression] = STATE(1148),
    [sym_cast_expression] = STATE(1172),
    [sym_cast_variable] = STATE(661),
    [sym_assignment_expression] = STATE(1152),
    [sym_reference_assignment_expression] = STATE(1152),
    [sym_conditional_expression] = STATE(1152),
    [sym_augmented_assignment_expression] = STATE(1152),
    [sym__variable_member_access_expression] = STATE(674),
    [sym_member_access_expression] = STATE(661),
    [sym__variable_nullsafe_member_access_expression] = STATE(663),
    [sym_nullsafe_member_access_expression] = STATE(661),
    [sym__variable_scoped_property_access_expression] = STATE(664),
    [sym_scoped_property_access_expression] = STATE(661),
    [sym_list_literal] = STATE(2530),
    [sym__list_destructing] = STATE(2405),
    [sym__array_destructing] = STATE(2405),
    [sym_function_call_expression] = STATE(634),
    [sym__callable_expression] = STATE(2471),
    [sym_scoped_call_expression] = STATE(634),
    [sym__scope_resolution_qualifier] = STATE(2651),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(634),
    [sym_nullsafe_member_call_expression] = STATE(634),
    [sym__variable_subscript_expression] = STATE(665),
    [sym__dereferencable_subscript_expression] = STATE(634),
    [sym__dereferencable_expression] = STATE(1946),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(1005),
    [sym_attribute_group] = STATE(1373),
    [sym_attribute_list] = STATE(1356),
    [sym_encapsed_string] = STATE(927),
    [sym_string] = STATE(927),
    [sym_heredoc] = STATE(927),
    [sym_nowdoc] = STATE(927),
    [sym_shell_command_expression] = STATE(1148),
    [sym_boolean] = STATE(1162),
    [sym_null] = STATE(1162),
    [sym__string] = STATE(941),
    [sym_dynamic_variable_name] = STATE(650),
    [sym__simple_variable] = STATE(654),
    [sym__new_variable] = STATE(667),
    [sym__callable_variable] = STATE(629),
    [sym_variable_name] = STATE(650),
    [sym_yield_expression] = STATE(1152),
    [sym_binary_expression] = STATE(1152),
    [sym_include_expression] = STATE(1152),
    [sym_include_once_expression] = STATE(1152),
    [sym_require_expression] = STATE(1152),
    [sym_require_once_expression] = STATE(1152),
    [sym__reserved_identifier] = STATE(717),
    [sym__identifier] = STATE(1496),
    [sym__semicolon] = STATE(516),
    [aux_sym_class_declaration_repeat1] = STATE(1381),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(356),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym__namespace_use_type_token1] = ACTIONS(222),
    [aux_sym__namespace_use_type_token2] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [anon_sym_COLON] = ACTIONS(485),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [anon_sym_LPAREN2] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(264),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(280),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(284),
    [aux_sym_foreach_statement_token1] = ACTIONS(286),
    [aux_sym_if_statement_token1] = ACTIONS(288),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(360),
  },
  [42] = {
    [sym_text_interpolation] = STATE(42),
    [sym_statement] = STATE(2060),
    [sym_empty_statement] = STATE(2140),
    [sym_function_static_declaration] = STATE(2140),
    [sym_global_declaration] = STATE(2140),
    [sym_namespace_definition] = STATE(2140),
    [sym_namespace_use_declaration] = STATE(2140),
    [sym_qualified_name] = STATE(1000),
    [sym__name] = STATE(1631),
    [sym_namespace_name] = STATE(2575),
    [sym_trait_declaration] = STATE(2140),
    [sym_interface_declaration] = STATE(2140),
    [sym_enum_declaration] = STATE(2140),
    [sym_class_declaration] = STATE(2140),
    [sym_final_modifier] = STATE(1335),
    [sym_abstract_modifier] = STATE(1335),
    [sym_readonly_modifier] = STATE(1335),
    [sym_const_declaration] = STATE(2140),
    [sym__const_declaration] = STATE(2141),
    [sym__modifier] = STATE(1334),
    [sym_static_modifier] = STATE(1468),
    [sym_visibility_modifier] = STATE(1335),
    [sym_function_definition] = STATE(2140),
    [sym__function_definition_header] = STATE(2316),
    [sym_anonymous_function] = STATE(1148),
    [sym__anonymous_function_header] = STATE(2489),
    [sym__arrow_function_header] = STATE(2731),
    [sym_arrow_function] = STATE(1148),
    [sym_echo_statement] = STATE(2140),
    [sym_exit_statement] = STATE(2140),
    [sym_unset_statement] = STATE(2140),
    [sym_declare_statement] = STATE(2140),
    [sym_literal] = STATE(1148),
    [sym_try_statement] = STATE(2140),
    [sym_goto_statement] = STATE(2140),
    [sym_continue_statement] = STATE(2140),
    [sym_break_statement] = STATE(2140),
    [sym_return_statement] = STATE(2140),
    [sym_throw_expression] = STATE(1148),
    [sym_while_statement] = STATE(2140),
    [sym_do_statement] = STATE(2140),
    [sym_for_statement] = STATE(2140),
    [sym_foreach_statement] = STATE(2140),
    [sym_if_statement] = STATE(2140),
    [sym_match_expression] = STATE(1152),
    [sym_switch_statement] = STATE(2140),
    [sym_compound_statement] = STATE(2140),
    [sym_named_label_statement] = STATE(2140),
    [sym_expression_statement] = STATE(2140),
    [sym_expression] = STATE(1234),
    [sym__unary_expression] = STATE(1159),
    [sym_unary_op_expression] = STATE(1172),
    [sym_error_suppression_expression] = STATE(1152),
    [sym_clone_expression] = STATE(1172),
    [sym_primary_expression] = STATE(1172),
    [sym_parenthesized_expression] = STATE(964),
    [sym_class_constant_access_expression] = STATE(1019),
    [sym_print_intrinsic] = STATE(1148),
    [sym_object_creation_expression] = STATE(1148),
    [sym__new_non_dereferencable_expression] = STATE(1168),
    [sym__new_dereferencable_expression] = STATE(966),
    [sym_update_expression] = STATE(1148),
    [sym_cast_expression] = STATE(1172),
    [sym_cast_variable] = STATE(661),
    [sym_assignment_expression] = STATE(1152),
    [sym_reference_assignment_expression] = STATE(1152),
    [sym_conditional_expression] = STATE(1152),
    [sym_augmented_assignment_expression] = STATE(1152),
    [sym__variable_member_access_expression] = STATE(674),
    [sym_member_access_expression] = STATE(661),
    [sym__variable_nullsafe_member_access_expression] = STATE(663),
    [sym_nullsafe_member_access_expression] = STATE(661),
    [sym__variable_scoped_property_access_expression] = STATE(664),
    [sym_scoped_property_access_expression] = STATE(661),
    [sym_list_literal] = STATE(2530),
    [sym__list_destructing] = STATE(2405),
    [sym__array_destructing] = STATE(2405),
    [sym_function_call_expression] = STATE(634),
    [sym__callable_expression] = STATE(2471),
    [sym_scoped_call_expression] = STATE(634),
    [sym__scope_resolution_qualifier] = STATE(2651),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(634),
    [sym_nullsafe_member_call_expression] = STATE(634),
    [sym__variable_subscript_expression] = STATE(665),
    [sym__dereferencable_subscript_expression] = STATE(634),
    [sym__dereferencable_expression] = STATE(1946),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(1005),
    [sym_attribute_group] = STATE(1373),
    [sym_attribute_list] = STATE(1344),
    [sym_encapsed_string] = STATE(927),
    [sym_string] = STATE(927),
    [sym_heredoc] = STATE(927),
    [sym_nowdoc] = STATE(927),
    [sym_shell_command_expression] = STATE(1148),
    [sym_boolean] = STATE(1162),
    [sym_null] = STATE(1162),
    [sym__string] = STATE(941),
    [sym_dynamic_variable_name] = STATE(650),
    [sym__simple_variable] = STATE(654),
    [sym__new_variable] = STATE(667),
    [sym__callable_variable] = STATE(629),
    [sym_variable_name] = STATE(650),
    [sym_yield_expression] = STATE(1152),
    [sym_binary_expression] = STATE(1152),
    [sym_include_expression] = STATE(1152),
    [sym_include_once_expression] = STATE(1152),
    [sym_require_expression] = STATE(1152),
    [sym_require_once_expression] = STATE(1152),
    [sym__reserved_identifier] = STATE(717),
    [sym__identifier] = STATE(1496),
    [sym__semicolon] = STATE(2061),
    [aux_sym_class_declaration_repeat1] = STATE(1382),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(362),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(364),
    [aux_sym_function_static_declaration_token1] = ACTIONS(366),
    [aux_sym_global_declaration_token1] = ACTIONS(368),
    [aux_sym_namespace_definition_token1] = ACTIONS(370),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(372),
    [aux_sym__namespace_use_type_token1] = ACTIONS(222),
    [aux_sym__namespace_use_type_token2] = ACTIONS(374),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(376),
    [aux_sym_trait_declaration_token1] = ACTIONS(378),
    [aux_sym_interface_declaration_token1] = ACTIONS(380),
    [aux_sym_enum_declaration_token1] = ACTIONS(382),
    [anon_sym_COLON] = ACTIONS(457),
    [aux_sym_class_declaration_token1] = ACTIONS(384),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [anon_sym_LPAREN2] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(386),
    [aux_sym_exit_statement_token1] = ACTIONS(388),
    [anon_sym_unset] = ACTIONS(390),
    [aux_sym_declare_statement_token1] = ACTIONS(443),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(394),
    [aux_sym_goto_statement_token1] = ACTIONS(396),
    [aux_sym_continue_statement_token1] = ACTIONS(398),
    [aux_sym_break_statement_token1] = ACTIONS(400),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(402),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(445),
    [aux_sym_do_statement_token1] = ACTIONS(406),
    [aux_sym_for_statement_token1] = ACTIONS(447),
    [aux_sym_foreach_statement_token1] = ACTIONS(449),
    [aux_sym_if_statement_token1] = ACTIONS(451),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(414),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(416),
  },
  [43] = {
    [sym_text_interpolation] = STATE(43),
    [sym_statement] = STATE(2063),
    [sym_empty_statement] = STATE(2140),
    [sym_function_static_declaration] = STATE(2140),
    [sym_global_declaration] = STATE(2140),
    [sym_namespace_definition] = STATE(2140),
    [sym_namespace_use_declaration] = STATE(2140),
    [sym_qualified_name] = STATE(1000),
    [sym__name] = STATE(1631),
    [sym_namespace_name] = STATE(2575),
    [sym_trait_declaration] = STATE(2140),
    [sym_interface_declaration] = STATE(2140),
    [sym_enum_declaration] = STATE(2140),
    [sym_class_declaration] = STATE(2140),
    [sym_final_modifier] = STATE(1335),
    [sym_abstract_modifier] = STATE(1335),
    [sym_readonly_modifier] = STATE(1335),
    [sym_const_declaration] = STATE(2140),
    [sym__const_declaration] = STATE(2141),
    [sym__modifier] = STATE(1334),
    [sym_static_modifier] = STATE(1468),
    [sym_visibility_modifier] = STATE(1335),
    [sym_function_definition] = STATE(2140),
    [sym__function_definition_header] = STATE(2316),
    [sym_anonymous_function] = STATE(1148),
    [sym__anonymous_function_header] = STATE(2489),
    [sym__arrow_function_header] = STATE(2731),
    [sym_arrow_function] = STATE(1148),
    [sym_echo_statement] = STATE(2140),
    [sym_exit_statement] = STATE(2140),
    [sym_unset_statement] = STATE(2140),
    [sym_declare_statement] = STATE(2140),
    [sym_literal] = STATE(1148),
    [sym_try_statement] = STATE(2140),
    [sym_goto_statement] = STATE(2140),
    [sym_continue_statement] = STATE(2140),
    [sym_break_statement] = STATE(2140),
    [sym_return_statement] = STATE(2140),
    [sym_throw_expression] = STATE(1148),
    [sym_while_statement] = STATE(2140),
    [sym_do_statement] = STATE(2140),
    [sym_for_statement] = STATE(2140),
    [sym_foreach_statement] = STATE(2140),
    [sym_if_statement] = STATE(2140),
    [sym_match_expression] = STATE(1152),
    [sym_switch_statement] = STATE(2140),
    [sym_compound_statement] = STATE(2140),
    [sym_named_label_statement] = STATE(2140),
    [sym_expression_statement] = STATE(2140),
    [sym_expression] = STATE(1234),
    [sym__unary_expression] = STATE(1159),
    [sym_unary_op_expression] = STATE(1172),
    [sym_error_suppression_expression] = STATE(1152),
    [sym_clone_expression] = STATE(1172),
    [sym_primary_expression] = STATE(1172),
    [sym_parenthesized_expression] = STATE(964),
    [sym_class_constant_access_expression] = STATE(1019),
    [sym_print_intrinsic] = STATE(1148),
    [sym_object_creation_expression] = STATE(1148),
    [sym__new_non_dereferencable_expression] = STATE(1168),
    [sym__new_dereferencable_expression] = STATE(966),
    [sym_update_expression] = STATE(1148),
    [sym_cast_expression] = STATE(1172),
    [sym_cast_variable] = STATE(661),
    [sym_assignment_expression] = STATE(1152),
    [sym_reference_assignment_expression] = STATE(1152),
    [sym_conditional_expression] = STATE(1152),
    [sym_augmented_assignment_expression] = STATE(1152),
    [sym__variable_member_access_expression] = STATE(674),
    [sym_member_access_expression] = STATE(661),
    [sym__variable_nullsafe_member_access_expression] = STATE(663),
    [sym_nullsafe_member_access_expression] = STATE(661),
    [sym__variable_scoped_property_access_expression] = STATE(664),
    [sym_scoped_property_access_expression] = STATE(661),
    [sym_list_literal] = STATE(2530),
    [sym__list_destructing] = STATE(2405),
    [sym__array_destructing] = STATE(2405),
    [sym_function_call_expression] = STATE(634),
    [sym__callable_expression] = STATE(2471),
    [sym_scoped_call_expression] = STATE(634),
    [sym__scope_resolution_qualifier] = STATE(2651),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(634),
    [sym_nullsafe_member_call_expression] = STATE(634),
    [sym__variable_subscript_expression] = STATE(665),
    [sym__dereferencable_subscript_expression] = STATE(634),
    [sym__dereferencable_expression] = STATE(1946),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(1005),
    [sym_attribute_group] = STATE(1373),
    [sym_attribute_list] = STATE(1344),
    [sym_encapsed_string] = STATE(927),
    [sym_string] = STATE(927),
    [sym_heredoc] = STATE(927),
    [sym_nowdoc] = STATE(927),
    [sym_shell_command_expression] = STATE(1148),
    [sym_boolean] = STATE(1162),
    [sym_null] = STATE(1162),
    [sym__string] = STATE(941),
    [sym_dynamic_variable_name] = STATE(650),
    [sym__simple_variable] = STATE(654),
    [sym__new_variable] = STATE(667),
    [sym__callable_variable] = STATE(629),
    [sym_variable_name] = STATE(650),
    [sym_yield_expression] = STATE(1152),
    [sym_binary_expression] = STATE(1152),
    [sym_include_expression] = STATE(1152),
    [sym_include_once_expression] = STATE(1152),
    [sym_require_expression] = STATE(1152),
    [sym_require_once_expression] = STATE(1152),
    [sym__reserved_identifier] = STATE(717),
    [sym__identifier] = STATE(1496),
    [sym__semicolon] = STATE(2064),
    [aux_sym_class_declaration_repeat1] = STATE(1382),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(362),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(364),
    [aux_sym_function_static_declaration_token1] = ACTIONS(366),
    [aux_sym_global_declaration_token1] = ACTIONS(368),
    [aux_sym_namespace_definition_token1] = ACTIONS(370),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(372),
    [aux_sym__namespace_use_type_token1] = ACTIONS(222),
    [aux_sym__namespace_use_type_token2] = ACTIONS(374),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(376),
    [aux_sym_trait_declaration_token1] = ACTIONS(378),
    [aux_sym_interface_declaration_token1] = ACTIONS(380),
    [aux_sym_enum_declaration_token1] = ACTIONS(382),
    [anon_sym_COLON] = ACTIONS(459),
    [aux_sym_class_declaration_token1] = ACTIONS(384),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [anon_sym_LPAREN2] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(386),
    [aux_sym_exit_statement_token1] = ACTIONS(388),
    [anon_sym_unset] = ACTIONS(390),
    [aux_sym_declare_statement_token1] = ACTIONS(443),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(394),
    [aux_sym_goto_statement_token1] = ACTIONS(396),
    [aux_sym_continue_statement_token1] = ACTIONS(398),
    [aux_sym_break_statement_token1] = ACTIONS(400),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(402),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(445),
    [aux_sym_do_statement_token1] = ACTIONS(406),
    [aux_sym_for_statement_token1] = ACTIONS(447),
    [aux_sym_foreach_statement_token1] = ACTIONS(449),
    [aux_sym_if_statement_token1] = ACTIONS(451),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(414),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(416),
  },
  [44] = {
    [sym_text_interpolation] = STATE(44),
    [sym_statement] = STATE(2067),
    [sym_empty_statement] = STATE(2140),
    [sym_function_static_declaration] = STATE(2140),
    [sym_global_declaration] = STATE(2140),
    [sym_namespace_definition] = STATE(2140),
    [sym_namespace_use_declaration] = STATE(2140),
    [sym_qualified_name] = STATE(1000),
    [sym__name] = STATE(1631),
    [sym_namespace_name] = STATE(2575),
    [sym_trait_declaration] = STATE(2140),
    [sym_interface_declaration] = STATE(2140),
    [sym_enum_declaration] = STATE(2140),
    [sym_class_declaration] = STATE(2140),
    [sym_final_modifier] = STATE(1335),
    [sym_abstract_modifier] = STATE(1335),
    [sym_readonly_modifier] = STATE(1335),
    [sym_const_declaration] = STATE(2140),
    [sym__const_declaration] = STATE(2141),
    [sym__modifier] = STATE(1334),
    [sym_static_modifier] = STATE(1468),
    [sym_visibility_modifier] = STATE(1335),
    [sym_function_definition] = STATE(2140),
    [sym__function_definition_header] = STATE(2316),
    [sym_anonymous_function] = STATE(1148),
    [sym__anonymous_function_header] = STATE(2489),
    [sym__arrow_function_header] = STATE(2731),
    [sym_arrow_function] = STATE(1148),
    [sym_echo_statement] = STATE(2140),
    [sym_exit_statement] = STATE(2140),
    [sym_unset_statement] = STATE(2140),
    [sym_declare_statement] = STATE(2140),
    [sym_literal] = STATE(1148),
    [sym_try_statement] = STATE(2140),
    [sym_goto_statement] = STATE(2140),
    [sym_continue_statement] = STATE(2140),
    [sym_break_statement] = STATE(2140),
    [sym_return_statement] = STATE(2140),
    [sym_throw_expression] = STATE(1148),
    [sym_while_statement] = STATE(2140),
    [sym_do_statement] = STATE(2140),
    [sym_for_statement] = STATE(2140),
    [sym_foreach_statement] = STATE(2140),
    [sym_if_statement] = STATE(2140),
    [sym_match_expression] = STATE(1152),
    [sym_switch_statement] = STATE(2140),
    [sym_compound_statement] = STATE(2140),
    [sym_named_label_statement] = STATE(2140),
    [sym_expression_statement] = STATE(2140),
    [sym_expression] = STATE(1234),
    [sym__unary_expression] = STATE(1159),
    [sym_unary_op_expression] = STATE(1172),
    [sym_error_suppression_expression] = STATE(1152),
    [sym_clone_expression] = STATE(1172),
    [sym_primary_expression] = STATE(1172),
    [sym_parenthesized_expression] = STATE(964),
    [sym_class_constant_access_expression] = STATE(1019),
    [sym_print_intrinsic] = STATE(1148),
    [sym_object_creation_expression] = STATE(1148),
    [sym__new_non_dereferencable_expression] = STATE(1168),
    [sym__new_dereferencable_expression] = STATE(966),
    [sym_update_expression] = STATE(1148),
    [sym_cast_expression] = STATE(1172),
    [sym_cast_variable] = STATE(661),
    [sym_assignment_expression] = STATE(1152),
    [sym_reference_assignment_expression] = STATE(1152),
    [sym_conditional_expression] = STATE(1152),
    [sym_augmented_assignment_expression] = STATE(1152),
    [sym__variable_member_access_expression] = STATE(674),
    [sym_member_access_expression] = STATE(661),
    [sym__variable_nullsafe_member_access_expression] = STATE(663),
    [sym_nullsafe_member_access_expression] = STATE(661),
    [sym__variable_scoped_property_access_expression] = STATE(664),
    [sym_scoped_property_access_expression] = STATE(661),
    [sym_list_literal] = STATE(2530),
    [sym__list_destructing] = STATE(2405),
    [sym__array_destructing] = STATE(2405),
    [sym_function_call_expression] = STATE(634),
    [sym__callable_expression] = STATE(2471),
    [sym_scoped_call_expression] = STATE(634),
    [sym__scope_resolution_qualifier] = STATE(2651),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(634),
    [sym_nullsafe_member_call_expression] = STATE(634),
    [sym__variable_subscript_expression] = STATE(665),
    [sym__dereferencable_subscript_expression] = STATE(634),
    [sym__dereferencable_expression] = STATE(1946),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(1005),
    [sym_attribute_group] = STATE(1373),
    [sym_attribute_list] = STATE(1344),
    [sym_encapsed_string] = STATE(927),
    [sym_string] = STATE(927),
    [sym_heredoc] = STATE(927),
    [sym_nowdoc] = STATE(927),
    [sym_shell_command_expression] = STATE(1148),
    [sym_boolean] = STATE(1162),
    [sym_null] = STATE(1162),
    [sym__string] = STATE(941),
    [sym_dynamic_variable_name] = STATE(650),
    [sym__simple_variable] = STATE(654),
    [sym__new_variable] = STATE(667),
    [sym__callable_variable] = STATE(629),
    [sym_variable_name] = STATE(650),
    [sym_yield_expression] = STATE(1152),
    [sym_binary_expression] = STATE(1152),
    [sym_include_expression] = STATE(1152),
    [sym_include_once_expression] = STATE(1152),
    [sym_require_expression] = STATE(1152),
    [sym_require_once_expression] = STATE(1152),
    [sym__reserved_identifier] = STATE(717),
    [sym__identifier] = STATE(1496),
    [sym__semicolon] = STATE(2068),
    [aux_sym_class_declaration_repeat1] = STATE(1382),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(362),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(364),
    [aux_sym_function_static_declaration_token1] = ACTIONS(366),
    [aux_sym_global_declaration_token1] = ACTIONS(368),
    [aux_sym_namespace_definition_token1] = ACTIONS(370),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(372),
    [aux_sym__namespace_use_type_token1] = ACTIONS(222),
    [aux_sym__namespace_use_type_token2] = ACTIONS(374),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(376),
    [aux_sym_trait_declaration_token1] = ACTIONS(378),
    [aux_sym_interface_declaration_token1] = ACTIONS(380),
    [aux_sym_enum_declaration_token1] = ACTIONS(382),
    [anon_sym_COLON] = ACTIONS(461),
    [aux_sym_class_declaration_token1] = ACTIONS(384),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [anon_sym_LPAREN2] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(386),
    [aux_sym_exit_statement_token1] = ACTIONS(388),
    [anon_sym_unset] = ACTIONS(390),
    [aux_sym_declare_statement_token1] = ACTIONS(443),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(394),
    [aux_sym_goto_statement_token1] = ACTIONS(396),
    [aux_sym_continue_statement_token1] = ACTIONS(398),
    [aux_sym_break_statement_token1] = ACTIONS(400),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(402),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(445),
    [aux_sym_do_statement_token1] = ACTIONS(406),
    [aux_sym_for_statement_token1] = ACTIONS(447),
    [aux_sym_foreach_statement_token1] = ACTIONS(449),
    [aux_sym_if_statement_token1] = ACTIONS(451),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(414),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(416),
  },
  [45] = {
    [sym_text_interpolation] = STATE(45),
    [sym_statement] = STATE(518),
    [sym_empty_statement] = STATE(573),
    [sym_function_static_declaration] = STATE(573),
    [sym_global_declaration] = STATE(573),
    [sym_namespace_definition] = STATE(573),
    [sym_namespace_use_declaration] = STATE(573),
    [sym_qualified_name] = STATE(1000),
    [sym__name] = STATE(1631),
    [sym_namespace_name] = STATE(2575),
    [sym_trait_declaration] = STATE(573),
    [sym_interface_declaration] = STATE(573),
    [sym_enum_declaration] = STATE(573),
    [sym_class_declaration] = STATE(573),
    [sym_final_modifier] = STATE(1335),
    [sym_abstract_modifier] = STATE(1335),
    [sym_readonly_modifier] = STATE(1335),
    [sym_const_declaration] = STATE(573),
    [sym__const_declaration] = STATE(517),
    [sym__modifier] = STATE(1334),
    [sym_static_modifier] = STATE(1468),
    [sym_visibility_modifier] = STATE(1335),
    [sym_function_definition] = STATE(573),
    [sym__function_definition_header] = STATE(2470),
    [sym_anonymous_function] = STATE(1148),
    [sym__anonymous_function_header] = STATE(2489),
    [sym__arrow_function_header] = STATE(2731),
    [sym_arrow_function] = STATE(1148),
    [sym_echo_statement] = STATE(573),
    [sym_exit_statement] = STATE(573),
    [sym_unset_statement] = STATE(573),
    [sym_declare_statement] = STATE(573),
    [sym_literal] = STATE(1148),
    [sym_try_statement] = STATE(573),
    [sym_goto_statement] = STATE(573),
    [sym_continue_statement] = STATE(573),
    [sym_break_statement] = STATE(573),
    [sym_return_statement] = STATE(573),
    [sym_throw_expression] = STATE(1148),
    [sym_while_statement] = STATE(573),
    [sym_do_statement] = STATE(573),
    [sym_for_statement] = STATE(573),
    [sym_foreach_statement] = STATE(573),
    [sym_if_statement] = STATE(573),
    [sym_match_expression] = STATE(1152),
    [sym_switch_statement] = STATE(573),
    [sym_compound_statement] = STATE(573),
    [sym_named_label_statement] = STATE(573),
    [sym_expression_statement] = STATE(573),
    [sym_expression] = STATE(1221),
    [sym__unary_expression] = STATE(1159),
    [sym_unary_op_expression] = STATE(1172),
    [sym_error_suppression_expression] = STATE(1152),
    [sym_clone_expression] = STATE(1172),
    [sym_primary_expression] = STATE(1172),
    [sym_parenthesized_expression] = STATE(964),
    [sym_class_constant_access_expression] = STATE(1019),
    [sym_print_intrinsic] = STATE(1148),
    [sym_object_creation_expression] = STATE(1148),
    [sym__new_non_dereferencable_expression] = STATE(1168),
    [sym__new_dereferencable_expression] = STATE(966),
    [sym_update_expression] = STATE(1148),
    [sym_cast_expression] = STATE(1172),
    [sym_cast_variable] = STATE(661),
    [sym_assignment_expression] = STATE(1152),
    [sym_reference_assignment_expression] = STATE(1152),
    [sym_conditional_expression] = STATE(1152),
    [sym_augmented_assignment_expression] = STATE(1152),
    [sym__variable_member_access_expression] = STATE(674),
    [sym_member_access_expression] = STATE(661),
    [sym__variable_nullsafe_member_access_expression] = STATE(663),
    [sym_nullsafe_member_access_expression] = STATE(661),
    [sym__variable_scoped_property_access_expression] = STATE(664),
    [sym_scoped_property_access_expression] = STATE(661),
    [sym_list_literal] = STATE(2530),
    [sym__list_destructing] = STATE(2405),
    [sym__array_destructing] = STATE(2405),
    [sym_function_call_expression] = STATE(634),
    [sym__callable_expression] = STATE(2471),
    [sym_scoped_call_expression] = STATE(634),
    [sym__scope_resolution_qualifier] = STATE(2651),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(634),
    [sym_nullsafe_member_call_expression] = STATE(634),
    [sym__variable_subscript_expression] = STATE(665),
    [sym__dereferencable_subscript_expression] = STATE(634),
    [sym__dereferencable_expression] = STATE(1946),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(1005),
    [sym_attribute_group] = STATE(1373),
    [sym_attribute_list] = STATE(1356),
    [sym_encapsed_string] = STATE(927),
    [sym_string] = STATE(927),
    [sym_heredoc] = STATE(927),
    [sym_nowdoc] = STATE(927),
    [sym_shell_command_expression] = STATE(1148),
    [sym_boolean] = STATE(1162),
    [sym_null] = STATE(1162),
    [sym__string] = STATE(941),
    [sym_dynamic_variable_name] = STATE(650),
    [sym__simple_variable] = STATE(654),
    [sym__new_variable] = STATE(667),
    [sym__callable_variable] = STATE(629),
    [sym_variable_name] = STATE(650),
    [sym_yield_expression] = STATE(1152),
    [sym_binary_expression] = STATE(1152),
    [sym_include_expression] = STATE(1152),
    [sym_include_once_expression] = STATE(1152),
    [sym_require_expression] = STATE(1152),
    [sym_require_once_expression] = STATE(1152),
    [sym__reserved_identifier] = STATE(717),
    [sym__identifier] = STATE(1496),
    [sym__semicolon] = STATE(519),
    [aux_sym_class_declaration_repeat1] = STATE(1381),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(356),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym__namespace_use_type_token1] = ACTIONS(222),
    [aux_sym__namespace_use_type_token2] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [anon_sym_COLON] = ACTIONS(487),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [anon_sym_LPAREN2] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(264),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(280),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(284),
    [aux_sym_foreach_statement_token1] = ACTIONS(286),
    [aux_sym_if_statement_token1] = ACTIONS(288),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(360),
  },
  [46] = {
    [sym_text_interpolation] = STATE(46),
    [sym_statement] = STATE(2100),
    [sym_empty_statement] = STATE(2140),
    [sym_function_static_declaration] = STATE(2140),
    [sym_global_declaration] = STATE(2140),
    [sym_namespace_definition] = STATE(2140),
    [sym_namespace_use_declaration] = STATE(2140),
    [sym_qualified_name] = STATE(1000),
    [sym__name] = STATE(1631),
    [sym_namespace_name] = STATE(2575),
    [sym_trait_declaration] = STATE(2140),
    [sym_interface_declaration] = STATE(2140),
    [sym_enum_declaration] = STATE(2140),
    [sym_class_declaration] = STATE(2140),
    [sym_final_modifier] = STATE(1335),
    [sym_abstract_modifier] = STATE(1335),
    [sym_readonly_modifier] = STATE(1335),
    [sym_const_declaration] = STATE(2140),
    [sym__const_declaration] = STATE(2141),
    [sym__modifier] = STATE(1334),
    [sym_static_modifier] = STATE(1468),
    [sym_visibility_modifier] = STATE(1335),
    [sym_function_definition] = STATE(2140),
    [sym__function_definition_header] = STATE(2316),
    [sym_anonymous_function] = STATE(1148),
    [sym__anonymous_function_header] = STATE(2489),
    [sym__arrow_function_header] = STATE(2731),
    [sym_arrow_function] = STATE(1148),
    [sym_echo_statement] = STATE(2140),
    [sym_exit_statement] = STATE(2140),
    [sym_unset_statement] = STATE(2140),
    [sym_declare_statement] = STATE(2140),
    [sym_literal] = STATE(1148),
    [sym_try_statement] = STATE(2140),
    [sym_goto_statement] = STATE(2140),
    [sym_continue_statement] = STATE(2140),
    [sym_break_statement] = STATE(2140),
    [sym_return_statement] = STATE(2140),
    [sym_throw_expression] = STATE(1148),
    [sym_while_statement] = STATE(2140),
    [sym_do_statement] = STATE(2140),
    [sym_for_statement] = STATE(2140),
    [sym_foreach_statement] = STATE(2140),
    [sym_if_statement] = STATE(2140),
    [sym_match_expression] = STATE(1152),
    [sym_switch_statement] = STATE(2140),
    [sym_compound_statement] = STATE(2140),
    [sym_named_label_statement] = STATE(2140),
    [sym_expression_statement] = STATE(2140),
    [sym_expression] = STATE(1234),
    [sym__unary_expression] = STATE(1159),
    [sym_unary_op_expression] = STATE(1172),
    [sym_error_suppression_expression] = STATE(1152),
    [sym_clone_expression] = STATE(1172),
    [sym_primary_expression] = STATE(1172),
    [sym_parenthesized_expression] = STATE(964),
    [sym_class_constant_access_expression] = STATE(1019),
    [sym_print_intrinsic] = STATE(1148),
    [sym_object_creation_expression] = STATE(1148),
    [sym__new_non_dereferencable_expression] = STATE(1168),
    [sym__new_dereferencable_expression] = STATE(966),
    [sym_update_expression] = STATE(1148),
    [sym_cast_expression] = STATE(1172),
    [sym_cast_variable] = STATE(661),
    [sym_assignment_expression] = STATE(1152),
    [sym_reference_assignment_expression] = STATE(1152),
    [sym_conditional_expression] = STATE(1152),
    [sym_augmented_assignment_expression] = STATE(1152),
    [sym__variable_member_access_expression] = STATE(674),
    [sym_member_access_expression] = STATE(661),
    [sym__variable_nullsafe_member_access_expression] = STATE(663),
    [sym_nullsafe_member_access_expression] = STATE(661),
    [sym__variable_scoped_property_access_expression] = STATE(664),
    [sym_scoped_property_access_expression] = STATE(661),
    [sym_list_literal] = STATE(2530),
    [sym__list_destructing] = STATE(2405),
    [sym__array_destructing] = STATE(2405),
    [sym_function_call_expression] = STATE(634),
    [sym__callable_expression] = STATE(2471),
    [sym_scoped_call_expression] = STATE(634),
    [sym__scope_resolution_qualifier] = STATE(2651),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(634),
    [sym_nullsafe_member_call_expression] = STATE(634),
    [sym__variable_subscript_expression] = STATE(665),
    [sym__dereferencable_subscript_expression] = STATE(634),
    [sym__dereferencable_expression] = STATE(1946),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(1005),
    [sym_attribute_group] = STATE(1373),
    [sym_attribute_list] = STATE(1344),
    [sym_encapsed_string] = STATE(927),
    [sym_string] = STATE(927),
    [sym_heredoc] = STATE(927),
    [sym_nowdoc] = STATE(927),
    [sym_shell_command_expression] = STATE(1148),
    [sym_boolean] = STATE(1162),
    [sym_null] = STATE(1162),
    [sym__string] = STATE(941),
    [sym_dynamic_variable_name] = STATE(650),
    [sym__simple_variable] = STATE(654),
    [sym__new_variable] = STATE(667),
    [sym__callable_variable] = STATE(629),
    [sym_variable_name] = STATE(650),
    [sym_yield_expression] = STATE(1152),
    [sym_binary_expression] = STATE(1152),
    [sym_include_expression] = STATE(1152),
    [sym_include_once_expression] = STATE(1152),
    [sym_require_expression] = STATE(1152),
    [sym_require_once_expression] = STATE(1152),
    [sym__reserved_identifier] = STATE(717),
    [sym__identifier] = STATE(1496),
    [sym__semicolon] = STATE(2101),
    [aux_sym_class_declaration_repeat1] = STATE(1382),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(362),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(364),
    [aux_sym_function_static_declaration_token1] = ACTIONS(366),
    [aux_sym_global_declaration_token1] = ACTIONS(368),
    [aux_sym_namespace_definition_token1] = ACTIONS(370),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(372),
    [aux_sym__namespace_use_type_token1] = ACTIONS(222),
    [aux_sym__namespace_use_type_token2] = ACTIONS(374),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(376),
    [aux_sym_trait_declaration_token1] = ACTIONS(378),
    [aux_sym_interface_declaration_token1] = ACTIONS(380),
    [aux_sym_enum_declaration_token1] = ACTIONS(382),
    [anon_sym_COLON] = ACTIONS(465),
    [aux_sym_class_declaration_token1] = ACTIONS(384),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [anon_sym_LPAREN2] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(386),
    [aux_sym_exit_statement_token1] = ACTIONS(388),
    [anon_sym_unset] = ACTIONS(390),
    [aux_sym_declare_statement_token1] = ACTIONS(443),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(394),
    [aux_sym_goto_statement_token1] = ACTIONS(396),
    [aux_sym_continue_statement_token1] = ACTIONS(398),
    [aux_sym_break_statement_token1] = ACTIONS(400),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(402),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(445),
    [aux_sym_do_statement_token1] = ACTIONS(406),
    [aux_sym_for_statement_token1] = ACTIONS(447),
    [aux_sym_foreach_statement_token1] = ACTIONS(449),
    [aux_sym_if_statement_token1] = ACTIONS(451),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(414),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(416),
  },
  [47] = {
    [sym_text_interpolation] = STATE(47),
    [sym_statement] = STATE(2103),
    [sym_empty_statement] = STATE(2140),
    [sym_function_static_declaration] = STATE(2140),
    [sym_global_declaration] = STATE(2140),
    [sym_namespace_definition] = STATE(2140),
    [sym_namespace_use_declaration] = STATE(2140),
    [sym_qualified_name] = STATE(1000),
    [sym__name] = STATE(1631),
    [sym_namespace_name] = STATE(2575),
    [sym_trait_declaration] = STATE(2140),
    [sym_interface_declaration] = STATE(2140),
    [sym_enum_declaration] = STATE(2140),
    [sym_class_declaration] = STATE(2140),
    [sym_final_modifier] = STATE(1335),
    [sym_abstract_modifier] = STATE(1335),
    [sym_readonly_modifier] = STATE(1335),
    [sym_const_declaration] = STATE(2140),
    [sym__const_declaration] = STATE(2141),
    [sym__modifier] = STATE(1334),
    [sym_static_modifier] = STATE(1468),
    [sym_visibility_modifier] = STATE(1335),
    [sym_function_definition] = STATE(2140),
    [sym__function_definition_header] = STATE(2316),
    [sym_anonymous_function] = STATE(1148),
    [sym__anonymous_function_header] = STATE(2489),
    [sym__arrow_function_header] = STATE(2731),
    [sym_arrow_function] = STATE(1148),
    [sym_echo_statement] = STATE(2140),
    [sym_exit_statement] = STATE(2140),
    [sym_unset_statement] = STATE(2140),
    [sym_declare_statement] = STATE(2140),
    [sym_literal] = STATE(1148),
    [sym_try_statement] = STATE(2140),
    [sym_goto_statement] = STATE(2140),
    [sym_continue_statement] = STATE(2140),
    [sym_break_statement] = STATE(2140),
    [sym_return_statement] = STATE(2140),
    [sym_throw_expression] = STATE(1148),
    [sym_while_statement] = STATE(2140),
    [sym_do_statement] = STATE(2140),
    [sym_for_statement] = STATE(2140),
    [sym_foreach_statement] = STATE(2140),
    [sym_if_statement] = STATE(2140),
    [sym_match_expression] = STATE(1152),
    [sym_switch_statement] = STATE(2140),
    [sym_compound_statement] = STATE(2140),
    [sym_named_label_statement] = STATE(2140),
    [sym_expression_statement] = STATE(2140),
    [sym_expression] = STATE(1234),
    [sym__unary_expression] = STATE(1159),
    [sym_unary_op_expression] = STATE(1172),
    [sym_error_suppression_expression] = STATE(1152),
    [sym_clone_expression] = STATE(1172),
    [sym_primary_expression] = STATE(1172),
    [sym_parenthesized_expression] = STATE(964),
    [sym_class_constant_access_expression] = STATE(1019),
    [sym_print_intrinsic] = STATE(1148),
    [sym_object_creation_expression] = STATE(1148),
    [sym__new_non_dereferencable_expression] = STATE(1168),
    [sym__new_dereferencable_expression] = STATE(966),
    [sym_update_expression] = STATE(1148),
    [sym_cast_expression] = STATE(1172),
    [sym_cast_variable] = STATE(661),
    [sym_assignment_expression] = STATE(1152),
    [sym_reference_assignment_expression] = STATE(1152),
    [sym_conditional_expression] = STATE(1152),
    [sym_augmented_assignment_expression] = STATE(1152),
    [sym__variable_member_access_expression] = STATE(674),
    [sym_member_access_expression] = STATE(661),
    [sym__variable_nullsafe_member_access_expression] = STATE(663),
    [sym_nullsafe_member_access_expression] = STATE(661),
    [sym__variable_scoped_property_access_expression] = STATE(664),
    [sym_scoped_property_access_expression] = STATE(661),
    [sym_list_literal] = STATE(2530),
    [sym__list_destructing] = STATE(2405),
    [sym__array_destructing] = STATE(2405),
    [sym_function_call_expression] = STATE(634),
    [sym__callable_expression] = STATE(2471),
    [sym_scoped_call_expression] = STATE(634),
    [sym__scope_resolution_qualifier] = STATE(2651),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(634),
    [sym_nullsafe_member_call_expression] = STATE(634),
    [sym__variable_subscript_expression] = STATE(665),
    [sym__dereferencable_subscript_expression] = STATE(634),
    [sym__dereferencable_expression] = STATE(1946),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(1005),
    [sym_attribute_group] = STATE(1373),
    [sym_attribute_list] = STATE(1344),
    [sym_encapsed_string] = STATE(927),
    [sym_string] = STATE(927),
    [sym_heredoc] = STATE(927),
    [sym_nowdoc] = STATE(927),
    [sym_shell_command_expression] = STATE(1148),
    [sym_boolean] = STATE(1162),
    [sym_null] = STATE(1162),
    [sym__string] = STATE(941),
    [sym_dynamic_variable_name] = STATE(650),
    [sym__simple_variable] = STATE(654),
    [sym__new_variable] = STATE(667),
    [sym__callable_variable] = STATE(629),
    [sym_variable_name] = STATE(650),
    [sym_yield_expression] = STATE(1152),
    [sym_binary_expression] = STATE(1152),
    [sym_include_expression] = STATE(1152),
    [sym_include_once_expression] = STATE(1152),
    [sym_require_expression] = STATE(1152),
    [sym_require_once_expression] = STATE(1152),
    [sym__reserved_identifier] = STATE(717),
    [sym__identifier] = STATE(1496),
    [sym__semicolon] = STATE(2104),
    [aux_sym_class_declaration_repeat1] = STATE(1382),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(362),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(364),
    [aux_sym_function_static_declaration_token1] = ACTIONS(366),
    [aux_sym_global_declaration_token1] = ACTIONS(368),
    [aux_sym_namespace_definition_token1] = ACTIONS(370),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(372),
    [aux_sym__namespace_use_type_token1] = ACTIONS(222),
    [aux_sym__namespace_use_type_token2] = ACTIONS(374),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(376),
    [aux_sym_trait_declaration_token1] = ACTIONS(378),
    [aux_sym_interface_declaration_token1] = ACTIONS(380),
    [aux_sym_enum_declaration_token1] = ACTIONS(382),
    [anon_sym_COLON] = ACTIONS(467),
    [aux_sym_class_declaration_token1] = ACTIONS(384),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [anon_sym_LPAREN2] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(386),
    [aux_sym_exit_statement_token1] = ACTIONS(388),
    [anon_sym_unset] = ACTIONS(390),
    [aux_sym_declare_statement_token1] = ACTIONS(443),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(394),
    [aux_sym_goto_statement_token1] = ACTIONS(396),
    [aux_sym_continue_statement_token1] = ACTIONS(398),
    [aux_sym_break_statement_token1] = ACTIONS(400),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(402),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(445),
    [aux_sym_do_statement_token1] = ACTIONS(406),
    [aux_sym_for_statement_token1] = ACTIONS(447),
    [aux_sym_foreach_statement_token1] = ACTIONS(449),
    [aux_sym_if_statement_token1] = ACTIONS(451),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(414),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(416),
  },
  [48] = {
    [sym_text_interpolation] = STATE(48),
    [sym_statement] = STATE(2105),
    [sym_empty_statement] = STATE(2140),
    [sym_function_static_declaration] = STATE(2140),
    [sym_global_declaration] = STATE(2140),
    [sym_namespace_definition] = STATE(2140),
    [sym_namespace_use_declaration] = STATE(2140),
    [sym_qualified_name] = STATE(1000),
    [sym__name] = STATE(1631),
    [sym_namespace_name] = STATE(2575),
    [sym_trait_declaration] = STATE(2140),
    [sym_interface_declaration] = STATE(2140),
    [sym_enum_declaration] = STATE(2140),
    [sym_class_declaration] = STATE(2140),
    [sym_final_modifier] = STATE(1335),
    [sym_abstract_modifier] = STATE(1335),
    [sym_readonly_modifier] = STATE(1335),
    [sym_const_declaration] = STATE(2140),
    [sym__const_declaration] = STATE(2141),
    [sym__modifier] = STATE(1334),
    [sym_static_modifier] = STATE(1468),
    [sym_visibility_modifier] = STATE(1335),
    [sym_function_definition] = STATE(2140),
    [sym__function_definition_header] = STATE(2316),
    [sym_anonymous_function] = STATE(1148),
    [sym__anonymous_function_header] = STATE(2489),
    [sym__arrow_function_header] = STATE(2731),
    [sym_arrow_function] = STATE(1148),
    [sym_echo_statement] = STATE(2140),
    [sym_exit_statement] = STATE(2140),
    [sym_unset_statement] = STATE(2140),
    [sym_declare_statement] = STATE(2140),
    [sym_literal] = STATE(1148),
    [sym_try_statement] = STATE(2140),
    [sym_goto_statement] = STATE(2140),
    [sym_continue_statement] = STATE(2140),
    [sym_break_statement] = STATE(2140),
    [sym_return_statement] = STATE(2140),
    [sym_throw_expression] = STATE(1148),
    [sym_while_statement] = STATE(2140),
    [sym_do_statement] = STATE(2140),
    [sym_for_statement] = STATE(2140),
    [sym_foreach_statement] = STATE(2140),
    [sym_if_statement] = STATE(2140),
    [sym_match_expression] = STATE(1152),
    [sym_switch_statement] = STATE(2140),
    [sym_compound_statement] = STATE(2140),
    [sym_named_label_statement] = STATE(2140),
    [sym_expression_statement] = STATE(2140),
    [sym_expression] = STATE(1234),
    [sym__unary_expression] = STATE(1159),
    [sym_unary_op_expression] = STATE(1172),
    [sym_error_suppression_expression] = STATE(1152),
    [sym_clone_expression] = STATE(1172),
    [sym_primary_expression] = STATE(1172),
    [sym_parenthesized_expression] = STATE(964),
    [sym_class_constant_access_expression] = STATE(1019),
    [sym_print_intrinsic] = STATE(1148),
    [sym_object_creation_expression] = STATE(1148),
    [sym__new_non_dereferencable_expression] = STATE(1168),
    [sym__new_dereferencable_expression] = STATE(966),
    [sym_update_expression] = STATE(1148),
    [sym_cast_expression] = STATE(1172),
    [sym_cast_variable] = STATE(661),
    [sym_assignment_expression] = STATE(1152),
    [sym_reference_assignment_expression] = STATE(1152),
    [sym_conditional_expression] = STATE(1152),
    [sym_augmented_assignment_expression] = STATE(1152),
    [sym__variable_member_access_expression] = STATE(674),
    [sym_member_access_expression] = STATE(661),
    [sym__variable_nullsafe_member_access_expression] = STATE(663),
    [sym_nullsafe_member_access_expression] = STATE(661),
    [sym__variable_scoped_property_access_expression] = STATE(664),
    [sym_scoped_property_access_expression] = STATE(661),
    [sym_list_literal] = STATE(2530),
    [sym__list_destructing] = STATE(2405),
    [sym__array_destructing] = STATE(2405),
    [sym_function_call_expression] = STATE(634),
    [sym__callable_expression] = STATE(2471),
    [sym_scoped_call_expression] = STATE(634),
    [sym__scope_resolution_qualifier] = STATE(2651),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(634),
    [sym_nullsafe_member_call_expression] = STATE(634),
    [sym__variable_subscript_expression] = STATE(665),
    [sym__dereferencable_subscript_expression] = STATE(634),
    [sym__dereferencable_expression] = STATE(1946),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(1005),
    [sym_attribute_group] = STATE(1373),
    [sym_attribute_list] = STATE(1344),
    [sym_encapsed_string] = STATE(927),
    [sym_string] = STATE(927),
    [sym_heredoc] = STATE(927),
    [sym_nowdoc] = STATE(927),
    [sym_shell_command_expression] = STATE(1148),
    [sym_boolean] = STATE(1162),
    [sym_null] = STATE(1162),
    [sym__string] = STATE(941),
    [sym_dynamic_variable_name] = STATE(650),
    [sym__simple_variable] = STATE(654),
    [sym__new_variable] = STATE(667),
    [sym__callable_variable] = STATE(629),
    [sym_variable_name] = STATE(650),
    [sym_yield_expression] = STATE(1152),
    [sym_binary_expression] = STATE(1152),
    [sym_include_expression] = STATE(1152),
    [sym_include_once_expression] = STATE(1152),
    [sym_require_expression] = STATE(1152),
    [sym_require_once_expression] = STATE(1152),
    [sym__reserved_identifier] = STATE(717),
    [sym__identifier] = STATE(1496),
    [sym__semicolon] = STATE(2106),
    [aux_sym_class_declaration_repeat1] = STATE(1382),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(362),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(364),
    [aux_sym_function_static_declaration_token1] = ACTIONS(366),
    [aux_sym_global_declaration_token1] = ACTIONS(368),
    [aux_sym_namespace_definition_token1] = ACTIONS(370),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(372),
    [aux_sym__namespace_use_type_token1] = ACTIONS(222),
    [aux_sym__namespace_use_type_token2] = ACTIONS(374),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(376),
    [aux_sym_trait_declaration_token1] = ACTIONS(378),
    [aux_sym_interface_declaration_token1] = ACTIONS(380),
    [aux_sym_enum_declaration_token1] = ACTIONS(382),
    [anon_sym_COLON] = ACTIONS(469),
    [aux_sym_class_declaration_token1] = ACTIONS(384),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [anon_sym_LPAREN2] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(386),
    [aux_sym_exit_statement_token1] = ACTIONS(388),
    [anon_sym_unset] = ACTIONS(390),
    [aux_sym_declare_statement_token1] = ACTIONS(443),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(394),
    [aux_sym_goto_statement_token1] = ACTIONS(396),
    [aux_sym_continue_statement_token1] = ACTIONS(398),
    [aux_sym_break_statement_token1] = ACTIONS(400),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(402),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(445),
    [aux_sym_do_statement_token1] = ACTIONS(406),
    [aux_sym_for_statement_token1] = ACTIONS(447),
    [aux_sym_foreach_statement_token1] = ACTIONS(449),
    [aux_sym_if_statement_token1] = ACTIONS(451),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(414),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(416),
  },
  [49] = {
    [sym_text_interpolation] = STATE(49),
    [sym_statement] = STATE(2129),
    [sym_empty_statement] = STATE(2140),
    [sym_function_static_declaration] = STATE(2140),
    [sym_global_declaration] = STATE(2140),
    [sym_namespace_definition] = STATE(2140),
    [sym_namespace_use_declaration] = STATE(2140),
    [sym_qualified_name] = STATE(1000),
    [sym__name] = STATE(1631),
    [sym_namespace_name] = STATE(2575),
    [sym_trait_declaration] = STATE(2140),
    [sym_interface_declaration] = STATE(2140),
    [sym_enum_declaration] = STATE(2140),
    [sym_class_declaration] = STATE(2140),
    [sym_final_modifier] = STATE(1335),
    [sym_abstract_modifier] = STATE(1335),
    [sym_readonly_modifier] = STATE(1335),
    [sym_const_declaration] = STATE(2140),
    [sym__const_declaration] = STATE(2141),
    [sym__modifier] = STATE(1334),
    [sym_static_modifier] = STATE(1468),
    [sym_visibility_modifier] = STATE(1335),
    [sym_function_definition] = STATE(2140),
    [sym__function_definition_header] = STATE(2316),
    [sym_anonymous_function] = STATE(1148),
    [sym__anonymous_function_header] = STATE(2489),
    [sym__arrow_function_header] = STATE(2731),
    [sym_arrow_function] = STATE(1148),
    [sym_echo_statement] = STATE(2140),
    [sym_exit_statement] = STATE(2140),
    [sym_unset_statement] = STATE(2140),
    [sym_declare_statement] = STATE(2140),
    [sym_literal] = STATE(1148),
    [sym_try_statement] = STATE(2140),
    [sym_goto_statement] = STATE(2140),
    [sym_continue_statement] = STATE(2140),
    [sym_break_statement] = STATE(2140),
    [sym_return_statement] = STATE(2140),
    [sym_throw_expression] = STATE(1148),
    [sym_while_statement] = STATE(2140),
    [sym_do_statement] = STATE(2140),
    [sym_for_statement] = STATE(2140),
    [sym_foreach_statement] = STATE(2140),
    [sym_if_statement] = STATE(2140),
    [sym_match_expression] = STATE(1152),
    [sym_switch_statement] = STATE(2140),
    [sym_compound_statement] = STATE(2140),
    [sym_named_label_statement] = STATE(2140),
    [sym_expression_statement] = STATE(2140),
    [sym_expression] = STATE(1234),
    [sym__unary_expression] = STATE(1159),
    [sym_unary_op_expression] = STATE(1172),
    [sym_error_suppression_expression] = STATE(1152),
    [sym_clone_expression] = STATE(1172),
    [sym_primary_expression] = STATE(1172),
    [sym_parenthesized_expression] = STATE(964),
    [sym_class_constant_access_expression] = STATE(1019),
    [sym_print_intrinsic] = STATE(1148),
    [sym_object_creation_expression] = STATE(1148),
    [sym__new_non_dereferencable_expression] = STATE(1168),
    [sym__new_dereferencable_expression] = STATE(966),
    [sym_update_expression] = STATE(1148),
    [sym_cast_expression] = STATE(1172),
    [sym_cast_variable] = STATE(661),
    [sym_assignment_expression] = STATE(1152),
    [sym_reference_assignment_expression] = STATE(1152),
    [sym_conditional_expression] = STATE(1152),
    [sym_augmented_assignment_expression] = STATE(1152),
    [sym__variable_member_access_expression] = STATE(674),
    [sym_member_access_expression] = STATE(661),
    [sym__variable_nullsafe_member_access_expression] = STATE(663),
    [sym_nullsafe_member_access_expression] = STATE(661),
    [sym__variable_scoped_property_access_expression] = STATE(664),
    [sym_scoped_property_access_expression] = STATE(661),
    [sym_list_literal] = STATE(2530),
    [sym__list_destructing] = STATE(2405),
    [sym__array_destructing] = STATE(2405),
    [sym_function_call_expression] = STATE(634),
    [sym__callable_expression] = STATE(2471),
    [sym_scoped_call_expression] = STATE(634),
    [sym__scope_resolution_qualifier] = STATE(2651),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(634),
    [sym_nullsafe_member_call_expression] = STATE(634),
    [sym__variable_subscript_expression] = STATE(665),
    [sym__dereferencable_subscript_expression] = STATE(634),
    [sym__dereferencable_expression] = STATE(1946),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(1005),
    [sym_attribute_group] = STATE(1373),
    [sym_attribute_list] = STATE(1344),
    [sym_encapsed_string] = STATE(927),
    [sym_string] = STATE(927),
    [sym_heredoc] = STATE(927),
    [sym_nowdoc] = STATE(927),
    [sym_shell_command_expression] = STATE(1148),
    [sym_boolean] = STATE(1162),
    [sym_null] = STATE(1162),
    [sym__string] = STATE(941),
    [sym_dynamic_variable_name] = STATE(650),
    [sym__simple_variable] = STATE(654),
    [sym__new_variable] = STATE(667),
    [sym__callable_variable] = STATE(629),
    [sym_variable_name] = STATE(650),
    [sym_yield_expression] = STATE(1152),
    [sym_binary_expression] = STATE(1152),
    [sym_include_expression] = STATE(1152),
    [sym_include_once_expression] = STATE(1152),
    [sym_require_expression] = STATE(1152),
    [sym_require_once_expression] = STATE(1152),
    [sym__reserved_identifier] = STATE(717),
    [sym__identifier] = STATE(1496),
    [sym__semicolon] = STATE(2130),
    [aux_sym_class_declaration_repeat1] = STATE(1382),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(362),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(364),
    [aux_sym_function_static_declaration_token1] = ACTIONS(366),
    [aux_sym_global_declaration_token1] = ACTIONS(368),
    [aux_sym_namespace_definition_token1] = ACTIONS(370),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(372),
    [aux_sym__namespace_use_type_token1] = ACTIONS(222),
    [aux_sym__namespace_use_type_token2] = ACTIONS(374),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(376),
    [aux_sym_trait_declaration_token1] = ACTIONS(378),
    [aux_sym_interface_declaration_token1] = ACTIONS(380),
    [aux_sym_enum_declaration_token1] = ACTIONS(382),
    [anon_sym_COLON] = ACTIONS(471),
    [aux_sym_class_declaration_token1] = ACTIONS(384),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [anon_sym_LPAREN2] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(386),
    [aux_sym_exit_statement_token1] = ACTIONS(388),
    [anon_sym_unset] = ACTIONS(390),
    [aux_sym_declare_statement_token1] = ACTIONS(443),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(394),
    [aux_sym_goto_statement_token1] = ACTIONS(396),
    [aux_sym_continue_statement_token1] = ACTIONS(398),
    [aux_sym_break_statement_token1] = ACTIONS(400),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(402),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(445),
    [aux_sym_do_statement_token1] = ACTIONS(406),
    [aux_sym_for_statement_token1] = ACTIONS(447),
    [aux_sym_foreach_statement_token1] = ACTIONS(449),
    [aux_sym_if_statement_token1] = ACTIONS(451),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(414),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(416),
  },
  [50] = {
    [sym_text_interpolation] = STATE(50),
    [sym_statement] = STATE(463),
    [sym_empty_statement] = STATE(573),
    [sym_function_static_declaration] = STATE(573),
    [sym_global_declaration] = STATE(573),
    [sym_namespace_definition] = STATE(573),
    [sym_namespace_use_declaration] = STATE(573),
    [sym_qualified_name] = STATE(1000),
    [sym__name] = STATE(1631),
    [sym_namespace_name] = STATE(2575),
    [sym_trait_declaration] = STATE(573),
    [sym_interface_declaration] = STATE(573),
    [sym_enum_declaration] = STATE(573),
    [sym_class_declaration] = STATE(573),
    [sym_final_modifier] = STATE(1335),
    [sym_abstract_modifier] = STATE(1335),
    [sym_readonly_modifier] = STATE(1335),
    [sym_const_declaration] = STATE(573),
    [sym__const_declaration] = STATE(517),
    [sym__modifier] = STATE(1334),
    [sym_static_modifier] = STATE(1468),
    [sym_visibility_modifier] = STATE(1335),
    [sym_function_definition] = STATE(573),
    [sym__function_definition_header] = STATE(2470),
    [sym_anonymous_function] = STATE(1148),
    [sym__anonymous_function_header] = STATE(2489),
    [sym__arrow_function_header] = STATE(2731),
    [sym_arrow_function] = STATE(1148),
    [sym_echo_statement] = STATE(573),
    [sym_exit_statement] = STATE(573),
    [sym_unset_statement] = STATE(573),
    [sym_declare_statement] = STATE(573),
    [sym_literal] = STATE(1148),
    [sym_try_statement] = STATE(573),
    [sym_goto_statement] = STATE(573),
    [sym_continue_statement] = STATE(573),
    [sym_break_statement] = STATE(573),
    [sym_return_statement] = STATE(573),
    [sym_throw_expression] = STATE(1148),
    [sym_while_statement] = STATE(573),
    [sym_do_statement] = STATE(573),
    [sym_for_statement] = STATE(573),
    [sym_foreach_statement] = STATE(573),
    [sym_if_statement] = STATE(573),
    [sym_match_expression] = STATE(1152),
    [sym_switch_statement] = STATE(573),
    [sym_compound_statement] = STATE(573),
    [sym_named_label_statement] = STATE(573),
    [sym_expression_statement] = STATE(573),
    [sym_expression] = STATE(1221),
    [sym__unary_expression] = STATE(1159),
    [sym_unary_op_expression] = STATE(1172),
    [sym_error_suppression_expression] = STATE(1152),
    [sym_clone_expression] = STATE(1172),
    [sym_primary_expression] = STATE(1172),
    [sym_parenthesized_expression] = STATE(964),
    [sym_class_constant_access_expression] = STATE(1019),
    [sym_print_intrinsic] = STATE(1148),
    [sym_object_creation_expression] = STATE(1148),
    [sym__new_non_dereferencable_expression] = STATE(1168),
    [sym__new_dereferencable_expression] = STATE(966),
    [sym_update_expression] = STATE(1148),
    [sym_cast_expression] = STATE(1172),
    [sym_cast_variable] = STATE(661),
    [sym_assignment_expression] = STATE(1152),
    [sym_reference_assignment_expression] = STATE(1152),
    [sym_conditional_expression] = STATE(1152),
    [sym_augmented_assignment_expression] = STATE(1152),
    [sym__variable_member_access_expression] = STATE(674),
    [sym_member_access_expression] = STATE(661),
    [sym__variable_nullsafe_member_access_expression] = STATE(663),
    [sym_nullsafe_member_access_expression] = STATE(661),
    [sym__variable_scoped_property_access_expression] = STATE(664),
    [sym_scoped_property_access_expression] = STATE(661),
    [sym_list_literal] = STATE(2530),
    [sym__list_destructing] = STATE(2405),
    [sym__array_destructing] = STATE(2405),
    [sym_function_call_expression] = STATE(634),
    [sym__callable_expression] = STATE(2471),
    [sym_scoped_call_expression] = STATE(634),
    [sym__scope_resolution_qualifier] = STATE(2651),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(634),
    [sym_nullsafe_member_call_expression] = STATE(634),
    [sym__variable_subscript_expression] = STATE(665),
    [sym__dereferencable_subscript_expression] = STATE(634),
    [sym__dereferencable_expression] = STATE(1946),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(1005),
    [sym_attribute_group] = STATE(1373),
    [sym_attribute_list] = STATE(1356),
    [sym_encapsed_string] = STATE(927),
    [sym_string] = STATE(927),
    [sym_heredoc] = STATE(927),
    [sym_nowdoc] = STATE(927),
    [sym_shell_command_expression] = STATE(1148),
    [sym_boolean] = STATE(1162),
    [sym_null] = STATE(1162),
    [sym__string] = STATE(941),
    [sym_dynamic_variable_name] = STATE(650),
    [sym__simple_variable] = STATE(654),
    [sym__new_variable] = STATE(667),
    [sym__callable_variable] = STATE(629),
    [sym_variable_name] = STATE(650),
    [sym_yield_expression] = STATE(1152),
    [sym_binary_expression] = STATE(1152),
    [sym_include_expression] = STATE(1152),
    [sym_include_once_expression] = STATE(1152),
    [sym_require_expression] = STATE(1152),
    [sym_require_once_expression] = STATE(1152),
    [sym__reserved_identifier] = STATE(717),
    [sym__identifier] = STATE(1496),
    [sym__semicolon] = STATE(581),
    [aux_sym_class_declaration_repeat1] = STATE(1381),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(356),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym__namespace_use_type_token1] = ACTIONS(222),
    [aux_sym__namespace_use_type_token2] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [anon_sym_COLON] = ACTIONS(481),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [anon_sym_LPAREN2] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(264),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(280),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(284),
    [aux_sym_foreach_statement_token1] = ACTIONS(286),
    [aux_sym_if_statement_token1] = ACTIONS(288),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(360),
  },
  [51] = {
    [sym_text_interpolation] = STATE(51),
    [sym_statement] = STATE(514),
    [sym_empty_statement] = STATE(573),
    [sym_function_static_declaration] = STATE(573),
    [sym_global_declaration] = STATE(573),
    [sym_namespace_definition] = STATE(573),
    [sym_namespace_use_declaration] = STATE(573),
    [sym_qualified_name] = STATE(1000),
    [sym__name] = STATE(1631),
    [sym_namespace_name] = STATE(2575),
    [sym_trait_declaration] = STATE(573),
    [sym_interface_declaration] = STATE(573),
    [sym_enum_declaration] = STATE(573),
    [sym_class_declaration] = STATE(573),
    [sym_final_modifier] = STATE(1335),
    [sym_abstract_modifier] = STATE(1335),
    [sym_readonly_modifier] = STATE(1335),
    [sym_const_declaration] = STATE(573),
    [sym__const_declaration] = STATE(517),
    [sym__modifier] = STATE(1334),
    [sym_static_modifier] = STATE(1468),
    [sym_visibility_modifier] = STATE(1335),
    [sym_function_definition] = STATE(573),
    [sym__function_definition_header] = STATE(2470),
    [sym_anonymous_function] = STATE(1148),
    [sym__anonymous_function_header] = STATE(2489),
    [sym__arrow_function_header] = STATE(2731),
    [sym_arrow_function] = STATE(1148),
    [sym_echo_statement] = STATE(573),
    [sym_exit_statement] = STATE(573),
    [sym_unset_statement] = STATE(573),
    [sym_declare_statement] = STATE(573),
    [sym_literal] = STATE(1148),
    [sym_try_statement] = STATE(573),
    [sym_goto_statement] = STATE(573),
    [sym_continue_statement] = STATE(573),
    [sym_break_statement] = STATE(573),
    [sym_return_statement] = STATE(573),
    [sym_throw_expression] = STATE(1148),
    [sym_while_statement] = STATE(573),
    [sym_do_statement] = STATE(573),
    [sym_for_statement] = STATE(573),
    [sym_foreach_statement] = STATE(573),
    [sym_if_statement] = STATE(573),
    [sym_match_expression] = STATE(1152),
    [sym_switch_statement] = STATE(573),
    [sym_compound_statement] = STATE(573),
    [sym_named_label_statement] = STATE(573),
    [sym_expression_statement] = STATE(573),
    [sym_expression] = STATE(1221),
    [sym__unary_expression] = STATE(1159),
    [sym_unary_op_expression] = STATE(1172),
    [sym_error_suppression_expression] = STATE(1152),
    [sym_clone_expression] = STATE(1172),
    [sym_primary_expression] = STATE(1172),
    [sym_parenthesized_expression] = STATE(964),
    [sym_class_constant_access_expression] = STATE(1019),
    [sym_print_intrinsic] = STATE(1148),
    [sym_object_creation_expression] = STATE(1148),
    [sym__new_non_dereferencable_expression] = STATE(1168),
    [sym__new_dereferencable_expression] = STATE(966),
    [sym_update_expression] = STATE(1148),
    [sym_cast_expression] = STATE(1172),
    [sym_cast_variable] = STATE(661),
    [sym_assignment_expression] = STATE(1152),
    [sym_reference_assignment_expression] = STATE(1152),
    [sym_conditional_expression] = STATE(1152),
    [sym_augmented_assignment_expression] = STATE(1152),
    [sym__variable_member_access_expression] = STATE(674),
    [sym_member_access_expression] = STATE(661),
    [sym__variable_nullsafe_member_access_expression] = STATE(663),
    [sym_nullsafe_member_access_expression] = STATE(661),
    [sym__variable_scoped_property_access_expression] = STATE(664),
    [sym_scoped_property_access_expression] = STATE(661),
    [sym_list_literal] = STATE(2530),
    [sym__list_destructing] = STATE(2405),
    [sym__array_destructing] = STATE(2405),
    [sym_function_call_expression] = STATE(634),
    [sym__callable_expression] = STATE(2471),
    [sym_scoped_call_expression] = STATE(634),
    [sym__scope_resolution_qualifier] = STATE(2651),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(634),
    [sym_nullsafe_member_call_expression] = STATE(634),
    [sym__variable_subscript_expression] = STATE(665),
    [sym__dereferencable_subscript_expression] = STATE(634),
    [sym__dereferencable_expression] = STATE(1946),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(1005),
    [sym_attribute_group] = STATE(1373),
    [sym_attribute_list] = STATE(1356),
    [sym_encapsed_string] = STATE(927),
    [sym_string] = STATE(927),
    [sym_heredoc] = STATE(927),
    [sym_nowdoc] = STATE(927),
    [sym_shell_command_expression] = STATE(1148),
    [sym_boolean] = STATE(1162),
    [sym_null] = STATE(1162),
    [sym__string] = STATE(941),
    [sym_dynamic_variable_name] = STATE(650),
    [sym__simple_variable] = STATE(654),
    [sym__new_variable] = STATE(667),
    [sym__callable_variable] = STATE(629),
    [sym_variable_name] = STATE(650),
    [sym_yield_expression] = STATE(1152),
    [sym_binary_expression] = STATE(1152),
    [sym_include_expression] = STATE(1152),
    [sym_include_once_expression] = STATE(1152),
    [sym_require_expression] = STATE(1152),
    [sym_require_once_expression] = STATE(1152),
    [sym__reserved_identifier] = STATE(717),
    [sym__identifier] = STATE(1496),
    [sym__semicolon] = STATE(544),
    [aux_sym_class_declaration_repeat1] = STATE(1381),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(356),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym__namespace_use_type_token1] = ACTIONS(222),
    [aux_sym__namespace_use_type_token2] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [anon_sym_COLON] = ACTIONS(477),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [anon_sym_LPAREN2] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(433),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(435),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(437),
    [aux_sym_foreach_statement_token1] = ACTIONS(439),
    [aux_sym_if_statement_token1] = ACTIONS(441),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(360),
  },
  [52] = {
    [sym_text_interpolation] = STATE(52),
    [sym_statement] = STATE(520),
    [sym_empty_statement] = STATE(573),
    [sym_function_static_declaration] = STATE(573),
    [sym_global_declaration] = STATE(573),
    [sym_namespace_definition] = STATE(573),
    [sym_namespace_use_declaration] = STATE(573),
    [sym_qualified_name] = STATE(1000),
    [sym__name] = STATE(1631),
    [sym_namespace_name] = STATE(2575),
    [sym_trait_declaration] = STATE(573),
    [sym_interface_declaration] = STATE(573),
    [sym_enum_declaration] = STATE(573),
    [sym_class_declaration] = STATE(573),
    [sym_final_modifier] = STATE(1335),
    [sym_abstract_modifier] = STATE(1335),
    [sym_readonly_modifier] = STATE(1335),
    [sym_const_declaration] = STATE(573),
    [sym__const_declaration] = STATE(517),
    [sym__modifier] = STATE(1334),
    [sym_static_modifier] = STATE(1468),
    [sym_visibility_modifier] = STATE(1335),
    [sym_function_definition] = STATE(573),
    [sym__function_definition_header] = STATE(2470),
    [sym_anonymous_function] = STATE(1148),
    [sym__anonymous_function_header] = STATE(2489),
    [sym__arrow_function_header] = STATE(2731),
    [sym_arrow_function] = STATE(1148),
    [sym_echo_statement] = STATE(573),
    [sym_exit_statement] = STATE(573),
    [sym_unset_statement] = STATE(573),
    [sym_declare_statement] = STATE(573),
    [sym_literal] = STATE(1148),
    [sym_try_statement] = STATE(573),
    [sym_goto_statement] = STATE(573),
    [sym_continue_statement] = STATE(573),
    [sym_break_statement] = STATE(573),
    [sym_return_statement] = STATE(573),
    [sym_throw_expression] = STATE(1148),
    [sym_while_statement] = STATE(573),
    [sym_do_statement] = STATE(573),
    [sym_for_statement] = STATE(573),
    [sym_foreach_statement] = STATE(573),
    [sym_if_statement] = STATE(573),
    [sym_match_expression] = STATE(1152),
    [sym_switch_statement] = STATE(573),
    [sym_compound_statement] = STATE(573),
    [sym_named_label_statement] = STATE(573),
    [sym_expression_statement] = STATE(573),
    [sym_expression] = STATE(1221),
    [sym__unary_expression] = STATE(1159),
    [sym_unary_op_expression] = STATE(1172),
    [sym_error_suppression_expression] = STATE(1152),
    [sym_clone_expression] = STATE(1172),
    [sym_primary_expression] = STATE(1172),
    [sym_parenthesized_expression] = STATE(964),
    [sym_class_constant_access_expression] = STATE(1019),
    [sym_print_intrinsic] = STATE(1148),
    [sym_object_creation_expression] = STATE(1148),
    [sym__new_non_dereferencable_expression] = STATE(1168),
    [sym__new_dereferencable_expression] = STATE(966),
    [sym_update_expression] = STATE(1148),
    [sym_cast_expression] = STATE(1172),
    [sym_cast_variable] = STATE(661),
    [sym_assignment_expression] = STATE(1152),
    [sym_reference_assignment_expression] = STATE(1152),
    [sym_conditional_expression] = STATE(1152),
    [sym_augmented_assignment_expression] = STATE(1152),
    [sym__variable_member_access_expression] = STATE(674),
    [sym_member_access_expression] = STATE(661),
    [sym__variable_nullsafe_member_access_expression] = STATE(663),
    [sym_nullsafe_member_access_expression] = STATE(661),
    [sym__variable_scoped_property_access_expression] = STATE(664),
    [sym_scoped_property_access_expression] = STATE(661),
    [sym_list_literal] = STATE(2530),
    [sym__list_destructing] = STATE(2405),
    [sym__array_destructing] = STATE(2405),
    [sym_function_call_expression] = STATE(634),
    [sym__callable_expression] = STATE(2471),
    [sym_scoped_call_expression] = STATE(634),
    [sym__scope_resolution_qualifier] = STATE(2651),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(634),
    [sym_nullsafe_member_call_expression] = STATE(634),
    [sym__variable_subscript_expression] = STATE(665),
    [sym__dereferencable_subscript_expression] = STATE(634),
    [sym__dereferencable_expression] = STATE(1946),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(1005),
    [sym_attribute_group] = STATE(1373),
    [sym_attribute_list] = STATE(1356),
    [sym_encapsed_string] = STATE(927),
    [sym_string] = STATE(927),
    [sym_heredoc] = STATE(927),
    [sym_nowdoc] = STATE(927),
    [sym_shell_command_expression] = STATE(1148),
    [sym_boolean] = STATE(1162),
    [sym_null] = STATE(1162),
    [sym__string] = STATE(941),
    [sym_dynamic_variable_name] = STATE(650),
    [sym__simple_variable] = STATE(654),
    [sym__new_variable] = STATE(667),
    [sym__callable_variable] = STATE(629),
    [sym_variable_name] = STATE(650),
    [sym_yield_expression] = STATE(1152),
    [sym_binary_expression] = STATE(1152),
    [sym_include_expression] = STATE(1152),
    [sym_include_once_expression] = STATE(1152),
    [sym_require_expression] = STATE(1152),
    [sym_require_once_expression] = STATE(1152),
    [sym__reserved_identifier] = STATE(717),
    [sym__identifier] = STATE(1496),
    [aux_sym_program_repeat1] = STATE(54),
    [aux_sym_class_declaration_repeat1] = STATE(1381),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [ts_builtin_sym_end] = ACTIONS(489),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(212),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym__namespace_use_type_token1] = ACTIONS(222),
    [aux_sym__namespace_use_type_token2] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [anon_sym_LPAREN2] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(264),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(280),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(284),
    [aux_sym_foreach_statement_token1] = ACTIONS(286),
    [aux_sym_if_statement_token1] = ACTIONS(288),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [53] = {
    [sym_text_interpolation] = STATE(53),
    [sym_statement] = STATE(520),
    [sym_empty_statement] = STATE(573),
    [sym_function_static_declaration] = STATE(573),
    [sym_global_declaration] = STATE(573),
    [sym_namespace_definition] = STATE(573),
    [sym_namespace_use_declaration] = STATE(573),
    [sym_qualified_name] = STATE(1000),
    [sym__name] = STATE(1631),
    [sym_namespace_name] = STATE(2575),
    [sym_trait_declaration] = STATE(573),
    [sym_interface_declaration] = STATE(573),
    [sym_enum_declaration] = STATE(573),
    [sym_class_declaration] = STATE(573),
    [sym_final_modifier] = STATE(1335),
    [sym_abstract_modifier] = STATE(1335),
    [sym_readonly_modifier] = STATE(1335),
    [sym_const_declaration] = STATE(573),
    [sym__const_declaration] = STATE(517),
    [sym__modifier] = STATE(1334),
    [sym_static_modifier] = STATE(1468),
    [sym_visibility_modifier] = STATE(1335),
    [sym_function_definition] = STATE(573),
    [sym__function_definition_header] = STATE(2470),
    [sym_anonymous_function] = STATE(1148),
    [sym__anonymous_function_header] = STATE(2489),
    [sym__arrow_function_header] = STATE(2731),
    [sym_arrow_function] = STATE(1148),
    [sym_echo_statement] = STATE(573),
    [sym_exit_statement] = STATE(573),
    [sym_unset_statement] = STATE(573),
    [sym_declare_statement] = STATE(573),
    [sym_literal] = STATE(1148),
    [sym_try_statement] = STATE(573),
    [sym_goto_statement] = STATE(573),
    [sym_continue_statement] = STATE(573),
    [sym_break_statement] = STATE(573),
    [sym_return_statement] = STATE(573),
    [sym_throw_expression] = STATE(1148),
    [sym_while_statement] = STATE(573),
    [sym_do_statement] = STATE(573),
    [sym_for_statement] = STATE(573),
    [sym_foreach_statement] = STATE(573),
    [sym_if_statement] = STATE(573),
    [sym_match_expression] = STATE(1152),
    [sym_switch_statement] = STATE(573),
    [sym_compound_statement] = STATE(573),
    [sym_named_label_statement] = STATE(573),
    [sym_expression_statement] = STATE(573),
    [sym_expression] = STATE(1221),
    [sym__unary_expression] = STATE(1159),
    [sym_unary_op_expression] = STATE(1172),
    [sym_error_suppression_expression] = STATE(1152),
    [sym_clone_expression] = STATE(1172),
    [sym_primary_expression] = STATE(1172),
    [sym_parenthesized_expression] = STATE(964),
    [sym_class_constant_access_expression] = STATE(1019),
    [sym_print_intrinsic] = STATE(1148),
    [sym_object_creation_expression] = STATE(1148),
    [sym__new_non_dereferencable_expression] = STATE(1168),
    [sym__new_dereferencable_expression] = STATE(966),
    [sym_update_expression] = STATE(1148),
    [sym_cast_expression] = STATE(1172),
    [sym_cast_variable] = STATE(661),
    [sym_assignment_expression] = STATE(1152),
    [sym_reference_assignment_expression] = STATE(1152),
    [sym_conditional_expression] = STATE(1152),
    [sym_augmented_assignment_expression] = STATE(1152),
    [sym__variable_member_access_expression] = STATE(674),
    [sym_member_access_expression] = STATE(661),
    [sym__variable_nullsafe_member_access_expression] = STATE(663),
    [sym_nullsafe_member_access_expression] = STATE(661),
    [sym__variable_scoped_property_access_expression] = STATE(664),
    [sym_scoped_property_access_expression] = STATE(661),
    [sym_list_literal] = STATE(2530),
    [sym__list_destructing] = STATE(2405),
    [sym__array_destructing] = STATE(2405),
    [sym_function_call_expression] = STATE(634),
    [sym__callable_expression] = STATE(2471),
    [sym_scoped_call_expression] = STATE(634),
    [sym__scope_resolution_qualifier] = STATE(2651),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(634),
    [sym_nullsafe_member_call_expression] = STATE(634),
    [sym__variable_subscript_expression] = STATE(665),
    [sym__dereferencable_subscript_expression] = STATE(634),
    [sym__dereferencable_expression] = STATE(1946),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(1005),
    [sym_attribute_group] = STATE(1373),
    [sym_attribute_list] = STATE(1356),
    [sym_encapsed_string] = STATE(927),
    [sym_string] = STATE(927),
    [sym_heredoc] = STATE(927),
    [sym_nowdoc] = STATE(927),
    [sym_shell_command_expression] = STATE(1148),
    [sym_boolean] = STATE(1162),
    [sym_null] = STATE(1162),
    [sym__string] = STATE(941),
    [sym_dynamic_variable_name] = STATE(650),
    [sym__simple_variable] = STATE(654),
    [sym__new_variable] = STATE(667),
    [sym__callable_variable] = STATE(629),
    [sym_variable_name] = STATE(650),
    [sym_yield_expression] = STATE(1152),
    [sym_binary_expression] = STATE(1152),
    [sym_include_expression] = STATE(1152),
    [sym_include_once_expression] = STATE(1152),
    [sym_require_expression] = STATE(1152),
    [sym_require_once_expression] = STATE(1152),
    [sym__reserved_identifier] = STATE(717),
    [sym__identifier] = STATE(1496),
    [aux_sym_program_repeat1] = STATE(57),
    [aux_sym_class_declaration_repeat1] = STATE(1381),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(212),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym__namespace_use_type_token1] = ACTIONS(222),
    [aux_sym__namespace_use_type_token2] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [anon_sym_LPAREN2] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(264),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(280),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(284),
    [aux_sym_for_statement_token2] = ACTIONS(491),
    [aux_sym_foreach_statement_token1] = ACTIONS(286),
    [aux_sym_if_statement_token1] = ACTIONS(288),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [54] = {
    [sym_text_interpolation] = STATE(54),
    [sym_statement] = STATE(520),
    [sym_empty_statement] = STATE(573),
    [sym_function_static_declaration] = STATE(573),
    [sym_global_declaration] = STATE(573),
    [sym_namespace_definition] = STATE(573),
    [sym_namespace_use_declaration] = STATE(573),
    [sym_qualified_name] = STATE(1000),
    [sym__name] = STATE(1631),
    [sym_namespace_name] = STATE(2575),
    [sym_trait_declaration] = STATE(573),
    [sym_interface_declaration] = STATE(573),
    [sym_enum_declaration] = STATE(573),
    [sym_class_declaration] = STATE(573),
    [sym_final_modifier] = STATE(1335),
    [sym_abstract_modifier] = STATE(1335),
    [sym_readonly_modifier] = STATE(1335),
    [sym_const_declaration] = STATE(573),
    [sym__const_declaration] = STATE(517),
    [sym__modifier] = STATE(1334),
    [sym_static_modifier] = STATE(1468),
    [sym_visibility_modifier] = STATE(1335),
    [sym_function_definition] = STATE(573),
    [sym__function_definition_header] = STATE(2470),
    [sym_anonymous_function] = STATE(1148),
    [sym__anonymous_function_header] = STATE(2489),
    [sym__arrow_function_header] = STATE(2731),
    [sym_arrow_function] = STATE(1148),
    [sym_echo_statement] = STATE(573),
    [sym_exit_statement] = STATE(573),
    [sym_unset_statement] = STATE(573),
    [sym_declare_statement] = STATE(573),
    [sym_literal] = STATE(1148),
    [sym_try_statement] = STATE(573),
    [sym_goto_statement] = STATE(573),
    [sym_continue_statement] = STATE(573),
    [sym_break_statement] = STATE(573),
    [sym_return_statement] = STATE(573),
    [sym_throw_expression] = STATE(1148),
    [sym_while_statement] = STATE(573),
    [sym_do_statement] = STATE(573),
    [sym_for_statement] = STATE(573),
    [sym_foreach_statement] = STATE(573),
    [sym_if_statement] = STATE(573),
    [sym_match_expression] = STATE(1152),
    [sym_switch_statement] = STATE(573),
    [sym_compound_statement] = STATE(573),
    [sym_named_label_statement] = STATE(573),
    [sym_expression_statement] = STATE(573),
    [sym_expression] = STATE(1221),
    [sym__unary_expression] = STATE(1159),
    [sym_unary_op_expression] = STATE(1172),
    [sym_error_suppression_expression] = STATE(1152),
    [sym_clone_expression] = STATE(1172),
    [sym_primary_expression] = STATE(1172),
    [sym_parenthesized_expression] = STATE(964),
    [sym_class_constant_access_expression] = STATE(1019),
    [sym_print_intrinsic] = STATE(1148),
    [sym_object_creation_expression] = STATE(1148),
    [sym__new_non_dereferencable_expression] = STATE(1168),
    [sym__new_dereferencable_expression] = STATE(966),
    [sym_update_expression] = STATE(1148),
    [sym_cast_expression] = STATE(1172),
    [sym_cast_variable] = STATE(661),
    [sym_assignment_expression] = STATE(1152),
    [sym_reference_assignment_expression] = STATE(1152),
    [sym_conditional_expression] = STATE(1152),
    [sym_augmented_assignment_expression] = STATE(1152),
    [sym__variable_member_access_expression] = STATE(674),
    [sym_member_access_expression] = STATE(661),
    [sym__variable_nullsafe_member_access_expression] = STATE(663),
    [sym_nullsafe_member_access_expression] = STATE(661),
    [sym__variable_scoped_property_access_expression] = STATE(664),
    [sym_scoped_property_access_expression] = STATE(661),
    [sym_list_literal] = STATE(2530),
    [sym__list_destructing] = STATE(2405),
    [sym__array_destructing] = STATE(2405),
    [sym_function_call_expression] = STATE(634),
    [sym__callable_expression] = STATE(2471),
    [sym_scoped_call_expression] = STATE(634),
    [sym__scope_resolution_qualifier] = STATE(2651),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(634),
    [sym_nullsafe_member_call_expression] = STATE(634),
    [sym__variable_subscript_expression] = STATE(665),
    [sym__dereferencable_subscript_expression] = STATE(634),
    [sym__dereferencable_expression] = STATE(1946),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(1005),
    [sym_attribute_group] = STATE(1373),
    [sym_attribute_list] = STATE(1356),
    [sym_encapsed_string] = STATE(927),
    [sym_string] = STATE(927),
    [sym_heredoc] = STATE(927),
    [sym_nowdoc] = STATE(927),
    [sym_shell_command_expression] = STATE(1148),
    [sym_boolean] = STATE(1162),
    [sym_null] = STATE(1162),
    [sym__string] = STATE(941),
    [sym_dynamic_variable_name] = STATE(650),
    [sym__simple_variable] = STATE(654),
    [sym__new_variable] = STATE(667),
    [sym__callable_variable] = STATE(629),
    [sym_variable_name] = STATE(650),
    [sym_yield_expression] = STATE(1152),
    [sym_binary_expression] = STATE(1152),
    [sym_include_expression] = STATE(1152),
    [sym_include_once_expression] = STATE(1152),
    [sym_require_expression] = STATE(1152),
    [sym_require_once_expression] = STATE(1152),
    [sym__reserved_identifier] = STATE(717),
    [sym__identifier] = STATE(1496),
    [aux_sym_program_repeat1] = STATE(2),
    [aux_sym_class_declaration_repeat1] = STATE(1381),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [ts_builtin_sym_end] = ACTIONS(493),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(212),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym__namespace_use_type_token1] = ACTIONS(222),
    [aux_sym__namespace_use_type_token2] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [anon_sym_LPAREN2] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(264),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(280),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(284),
    [aux_sym_foreach_statement_token1] = ACTIONS(286),
    [aux_sym_if_statement_token1] = ACTIONS(288),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [55] = {
    [sym_text_interpolation] = STATE(55),
    [sym_statement] = STATE(520),
    [sym_empty_statement] = STATE(573),
    [sym_function_static_declaration] = STATE(573),
    [sym_global_declaration] = STATE(573),
    [sym_namespace_definition] = STATE(573),
    [sym_namespace_use_declaration] = STATE(573),
    [sym_qualified_name] = STATE(1000),
    [sym__name] = STATE(1631),
    [sym_namespace_name] = STATE(2575),
    [sym_trait_declaration] = STATE(573),
    [sym_interface_declaration] = STATE(573),
    [sym_enum_declaration] = STATE(573),
    [sym_class_declaration] = STATE(573),
    [sym_final_modifier] = STATE(1335),
    [sym_abstract_modifier] = STATE(1335),
    [sym_readonly_modifier] = STATE(1335),
    [sym_const_declaration] = STATE(573),
    [sym__const_declaration] = STATE(517),
    [sym__modifier] = STATE(1334),
    [sym_static_modifier] = STATE(1468),
    [sym_visibility_modifier] = STATE(1335),
    [sym_function_definition] = STATE(573),
    [sym__function_definition_header] = STATE(2470),
    [sym_anonymous_function] = STATE(1148),
    [sym__anonymous_function_header] = STATE(2489),
    [sym__arrow_function_header] = STATE(2731),
    [sym_arrow_function] = STATE(1148),
    [sym_echo_statement] = STATE(573),
    [sym_exit_statement] = STATE(573),
    [sym_unset_statement] = STATE(573),
    [sym_declare_statement] = STATE(573),
    [sym_literal] = STATE(1148),
    [sym_try_statement] = STATE(573),
    [sym_goto_statement] = STATE(573),
    [sym_continue_statement] = STATE(573),
    [sym_break_statement] = STATE(573),
    [sym_return_statement] = STATE(573),
    [sym_throw_expression] = STATE(1148),
    [sym_while_statement] = STATE(573),
    [sym_do_statement] = STATE(573),
    [sym_for_statement] = STATE(573),
    [sym_foreach_statement] = STATE(573),
    [sym_if_statement] = STATE(573),
    [sym_match_expression] = STATE(1152),
    [sym_switch_statement] = STATE(573),
    [sym_compound_statement] = STATE(573),
    [sym_named_label_statement] = STATE(573),
    [sym_expression_statement] = STATE(573),
    [sym_expression] = STATE(1221),
    [sym__unary_expression] = STATE(1159),
    [sym_unary_op_expression] = STATE(1172),
    [sym_error_suppression_expression] = STATE(1152),
    [sym_clone_expression] = STATE(1172),
    [sym_primary_expression] = STATE(1172),
    [sym_parenthesized_expression] = STATE(964),
    [sym_class_constant_access_expression] = STATE(1019),
    [sym_print_intrinsic] = STATE(1148),
    [sym_object_creation_expression] = STATE(1148),
    [sym__new_non_dereferencable_expression] = STATE(1168),
    [sym__new_dereferencable_expression] = STATE(966),
    [sym_update_expression] = STATE(1148),
    [sym_cast_expression] = STATE(1172),
    [sym_cast_variable] = STATE(661),
    [sym_assignment_expression] = STATE(1152),
    [sym_reference_assignment_expression] = STATE(1152),
    [sym_conditional_expression] = STATE(1152),
    [sym_augmented_assignment_expression] = STATE(1152),
    [sym__variable_member_access_expression] = STATE(674),
    [sym_member_access_expression] = STATE(661),
    [sym__variable_nullsafe_member_access_expression] = STATE(663),
    [sym_nullsafe_member_access_expression] = STATE(661),
    [sym__variable_scoped_property_access_expression] = STATE(664),
    [sym_scoped_property_access_expression] = STATE(661),
    [sym_list_literal] = STATE(2530),
    [sym__list_destructing] = STATE(2405),
    [sym__array_destructing] = STATE(2405),
    [sym_function_call_expression] = STATE(634),
    [sym__callable_expression] = STATE(2471),
    [sym_scoped_call_expression] = STATE(634),
    [sym__scope_resolution_qualifier] = STATE(2651),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(634),
    [sym_nullsafe_member_call_expression] = STATE(634),
    [sym__variable_subscript_expression] = STATE(665),
    [sym__dereferencable_subscript_expression] = STATE(634),
    [sym__dereferencable_expression] = STATE(1946),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(1005),
    [sym_attribute_group] = STATE(1373),
    [sym_attribute_list] = STATE(1356),
    [sym_encapsed_string] = STATE(927),
    [sym_string] = STATE(927),
    [sym_heredoc] = STATE(927),
    [sym_nowdoc] = STATE(927),
    [sym_shell_command_expression] = STATE(1148),
    [sym_boolean] = STATE(1162),
    [sym_null] = STATE(1162),
    [sym__string] = STATE(941),
    [sym_dynamic_variable_name] = STATE(650),
    [sym__simple_variable] = STATE(654),
    [sym__new_variable] = STATE(667),
    [sym__callable_variable] = STATE(629),
    [sym_variable_name] = STATE(650),
    [sym_yield_expression] = STATE(1152),
    [sym_binary_expression] = STATE(1152),
    [sym_include_expression] = STATE(1152),
    [sym_include_once_expression] = STATE(1152),
    [sym_require_expression] = STATE(1152),
    [sym_require_once_expression] = STATE(1152),
    [sym__reserved_identifier] = STATE(717),
    [sym__identifier] = STATE(1496),
    [aux_sym_program_repeat1] = STATE(2),
    [aux_sym_class_declaration_repeat1] = STATE(1381),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(212),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym__namespace_use_type_token1] = ACTIONS(222),
    [aux_sym__namespace_use_type_token2] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [anon_sym_LPAREN2] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(264),
    [aux_sym_declare_statement_token2] = ACTIONS(495),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(280),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(284),
    [aux_sym_foreach_statement_token1] = ACTIONS(286),
    [aux_sym_if_statement_token1] = ACTIONS(288),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [56] = {
    [sym_text_interpolation] = STATE(56),
    [sym_statement] = STATE(520),
    [sym_empty_statement] = STATE(573),
    [sym_function_static_declaration] = STATE(573),
    [sym_global_declaration] = STATE(573),
    [sym_namespace_definition] = STATE(573),
    [sym_namespace_use_declaration] = STATE(573),
    [sym_qualified_name] = STATE(1000),
    [sym__name] = STATE(1631),
    [sym_namespace_name] = STATE(2575),
    [sym_trait_declaration] = STATE(573),
    [sym_interface_declaration] = STATE(573),
    [sym_enum_declaration] = STATE(573),
    [sym_class_declaration] = STATE(573),
    [sym_final_modifier] = STATE(1335),
    [sym_abstract_modifier] = STATE(1335),
    [sym_readonly_modifier] = STATE(1335),
    [sym_const_declaration] = STATE(573),
    [sym__const_declaration] = STATE(517),
    [sym__modifier] = STATE(1334),
    [sym_static_modifier] = STATE(1468),
    [sym_visibility_modifier] = STATE(1335),
    [sym_function_definition] = STATE(573),
    [sym__function_definition_header] = STATE(2470),
    [sym_anonymous_function] = STATE(1148),
    [sym__anonymous_function_header] = STATE(2489),
    [sym__arrow_function_header] = STATE(2731),
    [sym_arrow_function] = STATE(1148),
    [sym_echo_statement] = STATE(573),
    [sym_exit_statement] = STATE(573),
    [sym_unset_statement] = STATE(573),
    [sym_declare_statement] = STATE(573),
    [sym_literal] = STATE(1148),
    [sym_try_statement] = STATE(573),
    [sym_goto_statement] = STATE(573),
    [sym_continue_statement] = STATE(573),
    [sym_break_statement] = STATE(573),
    [sym_return_statement] = STATE(573),
    [sym_throw_expression] = STATE(1148),
    [sym_while_statement] = STATE(573),
    [sym_do_statement] = STATE(573),
    [sym_for_statement] = STATE(573),
    [sym_foreach_statement] = STATE(573),
    [sym_if_statement] = STATE(573),
    [sym_match_expression] = STATE(1152),
    [sym_switch_statement] = STATE(573),
    [sym_compound_statement] = STATE(573),
    [sym_named_label_statement] = STATE(573),
    [sym_expression_statement] = STATE(573),
    [sym_expression] = STATE(1221),
    [sym__unary_expression] = STATE(1159),
    [sym_unary_op_expression] = STATE(1172),
    [sym_error_suppression_expression] = STATE(1152),
    [sym_clone_expression] = STATE(1172),
    [sym_primary_expression] = STATE(1172),
    [sym_parenthesized_expression] = STATE(964),
    [sym_class_constant_access_expression] = STATE(1019),
    [sym_print_intrinsic] = STATE(1148),
    [sym_object_creation_expression] = STATE(1148),
    [sym__new_non_dereferencable_expression] = STATE(1168),
    [sym__new_dereferencable_expression] = STATE(966),
    [sym_update_expression] = STATE(1148),
    [sym_cast_expression] = STATE(1172),
    [sym_cast_variable] = STATE(661),
    [sym_assignment_expression] = STATE(1152),
    [sym_reference_assignment_expression] = STATE(1152),
    [sym_conditional_expression] = STATE(1152),
    [sym_augmented_assignment_expression] = STATE(1152),
    [sym__variable_member_access_expression] = STATE(674),
    [sym_member_access_expression] = STATE(661),
    [sym__variable_nullsafe_member_access_expression] = STATE(663),
    [sym_nullsafe_member_access_expression] = STATE(661),
    [sym__variable_scoped_property_access_expression] = STATE(664),
    [sym_scoped_property_access_expression] = STATE(661),
    [sym_list_literal] = STATE(2530),
    [sym__list_destructing] = STATE(2405),
    [sym__array_destructing] = STATE(2405),
    [sym_function_call_expression] = STATE(634),
    [sym__callable_expression] = STATE(2471),
    [sym_scoped_call_expression] = STATE(634),
    [sym__scope_resolution_qualifier] = STATE(2651),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(634),
    [sym_nullsafe_member_call_expression] = STATE(634),
    [sym__variable_subscript_expression] = STATE(665),
    [sym__dereferencable_subscript_expression] = STATE(634),
    [sym__dereferencable_expression] = STATE(1946),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(1005),
    [sym_attribute_group] = STATE(1373),
    [sym_attribute_list] = STATE(1356),
    [sym_encapsed_string] = STATE(927),
    [sym_string] = STATE(927),
    [sym_heredoc] = STATE(927),
    [sym_nowdoc] = STATE(927),
    [sym_shell_command_expression] = STATE(1148),
    [sym_boolean] = STATE(1162),
    [sym_null] = STATE(1162),
    [sym__string] = STATE(941),
    [sym_dynamic_variable_name] = STATE(650),
    [sym__simple_variable] = STATE(654),
    [sym__new_variable] = STATE(667),
    [sym__callable_variable] = STATE(629),
    [sym_variable_name] = STATE(650),
    [sym_yield_expression] = STATE(1152),
    [sym_binary_expression] = STATE(1152),
    [sym_include_expression] = STATE(1152),
    [sym_include_once_expression] = STATE(1152),
    [sym_require_expression] = STATE(1152),
    [sym_require_once_expression] = STATE(1152),
    [sym__reserved_identifier] = STATE(717),
    [sym__identifier] = STATE(1496),
    [aux_sym_program_repeat1] = STATE(2),
    [aux_sym_class_declaration_repeat1] = STATE(1381),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(212),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym__namespace_use_type_token1] = ACTIONS(222),
    [aux_sym__namespace_use_type_token2] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [anon_sym_RBRACE] = ACTIONS(497),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [anon_sym_LPAREN2] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(264),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(280),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(284),
    [aux_sym_foreach_statement_token1] = ACTIONS(286),
    [aux_sym_if_statement_token1] = ACTIONS(288),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [57] = {
    [sym_text_interpolation] = STATE(57),
    [sym_statement] = STATE(520),
    [sym_empty_statement] = STATE(573),
    [sym_function_static_declaration] = STATE(573),
    [sym_global_declaration] = STATE(573),
    [sym_namespace_definition] = STATE(573),
    [sym_namespace_use_declaration] = STATE(573),
    [sym_qualified_name] = STATE(1000),
    [sym__name] = STATE(1631),
    [sym_namespace_name] = STATE(2575),
    [sym_trait_declaration] = STATE(573),
    [sym_interface_declaration] = STATE(573),
    [sym_enum_declaration] = STATE(573),
    [sym_class_declaration] = STATE(573),
    [sym_final_modifier] = STATE(1335),
    [sym_abstract_modifier] = STATE(1335),
    [sym_readonly_modifier] = STATE(1335),
    [sym_const_declaration] = STATE(573),
    [sym__const_declaration] = STATE(517),
    [sym__modifier] = STATE(1334),
    [sym_static_modifier] = STATE(1468),
    [sym_visibility_modifier] = STATE(1335),
    [sym_function_definition] = STATE(573),
    [sym__function_definition_header] = STATE(2470),
    [sym_anonymous_function] = STATE(1148),
    [sym__anonymous_function_header] = STATE(2489),
    [sym__arrow_function_header] = STATE(2731),
    [sym_arrow_function] = STATE(1148),
    [sym_echo_statement] = STATE(573),
    [sym_exit_statement] = STATE(573),
    [sym_unset_statement] = STATE(573),
    [sym_declare_statement] = STATE(573),
    [sym_literal] = STATE(1148),
    [sym_try_statement] = STATE(573),
    [sym_goto_statement] = STATE(573),
    [sym_continue_statement] = STATE(573),
    [sym_break_statement] = STATE(573),
    [sym_return_statement] = STATE(573),
    [sym_throw_expression] = STATE(1148),
    [sym_while_statement] = STATE(573),
    [sym_do_statement] = STATE(573),
    [sym_for_statement] = STATE(573),
    [sym_foreach_statement] = STATE(573),
    [sym_if_statement] = STATE(573),
    [sym_match_expression] = STATE(1152),
    [sym_switch_statement] = STATE(573),
    [sym_compound_statement] = STATE(573),
    [sym_named_label_statement] = STATE(573),
    [sym_expression_statement] = STATE(573),
    [sym_expression] = STATE(1221),
    [sym__unary_expression] = STATE(1159),
    [sym_unary_op_expression] = STATE(1172),
    [sym_error_suppression_expression] = STATE(1152),
    [sym_clone_expression] = STATE(1172),
    [sym_primary_expression] = STATE(1172),
    [sym_parenthesized_expression] = STATE(964),
    [sym_class_constant_access_expression] = STATE(1019),
    [sym_print_intrinsic] = STATE(1148),
    [sym_object_creation_expression] = STATE(1148),
    [sym__new_non_dereferencable_expression] = STATE(1168),
    [sym__new_dereferencable_expression] = STATE(966),
    [sym_update_expression] = STATE(1148),
    [sym_cast_expression] = STATE(1172),
    [sym_cast_variable] = STATE(661),
    [sym_assignment_expression] = STATE(1152),
    [sym_reference_assignment_expression] = STATE(1152),
    [sym_conditional_expression] = STATE(1152),
    [sym_augmented_assignment_expression] = STATE(1152),
    [sym__variable_member_access_expression] = STATE(674),
    [sym_member_access_expression] = STATE(661),
    [sym__variable_nullsafe_member_access_expression] = STATE(663),
    [sym_nullsafe_member_access_expression] = STATE(661),
    [sym__variable_scoped_property_access_expression] = STATE(664),
    [sym_scoped_property_access_expression] = STATE(661),
    [sym_list_literal] = STATE(2530),
    [sym__list_destructing] = STATE(2405),
    [sym__array_destructing] = STATE(2405),
    [sym_function_call_expression] = STATE(634),
    [sym__callable_expression] = STATE(2471),
    [sym_scoped_call_expression] = STATE(634),
    [sym__scope_resolution_qualifier] = STATE(2651),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(634),
    [sym_nullsafe_member_call_expression] = STATE(634),
    [sym__variable_subscript_expression] = STATE(665),
    [sym__dereferencable_subscript_expression] = STATE(634),
    [sym__dereferencable_expression] = STATE(1946),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(1005),
    [sym_attribute_group] = STATE(1373),
    [sym_attribute_list] = STATE(1356),
    [sym_encapsed_string] = STATE(927),
    [sym_string] = STATE(927),
    [sym_heredoc] = STATE(927),
    [sym_nowdoc] = STATE(927),
    [sym_shell_command_expression] = STATE(1148),
    [sym_boolean] = STATE(1162),
    [sym_null] = STATE(1162),
    [sym__string] = STATE(941),
    [sym_dynamic_variable_name] = STATE(650),
    [sym__simple_variable] = STATE(654),
    [sym__new_variable] = STATE(667),
    [sym__callable_variable] = STATE(629),
    [sym_variable_name] = STATE(650),
    [sym_yield_expression] = STATE(1152),
    [sym_binary_expression] = STATE(1152),
    [sym_include_expression] = STATE(1152),
    [sym_include_once_expression] = STATE(1152),
    [sym_require_expression] = STATE(1152),
    [sym_require_once_expression] = STATE(1152),
    [sym__reserved_identifier] = STATE(717),
    [sym__identifier] = STATE(1496),
    [aux_sym_program_repeat1] = STATE(2),
    [aux_sym_class_declaration_repeat1] = STATE(1381),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(212),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym__namespace_use_type_token1] = ACTIONS(222),
    [aux_sym__namespace_use_type_token2] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [anon_sym_LPAREN2] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(264),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(280),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(284),
    [aux_sym_for_statement_token2] = ACTIONS(499),
    [aux_sym_foreach_statement_token1] = ACTIONS(286),
    [aux_sym_if_statement_token1] = ACTIONS(288),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [58] = {
    [sym_text_interpolation] = STATE(58),
    [sym_statement] = STATE(520),
    [sym_empty_statement] = STATE(573),
    [sym_function_static_declaration] = STATE(573),
    [sym_global_declaration] = STATE(573),
    [sym_namespace_definition] = STATE(573),
    [sym_namespace_use_declaration] = STATE(573),
    [sym_qualified_name] = STATE(1000),
    [sym__name] = STATE(1631),
    [sym_namespace_name] = STATE(2575),
    [sym_trait_declaration] = STATE(573),
    [sym_interface_declaration] = STATE(573),
    [sym_enum_declaration] = STATE(573),
    [sym_class_declaration] = STATE(573),
    [sym_final_modifier] = STATE(1335),
    [sym_abstract_modifier] = STATE(1335),
    [sym_readonly_modifier] = STATE(1335),
    [sym_const_declaration] = STATE(573),
    [sym__const_declaration] = STATE(517),
    [sym__modifier] = STATE(1334),
    [sym_static_modifier] = STATE(1468),
    [sym_visibility_modifier] = STATE(1335),
    [sym_function_definition] = STATE(573),
    [sym__function_definition_header] = STATE(2470),
    [sym_anonymous_function] = STATE(1148),
    [sym__anonymous_function_header] = STATE(2489),
    [sym__arrow_function_header] = STATE(2731),
    [sym_arrow_function] = STATE(1148),
    [sym_echo_statement] = STATE(573),
    [sym_exit_statement] = STATE(573),
    [sym_unset_statement] = STATE(573),
    [sym_declare_statement] = STATE(573),
    [sym_literal] = STATE(1148),
    [sym_try_statement] = STATE(573),
    [sym_goto_statement] = STATE(573),
    [sym_continue_statement] = STATE(573),
    [sym_break_statement] = STATE(573),
    [sym_return_statement] = STATE(573),
    [sym_throw_expression] = STATE(1148),
    [sym_while_statement] = STATE(573),
    [sym_do_statement] = STATE(573),
    [sym_for_statement] = STATE(573),
    [sym_foreach_statement] = STATE(573),
    [sym_if_statement] = STATE(573),
    [sym_match_expression] = STATE(1152),
    [sym_switch_statement] = STATE(573),
    [sym_compound_statement] = STATE(573),
    [sym_named_label_statement] = STATE(573),
    [sym_expression_statement] = STATE(573),
    [sym_expression] = STATE(1221),
    [sym__unary_expression] = STATE(1159),
    [sym_unary_op_expression] = STATE(1172),
    [sym_error_suppression_expression] = STATE(1152),
    [sym_clone_expression] = STATE(1172),
    [sym_primary_expression] = STATE(1172),
    [sym_parenthesized_expression] = STATE(964),
    [sym_class_constant_access_expression] = STATE(1019),
    [sym_print_intrinsic] = STATE(1148),
    [sym_object_creation_expression] = STATE(1148),
    [sym__new_non_dereferencable_expression] = STATE(1168),
    [sym__new_dereferencable_expression] = STATE(966),
    [sym_update_expression] = STATE(1148),
    [sym_cast_expression] = STATE(1172),
    [sym_cast_variable] = STATE(661),
    [sym_assignment_expression] = STATE(1152),
    [sym_reference_assignment_expression] = STATE(1152),
    [sym_conditional_expression] = STATE(1152),
    [sym_augmented_assignment_expression] = STATE(1152),
    [sym__variable_member_access_expression] = STATE(674),
    [sym_member_access_expression] = STATE(661),
    [sym__variable_nullsafe_member_access_expression] = STATE(663),
    [sym_nullsafe_member_access_expression] = STATE(661),
    [sym__variable_scoped_property_access_expression] = STATE(664),
    [sym_scoped_property_access_expression] = STATE(661),
    [sym_list_literal] = STATE(2530),
    [sym__list_destructing] = STATE(2405),
    [sym__array_destructing] = STATE(2405),
    [sym_function_call_expression] = STATE(634),
    [sym__callable_expression] = STATE(2471),
    [sym_scoped_call_expression] = STATE(634),
    [sym__scope_resolution_qualifier] = STATE(2651),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(634),
    [sym_nullsafe_member_call_expression] = STATE(634),
    [sym__variable_subscript_expression] = STATE(665),
    [sym__dereferencable_subscript_expression] = STATE(634),
    [sym__dereferencable_expression] = STATE(1946),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(1005),
    [sym_attribute_group] = STATE(1373),
    [sym_attribute_list] = STATE(1356),
    [sym_encapsed_string] = STATE(927),
    [sym_string] = STATE(927),
    [sym_heredoc] = STATE(927),
    [sym_nowdoc] = STATE(927),
    [sym_shell_command_expression] = STATE(1148),
    [sym_boolean] = STATE(1162),
    [sym_null] = STATE(1162),
    [sym__string] = STATE(941),
    [sym_dynamic_variable_name] = STATE(650),
    [sym__simple_variable] = STATE(654),
    [sym__new_variable] = STATE(667),
    [sym__callable_variable] = STATE(629),
    [sym_variable_name] = STATE(650),
    [sym_yield_expression] = STATE(1152),
    [sym_binary_expression] = STATE(1152),
    [sym_include_expression] = STATE(1152),
    [sym_include_once_expression] = STATE(1152),
    [sym_require_expression] = STATE(1152),
    [sym_require_once_expression] = STATE(1152),
    [sym__reserved_identifier] = STATE(717),
    [sym__identifier] = STATE(1496),
    [aux_sym_program_repeat1] = STATE(63),
    [aux_sym_class_declaration_repeat1] = STATE(1381),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(212),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym__namespace_use_type_token1] = ACTIONS(222),
    [aux_sym__namespace_use_type_token2] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [anon_sym_LPAREN2] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(264),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(280),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(284),
    [aux_sym_for_statement_token2] = ACTIONS(501),
    [aux_sym_foreach_statement_token1] = ACTIONS(286),
    [aux_sym_if_statement_token1] = ACTIONS(288),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [59] = {
    [sym_text_interpolation] = STATE(59),
    [sym_statement] = STATE(520),
    [sym_empty_statement] = STATE(573),
    [sym_function_static_declaration] = STATE(573),
    [sym_global_declaration] = STATE(573),
    [sym_namespace_definition] = STATE(573),
    [sym_namespace_use_declaration] = STATE(573),
    [sym_qualified_name] = STATE(1000),
    [sym__name] = STATE(1631),
    [sym_namespace_name] = STATE(2575),
    [sym_trait_declaration] = STATE(573),
    [sym_interface_declaration] = STATE(573),
    [sym_enum_declaration] = STATE(573),
    [sym_class_declaration] = STATE(573),
    [sym_final_modifier] = STATE(1335),
    [sym_abstract_modifier] = STATE(1335),
    [sym_readonly_modifier] = STATE(1335),
    [sym_const_declaration] = STATE(573),
    [sym__const_declaration] = STATE(517),
    [sym__modifier] = STATE(1334),
    [sym_static_modifier] = STATE(1468),
    [sym_visibility_modifier] = STATE(1335),
    [sym_function_definition] = STATE(573),
    [sym__function_definition_header] = STATE(2470),
    [sym_anonymous_function] = STATE(1148),
    [sym__anonymous_function_header] = STATE(2489),
    [sym__arrow_function_header] = STATE(2731),
    [sym_arrow_function] = STATE(1148),
    [sym_echo_statement] = STATE(573),
    [sym_exit_statement] = STATE(573),
    [sym_unset_statement] = STATE(573),
    [sym_declare_statement] = STATE(573),
    [sym_literal] = STATE(1148),
    [sym_try_statement] = STATE(573),
    [sym_goto_statement] = STATE(573),
    [sym_continue_statement] = STATE(573),
    [sym_break_statement] = STATE(573),
    [sym_return_statement] = STATE(573),
    [sym_throw_expression] = STATE(1148),
    [sym_while_statement] = STATE(573),
    [sym_do_statement] = STATE(573),
    [sym_for_statement] = STATE(573),
    [sym_foreach_statement] = STATE(573),
    [sym_if_statement] = STATE(573),
    [sym_match_expression] = STATE(1152),
    [sym_switch_statement] = STATE(573),
    [sym_compound_statement] = STATE(573),
    [sym_named_label_statement] = STATE(573),
    [sym_expression_statement] = STATE(573),
    [sym_expression] = STATE(1221),
    [sym__unary_expression] = STATE(1159),
    [sym_unary_op_expression] = STATE(1172),
    [sym_error_suppression_expression] = STATE(1152),
    [sym_clone_expression] = STATE(1172),
    [sym_primary_expression] = STATE(1172),
    [sym_parenthesized_expression] = STATE(964),
    [sym_class_constant_access_expression] = STATE(1019),
    [sym_print_intrinsic] = STATE(1148),
    [sym_object_creation_expression] = STATE(1148),
    [sym__new_non_dereferencable_expression] = STATE(1168),
    [sym__new_dereferencable_expression] = STATE(966),
    [sym_update_expression] = STATE(1148),
    [sym_cast_expression] = STATE(1172),
    [sym_cast_variable] = STATE(661),
    [sym_assignment_expression] = STATE(1152),
    [sym_reference_assignment_expression] = STATE(1152),
    [sym_conditional_expression] = STATE(1152),
    [sym_augmented_assignment_expression] = STATE(1152),
    [sym__variable_member_access_expression] = STATE(674),
    [sym_member_access_expression] = STATE(661),
    [sym__variable_nullsafe_member_access_expression] = STATE(663),
    [sym_nullsafe_member_access_expression] = STATE(661),
    [sym__variable_scoped_property_access_expression] = STATE(664),
    [sym_scoped_property_access_expression] = STATE(661),
    [sym_list_literal] = STATE(2530),
    [sym__list_destructing] = STATE(2405),
    [sym__array_destructing] = STATE(2405),
    [sym_function_call_expression] = STATE(634),
    [sym__callable_expression] = STATE(2471),
    [sym_scoped_call_expression] = STATE(634),
    [sym__scope_resolution_qualifier] = STATE(2651),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(634),
    [sym_nullsafe_member_call_expression] = STATE(634),
    [sym__variable_subscript_expression] = STATE(665),
    [sym__dereferencable_subscript_expression] = STATE(634),
    [sym__dereferencable_expression] = STATE(1946),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(1005),
    [sym_attribute_group] = STATE(1373),
    [sym_attribute_list] = STATE(1356),
    [sym_encapsed_string] = STATE(927),
    [sym_string] = STATE(927),
    [sym_heredoc] = STATE(927),
    [sym_nowdoc] = STATE(927),
    [sym_shell_command_expression] = STATE(1148),
    [sym_boolean] = STATE(1162),
    [sym_null] = STATE(1162),
    [sym__string] = STATE(941),
    [sym_dynamic_variable_name] = STATE(650),
    [sym__simple_variable] = STATE(654),
    [sym__new_variable] = STATE(667),
    [sym__callable_variable] = STATE(629),
    [sym_variable_name] = STATE(650),
    [sym_yield_expression] = STATE(1152),
    [sym_binary_expression] = STATE(1152),
    [sym_include_expression] = STATE(1152),
    [sym_include_once_expression] = STATE(1152),
    [sym_require_expression] = STATE(1152),
    [sym_require_once_expression] = STATE(1152),
    [sym__reserved_identifier] = STATE(717),
    [sym__identifier] = STATE(1496),
    [aux_sym_program_repeat1] = STATE(64),
    [aux_sym_class_declaration_repeat1] = STATE(1381),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(212),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym__namespace_use_type_token1] = ACTIONS(222),
    [aux_sym__namespace_use_type_token2] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [anon_sym_LPAREN2] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(264),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(280),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(284),
    [aux_sym_for_statement_token2] = ACTIONS(503),
    [aux_sym_foreach_statement_token1] = ACTIONS(286),
    [aux_sym_if_statement_token1] = ACTIONS(288),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [60] = {
    [sym_text_interpolation] = STATE(60),
    [sym_statement] = STATE(549),
    [sym_empty_statement] = STATE(573),
    [sym_function_static_declaration] = STATE(573),
    [sym_global_declaration] = STATE(573),
    [sym_namespace_definition] = STATE(573),
    [sym_namespace_use_declaration] = STATE(573),
    [sym_qualified_name] = STATE(1000),
    [sym__name] = STATE(1631),
    [sym_namespace_name] = STATE(2575),
    [sym_trait_declaration] = STATE(573),
    [sym_interface_declaration] = STATE(573),
    [sym_enum_declaration] = STATE(573),
    [sym_class_declaration] = STATE(573),
    [sym_final_modifier] = STATE(1335),
    [sym_abstract_modifier] = STATE(1335),
    [sym_readonly_modifier] = STATE(1335),
    [sym_const_declaration] = STATE(573),
    [sym__const_declaration] = STATE(517),
    [sym__modifier] = STATE(1334),
    [sym_static_modifier] = STATE(1468),
    [sym_visibility_modifier] = STATE(1335),
    [sym_function_definition] = STATE(573),
    [sym__function_definition_header] = STATE(2470),
    [sym_anonymous_function] = STATE(1148),
    [sym__anonymous_function_header] = STATE(2489),
    [sym__arrow_function_header] = STATE(2731),
    [sym_arrow_function] = STATE(1148),
    [sym_echo_statement] = STATE(573),
    [sym_exit_statement] = STATE(573),
    [sym_unset_statement] = STATE(573),
    [sym_declare_statement] = STATE(573),
    [sym_literal] = STATE(1148),
    [sym_try_statement] = STATE(573),
    [sym_goto_statement] = STATE(573),
    [sym_continue_statement] = STATE(573),
    [sym_break_statement] = STATE(573),
    [sym_return_statement] = STATE(573),
    [sym_throw_expression] = STATE(1148),
    [sym_while_statement] = STATE(573),
    [sym_do_statement] = STATE(573),
    [sym_for_statement] = STATE(573),
    [sym_foreach_statement] = STATE(573),
    [sym_if_statement] = STATE(573),
    [sym_colon_block] = STATE(2574),
    [sym_match_expression] = STATE(1152),
    [sym_switch_statement] = STATE(573),
    [sym_compound_statement] = STATE(573),
    [sym_named_label_statement] = STATE(573),
    [sym_expression_statement] = STATE(573),
    [sym_expression] = STATE(1221),
    [sym__unary_expression] = STATE(1159),
    [sym_unary_op_expression] = STATE(1172),
    [sym_error_suppression_expression] = STATE(1152),
    [sym_clone_expression] = STATE(1172),
    [sym_primary_expression] = STATE(1172),
    [sym_parenthesized_expression] = STATE(964),
    [sym_class_constant_access_expression] = STATE(1019),
    [sym_print_intrinsic] = STATE(1148),
    [sym_object_creation_expression] = STATE(1148),
    [sym__new_non_dereferencable_expression] = STATE(1168),
    [sym__new_dereferencable_expression] = STATE(966),
    [sym_update_expression] = STATE(1148),
    [sym_cast_expression] = STATE(1172),
    [sym_cast_variable] = STATE(661),
    [sym_assignment_expression] = STATE(1152),
    [sym_reference_assignment_expression] = STATE(1152),
    [sym_conditional_expression] = STATE(1152),
    [sym_augmented_assignment_expression] = STATE(1152),
    [sym__variable_member_access_expression] = STATE(674),
    [sym_member_access_expression] = STATE(661),
    [sym__variable_nullsafe_member_access_expression] = STATE(663),
    [sym_nullsafe_member_access_expression] = STATE(661),
    [sym__variable_scoped_property_access_expression] = STATE(664),
    [sym_scoped_property_access_expression] = STATE(661),
    [sym_list_literal] = STATE(2530),
    [sym__list_destructing] = STATE(2405),
    [sym__array_destructing] = STATE(2405),
    [sym_function_call_expression] = STATE(634),
    [sym__callable_expression] = STATE(2471),
    [sym_scoped_call_expression] = STATE(634),
    [sym__scope_resolution_qualifier] = STATE(2651),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(634),
    [sym_nullsafe_member_call_expression] = STATE(634),
    [sym__variable_subscript_expression] = STATE(665),
    [sym__dereferencable_subscript_expression] = STATE(634),
    [sym__dereferencable_expression] = STATE(1946),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(1005),
    [sym_attribute_group] = STATE(1373),
    [sym_attribute_list] = STATE(1356),
    [sym_encapsed_string] = STATE(927),
    [sym_string] = STATE(927),
    [sym_heredoc] = STATE(927),
    [sym_nowdoc] = STATE(927),
    [sym_shell_command_expression] = STATE(1148),
    [sym_boolean] = STATE(1162),
    [sym_null] = STATE(1162),
    [sym__string] = STATE(941),
    [sym_dynamic_variable_name] = STATE(650),
    [sym__simple_variable] = STATE(654),
    [sym__new_variable] = STATE(667),
    [sym__callable_variable] = STATE(629),
    [sym_variable_name] = STATE(650),
    [sym_yield_expression] = STATE(1152),
    [sym_binary_expression] = STATE(1152),
    [sym_include_expression] = STATE(1152),
    [sym_include_once_expression] = STATE(1152),
    [sym_require_expression] = STATE(1152),
    [sym_require_once_expression] = STATE(1152),
    [sym__reserved_identifier] = STATE(717),
    [sym__identifier] = STATE(1496),
    [aux_sym_class_declaration_repeat1] = STATE(1381),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(212),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym__namespace_use_type_token1] = ACTIONS(222),
    [aux_sym__namespace_use_type_token2] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [anon_sym_COLON] = ACTIONS(358),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [anon_sym_LPAREN2] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(264),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(280),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(284),
    [aux_sym_foreach_statement_token1] = ACTIONS(286),
    [aux_sym_if_statement_token1] = ACTIONS(288),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [61] = {
    [sym_text_interpolation] = STATE(61),
    [sym_statement] = STATE(520),
    [sym_empty_statement] = STATE(573),
    [sym_function_static_declaration] = STATE(573),
    [sym_global_declaration] = STATE(573),
    [sym_namespace_definition] = STATE(573),
    [sym_namespace_use_declaration] = STATE(573),
    [sym_qualified_name] = STATE(1000),
    [sym__name] = STATE(1631),
    [sym_namespace_name] = STATE(2575),
    [sym_trait_declaration] = STATE(573),
    [sym_interface_declaration] = STATE(573),
    [sym_enum_declaration] = STATE(573),
    [sym_class_declaration] = STATE(573),
    [sym_final_modifier] = STATE(1335),
    [sym_abstract_modifier] = STATE(1335),
    [sym_readonly_modifier] = STATE(1335),
    [sym_const_declaration] = STATE(573),
    [sym__const_declaration] = STATE(517),
    [sym__modifier] = STATE(1334),
    [sym_static_modifier] = STATE(1468),
    [sym_visibility_modifier] = STATE(1335),
    [sym_function_definition] = STATE(573),
    [sym__function_definition_header] = STATE(2470),
    [sym_anonymous_function] = STATE(1148),
    [sym__anonymous_function_header] = STATE(2489),
    [sym__arrow_function_header] = STATE(2731),
    [sym_arrow_function] = STATE(1148),
    [sym_echo_statement] = STATE(573),
    [sym_exit_statement] = STATE(573),
    [sym_unset_statement] = STATE(573),
    [sym_declare_statement] = STATE(573),
    [sym_literal] = STATE(1148),
    [sym_try_statement] = STATE(573),
    [sym_goto_statement] = STATE(573),
    [sym_continue_statement] = STATE(573),
    [sym_break_statement] = STATE(573),
    [sym_return_statement] = STATE(573),
    [sym_throw_expression] = STATE(1148),
    [sym_while_statement] = STATE(573),
    [sym_do_statement] = STATE(573),
    [sym_for_statement] = STATE(573),
    [sym_foreach_statement] = STATE(573),
    [sym_if_statement] = STATE(573),
    [sym_match_expression] = STATE(1152),
    [sym_switch_statement] = STATE(573),
    [sym_compound_statement] = STATE(573),
    [sym_named_label_statement] = STATE(573),
    [sym_expression_statement] = STATE(573),
    [sym_expression] = STATE(1221),
    [sym__unary_expression] = STATE(1159),
    [sym_unary_op_expression] = STATE(1172),
    [sym_error_suppression_expression] = STATE(1152),
    [sym_clone_expression] = STATE(1172),
    [sym_primary_expression] = STATE(1172),
    [sym_parenthesized_expression] = STATE(964),
    [sym_class_constant_access_expression] = STATE(1019),
    [sym_print_intrinsic] = STATE(1148),
    [sym_object_creation_expression] = STATE(1148),
    [sym__new_non_dereferencable_expression] = STATE(1168),
    [sym__new_dereferencable_expression] = STATE(966),
    [sym_update_expression] = STATE(1148),
    [sym_cast_expression] = STATE(1172),
    [sym_cast_variable] = STATE(661),
    [sym_assignment_expression] = STATE(1152),
    [sym_reference_assignment_expression] = STATE(1152),
    [sym_conditional_expression] = STATE(1152),
    [sym_augmented_assignment_expression] = STATE(1152),
    [sym__variable_member_access_expression] = STATE(674),
    [sym_member_access_expression] = STATE(661),
    [sym__variable_nullsafe_member_access_expression] = STATE(663),
    [sym_nullsafe_member_access_expression] = STATE(661),
    [sym__variable_scoped_property_access_expression] = STATE(664),
    [sym_scoped_property_access_expression] = STATE(661),
    [sym_list_literal] = STATE(2530),
    [sym__list_destructing] = STATE(2405),
    [sym__array_destructing] = STATE(2405),
    [sym_function_call_expression] = STATE(634),
    [sym__callable_expression] = STATE(2471),
    [sym_scoped_call_expression] = STATE(634),
    [sym__scope_resolution_qualifier] = STATE(2651),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(634),
    [sym_nullsafe_member_call_expression] = STATE(634),
    [sym__variable_subscript_expression] = STATE(665),
    [sym__dereferencable_subscript_expression] = STATE(634),
    [sym__dereferencable_expression] = STATE(1946),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(1005),
    [sym_attribute_group] = STATE(1373),
    [sym_attribute_list] = STATE(1356),
    [sym_encapsed_string] = STATE(927),
    [sym_string] = STATE(927),
    [sym_heredoc] = STATE(927),
    [sym_nowdoc] = STATE(927),
    [sym_shell_command_expression] = STATE(1148),
    [sym_boolean] = STATE(1162),
    [sym_null] = STATE(1162),
    [sym__string] = STATE(941),
    [sym_dynamic_variable_name] = STATE(650),
    [sym__simple_variable] = STATE(654),
    [sym__new_variable] = STATE(667),
    [sym__callable_variable] = STATE(629),
    [sym_variable_name] = STATE(650),
    [sym_yield_expression] = STATE(1152),
    [sym_binary_expression] = STATE(1152),
    [sym_include_expression] = STATE(1152),
    [sym_include_once_expression] = STATE(1152),
    [sym_require_expression] = STATE(1152),
    [sym_require_once_expression] = STATE(1152),
    [sym__reserved_identifier] = STATE(717),
    [sym__identifier] = STATE(1496),
    [aux_sym_program_repeat1] = STATE(66),
    [aux_sym_class_declaration_repeat1] = STATE(1381),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(212),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym__namespace_use_type_token1] = ACTIONS(222),
    [aux_sym__namespace_use_type_token2] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [anon_sym_LPAREN2] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(264),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(280),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(284),
    [aux_sym_for_statement_token2] = ACTIONS(505),
    [aux_sym_foreach_statement_token1] = ACTIONS(286),
    [aux_sym_if_statement_token1] = ACTIONS(288),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [62] = {
    [sym_text_interpolation] = STATE(62),
    [sym_statement] = STATE(445),
    [sym_empty_statement] = STATE(573),
    [sym_function_static_declaration] = STATE(573),
    [sym_global_declaration] = STATE(573),
    [sym_namespace_definition] = STATE(573),
    [sym_namespace_use_declaration] = STATE(573),
    [sym_qualified_name] = STATE(1000),
    [sym__name] = STATE(1631),
    [sym_namespace_name] = STATE(2575),
    [sym_trait_declaration] = STATE(573),
    [sym_interface_declaration] = STATE(573),
    [sym_enum_declaration] = STATE(573),
    [sym_class_declaration] = STATE(573),
    [sym_final_modifier] = STATE(1335),
    [sym_abstract_modifier] = STATE(1335),
    [sym_readonly_modifier] = STATE(1335),
    [sym_const_declaration] = STATE(573),
    [sym__const_declaration] = STATE(517),
    [sym__modifier] = STATE(1334),
    [sym_static_modifier] = STATE(1468),
    [sym_visibility_modifier] = STATE(1335),
    [sym_function_definition] = STATE(573),
    [sym__function_definition_header] = STATE(2470),
    [sym_anonymous_function] = STATE(1148),
    [sym__anonymous_function_header] = STATE(2489),
    [sym__arrow_function_header] = STATE(2731),
    [sym_arrow_function] = STATE(1148),
    [sym_echo_statement] = STATE(573),
    [sym_exit_statement] = STATE(573),
    [sym_unset_statement] = STATE(573),
    [sym_declare_statement] = STATE(573),
    [sym_literal] = STATE(1148),
    [sym_try_statement] = STATE(573),
    [sym_goto_statement] = STATE(573),
    [sym_continue_statement] = STATE(573),
    [sym_break_statement] = STATE(573),
    [sym_return_statement] = STATE(573),
    [sym_throw_expression] = STATE(1148),
    [sym_while_statement] = STATE(573),
    [sym_do_statement] = STATE(573),
    [sym_for_statement] = STATE(573),
    [sym_foreach_statement] = STATE(573),
    [sym_if_statement] = STATE(573),
    [sym_colon_block] = STATE(1620),
    [sym_match_expression] = STATE(1152),
    [sym_switch_statement] = STATE(573),
    [sym_compound_statement] = STATE(573),
    [sym_named_label_statement] = STATE(573),
    [sym_expression_statement] = STATE(573),
    [sym_expression] = STATE(1221),
    [sym__unary_expression] = STATE(1159),
    [sym_unary_op_expression] = STATE(1172),
    [sym_error_suppression_expression] = STATE(1152),
    [sym_clone_expression] = STATE(1172),
    [sym_primary_expression] = STATE(1172),
    [sym_parenthesized_expression] = STATE(964),
    [sym_class_constant_access_expression] = STATE(1019),
    [sym_print_intrinsic] = STATE(1148),
    [sym_object_creation_expression] = STATE(1148),
    [sym__new_non_dereferencable_expression] = STATE(1168),
    [sym__new_dereferencable_expression] = STATE(966),
    [sym_update_expression] = STATE(1148),
    [sym_cast_expression] = STATE(1172),
    [sym_cast_variable] = STATE(661),
    [sym_assignment_expression] = STATE(1152),
    [sym_reference_assignment_expression] = STATE(1152),
    [sym_conditional_expression] = STATE(1152),
    [sym_augmented_assignment_expression] = STATE(1152),
    [sym__variable_member_access_expression] = STATE(674),
    [sym_member_access_expression] = STATE(661),
    [sym__variable_nullsafe_member_access_expression] = STATE(663),
    [sym_nullsafe_member_access_expression] = STATE(661),
    [sym__variable_scoped_property_access_expression] = STATE(664),
    [sym_scoped_property_access_expression] = STATE(661),
    [sym_list_literal] = STATE(2530),
    [sym__list_destructing] = STATE(2405),
    [sym__array_destructing] = STATE(2405),
    [sym_function_call_expression] = STATE(634),
    [sym__callable_expression] = STATE(2471),
    [sym_scoped_call_expression] = STATE(634),
    [sym__scope_resolution_qualifier] = STATE(2651),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(634),
    [sym_nullsafe_member_call_expression] = STATE(634),
    [sym__variable_subscript_expression] = STATE(665),
    [sym__dereferencable_subscript_expression] = STATE(634),
    [sym__dereferencable_expression] = STATE(1946),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(1005),
    [sym_attribute_group] = STATE(1373),
    [sym_attribute_list] = STATE(1356),
    [sym_encapsed_string] = STATE(927),
    [sym_string] = STATE(927),
    [sym_heredoc] = STATE(927),
    [sym_nowdoc] = STATE(927),
    [sym_shell_command_expression] = STATE(1148),
    [sym_boolean] = STATE(1162),
    [sym_null] = STATE(1162),
    [sym__string] = STATE(941),
    [sym_dynamic_variable_name] = STATE(650),
    [sym__simple_variable] = STATE(654),
    [sym__new_variable] = STATE(667),
    [sym__callable_variable] = STATE(629),
    [sym_variable_name] = STATE(650),
    [sym_yield_expression] = STATE(1152),
    [sym_binary_expression] = STATE(1152),
    [sym_include_expression] = STATE(1152),
    [sym_include_once_expression] = STATE(1152),
    [sym_require_expression] = STATE(1152),
    [sym_require_once_expression] = STATE(1152),
    [sym__reserved_identifier] = STATE(717),
    [sym__identifier] = STATE(1496),
    [aux_sym_class_declaration_repeat1] = STATE(1381),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(212),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym__namespace_use_type_token1] = ACTIONS(222),
    [aux_sym__namespace_use_type_token2] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [anon_sym_COLON] = ACTIONS(507),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [anon_sym_LPAREN2] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(433),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(435),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(437),
    [aux_sym_foreach_statement_token1] = ACTIONS(439),
    [aux_sym_if_statement_token1] = ACTIONS(441),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [63] = {
    [sym_text_interpolation] = STATE(63),
    [sym_statement] = STATE(520),
    [sym_empty_statement] = STATE(573),
    [sym_function_static_declaration] = STATE(573),
    [sym_global_declaration] = STATE(573),
    [sym_namespace_definition] = STATE(573),
    [sym_namespace_use_declaration] = STATE(573),
    [sym_qualified_name] = STATE(1000),
    [sym__name] = STATE(1631),
    [sym_namespace_name] = STATE(2575),
    [sym_trait_declaration] = STATE(573),
    [sym_interface_declaration] = STATE(573),
    [sym_enum_declaration] = STATE(573),
    [sym_class_declaration] = STATE(573),
    [sym_final_modifier] = STATE(1335),
    [sym_abstract_modifier] = STATE(1335),
    [sym_readonly_modifier] = STATE(1335),
    [sym_const_declaration] = STATE(573),
    [sym__const_declaration] = STATE(517),
    [sym__modifier] = STATE(1334),
    [sym_static_modifier] = STATE(1468),
    [sym_visibility_modifier] = STATE(1335),
    [sym_function_definition] = STATE(573),
    [sym__function_definition_header] = STATE(2470),
    [sym_anonymous_function] = STATE(1148),
    [sym__anonymous_function_header] = STATE(2489),
    [sym__arrow_function_header] = STATE(2731),
    [sym_arrow_function] = STATE(1148),
    [sym_echo_statement] = STATE(573),
    [sym_exit_statement] = STATE(573),
    [sym_unset_statement] = STATE(573),
    [sym_declare_statement] = STATE(573),
    [sym_literal] = STATE(1148),
    [sym_try_statement] = STATE(573),
    [sym_goto_statement] = STATE(573),
    [sym_continue_statement] = STATE(573),
    [sym_break_statement] = STATE(573),
    [sym_return_statement] = STATE(573),
    [sym_throw_expression] = STATE(1148),
    [sym_while_statement] = STATE(573),
    [sym_do_statement] = STATE(573),
    [sym_for_statement] = STATE(573),
    [sym_foreach_statement] = STATE(573),
    [sym_if_statement] = STATE(573),
    [sym_match_expression] = STATE(1152),
    [sym_switch_statement] = STATE(573),
    [sym_compound_statement] = STATE(573),
    [sym_named_label_statement] = STATE(573),
    [sym_expression_statement] = STATE(573),
    [sym_expression] = STATE(1221),
    [sym__unary_expression] = STATE(1159),
    [sym_unary_op_expression] = STATE(1172),
    [sym_error_suppression_expression] = STATE(1152),
    [sym_clone_expression] = STATE(1172),
    [sym_primary_expression] = STATE(1172),
    [sym_parenthesized_expression] = STATE(964),
    [sym_class_constant_access_expression] = STATE(1019),
    [sym_print_intrinsic] = STATE(1148),
    [sym_object_creation_expression] = STATE(1148),
    [sym__new_non_dereferencable_expression] = STATE(1168),
    [sym__new_dereferencable_expression] = STATE(966),
    [sym_update_expression] = STATE(1148),
    [sym_cast_expression] = STATE(1172),
    [sym_cast_variable] = STATE(661),
    [sym_assignment_expression] = STATE(1152),
    [sym_reference_assignment_expression] = STATE(1152),
    [sym_conditional_expression] = STATE(1152),
    [sym_augmented_assignment_expression] = STATE(1152),
    [sym__variable_member_access_expression] = STATE(674),
    [sym_member_access_expression] = STATE(661),
    [sym__variable_nullsafe_member_access_expression] = STATE(663),
    [sym_nullsafe_member_access_expression] = STATE(661),
    [sym__variable_scoped_property_access_expression] = STATE(664),
    [sym_scoped_property_access_expression] = STATE(661),
    [sym_list_literal] = STATE(2530),
    [sym__list_destructing] = STATE(2405),
    [sym__array_destructing] = STATE(2405),
    [sym_function_call_expression] = STATE(634),
    [sym__callable_expression] = STATE(2471),
    [sym_scoped_call_expression] = STATE(634),
    [sym__scope_resolution_qualifier] = STATE(2651),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(634),
    [sym_nullsafe_member_call_expression] = STATE(634),
    [sym__variable_subscript_expression] = STATE(665),
    [sym__dereferencable_subscript_expression] = STATE(634),
    [sym__dereferencable_expression] = STATE(1946),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(1005),
    [sym_attribute_group] = STATE(1373),
    [sym_attribute_list] = STATE(1356),
    [sym_encapsed_string] = STATE(927),
    [sym_string] = STATE(927),
    [sym_heredoc] = STATE(927),
    [sym_nowdoc] = STATE(927),
    [sym_shell_command_expression] = STATE(1148),
    [sym_boolean] = STATE(1162),
    [sym_null] = STATE(1162),
    [sym__string] = STATE(941),
    [sym_dynamic_variable_name] = STATE(650),
    [sym__simple_variable] = STATE(654),
    [sym__new_variable] = STATE(667),
    [sym__callable_variable] = STATE(629),
    [sym_variable_name] = STATE(650),
    [sym_yield_expression] = STATE(1152),
    [sym_binary_expression] = STATE(1152),
    [sym_include_expression] = STATE(1152),
    [sym_include_once_expression] = STATE(1152),
    [sym_require_expression] = STATE(1152),
    [sym_require_once_expression] = STATE(1152),
    [sym__reserved_identifier] = STATE(717),
    [sym__identifier] = STATE(1496),
    [aux_sym_program_repeat1] = STATE(2),
    [aux_sym_class_declaration_repeat1] = STATE(1381),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(212),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym__namespace_use_type_token1] = ACTIONS(222),
    [aux_sym__namespace_use_type_token2] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [anon_sym_LPAREN2] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(264),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(280),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(284),
    [aux_sym_for_statement_token2] = ACTIONS(509),
    [aux_sym_foreach_statement_token1] = ACTIONS(286),
    [aux_sym_if_statement_token1] = ACTIONS(288),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [64] = {
    [sym_text_interpolation] = STATE(64),
    [sym_statement] = STATE(520),
    [sym_empty_statement] = STATE(573),
    [sym_function_static_declaration] = STATE(573),
    [sym_global_declaration] = STATE(573),
    [sym_namespace_definition] = STATE(573),
    [sym_namespace_use_declaration] = STATE(573),
    [sym_qualified_name] = STATE(1000),
    [sym__name] = STATE(1631),
    [sym_namespace_name] = STATE(2575),
    [sym_trait_declaration] = STATE(573),
    [sym_interface_declaration] = STATE(573),
    [sym_enum_declaration] = STATE(573),
    [sym_class_declaration] = STATE(573),
    [sym_final_modifier] = STATE(1335),
    [sym_abstract_modifier] = STATE(1335),
    [sym_readonly_modifier] = STATE(1335),
    [sym_const_declaration] = STATE(573),
    [sym__const_declaration] = STATE(517),
    [sym__modifier] = STATE(1334),
    [sym_static_modifier] = STATE(1468),
    [sym_visibility_modifier] = STATE(1335),
    [sym_function_definition] = STATE(573),
    [sym__function_definition_header] = STATE(2470),
    [sym_anonymous_function] = STATE(1148),
    [sym__anonymous_function_header] = STATE(2489),
    [sym__arrow_function_header] = STATE(2731),
    [sym_arrow_function] = STATE(1148),
    [sym_echo_statement] = STATE(573),
    [sym_exit_statement] = STATE(573),
    [sym_unset_statement] = STATE(573),
    [sym_declare_statement] = STATE(573),
    [sym_literal] = STATE(1148),
    [sym_try_statement] = STATE(573),
    [sym_goto_statement] = STATE(573),
    [sym_continue_statement] = STATE(573),
    [sym_break_statement] = STATE(573),
    [sym_return_statement] = STATE(573),
    [sym_throw_expression] = STATE(1148),
    [sym_while_statement] = STATE(573),
    [sym_do_statement] = STATE(573),
    [sym_for_statement] = STATE(573),
    [sym_foreach_statement] = STATE(573),
    [sym_if_statement] = STATE(573),
    [sym_match_expression] = STATE(1152),
    [sym_switch_statement] = STATE(573),
    [sym_compound_statement] = STATE(573),
    [sym_named_label_statement] = STATE(573),
    [sym_expression_statement] = STATE(573),
    [sym_expression] = STATE(1221),
    [sym__unary_expression] = STATE(1159),
    [sym_unary_op_expression] = STATE(1172),
    [sym_error_suppression_expression] = STATE(1152),
    [sym_clone_expression] = STATE(1172),
    [sym_primary_expression] = STATE(1172),
    [sym_parenthesized_expression] = STATE(964),
    [sym_class_constant_access_expression] = STATE(1019),
    [sym_print_intrinsic] = STATE(1148),
    [sym_object_creation_expression] = STATE(1148),
    [sym__new_non_dereferencable_expression] = STATE(1168),
    [sym__new_dereferencable_expression] = STATE(966),
    [sym_update_expression] = STATE(1148),
    [sym_cast_expression] = STATE(1172),
    [sym_cast_variable] = STATE(661),
    [sym_assignment_expression] = STATE(1152),
    [sym_reference_assignment_expression] = STATE(1152),
    [sym_conditional_expression] = STATE(1152),
    [sym_augmented_assignment_expression] = STATE(1152),
    [sym__variable_member_access_expression] = STATE(674),
    [sym_member_access_expression] = STATE(661),
    [sym__variable_nullsafe_member_access_expression] = STATE(663),
    [sym_nullsafe_member_access_expression] = STATE(661),
    [sym__variable_scoped_property_access_expression] = STATE(664),
    [sym_scoped_property_access_expression] = STATE(661),
    [sym_list_literal] = STATE(2530),
    [sym__list_destructing] = STATE(2405),
    [sym__array_destructing] = STATE(2405),
    [sym_function_call_expression] = STATE(634),
    [sym__callable_expression] = STATE(2471),
    [sym_scoped_call_expression] = STATE(634),
    [sym__scope_resolution_qualifier] = STATE(2651),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(634),
    [sym_nullsafe_member_call_expression] = STATE(634),
    [sym__variable_subscript_expression] = STATE(665),
    [sym__dereferencable_subscript_expression] = STATE(634),
    [sym__dereferencable_expression] = STATE(1946),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(1005),
    [sym_attribute_group] = STATE(1373),
    [sym_attribute_list] = STATE(1356),
    [sym_encapsed_string] = STATE(927),
    [sym_string] = STATE(927),
    [sym_heredoc] = STATE(927),
    [sym_nowdoc] = STATE(927),
    [sym_shell_command_expression] = STATE(1148),
    [sym_boolean] = STATE(1162),
    [sym_null] = STATE(1162),
    [sym__string] = STATE(941),
    [sym_dynamic_variable_name] = STATE(650),
    [sym__simple_variable] = STATE(654),
    [sym__new_variable] = STATE(667),
    [sym__callable_variable] = STATE(629),
    [sym_variable_name] = STATE(650),
    [sym_yield_expression] = STATE(1152),
    [sym_binary_expression] = STATE(1152),
    [sym_include_expression] = STATE(1152),
    [sym_include_once_expression] = STATE(1152),
    [sym_require_expression] = STATE(1152),
    [sym_require_once_expression] = STATE(1152),
    [sym__reserved_identifier] = STATE(717),
    [sym__identifier] = STATE(1496),
    [aux_sym_program_repeat1] = STATE(2),
    [aux_sym_class_declaration_repeat1] = STATE(1381),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(212),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym__namespace_use_type_token1] = ACTIONS(222),
    [aux_sym__namespace_use_type_token2] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [anon_sym_LPAREN2] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(264),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(280),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(284),
    [aux_sym_for_statement_token2] = ACTIONS(511),
    [aux_sym_foreach_statement_token1] = ACTIONS(286),
    [aux_sym_if_statement_token1] = ACTIONS(288),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [65] = {
    [sym_text_interpolation] = STATE(65),
    [sym_statement] = STATE(520),
    [sym_empty_statement] = STATE(573),
    [sym_function_static_declaration] = STATE(573),
    [sym_global_declaration] = STATE(573),
    [sym_namespace_definition] = STATE(573),
    [sym_namespace_use_declaration] = STATE(573),
    [sym_qualified_name] = STATE(1000),
    [sym__name] = STATE(1631),
    [sym_namespace_name] = STATE(2575),
    [sym_trait_declaration] = STATE(573),
    [sym_interface_declaration] = STATE(573),
    [sym_enum_declaration] = STATE(573),
    [sym_class_declaration] = STATE(573),
    [sym_final_modifier] = STATE(1335),
    [sym_abstract_modifier] = STATE(1335),
    [sym_readonly_modifier] = STATE(1335),
    [sym_const_declaration] = STATE(573),
    [sym__const_declaration] = STATE(517),
    [sym__modifier] = STATE(1334),
    [sym_static_modifier] = STATE(1468),
    [sym_visibility_modifier] = STATE(1335),
    [sym_function_definition] = STATE(573),
    [sym__function_definition_header] = STATE(2470),
    [sym_anonymous_function] = STATE(1148),
    [sym__anonymous_function_header] = STATE(2489),
    [sym__arrow_function_header] = STATE(2731),
    [sym_arrow_function] = STATE(1148),
    [sym_echo_statement] = STATE(573),
    [sym_exit_statement] = STATE(573),
    [sym_unset_statement] = STATE(573),
    [sym_declare_statement] = STATE(573),
    [sym_literal] = STATE(1148),
    [sym_try_statement] = STATE(573),
    [sym_goto_statement] = STATE(573),
    [sym_continue_statement] = STATE(573),
    [sym_break_statement] = STATE(573),
    [sym_return_statement] = STATE(573),
    [sym_throw_expression] = STATE(1148),
    [sym_while_statement] = STATE(573),
    [sym_do_statement] = STATE(573),
    [sym_for_statement] = STATE(573),
    [sym_foreach_statement] = STATE(573),
    [sym_if_statement] = STATE(573),
    [sym_match_expression] = STATE(1152),
    [sym_switch_statement] = STATE(573),
    [sym_compound_statement] = STATE(573),
    [sym_named_label_statement] = STATE(573),
    [sym_expression_statement] = STATE(573),
    [sym_expression] = STATE(1221),
    [sym__unary_expression] = STATE(1159),
    [sym_unary_op_expression] = STATE(1172),
    [sym_error_suppression_expression] = STATE(1152),
    [sym_clone_expression] = STATE(1172),
    [sym_primary_expression] = STATE(1172),
    [sym_parenthesized_expression] = STATE(964),
    [sym_class_constant_access_expression] = STATE(1019),
    [sym_print_intrinsic] = STATE(1148),
    [sym_object_creation_expression] = STATE(1148),
    [sym__new_non_dereferencable_expression] = STATE(1168),
    [sym__new_dereferencable_expression] = STATE(966),
    [sym_update_expression] = STATE(1148),
    [sym_cast_expression] = STATE(1172),
    [sym_cast_variable] = STATE(661),
    [sym_assignment_expression] = STATE(1152),
    [sym_reference_assignment_expression] = STATE(1152),
    [sym_conditional_expression] = STATE(1152),
    [sym_augmented_assignment_expression] = STATE(1152),
    [sym__variable_member_access_expression] = STATE(674),
    [sym_member_access_expression] = STATE(661),
    [sym__variable_nullsafe_member_access_expression] = STATE(663),
    [sym_nullsafe_member_access_expression] = STATE(661),
    [sym__variable_scoped_property_access_expression] = STATE(664),
    [sym_scoped_property_access_expression] = STATE(661),
    [sym_list_literal] = STATE(2530),
    [sym__list_destructing] = STATE(2405),
    [sym__array_destructing] = STATE(2405),
    [sym_function_call_expression] = STATE(634),
    [sym__callable_expression] = STATE(2471),
    [sym_scoped_call_expression] = STATE(634),
    [sym__scope_resolution_qualifier] = STATE(2651),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(634),
    [sym_nullsafe_member_call_expression] = STATE(634),
    [sym__variable_subscript_expression] = STATE(665),
    [sym__dereferencable_subscript_expression] = STATE(634),
    [sym__dereferencable_expression] = STATE(1946),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(1005),
    [sym_attribute_group] = STATE(1373),
    [sym_attribute_list] = STATE(1356),
    [sym_encapsed_string] = STATE(927),
    [sym_string] = STATE(927),
    [sym_heredoc] = STATE(927),
    [sym_nowdoc] = STATE(927),
    [sym_shell_command_expression] = STATE(1148),
    [sym_boolean] = STATE(1162),
    [sym_null] = STATE(1162),
    [sym__string] = STATE(941),
    [sym_dynamic_variable_name] = STATE(650),
    [sym__simple_variable] = STATE(654),
    [sym__new_variable] = STATE(667),
    [sym__callable_variable] = STATE(629),
    [sym_variable_name] = STATE(650),
    [sym_yield_expression] = STATE(1152),
    [sym_binary_expression] = STATE(1152),
    [sym_include_expression] = STATE(1152),
    [sym_include_once_expression] = STATE(1152),
    [sym_require_expression] = STATE(1152),
    [sym_require_once_expression] = STATE(1152),
    [sym__reserved_identifier] = STATE(717),
    [sym__identifier] = STATE(1496),
    [aux_sym_program_repeat1] = STATE(69),
    [aux_sym_class_declaration_repeat1] = STATE(1381),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(212),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym__namespace_use_type_token1] = ACTIONS(222),
    [aux_sym__namespace_use_type_token2] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [anon_sym_LPAREN2] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(264),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(280),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(284),
    [aux_sym_for_statement_token2] = ACTIONS(513),
    [aux_sym_foreach_statement_token1] = ACTIONS(286),
    [aux_sym_if_statement_token1] = ACTIONS(288),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [66] = {
    [sym_text_interpolation] = STATE(66),
    [sym_statement] = STATE(520),
    [sym_empty_statement] = STATE(573),
    [sym_function_static_declaration] = STATE(573),
    [sym_global_declaration] = STATE(573),
    [sym_namespace_definition] = STATE(573),
    [sym_namespace_use_declaration] = STATE(573),
    [sym_qualified_name] = STATE(1000),
    [sym__name] = STATE(1631),
    [sym_namespace_name] = STATE(2575),
    [sym_trait_declaration] = STATE(573),
    [sym_interface_declaration] = STATE(573),
    [sym_enum_declaration] = STATE(573),
    [sym_class_declaration] = STATE(573),
    [sym_final_modifier] = STATE(1335),
    [sym_abstract_modifier] = STATE(1335),
    [sym_readonly_modifier] = STATE(1335),
    [sym_const_declaration] = STATE(573),
    [sym__const_declaration] = STATE(517),
    [sym__modifier] = STATE(1334),
    [sym_static_modifier] = STATE(1468),
    [sym_visibility_modifier] = STATE(1335),
    [sym_function_definition] = STATE(573),
    [sym__function_definition_header] = STATE(2470),
    [sym_anonymous_function] = STATE(1148),
    [sym__anonymous_function_header] = STATE(2489),
    [sym__arrow_function_header] = STATE(2731),
    [sym_arrow_function] = STATE(1148),
    [sym_echo_statement] = STATE(573),
    [sym_exit_statement] = STATE(573),
    [sym_unset_statement] = STATE(573),
    [sym_declare_statement] = STATE(573),
    [sym_literal] = STATE(1148),
    [sym_try_statement] = STATE(573),
    [sym_goto_statement] = STATE(573),
    [sym_continue_statement] = STATE(573),
    [sym_break_statement] = STATE(573),
    [sym_return_statement] = STATE(573),
    [sym_throw_expression] = STATE(1148),
    [sym_while_statement] = STATE(573),
    [sym_do_statement] = STATE(573),
    [sym_for_statement] = STATE(573),
    [sym_foreach_statement] = STATE(573),
    [sym_if_statement] = STATE(573),
    [sym_match_expression] = STATE(1152),
    [sym_switch_statement] = STATE(573),
    [sym_compound_statement] = STATE(573),
    [sym_named_label_statement] = STATE(573),
    [sym_expression_statement] = STATE(573),
    [sym_expression] = STATE(1221),
    [sym__unary_expression] = STATE(1159),
    [sym_unary_op_expression] = STATE(1172),
    [sym_error_suppression_expression] = STATE(1152),
    [sym_clone_expression] = STATE(1172),
    [sym_primary_expression] = STATE(1172),
    [sym_parenthesized_expression] = STATE(964),
    [sym_class_constant_access_expression] = STATE(1019),
    [sym_print_intrinsic] = STATE(1148),
    [sym_object_creation_expression] = STATE(1148),
    [sym__new_non_dereferencable_expression] = STATE(1168),
    [sym__new_dereferencable_expression] = STATE(966),
    [sym_update_expression] = STATE(1148),
    [sym_cast_expression] = STATE(1172),
    [sym_cast_variable] = STATE(661),
    [sym_assignment_expression] = STATE(1152),
    [sym_reference_assignment_expression] = STATE(1152),
    [sym_conditional_expression] = STATE(1152),
    [sym_augmented_assignment_expression] = STATE(1152),
    [sym__variable_member_access_expression] = STATE(674),
    [sym_member_access_expression] = STATE(661),
    [sym__variable_nullsafe_member_access_expression] = STATE(663),
    [sym_nullsafe_member_access_expression] = STATE(661),
    [sym__variable_scoped_property_access_expression] = STATE(664),
    [sym_scoped_property_access_expression] = STATE(661),
    [sym_list_literal] = STATE(2530),
    [sym__list_destructing] = STATE(2405),
    [sym__array_destructing] = STATE(2405),
    [sym_function_call_expression] = STATE(634),
    [sym__callable_expression] = STATE(2471),
    [sym_scoped_call_expression] = STATE(634),
    [sym__scope_resolution_qualifier] = STATE(2651),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(634),
    [sym_nullsafe_member_call_expression] = STATE(634),
    [sym__variable_subscript_expression] = STATE(665),
    [sym__dereferencable_subscript_expression] = STATE(634),
    [sym__dereferencable_expression] = STATE(1946),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(1005),
    [sym_attribute_group] = STATE(1373),
    [sym_attribute_list] = STATE(1356),
    [sym_encapsed_string] = STATE(927),
    [sym_string] = STATE(927),
    [sym_heredoc] = STATE(927),
    [sym_nowdoc] = STATE(927),
    [sym_shell_command_expression] = STATE(1148),
    [sym_boolean] = STATE(1162),
    [sym_null] = STATE(1162),
    [sym__string] = STATE(941),
    [sym_dynamic_variable_name] = STATE(650),
    [sym__simple_variable] = STATE(654),
    [sym__new_variable] = STATE(667),
    [sym__callable_variable] = STATE(629),
    [sym_variable_name] = STATE(650),
    [sym_yield_expression] = STATE(1152),
    [sym_binary_expression] = STATE(1152),
    [sym_include_expression] = STATE(1152),
    [sym_include_once_expression] = STATE(1152),
    [sym_require_expression] = STATE(1152),
    [sym_require_once_expression] = STATE(1152),
    [sym__reserved_identifier] = STATE(717),
    [sym__identifier] = STATE(1496),
    [aux_sym_program_repeat1] = STATE(2),
    [aux_sym_class_declaration_repeat1] = STATE(1381),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(212),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym__namespace_use_type_token1] = ACTIONS(222),
    [aux_sym__namespace_use_type_token2] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [anon_sym_LPAREN2] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(264),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(280),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(284),
    [aux_sym_for_statement_token2] = ACTIONS(515),
    [aux_sym_foreach_statement_token1] = ACTIONS(286),
    [aux_sym_if_statement_token1] = ACTIONS(288),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [67] = {
    [sym_text_interpolation] = STATE(67),
    [sym_statement] = STATE(520),
    [sym_empty_statement] = STATE(573),
    [sym_function_static_declaration] = STATE(573),
    [sym_global_declaration] = STATE(573),
    [sym_namespace_definition] = STATE(573),
    [sym_namespace_use_declaration] = STATE(573),
    [sym_qualified_name] = STATE(1000),
    [sym__name] = STATE(1631),
    [sym_namespace_name] = STATE(2575),
    [sym_trait_declaration] = STATE(573),
    [sym_interface_declaration] = STATE(573),
    [sym_enum_declaration] = STATE(573),
    [sym_class_declaration] = STATE(573),
    [sym_final_modifier] = STATE(1335),
    [sym_abstract_modifier] = STATE(1335),
    [sym_readonly_modifier] = STATE(1335),
    [sym_const_declaration] = STATE(573),
    [sym__const_declaration] = STATE(517),
    [sym__modifier] = STATE(1334),
    [sym_static_modifier] = STATE(1468),
    [sym_visibility_modifier] = STATE(1335),
    [sym_function_definition] = STATE(573),
    [sym__function_definition_header] = STATE(2470),
    [sym_anonymous_function] = STATE(1148),
    [sym__anonymous_function_header] = STATE(2489),
    [sym__arrow_function_header] = STATE(2731),
    [sym_arrow_function] = STATE(1148),
    [sym_echo_statement] = STATE(573),
    [sym_exit_statement] = STATE(573),
    [sym_unset_statement] = STATE(573),
    [sym_declare_statement] = STATE(573),
    [sym_literal] = STATE(1148),
    [sym_try_statement] = STATE(573),
    [sym_goto_statement] = STATE(573),
    [sym_continue_statement] = STATE(573),
    [sym_break_statement] = STATE(573),
    [sym_return_statement] = STATE(573),
    [sym_throw_expression] = STATE(1148),
    [sym_while_statement] = STATE(573),
    [sym_do_statement] = STATE(573),
    [sym_for_statement] = STATE(573),
    [sym_foreach_statement] = STATE(573),
    [sym_if_statement] = STATE(573),
    [sym_match_expression] = STATE(1152),
    [sym_switch_statement] = STATE(573),
    [sym_compound_statement] = STATE(573),
    [sym_named_label_statement] = STATE(573),
    [sym_expression_statement] = STATE(573),
    [sym_expression] = STATE(1221),
    [sym__unary_expression] = STATE(1159),
    [sym_unary_op_expression] = STATE(1172),
    [sym_error_suppression_expression] = STATE(1152),
    [sym_clone_expression] = STATE(1172),
    [sym_primary_expression] = STATE(1172),
    [sym_parenthesized_expression] = STATE(964),
    [sym_class_constant_access_expression] = STATE(1019),
    [sym_print_intrinsic] = STATE(1148),
    [sym_object_creation_expression] = STATE(1148),
    [sym__new_non_dereferencable_expression] = STATE(1168),
    [sym__new_dereferencable_expression] = STATE(966),
    [sym_update_expression] = STATE(1148),
    [sym_cast_expression] = STATE(1172),
    [sym_cast_variable] = STATE(661),
    [sym_assignment_expression] = STATE(1152),
    [sym_reference_assignment_expression] = STATE(1152),
    [sym_conditional_expression] = STATE(1152),
    [sym_augmented_assignment_expression] = STATE(1152),
    [sym__variable_member_access_expression] = STATE(674),
    [sym_member_access_expression] = STATE(661),
    [sym__variable_nullsafe_member_access_expression] = STATE(663),
    [sym_nullsafe_member_access_expression] = STATE(661),
    [sym__variable_scoped_property_access_expression] = STATE(664),
    [sym_scoped_property_access_expression] = STATE(661),
    [sym_list_literal] = STATE(2530),
    [sym__list_destructing] = STATE(2405),
    [sym__array_destructing] = STATE(2405),
    [sym_function_call_expression] = STATE(634),
    [sym__callable_expression] = STATE(2471),
    [sym_scoped_call_expression] = STATE(634),
    [sym__scope_resolution_qualifier] = STATE(2651),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(634),
    [sym_nullsafe_member_call_expression] = STATE(634),
    [sym__variable_subscript_expression] = STATE(665),
    [sym__dereferencable_subscript_expression] = STATE(634),
    [sym__dereferencable_expression] = STATE(1946),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(1005),
    [sym_attribute_group] = STATE(1373),
    [sym_attribute_list] = STATE(1356),
    [sym_encapsed_string] = STATE(927),
    [sym_string] = STATE(927),
    [sym_heredoc] = STATE(927),
    [sym_nowdoc] = STATE(927),
    [sym_shell_command_expression] = STATE(1148),
    [sym_boolean] = STATE(1162),
    [sym_null] = STATE(1162),
    [sym__string] = STATE(941),
    [sym_dynamic_variable_name] = STATE(650),
    [sym__simple_variable] = STATE(654),
    [sym__new_variable] = STATE(667),
    [sym__callable_variable] = STATE(629),
    [sym_variable_name] = STATE(650),
    [sym_yield_expression] = STATE(1152),
    [sym_binary_expression] = STATE(1152),
    [sym_include_expression] = STATE(1152),
    [sym_include_once_expression] = STATE(1152),
    [sym_require_expression] = STATE(1152),
    [sym_require_once_expression] = STATE(1152),
    [sym__reserved_identifier] = STATE(717),
    [sym__identifier] = STATE(1496),
    [aux_sym_program_repeat1] = STATE(70),
    [aux_sym_class_declaration_repeat1] = STATE(1381),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(212),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym__namespace_use_type_token1] = ACTIONS(222),
    [aux_sym__namespace_use_type_token2] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [anon_sym_LPAREN2] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(264),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(280),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(284),
    [aux_sym_for_statement_token2] = ACTIONS(517),
    [aux_sym_foreach_statement_token1] = ACTIONS(286),
    [aux_sym_if_statement_token1] = ACTIONS(288),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [68] = {
    [sym_text_interpolation] = STATE(68),
    [sym_statement] = STATE(520),
    [sym_empty_statement] = STATE(573),
    [sym_function_static_declaration] = STATE(573),
    [sym_global_declaration] = STATE(573),
    [sym_namespace_definition] = STATE(573),
    [sym_namespace_use_declaration] = STATE(573),
    [sym_qualified_name] = STATE(1000),
    [sym__name] = STATE(1631),
    [sym_namespace_name] = STATE(2575),
    [sym_trait_declaration] = STATE(573),
    [sym_interface_declaration] = STATE(573),
    [sym_enum_declaration] = STATE(573),
    [sym_class_declaration] = STATE(573),
    [sym_final_modifier] = STATE(1335),
    [sym_abstract_modifier] = STATE(1335),
    [sym_readonly_modifier] = STATE(1335),
    [sym_const_declaration] = STATE(573),
    [sym__const_declaration] = STATE(517),
    [sym__modifier] = STATE(1334),
    [sym_static_modifier] = STATE(1468),
    [sym_visibility_modifier] = STATE(1335),
    [sym_function_definition] = STATE(573),
    [sym__function_definition_header] = STATE(2470),
    [sym_anonymous_function] = STATE(1148),
    [sym__anonymous_function_header] = STATE(2489),
    [sym__arrow_function_header] = STATE(2731),
    [sym_arrow_function] = STATE(1148),
    [sym_echo_statement] = STATE(573),
    [sym_exit_statement] = STATE(573),
    [sym_unset_statement] = STATE(573),
    [sym_declare_statement] = STATE(573),
    [sym_literal] = STATE(1148),
    [sym_try_statement] = STATE(573),
    [sym_goto_statement] = STATE(573),
    [sym_continue_statement] = STATE(573),
    [sym_break_statement] = STATE(573),
    [sym_return_statement] = STATE(573),
    [sym_throw_expression] = STATE(1148),
    [sym_while_statement] = STATE(573),
    [sym_do_statement] = STATE(573),
    [sym_for_statement] = STATE(573),
    [sym_foreach_statement] = STATE(573),
    [sym_if_statement] = STATE(573),
    [sym_match_expression] = STATE(1152),
    [sym_switch_statement] = STATE(573),
    [sym_compound_statement] = STATE(573),
    [sym_named_label_statement] = STATE(573),
    [sym_expression_statement] = STATE(573),
    [sym_expression] = STATE(1221),
    [sym__unary_expression] = STATE(1159),
    [sym_unary_op_expression] = STATE(1172),
    [sym_error_suppression_expression] = STATE(1152),
    [sym_clone_expression] = STATE(1172),
    [sym_primary_expression] = STATE(1172),
    [sym_parenthesized_expression] = STATE(964),
    [sym_class_constant_access_expression] = STATE(1019),
    [sym_print_intrinsic] = STATE(1148),
    [sym_object_creation_expression] = STATE(1148),
    [sym__new_non_dereferencable_expression] = STATE(1168),
    [sym__new_dereferencable_expression] = STATE(966),
    [sym_update_expression] = STATE(1148),
    [sym_cast_expression] = STATE(1172),
    [sym_cast_variable] = STATE(661),
    [sym_assignment_expression] = STATE(1152),
    [sym_reference_assignment_expression] = STATE(1152),
    [sym_conditional_expression] = STATE(1152),
    [sym_augmented_assignment_expression] = STATE(1152),
    [sym__variable_member_access_expression] = STATE(674),
    [sym_member_access_expression] = STATE(661),
    [sym__variable_nullsafe_member_access_expression] = STATE(663),
    [sym_nullsafe_member_access_expression] = STATE(661),
    [sym__variable_scoped_property_access_expression] = STATE(664),
    [sym_scoped_property_access_expression] = STATE(661),
    [sym_list_literal] = STATE(2530),
    [sym__list_destructing] = STATE(2405),
    [sym__array_destructing] = STATE(2405),
    [sym_function_call_expression] = STATE(634),
    [sym__callable_expression] = STATE(2471),
    [sym_scoped_call_expression] = STATE(634),
    [sym__scope_resolution_qualifier] = STATE(2651),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(634),
    [sym_nullsafe_member_call_expression] = STATE(634),
    [sym__variable_subscript_expression] = STATE(665),
    [sym__dereferencable_subscript_expression] = STATE(634),
    [sym__dereferencable_expression] = STATE(1946),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(1005),
    [sym_attribute_group] = STATE(1373),
    [sym_attribute_list] = STATE(1356),
    [sym_encapsed_string] = STATE(927),
    [sym_string] = STATE(927),
    [sym_heredoc] = STATE(927),
    [sym_nowdoc] = STATE(927),
    [sym_shell_command_expression] = STATE(1148),
    [sym_boolean] = STATE(1162),
    [sym_null] = STATE(1162),
    [sym__string] = STATE(941),
    [sym_dynamic_variable_name] = STATE(650),
    [sym__simple_variable] = STATE(654),
    [sym__new_variable] = STATE(667),
    [sym__callable_variable] = STATE(629),
    [sym_variable_name] = STATE(650),
    [sym_yield_expression] = STATE(1152),
    [sym_binary_expression] = STATE(1152),
    [sym_include_expression] = STATE(1152),
    [sym_include_once_expression] = STATE(1152),
    [sym_require_expression] = STATE(1152),
    [sym_require_once_expression] = STATE(1152),
    [sym__reserved_identifier] = STATE(717),
    [sym__identifier] = STATE(1496),
    [aux_sym_program_repeat1] = STATE(71),
    [aux_sym_class_declaration_repeat1] = STATE(1381),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(212),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym__namespace_use_type_token1] = ACTIONS(222),
    [aux_sym__namespace_use_type_token2] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [anon_sym_LPAREN2] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(264),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(280),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(284),
    [aux_sym_for_statement_token2] = ACTIONS(519),
    [aux_sym_foreach_statement_token1] = ACTIONS(286),
    [aux_sym_if_statement_token1] = ACTIONS(288),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [69] = {
    [sym_text_interpolation] = STATE(69),
    [sym_statement] = STATE(520),
    [sym_empty_statement] = STATE(573),
    [sym_function_static_declaration] = STATE(573),
    [sym_global_declaration] = STATE(573),
    [sym_namespace_definition] = STATE(573),
    [sym_namespace_use_declaration] = STATE(573),
    [sym_qualified_name] = STATE(1000),
    [sym__name] = STATE(1631),
    [sym_namespace_name] = STATE(2575),
    [sym_trait_declaration] = STATE(573),
    [sym_interface_declaration] = STATE(573),
    [sym_enum_declaration] = STATE(573),
    [sym_class_declaration] = STATE(573),
    [sym_final_modifier] = STATE(1335),
    [sym_abstract_modifier] = STATE(1335),
    [sym_readonly_modifier] = STATE(1335),
    [sym_const_declaration] = STATE(573),
    [sym__const_declaration] = STATE(517),
    [sym__modifier] = STATE(1334),
    [sym_static_modifier] = STATE(1468),
    [sym_visibility_modifier] = STATE(1335),
    [sym_function_definition] = STATE(573),
    [sym__function_definition_header] = STATE(2470),
    [sym_anonymous_function] = STATE(1148),
    [sym__anonymous_function_header] = STATE(2489),
    [sym__arrow_function_header] = STATE(2731),
    [sym_arrow_function] = STATE(1148),
    [sym_echo_statement] = STATE(573),
    [sym_exit_statement] = STATE(573),
    [sym_unset_statement] = STATE(573),
    [sym_declare_statement] = STATE(573),
    [sym_literal] = STATE(1148),
    [sym_try_statement] = STATE(573),
    [sym_goto_statement] = STATE(573),
    [sym_continue_statement] = STATE(573),
    [sym_break_statement] = STATE(573),
    [sym_return_statement] = STATE(573),
    [sym_throw_expression] = STATE(1148),
    [sym_while_statement] = STATE(573),
    [sym_do_statement] = STATE(573),
    [sym_for_statement] = STATE(573),
    [sym_foreach_statement] = STATE(573),
    [sym_if_statement] = STATE(573),
    [sym_match_expression] = STATE(1152),
    [sym_switch_statement] = STATE(573),
    [sym_compound_statement] = STATE(573),
    [sym_named_label_statement] = STATE(573),
    [sym_expression_statement] = STATE(573),
    [sym_expression] = STATE(1221),
    [sym__unary_expression] = STATE(1159),
    [sym_unary_op_expression] = STATE(1172),
    [sym_error_suppression_expression] = STATE(1152),
    [sym_clone_expression] = STATE(1172),
    [sym_primary_expression] = STATE(1172),
    [sym_parenthesized_expression] = STATE(964),
    [sym_class_constant_access_expression] = STATE(1019),
    [sym_print_intrinsic] = STATE(1148),
    [sym_object_creation_expression] = STATE(1148),
    [sym__new_non_dereferencable_expression] = STATE(1168),
    [sym__new_dereferencable_expression] = STATE(966),
    [sym_update_expression] = STATE(1148),
    [sym_cast_expression] = STATE(1172),
    [sym_cast_variable] = STATE(661),
    [sym_assignment_expression] = STATE(1152),
    [sym_reference_assignment_expression] = STATE(1152),
    [sym_conditional_expression] = STATE(1152),
    [sym_augmented_assignment_expression] = STATE(1152),
    [sym__variable_member_access_expression] = STATE(674),
    [sym_member_access_expression] = STATE(661),
    [sym__variable_nullsafe_member_access_expression] = STATE(663),
    [sym_nullsafe_member_access_expression] = STATE(661),
    [sym__variable_scoped_property_access_expression] = STATE(664),
    [sym_scoped_property_access_expression] = STATE(661),
    [sym_list_literal] = STATE(2530),
    [sym__list_destructing] = STATE(2405),
    [sym__array_destructing] = STATE(2405),
    [sym_function_call_expression] = STATE(634),
    [sym__callable_expression] = STATE(2471),
    [sym_scoped_call_expression] = STATE(634),
    [sym__scope_resolution_qualifier] = STATE(2651),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(634),
    [sym_nullsafe_member_call_expression] = STATE(634),
    [sym__variable_subscript_expression] = STATE(665),
    [sym__dereferencable_subscript_expression] = STATE(634),
    [sym__dereferencable_expression] = STATE(1946),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(1005),
    [sym_attribute_group] = STATE(1373),
    [sym_attribute_list] = STATE(1356),
    [sym_encapsed_string] = STATE(927),
    [sym_string] = STATE(927),
    [sym_heredoc] = STATE(927),
    [sym_nowdoc] = STATE(927),
    [sym_shell_command_expression] = STATE(1148),
    [sym_boolean] = STATE(1162),
    [sym_null] = STATE(1162),
    [sym__string] = STATE(941),
    [sym_dynamic_variable_name] = STATE(650),
    [sym__simple_variable] = STATE(654),
    [sym__new_variable] = STATE(667),
    [sym__callable_variable] = STATE(629),
    [sym_variable_name] = STATE(650),
    [sym_yield_expression] = STATE(1152),
    [sym_binary_expression] = STATE(1152),
    [sym_include_expression] = STATE(1152),
    [sym_include_once_expression] = STATE(1152),
    [sym_require_expression] = STATE(1152),
    [sym_require_once_expression] = STATE(1152),
    [sym__reserved_identifier] = STATE(717),
    [sym__identifier] = STATE(1496),
    [aux_sym_program_repeat1] = STATE(2),
    [aux_sym_class_declaration_repeat1] = STATE(1381),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(212),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym__namespace_use_type_token1] = ACTIONS(222),
    [aux_sym__namespace_use_type_token2] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [anon_sym_LPAREN2] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(264),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(280),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(284),
    [aux_sym_for_statement_token2] = ACTIONS(521),
    [aux_sym_foreach_statement_token1] = ACTIONS(286),
    [aux_sym_if_statement_token1] = ACTIONS(288),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [70] = {
    [sym_text_interpolation] = STATE(70),
    [sym_statement] = STATE(520),
    [sym_empty_statement] = STATE(573),
    [sym_function_static_declaration] = STATE(573),
    [sym_global_declaration] = STATE(573),
    [sym_namespace_definition] = STATE(573),
    [sym_namespace_use_declaration] = STATE(573),
    [sym_qualified_name] = STATE(1000),
    [sym__name] = STATE(1631),
    [sym_namespace_name] = STATE(2575),
    [sym_trait_declaration] = STATE(573),
    [sym_interface_declaration] = STATE(573),
    [sym_enum_declaration] = STATE(573),
    [sym_class_declaration] = STATE(573),
    [sym_final_modifier] = STATE(1335),
    [sym_abstract_modifier] = STATE(1335),
    [sym_readonly_modifier] = STATE(1335),
    [sym_const_declaration] = STATE(573),
    [sym__const_declaration] = STATE(517),
    [sym__modifier] = STATE(1334),
    [sym_static_modifier] = STATE(1468),
    [sym_visibility_modifier] = STATE(1335),
    [sym_function_definition] = STATE(573),
    [sym__function_definition_header] = STATE(2470),
    [sym_anonymous_function] = STATE(1148),
    [sym__anonymous_function_header] = STATE(2489),
    [sym__arrow_function_header] = STATE(2731),
    [sym_arrow_function] = STATE(1148),
    [sym_echo_statement] = STATE(573),
    [sym_exit_statement] = STATE(573),
    [sym_unset_statement] = STATE(573),
    [sym_declare_statement] = STATE(573),
    [sym_literal] = STATE(1148),
    [sym_try_statement] = STATE(573),
    [sym_goto_statement] = STATE(573),
    [sym_continue_statement] = STATE(573),
    [sym_break_statement] = STATE(573),
    [sym_return_statement] = STATE(573),
    [sym_throw_expression] = STATE(1148),
    [sym_while_statement] = STATE(573),
    [sym_do_statement] = STATE(573),
    [sym_for_statement] = STATE(573),
    [sym_foreach_statement] = STATE(573),
    [sym_if_statement] = STATE(573),
    [sym_match_expression] = STATE(1152),
    [sym_switch_statement] = STATE(573),
    [sym_compound_statement] = STATE(573),
    [sym_named_label_statement] = STATE(573),
    [sym_expression_statement] = STATE(573),
    [sym_expression] = STATE(1221),
    [sym__unary_expression] = STATE(1159),
    [sym_unary_op_expression] = STATE(1172),
    [sym_error_suppression_expression] = STATE(1152),
    [sym_clone_expression] = STATE(1172),
    [sym_primary_expression] = STATE(1172),
    [sym_parenthesized_expression] = STATE(964),
    [sym_class_constant_access_expression] = STATE(1019),
    [sym_print_intrinsic] = STATE(1148),
    [sym_object_creation_expression] = STATE(1148),
    [sym__new_non_dereferencable_expression] = STATE(1168),
    [sym__new_dereferencable_expression] = STATE(966),
    [sym_update_expression] = STATE(1148),
    [sym_cast_expression] = STATE(1172),
    [sym_cast_variable] = STATE(661),
    [sym_assignment_expression] = STATE(1152),
    [sym_reference_assignment_expression] = STATE(1152),
    [sym_conditional_expression] = STATE(1152),
    [sym_augmented_assignment_expression] = STATE(1152),
    [sym__variable_member_access_expression] = STATE(674),
    [sym_member_access_expression] = STATE(661),
    [sym__variable_nullsafe_member_access_expression] = STATE(663),
    [sym_nullsafe_member_access_expression] = STATE(661),
    [sym__variable_scoped_property_access_expression] = STATE(664),
    [sym_scoped_property_access_expression] = STATE(661),
    [sym_list_literal] = STATE(2530),
    [sym__list_destructing] = STATE(2405),
    [sym__array_destructing] = STATE(2405),
    [sym_function_call_expression] = STATE(634),
    [sym__callable_expression] = STATE(2471),
    [sym_scoped_call_expression] = STATE(634),
    [sym__scope_resolution_qualifier] = STATE(2651),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(634),
    [sym_nullsafe_member_call_expression] = STATE(634),
    [sym__variable_subscript_expression] = STATE(665),
    [sym__dereferencable_subscript_expression] = STATE(634),
    [sym__dereferencable_expression] = STATE(1946),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(1005),
    [sym_attribute_group] = STATE(1373),
    [sym_attribute_list] = STATE(1356),
    [sym_encapsed_string] = STATE(927),
    [sym_string] = STATE(927),
    [sym_heredoc] = STATE(927),
    [sym_nowdoc] = STATE(927),
    [sym_shell_command_expression] = STATE(1148),
    [sym_boolean] = STATE(1162),
    [sym_null] = STATE(1162),
    [sym__string] = STATE(941),
    [sym_dynamic_variable_name] = STATE(650),
    [sym__simple_variable] = STATE(654),
    [sym__new_variable] = STATE(667),
    [sym__callable_variable] = STATE(629),
    [sym_variable_name] = STATE(650),
    [sym_yield_expression] = STATE(1152),
    [sym_binary_expression] = STATE(1152),
    [sym_include_expression] = STATE(1152),
    [sym_include_once_expression] = STATE(1152),
    [sym_require_expression] = STATE(1152),
    [sym_require_once_expression] = STATE(1152),
    [sym__reserved_identifier] = STATE(717),
    [sym__identifier] = STATE(1496),
    [aux_sym_program_repeat1] = STATE(2),
    [aux_sym_class_declaration_repeat1] = STATE(1381),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(212),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym__namespace_use_type_token1] = ACTIONS(222),
    [aux_sym__namespace_use_type_token2] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [anon_sym_LPAREN2] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(264),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(280),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(284),
    [aux_sym_for_statement_token2] = ACTIONS(523),
    [aux_sym_foreach_statement_token1] = ACTIONS(286),
    [aux_sym_if_statement_token1] = ACTIONS(288),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [71] = {
    [sym_text_interpolation] = STATE(71),
    [sym_statement] = STATE(520),
    [sym_empty_statement] = STATE(573),
    [sym_function_static_declaration] = STATE(573),
    [sym_global_declaration] = STATE(573),
    [sym_namespace_definition] = STATE(573),
    [sym_namespace_use_declaration] = STATE(573),
    [sym_qualified_name] = STATE(1000),
    [sym__name] = STATE(1631),
    [sym_namespace_name] = STATE(2575),
    [sym_trait_declaration] = STATE(573),
    [sym_interface_declaration] = STATE(573),
    [sym_enum_declaration] = STATE(573),
    [sym_class_declaration] = STATE(573),
    [sym_final_modifier] = STATE(1335),
    [sym_abstract_modifier] = STATE(1335),
    [sym_readonly_modifier] = STATE(1335),
    [sym_const_declaration] = STATE(573),
    [sym__const_declaration] = STATE(517),
    [sym__modifier] = STATE(1334),
    [sym_static_modifier] = STATE(1468),
    [sym_visibility_modifier] = STATE(1335),
    [sym_function_definition] = STATE(573),
    [sym__function_definition_header] = STATE(2470),
    [sym_anonymous_function] = STATE(1148),
    [sym__anonymous_function_header] = STATE(2489),
    [sym__arrow_function_header] = STATE(2731),
    [sym_arrow_function] = STATE(1148),
    [sym_echo_statement] = STATE(573),
    [sym_exit_statement] = STATE(573),
    [sym_unset_statement] = STATE(573),
    [sym_declare_statement] = STATE(573),
    [sym_literal] = STATE(1148),
    [sym_try_statement] = STATE(573),
    [sym_goto_statement] = STATE(573),
    [sym_continue_statement] = STATE(573),
    [sym_break_statement] = STATE(573),
    [sym_return_statement] = STATE(573),
    [sym_throw_expression] = STATE(1148),
    [sym_while_statement] = STATE(573),
    [sym_do_statement] = STATE(573),
    [sym_for_statement] = STATE(573),
    [sym_foreach_statement] = STATE(573),
    [sym_if_statement] = STATE(573),
    [sym_match_expression] = STATE(1152),
    [sym_switch_statement] = STATE(573),
    [sym_compound_statement] = STATE(573),
    [sym_named_label_statement] = STATE(573),
    [sym_expression_statement] = STATE(573),
    [sym_expression] = STATE(1221),
    [sym__unary_expression] = STATE(1159),
    [sym_unary_op_expression] = STATE(1172),
    [sym_error_suppression_expression] = STATE(1152),
    [sym_clone_expression] = STATE(1172),
    [sym_primary_expression] = STATE(1172),
    [sym_parenthesized_expression] = STATE(964),
    [sym_class_constant_access_expression] = STATE(1019),
    [sym_print_intrinsic] = STATE(1148),
    [sym_object_creation_expression] = STATE(1148),
    [sym__new_non_dereferencable_expression] = STATE(1168),
    [sym__new_dereferencable_expression] = STATE(966),
    [sym_update_expression] = STATE(1148),
    [sym_cast_expression] = STATE(1172),
    [sym_cast_variable] = STATE(661),
    [sym_assignment_expression] = STATE(1152),
    [sym_reference_assignment_expression] = STATE(1152),
    [sym_conditional_expression] = STATE(1152),
    [sym_augmented_assignment_expression] = STATE(1152),
    [sym__variable_member_access_expression] = STATE(674),
    [sym_member_access_expression] = STATE(661),
    [sym__variable_nullsafe_member_access_expression] = STATE(663),
    [sym_nullsafe_member_access_expression] = STATE(661),
    [sym__variable_scoped_property_access_expression] = STATE(664),
    [sym_scoped_property_access_expression] = STATE(661),
    [sym_list_literal] = STATE(2530),
    [sym__list_destructing] = STATE(2405),
    [sym__array_destructing] = STATE(2405),
    [sym_function_call_expression] = STATE(634),
    [sym__callable_expression] = STATE(2471),
    [sym_scoped_call_expression] = STATE(634),
    [sym__scope_resolution_qualifier] = STATE(2651),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(634),
    [sym_nullsafe_member_call_expression] = STATE(634),
    [sym__variable_subscript_expression] = STATE(665),
    [sym__dereferencable_subscript_expression] = STATE(634),
    [sym__dereferencable_expression] = STATE(1946),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(1005),
    [sym_attribute_group] = STATE(1373),
    [sym_attribute_list] = STATE(1356),
    [sym_encapsed_string] = STATE(927),
    [sym_string] = STATE(927),
    [sym_heredoc] = STATE(927),
    [sym_nowdoc] = STATE(927),
    [sym_shell_command_expression] = STATE(1148),
    [sym_boolean] = STATE(1162),
    [sym_null] = STATE(1162),
    [sym__string] = STATE(941),
    [sym_dynamic_variable_name] = STATE(650),
    [sym__simple_variable] = STATE(654),
    [sym__new_variable] = STATE(667),
    [sym__callable_variable] = STATE(629),
    [sym_variable_name] = STATE(650),
    [sym_yield_expression] = STATE(1152),
    [sym_binary_expression] = STATE(1152),
    [sym_include_expression] = STATE(1152),
    [sym_include_once_expression] = STATE(1152),
    [sym_require_expression] = STATE(1152),
    [sym_require_once_expression] = STATE(1152),
    [sym__reserved_identifier] = STATE(717),
    [sym__identifier] = STATE(1496),
    [aux_sym_program_repeat1] = STATE(2),
    [aux_sym_class_declaration_repeat1] = STATE(1381),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(212),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym__namespace_use_type_token1] = ACTIONS(222),
    [aux_sym__namespace_use_type_token2] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [anon_sym_LPAREN2] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(264),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(280),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(284),
    [aux_sym_for_statement_token2] = ACTIONS(525),
    [aux_sym_foreach_statement_token1] = ACTIONS(286),
    [aux_sym_if_statement_token1] = ACTIONS(288),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [72] = {
    [sym_text_interpolation] = STATE(72),
    [sym_statement] = STATE(520),
    [sym_empty_statement] = STATE(573),
    [sym_function_static_declaration] = STATE(573),
    [sym_global_declaration] = STATE(573),
    [sym_namespace_definition] = STATE(573),
    [sym_namespace_use_declaration] = STATE(573),
    [sym_qualified_name] = STATE(1000),
    [sym__name] = STATE(1631),
    [sym_namespace_name] = STATE(2575),
    [sym_trait_declaration] = STATE(573),
    [sym_interface_declaration] = STATE(573),
    [sym_enum_declaration] = STATE(573),
    [sym_class_declaration] = STATE(573),
    [sym_final_modifier] = STATE(1335),
    [sym_abstract_modifier] = STATE(1335),
    [sym_readonly_modifier] = STATE(1335),
    [sym_const_declaration] = STATE(573),
    [sym__const_declaration] = STATE(517),
    [sym__modifier] = STATE(1334),
    [sym_static_modifier] = STATE(1468),
    [sym_visibility_modifier] = STATE(1335),
    [sym_function_definition] = STATE(573),
    [sym__function_definition_header] = STATE(2470),
    [sym_anonymous_function] = STATE(1148),
    [sym__anonymous_function_header] = STATE(2489),
    [sym__arrow_function_header] = STATE(2731),
    [sym_arrow_function] = STATE(1148),
    [sym_echo_statement] = STATE(573),
    [sym_exit_statement] = STATE(573),
    [sym_unset_statement] = STATE(573),
    [sym_declare_statement] = STATE(573),
    [sym_literal] = STATE(1148),
    [sym_try_statement] = STATE(573),
    [sym_goto_statement] = STATE(573),
    [sym_continue_statement] = STATE(573),
    [sym_break_statement] = STATE(573),
    [sym_return_statement] = STATE(573),
    [sym_throw_expression] = STATE(1148),
    [sym_while_statement] = STATE(573),
    [sym_do_statement] = STATE(573),
    [sym_for_statement] = STATE(573),
    [sym_foreach_statement] = STATE(573),
    [sym_if_statement] = STATE(573),
    [sym_match_expression] = STATE(1152),
    [sym_switch_statement] = STATE(573),
    [sym_compound_statement] = STATE(573),
    [sym_named_label_statement] = STATE(573),
    [sym_expression_statement] = STATE(573),
    [sym_expression] = STATE(1221),
    [sym__unary_expression] = STATE(1159),
    [sym_unary_op_expression] = STATE(1172),
    [sym_error_suppression_expression] = STATE(1152),
    [sym_clone_expression] = STATE(1172),
    [sym_primary_expression] = STATE(1172),
    [sym_parenthesized_expression] = STATE(964),
    [sym_class_constant_access_expression] = STATE(1019),
    [sym_print_intrinsic] = STATE(1148),
    [sym_object_creation_expression] = STATE(1148),
    [sym__new_non_dereferencable_expression] = STATE(1168),
    [sym__new_dereferencable_expression] = STATE(966),
    [sym_update_expression] = STATE(1148),
    [sym_cast_expression] = STATE(1172),
    [sym_cast_variable] = STATE(661),
    [sym_assignment_expression] = STATE(1152),
    [sym_reference_assignment_expression] = STATE(1152),
    [sym_conditional_expression] = STATE(1152),
    [sym_augmented_assignment_expression] = STATE(1152),
    [sym__variable_member_access_expression] = STATE(674),
    [sym_member_access_expression] = STATE(661),
    [sym__variable_nullsafe_member_access_expression] = STATE(663),
    [sym_nullsafe_member_access_expression] = STATE(661),
    [sym__variable_scoped_property_access_expression] = STATE(664),
    [sym_scoped_property_access_expression] = STATE(661),
    [sym_list_literal] = STATE(2530),
    [sym__list_destructing] = STATE(2405),
    [sym__array_destructing] = STATE(2405),
    [sym_function_call_expression] = STATE(634),
    [sym__callable_expression] = STATE(2471),
    [sym_scoped_call_expression] = STATE(634),
    [sym__scope_resolution_qualifier] = STATE(2651),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(634),
    [sym_nullsafe_member_call_expression] = STATE(634),
    [sym__variable_subscript_expression] = STATE(665),
    [sym__dereferencable_subscript_expression] = STATE(634),
    [sym__dereferencable_expression] = STATE(1946),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(1005),
    [sym_attribute_group] = STATE(1373),
    [sym_attribute_list] = STATE(1356),
    [sym_encapsed_string] = STATE(927),
    [sym_string] = STATE(927),
    [sym_heredoc] = STATE(927),
    [sym_nowdoc] = STATE(927),
    [sym_shell_command_expression] = STATE(1148),
    [sym_boolean] = STATE(1162),
    [sym_null] = STATE(1162),
    [sym__string] = STATE(941),
    [sym_dynamic_variable_name] = STATE(650),
    [sym__simple_variable] = STATE(654),
    [sym__new_variable] = STATE(667),
    [sym__callable_variable] = STATE(629),
    [sym_variable_name] = STATE(650),
    [sym_yield_expression] = STATE(1152),
    [sym_binary_expression] = STATE(1152),
    [sym_include_expression] = STATE(1152),
    [sym_include_once_expression] = STATE(1152),
    [sym_require_expression] = STATE(1152),
    [sym_require_once_expression] = STATE(1152),
    [sym__reserved_identifier] = STATE(717),
    [sym__identifier] = STATE(1496),
    [aux_sym_program_repeat1] = STATE(73),
    [aux_sym_class_declaration_repeat1] = STATE(1381),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(212),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym__namespace_use_type_token1] = ACTIONS(222),
    [aux_sym__namespace_use_type_token2] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [anon_sym_LPAREN2] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(264),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(280),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(284),
    [aux_sym_for_statement_token2] = ACTIONS(527),
    [aux_sym_foreach_statement_token1] = ACTIONS(286),
    [aux_sym_if_statement_token1] = ACTIONS(288),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [73] = {
    [sym_text_interpolation] = STATE(73),
    [sym_statement] = STATE(520),
    [sym_empty_statement] = STATE(573),
    [sym_function_static_declaration] = STATE(573),
    [sym_global_declaration] = STATE(573),
    [sym_namespace_definition] = STATE(573),
    [sym_namespace_use_declaration] = STATE(573),
    [sym_qualified_name] = STATE(1000),
    [sym__name] = STATE(1631),
    [sym_namespace_name] = STATE(2575),
    [sym_trait_declaration] = STATE(573),
    [sym_interface_declaration] = STATE(573),
    [sym_enum_declaration] = STATE(573),
    [sym_class_declaration] = STATE(573),
    [sym_final_modifier] = STATE(1335),
    [sym_abstract_modifier] = STATE(1335),
    [sym_readonly_modifier] = STATE(1335),
    [sym_const_declaration] = STATE(573),
    [sym__const_declaration] = STATE(517),
    [sym__modifier] = STATE(1334),
    [sym_static_modifier] = STATE(1468),
    [sym_visibility_modifier] = STATE(1335),
    [sym_function_definition] = STATE(573),
    [sym__function_definition_header] = STATE(2470),
    [sym_anonymous_function] = STATE(1148),
    [sym__anonymous_function_header] = STATE(2489),
    [sym__arrow_function_header] = STATE(2731),
    [sym_arrow_function] = STATE(1148),
    [sym_echo_statement] = STATE(573),
    [sym_exit_statement] = STATE(573),
    [sym_unset_statement] = STATE(573),
    [sym_declare_statement] = STATE(573),
    [sym_literal] = STATE(1148),
    [sym_try_statement] = STATE(573),
    [sym_goto_statement] = STATE(573),
    [sym_continue_statement] = STATE(573),
    [sym_break_statement] = STATE(573),
    [sym_return_statement] = STATE(573),
    [sym_throw_expression] = STATE(1148),
    [sym_while_statement] = STATE(573),
    [sym_do_statement] = STATE(573),
    [sym_for_statement] = STATE(573),
    [sym_foreach_statement] = STATE(573),
    [sym_if_statement] = STATE(573),
    [sym_match_expression] = STATE(1152),
    [sym_switch_statement] = STATE(573),
    [sym_compound_statement] = STATE(573),
    [sym_named_label_statement] = STATE(573),
    [sym_expression_statement] = STATE(573),
    [sym_expression] = STATE(1221),
    [sym__unary_expression] = STATE(1159),
    [sym_unary_op_expression] = STATE(1172),
    [sym_error_suppression_expression] = STATE(1152),
    [sym_clone_expression] = STATE(1172),
    [sym_primary_expression] = STATE(1172),
    [sym_parenthesized_expression] = STATE(964),
    [sym_class_constant_access_expression] = STATE(1019),
    [sym_print_intrinsic] = STATE(1148),
    [sym_object_creation_expression] = STATE(1148),
    [sym__new_non_dereferencable_expression] = STATE(1168),
    [sym__new_dereferencable_expression] = STATE(966),
    [sym_update_expression] = STATE(1148),
    [sym_cast_expression] = STATE(1172),
    [sym_cast_variable] = STATE(661),
    [sym_assignment_expression] = STATE(1152),
    [sym_reference_assignment_expression] = STATE(1152),
    [sym_conditional_expression] = STATE(1152),
    [sym_augmented_assignment_expression] = STATE(1152),
    [sym__variable_member_access_expression] = STATE(674),
    [sym_member_access_expression] = STATE(661),
    [sym__variable_nullsafe_member_access_expression] = STATE(663),
    [sym_nullsafe_member_access_expression] = STATE(661),
    [sym__variable_scoped_property_access_expression] = STATE(664),
    [sym_scoped_property_access_expression] = STATE(661),
    [sym_list_literal] = STATE(2530),
    [sym__list_destructing] = STATE(2405),
    [sym__array_destructing] = STATE(2405),
    [sym_function_call_expression] = STATE(634),
    [sym__callable_expression] = STATE(2471),
    [sym_scoped_call_expression] = STATE(634),
    [sym__scope_resolution_qualifier] = STATE(2651),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(634),
    [sym_nullsafe_member_call_expression] = STATE(634),
    [sym__variable_subscript_expression] = STATE(665),
    [sym__dereferencable_subscript_expression] = STATE(634),
    [sym__dereferencable_expression] = STATE(1946),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(1005),
    [sym_attribute_group] = STATE(1373),
    [sym_attribute_list] = STATE(1356),
    [sym_encapsed_string] = STATE(927),
    [sym_string] = STATE(927),
    [sym_heredoc] = STATE(927),
    [sym_nowdoc] = STATE(927),
    [sym_shell_command_expression] = STATE(1148),
    [sym_boolean] = STATE(1162),
    [sym_null] = STATE(1162),
    [sym__string] = STATE(941),
    [sym_dynamic_variable_name] = STATE(650),
    [sym__simple_variable] = STATE(654),
    [sym__new_variable] = STATE(667),
    [sym__callable_variable] = STATE(629),
    [sym_variable_name] = STATE(650),
    [sym_yield_expression] = STATE(1152),
    [sym_binary_expression] = STATE(1152),
    [sym_include_expression] = STATE(1152),
    [sym_include_once_expression] = STATE(1152),
    [sym_require_expression] = STATE(1152),
    [sym_require_once_expression] = STATE(1152),
    [sym__reserved_identifier] = STATE(717),
    [sym__identifier] = STATE(1496),
    [aux_sym_program_repeat1] = STATE(2),
    [aux_sym_class_declaration_repeat1] = STATE(1381),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(212),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym__namespace_use_type_token1] = ACTIONS(222),
    [aux_sym__namespace_use_type_token2] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [anon_sym_LPAREN2] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(264),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(280),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(284),
    [aux_sym_for_statement_token2] = ACTIONS(529),
    [aux_sym_foreach_statement_token1] = ACTIONS(286),
    [aux_sym_if_statement_token1] = ACTIONS(288),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [74] = {
    [sym_text_interpolation] = STATE(74),
    [sym_statement] = STATE(2284),
    [sym_empty_statement] = STATE(2140),
    [sym_function_static_declaration] = STATE(2140),
    [sym_global_declaration] = STATE(2140),
    [sym_namespace_definition] = STATE(2140),
    [sym_namespace_use_declaration] = STATE(2140),
    [sym_qualified_name] = STATE(1000),
    [sym__name] = STATE(1631),
    [sym_namespace_name] = STATE(2575),
    [sym_trait_declaration] = STATE(2140),
    [sym_interface_declaration] = STATE(2140),
    [sym_enum_declaration] = STATE(2140),
    [sym_class_declaration] = STATE(2140),
    [sym_final_modifier] = STATE(1335),
    [sym_abstract_modifier] = STATE(1335),
    [sym_readonly_modifier] = STATE(1335),
    [sym_const_declaration] = STATE(2140),
    [sym__const_declaration] = STATE(2141),
    [sym__modifier] = STATE(1334),
    [sym_static_modifier] = STATE(1468),
    [sym_visibility_modifier] = STATE(1335),
    [sym_function_definition] = STATE(2140),
    [sym__function_definition_header] = STATE(2316),
    [sym_anonymous_function] = STATE(1148),
    [sym__anonymous_function_header] = STATE(2489),
    [sym__arrow_function_header] = STATE(2731),
    [sym_arrow_function] = STATE(1148),
    [sym_echo_statement] = STATE(2140),
    [sym_exit_statement] = STATE(2140),
    [sym_unset_statement] = STATE(2140),
    [sym_declare_statement] = STATE(2140),
    [sym_literal] = STATE(1148),
    [sym_try_statement] = STATE(2140),
    [sym_goto_statement] = STATE(2140),
    [sym_continue_statement] = STATE(2140),
    [sym_break_statement] = STATE(2140),
    [sym_return_statement] = STATE(2140),
    [sym_throw_expression] = STATE(1148),
    [sym_while_statement] = STATE(2140),
    [sym_do_statement] = STATE(2140),
    [sym_for_statement] = STATE(2140),
    [sym_foreach_statement] = STATE(2140),
    [sym_if_statement] = STATE(2140),
    [sym_colon_block] = STATE(2510),
    [sym_match_expression] = STATE(1152),
    [sym_switch_statement] = STATE(2140),
    [sym_compound_statement] = STATE(2140),
    [sym_named_label_statement] = STATE(2140),
    [sym_expression_statement] = STATE(2140),
    [sym_expression] = STATE(1234),
    [sym__unary_expression] = STATE(1159),
    [sym_unary_op_expression] = STATE(1172),
    [sym_error_suppression_expression] = STATE(1152),
    [sym_clone_expression] = STATE(1172),
    [sym_primary_expression] = STATE(1172),
    [sym_parenthesized_expression] = STATE(964),
    [sym_class_constant_access_expression] = STATE(1019),
    [sym_print_intrinsic] = STATE(1148),
    [sym_object_creation_expression] = STATE(1148),
    [sym__new_non_dereferencable_expression] = STATE(1168),
    [sym__new_dereferencable_expression] = STATE(966),
    [sym_update_expression] = STATE(1148),
    [sym_cast_expression] = STATE(1172),
    [sym_cast_variable] = STATE(661),
    [sym_assignment_expression] = STATE(1152),
    [sym_reference_assignment_expression] = STATE(1152),
    [sym_conditional_expression] = STATE(1152),
    [sym_augmented_assignment_expression] = STATE(1152),
    [sym__variable_member_access_expression] = STATE(674),
    [sym_member_access_expression] = STATE(661),
    [sym__variable_nullsafe_member_access_expression] = STATE(663),
    [sym_nullsafe_member_access_expression] = STATE(661),
    [sym__variable_scoped_property_access_expression] = STATE(664),
    [sym_scoped_property_access_expression] = STATE(661),
    [sym_list_literal] = STATE(2530),
    [sym__list_destructing] = STATE(2405),
    [sym__array_destructing] = STATE(2405),
    [sym_function_call_expression] = STATE(634),
    [sym__callable_expression] = STATE(2471),
    [sym_scoped_call_expression] = STATE(634),
    [sym__scope_resolution_qualifier] = STATE(2651),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(634),
    [sym_nullsafe_member_call_expression] = STATE(634),
    [sym__variable_subscript_expression] = STATE(665),
    [sym__dereferencable_subscript_expression] = STATE(634),
    [sym__dereferencable_expression] = STATE(1946),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(1005),
    [sym_attribute_group] = STATE(1373),
    [sym_attribute_list] = STATE(1344),
    [sym_encapsed_string] = STATE(927),
    [sym_string] = STATE(927),
    [sym_heredoc] = STATE(927),
    [sym_nowdoc] = STATE(927),
    [sym_shell_command_expression] = STATE(1148),
    [sym_boolean] = STATE(1162),
    [sym_null] = STATE(1162),
    [sym__string] = STATE(941),
    [sym_dynamic_variable_name] = STATE(650),
    [sym__simple_variable] = STATE(654),
    [sym__new_variable] = STATE(667),
    [sym__callable_variable] = STATE(629),
    [sym_variable_name] = STATE(650),
    [sym_yield_expression] = STATE(1152),
    [sym_binary_expression] = STATE(1152),
    [sym_include_expression] = STATE(1152),
    [sym_include_once_expression] = STATE(1152),
    [sym_require_expression] = STATE(1152),
    [sym_require_once_expression] = STATE(1152),
    [sym__reserved_identifier] = STATE(717),
    [sym__identifier] = STATE(1496),
    [aux_sym_class_declaration_repeat1] = STATE(1382),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(362),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(531),
    [aux_sym_function_static_declaration_token1] = ACTIONS(366),
    [aux_sym_global_declaration_token1] = ACTIONS(368),
    [aux_sym_namespace_definition_token1] = ACTIONS(370),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(372),
    [aux_sym__namespace_use_type_token1] = ACTIONS(222),
    [aux_sym__namespace_use_type_token2] = ACTIONS(374),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(376),
    [aux_sym_trait_declaration_token1] = ACTIONS(378),
    [aux_sym_interface_declaration_token1] = ACTIONS(380),
    [aux_sym_enum_declaration_token1] = ACTIONS(382),
    [anon_sym_COLON] = ACTIONS(358),
    [aux_sym_class_declaration_token1] = ACTIONS(384),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [anon_sym_LPAREN2] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(386),
    [aux_sym_exit_statement_token1] = ACTIONS(388),
    [anon_sym_unset] = ACTIONS(390),
    [aux_sym_declare_statement_token1] = ACTIONS(392),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(394),
    [aux_sym_goto_statement_token1] = ACTIONS(396),
    [aux_sym_continue_statement_token1] = ACTIONS(398),
    [aux_sym_break_statement_token1] = ACTIONS(400),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(402),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(404),
    [aux_sym_do_statement_token1] = ACTIONS(406),
    [aux_sym_for_statement_token1] = ACTIONS(408),
    [aux_sym_foreach_statement_token1] = ACTIONS(410),
    [aux_sym_if_statement_token1] = ACTIONS(412),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(414),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [75] = {
    [sym_text_interpolation] = STATE(75),
    [sym_statement] = STATE(1696),
    [sym_empty_statement] = STATE(2140),
    [sym_function_static_declaration] = STATE(2140),
    [sym_global_declaration] = STATE(2140),
    [sym_namespace_definition] = STATE(2140),
    [sym_namespace_use_declaration] = STATE(2140),
    [sym_qualified_name] = STATE(1000),
    [sym__name] = STATE(1631),
    [sym_namespace_name] = STATE(2575),
    [sym_trait_declaration] = STATE(2140),
    [sym_interface_declaration] = STATE(2140),
    [sym_enum_declaration] = STATE(2140),
    [sym_class_declaration] = STATE(2140),
    [sym_final_modifier] = STATE(1335),
    [sym_abstract_modifier] = STATE(1335),
    [sym_readonly_modifier] = STATE(1335),
    [sym_const_declaration] = STATE(2140),
    [sym__const_declaration] = STATE(2141),
    [sym__modifier] = STATE(1334),
    [sym_static_modifier] = STATE(1468),
    [sym_visibility_modifier] = STATE(1335),
    [sym_function_definition] = STATE(2140),
    [sym__function_definition_header] = STATE(2316),
    [sym_anonymous_function] = STATE(1148),
    [sym__anonymous_function_header] = STATE(2489),
    [sym__arrow_function_header] = STATE(2731),
    [sym_arrow_function] = STATE(1148),
    [sym_echo_statement] = STATE(2140),
    [sym_exit_statement] = STATE(2140),
    [sym_unset_statement] = STATE(2140),
    [sym_declare_statement] = STATE(2140),
    [sym_literal] = STATE(1148),
    [sym_try_statement] = STATE(2140),
    [sym_goto_statement] = STATE(2140),
    [sym_continue_statement] = STATE(2140),
    [sym_break_statement] = STATE(2140),
    [sym_return_statement] = STATE(2140),
    [sym_throw_expression] = STATE(1148),
    [sym_while_statement] = STATE(2140),
    [sym_do_statement] = STATE(2140),
    [sym_for_statement] = STATE(2140),
    [sym_foreach_statement] = STATE(2140),
    [sym_if_statement] = STATE(2140),
    [sym_colon_block] = STATE(1637),
    [sym_match_expression] = STATE(1152),
    [sym_switch_statement] = STATE(2140),
    [sym_compound_statement] = STATE(2140),
    [sym_named_label_statement] = STATE(2140),
    [sym_expression_statement] = STATE(2140),
    [sym_expression] = STATE(1234),
    [sym__unary_expression] = STATE(1159),
    [sym_unary_op_expression] = STATE(1172),
    [sym_error_suppression_expression] = STATE(1152),
    [sym_clone_expression] = STATE(1172),
    [sym_primary_expression] = STATE(1172),
    [sym_parenthesized_expression] = STATE(964),
    [sym_class_constant_access_expression] = STATE(1019),
    [sym_print_intrinsic] = STATE(1148),
    [sym_object_creation_expression] = STATE(1148),
    [sym__new_non_dereferencable_expression] = STATE(1168),
    [sym__new_dereferencable_expression] = STATE(966),
    [sym_update_expression] = STATE(1148),
    [sym_cast_expression] = STATE(1172),
    [sym_cast_variable] = STATE(661),
    [sym_assignment_expression] = STATE(1152),
    [sym_reference_assignment_expression] = STATE(1152),
    [sym_conditional_expression] = STATE(1152),
    [sym_augmented_assignment_expression] = STATE(1152),
    [sym__variable_member_access_expression] = STATE(674),
    [sym_member_access_expression] = STATE(661),
    [sym__variable_nullsafe_member_access_expression] = STATE(663),
    [sym_nullsafe_member_access_expression] = STATE(661),
    [sym__variable_scoped_property_access_expression] = STATE(664),
    [sym_scoped_property_access_expression] = STATE(661),
    [sym_list_literal] = STATE(2530),
    [sym__list_destructing] = STATE(2405),
    [sym__array_destructing] = STATE(2405),
    [sym_function_call_expression] = STATE(634),
    [sym__callable_expression] = STATE(2471),
    [sym_scoped_call_expression] = STATE(634),
    [sym__scope_resolution_qualifier] = STATE(2651),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(634),
    [sym_nullsafe_member_call_expression] = STATE(634),
    [sym__variable_subscript_expression] = STATE(665),
    [sym__dereferencable_subscript_expression] = STATE(634),
    [sym__dereferencable_expression] = STATE(1946),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(1005),
    [sym_attribute_group] = STATE(1373),
    [sym_attribute_list] = STATE(1344),
    [sym_encapsed_string] = STATE(927),
    [sym_string] = STATE(927),
    [sym_heredoc] = STATE(927),
    [sym_nowdoc] = STATE(927),
    [sym_shell_command_expression] = STATE(1148),
    [sym_boolean] = STATE(1162),
    [sym_null] = STATE(1162),
    [sym__string] = STATE(941),
    [sym_dynamic_variable_name] = STATE(650),
    [sym__simple_variable] = STATE(654),
    [sym__new_variable] = STATE(667),
    [sym__callable_variable] = STATE(629),
    [sym_variable_name] = STATE(650),
    [sym_yield_expression] = STATE(1152),
    [sym_binary_expression] = STATE(1152),
    [sym_include_expression] = STATE(1152),
    [sym_include_once_expression] = STATE(1152),
    [sym_require_expression] = STATE(1152),
    [sym_require_once_expression] = STATE(1152),
    [sym__reserved_identifier] = STATE(717),
    [sym__identifier] = STATE(1496),
    [aux_sym_class_declaration_repeat1] = STATE(1382),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(362),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(531),
    [aux_sym_function_static_declaration_token1] = ACTIONS(366),
    [aux_sym_global_declaration_token1] = ACTIONS(368),
    [aux_sym_namespace_definition_token1] = ACTIONS(370),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(372),
    [aux_sym__namespace_use_type_token1] = ACTIONS(222),
    [aux_sym__namespace_use_type_token2] = ACTIONS(374),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(376),
    [aux_sym_trait_declaration_token1] = ACTIONS(378),
    [aux_sym_interface_declaration_token1] = ACTIONS(380),
    [aux_sym_enum_declaration_token1] = ACTIONS(382),
    [anon_sym_COLON] = ACTIONS(507),
    [aux_sym_class_declaration_token1] = ACTIONS(384),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [anon_sym_LPAREN2] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(386),
    [aux_sym_exit_statement_token1] = ACTIONS(388),
    [anon_sym_unset] = ACTIONS(390),
    [aux_sym_declare_statement_token1] = ACTIONS(443),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(394),
    [aux_sym_goto_statement_token1] = ACTIONS(396),
    [aux_sym_continue_statement_token1] = ACTIONS(398),
    [aux_sym_break_statement_token1] = ACTIONS(400),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(402),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(445),
    [aux_sym_do_statement_token1] = ACTIONS(406),
    [aux_sym_for_statement_token1] = ACTIONS(447),
    [aux_sym_foreach_statement_token1] = ACTIONS(449),
    [aux_sym_if_statement_token1] = ACTIONS(451),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(414),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [76] = {
    [sym_text_interpolation] = STATE(76),
    [sym_statement] = STATE(520),
    [sym_empty_statement] = STATE(573),
    [sym_function_static_declaration] = STATE(573),
    [sym_global_declaration] = STATE(573),
    [sym_namespace_definition] = STATE(573),
    [sym_namespace_use_declaration] = STATE(573),
    [sym_qualified_name] = STATE(1000),
    [sym__name] = STATE(1631),
    [sym_namespace_name] = STATE(2575),
    [sym_trait_declaration] = STATE(573),
    [sym_interface_declaration] = STATE(573),
    [sym_enum_declaration] = STATE(573),
    [sym_class_declaration] = STATE(573),
    [sym_final_modifier] = STATE(1335),
    [sym_abstract_modifier] = STATE(1335),
    [sym_readonly_modifier] = STATE(1335),
    [sym_const_declaration] = STATE(573),
    [sym__const_declaration] = STATE(517),
    [sym__modifier] = STATE(1334),
    [sym_static_modifier] = STATE(1468),
    [sym_visibility_modifier] = STATE(1335),
    [sym_function_definition] = STATE(573),
    [sym__function_definition_header] = STATE(2470),
    [sym_anonymous_function] = STATE(1148),
    [sym__anonymous_function_header] = STATE(2489),
    [sym__arrow_function_header] = STATE(2731),
    [sym_arrow_function] = STATE(1148),
    [sym_echo_statement] = STATE(573),
    [sym_exit_statement] = STATE(573),
    [sym_unset_statement] = STATE(573),
    [sym_declare_statement] = STATE(573),
    [sym_literal] = STATE(1148),
    [sym_try_statement] = STATE(573),
    [sym_goto_statement] = STATE(573),
    [sym_continue_statement] = STATE(573),
    [sym_break_statement] = STATE(573),
    [sym_return_statement] = STATE(573),
    [sym_throw_expression] = STATE(1148),
    [sym_while_statement] = STATE(573),
    [sym_do_statement] = STATE(573),
    [sym_for_statement] = STATE(573),
    [sym_foreach_statement] = STATE(573),
    [sym_if_statement] = STATE(573),
    [sym_match_expression] = STATE(1152),
    [sym_switch_statement] = STATE(573),
    [sym_compound_statement] = STATE(573),
    [sym_named_label_statement] = STATE(573),
    [sym_expression_statement] = STATE(573),
    [sym_expression] = STATE(1221),
    [sym__unary_expression] = STATE(1159),
    [sym_unary_op_expression] = STATE(1172),
    [sym_error_suppression_expression] = STATE(1152),
    [sym_clone_expression] = STATE(1172),
    [sym_primary_expression] = STATE(1172),
    [sym_parenthesized_expression] = STATE(964),
    [sym_class_constant_access_expression] = STATE(1019),
    [sym_print_intrinsic] = STATE(1148),
    [sym_object_creation_expression] = STATE(1148),
    [sym__new_non_dereferencable_expression] = STATE(1168),
    [sym__new_dereferencable_expression] = STATE(966),
    [sym_update_expression] = STATE(1148),
    [sym_cast_expression] = STATE(1172),
    [sym_cast_variable] = STATE(661),
    [sym_assignment_expression] = STATE(1152),
    [sym_reference_assignment_expression] = STATE(1152),
    [sym_conditional_expression] = STATE(1152),
    [sym_augmented_assignment_expression] = STATE(1152),
    [sym__variable_member_access_expression] = STATE(674),
    [sym_member_access_expression] = STATE(661),
    [sym__variable_nullsafe_member_access_expression] = STATE(663),
    [sym_nullsafe_member_access_expression] = STATE(661),
    [sym__variable_scoped_property_access_expression] = STATE(664),
    [sym_scoped_property_access_expression] = STATE(661),
    [sym_list_literal] = STATE(2530),
    [sym__list_destructing] = STATE(2405),
    [sym__array_destructing] = STATE(2405),
    [sym_function_call_expression] = STATE(634),
    [sym__callable_expression] = STATE(2471),
    [sym_scoped_call_expression] = STATE(634),
    [sym__scope_resolution_qualifier] = STATE(2651),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(634),
    [sym_nullsafe_member_call_expression] = STATE(634),
    [sym__variable_subscript_expression] = STATE(665),
    [sym__dereferencable_subscript_expression] = STATE(634),
    [sym__dereferencable_expression] = STATE(1946),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(1005),
    [sym_attribute_group] = STATE(1373),
    [sym_attribute_list] = STATE(1356),
    [sym_encapsed_string] = STATE(927),
    [sym_string] = STATE(927),
    [sym_heredoc] = STATE(927),
    [sym_nowdoc] = STATE(927),
    [sym_shell_command_expression] = STATE(1148),
    [sym_boolean] = STATE(1162),
    [sym_null] = STATE(1162),
    [sym__string] = STATE(941),
    [sym_dynamic_variable_name] = STATE(650),
    [sym__simple_variable] = STATE(654),
    [sym__new_variable] = STATE(667),
    [sym__callable_variable] = STATE(629),
    [sym_variable_name] = STATE(650),
    [sym_yield_expression] = STATE(1152),
    [sym_binary_expression] = STATE(1152),
    [sym_include_expression] = STATE(1152),
    [sym_include_once_expression] = STATE(1152),
    [sym_require_expression] = STATE(1152),
    [sym_require_once_expression] = STATE(1152),
    [sym__reserved_identifier] = STATE(717),
    [sym__identifier] = STATE(1496),
    [aux_sym_program_repeat1] = STATE(2),
    [aux_sym_class_declaration_repeat1] = STATE(1381),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [ts_builtin_sym_end] = ACTIONS(533),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(212),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym__namespace_use_type_token1] = ACTIONS(222),
    [aux_sym__namespace_use_type_token2] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [anon_sym_LPAREN2] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(264),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(280),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(284),
    [aux_sym_foreach_statement_token1] = ACTIONS(286),
    [aux_sym_if_statement_token1] = ACTIONS(288),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [77] = {
    [sym_text_interpolation] = STATE(77),
    [sym_statement] = STATE(520),
    [sym_empty_statement] = STATE(573),
    [sym_function_static_declaration] = STATE(573),
    [sym_global_declaration] = STATE(573),
    [sym_namespace_definition] = STATE(573),
    [sym_namespace_use_declaration] = STATE(573),
    [sym_qualified_name] = STATE(1000),
    [sym__name] = STATE(1631),
    [sym_namespace_name] = STATE(2575),
    [sym_trait_declaration] = STATE(573),
    [sym_interface_declaration] = STATE(573),
    [sym_enum_declaration] = STATE(573),
    [sym_class_declaration] = STATE(573),
    [sym_final_modifier] = STATE(1335),
    [sym_abstract_modifier] = STATE(1335),
    [sym_readonly_modifier] = STATE(1335),
    [sym_const_declaration] = STATE(573),
    [sym__const_declaration] = STATE(517),
    [sym__modifier] = STATE(1334),
    [sym_static_modifier] = STATE(1468),
    [sym_visibility_modifier] = STATE(1335),
    [sym_function_definition] = STATE(573),
    [sym__function_definition_header] = STATE(2470),
    [sym_anonymous_function] = STATE(1148),
    [sym__anonymous_function_header] = STATE(2489),
    [sym__arrow_function_header] = STATE(2731),
    [sym_arrow_function] = STATE(1148),
    [sym_echo_statement] = STATE(573),
    [sym_exit_statement] = STATE(573),
    [sym_unset_statement] = STATE(573),
    [sym_declare_statement] = STATE(573),
    [sym_literal] = STATE(1148),
    [sym_try_statement] = STATE(573),
    [sym_goto_statement] = STATE(573),
    [sym_continue_statement] = STATE(573),
    [sym_break_statement] = STATE(573),
    [sym_return_statement] = STATE(573),
    [sym_throw_expression] = STATE(1148),
    [sym_while_statement] = STATE(573),
    [sym_do_statement] = STATE(573),
    [sym_for_statement] = STATE(573),
    [sym_foreach_statement] = STATE(573),
    [sym_if_statement] = STATE(573),
    [sym_match_expression] = STATE(1152),
    [sym_switch_statement] = STATE(573),
    [sym_compound_statement] = STATE(573),
    [sym_named_label_statement] = STATE(573),
    [sym_expression_statement] = STATE(573),
    [sym_expression] = STATE(1221),
    [sym__unary_expression] = STATE(1159),
    [sym_unary_op_expression] = STATE(1172),
    [sym_error_suppression_expression] = STATE(1152),
    [sym_clone_expression] = STATE(1172),
    [sym_primary_expression] = STATE(1172),
    [sym_parenthesized_expression] = STATE(964),
    [sym_class_constant_access_expression] = STATE(1019),
    [sym_print_intrinsic] = STATE(1148),
    [sym_object_creation_expression] = STATE(1148),
    [sym__new_non_dereferencable_expression] = STATE(1168),
    [sym__new_dereferencable_expression] = STATE(966),
    [sym_update_expression] = STATE(1148),
    [sym_cast_expression] = STATE(1172),
    [sym_cast_variable] = STATE(661),
    [sym_assignment_expression] = STATE(1152),
    [sym_reference_assignment_expression] = STATE(1152),
    [sym_conditional_expression] = STATE(1152),
    [sym_augmented_assignment_expression] = STATE(1152),
    [sym__variable_member_access_expression] = STATE(674),
    [sym_member_access_expression] = STATE(661),
    [sym__variable_nullsafe_member_access_expression] = STATE(663),
    [sym_nullsafe_member_access_expression] = STATE(661),
    [sym__variable_scoped_property_access_expression] = STATE(664),
    [sym_scoped_property_access_expression] = STATE(661),
    [sym_list_literal] = STATE(2530),
    [sym__list_destructing] = STATE(2405),
    [sym__array_destructing] = STATE(2405),
    [sym_function_call_expression] = STATE(634),
    [sym__callable_expression] = STATE(2471),
    [sym_scoped_call_expression] = STATE(634),
    [sym__scope_resolution_qualifier] = STATE(2651),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(634),
    [sym_nullsafe_member_call_expression] = STATE(634),
    [sym__variable_subscript_expression] = STATE(665),
    [sym__dereferencable_subscript_expression] = STATE(634),
    [sym__dereferencable_expression] = STATE(1946),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(1005),
    [sym_attribute_group] = STATE(1373),
    [sym_attribute_list] = STATE(1356),
    [sym_encapsed_string] = STATE(927),
    [sym_string] = STATE(927),
    [sym_heredoc] = STATE(927),
    [sym_nowdoc] = STATE(927),
    [sym_shell_command_expression] = STATE(1148),
    [sym_boolean] = STATE(1162),
    [sym_null] = STATE(1162),
    [sym__string] = STATE(941),
    [sym_dynamic_variable_name] = STATE(650),
    [sym__simple_variable] = STATE(654),
    [sym__new_variable] = STATE(667),
    [sym__callable_variable] = STATE(629),
    [sym_variable_name] = STATE(650),
    [sym_yield_expression] = STATE(1152),
    [sym_binary_expression] = STATE(1152),
    [sym_include_expression] = STATE(1152),
    [sym_include_once_expression] = STATE(1152),
    [sym_require_expression] = STATE(1152),
    [sym_require_once_expression] = STATE(1152),
    [sym__reserved_identifier] = STATE(717),
    [sym__identifier] = STATE(1496),
    [aux_sym_program_repeat1] = STATE(78),
    [aux_sym_class_declaration_repeat1] = STATE(1381),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(212),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym__namespace_use_type_token1] = ACTIONS(222),
    [aux_sym__namespace_use_type_token2] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [anon_sym_RBRACE] = ACTIONS(535),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [anon_sym_LPAREN2] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(264),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(280),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(284),
    [aux_sym_foreach_statement_token1] = ACTIONS(286),
    [aux_sym_if_statement_token1] = ACTIONS(288),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [78] = {
    [sym_text_interpolation] = STATE(78),
    [sym_statement] = STATE(520),
    [sym_empty_statement] = STATE(573),
    [sym_function_static_declaration] = STATE(573),
    [sym_global_declaration] = STATE(573),
    [sym_namespace_definition] = STATE(573),
    [sym_namespace_use_declaration] = STATE(573),
    [sym_qualified_name] = STATE(1000),
    [sym__name] = STATE(1631),
    [sym_namespace_name] = STATE(2575),
    [sym_trait_declaration] = STATE(573),
    [sym_interface_declaration] = STATE(573),
    [sym_enum_declaration] = STATE(573),
    [sym_class_declaration] = STATE(573),
    [sym_final_modifier] = STATE(1335),
    [sym_abstract_modifier] = STATE(1335),
    [sym_readonly_modifier] = STATE(1335),
    [sym_const_declaration] = STATE(573),
    [sym__const_declaration] = STATE(517),
    [sym__modifier] = STATE(1334),
    [sym_static_modifier] = STATE(1468),
    [sym_visibility_modifier] = STATE(1335),
    [sym_function_definition] = STATE(573),
    [sym__function_definition_header] = STATE(2470),
    [sym_anonymous_function] = STATE(1148),
    [sym__anonymous_function_header] = STATE(2489),
    [sym__arrow_function_header] = STATE(2731),
    [sym_arrow_function] = STATE(1148),
    [sym_echo_statement] = STATE(573),
    [sym_exit_statement] = STATE(573),
    [sym_unset_statement] = STATE(573),
    [sym_declare_statement] = STATE(573),
    [sym_literal] = STATE(1148),
    [sym_try_statement] = STATE(573),
    [sym_goto_statement] = STATE(573),
    [sym_continue_statement] = STATE(573),
    [sym_break_statement] = STATE(573),
    [sym_return_statement] = STATE(573),
    [sym_throw_expression] = STATE(1148),
    [sym_while_statement] = STATE(573),
    [sym_do_statement] = STATE(573),
    [sym_for_statement] = STATE(573),
    [sym_foreach_statement] = STATE(573),
    [sym_if_statement] = STATE(573),
    [sym_match_expression] = STATE(1152),
    [sym_switch_statement] = STATE(573),
    [sym_compound_statement] = STATE(573),
    [sym_named_label_statement] = STATE(573),
    [sym_expression_statement] = STATE(573),
    [sym_expression] = STATE(1221),
    [sym__unary_expression] = STATE(1159),
    [sym_unary_op_expression] = STATE(1172),
    [sym_error_suppression_expression] = STATE(1152),
    [sym_clone_expression] = STATE(1172),
    [sym_primary_expression] = STATE(1172),
    [sym_parenthesized_expression] = STATE(964),
    [sym_class_constant_access_expression] = STATE(1019),
    [sym_print_intrinsic] = STATE(1148),
    [sym_object_creation_expression] = STATE(1148),
    [sym__new_non_dereferencable_expression] = STATE(1168),
    [sym__new_dereferencable_expression] = STATE(966),
    [sym_update_expression] = STATE(1148),
    [sym_cast_expression] = STATE(1172),
    [sym_cast_variable] = STATE(661),
    [sym_assignment_expression] = STATE(1152),
    [sym_reference_assignment_expression] = STATE(1152),
    [sym_conditional_expression] = STATE(1152),
    [sym_augmented_assignment_expression] = STATE(1152),
    [sym__variable_member_access_expression] = STATE(674),
    [sym_member_access_expression] = STATE(661),
    [sym__variable_nullsafe_member_access_expression] = STATE(663),
    [sym_nullsafe_member_access_expression] = STATE(661),
    [sym__variable_scoped_property_access_expression] = STATE(664),
    [sym_scoped_property_access_expression] = STATE(661),
    [sym_list_literal] = STATE(2530),
    [sym__list_destructing] = STATE(2405),
    [sym__array_destructing] = STATE(2405),
    [sym_function_call_expression] = STATE(634),
    [sym__callable_expression] = STATE(2471),
    [sym_scoped_call_expression] = STATE(634),
    [sym__scope_resolution_qualifier] = STATE(2651),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(634),
    [sym_nullsafe_member_call_expression] = STATE(634),
    [sym__variable_subscript_expression] = STATE(665),
    [sym__dereferencable_subscript_expression] = STATE(634),
    [sym__dereferencable_expression] = STATE(1946),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(1005),
    [sym_attribute_group] = STATE(1373),
    [sym_attribute_list] = STATE(1356),
    [sym_encapsed_string] = STATE(927),
    [sym_string] = STATE(927),
    [sym_heredoc] = STATE(927),
    [sym_nowdoc] = STATE(927),
    [sym_shell_command_expression] = STATE(1148),
    [sym_boolean] = STATE(1162),
    [sym_null] = STATE(1162),
    [sym__string] = STATE(941),
    [sym_dynamic_variable_name] = STATE(650),
    [sym__simple_variable] = STATE(654),
    [sym__new_variable] = STATE(667),
    [sym__callable_variable] = STATE(629),
    [sym_variable_name] = STATE(650),
    [sym_yield_expression] = STATE(1152),
    [sym_binary_expression] = STATE(1152),
    [sym_include_expression] = STATE(1152),
    [sym_include_once_expression] = STATE(1152),
    [sym_require_expression] = STATE(1152),
    [sym_require_once_expression] = STATE(1152),
    [sym__reserved_identifier] = STATE(717),
    [sym__identifier] = STATE(1496),
    [aux_sym_program_repeat1] = STATE(2),
    [aux_sym_class_declaration_repeat1] = STATE(1381),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(212),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym__namespace_use_type_token1] = ACTIONS(222),
    [aux_sym__namespace_use_type_token2] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [anon_sym_RBRACE] = ACTIONS(537),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [anon_sym_LPAREN2] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(264),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(280),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(284),
    [aux_sym_foreach_statement_token1] = ACTIONS(286),
    [aux_sym_if_statement_token1] = ACTIONS(288),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [79] = {
    [sym_text_interpolation] = STATE(79),
    [sym_statement] = STATE(447),
    [sym_empty_statement] = STATE(573),
    [sym_function_static_declaration] = STATE(573),
    [sym_global_declaration] = STATE(573),
    [sym_namespace_definition] = STATE(573),
    [sym_namespace_use_declaration] = STATE(573),
    [sym_qualified_name] = STATE(1000),
    [sym__name] = STATE(1631),
    [sym_namespace_name] = STATE(2575),
    [sym_trait_declaration] = STATE(573),
    [sym_interface_declaration] = STATE(573),
    [sym_enum_declaration] = STATE(573),
    [sym_class_declaration] = STATE(573),
    [sym_final_modifier] = STATE(1335),
    [sym_abstract_modifier] = STATE(1335),
    [sym_readonly_modifier] = STATE(1335),
    [sym_const_declaration] = STATE(573),
    [sym__const_declaration] = STATE(517),
    [sym__modifier] = STATE(1334),
    [sym_static_modifier] = STATE(1468),
    [sym_visibility_modifier] = STATE(1335),
    [sym_function_definition] = STATE(573),
    [sym__function_definition_header] = STATE(2470),
    [sym_anonymous_function] = STATE(1148),
    [sym__anonymous_function_header] = STATE(2489),
    [sym__arrow_function_header] = STATE(2731),
    [sym_arrow_function] = STATE(1148),
    [sym_echo_statement] = STATE(573),
    [sym_exit_statement] = STATE(573),
    [sym_unset_statement] = STATE(573),
    [sym_declare_statement] = STATE(573),
    [sym_literal] = STATE(1148),
    [sym_try_statement] = STATE(573),
    [sym_goto_statement] = STATE(573),
    [sym_continue_statement] = STATE(573),
    [sym_break_statement] = STATE(573),
    [sym_return_statement] = STATE(573),
    [sym_throw_expression] = STATE(1148),
    [sym_while_statement] = STATE(573),
    [sym_do_statement] = STATE(573),
    [sym_for_statement] = STATE(573),
    [sym_foreach_statement] = STATE(573),
    [sym_if_statement] = STATE(573),
    [sym_colon_block] = STATE(1620),
    [sym_match_expression] = STATE(1152),
    [sym_switch_statement] = STATE(573),
    [sym_compound_statement] = STATE(573),
    [sym_named_label_statement] = STATE(573),
    [sym_expression_statement] = STATE(573),
    [sym_expression] = STATE(1221),
    [sym__unary_expression] = STATE(1159),
    [sym_unary_op_expression] = STATE(1172),
    [sym_error_suppression_expression] = STATE(1152),
    [sym_clone_expression] = STATE(1172),
    [sym_primary_expression] = STATE(1172),
    [sym_parenthesized_expression] = STATE(964),
    [sym_class_constant_access_expression] = STATE(1019),
    [sym_print_intrinsic] = STATE(1148),
    [sym_object_creation_expression] = STATE(1148),
    [sym__new_non_dereferencable_expression] = STATE(1168),
    [sym__new_dereferencable_expression] = STATE(966),
    [sym_update_expression] = STATE(1148),
    [sym_cast_expression] = STATE(1172),
    [sym_cast_variable] = STATE(661),
    [sym_assignment_expression] = STATE(1152),
    [sym_reference_assignment_expression] = STATE(1152),
    [sym_conditional_expression] = STATE(1152),
    [sym_augmented_assignment_expression] = STATE(1152),
    [sym__variable_member_access_expression] = STATE(674),
    [sym_member_access_expression] = STATE(661),
    [sym__variable_nullsafe_member_access_expression] = STATE(663),
    [sym_nullsafe_member_access_expression] = STATE(661),
    [sym__variable_scoped_property_access_expression] = STATE(664),
    [sym_scoped_property_access_expression] = STATE(661),
    [sym_list_literal] = STATE(2530),
    [sym__list_destructing] = STATE(2405),
    [sym__array_destructing] = STATE(2405),
    [sym_function_call_expression] = STATE(634),
    [sym__callable_expression] = STATE(2471),
    [sym_scoped_call_expression] = STATE(634),
    [sym__scope_resolution_qualifier] = STATE(2651),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(634),
    [sym_nullsafe_member_call_expression] = STATE(634),
    [sym__variable_subscript_expression] = STATE(665),
    [sym__dereferencable_subscript_expression] = STATE(634),
    [sym__dereferencable_expression] = STATE(1946),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(1005),
    [sym_attribute_group] = STATE(1373),
    [sym_attribute_list] = STATE(1356),
    [sym_encapsed_string] = STATE(927),
    [sym_string] = STATE(927),
    [sym_heredoc] = STATE(927),
    [sym_nowdoc] = STATE(927),
    [sym_shell_command_expression] = STATE(1148),
    [sym_boolean] = STATE(1162),
    [sym_null] = STATE(1162),
    [sym__string] = STATE(941),
    [sym_dynamic_variable_name] = STATE(650),
    [sym__simple_variable] = STATE(654),
    [sym__new_variable] = STATE(667),
    [sym__callable_variable] = STATE(629),
    [sym_variable_name] = STATE(650),
    [sym_yield_expression] = STATE(1152),
    [sym_binary_expression] = STATE(1152),
    [sym_include_expression] = STATE(1152),
    [sym_include_once_expression] = STATE(1152),
    [sym_require_expression] = STATE(1152),
    [sym_require_once_expression] = STATE(1152),
    [sym__reserved_identifier] = STATE(717),
    [sym__identifier] = STATE(1496),
    [aux_sym_class_declaration_repeat1] = STATE(1381),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(212),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym__namespace_use_type_token1] = ACTIONS(222),
    [aux_sym__namespace_use_type_token2] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [anon_sym_COLON] = ACTIONS(507),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [anon_sym_LPAREN2] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(433),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(435),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(437),
    [aux_sym_foreach_statement_token1] = ACTIONS(439),
    [aux_sym_if_statement_token1] = ACTIONS(441),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [80] = {
    [sym_text_interpolation] = STATE(80),
    [sym_statement] = STATE(520),
    [sym_empty_statement] = STATE(573),
    [sym_function_static_declaration] = STATE(573),
    [sym_global_declaration] = STATE(573),
    [sym_namespace_definition] = STATE(573),
    [sym_namespace_use_declaration] = STATE(573),
    [sym_qualified_name] = STATE(1000),
    [sym__name] = STATE(1631),
    [sym_namespace_name] = STATE(2575),
    [sym_trait_declaration] = STATE(573),
    [sym_interface_declaration] = STATE(573),
    [sym_enum_declaration] = STATE(573),
    [sym_class_declaration] = STATE(573),
    [sym_final_modifier] = STATE(1335),
    [sym_abstract_modifier] = STATE(1335),
    [sym_readonly_modifier] = STATE(1335),
    [sym_const_declaration] = STATE(573),
    [sym__const_declaration] = STATE(517),
    [sym__modifier] = STATE(1334),
    [sym_static_modifier] = STATE(1468),
    [sym_visibility_modifier] = STATE(1335),
    [sym_function_definition] = STATE(573),
    [sym__function_definition_header] = STATE(2470),
    [sym_anonymous_function] = STATE(1148),
    [sym__anonymous_function_header] = STATE(2489),
    [sym__arrow_function_header] = STATE(2731),
    [sym_arrow_function] = STATE(1148),
    [sym_echo_statement] = STATE(573),
    [sym_exit_statement] = STATE(573),
    [sym_unset_statement] = STATE(573),
    [sym_declare_statement] = STATE(573),
    [sym_literal] = STATE(1148),
    [sym_try_statement] = STATE(573),
    [sym_goto_statement] = STATE(573),
    [sym_continue_statement] = STATE(573),
    [sym_break_statement] = STATE(573),
    [sym_return_statement] = STATE(573),
    [sym_throw_expression] = STATE(1148),
    [sym_while_statement] = STATE(573),
    [sym_do_statement] = STATE(573),
    [sym_for_statement] = STATE(573),
    [sym_foreach_statement] = STATE(573),
    [sym_if_statement] = STATE(573),
    [sym_match_expression] = STATE(1152),
    [sym_switch_statement] = STATE(573),
    [sym_compound_statement] = STATE(573),
    [sym_named_label_statement] = STATE(573),
    [sym_expression_statement] = STATE(573),
    [sym_expression] = STATE(1221),
    [sym__unary_expression] = STATE(1159),
    [sym_unary_op_expression] = STATE(1172),
    [sym_error_suppression_expression] = STATE(1152),
    [sym_clone_expression] = STATE(1172),
    [sym_primary_expression] = STATE(1172),
    [sym_parenthesized_expression] = STATE(964),
    [sym_class_constant_access_expression] = STATE(1019),
    [sym_print_intrinsic] = STATE(1148),
    [sym_object_creation_expression] = STATE(1148),
    [sym__new_non_dereferencable_expression] = STATE(1168),
    [sym__new_dereferencable_expression] = STATE(966),
    [sym_update_expression] = STATE(1148),
    [sym_cast_expression] = STATE(1172),
    [sym_cast_variable] = STATE(661),
    [sym_assignment_expression] = STATE(1152),
    [sym_reference_assignment_expression] = STATE(1152),
    [sym_conditional_expression] = STATE(1152),
    [sym_augmented_assignment_expression] = STATE(1152),
    [sym__variable_member_access_expression] = STATE(674),
    [sym_member_access_expression] = STATE(661),
    [sym__variable_nullsafe_member_access_expression] = STATE(663),
    [sym_nullsafe_member_access_expression] = STATE(661),
    [sym__variable_scoped_property_access_expression] = STATE(664),
    [sym_scoped_property_access_expression] = STATE(661),
    [sym_list_literal] = STATE(2530),
    [sym__list_destructing] = STATE(2405),
    [sym__array_destructing] = STATE(2405),
    [sym_function_call_expression] = STATE(634),
    [sym__callable_expression] = STATE(2471),
    [sym_scoped_call_expression] = STATE(634),
    [sym__scope_resolution_qualifier] = STATE(2651),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(634),
    [sym_nullsafe_member_call_expression] = STATE(634),
    [sym__variable_subscript_expression] = STATE(665),
    [sym__dereferencable_subscript_expression] = STATE(634),
    [sym__dereferencable_expression] = STATE(1946),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(1005),
    [sym_attribute_group] = STATE(1373),
    [sym_attribute_list] = STATE(1356),
    [sym_encapsed_string] = STATE(927),
    [sym_string] = STATE(927),
    [sym_heredoc] = STATE(927),
    [sym_nowdoc] = STATE(927),
    [sym_shell_command_expression] = STATE(1148),
    [sym_boolean] = STATE(1162),
    [sym_null] = STATE(1162),
    [sym__string] = STATE(941),
    [sym_dynamic_variable_name] = STATE(650),
    [sym__simple_variable] = STATE(654),
    [sym__new_variable] = STATE(667),
    [sym__callable_variable] = STATE(629),
    [sym_variable_name] = STATE(650),
    [sym_yield_expression] = STATE(1152),
    [sym_binary_expression] = STATE(1152),
    [sym_include_expression] = STATE(1152),
    [sym_include_once_expression] = STATE(1152),
    [sym_require_expression] = STATE(1152),
    [sym_require_once_expression] = STATE(1152),
    [sym__reserved_identifier] = STATE(717),
    [sym__identifier] = STATE(1496),
    [aux_sym_program_repeat1] = STATE(81),
    [aux_sym_class_declaration_repeat1] = STATE(1381),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(212),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym__namespace_use_type_token1] = ACTIONS(222),
    [aux_sym__namespace_use_type_token2] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [anon_sym_LPAREN2] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(264),
    [aux_sym_declare_statement_token2] = ACTIONS(539),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(280),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(284),
    [aux_sym_foreach_statement_token1] = ACTIONS(286),
    [aux_sym_if_statement_token1] = ACTIONS(288),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [81] = {
    [sym_text_interpolation] = STATE(81),
    [sym_statement] = STATE(520),
    [sym_empty_statement] = STATE(573),
    [sym_function_static_declaration] = STATE(573),
    [sym_global_declaration] = STATE(573),
    [sym_namespace_definition] = STATE(573),
    [sym_namespace_use_declaration] = STATE(573),
    [sym_qualified_name] = STATE(1000),
    [sym__name] = STATE(1631),
    [sym_namespace_name] = STATE(2575),
    [sym_trait_declaration] = STATE(573),
    [sym_interface_declaration] = STATE(573),
    [sym_enum_declaration] = STATE(573),
    [sym_class_declaration] = STATE(573),
    [sym_final_modifier] = STATE(1335),
    [sym_abstract_modifier] = STATE(1335),
    [sym_readonly_modifier] = STATE(1335),
    [sym_const_declaration] = STATE(573),
    [sym__const_declaration] = STATE(517),
    [sym__modifier] = STATE(1334),
    [sym_static_modifier] = STATE(1468),
    [sym_visibility_modifier] = STATE(1335),
    [sym_function_definition] = STATE(573),
    [sym__function_definition_header] = STATE(2470),
    [sym_anonymous_function] = STATE(1148),
    [sym__anonymous_function_header] = STATE(2489),
    [sym__arrow_function_header] = STATE(2731),
    [sym_arrow_function] = STATE(1148),
    [sym_echo_statement] = STATE(573),
    [sym_exit_statement] = STATE(573),
    [sym_unset_statement] = STATE(573),
    [sym_declare_statement] = STATE(573),
    [sym_literal] = STATE(1148),
    [sym_try_statement] = STATE(573),
    [sym_goto_statement] = STATE(573),
    [sym_continue_statement] = STATE(573),
    [sym_break_statement] = STATE(573),
    [sym_return_statement] = STATE(573),
    [sym_throw_expression] = STATE(1148),
    [sym_while_statement] = STATE(573),
    [sym_do_statement] = STATE(573),
    [sym_for_statement] = STATE(573),
    [sym_foreach_statement] = STATE(573),
    [sym_if_statement] = STATE(573),
    [sym_match_expression] = STATE(1152),
    [sym_switch_statement] = STATE(573),
    [sym_compound_statement] = STATE(573),
    [sym_named_label_statement] = STATE(573),
    [sym_expression_statement] = STATE(573),
    [sym_expression] = STATE(1221),
    [sym__unary_expression] = STATE(1159),
    [sym_unary_op_expression] = STATE(1172),
    [sym_error_suppression_expression] = STATE(1152),
    [sym_clone_expression] = STATE(1172),
    [sym_primary_expression] = STATE(1172),
    [sym_parenthesized_expression] = STATE(964),
    [sym_class_constant_access_expression] = STATE(1019),
    [sym_print_intrinsic] = STATE(1148),
    [sym_object_creation_expression] = STATE(1148),
    [sym__new_non_dereferencable_expression] = STATE(1168),
    [sym__new_dereferencable_expression] = STATE(966),
    [sym_update_expression] = STATE(1148),
    [sym_cast_expression] = STATE(1172),
    [sym_cast_variable] = STATE(661),
    [sym_assignment_expression] = STATE(1152),
    [sym_reference_assignment_expression] = STATE(1152),
    [sym_conditional_expression] = STATE(1152),
    [sym_augmented_assignment_expression] = STATE(1152),
    [sym__variable_member_access_expression] = STATE(674),
    [sym_member_access_expression] = STATE(661),
    [sym__variable_nullsafe_member_access_expression] = STATE(663),
    [sym_nullsafe_member_access_expression] = STATE(661),
    [sym__variable_scoped_property_access_expression] = STATE(664),
    [sym_scoped_property_access_expression] = STATE(661),
    [sym_list_literal] = STATE(2530),
    [sym__list_destructing] = STATE(2405),
    [sym__array_destructing] = STATE(2405),
    [sym_function_call_expression] = STATE(634),
    [sym__callable_expression] = STATE(2471),
    [sym_scoped_call_expression] = STATE(634),
    [sym__scope_resolution_qualifier] = STATE(2651),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(634),
    [sym_nullsafe_member_call_expression] = STATE(634),
    [sym__variable_subscript_expression] = STATE(665),
    [sym__dereferencable_subscript_expression] = STATE(634),
    [sym__dereferencable_expression] = STATE(1946),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(1005),
    [sym_attribute_group] = STATE(1373),
    [sym_attribute_list] = STATE(1356),
    [sym_encapsed_string] = STATE(927),
    [sym_string] = STATE(927),
    [sym_heredoc] = STATE(927),
    [sym_nowdoc] = STATE(927),
    [sym_shell_command_expression] = STATE(1148),
    [sym_boolean] = STATE(1162),
    [sym_null] = STATE(1162),
    [sym__string] = STATE(941),
    [sym_dynamic_variable_name] = STATE(650),
    [sym__simple_variable] = STATE(654),
    [sym__new_variable] = STATE(667),
    [sym__callable_variable] = STATE(629),
    [sym_variable_name] = STATE(650),
    [sym_yield_expression] = STATE(1152),
    [sym_binary_expression] = STATE(1152),
    [sym_include_expression] = STATE(1152),
    [sym_include_once_expression] = STATE(1152),
    [sym_require_expression] = STATE(1152),
    [sym_require_once_expression] = STATE(1152),
    [sym__reserved_identifier] = STATE(717),
    [sym__identifier] = STATE(1496),
    [aux_sym_program_repeat1] = STATE(2),
    [aux_sym_class_declaration_repeat1] = STATE(1381),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(212),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym__namespace_use_type_token1] = ACTIONS(222),
    [aux_sym__namespace_use_type_token2] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [anon_sym_LPAREN2] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(264),
    [aux_sym_declare_statement_token2] = ACTIONS(541),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(280),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(284),
    [aux_sym_foreach_statement_token1] = ACTIONS(286),
    [aux_sym_if_statement_token1] = ACTIONS(288),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [82] = {
    [sym_text_interpolation] = STATE(82),
    [sym_statement] = STATE(520),
    [sym_empty_statement] = STATE(573),
    [sym_function_static_declaration] = STATE(573),
    [sym_global_declaration] = STATE(573),
    [sym_namespace_definition] = STATE(573),
    [sym_namespace_use_declaration] = STATE(573),
    [sym_qualified_name] = STATE(1000),
    [sym__name] = STATE(1631),
    [sym_namespace_name] = STATE(2575),
    [sym_trait_declaration] = STATE(573),
    [sym_interface_declaration] = STATE(573),
    [sym_enum_declaration] = STATE(573),
    [sym_class_declaration] = STATE(573),
    [sym_final_modifier] = STATE(1335),
    [sym_abstract_modifier] = STATE(1335),
    [sym_readonly_modifier] = STATE(1335),
    [sym_const_declaration] = STATE(573),
    [sym__const_declaration] = STATE(517),
    [sym__modifier] = STATE(1334),
    [sym_static_modifier] = STATE(1468),
    [sym_visibility_modifier] = STATE(1335),
    [sym_function_definition] = STATE(573),
    [sym__function_definition_header] = STATE(2470),
    [sym_anonymous_function] = STATE(1148),
    [sym__anonymous_function_header] = STATE(2489),
    [sym__arrow_function_header] = STATE(2731),
    [sym_arrow_function] = STATE(1148),
    [sym_echo_statement] = STATE(573),
    [sym_exit_statement] = STATE(573),
    [sym_unset_statement] = STATE(573),
    [sym_declare_statement] = STATE(573),
    [sym_literal] = STATE(1148),
    [sym_try_statement] = STATE(573),
    [sym_goto_statement] = STATE(573),
    [sym_continue_statement] = STATE(573),
    [sym_break_statement] = STATE(573),
    [sym_return_statement] = STATE(573),
    [sym_throw_expression] = STATE(1148),
    [sym_while_statement] = STATE(573),
    [sym_do_statement] = STATE(573),
    [sym_for_statement] = STATE(573),
    [sym_foreach_statement] = STATE(573),
    [sym_if_statement] = STATE(573),
    [sym_match_expression] = STATE(1152),
    [sym_switch_statement] = STATE(573),
    [sym_compound_statement] = STATE(573),
    [sym_named_label_statement] = STATE(573),
    [sym_expression_statement] = STATE(573),
    [sym_expression] = STATE(1221),
    [sym__unary_expression] = STATE(1159),
    [sym_unary_op_expression] = STATE(1172),
    [sym_error_suppression_expression] = STATE(1152),
    [sym_clone_expression] = STATE(1172),
    [sym_primary_expression] = STATE(1172),
    [sym_parenthesized_expression] = STATE(964),
    [sym_class_constant_access_expression] = STATE(1019),
    [sym_print_intrinsic] = STATE(1148),
    [sym_object_creation_expression] = STATE(1148),
    [sym__new_non_dereferencable_expression] = STATE(1168),
    [sym__new_dereferencable_expression] = STATE(966),
    [sym_update_expression] = STATE(1148),
    [sym_cast_expression] = STATE(1172),
    [sym_cast_variable] = STATE(661),
    [sym_assignment_expression] = STATE(1152),
    [sym_reference_assignment_expression] = STATE(1152),
    [sym_conditional_expression] = STATE(1152),
    [sym_augmented_assignment_expression] = STATE(1152),
    [sym__variable_member_access_expression] = STATE(674),
    [sym_member_access_expression] = STATE(661),
    [sym__variable_nullsafe_member_access_expression] = STATE(663),
    [sym_nullsafe_member_access_expression] = STATE(661),
    [sym__variable_scoped_property_access_expression] = STATE(664),
    [sym_scoped_property_access_expression] = STATE(661),
    [sym_list_literal] = STATE(2530),
    [sym__list_destructing] = STATE(2405),
    [sym__array_destructing] = STATE(2405),
    [sym_function_call_expression] = STATE(634),
    [sym__callable_expression] = STATE(2471),
    [sym_scoped_call_expression] = STATE(634),
    [sym__scope_resolution_qualifier] = STATE(2651),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(634),
    [sym_nullsafe_member_call_expression] = STATE(634),
    [sym__variable_subscript_expression] = STATE(665),
    [sym__dereferencable_subscript_expression] = STATE(634),
    [sym__dereferencable_expression] = STATE(1946),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(1005),
    [sym_attribute_group] = STATE(1373),
    [sym_attribute_list] = STATE(1356),
    [sym_encapsed_string] = STATE(927),
    [sym_string] = STATE(927),
    [sym_heredoc] = STATE(927),
    [sym_nowdoc] = STATE(927),
    [sym_shell_command_expression] = STATE(1148),
    [sym_boolean] = STATE(1162),
    [sym_null] = STATE(1162),
    [sym__string] = STATE(941),
    [sym_dynamic_variable_name] = STATE(650),
    [sym__simple_variable] = STATE(654),
    [sym__new_variable] = STATE(667),
    [sym__callable_variable] = STATE(629),
    [sym_variable_name] = STATE(650),
    [sym_yield_expression] = STATE(1152),
    [sym_binary_expression] = STATE(1152),
    [sym_include_expression] = STATE(1152),
    [sym_include_once_expression] = STATE(1152),
    [sym_require_expression] = STATE(1152),
    [sym_require_once_expression] = STATE(1152),
    [sym__reserved_identifier] = STATE(717),
    [sym__identifier] = STATE(1496),
    [aux_sym_program_repeat1] = STATE(83),
    [aux_sym_class_declaration_repeat1] = STATE(1381),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(212),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym__namespace_use_type_token1] = ACTIONS(222),
    [aux_sym__namespace_use_type_token2] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [anon_sym_LPAREN2] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(264),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(280),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(284),
    [aux_sym_for_statement_token2] = ACTIONS(543),
    [aux_sym_foreach_statement_token1] = ACTIONS(286),
    [aux_sym_if_statement_token1] = ACTIONS(288),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [83] = {
    [sym_text_interpolation] = STATE(83),
    [sym_statement] = STATE(520),
    [sym_empty_statement] = STATE(573),
    [sym_function_static_declaration] = STATE(573),
    [sym_global_declaration] = STATE(573),
    [sym_namespace_definition] = STATE(573),
    [sym_namespace_use_declaration] = STATE(573),
    [sym_qualified_name] = STATE(1000),
    [sym__name] = STATE(1631),
    [sym_namespace_name] = STATE(2575),
    [sym_trait_declaration] = STATE(573),
    [sym_interface_declaration] = STATE(573),
    [sym_enum_declaration] = STATE(573),
    [sym_class_declaration] = STATE(573),
    [sym_final_modifier] = STATE(1335),
    [sym_abstract_modifier] = STATE(1335),
    [sym_readonly_modifier] = STATE(1335),
    [sym_const_declaration] = STATE(573),
    [sym__const_declaration] = STATE(517),
    [sym__modifier] = STATE(1334),
    [sym_static_modifier] = STATE(1468),
    [sym_visibility_modifier] = STATE(1335),
    [sym_function_definition] = STATE(573),
    [sym__function_definition_header] = STATE(2470),
    [sym_anonymous_function] = STATE(1148),
    [sym__anonymous_function_header] = STATE(2489),
    [sym__arrow_function_header] = STATE(2731),
    [sym_arrow_function] = STATE(1148),
    [sym_echo_statement] = STATE(573),
    [sym_exit_statement] = STATE(573),
    [sym_unset_statement] = STATE(573),
    [sym_declare_statement] = STATE(573),
    [sym_literal] = STATE(1148),
    [sym_try_statement] = STATE(573),
    [sym_goto_statement] = STATE(573),
    [sym_continue_statement] = STATE(573),
    [sym_break_statement] = STATE(573),
    [sym_return_statement] = STATE(573),
    [sym_throw_expression] = STATE(1148),
    [sym_while_statement] = STATE(573),
    [sym_do_statement] = STATE(573),
    [sym_for_statement] = STATE(573),
    [sym_foreach_statement] = STATE(573),
    [sym_if_statement] = STATE(573),
    [sym_match_expression] = STATE(1152),
    [sym_switch_statement] = STATE(573),
    [sym_compound_statement] = STATE(573),
    [sym_named_label_statement] = STATE(573),
    [sym_expression_statement] = STATE(573),
    [sym_expression] = STATE(1221),
    [sym__unary_expression] = STATE(1159),
    [sym_unary_op_expression] = STATE(1172),
    [sym_error_suppression_expression] = STATE(1152),
    [sym_clone_expression] = STATE(1172),
    [sym_primary_expression] = STATE(1172),
    [sym_parenthesized_expression] = STATE(964),
    [sym_class_constant_access_expression] = STATE(1019),
    [sym_print_intrinsic] = STATE(1148),
    [sym_object_creation_expression] = STATE(1148),
    [sym__new_non_dereferencable_expression] = STATE(1168),
    [sym__new_dereferencable_expression] = STATE(966),
    [sym_update_expression] = STATE(1148),
    [sym_cast_expression] = STATE(1172),
    [sym_cast_variable] = STATE(661),
    [sym_assignment_expression] = STATE(1152),
    [sym_reference_assignment_expression] = STATE(1152),
    [sym_conditional_expression] = STATE(1152),
    [sym_augmented_assignment_expression] = STATE(1152),
    [sym__variable_member_access_expression] = STATE(674),
    [sym_member_access_expression] = STATE(661),
    [sym__variable_nullsafe_member_access_expression] = STATE(663),
    [sym_nullsafe_member_access_expression] = STATE(661),
    [sym__variable_scoped_property_access_expression] = STATE(664),
    [sym_scoped_property_access_expression] = STATE(661),
    [sym_list_literal] = STATE(2530),
    [sym__list_destructing] = STATE(2405),
    [sym__array_destructing] = STATE(2405),
    [sym_function_call_expression] = STATE(634),
    [sym__callable_expression] = STATE(2471),
    [sym_scoped_call_expression] = STATE(634),
    [sym__scope_resolution_qualifier] = STATE(2651),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(634),
    [sym_nullsafe_member_call_expression] = STATE(634),
    [sym__variable_subscript_expression] = STATE(665),
    [sym__dereferencable_subscript_expression] = STATE(634),
    [sym__dereferencable_expression] = STATE(1946),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(1005),
    [sym_attribute_group] = STATE(1373),
    [sym_attribute_list] = STATE(1356),
    [sym_encapsed_string] = STATE(927),
    [sym_string] = STATE(927),
    [sym_heredoc] = STATE(927),
    [sym_nowdoc] = STATE(927),
    [sym_shell_command_expression] = STATE(1148),
    [sym_boolean] = STATE(1162),
    [sym_null] = STATE(1162),
    [sym__string] = STATE(941),
    [sym_dynamic_variable_name] = STATE(650),
    [sym__simple_variable] = STATE(654),
    [sym__new_variable] = STATE(667),
    [sym__callable_variable] = STATE(629),
    [sym_variable_name] = STATE(650),
    [sym_yield_expression] = STATE(1152),
    [sym_binary_expression] = STATE(1152),
    [sym_include_expression] = STATE(1152),
    [sym_include_once_expression] = STATE(1152),
    [sym_require_expression] = STATE(1152),
    [sym_require_once_expression] = STATE(1152),
    [sym__reserved_identifier] = STATE(717),
    [sym__identifier] = STATE(1496),
    [aux_sym_program_repeat1] = STATE(2),
    [aux_sym_class_declaration_repeat1] = STATE(1381),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(212),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym__namespace_use_type_token1] = ACTIONS(222),
    [aux_sym__namespace_use_type_token2] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [anon_sym_LPAREN2] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(264),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(280),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(284),
    [aux_sym_for_statement_token2] = ACTIONS(545),
    [aux_sym_foreach_statement_token1] = ACTIONS(286),
    [aux_sym_if_statement_token1] = ACTIONS(288),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [84] = {
    [sym_text_interpolation] = STATE(84),
    [sym_statement] = STATE(520),
    [sym_empty_statement] = STATE(573),
    [sym_function_static_declaration] = STATE(573),
    [sym_global_declaration] = STATE(573),
    [sym_namespace_definition] = STATE(573),
    [sym_namespace_use_declaration] = STATE(573),
    [sym_qualified_name] = STATE(1000),
    [sym__name] = STATE(1631),
    [sym_namespace_name] = STATE(2575),
    [sym_trait_declaration] = STATE(573),
    [sym_interface_declaration] = STATE(573),
    [sym_enum_declaration] = STATE(573),
    [sym_class_declaration] = STATE(573),
    [sym_final_modifier] = STATE(1335),
    [sym_abstract_modifier] = STATE(1335),
    [sym_readonly_modifier] = STATE(1335),
    [sym_const_declaration] = STATE(573),
    [sym__const_declaration] = STATE(517),
    [sym__modifier] = STATE(1334),
    [sym_static_modifier] = STATE(1468),
    [sym_visibility_modifier] = STATE(1335),
    [sym_function_definition] = STATE(573),
    [sym__function_definition_header] = STATE(2470),
    [sym_anonymous_function] = STATE(1148),
    [sym__anonymous_function_header] = STATE(2489),
    [sym__arrow_function_header] = STATE(2731),
    [sym_arrow_function] = STATE(1148),
    [sym_echo_statement] = STATE(573),
    [sym_exit_statement] = STATE(573),
    [sym_unset_statement] = STATE(573),
    [sym_declare_statement] = STATE(573),
    [sym_literal] = STATE(1148),
    [sym_try_statement] = STATE(573),
    [sym_goto_statement] = STATE(573),
    [sym_continue_statement] = STATE(573),
    [sym_break_statement] = STATE(573),
    [sym_return_statement] = STATE(573),
    [sym_throw_expression] = STATE(1148),
    [sym_while_statement] = STATE(573),
    [sym_do_statement] = STATE(573),
    [sym_for_statement] = STATE(573),
    [sym_foreach_statement] = STATE(573),
    [sym_if_statement] = STATE(573),
    [sym_match_expression] = STATE(1152),
    [sym_switch_statement] = STATE(573),
    [sym_compound_statement] = STATE(573),
    [sym_named_label_statement] = STATE(573),
    [sym_expression_statement] = STATE(573),
    [sym_expression] = STATE(1221),
    [sym__unary_expression] = STATE(1159),
    [sym_unary_op_expression] = STATE(1172),
    [sym_error_suppression_expression] = STATE(1152),
    [sym_clone_expression] = STATE(1172),
    [sym_primary_expression] = STATE(1172),
    [sym_parenthesized_expression] = STATE(964),
    [sym_class_constant_access_expression] = STATE(1019),
    [sym_print_intrinsic] = STATE(1148),
    [sym_object_creation_expression] = STATE(1148),
    [sym__new_non_dereferencable_expression] = STATE(1168),
    [sym__new_dereferencable_expression] = STATE(966),
    [sym_update_expression] = STATE(1148),
    [sym_cast_expression] = STATE(1172),
    [sym_cast_variable] = STATE(661),
    [sym_assignment_expression] = STATE(1152),
    [sym_reference_assignment_expression] = STATE(1152),
    [sym_conditional_expression] = STATE(1152),
    [sym_augmented_assignment_expression] = STATE(1152),
    [sym__variable_member_access_expression] = STATE(674),
    [sym_member_access_expression] = STATE(661),
    [sym__variable_nullsafe_member_access_expression] = STATE(663),
    [sym_nullsafe_member_access_expression] = STATE(661),
    [sym__variable_scoped_property_access_expression] = STATE(664),
    [sym_scoped_property_access_expression] = STATE(661),
    [sym_list_literal] = STATE(2530),
    [sym__list_destructing] = STATE(2405),
    [sym__array_destructing] = STATE(2405),
    [sym_function_call_expression] = STATE(634),
    [sym__callable_expression] = STATE(2471),
    [sym_scoped_call_expression] = STATE(634),
    [sym__scope_resolution_qualifier] = STATE(2651),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(634),
    [sym_nullsafe_member_call_expression] = STATE(634),
    [sym__variable_subscript_expression] = STATE(665),
    [sym__dereferencable_subscript_expression] = STATE(634),
    [sym__dereferencable_expression] = STATE(1946),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(1005),
    [sym_attribute_group] = STATE(1373),
    [sym_attribute_list] = STATE(1356),
    [sym_encapsed_string] = STATE(927),
    [sym_string] = STATE(927),
    [sym_heredoc] = STATE(927),
    [sym_nowdoc] = STATE(927),
    [sym_shell_command_expression] = STATE(1148),
    [sym_boolean] = STATE(1162),
    [sym_null] = STATE(1162),
    [sym__string] = STATE(941),
    [sym_dynamic_variable_name] = STATE(650),
    [sym__simple_variable] = STATE(654),
    [sym__new_variable] = STATE(667),
    [sym__callable_variable] = STATE(629),
    [sym_variable_name] = STATE(650),
    [sym_yield_expression] = STATE(1152),
    [sym_binary_expression] = STATE(1152),
    [sym_include_expression] = STATE(1152),
    [sym_include_once_expression] = STATE(1152),
    [sym_require_expression] = STATE(1152),
    [sym_require_once_expression] = STATE(1152),
    [sym__reserved_identifier] = STATE(717),
    [sym__identifier] = STATE(1496),
    [aux_sym_program_repeat1] = STATE(87),
    [aux_sym_class_declaration_repeat1] = STATE(1381),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(212),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym__namespace_use_type_token1] = ACTIONS(222),
    [aux_sym__namespace_use_type_token2] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [anon_sym_LPAREN2] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(264),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(280),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(284),
    [aux_sym_for_statement_token2] = ACTIONS(547),
    [aux_sym_foreach_statement_token1] = ACTIONS(286),
    [aux_sym_if_statement_token1] = ACTIONS(288),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [85] = {
    [sym_text_interpolation] = STATE(85),
    [sym_statement] = STATE(520),
    [sym_empty_statement] = STATE(573),
    [sym_function_static_declaration] = STATE(573),
    [sym_global_declaration] = STATE(573),
    [sym_namespace_definition] = STATE(573),
    [sym_namespace_use_declaration] = STATE(573),
    [sym_qualified_name] = STATE(1000),
    [sym__name] = STATE(1631),
    [sym_namespace_name] = STATE(2575),
    [sym_trait_declaration] = STATE(573),
    [sym_interface_declaration] = STATE(573),
    [sym_enum_declaration] = STATE(573),
    [sym_class_declaration] = STATE(573),
    [sym_final_modifier] = STATE(1335),
    [sym_abstract_modifier] = STATE(1335),
    [sym_readonly_modifier] = STATE(1335),
    [sym_const_declaration] = STATE(573),
    [sym__const_declaration] = STATE(517),
    [sym__modifier] = STATE(1334),
    [sym_static_modifier] = STATE(1468),
    [sym_visibility_modifier] = STATE(1335),
    [sym_function_definition] = STATE(573),
    [sym__function_definition_header] = STATE(2470),
    [sym_anonymous_function] = STATE(1148),
    [sym__anonymous_function_header] = STATE(2489),
    [sym__arrow_function_header] = STATE(2731),
    [sym_arrow_function] = STATE(1148),
    [sym_echo_statement] = STATE(573),
    [sym_exit_statement] = STATE(573),
    [sym_unset_statement] = STATE(573),
    [sym_declare_statement] = STATE(573),
    [sym_literal] = STATE(1148),
    [sym_try_statement] = STATE(573),
    [sym_goto_statement] = STATE(573),
    [sym_continue_statement] = STATE(573),
    [sym_break_statement] = STATE(573),
    [sym_return_statement] = STATE(573),
    [sym_throw_expression] = STATE(1148),
    [sym_while_statement] = STATE(573),
    [sym_do_statement] = STATE(573),
    [sym_for_statement] = STATE(573),
    [sym_foreach_statement] = STATE(573),
    [sym_if_statement] = STATE(573),
    [sym_match_expression] = STATE(1152),
    [sym_switch_statement] = STATE(573),
    [sym_compound_statement] = STATE(573),
    [sym_named_label_statement] = STATE(573),
    [sym_expression_statement] = STATE(573),
    [sym_expression] = STATE(1221),
    [sym__unary_expression] = STATE(1159),
    [sym_unary_op_expression] = STATE(1172),
    [sym_error_suppression_expression] = STATE(1152),
    [sym_clone_expression] = STATE(1172),
    [sym_primary_expression] = STATE(1172),
    [sym_parenthesized_expression] = STATE(964),
    [sym_class_constant_access_expression] = STATE(1019),
    [sym_print_intrinsic] = STATE(1148),
    [sym_object_creation_expression] = STATE(1148),
    [sym__new_non_dereferencable_expression] = STATE(1168),
    [sym__new_dereferencable_expression] = STATE(966),
    [sym_update_expression] = STATE(1148),
    [sym_cast_expression] = STATE(1172),
    [sym_cast_variable] = STATE(661),
    [sym_assignment_expression] = STATE(1152),
    [sym_reference_assignment_expression] = STATE(1152),
    [sym_conditional_expression] = STATE(1152),
    [sym_augmented_assignment_expression] = STATE(1152),
    [sym__variable_member_access_expression] = STATE(674),
    [sym_member_access_expression] = STATE(661),
    [sym__variable_nullsafe_member_access_expression] = STATE(663),
    [sym_nullsafe_member_access_expression] = STATE(661),
    [sym__variable_scoped_property_access_expression] = STATE(664),
    [sym_scoped_property_access_expression] = STATE(661),
    [sym_list_literal] = STATE(2530),
    [sym__list_destructing] = STATE(2405),
    [sym__array_destructing] = STATE(2405),
    [sym_function_call_expression] = STATE(634),
    [sym__callable_expression] = STATE(2471),
    [sym_scoped_call_expression] = STATE(634),
    [sym__scope_resolution_qualifier] = STATE(2651),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(634),
    [sym_nullsafe_member_call_expression] = STATE(634),
    [sym__variable_subscript_expression] = STATE(665),
    [sym__dereferencable_subscript_expression] = STATE(634),
    [sym__dereferencable_expression] = STATE(1946),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(1005),
    [sym_attribute_group] = STATE(1373),
    [sym_attribute_list] = STATE(1356),
    [sym_encapsed_string] = STATE(927),
    [sym_string] = STATE(927),
    [sym_heredoc] = STATE(927),
    [sym_nowdoc] = STATE(927),
    [sym_shell_command_expression] = STATE(1148),
    [sym_boolean] = STATE(1162),
    [sym_null] = STATE(1162),
    [sym__string] = STATE(941),
    [sym_dynamic_variable_name] = STATE(650),
    [sym__simple_variable] = STATE(654),
    [sym__new_variable] = STATE(667),
    [sym__callable_variable] = STATE(629),
    [sym_variable_name] = STATE(650),
    [sym_yield_expression] = STATE(1152),
    [sym_binary_expression] = STATE(1152),
    [sym_include_expression] = STATE(1152),
    [sym_include_once_expression] = STATE(1152),
    [sym_require_expression] = STATE(1152),
    [sym_require_once_expression] = STATE(1152),
    [sym__reserved_identifier] = STATE(717),
    [sym__identifier] = STATE(1496),
    [aux_sym_program_repeat1] = STATE(88),
    [aux_sym_class_declaration_repeat1] = STATE(1381),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(212),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym__namespace_use_type_token1] = ACTIONS(222),
    [aux_sym__namespace_use_type_token2] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [anon_sym_LPAREN2] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(264),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(280),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(284),
    [aux_sym_for_statement_token2] = ACTIONS(549),
    [aux_sym_foreach_statement_token1] = ACTIONS(286),
    [aux_sym_if_statement_token1] = ACTIONS(288),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [86] = {
    [sym_text_interpolation] = STATE(86),
    [sym_statement] = STATE(520),
    [sym_empty_statement] = STATE(573),
    [sym_function_static_declaration] = STATE(573),
    [sym_global_declaration] = STATE(573),
    [sym_namespace_definition] = STATE(573),
    [sym_namespace_use_declaration] = STATE(573),
    [sym_qualified_name] = STATE(1000),
    [sym__name] = STATE(1631),
    [sym_namespace_name] = STATE(2575),
    [sym_trait_declaration] = STATE(573),
    [sym_interface_declaration] = STATE(573),
    [sym_enum_declaration] = STATE(573),
    [sym_class_declaration] = STATE(573),
    [sym_final_modifier] = STATE(1335),
    [sym_abstract_modifier] = STATE(1335),
    [sym_readonly_modifier] = STATE(1335),
    [sym_const_declaration] = STATE(573),
    [sym__const_declaration] = STATE(517),
    [sym__modifier] = STATE(1334),
    [sym_static_modifier] = STATE(1468),
    [sym_visibility_modifier] = STATE(1335),
    [sym_function_definition] = STATE(573),
    [sym__function_definition_header] = STATE(2470),
    [sym_anonymous_function] = STATE(1148),
    [sym__anonymous_function_header] = STATE(2489),
    [sym__arrow_function_header] = STATE(2731),
    [sym_arrow_function] = STATE(1148),
    [sym_echo_statement] = STATE(573),
    [sym_exit_statement] = STATE(573),
    [sym_unset_statement] = STATE(573),
    [sym_declare_statement] = STATE(573),
    [sym_literal] = STATE(1148),
    [sym_try_statement] = STATE(573),
    [sym_goto_statement] = STATE(573),
    [sym_continue_statement] = STATE(573),
    [sym_break_statement] = STATE(573),
    [sym_return_statement] = STATE(573),
    [sym_throw_expression] = STATE(1148),
    [sym_while_statement] = STATE(573),
    [sym_do_statement] = STATE(573),
    [sym_for_statement] = STATE(573),
    [sym_foreach_statement] = STATE(573),
    [sym_if_statement] = STATE(573),
    [sym_match_expression] = STATE(1152),
    [sym_switch_statement] = STATE(573),
    [sym_compound_statement] = STATE(573),
    [sym_named_label_statement] = STATE(573),
    [sym_expression_statement] = STATE(573),
    [sym_expression] = STATE(1221),
    [sym__unary_expression] = STATE(1159),
    [sym_unary_op_expression] = STATE(1172),
    [sym_error_suppression_expression] = STATE(1152),
    [sym_clone_expression] = STATE(1172),
    [sym_primary_expression] = STATE(1172),
    [sym_parenthesized_expression] = STATE(964),
    [sym_class_constant_access_expression] = STATE(1019),
    [sym_print_intrinsic] = STATE(1148),
    [sym_object_creation_expression] = STATE(1148),
    [sym__new_non_dereferencable_expression] = STATE(1168),
    [sym__new_dereferencable_expression] = STATE(966),
    [sym_update_expression] = STATE(1148),
    [sym_cast_expression] = STATE(1172),
    [sym_cast_variable] = STATE(661),
    [sym_assignment_expression] = STATE(1152),
    [sym_reference_assignment_expression] = STATE(1152),
    [sym_conditional_expression] = STATE(1152),
    [sym_augmented_assignment_expression] = STATE(1152),
    [sym__variable_member_access_expression] = STATE(674),
    [sym_member_access_expression] = STATE(661),
    [sym__variable_nullsafe_member_access_expression] = STATE(663),
    [sym_nullsafe_member_access_expression] = STATE(661),
    [sym__variable_scoped_property_access_expression] = STATE(664),
    [sym_scoped_property_access_expression] = STATE(661),
    [sym_list_literal] = STATE(2530),
    [sym__list_destructing] = STATE(2405),
    [sym__array_destructing] = STATE(2405),
    [sym_function_call_expression] = STATE(634),
    [sym__callable_expression] = STATE(2471),
    [sym_scoped_call_expression] = STATE(634),
    [sym__scope_resolution_qualifier] = STATE(2651),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(634),
    [sym_nullsafe_member_call_expression] = STATE(634),
    [sym__variable_subscript_expression] = STATE(665),
    [sym__dereferencable_subscript_expression] = STATE(634),
    [sym__dereferencable_expression] = STATE(1946),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(1005),
    [sym_attribute_group] = STATE(1373),
    [sym_attribute_list] = STATE(1356),
    [sym_encapsed_string] = STATE(927),
    [sym_string] = STATE(927),
    [sym_heredoc] = STATE(927),
    [sym_nowdoc] = STATE(927),
    [sym_shell_command_expression] = STATE(1148),
    [sym_boolean] = STATE(1162),
    [sym_null] = STATE(1162),
    [sym__string] = STATE(941),
    [sym_dynamic_variable_name] = STATE(650),
    [sym__simple_variable] = STATE(654),
    [sym__new_variable] = STATE(667),
    [sym__callable_variable] = STATE(629),
    [sym_variable_name] = STATE(650),
    [sym_yield_expression] = STATE(1152),
    [sym_binary_expression] = STATE(1152),
    [sym_include_expression] = STATE(1152),
    [sym_include_once_expression] = STATE(1152),
    [sym_require_expression] = STATE(1152),
    [sym_require_once_expression] = STATE(1152),
    [sym__reserved_identifier] = STATE(717),
    [sym__identifier] = STATE(1496),
    [aux_sym_program_repeat1] = STATE(90),
    [aux_sym_class_declaration_repeat1] = STATE(1381),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(212),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym__namespace_use_type_token1] = ACTIONS(222),
    [aux_sym__namespace_use_type_token2] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [anon_sym_LPAREN2] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(264),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(280),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(284),
    [aux_sym_for_statement_token2] = ACTIONS(551),
    [aux_sym_foreach_statement_token1] = ACTIONS(286),
    [aux_sym_if_statement_token1] = ACTIONS(288),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [87] = {
    [sym_text_interpolation] = STATE(87),
    [sym_statement] = STATE(520),
    [sym_empty_statement] = STATE(573),
    [sym_function_static_declaration] = STATE(573),
    [sym_global_declaration] = STATE(573),
    [sym_namespace_definition] = STATE(573),
    [sym_namespace_use_declaration] = STATE(573),
    [sym_qualified_name] = STATE(1000),
    [sym__name] = STATE(1631),
    [sym_namespace_name] = STATE(2575),
    [sym_trait_declaration] = STATE(573),
    [sym_interface_declaration] = STATE(573),
    [sym_enum_declaration] = STATE(573),
    [sym_class_declaration] = STATE(573),
    [sym_final_modifier] = STATE(1335),
    [sym_abstract_modifier] = STATE(1335),
    [sym_readonly_modifier] = STATE(1335),
    [sym_const_declaration] = STATE(573),
    [sym__const_declaration] = STATE(517),
    [sym__modifier] = STATE(1334),
    [sym_static_modifier] = STATE(1468),
    [sym_visibility_modifier] = STATE(1335),
    [sym_function_definition] = STATE(573),
    [sym__function_definition_header] = STATE(2470),
    [sym_anonymous_function] = STATE(1148),
    [sym__anonymous_function_header] = STATE(2489),
    [sym__arrow_function_header] = STATE(2731),
    [sym_arrow_function] = STATE(1148),
    [sym_echo_statement] = STATE(573),
    [sym_exit_statement] = STATE(573),
    [sym_unset_statement] = STATE(573),
    [sym_declare_statement] = STATE(573),
    [sym_literal] = STATE(1148),
    [sym_try_statement] = STATE(573),
    [sym_goto_statement] = STATE(573),
    [sym_continue_statement] = STATE(573),
    [sym_break_statement] = STATE(573),
    [sym_return_statement] = STATE(573),
    [sym_throw_expression] = STATE(1148),
    [sym_while_statement] = STATE(573),
    [sym_do_statement] = STATE(573),
    [sym_for_statement] = STATE(573),
    [sym_foreach_statement] = STATE(573),
    [sym_if_statement] = STATE(573),
    [sym_match_expression] = STATE(1152),
    [sym_switch_statement] = STATE(573),
    [sym_compound_statement] = STATE(573),
    [sym_named_label_statement] = STATE(573),
    [sym_expression_statement] = STATE(573),
    [sym_expression] = STATE(1221),
    [sym__unary_expression] = STATE(1159),
    [sym_unary_op_expression] = STATE(1172),
    [sym_error_suppression_expression] = STATE(1152),
    [sym_clone_expression] = STATE(1172),
    [sym_primary_expression] = STATE(1172),
    [sym_parenthesized_expression] = STATE(964),
    [sym_class_constant_access_expression] = STATE(1019),
    [sym_print_intrinsic] = STATE(1148),
    [sym_object_creation_expression] = STATE(1148),
    [sym__new_non_dereferencable_expression] = STATE(1168),
    [sym__new_dereferencable_expression] = STATE(966),
    [sym_update_expression] = STATE(1148),
    [sym_cast_expression] = STATE(1172),
    [sym_cast_variable] = STATE(661),
    [sym_assignment_expression] = STATE(1152),
    [sym_reference_assignment_expression] = STATE(1152),
    [sym_conditional_expression] = STATE(1152),
    [sym_augmented_assignment_expression] = STATE(1152),
    [sym__variable_member_access_expression] = STATE(674),
    [sym_member_access_expression] = STATE(661),
    [sym__variable_nullsafe_member_access_expression] = STATE(663),
    [sym_nullsafe_member_access_expression] = STATE(661),
    [sym__variable_scoped_property_access_expression] = STATE(664),
    [sym_scoped_property_access_expression] = STATE(661),
    [sym_list_literal] = STATE(2530),
    [sym__list_destructing] = STATE(2405),
    [sym__array_destructing] = STATE(2405),
    [sym_function_call_expression] = STATE(634),
    [sym__callable_expression] = STATE(2471),
    [sym_scoped_call_expression] = STATE(634),
    [sym__scope_resolution_qualifier] = STATE(2651),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(634),
    [sym_nullsafe_member_call_expression] = STATE(634),
    [sym__variable_subscript_expression] = STATE(665),
    [sym__dereferencable_subscript_expression] = STATE(634),
    [sym__dereferencable_expression] = STATE(1946),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(1005),
    [sym_attribute_group] = STATE(1373),
    [sym_attribute_list] = STATE(1356),
    [sym_encapsed_string] = STATE(927),
    [sym_string] = STATE(927),
    [sym_heredoc] = STATE(927),
    [sym_nowdoc] = STATE(927),
    [sym_shell_command_expression] = STATE(1148),
    [sym_boolean] = STATE(1162),
    [sym_null] = STATE(1162),
    [sym__string] = STATE(941),
    [sym_dynamic_variable_name] = STATE(650),
    [sym__simple_variable] = STATE(654),
    [sym__new_variable] = STATE(667),
    [sym__callable_variable] = STATE(629),
    [sym_variable_name] = STATE(650),
    [sym_yield_expression] = STATE(1152),
    [sym_binary_expression] = STATE(1152),
    [sym_include_expression] = STATE(1152),
    [sym_include_once_expression] = STATE(1152),
    [sym_require_expression] = STATE(1152),
    [sym_require_once_expression] = STATE(1152),
    [sym__reserved_identifier] = STATE(717),
    [sym__identifier] = STATE(1496),
    [aux_sym_program_repeat1] = STATE(2),
    [aux_sym_class_declaration_repeat1] = STATE(1381),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(212),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym__namespace_use_type_token1] = ACTIONS(222),
    [aux_sym__namespace_use_type_token2] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [anon_sym_LPAREN2] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(264),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(280),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(284),
    [aux_sym_for_statement_token2] = ACTIONS(553),
    [aux_sym_foreach_statement_token1] = ACTIONS(286),
    [aux_sym_if_statement_token1] = ACTIONS(288),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [88] = {
    [sym_text_interpolation] = STATE(88),
    [sym_statement] = STATE(520),
    [sym_empty_statement] = STATE(573),
    [sym_function_static_declaration] = STATE(573),
    [sym_global_declaration] = STATE(573),
    [sym_namespace_definition] = STATE(573),
    [sym_namespace_use_declaration] = STATE(573),
    [sym_qualified_name] = STATE(1000),
    [sym__name] = STATE(1631),
    [sym_namespace_name] = STATE(2575),
    [sym_trait_declaration] = STATE(573),
    [sym_interface_declaration] = STATE(573),
    [sym_enum_declaration] = STATE(573),
    [sym_class_declaration] = STATE(573),
    [sym_final_modifier] = STATE(1335),
    [sym_abstract_modifier] = STATE(1335),
    [sym_readonly_modifier] = STATE(1335),
    [sym_const_declaration] = STATE(573),
    [sym__const_declaration] = STATE(517),
    [sym__modifier] = STATE(1334),
    [sym_static_modifier] = STATE(1468),
    [sym_visibility_modifier] = STATE(1335),
    [sym_function_definition] = STATE(573),
    [sym__function_definition_header] = STATE(2470),
    [sym_anonymous_function] = STATE(1148),
    [sym__anonymous_function_header] = STATE(2489),
    [sym__arrow_function_header] = STATE(2731),
    [sym_arrow_function] = STATE(1148),
    [sym_echo_statement] = STATE(573),
    [sym_exit_statement] = STATE(573),
    [sym_unset_statement] = STATE(573),
    [sym_declare_statement] = STATE(573),
    [sym_literal] = STATE(1148),
    [sym_try_statement] = STATE(573),
    [sym_goto_statement] = STATE(573),
    [sym_continue_statement] = STATE(573),
    [sym_break_statement] = STATE(573),
    [sym_return_statement] = STATE(573),
    [sym_throw_expression] = STATE(1148),
    [sym_while_statement] = STATE(573),
    [sym_do_statement] = STATE(573),
    [sym_for_statement] = STATE(573),
    [sym_foreach_statement] = STATE(573),
    [sym_if_statement] = STATE(573),
    [sym_match_expression] = STATE(1152),
    [sym_switch_statement] = STATE(573),
    [sym_compound_statement] = STATE(573),
    [sym_named_label_statement] = STATE(573),
    [sym_expression_statement] = STATE(573),
    [sym_expression] = STATE(1221),
    [sym__unary_expression] = STATE(1159),
    [sym_unary_op_expression] = STATE(1172),
    [sym_error_suppression_expression] = STATE(1152),
    [sym_clone_expression] = STATE(1172),
    [sym_primary_expression] = STATE(1172),
    [sym_parenthesized_expression] = STATE(964),
    [sym_class_constant_access_expression] = STATE(1019),
    [sym_print_intrinsic] = STATE(1148),
    [sym_object_creation_expression] = STATE(1148),
    [sym__new_non_dereferencable_expression] = STATE(1168),
    [sym__new_dereferencable_expression] = STATE(966),
    [sym_update_expression] = STATE(1148),
    [sym_cast_expression] = STATE(1172),
    [sym_cast_variable] = STATE(661),
    [sym_assignment_expression] = STATE(1152),
    [sym_reference_assignment_expression] = STATE(1152),
    [sym_conditional_expression] = STATE(1152),
    [sym_augmented_assignment_expression] = STATE(1152),
    [sym__variable_member_access_expression] = STATE(674),
    [sym_member_access_expression] = STATE(661),
    [sym__variable_nullsafe_member_access_expression] = STATE(663),
    [sym_nullsafe_member_access_expression] = STATE(661),
    [sym__variable_scoped_property_access_expression] = STATE(664),
    [sym_scoped_property_access_expression] = STATE(661),
    [sym_list_literal] = STATE(2530),
    [sym__list_destructing] = STATE(2405),
    [sym__array_destructing] = STATE(2405),
    [sym_function_call_expression] = STATE(634),
    [sym__callable_expression] = STATE(2471),
    [sym_scoped_call_expression] = STATE(634),
    [sym__scope_resolution_qualifier] = STATE(2651),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(634),
    [sym_nullsafe_member_call_expression] = STATE(634),
    [sym__variable_subscript_expression] = STATE(665),
    [sym__dereferencable_subscript_expression] = STATE(634),
    [sym__dereferencable_expression] = STATE(1946),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(1005),
    [sym_attribute_group] = STATE(1373),
    [sym_attribute_list] = STATE(1356),
    [sym_encapsed_string] = STATE(927),
    [sym_string] = STATE(927),
    [sym_heredoc] = STATE(927),
    [sym_nowdoc] = STATE(927),
    [sym_shell_command_expression] = STATE(1148),
    [sym_boolean] = STATE(1162),
    [sym_null] = STATE(1162),
    [sym__string] = STATE(941),
    [sym_dynamic_variable_name] = STATE(650),
    [sym__simple_variable] = STATE(654),
    [sym__new_variable] = STATE(667),
    [sym__callable_variable] = STATE(629),
    [sym_variable_name] = STATE(650),
    [sym_yield_expression] = STATE(1152),
    [sym_binary_expression] = STATE(1152),
    [sym_include_expression] = STATE(1152),
    [sym_include_once_expression] = STATE(1152),
    [sym_require_expression] = STATE(1152),
    [sym_require_once_expression] = STATE(1152),
    [sym__reserved_identifier] = STATE(717),
    [sym__identifier] = STATE(1496),
    [aux_sym_program_repeat1] = STATE(2),
    [aux_sym_class_declaration_repeat1] = STATE(1381),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(212),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym__namespace_use_type_token1] = ACTIONS(222),
    [aux_sym__namespace_use_type_token2] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [anon_sym_LPAREN2] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(264),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(280),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(284),
    [aux_sym_for_statement_token2] = ACTIONS(555),
    [aux_sym_foreach_statement_token1] = ACTIONS(286),
    [aux_sym_if_statement_token1] = ACTIONS(288),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [89] = {
    [sym_text_interpolation] = STATE(89),
    [sym_statement] = STATE(520),
    [sym_empty_statement] = STATE(573),
    [sym_function_static_declaration] = STATE(573),
    [sym_global_declaration] = STATE(573),
    [sym_namespace_definition] = STATE(573),
    [sym_namespace_use_declaration] = STATE(573),
    [sym_qualified_name] = STATE(1000),
    [sym__name] = STATE(1631),
    [sym_namespace_name] = STATE(2575),
    [sym_trait_declaration] = STATE(573),
    [sym_interface_declaration] = STATE(573),
    [sym_enum_declaration] = STATE(573),
    [sym_class_declaration] = STATE(573),
    [sym_final_modifier] = STATE(1335),
    [sym_abstract_modifier] = STATE(1335),
    [sym_readonly_modifier] = STATE(1335),
    [sym_const_declaration] = STATE(573),
    [sym__const_declaration] = STATE(517),
    [sym__modifier] = STATE(1334),
    [sym_static_modifier] = STATE(1468),
    [sym_visibility_modifier] = STATE(1335),
    [sym_function_definition] = STATE(573),
    [sym__function_definition_header] = STATE(2470),
    [sym_anonymous_function] = STATE(1148),
    [sym__anonymous_function_header] = STATE(2489),
    [sym__arrow_function_header] = STATE(2731),
    [sym_arrow_function] = STATE(1148),
    [sym_echo_statement] = STATE(573),
    [sym_exit_statement] = STATE(573),
    [sym_unset_statement] = STATE(573),
    [sym_declare_statement] = STATE(573),
    [sym_literal] = STATE(1148),
    [sym_try_statement] = STATE(573),
    [sym_goto_statement] = STATE(573),
    [sym_continue_statement] = STATE(573),
    [sym_break_statement] = STATE(573),
    [sym_return_statement] = STATE(573),
    [sym_throw_expression] = STATE(1148),
    [sym_while_statement] = STATE(573),
    [sym_do_statement] = STATE(573),
    [sym_for_statement] = STATE(573),
    [sym_foreach_statement] = STATE(573),
    [sym_if_statement] = STATE(573),
    [sym_match_expression] = STATE(1152),
    [sym_switch_statement] = STATE(573),
    [sym_compound_statement] = STATE(573),
    [sym_named_label_statement] = STATE(573),
    [sym_expression_statement] = STATE(573),
    [sym_expression] = STATE(1221),
    [sym__unary_expression] = STATE(1159),
    [sym_unary_op_expression] = STATE(1172),
    [sym_error_suppression_expression] = STATE(1152),
    [sym_clone_expression] = STATE(1172),
    [sym_primary_expression] = STATE(1172),
    [sym_parenthesized_expression] = STATE(964),
    [sym_class_constant_access_expression] = STATE(1019),
    [sym_print_intrinsic] = STATE(1148),
    [sym_object_creation_expression] = STATE(1148),
    [sym__new_non_dereferencable_expression] = STATE(1168),
    [sym__new_dereferencable_expression] = STATE(966),
    [sym_update_expression] = STATE(1148),
    [sym_cast_expression] = STATE(1172),
    [sym_cast_variable] = STATE(661),
    [sym_assignment_expression] = STATE(1152),
    [sym_reference_assignment_expression] = STATE(1152),
    [sym_conditional_expression] = STATE(1152),
    [sym_augmented_assignment_expression] = STATE(1152),
    [sym__variable_member_access_expression] = STATE(674),
    [sym_member_access_expression] = STATE(661),
    [sym__variable_nullsafe_member_access_expression] = STATE(663),
    [sym_nullsafe_member_access_expression] = STATE(661),
    [sym__variable_scoped_property_access_expression] = STATE(664),
    [sym_scoped_property_access_expression] = STATE(661),
    [sym_list_literal] = STATE(2530),
    [sym__list_destructing] = STATE(2405),
    [sym__array_destructing] = STATE(2405),
    [sym_function_call_expression] = STATE(634),
    [sym__callable_expression] = STATE(2471),
    [sym_scoped_call_expression] = STATE(634),
    [sym__scope_resolution_qualifier] = STATE(2651),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(634),
    [sym_nullsafe_member_call_expression] = STATE(634),
    [sym__variable_subscript_expression] = STATE(665),
    [sym__dereferencable_subscript_expression] = STATE(634),
    [sym__dereferencable_expression] = STATE(1946),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(1005),
    [sym_attribute_group] = STATE(1373),
    [sym_attribute_list] = STATE(1356),
    [sym_encapsed_string] = STATE(927),
    [sym_string] = STATE(927),
    [sym_heredoc] = STATE(927),
    [sym_nowdoc] = STATE(927),
    [sym_shell_command_expression] = STATE(1148),
    [sym_boolean] = STATE(1162),
    [sym_null] = STATE(1162),
    [sym__string] = STATE(941),
    [sym_dynamic_variable_name] = STATE(650),
    [sym__simple_variable] = STATE(654),
    [sym__new_variable] = STATE(667),
    [sym__callable_variable] = STATE(629),
    [sym_variable_name] = STATE(650),
    [sym_yield_expression] = STATE(1152),
    [sym_binary_expression] = STATE(1152),
    [sym_include_expression] = STATE(1152),
    [sym_include_once_expression] = STATE(1152),
    [sym_require_expression] = STATE(1152),
    [sym_require_once_expression] = STATE(1152),
    [sym__reserved_identifier] = STATE(717),
    [sym__identifier] = STATE(1496),
    [aux_sym_program_repeat1] = STATE(93),
    [aux_sym_class_declaration_repeat1] = STATE(1381),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(212),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym__namespace_use_type_token1] = ACTIONS(222),
    [aux_sym__namespace_use_type_token2] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [anon_sym_LPAREN2] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(264),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(280),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(284),
    [aux_sym_for_statement_token2] = ACTIONS(557),
    [aux_sym_foreach_statement_token1] = ACTIONS(286),
    [aux_sym_if_statement_token1] = ACTIONS(288),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [90] = {
    [sym_text_interpolation] = STATE(90),
    [sym_statement] = STATE(520),
    [sym_empty_statement] = STATE(573),
    [sym_function_static_declaration] = STATE(573),
    [sym_global_declaration] = STATE(573),
    [sym_namespace_definition] = STATE(573),
    [sym_namespace_use_declaration] = STATE(573),
    [sym_qualified_name] = STATE(1000),
    [sym__name] = STATE(1631),
    [sym_namespace_name] = STATE(2575),
    [sym_trait_declaration] = STATE(573),
    [sym_interface_declaration] = STATE(573),
    [sym_enum_declaration] = STATE(573),
    [sym_class_declaration] = STATE(573),
    [sym_final_modifier] = STATE(1335),
    [sym_abstract_modifier] = STATE(1335),
    [sym_readonly_modifier] = STATE(1335),
    [sym_const_declaration] = STATE(573),
    [sym__const_declaration] = STATE(517),
    [sym__modifier] = STATE(1334),
    [sym_static_modifier] = STATE(1468),
    [sym_visibility_modifier] = STATE(1335),
    [sym_function_definition] = STATE(573),
    [sym__function_definition_header] = STATE(2470),
    [sym_anonymous_function] = STATE(1148),
    [sym__anonymous_function_header] = STATE(2489),
    [sym__arrow_function_header] = STATE(2731),
    [sym_arrow_function] = STATE(1148),
    [sym_echo_statement] = STATE(573),
    [sym_exit_statement] = STATE(573),
    [sym_unset_statement] = STATE(573),
    [sym_declare_statement] = STATE(573),
    [sym_literal] = STATE(1148),
    [sym_try_statement] = STATE(573),
    [sym_goto_statement] = STATE(573),
    [sym_continue_statement] = STATE(573),
    [sym_break_statement] = STATE(573),
    [sym_return_statement] = STATE(573),
    [sym_throw_expression] = STATE(1148),
    [sym_while_statement] = STATE(573),
    [sym_do_statement] = STATE(573),
    [sym_for_statement] = STATE(573),
    [sym_foreach_statement] = STATE(573),
    [sym_if_statement] = STATE(573),
    [sym_match_expression] = STATE(1152),
    [sym_switch_statement] = STATE(573),
    [sym_compound_statement] = STATE(573),
    [sym_named_label_statement] = STATE(573),
    [sym_expression_statement] = STATE(573),
    [sym_expression] = STATE(1221),
    [sym__unary_expression] = STATE(1159),
    [sym_unary_op_expression] = STATE(1172),
    [sym_error_suppression_expression] = STATE(1152),
    [sym_clone_expression] = STATE(1172),
    [sym_primary_expression] = STATE(1172),
    [sym_parenthesized_expression] = STATE(964),
    [sym_class_constant_access_expression] = STATE(1019),
    [sym_print_intrinsic] = STATE(1148),
    [sym_object_creation_expression] = STATE(1148),
    [sym__new_non_dereferencable_expression] = STATE(1168),
    [sym__new_dereferencable_expression] = STATE(966),
    [sym_update_expression] = STATE(1148),
    [sym_cast_expression] = STATE(1172),
    [sym_cast_variable] = STATE(661),
    [sym_assignment_expression] = STATE(1152),
    [sym_reference_assignment_expression] = STATE(1152),
    [sym_conditional_expression] = STATE(1152),
    [sym_augmented_assignment_expression] = STATE(1152),
    [sym__variable_member_access_expression] = STATE(674),
    [sym_member_access_expression] = STATE(661),
    [sym__variable_nullsafe_member_access_expression] = STATE(663),
    [sym_nullsafe_member_access_expression] = STATE(661),
    [sym__variable_scoped_property_access_expression] = STATE(664),
    [sym_scoped_property_access_expression] = STATE(661),
    [sym_list_literal] = STATE(2530),
    [sym__list_destructing] = STATE(2405),
    [sym__array_destructing] = STATE(2405),
    [sym_function_call_expression] = STATE(634),
    [sym__callable_expression] = STATE(2471),
    [sym_scoped_call_expression] = STATE(634),
    [sym__scope_resolution_qualifier] = STATE(2651),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(634),
    [sym_nullsafe_member_call_expression] = STATE(634),
    [sym__variable_subscript_expression] = STATE(665),
    [sym__dereferencable_subscript_expression] = STATE(634),
    [sym__dereferencable_expression] = STATE(1946),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(1005),
    [sym_attribute_group] = STATE(1373),
    [sym_attribute_list] = STATE(1356),
    [sym_encapsed_string] = STATE(927),
    [sym_string] = STATE(927),
    [sym_heredoc] = STATE(927),
    [sym_nowdoc] = STATE(927),
    [sym_shell_command_expression] = STATE(1148),
    [sym_boolean] = STATE(1162),
    [sym_null] = STATE(1162),
    [sym__string] = STATE(941),
    [sym_dynamic_variable_name] = STATE(650),
    [sym__simple_variable] = STATE(654),
    [sym__new_variable] = STATE(667),
    [sym__callable_variable] = STATE(629),
    [sym_variable_name] = STATE(650),
    [sym_yield_expression] = STATE(1152),
    [sym_binary_expression] = STATE(1152),
    [sym_include_expression] = STATE(1152),
    [sym_include_once_expression] = STATE(1152),
    [sym_require_expression] = STATE(1152),
    [sym_require_once_expression] = STATE(1152),
    [sym__reserved_identifier] = STATE(717),
    [sym__identifier] = STATE(1496),
    [aux_sym_program_repeat1] = STATE(2),
    [aux_sym_class_declaration_repeat1] = STATE(1381),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(212),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym__namespace_use_type_token1] = ACTIONS(222),
    [aux_sym__namespace_use_type_token2] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [anon_sym_LPAREN2] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(264),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(280),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(284),
    [aux_sym_for_statement_token2] = ACTIONS(559),
    [aux_sym_foreach_statement_token1] = ACTIONS(286),
    [aux_sym_if_statement_token1] = ACTIONS(288),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [91] = {
    [sym_text_interpolation] = STATE(91),
    [sym_statement] = STATE(520),
    [sym_empty_statement] = STATE(573),
    [sym_function_static_declaration] = STATE(573),
    [sym_global_declaration] = STATE(573),
    [sym_namespace_definition] = STATE(573),
    [sym_namespace_use_declaration] = STATE(573),
    [sym_qualified_name] = STATE(1000),
    [sym__name] = STATE(1631),
    [sym_namespace_name] = STATE(2575),
    [sym_trait_declaration] = STATE(573),
    [sym_interface_declaration] = STATE(573),
    [sym_enum_declaration] = STATE(573),
    [sym_class_declaration] = STATE(573),
    [sym_final_modifier] = STATE(1335),
    [sym_abstract_modifier] = STATE(1335),
    [sym_readonly_modifier] = STATE(1335),
    [sym_const_declaration] = STATE(573),
    [sym__const_declaration] = STATE(517),
    [sym__modifier] = STATE(1334),
    [sym_static_modifier] = STATE(1468),
    [sym_visibility_modifier] = STATE(1335),
    [sym_function_definition] = STATE(573),
    [sym__function_definition_header] = STATE(2470),
    [sym_anonymous_function] = STATE(1148),
    [sym__anonymous_function_header] = STATE(2489),
    [sym__arrow_function_header] = STATE(2731),
    [sym_arrow_function] = STATE(1148),
    [sym_echo_statement] = STATE(573),
    [sym_exit_statement] = STATE(573),
    [sym_unset_statement] = STATE(573),
    [sym_declare_statement] = STATE(573),
    [sym_literal] = STATE(1148),
    [sym_try_statement] = STATE(573),
    [sym_goto_statement] = STATE(573),
    [sym_continue_statement] = STATE(573),
    [sym_break_statement] = STATE(573),
    [sym_return_statement] = STATE(573),
    [sym_throw_expression] = STATE(1148),
    [sym_while_statement] = STATE(573),
    [sym_do_statement] = STATE(573),
    [sym_for_statement] = STATE(573),
    [sym_foreach_statement] = STATE(573),
    [sym_if_statement] = STATE(573),
    [sym_match_expression] = STATE(1152),
    [sym_switch_statement] = STATE(573),
    [sym_compound_statement] = STATE(573),
    [sym_named_label_statement] = STATE(573),
    [sym_expression_statement] = STATE(573),
    [sym_expression] = STATE(1221),
    [sym__unary_expression] = STATE(1159),
    [sym_unary_op_expression] = STATE(1172),
    [sym_error_suppression_expression] = STATE(1152),
    [sym_clone_expression] = STATE(1172),
    [sym_primary_expression] = STATE(1172),
    [sym_parenthesized_expression] = STATE(964),
    [sym_class_constant_access_expression] = STATE(1019),
    [sym_print_intrinsic] = STATE(1148),
    [sym_object_creation_expression] = STATE(1148),
    [sym__new_non_dereferencable_expression] = STATE(1168),
    [sym__new_dereferencable_expression] = STATE(966),
    [sym_update_expression] = STATE(1148),
    [sym_cast_expression] = STATE(1172),
    [sym_cast_variable] = STATE(661),
    [sym_assignment_expression] = STATE(1152),
    [sym_reference_assignment_expression] = STATE(1152),
    [sym_conditional_expression] = STATE(1152),
    [sym_augmented_assignment_expression] = STATE(1152),
    [sym__variable_member_access_expression] = STATE(674),
    [sym_member_access_expression] = STATE(661),
    [sym__variable_nullsafe_member_access_expression] = STATE(663),
    [sym_nullsafe_member_access_expression] = STATE(661),
    [sym__variable_scoped_property_access_expression] = STATE(664),
    [sym_scoped_property_access_expression] = STATE(661),
    [sym_list_literal] = STATE(2530),
    [sym__list_destructing] = STATE(2405),
    [sym__array_destructing] = STATE(2405),
    [sym_function_call_expression] = STATE(634),
    [sym__callable_expression] = STATE(2471),
    [sym_scoped_call_expression] = STATE(634),
    [sym__scope_resolution_qualifier] = STATE(2651),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(634),
    [sym_nullsafe_member_call_expression] = STATE(634),
    [sym__variable_subscript_expression] = STATE(665),
    [sym__dereferencable_subscript_expression] = STATE(634),
    [sym__dereferencable_expression] = STATE(1946),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(1005),
    [sym_attribute_group] = STATE(1373),
    [sym_attribute_list] = STATE(1356),
    [sym_encapsed_string] = STATE(927),
    [sym_string] = STATE(927),
    [sym_heredoc] = STATE(927),
    [sym_nowdoc] = STATE(927),
    [sym_shell_command_expression] = STATE(1148),
    [sym_boolean] = STATE(1162),
    [sym_null] = STATE(1162),
    [sym__string] = STATE(941),
    [sym_dynamic_variable_name] = STATE(650),
    [sym__simple_variable] = STATE(654),
    [sym__new_variable] = STATE(667),
    [sym__callable_variable] = STATE(629),
    [sym_variable_name] = STATE(650),
    [sym_yield_expression] = STATE(1152),
    [sym_binary_expression] = STATE(1152),
    [sym_include_expression] = STATE(1152),
    [sym_include_once_expression] = STATE(1152),
    [sym_require_expression] = STATE(1152),
    [sym_require_once_expression] = STATE(1152),
    [sym__reserved_identifier] = STATE(717),
    [sym__identifier] = STATE(1496),
    [aux_sym_program_repeat1] = STATE(94),
    [aux_sym_class_declaration_repeat1] = STATE(1381),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(212),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym__namespace_use_type_token1] = ACTIONS(222),
    [aux_sym__namespace_use_type_token2] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [anon_sym_LPAREN2] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(264),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(280),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(284),
    [aux_sym_for_statement_token2] = ACTIONS(561),
    [aux_sym_foreach_statement_token1] = ACTIONS(286),
    [aux_sym_if_statement_token1] = ACTIONS(288),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [92] = {
    [sym_text_interpolation] = STATE(92),
    [sym_statement] = STATE(520),
    [sym_empty_statement] = STATE(573),
    [sym_function_static_declaration] = STATE(573),
    [sym_global_declaration] = STATE(573),
    [sym_namespace_definition] = STATE(573),
    [sym_namespace_use_declaration] = STATE(573),
    [sym_qualified_name] = STATE(1000),
    [sym__name] = STATE(1631),
    [sym_namespace_name] = STATE(2575),
    [sym_trait_declaration] = STATE(573),
    [sym_interface_declaration] = STATE(573),
    [sym_enum_declaration] = STATE(573),
    [sym_class_declaration] = STATE(573),
    [sym_final_modifier] = STATE(1335),
    [sym_abstract_modifier] = STATE(1335),
    [sym_readonly_modifier] = STATE(1335),
    [sym_const_declaration] = STATE(573),
    [sym__const_declaration] = STATE(517),
    [sym__modifier] = STATE(1334),
    [sym_static_modifier] = STATE(1468),
    [sym_visibility_modifier] = STATE(1335),
    [sym_function_definition] = STATE(573),
    [sym__function_definition_header] = STATE(2470),
    [sym_anonymous_function] = STATE(1148),
    [sym__anonymous_function_header] = STATE(2489),
    [sym__arrow_function_header] = STATE(2731),
    [sym_arrow_function] = STATE(1148),
    [sym_echo_statement] = STATE(573),
    [sym_exit_statement] = STATE(573),
    [sym_unset_statement] = STATE(573),
    [sym_declare_statement] = STATE(573),
    [sym_literal] = STATE(1148),
    [sym_try_statement] = STATE(573),
    [sym_goto_statement] = STATE(573),
    [sym_continue_statement] = STATE(573),
    [sym_break_statement] = STATE(573),
    [sym_return_statement] = STATE(573),
    [sym_throw_expression] = STATE(1148),
    [sym_while_statement] = STATE(573),
    [sym_do_statement] = STATE(573),
    [sym_for_statement] = STATE(573),
    [sym_foreach_statement] = STATE(573),
    [sym_if_statement] = STATE(573),
    [sym_match_expression] = STATE(1152),
    [sym_switch_statement] = STATE(573),
    [sym_compound_statement] = STATE(573),
    [sym_named_label_statement] = STATE(573),
    [sym_expression_statement] = STATE(573),
    [sym_expression] = STATE(1221),
    [sym__unary_expression] = STATE(1159),
    [sym_unary_op_expression] = STATE(1172),
    [sym_error_suppression_expression] = STATE(1152),
    [sym_clone_expression] = STATE(1172),
    [sym_primary_expression] = STATE(1172),
    [sym_parenthesized_expression] = STATE(964),
    [sym_class_constant_access_expression] = STATE(1019),
    [sym_print_intrinsic] = STATE(1148),
    [sym_object_creation_expression] = STATE(1148),
    [sym__new_non_dereferencable_expression] = STATE(1168),
    [sym__new_dereferencable_expression] = STATE(966),
    [sym_update_expression] = STATE(1148),
    [sym_cast_expression] = STATE(1172),
    [sym_cast_variable] = STATE(661),
    [sym_assignment_expression] = STATE(1152),
    [sym_reference_assignment_expression] = STATE(1152),
    [sym_conditional_expression] = STATE(1152),
    [sym_augmented_assignment_expression] = STATE(1152),
    [sym__variable_member_access_expression] = STATE(674),
    [sym_member_access_expression] = STATE(661),
    [sym__variable_nullsafe_member_access_expression] = STATE(663),
    [sym_nullsafe_member_access_expression] = STATE(661),
    [sym__variable_scoped_property_access_expression] = STATE(664),
    [sym_scoped_property_access_expression] = STATE(661),
    [sym_list_literal] = STATE(2530),
    [sym__list_destructing] = STATE(2405),
    [sym__array_destructing] = STATE(2405),
    [sym_function_call_expression] = STATE(634),
    [sym__callable_expression] = STATE(2471),
    [sym_scoped_call_expression] = STATE(634),
    [sym__scope_resolution_qualifier] = STATE(2651),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(634),
    [sym_nullsafe_member_call_expression] = STATE(634),
    [sym__variable_subscript_expression] = STATE(665),
    [sym__dereferencable_subscript_expression] = STATE(634),
    [sym__dereferencable_expression] = STATE(1946),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(1005),
    [sym_attribute_group] = STATE(1373),
    [sym_attribute_list] = STATE(1356),
    [sym_encapsed_string] = STATE(927),
    [sym_string] = STATE(927),
    [sym_heredoc] = STATE(927),
    [sym_nowdoc] = STATE(927),
    [sym_shell_command_expression] = STATE(1148),
    [sym_boolean] = STATE(1162),
    [sym_null] = STATE(1162),
    [sym__string] = STATE(941),
    [sym_dynamic_variable_name] = STATE(650),
    [sym__simple_variable] = STATE(654),
    [sym__new_variable] = STATE(667),
    [sym__callable_variable] = STATE(629),
    [sym_variable_name] = STATE(650),
    [sym_yield_expression] = STATE(1152),
    [sym_binary_expression] = STATE(1152),
    [sym_include_expression] = STATE(1152),
    [sym_include_once_expression] = STATE(1152),
    [sym_require_expression] = STATE(1152),
    [sym_require_once_expression] = STATE(1152),
    [sym__reserved_identifier] = STATE(717),
    [sym__identifier] = STATE(1496),
    [aux_sym_program_repeat1] = STATE(95),
    [aux_sym_class_declaration_repeat1] = STATE(1381),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(212),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym__namespace_use_type_token1] = ACTIONS(222),
    [aux_sym__namespace_use_type_token2] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [anon_sym_LPAREN2] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(264),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(280),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(284),
    [aux_sym_for_statement_token2] = ACTIONS(563),
    [aux_sym_foreach_statement_token1] = ACTIONS(286),
    [aux_sym_if_statement_token1] = ACTIONS(288),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [93] = {
    [sym_text_interpolation] = STATE(93),
    [sym_statement] = STATE(520),
    [sym_empty_statement] = STATE(573),
    [sym_function_static_declaration] = STATE(573),
    [sym_global_declaration] = STATE(573),
    [sym_namespace_definition] = STATE(573),
    [sym_namespace_use_declaration] = STATE(573),
    [sym_qualified_name] = STATE(1000),
    [sym__name] = STATE(1631),
    [sym_namespace_name] = STATE(2575),
    [sym_trait_declaration] = STATE(573),
    [sym_interface_declaration] = STATE(573),
    [sym_enum_declaration] = STATE(573),
    [sym_class_declaration] = STATE(573),
    [sym_final_modifier] = STATE(1335),
    [sym_abstract_modifier] = STATE(1335),
    [sym_readonly_modifier] = STATE(1335),
    [sym_const_declaration] = STATE(573),
    [sym__const_declaration] = STATE(517),
    [sym__modifier] = STATE(1334),
    [sym_static_modifier] = STATE(1468),
    [sym_visibility_modifier] = STATE(1335),
    [sym_function_definition] = STATE(573),
    [sym__function_definition_header] = STATE(2470),
    [sym_anonymous_function] = STATE(1148),
    [sym__anonymous_function_header] = STATE(2489),
    [sym__arrow_function_header] = STATE(2731),
    [sym_arrow_function] = STATE(1148),
    [sym_echo_statement] = STATE(573),
    [sym_exit_statement] = STATE(573),
    [sym_unset_statement] = STATE(573),
    [sym_declare_statement] = STATE(573),
    [sym_literal] = STATE(1148),
    [sym_try_statement] = STATE(573),
    [sym_goto_statement] = STATE(573),
    [sym_continue_statement] = STATE(573),
    [sym_break_statement] = STATE(573),
    [sym_return_statement] = STATE(573),
    [sym_throw_expression] = STATE(1148),
    [sym_while_statement] = STATE(573),
    [sym_do_statement] = STATE(573),
    [sym_for_statement] = STATE(573),
    [sym_foreach_statement] = STATE(573),
    [sym_if_statement] = STATE(573),
    [sym_match_expression] = STATE(1152),
    [sym_switch_statement] = STATE(573),
    [sym_compound_statement] = STATE(573),
    [sym_named_label_statement] = STATE(573),
    [sym_expression_statement] = STATE(573),
    [sym_expression] = STATE(1221),
    [sym__unary_expression] = STATE(1159),
    [sym_unary_op_expression] = STATE(1172),
    [sym_error_suppression_expression] = STATE(1152),
    [sym_clone_expression] = STATE(1172),
    [sym_primary_expression] = STATE(1172),
    [sym_parenthesized_expression] = STATE(964),
    [sym_class_constant_access_expression] = STATE(1019),
    [sym_print_intrinsic] = STATE(1148),
    [sym_object_creation_expression] = STATE(1148),
    [sym__new_non_dereferencable_expression] = STATE(1168),
    [sym__new_dereferencable_expression] = STATE(966),
    [sym_update_expression] = STATE(1148),
    [sym_cast_expression] = STATE(1172),
    [sym_cast_variable] = STATE(661),
    [sym_assignment_expression] = STATE(1152),
    [sym_reference_assignment_expression] = STATE(1152),
    [sym_conditional_expression] = STATE(1152),
    [sym_augmented_assignment_expression] = STATE(1152),
    [sym__variable_member_access_expression] = STATE(674),
    [sym_member_access_expression] = STATE(661),
    [sym__variable_nullsafe_member_access_expression] = STATE(663),
    [sym_nullsafe_member_access_expression] = STATE(661),
    [sym__variable_scoped_property_access_expression] = STATE(664),
    [sym_scoped_property_access_expression] = STATE(661),
    [sym_list_literal] = STATE(2530),
    [sym__list_destructing] = STATE(2405),
    [sym__array_destructing] = STATE(2405),
    [sym_function_call_expression] = STATE(634),
    [sym__callable_expression] = STATE(2471),
    [sym_scoped_call_expression] = STATE(634),
    [sym__scope_resolution_qualifier] = STATE(2651),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(634),
    [sym_nullsafe_member_call_expression] = STATE(634),
    [sym__variable_subscript_expression] = STATE(665),
    [sym__dereferencable_subscript_expression] = STATE(634),
    [sym__dereferencable_expression] = STATE(1946),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(1005),
    [sym_attribute_group] = STATE(1373),
    [sym_attribute_list] = STATE(1356),
    [sym_encapsed_string] = STATE(927),
    [sym_string] = STATE(927),
    [sym_heredoc] = STATE(927),
    [sym_nowdoc] = STATE(927),
    [sym_shell_command_expression] = STATE(1148),
    [sym_boolean] = STATE(1162),
    [sym_null] = STATE(1162),
    [sym__string] = STATE(941),
    [sym_dynamic_variable_name] = STATE(650),
    [sym__simple_variable] = STATE(654),
    [sym__new_variable] = STATE(667),
    [sym__callable_variable] = STATE(629),
    [sym_variable_name] = STATE(650),
    [sym_yield_expression] = STATE(1152),
    [sym_binary_expression] = STATE(1152),
    [sym_include_expression] = STATE(1152),
    [sym_include_once_expression] = STATE(1152),
    [sym_require_expression] = STATE(1152),
    [sym_require_once_expression] = STATE(1152),
    [sym__reserved_identifier] = STATE(717),
    [sym__identifier] = STATE(1496),
    [aux_sym_program_repeat1] = STATE(2),
    [aux_sym_class_declaration_repeat1] = STATE(1381),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(212),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym__namespace_use_type_token1] = ACTIONS(222),
    [aux_sym__namespace_use_type_token2] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [anon_sym_LPAREN2] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(264),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(280),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(284),
    [aux_sym_for_statement_token2] = ACTIONS(565),
    [aux_sym_foreach_statement_token1] = ACTIONS(286),
    [aux_sym_if_statement_token1] = ACTIONS(288),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [94] = {
    [sym_text_interpolation] = STATE(94),
    [sym_statement] = STATE(520),
    [sym_empty_statement] = STATE(573),
    [sym_function_static_declaration] = STATE(573),
    [sym_global_declaration] = STATE(573),
    [sym_namespace_definition] = STATE(573),
    [sym_namespace_use_declaration] = STATE(573),
    [sym_qualified_name] = STATE(1000),
    [sym__name] = STATE(1631),
    [sym_namespace_name] = STATE(2575),
    [sym_trait_declaration] = STATE(573),
    [sym_interface_declaration] = STATE(573),
    [sym_enum_declaration] = STATE(573),
    [sym_class_declaration] = STATE(573),
    [sym_final_modifier] = STATE(1335),
    [sym_abstract_modifier] = STATE(1335),
    [sym_readonly_modifier] = STATE(1335),
    [sym_const_declaration] = STATE(573),
    [sym__const_declaration] = STATE(517),
    [sym__modifier] = STATE(1334),
    [sym_static_modifier] = STATE(1468),
    [sym_visibility_modifier] = STATE(1335),
    [sym_function_definition] = STATE(573),
    [sym__function_definition_header] = STATE(2470),
    [sym_anonymous_function] = STATE(1148),
    [sym__anonymous_function_header] = STATE(2489),
    [sym__arrow_function_header] = STATE(2731),
    [sym_arrow_function] = STATE(1148),
    [sym_echo_statement] = STATE(573),
    [sym_exit_statement] = STATE(573),
    [sym_unset_statement] = STATE(573),
    [sym_declare_statement] = STATE(573),
    [sym_literal] = STATE(1148),
    [sym_try_statement] = STATE(573),
    [sym_goto_statement] = STATE(573),
    [sym_continue_statement] = STATE(573),
    [sym_break_statement] = STATE(573),
    [sym_return_statement] = STATE(573),
    [sym_throw_expression] = STATE(1148),
    [sym_while_statement] = STATE(573),
    [sym_do_statement] = STATE(573),
    [sym_for_statement] = STATE(573),
    [sym_foreach_statement] = STATE(573),
    [sym_if_statement] = STATE(573),
    [sym_match_expression] = STATE(1152),
    [sym_switch_statement] = STATE(573),
    [sym_compound_statement] = STATE(573),
    [sym_named_label_statement] = STATE(573),
    [sym_expression_statement] = STATE(573),
    [sym_expression] = STATE(1221),
    [sym__unary_expression] = STATE(1159),
    [sym_unary_op_expression] = STATE(1172),
    [sym_error_suppression_expression] = STATE(1152),
    [sym_clone_expression] = STATE(1172),
    [sym_primary_expression] = STATE(1172),
    [sym_parenthesized_expression] = STATE(964),
    [sym_class_constant_access_expression] = STATE(1019),
    [sym_print_intrinsic] = STATE(1148),
    [sym_object_creation_expression] = STATE(1148),
    [sym__new_non_dereferencable_expression] = STATE(1168),
    [sym__new_dereferencable_expression] = STATE(966),
    [sym_update_expression] = STATE(1148),
    [sym_cast_expression] = STATE(1172),
    [sym_cast_variable] = STATE(661),
    [sym_assignment_expression] = STATE(1152),
    [sym_reference_assignment_expression] = STATE(1152),
    [sym_conditional_expression] = STATE(1152),
    [sym_augmented_assignment_expression] = STATE(1152),
    [sym__variable_member_access_expression] = STATE(674),
    [sym_member_access_expression] = STATE(661),
    [sym__variable_nullsafe_member_access_expression] = STATE(663),
    [sym_nullsafe_member_access_expression] = STATE(661),
    [sym__variable_scoped_property_access_expression] = STATE(664),
    [sym_scoped_property_access_expression] = STATE(661),
    [sym_list_literal] = STATE(2530),
    [sym__list_destructing] = STATE(2405),
    [sym__array_destructing] = STATE(2405),
    [sym_function_call_expression] = STATE(634),
    [sym__callable_expression] = STATE(2471),
    [sym_scoped_call_expression] = STATE(634),
    [sym__scope_resolution_qualifier] = STATE(2651),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(634),
    [sym_nullsafe_member_call_expression] = STATE(634),
    [sym__variable_subscript_expression] = STATE(665),
    [sym__dereferencable_subscript_expression] = STATE(634),
    [sym__dereferencable_expression] = STATE(1946),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(1005),
    [sym_attribute_group] = STATE(1373),
    [sym_attribute_list] = STATE(1356),
    [sym_encapsed_string] = STATE(927),
    [sym_string] = STATE(927),
    [sym_heredoc] = STATE(927),
    [sym_nowdoc] = STATE(927),
    [sym_shell_command_expression] = STATE(1148),
    [sym_boolean] = STATE(1162),
    [sym_null] = STATE(1162),
    [sym__string] = STATE(941),
    [sym_dynamic_variable_name] = STATE(650),
    [sym__simple_variable] = STATE(654),
    [sym__new_variable] = STATE(667),
    [sym__callable_variable] = STATE(629),
    [sym_variable_name] = STATE(650),
    [sym_yield_expression] = STATE(1152),
    [sym_binary_expression] = STATE(1152),
    [sym_include_expression] = STATE(1152),
    [sym_include_once_expression] = STATE(1152),
    [sym_require_expression] = STATE(1152),
    [sym_require_once_expression] = STATE(1152),
    [sym__reserved_identifier] = STATE(717),
    [sym__identifier] = STATE(1496),
    [aux_sym_program_repeat1] = STATE(2),
    [aux_sym_class_declaration_repeat1] = STATE(1381),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(212),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym__namespace_use_type_token1] = ACTIONS(222),
    [aux_sym__namespace_use_type_token2] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [anon_sym_LPAREN2] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(264),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(280),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(284),
    [aux_sym_for_statement_token2] = ACTIONS(567),
    [aux_sym_foreach_statement_token1] = ACTIONS(286),
    [aux_sym_if_statement_token1] = ACTIONS(288),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [95] = {
    [sym_text_interpolation] = STATE(95),
    [sym_statement] = STATE(520),
    [sym_empty_statement] = STATE(573),
    [sym_function_static_declaration] = STATE(573),
    [sym_global_declaration] = STATE(573),
    [sym_namespace_definition] = STATE(573),
    [sym_namespace_use_declaration] = STATE(573),
    [sym_qualified_name] = STATE(1000),
    [sym__name] = STATE(1631),
    [sym_namespace_name] = STATE(2575),
    [sym_trait_declaration] = STATE(573),
    [sym_interface_declaration] = STATE(573),
    [sym_enum_declaration] = STATE(573),
    [sym_class_declaration] = STATE(573),
    [sym_final_modifier] = STATE(1335),
    [sym_abstract_modifier] = STATE(1335),
    [sym_readonly_modifier] = STATE(1335),
    [sym_const_declaration] = STATE(573),
    [sym__const_declaration] = STATE(517),
    [sym__modifier] = STATE(1334),
    [sym_static_modifier] = STATE(1468),
    [sym_visibility_modifier] = STATE(1335),
    [sym_function_definition] = STATE(573),
    [sym__function_definition_header] = STATE(2470),
    [sym_anonymous_function] = STATE(1148),
    [sym__anonymous_function_header] = STATE(2489),
    [sym__arrow_function_header] = STATE(2731),
    [sym_arrow_function] = STATE(1148),
    [sym_echo_statement] = STATE(573),
    [sym_exit_statement] = STATE(573),
    [sym_unset_statement] = STATE(573),
    [sym_declare_statement] = STATE(573),
    [sym_literal] = STATE(1148),
    [sym_try_statement] = STATE(573),
    [sym_goto_statement] = STATE(573),
    [sym_continue_statement] = STATE(573),
    [sym_break_statement] = STATE(573),
    [sym_return_statement] = STATE(573),
    [sym_throw_expression] = STATE(1148),
    [sym_while_statement] = STATE(573),
    [sym_do_statement] = STATE(573),
    [sym_for_statement] = STATE(573),
    [sym_foreach_statement] = STATE(573),
    [sym_if_statement] = STATE(573),
    [sym_match_expression] = STATE(1152),
    [sym_switch_statement] = STATE(573),
    [sym_compound_statement] = STATE(573),
    [sym_named_label_statement] = STATE(573),
    [sym_expression_statement] = STATE(573),
    [sym_expression] = STATE(1221),
    [sym__unary_expression] = STATE(1159),
    [sym_unary_op_expression] = STATE(1172),
    [sym_error_suppression_expression] = STATE(1152),
    [sym_clone_expression] = STATE(1172),
    [sym_primary_expression] = STATE(1172),
    [sym_parenthesized_expression] = STATE(964),
    [sym_class_constant_access_expression] = STATE(1019),
    [sym_print_intrinsic] = STATE(1148),
    [sym_object_creation_expression] = STATE(1148),
    [sym__new_non_dereferencable_expression] = STATE(1168),
    [sym__new_dereferencable_expression] = STATE(966),
    [sym_update_expression] = STATE(1148),
    [sym_cast_expression] = STATE(1172),
    [sym_cast_variable] = STATE(661),
    [sym_assignment_expression] = STATE(1152),
    [sym_reference_assignment_expression] = STATE(1152),
    [sym_conditional_expression] = STATE(1152),
    [sym_augmented_assignment_expression] = STATE(1152),
    [sym__variable_member_access_expression] = STATE(674),
    [sym_member_access_expression] = STATE(661),
    [sym__variable_nullsafe_member_access_expression] = STATE(663),
    [sym_nullsafe_member_access_expression] = STATE(661),
    [sym__variable_scoped_property_access_expression] = STATE(664),
    [sym_scoped_property_access_expression] = STATE(661),
    [sym_list_literal] = STATE(2530),
    [sym__list_destructing] = STATE(2405),
    [sym__array_destructing] = STATE(2405),
    [sym_function_call_expression] = STATE(634),
    [sym__callable_expression] = STATE(2471),
    [sym_scoped_call_expression] = STATE(634),
    [sym__scope_resolution_qualifier] = STATE(2651),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(634),
    [sym_nullsafe_member_call_expression] = STATE(634),
    [sym__variable_subscript_expression] = STATE(665),
    [sym__dereferencable_subscript_expression] = STATE(634),
    [sym__dereferencable_expression] = STATE(1946),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(1005),
    [sym_attribute_group] = STATE(1373),
    [sym_attribute_list] = STATE(1356),
    [sym_encapsed_string] = STATE(927),
    [sym_string] = STATE(927),
    [sym_heredoc] = STATE(927),
    [sym_nowdoc] = STATE(927),
    [sym_shell_command_expression] = STATE(1148),
    [sym_boolean] = STATE(1162),
    [sym_null] = STATE(1162),
    [sym__string] = STATE(941),
    [sym_dynamic_variable_name] = STATE(650),
    [sym__simple_variable] = STATE(654),
    [sym__new_variable] = STATE(667),
    [sym__callable_variable] = STATE(629),
    [sym_variable_name] = STATE(650),
    [sym_yield_expression] = STATE(1152),
    [sym_binary_expression] = STATE(1152),
    [sym_include_expression] = STATE(1152),
    [sym_include_once_expression] = STATE(1152),
    [sym_require_expression] = STATE(1152),
    [sym_require_once_expression] = STATE(1152),
    [sym__reserved_identifier] = STATE(717),
    [sym__identifier] = STATE(1496),
    [aux_sym_program_repeat1] = STATE(2),
    [aux_sym_class_declaration_repeat1] = STATE(1381),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(212),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym__namespace_use_type_token1] = ACTIONS(222),
    [aux_sym__namespace_use_type_token2] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [anon_sym_LPAREN2] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(264),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(280),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(284),
    [aux_sym_for_statement_token2] = ACTIONS(569),
    [aux_sym_foreach_statement_token1] = ACTIONS(286),
    [aux_sym_if_statement_token1] = ACTIONS(288),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [96] = {
    [sym_text_interpolation] = STATE(96),
    [sym_statement] = STATE(520),
    [sym_empty_statement] = STATE(573),
    [sym_function_static_declaration] = STATE(573),
    [sym_global_declaration] = STATE(573),
    [sym_namespace_definition] = STATE(573),
    [sym_namespace_use_declaration] = STATE(573),
    [sym_qualified_name] = STATE(1000),
    [sym__name] = STATE(1631),
    [sym_namespace_name] = STATE(2575),
    [sym_trait_declaration] = STATE(573),
    [sym_interface_declaration] = STATE(573),
    [sym_enum_declaration] = STATE(573),
    [sym_class_declaration] = STATE(573),
    [sym_final_modifier] = STATE(1335),
    [sym_abstract_modifier] = STATE(1335),
    [sym_readonly_modifier] = STATE(1335),
    [sym_const_declaration] = STATE(573),
    [sym__const_declaration] = STATE(517),
    [sym__modifier] = STATE(1334),
    [sym_static_modifier] = STATE(1468),
    [sym_visibility_modifier] = STATE(1335),
    [sym_function_definition] = STATE(573),
    [sym__function_definition_header] = STATE(2470),
    [sym_anonymous_function] = STATE(1148),
    [sym__anonymous_function_header] = STATE(2489),
    [sym__arrow_function_header] = STATE(2731),
    [sym_arrow_function] = STATE(1148),
    [sym_echo_statement] = STATE(573),
    [sym_exit_statement] = STATE(573),
    [sym_unset_statement] = STATE(573),
    [sym_declare_statement] = STATE(573),
    [sym_literal] = STATE(1148),
    [sym_try_statement] = STATE(573),
    [sym_goto_statement] = STATE(573),
    [sym_continue_statement] = STATE(573),
    [sym_break_statement] = STATE(573),
    [sym_return_statement] = STATE(573),
    [sym_throw_expression] = STATE(1148),
    [sym_while_statement] = STATE(573),
    [sym_do_statement] = STATE(573),
    [sym_for_statement] = STATE(573),
    [sym_foreach_statement] = STATE(573),
    [sym_if_statement] = STATE(573),
    [sym_match_expression] = STATE(1152),
    [sym_switch_statement] = STATE(573),
    [sym_compound_statement] = STATE(573),
    [sym_named_label_statement] = STATE(573),
    [sym_expression_statement] = STATE(573),
    [sym_expression] = STATE(1221),
    [sym__unary_expression] = STATE(1159),
    [sym_unary_op_expression] = STATE(1172),
    [sym_error_suppression_expression] = STATE(1152),
    [sym_clone_expression] = STATE(1172),
    [sym_primary_expression] = STATE(1172),
    [sym_parenthesized_expression] = STATE(964),
    [sym_class_constant_access_expression] = STATE(1019),
    [sym_print_intrinsic] = STATE(1148),
    [sym_object_creation_expression] = STATE(1148),
    [sym__new_non_dereferencable_expression] = STATE(1168),
    [sym__new_dereferencable_expression] = STATE(966),
    [sym_update_expression] = STATE(1148),
    [sym_cast_expression] = STATE(1172),
    [sym_cast_variable] = STATE(661),
    [sym_assignment_expression] = STATE(1152),
    [sym_reference_assignment_expression] = STATE(1152),
    [sym_conditional_expression] = STATE(1152),
    [sym_augmented_assignment_expression] = STATE(1152),
    [sym__variable_member_access_expression] = STATE(674),
    [sym_member_access_expression] = STATE(661),
    [sym__variable_nullsafe_member_access_expression] = STATE(663),
    [sym_nullsafe_member_access_expression] = STATE(661),
    [sym__variable_scoped_property_access_expression] = STATE(664),
    [sym_scoped_property_access_expression] = STATE(661),
    [sym_list_literal] = STATE(2530),
    [sym__list_destructing] = STATE(2405),
    [sym__array_destructing] = STATE(2405),
    [sym_function_call_expression] = STATE(634),
    [sym__callable_expression] = STATE(2471),
    [sym_scoped_call_expression] = STATE(634),
    [sym__scope_resolution_qualifier] = STATE(2651),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(634),
    [sym_nullsafe_member_call_expression] = STATE(634),
    [sym__variable_subscript_expression] = STATE(665),
    [sym__dereferencable_subscript_expression] = STATE(634),
    [sym__dereferencable_expression] = STATE(1946),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(1005),
    [sym_attribute_group] = STATE(1373),
    [sym_attribute_list] = STATE(1356),
    [sym_encapsed_string] = STATE(927),
    [sym_string] = STATE(927),
    [sym_heredoc] = STATE(927),
    [sym_nowdoc] = STATE(927),
    [sym_shell_command_expression] = STATE(1148),
    [sym_boolean] = STATE(1162),
    [sym_null] = STATE(1162),
    [sym__string] = STATE(941),
    [sym_dynamic_variable_name] = STATE(650),
    [sym__simple_variable] = STATE(654),
    [sym__new_variable] = STATE(667),
    [sym__callable_variable] = STATE(629),
    [sym_variable_name] = STATE(650),
    [sym_yield_expression] = STATE(1152),
    [sym_binary_expression] = STATE(1152),
    [sym_include_expression] = STATE(1152),
    [sym_include_once_expression] = STATE(1152),
    [sym_require_expression] = STATE(1152),
    [sym_require_once_expression] = STATE(1152),
    [sym__reserved_identifier] = STATE(717),
    [sym__identifier] = STATE(1496),
    [aux_sym_program_repeat1] = STATE(97),
    [aux_sym_class_declaration_repeat1] = STATE(1381),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(212),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym__namespace_use_type_token1] = ACTIONS(222),
    [aux_sym__namespace_use_type_token2] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [anon_sym_LPAREN2] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(264),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(280),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(284),
    [aux_sym_for_statement_token2] = ACTIONS(571),
    [aux_sym_foreach_statement_token1] = ACTIONS(286),
    [aux_sym_if_statement_token1] = ACTIONS(288),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [97] = {
    [sym_text_interpolation] = STATE(97),
    [sym_statement] = STATE(520),
    [sym_empty_statement] = STATE(573),
    [sym_function_static_declaration] = STATE(573),
    [sym_global_declaration] = STATE(573),
    [sym_namespace_definition] = STATE(573),
    [sym_namespace_use_declaration] = STATE(573),
    [sym_qualified_name] = STATE(1000),
    [sym__name] = STATE(1631),
    [sym_namespace_name] = STATE(2575),
    [sym_trait_declaration] = STATE(573),
    [sym_interface_declaration] = STATE(573),
    [sym_enum_declaration] = STATE(573),
    [sym_class_declaration] = STATE(573),
    [sym_final_modifier] = STATE(1335),
    [sym_abstract_modifier] = STATE(1335),
    [sym_readonly_modifier] = STATE(1335),
    [sym_const_declaration] = STATE(573),
    [sym__const_declaration] = STATE(517),
    [sym__modifier] = STATE(1334),
    [sym_static_modifier] = STATE(1468),
    [sym_visibility_modifier] = STATE(1335),
    [sym_function_definition] = STATE(573),
    [sym__function_definition_header] = STATE(2470),
    [sym_anonymous_function] = STATE(1148),
    [sym__anonymous_function_header] = STATE(2489),
    [sym__arrow_function_header] = STATE(2731),
    [sym_arrow_function] = STATE(1148),
    [sym_echo_statement] = STATE(573),
    [sym_exit_statement] = STATE(573),
    [sym_unset_statement] = STATE(573),
    [sym_declare_statement] = STATE(573),
    [sym_literal] = STATE(1148),
    [sym_try_statement] = STATE(573),
    [sym_goto_statement] = STATE(573),
    [sym_continue_statement] = STATE(573),
    [sym_break_statement] = STATE(573),
    [sym_return_statement] = STATE(573),
    [sym_throw_expression] = STATE(1148),
    [sym_while_statement] = STATE(573),
    [sym_do_statement] = STATE(573),
    [sym_for_statement] = STATE(573),
    [sym_foreach_statement] = STATE(573),
    [sym_if_statement] = STATE(573),
    [sym_match_expression] = STATE(1152),
    [sym_switch_statement] = STATE(573),
    [sym_compound_statement] = STATE(573),
    [sym_named_label_statement] = STATE(573),
    [sym_expression_statement] = STATE(573),
    [sym_expression] = STATE(1221),
    [sym__unary_expression] = STATE(1159),
    [sym_unary_op_expression] = STATE(1172),
    [sym_error_suppression_expression] = STATE(1152),
    [sym_clone_expression] = STATE(1172),
    [sym_primary_expression] = STATE(1172),
    [sym_parenthesized_expression] = STATE(964),
    [sym_class_constant_access_expression] = STATE(1019),
    [sym_print_intrinsic] = STATE(1148),
    [sym_object_creation_expression] = STATE(1148),
    [sym__new_non_dereferencable_expression] = STATE(1168),
    [sym__new_dereferencable_expression] = STATE(966),
    [sym_update_expression] = STATE(1148),
    [sym_cast_expression] = STATE(1172),
    [sym_cast_variable] = STATE(661),
    [sym_assignment_expression] = STATE(1152),
    [sym_reference_assignment_expression] = STATE(1152),
    [sym_conditional_expression] = STATE(1152),
    [sym_augmented_assignment_expression] = STATE(1152),
    [sym__variable_member_access_expression] = STATE(674),
    [sym_member_access_expression] = STATE(661),
    [sym__variable_nullsafe_member_access_expression] = STATE(663),
    [sym_nullsafe_member_access_expression] = STATE(661),
    [sym__variable_scoped_property_access_expression] = STATE(664),
    [sym_scoped_property_access_expression] = STATE(661),
    [sym_list_literal] = STATE(2530),
    [sym__list_destructing] = STATE(2405),
    [sym__array_destructing] = STATE(2405),
    [sym_function_call_expression] = STATE(634),
    [sym__callable_expression] = STATE(2471),
    [sym_scoped_call_expression] = STATE(634),
    [sym__scope_resolution_qualifier] = STATE(2651),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(634),
    [sym_nullsafe_member_call_expression] = STATE(634),
    [sym__variable_subscript_expression] = STATE(665),
    [sym__dereferencable_subscript_expression] = STATE(634),
    [sym__dereferencable_expression] = STATE(1946),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(1005),
    [sym_attribute_group] = STATE(1373),
    [sym_attribute_list] = STATE(1356),
    [sym_encapsed_string] = STATE(927),
    [sym_string] = STATE(927),
    [sym_heredoc] = STATE(927),
    [sym_nowdoc] = STATE(927),
    [sym_shell_command_expression] = STATE(1148),
    [sym_boolean] = STATE(1162),
    [sym_null] = STATE(1162),
    [sym__string] = STATE(941),
    [sym_dynamic_variable_name] = STATE(650),
    [sym__simple_variable] = STATE(654),
    [sym__new_variable] = STATE(667),
    [sym__callable_variable] = STATE(629),
    [sym_variable_name] = STATE(650),
    [sym_yield_expression] = STATE(1152),
    [sym_binary_expression] = STATE(1152),
    [sym_include_expression] = STATE(1152),
    [sym_include_once_expression] = STATE(1152),
    [sym_require_expression] = STATE(1152),
    [sym_require_once_expression] = STATE(1152),
    [sym__reserved_identifier] = STATE(717),
    [sym__identifier] = STATE(1496),
    [aux_sym_program_repeat1] = STATE(2),
    [aux_sym_class_declaration_repeat1] = STATE(1381),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(212),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym__namespace_use_type_token1] = ACTIONS(222),
    [aux_sym__namespace_use_type_token2] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [anon_sym_LPAREN2] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(264),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(280),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(284),
    [aux_sym_for_statement_token2] = ACTIONS(573),
    [aux_sym_foreach_statement_token1] = ACTIONS(286),
    [aux_sym_if_statement_token1] = ACTIONS(288),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [98] = {
    [sym_text_interpolation] = STATE(98),
    [sym_statement] = STATE(1634),
    [sym_empty_statement] = STATE(2140),
    [sym_function_static_declaration] = STATE(2140),
    [sym_global_declaration] = STATE(2140),
    [sym_namespace_definition] = STATE(2140),
    [sym_namespace_use_declaration] = STATE(2140),
    [sym_qualified_name] = STATE(1000),
    [sym__name] = STATE(1631),
    [sym_namespace_name] = STATE(2575),
    [sym_trait_declaration] = STATE(2140),
    [sym_interface_declaration] = STATE(2140),
    [sym_enum_declaration] = STATE(2140),
    [sym_class_declaration] = STATE(2140),
    [sym_final_modifier] = STATE(1335),
    [sym_abstract_modifier] = STATE(1335),
    [sym_readonly_modifier] = STATE(1335),
    [sym_const_declaration] = STATE(2140),
    [sym__const_declaration] = STATE(2141),
    [sym__modifier] = STATE(1334),
    [sym_static_modifier] = STATE(1468),
    [sym_visibility_modifier] = STATE(1335),
    [sym_function_definition] = STATE(2140),
    [sym__function_definition_header] = STATE(2316),
    [sym_anonymous_function] = STATE(1148),
    [sym__anonymous_function_header] = STATE(2489),
    [sym__arrow_function_header] = STATE(2731),
    [sym_arrow_function] = STATE(1148),
    [sym_echo_statement] = STATE(2140),
    [sym_exit_statement] = STATE(2140),
    [sym_unset_statement] = STATE(2140),
    [sym_declare_statement] = STATE(2140),
    [sym_literal] = STATE(1148),
    [sym_try_statement] = STATE(2140),
    [sym_goto_statement] = STATE(2140),
    [sym_continue_statement] = STATE(2140),
    [sym_break_statement] = STATE(2140),
    [sym_return_statement] = STATE(2140),
    [sym_throw_expression] = STATE(1148),
    [sym_while_statement] = STATE(2140),
    [sym_do_statement] = STATE(2140),
    [sym_for_statement] = STATE(2140),
    [sym_foreach_statement] = STATE(2140),
    [sym_if_statement] = STATE(2140),
    [sym_colon_block] = STATE(1637),
    [sym_match_expression] = STATE(1152),
    [sym_switch_statement] = STATE(2140),
    [sym_compound_statement] = STATE(2140),
    [sym_named_label_statement] = STATE(2140),
    [sym_expression_statement] = STATE(2140),
    [sym_expression] = STATE(1234),
    [sym__unary_expression] = STATE(1159),
    [sym_unary_op_expression] = STATE(1172),
    [sym_error_suppression_expression] = STATE(1152),
    [sym_clone_expression] = STATE(1172),
    [sym_primary_expression] = STATE(1172),
    [sym_parenthesized_expression] = STATE(964),
    [sym_class_constant_access_expression] = STATE(1019),
    [sym_print_intrinsic] = STATE(1148),
    [sym_object_creation_expression] = STATE(1148),
    [sym__new_non_dereferencable_expression] = STATE(1168),
    [sym__new_dereferencable_expression] = STATE(966),
    [sym_update_expression] = STATE(1148),
    [sym_cast_expression] = STATE(1172),
    [sym_cast_variable] = STATE(661),
    [sym_assignment_expression] = STATE(1152),
    [sym_reference_assignment_expression] = STATE(1152),
    [sym_conditional_expression] = STATE(1152),
    [sym_augmented_assignment_expression] = STATE(1152),
    [sym__variable_member_access_expression] = STATE(674),
    [sym_member_access_expression] = STATE(661),
    [sym__variable_nullsafe_member_access_expression] = STATE(663),
    [sym_nullsafe_member_access_expression] = STATE(661),
    [sym__variable_scoped_property_access_expression] = STATE(664),
    [sym_scoped_property_access_expression] = STATE(661),
    [sym_list_literal] = STATE(2530),
    [sym__list_destructing] = STATE(2405),
    [sym__array_destructing] = STATE(2405),
    [sym_function_call_expression] = STATE(634),
    [sym__callable_expression] = STATE(2471),
    [sym_scoped_call_expression] = STATE(634),
    [sym__scope_resolution_qualifier] = STATE(2651),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(634),
    [sym_nullsafe_member_call_expression] = STATE(634),
    [sym__variable_subscript_expression] = STATE(665),
    [sym__dereferencable_subscript_expression] = STATE(634),
    [sym__dereferencable_expression] = STATE(1946),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(1005),
    [sym_attribute_group] = STATE(1373),
    [sym_attribute_list] = STATE(1344),
    [sym_encapsed_string] = STATE(927),
    [sym_string] = STATE(927),
    [sym_heredoc] = STATE(927),
    [sym_nowdoc] = STATE(927),
    [sym_shell_command_expression] = STATE(1148),
    [sym_boolean] = STATE(1162),
    [sym_null] = STATE(1162),
    [sym__string] = STATE(941),
    [sym_dynamic_variable_name] = STATE(650),
    [sym__simple_variable] = STATE(654),
    [sym__new_variable] = STATE(667),
    [sym__callable_variable] = STATE(629),
    [sym_variable_name] = STATE(650),
    [sym_yield_expression] = STATE(1152),
    [sym_binary_expression] = STATE(1152),
    [sym_include_expression] = STATE(1152),
    [sym_include_once_expression] = STATE(1152),
    [sym_require_expression] = STATE(1152),
    [sym_require_once_expression] = STATE(1152),
    [sym__reserved_identifier] = STATE(717),
    [sym__identifier] = STATE(1496),
    [aux_sym_class_declaration_repeat1] = STATE(1382),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(362),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(531),
    [aux_sym_function_static_declaration_token1] = ACTIONS(366),
    [aux_sym_global_declaration_token1] = ACTIONS(368),
    [aux_sym_namespace_definition_token1] = ACTIONS(370),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(372),
    [aux_sym__namespace_use_type_token1] = ACTIONS(222),
    [aux_sym__namespace_use_type_token2] = ACTIONS(374),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(376),
    [aux_sym_trait_declaration_token1] = ACTIONS(378),
    [aux_sym_interface_declaration_token1] = ACTIONS(380),
    [aux_sym_enum_declaration_token1] = ACTIONS(382),
    [anon_sym_COLON] = ACTIONS(507),
    [aux_sym_class_declaration_token1] = ACTIONS(384),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [anon_sym_LPAREN2] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(386),
    [aux_sym_exit_statement_token1] = ACTIONS(388),
    [anon_sym_unset] = ACTIONS(390),
    [aux_sym_declare_statement_token1] = ACTIONS(443),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(394),
    [aux_sym_goto_statement_token1] = ACTIONS(396),
    [aux_sym_continue_statement_token1] = ACTIONS(398),
    [aux_sym_break_statement_token1] = ACTIONS(400),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(402),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(445),
    [aux_sym_do_statement_token1] = ACTIONS(406),
    [aux_sym_for_statement_token1] = ACTIONS(447),
    [aux_sym_foreach_statement_token1] = ACTIONS(449),
    [aux_sym_if_statement_token1] = ACTIONS(451),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(414),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [99] = {
    [sym_text_interpolation] = STATE(99),
    [sym_statement] = STATE(520),
    [sym_empty_statement] = STATE(573),
    [sym_function_static_declaration] = STATE(573),
    [sym_global_declaration] = STATE(573),
    [sym_namespace_definition] = STATE(573),
    [sym_namespace_use_declaration] = STATE(573),
    [sym_qualified_name] = STATE(1000),
    [sym__name] = STATE(1631),
    [sym_namespace_name] = STATE(2575),
    [sym_trait_declaration] = STATE(573),
    [sym_interface_declaration] = STATE(573),
    [sym_enum_declaration] = STATE(573),
    [sym_class_declaration] = STATE(573),
    [sym_final_modifier] = STATE(1335),
    [sym_abstract_modifier] = STATE(1335),
    [sym_readonly_modifier] = STATE(1335),
    [sym_const_declaration] = STATE(573),
    [sym__const_declaration] = STATE(517),
    [sym__modifier] = STATE(1334),
    [sym_static_modifier] = STATE(1468),
    [sym_visibility_modifier] = STATE(1335),
    [sym_function_definition] = STATE(573),
    [sym__function_definition_header] = STATE(2470),
    [sym_anonymous_function] = STATE(1148),
    [sym__anonymous_function_header] = STATE(2489),
    [sym__arrow_function_header] = STATE(2731),
    [sym_arrow_function] = STATE(1148),
    [sym_echo_statement] = STATE(573),
    [sym_exit_statement] = STATE(573),
    [sym_unset_statement] = STATE(573),
    [sym_declare_statement] = STATE(573),
    [sym_literal] = STATE(1148),
    [sym_try_statement] = STATE(573),
    [sym_goto_statement] = STATE(573),
    [sym_continue_statement] = STATE(573),
    [sym_break_statement] = STATE(573),
    [sym_return_statement] = STATE(573),
    [sym_throw_expression] = STATE(1148),
    [sym_while_statement] = STATE(573),
    [sym_do_statement] = STATE(573),
    [sym_for_statement] = STATE(573),
    [sym_foreach_statement] = STATE(573),
    [sym_if_statement] = STATE(573),
    [sym_match_expression] = STATE(1152),
    [sym_switch_statement] = STATE(573),
    [sym_compound_statement] = STATE(573),
    [sym_named_label_statement] = STATE(573),
    [sym_expression_statement] = STATE(573),
    [sym_expression] = STATE(1221),
    [sym__unary_expression] = STATE(1159),
    [sym_unary_op_expression] = STATE(1172),
    [sym_error_suppression_expression] = STATE(1152),
    [sym_clone_expression] = STATE(1172),
    [sym_primary_expression] = STATE(1172),
    [sym_parenthesized_expression] = STATE(964),
    [sym_class_constant_access_expression] = STATE(1019),
    [sym_print_intrinsic] = STATE(1148),
    [sym_object_creation_expression] = STATE(1148),
    [sym__new_non_dereferencable_expression] = STATE(1168),
    [sym__new_dereferencable_expression] = STATE(966),
    [sym_update_expression] = STATE(1148),
    [sym_cast_expression] = STATE(1172),
    [sym_cast_variable] = STATE(661),
    [sym_assignment_expression] = STATE(1152),
    [sym_reference_assignment_expression] = STATE(1152),
    [sym_conditional_expression] = STATE(1152),
    [sym_augmented_assignment_expression] = STATE(1152),
    [sym__variable_member_access_expression] = STATE(674),
    [sym_member_access_expression] = STATE(661),
    [sym__variable_nullsafe_member_access_expression] = STATE(663),
    [sym_nullsafe_member_access_expression] = STATE(661),
    [sym__variable_scoped_property_access_expression] = STATE(664),
    [sym_scoped_property_access_expression] = STATE(661),
    [sym_list_literal] = STATE(2530),
    [sym__list_destructing] = STATE(2405),
    [sym__array_destructing] = STATE(2405),
    [sym_function_call_expression] = STATE(634),
    [sym__callable_expression] = STATE(2471),
    [sym_scoped_call_expression] = STATE(634),
    [sym__scope_resolution_qualifier] = STATE(2651),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(634),
    [sym_nullsafe_member_call_expression] = STATE(634),
    [sym__variable_subscript_expression] = STATE(665),
    [sym__dereferencable_subscript_expression] = STATE(634),
    [sym__dereferencable_expression] = STATE(1946),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(1005),
    [sym_attribute_group] = STATE(1373),
    [sym_attribute_list] = STATE(1356),
    [sym_encapsed_string] = STATE(927),
    [sym_string] = STATE(927),
    [sym_heredoc] = STATE(927),
    [sym_nowdoc] = STATE(927),
    [sym_shell_command_expression] = STATE(1148),
    [sym_boolean] = STATE(1162),
    [sym_null] = STATE(1162),
    [sym__string] = STATE(941),
    [sym_dynamic_variable_name] = STATE(650),
    [sym__simple_variable] = STATE(654),
    [sym__new_variable] = STATE(667),
    [sym__callable_variable] = STATE(629),
    [sym_variable_name] = STATE(650),
    [sym_yield_expression] = STATE(1152),
    [sym_binary_expression] = STATE(1152),
    [sym_include_expression] = STATE(1152),
    [sym_include_once_expression] = STATE(1152),
    [sym_require_expression] = STATE(1152),
    [sym_require_once_expression] = STATE(1152),
    [sym__reserved_identifier] = STATE(717),
    [sym__identifier] = STATE(1496),
    [aux_sym_program_repeat1] = STATE(100),
    [aux_sym_class_declaration_repeat1] = STATE(1381),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(212),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym__namespace_use_type_token1] = ACTIONS(222),
    [aux_sym__namespace_use_type_token2] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [anon_sym_RBRACE] = ACTIONS(575),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [anon_sym_LPAREN2] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(264),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(280),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(284),
    [aux_sym_foreach_statement_token1] = ACTIONS(286),
    [aux_sym_if_statement_token1] = ACTIONS(288),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [100] = {
    [sym_text_interpolation] = STATE(100),
    [sym_statement] = STATE(520),
    [sym_empty_statement] = STATE(573),
    [sym_function_static_declaration] = STATE(573),
    [sym_global_declaration] = STATE(573),
    [sym_namespace_definition] = STATE(573),
    [sym_namespace_use_declaration] = STATE(573),
    [sym_qualified_name] = STATE(1000),
    [sym__name] = STATE(1631),
    [sym_namespace_name] = STATE(2575),
    [sym_trait_declaration] = STATE(573),
    [sym_interface_declaration] = STATE(573),
    [sym_enum_declaration] = STATE(573),
    [sym_class_declaration] = STATE(573),
    [sym_final_modifier] = STATE(1335),
    [sym_abstract_modifier] = STATE(1335),
    [sym_readonly_modifier] = STATE(1335),
    [sym_const_declaration] = STATE(573),
    [sym__const_declaration] = STATE(517),
    [sym__modifier] = STATE(1334),
    [sym_static_modifier] = STATE(1468),
    [sym_visibility_modifier] = STATE(1335),
    [sym_function_definition] = STATE(573),
    [sym__function_definition_header] = STATE(2470),
    [sym_anonymous_function] = STATE(1148),
    [sym__anonymous_function_header] = STATE(2489),
    [sym__arrow_function_header] = STATE(2731),
    [sym_arrow_function] = STATE(1148),
    [sym_echo_statement] = STATE(573),
    [sym_exit_statement] = STATE(573),
    [sym_unset_statement] = STATE(573),
    [sym_declare_statement] = STATE(573),
    [sym_literal] = STATE(1148),
    [sym_try_statement] = STATE(573),
    [sym_goto_statement] = STATE(573),
    [sym_continue_statement] = STATE(573),
    [sym_break_statement] = STATE(573),
    [sym_return_statement] = STATE(573),
    [sym_throw_expression] = STATE(1148),
    [sym_while_statement] = STATE(573),
    [sym_do_statement] = STATE(573),
    [sym_for_statement] = STATE(573),
    [sym_foreach_statement] = STATE(573),
    [sym_if_statement] = STATE(573),
    [sym_match_expression] = STATE(1152),
    [sym_switch_statement] = STATE(573),
    [sym_compound_statement] = STATE(573),
    [sym_named_label_statement] = STATE(573),
    [sym_expression_statement] = STATE(573),
    [sym_expression] = STATE(1221),
    [sym__unary_expression] = STATE(1159),
    [sym_unary_op_expression] = STATE(1172),
    [sym_error_suppression_expression] = STATE(1152),
    [sym_clone_expression] = STATE(1172),
    [sym_primary_expression] = STATE(1172),
    [sym_parenthesized_expression] = STATE(964),
    [sym_class_constant_access_expression] = STATE(1019),
    [sym_print_intrinsic] = STATE(1148),
    [sym_object_creation_expression] = STATE(1148),
    [sym__new_non_dereferencable_expression] = STATE(1168),
    [sym__new_dereferencable_expression] = STATE(966),
    [sym_update_expression] = STATE(1148),
    [sym_cast_expression] = STATE(1172),
    [sym_cast_variable] = STATE(661),
    [sym_assignment_expression] = STATE(1152),
    [sym_reference_assignment_expression] = STATE(1152),
    [sym_conditional_expression] = STATE(1152),
    [sym_augmented_assignment_expression] = STATE(1152),
    [sym__variable_member_access_expression] = STATE(674),
    [sym_member_access_expression] = STATE(661),
    [sym__variable_nullsafe_member_access_expression] = STATE(663),
    [sym_nullsafe_member_access_expression] = STATE(661),
    [sym__variable_scoped_property_access_expression] = STATE(664),
    [sym_scoped_property_access_expression] = STATE(661),
    [sym_list_literal] = STATE(2530),
    [sym__list_destructing] = STATE(2405),
    [sym__array_destructing] = STATE(2405),
    [sym_function_call_expression] = STATE(634),
    [sym__callable_expression] = STATE(2471),
    [sym_scoped_call_expression] = STATE(634),
    [sym__scope_resolution_qualifier] = STATE(2651),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(634),
    [sym_nullsafe_member_call_expression] = STATE(634),
    [sym__variable_subscript_expression] = STATE(665),
    [sym__dereferencable_subscript_expression] = STATE(634),
    [sym__dereferencable_expression] = STATE(1946),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(1005),
    [sym_attribute_group] = STATE(1373),
    [sym_attribute_list] = STATE(1356),
    [sym_encapsed_string] = STATE(927),
    [sym_string] = STATE(927),
    [sym_heredoc] = STATE(927),
    [sym_nowdoc] = STATE(927),
    [sym_shell_command_expression] = STATE(1148),
    [sym_boolean] = STATE(1162),
    [sym_null] = STATE(1162),
    [sym__string] = STATE(941),
    [sym_dynamic_variable_name] = STATE(650),
    [sym__simple_variable] = STATE(654),
    [sym__new_variable] = STATE(667),
    [sym__callable_variable] = STATE(629),
    [sym_variable_name] = STATE(650),
    [sym_yield_expression] = STATE(1152),
    [sym_binary_expression] = STATE(1152),
    [sym_include_expression] = STATE(1152),
    [sym_include_once_expression] = STATE(1152),
    [sym_require_expression] = STATE(1152),
    [sym_require_once_expression] = STATE(1152),
    [sym__reserved_identifier] = STATE(717),
    [sym__identifier] = STATE(1496),
    [aux_sym_program_repeat1] = STATE(2),
    [aux_sym_class_declaration_repeat1] = STATE(1381),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(212),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym__namespace_use_type_token1] = ACTIONS(222),
    [aux_sym__namespace_use_type_token2] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [anon_sym_RBRACE] = ACTIONS(577),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [anon_sym_LPAREN2] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(264),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(280),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(284),
    [aux_sym_foreach_statement_token1] = ACTIONS(286),
    [aux_sym_if_statement_token1] = ACTIONS(288),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [101] = {
    [sym_text_interpolation] = STATE(101),
    [sym_statement] = STATE(520),
    [sym_empty_statement] = STATE(573),
    [sym_function_static_declaration] = STATE(573),
    [sym_global_declaration] = STATE(573),
    [sym_namespace_definition] = STATE(573),
    [sym_namespace_use_declaration] = STATE(573),
    [sym_qualified_name] = STATE(1000),
    [sym__name] = STATE(1631),
    [sym_namespace_name] = STATE(2575),
    [sym_trait_declaration] = STATE(573),
    [sym_interface_declaration] = STATE(573),
    [sym_enum_declaration] = STATE(573),
    [sym_class_declaration] = STATE(573),
    [sym_final_modifier] = STATE(1335),
    [sym_abstract_modifier] = STATE(1335),
    [sym_readonly_modifier] = STATE(1335),
    [sym_const_declaration] = STATE(573),
    [sym__const_declaration] = STATE(517),
    [sym__modifier] = STATE(1334),
    [sym_static_modifier] = STATE(1468),
    [sym_visibility_modifier] = STATE(1335),
    [sym_function_definition] = STATE(573),
    [sym__function_definition_header] = STATE(2470),
    [sym_anonymous_function] = STATE(1148),
    [sym__anonymous_function_header] = STATE(2489),
    [sym__arrow_function_header] = STATE(2731),
    [sym_arrow_function] = STATE(1148),
    [sym_echo_statement] = STATE(573),
    [sym_exit_statement] = STATE(573),
    [sym_unset_statement] = STATE(573),
    [sym_declare_statement] = STATE(573),
    [sym_literal] = STATE(1148),
    [sym_try_statement] = STATE(573),
    [sym_goto_statement] = STATE(573),
    [sym_continue_statement] = STATE(573),
    [sym_break_statement] = STATE(573),
    [sym_return_statement] = STATE(573),
    [sym_throw_expression] = STATE(1148),
    [sym_while_statement] = STATE(573),
    [sym_do_statement] = STATE(573),
    [sym_for_statement] = STATE(573),
    [sym_foreach_statement] = STATE(573),
    [sym_if_statement] = STATE(573),
    [sym_match_expression] = STATE(1152),
    [sym_switch_statement] = STATE(573),
    [sym_compound_statement] = STATE(573),
    [sym_named_label_statement] = STATE(573),
    [sym_expression_statement] = STATE(573),
    [sym_expression] = STATE(1221),
    [sym__unary_expression] = STATE(1159),
    [sym_unary_op_expression] = STATE(1172),
    [sym_error_suppression_expression] = STATE(1152),
    [sym_clone_expression] = STATE(1172),
    [sym_primary_expression] = STATE(1172),
    [sym_parenthesized_expression] = STATE(964),
    [sym_class_constant_access_expression] = STATE(1019),
    [sym_print_intrinsic] = STATE(1148),
    [sym_object_creation_expression] = STATE(1148),
    [sym__new_non_dereferencable_expression] = STATE(1168),
    [sym__new_dereferencable_expression] = STATE(966),
    [sym_update_expression] = STATE(1148),
    [sym_cast_expression] = STATE(1172),
    [sym_cast_variable] = STATE(661),
    [sym_assignment_expression] = STATE(1152),
    [sym_reference_assignment_expression] = STATE(1152),
    [sym_conditional_expression] = STATE(1152),
    [sym_augmented_assignment_expression] = STATE(1152),
    [sym__variable_member_access_expression] = STATE(674),
    [sym_member_access_expression] = STATE(661),
    [sym__variable_nullsafe_member_access_expression] = STATE(663),
    [sym_nullsafe_member_access_expression] = STATE(661),
    [sym__variable_scoped_property_access_expression] = STATE(664),
    [sym_scoped_property_access_expression] = STATE(661),
    [sym_list_literal] = STATE(2530),
    [sym__list_destructing] = STATE(2405),
    [sym__array_destructing] = STATE(2405),
    [sym_function_call_expression] = STATE(634),
    [sym__callable_expression] = STATE(2471),
    [sym_scoped_call_expression] = STATE(634),
    [sym__scope_resolution_qualifier] = STATE(2651),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(634),
    [sym_nullsafe_member_call_expression] = STATE(634),
    [sym__variable_subscript_expression] = STATE(665),
    [sym__dereferencable_subscript_expression] = STATE(634),
    [sym__dereferencable_expression] = STATE(1946),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(1005),
    [sym_attribute_group] = STATE(1373),
    [sym_attribute_list] = STATE(1356),
    [sym_encapsed_string] = STATE(927),
    [sym_string] = STATE(927),
    [sym_heredoc] = STATE(927),
    [sym_nowdoc] = STATE(927),
    [sym_shell_command_expression] = STATE(1148),
    [sym_boolean] = STATE(1162),
    [sym_null] = STATE(1162),
    [sym__string] = STATE(941),
    [sym_dynamic_variable_name] = STATE(650),
    [sym__simple_variable] = STATE(654),
    [sym__new_variable] = STATE(667),
    [sym__callable_variable] = STATE(629),
    [sym_variable_name] = STATE(650),
    [sym_yield_expression] = STATE(1152),
    [sym_binary_expression] = STATE(1152),
    [sym_include_expression] = STATE(1152),
    [sym_include_once_expression] = STATE(1152),
    [sym_require_expression] = STATE(1152),
    [sym_require_once_expression] = STATE(1152),
    [sym__reserved_identifier] = STATE(717),
    [sym__identifier] = STATE(1496),
    [aux_sym_program_repeat1] = STATE(103),
    [aux_sym_class_declaration_repeat1] = STATE(1381),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(212),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym__namespace_use_type_token1] = ACTIONS(222),
    [aux_sym__namespace_use_type_token2] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [anon_sym_RBRACE] = ACTIONS(579),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [anon_sym_LPAREN2] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(264),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(280),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(284),
    [aux_sym_foreach_statement_token1] = ACTIONS(286),
    [aux_sym_if_statement_token1] = ACTIONS(288),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [102] = {
    [sym_text_interpolation] = STATE(102),
    [sym_statement] = STATE(520),
    [sym_empty_statement] = STATE(573),
    [sym_function_static_declaration] = STATE(573),
    [sym_global_declaration] = STATE(573),
    [sym_namespace_definition] = STATE(573),
    [sym_namespace_use_declaration] = STATE(573),
    [sym_qualified_name] = STATE(1000),
    [sym__name] = STATE(1631),
    [sym_namespace_name] = STATE(2575),
    [sym_trait_declaration] = STATE(573),
    [sym_interface_declaration] = STATE(573),
    [sym_enum_declaration] = STATE(573),
    [sym_class_declaration] = STATE(573),
    [sym_final_modifier] = STATE(1335),
    [sym_abstract_modifier] = STATE(1335),
    [sym_readonly_modifier] = STATE(1335),
    [sym_const_declaration] = STATE(573),
    [sym__const_declaration] = STATE(517),
    [sym__modifier] = STATE(1334),
    [sym_static_modifier] = STATE(1468),
    [sym_visibility_modifier] = STATE(1335),
    [sym_function_definition] = STATE(573),
    [sym__function_definition_header] = STATE(2470),
    [sym_anonymous_function] = STATE(1148),
    [sym__anonymous_function_header] = STATE(2489),
    [sym__arrow_function_header] = STATE(2731),
    [sym_arrow_function] = STATE(1148),
    [sym_echo_statement] = STATE(573),
    [sym_exit_statement] = STATE(573),
    [sym_unset_statement] = STATE(573),
    [sym_declare_statement] = STATE(573),
    [sym_literal] = STATE(1148),
    [sym_try_statement] = STATE(573),
    [sym_goto_statement] = STATE(573),
    [sym_continue_statement] = STATE(573),
    [sym_break_statement] = STATE(573),
    [sym_return_statement] = STATE(573),
    [sym_throw_expression] = STATE(1148),
    [sym_while_statement] = STATE(573),
    [sym_do_statement] = STATE(573),
    [sym_for_statement] = STATE(573),
    [sym_foreach_statement] = STATE(573),
    [sym_if_statement] = STATE(573),
    [sym_match_expression] = STATE(1152),
    [sym_switch_statement] = STATE(573),
    [sym_compound_statement] = STATE(573),
    [sym_named_label_statement] = STATE(573),
    [sym_expression_statement] = STATE(573),
    [sym_expression] = STATE(1221),
    [sym__unary_expression] = STATE(1159),
    [sym_unary_op_expression] = STATE(1172),
    [sym_error_suppression_expression] = STATE(1152),
    [sym_clone_expression] = STATE(1172),
    [sym_primary_expression] = STATE(1172),
    [sym_parenthesized_expression] = STATE(964),
    [sym_class_constant_access_expression] = STATE(1019),
    [sym_print_intrinsic] = STATE(1148),
    [sym_object_creation_expression] = STATE(1148),
    [sym__new_non_dereferencable_expression] = STATE(1168),
    [sym__new_dereferencable_expression] = STATE(966),
    [sym_update_expression] = STATE(1148),
    [sym_cast_expression] = STATE(1172),
    [sym_cast_variable] = STATE(661),
    [sym_assignment_expression] = STATE(1152),
    [sym_reference_assignment_expression] = STATE(1152),
    [sym_conditional_expression] = STATE(1152),
    [sym_augmented_assignment_expression] = STATE(1152),
    [sym__variable_member_access_expression] = STATE(674),
    [sym_member_access_expression] = STATE(661),
    [sym__variable_nullsafe_member_access_expression] = STATE(663),
    [sym_nullsafe_member_access_expression] = STATE(661),
    [sym__variable_scoped_property_access_expression] = STATE(664),
    [sym_scoped_property_access_expression] = STATE(661),
    [sym_list_literal] = STATE(2530),
    [sym__list_destructing] = STATE(2405),
    [sym__array_destructing] = STATE(2405),
    [sym_function_call_expression] = STATE(634),
    [sym__callable_expression] = STATE(2471),
    [sym_scoped_call_expression] = STATE(634),
    [sym__scope_resolution_qualifier] = STATE(2651),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(634),
    [sym_nullsafe_member_call_expression] = STATE(634),
    [sym__variable_subscript_expression] = STATE(665),
    [sym__dereferencable_subscript_expression] = STATE(634),
    [sym__dereferencable_expression] = STATE(1946),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(1005),
    [sym_attribute_group] = STATE(1373),
    [sym_attribute_list] = STATE(1356),
    [sym_encapsed_string] = STATE(927),
    [sym_string] = STATE(927),
    [sym_heredoc] = STATE(927),
    [sym_nowdoc] = STATE(927),
    [sym_shell_command_expression] = STATE(1148),
    [sym_boolean] = STATE(1162),
    [sym_null] = STATE(1162),
    [sym__string] = STATE(941),
    [sym_dynamic_variable_name] = STATE(650),
    [sym__simple_variable] = STATE(654),
    [sym__new_variable] = STATE(667),
    [sym__callable_variable] = STATE(629),
    [sym_variable_name] = STATE(650),
    [sym_yield_expression] = STATE(1152),
    [sym_binary_expression] = STATE(1152),
    [sym_include_expression] = STATE(1152),
    [sym_include_once_expression] = STATE(1152),
    [sym_require_expression] = STATE(1152),
    [sym_require_once_expression] = STATE(1152),
    [sym__reserved_identifier] = STATE(717),
    [sym__identifier] = STATE(1496),
    [aux_sym_program_repeat1] = STATE(56),
    [aux_sym_class_declaration_repeat1] = STATE(1381),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(212),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym__namespace_use_type_token1] = ACTIONS(222),
    [aux_sym__namespace_use_type_token2] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [anon_sym_RBRACE] = ACTIONS(581),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [anon_sym_LPAREN2] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(264),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(280),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(284),
    [aux_sym_foreach_statement_token1] = ACTIONS(286),
    [aux_sym_if_statement_token1] = ACTIONS(288),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [103] = {
    [sym_text_interpolation] = STATE(103),
    [sym_statement] = STATE(520),
    [sym_empty_statement] = STATE(573),
    [sym_function_static_declaration] = STATE(573),
    [sym_global_declaration] = STATE(573),
    [sym_namespace_definition] = STATE(573),
    [sym_namespace_use_declaration] = STATE(573),
    [sym_qualified_name] = STATE(1000),
    [sym__name] = STATE(1631),
    [sym_namespace_name] = STATE(2575),
    [sym_trait_declaration] = STATE(573),
    [sym_interface_declaration] = STATE(573),
    [sym_enum_declaration] = STATE(573),
    [sym_class_declaration] = STATE(573),
    [sym_final_modifier] = STATE(1335),
    [sym_abstract_modifier] = STATE(1335),
    [sym_readonly_modifier] = STATE(1335),
    [sym_const_declaration] = STATE(573),
    [sym__const_declaration] = STATE(517),
    [sym__modifier] = STATE(1334),
    [sym_static_modifier] = STATE(1468),
    [sym_visibility_modifier] = STATE(1335),
    [sym_function_definition] = STATE(573),
    [sym__function_definition_header] = STATE(2470),
    [sym_anonymous_function] = STATE(1148),
    [sym__anonymous_function_header] = STATE(2489),
    [sym__arrow_function_header] = STATE(2731),
    [sym_arrow_function] = STATE(1148),
    [sym_echo_statement] = STATE(573),
    [sym_exit_statement] = STATE(573),
    [sym_unset_statement] = STATE(573),
    [sym_declare_statement] = STATE(573),
    [sym_literal] = STATE(1148),
    [sym_try_statement] = STATE(573),
    [sym_goto_statement] = STATE(573),
    [sym_continue_statement] = STATE(573),
    [sym_break_statement] = STATE(573),
    [sym_return_statement] = STATE(573),
    [sym_throw_expression] = STATE(1148),
    [sym_while_statement] = STATE(573),
    [sym_do_statement] = STATE(573),
    [sym_for_statement] = STATE(573),
    [sym_foreach_statement] = STATE(573),
    [sym_if_statement] = STATE(573),
    [sym_match_expression] = STATE(1152),
    [sym_switch_statement] = STATE(573),
    [sym_compound_statement] = STATE(573),
    [sym_named_label_statement] = STATE(573),
    [sym_expression_statement] = STATE(573),
    [sym_expression] = STATE(1221),
    [sym__unary_expression] = STATE(1159),
    [sym_unary_op_expression] = STATE(1172),
    [sym_error_suppression_expression] = STATE(1152),
    [sym_clone_expression] = STATE(1172),
    [sym_primary_expression] = STATE(1172),
    [sym_parenthesized_expression] = STATE(964),
    [sym_class_constant_access_expression] = STATE(1019),
    [sym_print_intrinsic] = STATE(1148),
    [sym_object_creation_expression] = STATE(1148),
    [sym__new_non_dereferencable_expression] = STATE(1168),
    [sym__new_dereferencable_expression] = STATE(966),
    [sym_update_expression] = STATE(1148),
    [sym_cast_expression] = STATE(1172),
    [sym_cast_variable] = STATE(661),
    [sym_assignment_expression] = STATE(1152),
    [sym_reference_assignment_expression] = STATE(1152),
    [sym_conditional_expression] = STATE(1152),
    [sym_augmented_assignment_expression] = STATE(1152),
    [sym__variable_member_access_expression] = STATE(674),
    [sym_member_access_expression] = STATE(661),
    [sym__variable_nullsafe_member_access_expression] = STATE(663),
    [sym_nullsafe_member_access_expression] = STATE(661),
    [sym__variable_scoped_property_access_expression] = STATE(664),
    [sym_scoped_property_access_expression] = STATE(661),
    [sym_list_literal] = STATE(2530),
    [sym__list_destructing] = STATE(2405),
    [sym__array_destructing] = STATE(2405),
    [sym_function_call_expression] = STATE(634),
    [sym__callable_expression] = STATE(2471),
    [sym_scoped_call_expression] = STATE(634),
    [sym__scope_resolution_qualifier] = STATE(2651),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(634),
    [sym_nullsafe_member_call_expression] = STATE(634),
    [sym__variable_subscript_expression] = STATE(665),
    [sym__dereferencable_subscript_expression] = STATE(634),
    [sym__dereferencable_expression] = STATE(1946),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(1005),
    [sym_attribute_group] = STATE(1373),
    [sym_attribute_list] = STATE(1356),
    [sym_encapsed_string] = STATE(927),
    [sym_string] = STATE(927),
    [sym_heredoc] = STATE(927),
    [sym_nowdoc] = STATE(927),
    [sym_shell_command_expression] = STATE(1148),
    [sym_boolean] = STATE(1162),
    [sym_null] = STATE(1162),
    [sym__string] = STATE(941),
    [sym_dynamic_variable_name] = STATE(650),
    [sym__simple_variable] = STATE(654),
    [sym__new_variable] = STATE(667),
    [sym__callable_variable] = STATE(629),
    [sym_variable_name] = STATE(650),
    [sym_yield_expression] = STATE(1152),
    [sym_binary_expression] = STATE(1152),
    [sym_include_expression] = STATE(1152),
    [sym_include_once_expression] = STATE(1152),
    [sym_require_expression] = STATE(1152),
    [sym_require_once_expression] = STATE(1152),
    [sym__reserved_identifier] = STATE(717),
    [sym__identifier] = STATE(1496),
    [aux_sym_program_repeat1] = STATE(2),
    [aux_sym_class_declaration_repeat1] = STATE(1381),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(212),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym__namespace_use_type_token1] = ACTIONS(222),
    [aux_sym__namespace_use_type_token2] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [anon_sym_RBRACE] = ACTIONS(583),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [anon_sym_LPAREN2] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(264),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(280),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(284),
    [aux_sym_foreach_statement_token1] = ACTIONS(286),
    [aux_sym_if_statement_token1] = ACTIONS(288),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [104] = {
    [sym_text_interpolation] = STATE(104),
    [sym_statement] = STATE(520),
    [sym_empty_statement] = STATE(573),
    [sym_function_static_declaration] = STATE(573),
    [sym_global_declaration] = STATE(573),
    [sym_namespace_definition] = STATE(573),
    [sym_namespace_use_declaration] = STATE(573),
    [sym_qualified_name] = STATE(1000),
    [sym__name] = STATE(1631),
    [sym_namespace_name] = STATE(2575),
    [sym_trait_declaration] = STATE(573),
    [sym_interface_declaration] = STATE(573),
    [sym_enum_declaration] = STATE(573),
    [sym_class_declaration] = STATE(573),
    [sym_final_modifier] = STATE(1335),
    [sym_abstract_modifier] = STATE(1335),
    [sym_readonly_modifier] = STATE(1335),
    [sym_const_declaration] = STATE(573),
    [sym__const_declaration] = STATE(517),
    [sym__modifier] = STATE(1334),
    [sym_static_modifier] = STATE(1468),
    [sym_visibility_modifier] = STATE(1335),
    [sym_function_definition] = STATE(573),
    [sym__function_definition_header] = STATE(2470),
    [sym_anonymous_function] = STATE(1148),
    [sym__anonymous_function_header] = STATE(2489),
    [sym__arrow_function_header] = STATE(2731),
    [sym_arrow_function] = STATE(1148),
    [sym_echo_statement] = STATE(573),
    [sym_exit_statement] = STATE(573),
    [sym_unset_statement] = STATE(573),
    [sym_declare_statement] = STATE(573),
    [sym_literal] = STATE(1148),
    [sym_try_statement] = STATE(573),
    [sym_goto_statement] = STATE(573),
    [sym_continue_statement] = STATE(573),
    [sym_break_statement] = STATE(573),
    [sym_return_statement] = STATE(573),
    [sym_throw_expression] = STATE(1148),
    [sym_while_statement] = STATE(573),
    [sym_do_statement] = STATE(573),
    [sym_for_statement] = STATE(573),
    [sym_foreach_statement] = STATE(573),
    [sym_if_statement] = STATE(573),
    [sym_match_expression] = STATE(1152),
    [sym_switch_statement] = STATE(573),
    [sym_compound_statement] = STATE(573),
    [sym_named_label_statement] = STATE(573),
    [sym_expression_statement] = STATE(573),
    [sym_expression] = STATE(1221),
    [sym__unary_expression] = STATE(1159),
    [sym_unary_op_expression] = STATE(1172),
    [sym_error_suppression_expression] = STATE(1152),
    [sym_clone_expression] = STATE(1172),
    [sym_primary_expression] = STATE(1172),
    [sym_parenthesized_expression] = STATE(964),
    [sym_class_constant_access_expression] = STATE(1019),
    [sym_print_intrinsic] = STATE(1148),
    [sym_object_creation_expression] = STATE(1148),
    [sym__new_non_dereferencable_expression] = STATE(1168),
    [sym__new_dereferencable_expression] = STATE(966),
    [sym_update_expression] = STATE(1148),
    [sym_cast_expression] = STATE(1172),
    [sym_cast_variable] = STATE(661),
    [sym_assignment_expression] = STATE(1152),
    [sym_reference_assignment_expression] = STATE(1152),
    [sym_conditional_expression] = STATE(1152),
    [sym_augmented_assignment_expression] = STATE(1152),
    [sym__variable_member_access_expression] = STATE(674),
    [sym_member_access_expression] = STATE(661),
    [sym__variable_nullsafe_member_access_expression] = STATE(663),
    [sym_nullsafe_member_access_expression] = STATE(661),
    [sym__variable_scoped_property_access_expression] = STATE(664),
    [sym_scoped_property_access_expression] = STATE(661),
    [sym_list_literal] = STATE(2530),
    [sym__list_destructing] = STATE(2405),
    [sym__array_destructing] = STATE(2405),
    [sym_function_call_expression] = STATE(634),
    [sym__callable_expression] = STATE(2471),
    [sym_scoped_call_expression] = STATE(634),
    [sym__scope_resolution_qualifier] = STATE(2651),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(634),
    [sym_nullsafe_member_call_expression] = STATE(634),
    [sym__variable_subscript_expression] = STATE(665),
    [sym__dereferencable_subscript_expression] = STATE(634),
    [sym__dereferencable_expression] = STATE(1946),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(1005),
    [sym_attribute_group] = STATE(1373),
    [sym_attribute_list] = STATE(1356),
    [sym_encapsed_string] = STATE(927),
    [sym_string] = STATE(927),
    [sym_heredoc] = STATE(927),
    [sym_nowdoc] = STATE(927),
    [sym_shell_command_expression] = STATE(1148),
    [sym_boolean] = STATE(1162),
    [sym_null] = STATE(1162),
    [sym__string] = STATE(941),
    [sym_dynamic_variable_name] = STATE(650),
    [sym__simple_variable] = STATE(654),
    [sym__new_variable] = STATE(667),
    [sym__callable_variable] = STATE(629),
    [sym_variable_name] = STATE(650),
    [sym_yield_expression] = STATE(1152),
    [sym_binary_expression] = STATE(1152),
    [sym_include_expression] = STATE(1152),
    [sym_include_once_expression] = STATE(1152),
    [sym_require_expression] = STATE(1152),
    [sym_require_once_expression] = STATE(1152),
    [sym__reserved_identifier] = STATE(717),
    [sym__identifier] = STATE(1496),
    [aux_sym_program_repeat1] = STATE(105),
    [aux_sym_class_declaration_repeat1] = STATE(1381),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(212),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym__namespace_use_type_token1] = ACTIONS(222),
    [aux_sym__namespace_use_type_token2] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [anon_sym_RBRACE] = ACTIONS(585),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [anon_sym_LPAREN2] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(264),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(280),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(284),
    [aux_sym_foreach_statement_token1] = ACTIONS(286),
    [aux_sym_if_statement_token1] = ACTIONS(288),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [105] = {
    [sym_text_interpolation] = STATE(105),
    [sym_statement] = STATE(520),
    [sym_empty_statement] = STATE(573),
    [sym_function_static_declaration] = STATE(573),
    [sym_global_declaration] = STATE(573),
    [sym_namespace_definition] = STATE(573),
    [sym_namespace_use_declaration] = STATE(573),
    [sym_qualified_name] = STATE(1000),
    [sym__name] = STATE(1631),
    [sym_namespace_name] = STATE(2575),
    [sym_trait_declaration] = STATE(573),
    [sym_interface_declaration] = STATE(573),
    [sym_enum_declaration] = STATE(573),
    [sym_class_declaration] = STATE(573),
    [sym_final_modifier] = STATE(1335),
    [sym_abstract_modifier] = STATE(1335),
    [sym_readonly_modifier] = STATE(1335),
    [sym_const_declaration] = STATE(573),
    [sym__const_declaration] = STATE(517),
    [sym__modifier] = STATE(1334),
    [sym_static_modifier] = STATE(1468),
    [sym_visibility_modifier] = STATE(1335),
    [sym_function_definition] = STATE(573),
    [sym__function_definition_header] = STATE(2470),
    [sym_anonymous_function] = STATE(1148),
    [sym__anonymous_function_header] = STATE(2489),
    [sym__arrow_function_header] = STATE(2731),
    [sym_arrow_function] = STATE(1148),
    [sym_echo_statement] = STATE(573),
    [sym_exit_statement] = STATE(573),
    [sym_unset_statement] = STATE(573),
    [sym_declare_statement] = STATE(573),
    [sym_literal] = STATE(1148),
    [sym_try_statement] = STATE(573),
    [sym_goto_statement] = STATE(573),
    [sym_continue_statement] = STATE(573),
    [sym_break_statement] = STATE(573),
    [sym_return_statement] = STATE(573),
    [sym_throw_expression] = STATE(1148),
    [sym_while_statement] = STATE(573),
    [sym_do_statement] = STATE(573),
    [sym_for_statement] = STATE(573),
    [sym_foreach_statement] = STATE(573),
    [sym_if_statement] = STATE(573),
    [sym_match_expression] = STATE(1152),
    [sym_switch_statement] = STATE(573),
    [sym_compound_statement] = STATE(573),
    [sym_named_label_statement] = STATE(573),
    [sym_expression_statement] = STATE(573),
    [sym_expression] = STATE(1221),
    [sym__unary_expression] = STATE(1159),
    [sym_unary_op_expression] = STATE(1172),
    [sym_error_suppression_expression] = STATE(1152),
    [sym_clone_expression] = STATE(1172),
    [sym_primary_expression] = STATE(1172),
    [sym_parenthesized_expression] = STATE(964),
    [sym_class_constant_access_expression] = STATE(1019),
    [sym_print_intrinsic] = STATE(1148),
    [sym_object_creation_expression] = STATE(1148),
    [sym__new_non_dereferencable_expression] = STATE(1168),
    [sym__new_dereferencable_expression] = STATE(966),
    [sym_update_expression] = STATE(1148),
    [sym_cast_expression] = STATE(1172),
    [sym_cast_variable] = STATE(661),
    [sym_assignment_expression] = STATE(1152),
    [sym_reference_assignment_expression] = STATE(1152),
    [sym_conditional_expression] = STATE(1152),
    [sym_augmented_assignment_expression] = STATE(1152),
    [sym__variable_member_access_expression] = STATE(674),
    [sym_member_access_expression] = STATE(661),
    [sym__variable_nullsafe_member_access_expression] = STATE(663),
    [sym_nullsafe_member_access_expression] = STATE(661),
    [sym__variable_scoped_property_access_expression] = STATE(664),
    [sym_scoped_property_access_expression] = STATE(661),
    [sym_list_literal] = STATE(2530),
    [sym__list_destructing] = STATE(2405),
    [sym__array_destructing] = STATE(2405),
    [sym_function_call_expression] = STATE(634),
    [sym__callable_expression] = STATE(2471),
    [sym_scoped_call_expression] = STATE(634),
    [sym__scope_resolution_qualifier] = STATE(2651),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(634),
    [sym_nullsafe_member_call_expression] = STATE(634),
    [sym__variable_subscript_expression] = STATE(665),
    [sym__dereferencable_subscript_expression] = STATE(634),
    [sym__dereferencable_expression] = STATE(1946),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(1005),
    [sym_attribute_group] = STATE(1373),
    [sym_attribute_list] = STATE(1356),
    [sym_encapsed_string] = STATE(927),
    [sym_string] = STATE(927),
    [sym_heredoc] = STATE(927),
    [sym_nowdoc] = STATE(927),
    [sym_shell_command_expression] = STATE(1148),
    [sym_boolean] = STATE(1162),
    [sym_null] = STATE(1162),
    [sym__string] = STATE(941),
    [sym_dynamic_variable_name] = STATE(650),
    [sym__simple_variable] = STATE(654),
    [sym__new_variable] = STATE(667),
    [sym__callable_variable] = STATE(629),
    [sym_variable_name] = STATE(650),
    [sym_yield_expression] = STATE(1152),
    [sym_binary_expression] = STATE(1152),
    [sym_include_expression] = STATE(1152),
    [sym_include_once_expression] = STATE(1152),
    [sym_require_expression] = STATE(1152),
    [sym_require_once_expression] = STATE(1152),
    [sym__reserved_identifier] = STATE(717),
    [sym__identifier] = STATE(1496),
    [aux_sym_program_repeat1] = STATE(2),
    [aux_sym_class_declaration_repeat1] = STATE(1381),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(212),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym__namespace_use_type_token1] = ACTIONS(222),
    [aux_sym__namespace_use_type_token2] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [anon_sym_RBRACE] = ACTIONS(587),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [anon_sym_LPAREN2] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(264),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(280),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(284),
    [aux_sym_foreach_statement_token1] = ACTIONS(286),
    [aux_sym_if_statement_token1] = ACTIONS(288),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [106] = {
    [sym_text_interpolation] = STATE(106),
    [sym_statement] = STATE(549),
    [sym_empty_statement] = STATE(573),
    [sym_function_static_declaration] = STATE(573),
    [sym_global_declaration] = STATE(573),
    [sym_namespace_definition] = STATE(573),
    [sym_namespace_use_declaration] = STATE(573),
    [sym_qualified_name] = STATE(1000),
    [sym__name] = STATE(1631),
    [sym_namespace_name] = STATE(2575),
    [sym_trait_declaration] = STATE(573),
    [sym_interface_declaration] = STATE(573),
    [sym_enum_declaration] = STATE(573),
    [sym_class_declaration] = STATE(573),
    [sym_final_modifier] = STATE(1335),
    [sym_abstract_modifier] = STATE(1335),
    [sym_readonly_modifier] = STATE(1335),
    [sym_const_declaration] = STATE(573),
    [sym__const_declaration] = STATE(517),
    [sym__modifier] = STATE(1334),
    [sym_static_modifier] = STATE(1468),
    [sym_visibility_modifier] = STATE(1335),
    [sym_function_definition] = STATE(573),
    [sym__function_definition_header] = STATE(2470),
    [sym_anonymous_function] = STATE(1148),
    [sym__anonymous_function_header] = STATE(2489),
    [sym__arrow_function_header] = STATE(2731),
    [sym_arrow_function] = STATE(1148),
    [sym_echo_statement] = STATE(573),
    [sym_exit_statement] = STATE(573),
    [sym_unset_statement] = STATE(573),
    [sym_declare_statement] = STATE(573),
    [sym_literal] = STATE(1148),
    [sym_try_statement] = STATE(573),
    [sym_goto_statement] = STATE(573),
    [sym_continue_statement] = STATE(573),
    [sym_break_statement] = STATE(573),
    [sym_return_statement] = STATE(573),
    [sym_throw_expression] = STATE(1148),
    [sym_while_statement] = STATE(573),
    [sym_do_statement] = STATE(573),
    [sym_for_statement] = STATE(573),
    [sym_foreach_statement] = STATE(573),
    [sym_if_statement] = STATE(573),
    [sym_colon_block] = STATE(2574),
    [sym_match_expression] = STATE(1152),
    [sym_switch_statement] = STATE(573),
    [sym_compound_statement] = STATE(573),
    [sym_named_label_statement] = STATE(573),
    [sym_expression_statement] = STATE(573),
    [sym_expression] = STATE(1221),
    [sym__unary_expression] = STATE(1159),
    [sym_unary_op_expression] = STATE(1172),
    [sym_error_suppression_expression] = STATE(1152),
    [sym_clone_expression] = STATE(1172),
    [sym_primary_expression] = STATE(1172),
    [sym_parenthesized_expression] = STATE(964),
    [sym_class_constant_access_expression] = STATE(1019),
    [sym_print_intrinsic] = STATE(1148),
    [sym_object_creation_expression] = STATE(1148),
    [sym__new_non_dereferencable_expression] = STATE(1168),
    [sym__new_dereferencable_expression] = STATE(966),
    [sym_update_expression] = STATE(1148),
    [sym_cast_expression] = STATE(1172),
    [sym_cast_variable] = STATE(661),
    [sym_assignment_expression] = STATE(1152),
    [sym_reference_assignment_expression] = STATE(1152),
    [sym_conditional_expression] = STATE(1152),
    [sym_augmented_assignment_expression] = STATE(1152),
    [sym__variable_member_access_expression] = STATE(674),
    [sym_member_access_expression] = STATE(661),
    [sym__variable_nullsafe_member_access_expression] = STATE(663),
    [sym_nullsafe_member_access_expression] = STATE(661),
    [sym__variable_scoped_property_access_expression] = STATE(664),
    [sym_scoped_property_access_expression] = STATE(661),
    [sym_list_literal] = STATE(2530),
    [sym__list_destructing] = STATE(2405),
    [sym__array_destructing] = STATE(2405),
    [sym_function_call_expression] = STATE(634),
    [sym__callable_expression] = STATE(2471),
    [sym_scoped_call_expression] = STATE(634),
    [sym__scope_resolution_qualifier] = STATE(2651),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(634),
    [sym_nullsafe_member_call_expression] = STATE(634),
    [sym__variable_subscript_expression] = STATE(665),
    [sym__dereferencable_subscript_expression] = STATE(634),
    [sym__dereferencable_expression] = STATE(1946),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(1005),
    [sym_attribute_group] = STATE(1373),
    [sym_attribute_list] = STATE(1356),
    [sym_encapsed_string] = STATE(927),
    [sym_string] = STATE(927),
    [sym_heredoc] = STATE(927),
    [sym_nowdoc] = STATE(927),
    [sym_shell_command_expression] = STATE(1148),
    [sym_boolean] = STATE(1162),
    [sym_null] = STATE(1162),
    [sym__string] = STATE(941),
    [sym_dynamic_variable_name] = STATE(650),
    [sym__simple_variable] = STATE(654),
    [sym__new_variable] = STATE(667),
    [sym__callable_variable] = STATE(629),
    [sym_variable_name] = STATE(650),
    [sym_yield_expression] = STATE(1152),
    [sym_binary_expression] = STATE(1152),
    [sym_include_expression] = STATE(1152),
    [sym_include_once_expression] = STATE(1152),
    [sym_require_expression] = STATE(1152),
    [sym_require_once_expression] = STATE(1152),
    [sym__reserved_identifier] = STATE(717),
    [sym__identifier] = STATE(1496),
    [aux_sym_class_declaration_repeat1] = STATE(1381),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(212),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym__namespace_use_type_token1] = ACTIONS(222),
    [aux_sym__namespace_use_type_token2] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [anon_sym_COLON] = ACTIONS(358),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [anon_sym_LPAREN2] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(433),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(435),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(437),
    [aux_sym_foreach_statement_token1] = ACTIONS(439),
    [aux_sym_if_statement_token1] = ACTIONS(441),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [107] = {
    [sym_text_interpolation] = STATE(107),
    [sym_statement] = STATE(2284),
    [sym_empty_statement] = STATE(2140),
    [sym_function_static_declaration] = STATE(2140),
    [sym_global_declaration] = STATE(2140),
    [sym_namespace_definition] = STATE(2140),
    [sym_namespace_use_declaration] = STATE(2140),
    [sym_qualified_name] = STATE(1000),
    [sym__name] = STATE(1631),
    [sym_namespace_name] = STATE(2575),
    [sym_trait_declaration] = STATE(2140),
    [sym_interface_declaration] = STATE(2140),
    [sym_enum_declaration] = STATE(2140),
    [sym_class_declaration] = STATE(2140),
    [sym_final_modifier] = STATE(1335),
    [sym_abstract_modifier] = STATE(1335),
    [sym_readonly_modifier] = STATE(1335),
    [sym_const_declaration] = STATE(2140),
    [sym__const_declaration] = STATE(2141),
    [sym__modifier] = STATE(1334),
    [sym_static_modifier] = STATE(1468),
    [sym_visibility_modifier] = STATE(1335),
    [sym_function_definition] = STATE(2140),
    [sym__function_definition_header] = STATE(2316),
    [sym_anonymous_function] = STATE(1148),
    [sym__anonymous_function_header] = STATE(2489),
    [sym__arrow_function_header] = STATE(2731),
    [sym_arrow_function] = STATE(1148),
    [sym_echo_statement] = STATE(2140),
    [sym_exit_statement] = STATE(2140),
    [sym_unset_statement] = STATE(2140),
    [sym_declare_statement] = STATE(2140),
    [sym_literal] = STATE(1148),
    [sym_try_statement] = STATE(2140),
    [sym_goto_statement] = STATE(2140),
    [sym_continue_statement] = STATE(2140),
    [sym_break_statement] = STATE(2140),
    [sym_return_statement] = STATE(2140),
    [sym_throw_expression] = STATE(1148),
    [sym_while_statement] = STATE(2140),
    [sym_do_statement] = STATE(2140),
    [sym_for_statement] = STATE(2140),
    [sym_foreach_statement] = STATE(2140),
    [sym_if_statement] = STATE(2140),
    [sym_colon_block] = STATE(2510),
    [sym_match_expression] = STATE(1152),
    [sym_switch_statement] = STATE(2140),
    [sym_compound_statement] = STATE(2140),
    [sym_named_label_statement] = STATE(2140),
    [sym_expression_statement] = STATE(2140),
    [sym_expression] = STATE(1234),
    [sym__unary_expression] = STATE(1159),
    [sym_unary_op_expression] = STATE(1172),
    [sym_error_suppression_expression] = STATE(1152),
    [sym_clone_expression] = STATE(1172),
    [sym_primary_expression] = STATE(1172),
    [sym_parenthesized_expression] = STATE(964),
    [sym_class_constant_access_expression] = STATE(1019),
    [sym_print_intrinsic] = STATE(1148),
    [sym_object_creation_expression] = STATE(1148),
    [sym__new_non_dereferencable_expression] = STATE(1168),
    [sym__new_dereferencable_expression] = STATE(966),
    [sym_update_expression] = STATE(1148),
    [sym_cast_expression] = STATE(1172),
    [sym_cast_variable] = STATE(661),
    [sym_assignment_expression] = STATE(1152),
    [sym_reference_assignment_expression] = STATE(1152),
    [sym_conditional_expression] = STATE(1152),
    [sym_augmented_assignment_expression] = STATE(1152),
    [sym__variable_member_access_expression] = STATE(674),
    [sym_member_access_expression] = STATE(661),
    [sym__variable_nullsafe_member_access_expression] = STATE(663),
    [sym_nullsafe_member_access_expression] = STATE(661),
    [sym__variable_scoped_property_access_expression] = STATE(664),
    [sym_scoped_property_access_expression] = STATE(661),
    [sym_list_literal] = STATE(2530),
    [sym__list_destructing] = STATE(2405),
    [sym__array_destructing] = STATE(2405),
    [sym_function_call_expression] = STATE(634),
    [sym__callable_expression] = STATE(2471),
    [sym_scoped_call_expression] = STATE(634),
    [sym__scope_resolution_qualifier] = STATE(2651),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(634),
    [sym_nullsafe_member_call_expression] = STATE(634),
    [sym__variable_subscript_expression] = STATE(665),
    [sym__dereferencable_subscript_expression] = STATE(634),
    [sym__dereferencable_expression] = STATE(1946),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(1005),
    [sym_attribute_group] = STATE(1373),
    [sym_attribute_list] = STATE(1344),
    [sym_encapsed_string] = STATE(927),
    [sym_string] = STATE(927),
    [sym_heredoc] = STATE(927),
    [sym_nowdoc] = STATE(927),
    [sym_shell_command_expression] = STATE(1148),
    [sym_boolean] = STATE(1162),
    [sym_null] = STATE(1162),
    [sym__string] = STATE(941),
    [sym_dynamic_variable_name] = STATE(650),
    [sym__simple_variable] = STATE(654),
    [sym__new_variable] = STATE(667),
    [sym__callable_variable] = STATE(629),
    [sym_variable_name] = STATE(650),
    [sym_yield_expression] = STATE(1152),
    [sym_binary_expression] = STATE(1152),
    [sym_include_expression] = STATE(1152),
    [sym_include_once_expression] = STATE(1152),
    [sym_require_expression] = STATE(1152),
    [sym_require_once_expression] = STATE(1152),
    [sym__reserved_identifier] = STATE(717),
    [sym__identifier] = STATE(1496),
    [aux_sym_class_declaration_repeat1] = STATE(1382),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(362),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(531),
    [aux_sym_function_static_declaration_token1] = ACTIONS(366),
    [aux_sym_global_declaration_token1] = ACTIONS(368),
    [aux_sym_namespace_definition_token1] = ACTIONS(370),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(372),
    [aux_sym__namespace_use_type_token1] = ACTIONS(222),
    [aux_sym__namespace_use_type_token2] = ACTIONS(374),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(376),
    [aux_sym_trait_declaration_token1] = ACTIONS(378),
    [aux_sym_interface_declaration_token1] = ACTIONS(380),
    [aux_sym_enum_declaration_token1] = ACTIONS(382),
    [anon_sym_COLON] = ACTIONS(358),
    [aux_sym_class_declaration_token1] = ACTIONS(384),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [anon_sym_LPAREN2] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(386),
    [aux_sym_exit_statement_token1] = ACTIONS(388),
    [anon_sym_unset] = ACTIONS(390),
    [aux_sym_declare_statement_token1] = ACTIONS(443),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(394),
    [aux_sym_goto_statement_token1] = ACTIONS(396),
    [aux_sym_continue_statement_token1] = ACTIONS(398),
    [aux_sym_break_statement_token1] = ACTIONS(400),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(402),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(445),
    [aux_sym_do_statement_token1] = ACTIONS(406),
    [aux_sym_for_statement_token1] = ACTIONS(447),
    [aux_sym_foreach_statement_token1] = ACTIONS(449),
    [aux_sym_if_statement_token1] = ACTIONS(451),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(414),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [108] = {
    [sym_text_interpolation] = STATE(108),
    [sym_statement] = STATE(520),
    [sym_empty_statement] = STATE(573),
    [sym_function_static_declaration] = STATE(573),
    [sym_global_declaration] = STATE(573),
    [sym_namespace_definition] = STATE(573),
    [sym_namespace_use_declaration] = STATE(573),
    [sym_qualified_name] = STATE(1000),
    [sym__name] = STATE(1631),
    [sym_namespace_name] = STATE(2575),
    [sym_trait_declaration] = STATE(573),
    [sym_interface_declaration] = STATE(573),
    [sym_enum_declaration] = STATE(573),
    [sym_class_declaration] = STATE(573),
    [sym_final_modifier] = STATE(1335),
    [sym_abstract_modifier] = STATE(1335),
    [sym_readonly_modifier] = STATE(1335),
    [sym_const_declaration] = STATE(573),
    [sym__const_declaration] = STATE(517),
    [sym__modifier] = STATE(1334),
    [sym_static_modifier] = STATE(1468),
    [sym_visibility_modifier] = STATE(1335),
    [sym_function_definition] = STATE(573),
    [sym__function_definition_header] = STATE(2470),
    [sym_anonymous_function] = STATE(1148),
    [sym__anonymous_function_header] = STATE(2489),
    [sym__arrow_function_header] = STATE(2731),
    [sym_arrow_function] = STATE(1148),
    [sym_echo_statement] = STATE(573),
    [sym_exit_statement] = STATE(573),
    [sym_unset_statement] = STATE(573),
    [sym_declare_statement] = STATE(573),
    [sym_literal] = STATE(1148),
    [sym_try_statement] = STATE(573),
    [sym_goto_statement] = STATE(573),
    [sym_continue_statement] = STATE(573),
    [sym_break_statement] = STATE(573),
    [sym_return_statement] = STATE(573),
    [sym_throw_expression] = STATE(1148),
    [sym_while_statement] = STATE(573),
    [sym_do_statement] = STATE(573),
    [sym_for_statement] = STATE(573),
    [sym_foreach_statement] = STATE(573),
    [sym_if_statement] = STATE(573),
    [sym_match_expression] = STATE(1152),
    [sym_switch_statement] = STATE(573),
    [sym_compound_statement] = STATE(573),
    [sym_named_label_statement] = STATE(573),
    [sym_expression_statement] = STATE(573),
    [sym_expression] = STATE(1221),
    [sym__unary_expression] = STATE(1159),
    [sym_unary_op_expression] = STATE(1172),
    [sym_error_suppression_expression] = STATE(1152),
    [sym_clone_expression] = STATE(1172),
    [sym_primary_expression] = STATE(1172),
    [sym_parenthesized_expression] = STATE(964),
    [sym_class_constant_access_expression] = STATE(1019),
    [sym_print_intrinsic] = STATE(1148),
    [sym_object_creation_expression] = STATE(1148),
    [sym__new_non_dereferencable_expression] = STATE(1168),
    [sym__new_dereferencable_expression] = STATE(966),
    [sym_update_expression] = STATE(1148),
    [sym_cast_expression] = STATE(1172),
    [sym_cast_variable] = STATE(661),
    [sym_assignment_expression] = STATE(1152),
    [sym_reference_assignment_expression] = STATE(1152),
    [sym_conditional_expression] = STATE(1152),
    [sym_augmented_assignment_expression] = STATE(1152),
    [sym__variable_member_access_expression] = STATE(674),
    [sym_member_access_expression] = STATE(661),
    [sym__variable_nullsafe_member_access_expression] = STATE(663),
    [sym_nullsafe_member_access_expression] = STATE(661),
    [sym__variable_scoped_property_access_expression] = STATE(664),
    [sym_scoped_property_access_expression] = STATE(661),
    [sym_list_literal] = STATE(2530),
    [sym__list_destructing] = STATE(2405),
    [sym__array_destructing] = STATE(2405),
    [sym_function_call_expression] = STATE(634),
    [sym__callable_expression] = STATE(2471),
    [sym_scoped_call_expression] = STATE(634),
    [sym__scope_resolution_qualifier] = STATE(2651),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(634),
    [sym_nullsafe_member_call_expression] = STATE(634),
    [sym__variable_subscript_expression] = STATE(665),
    [sym__dereferencable_subscript_expression] = STATE(634),
    [sym__dereferencable_expression] = STATE(1946),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(1005),
    [sym_attribute_group] = STATE(1373),
    [sym_attribute_list] = STATE(1356),
    [sym_encapsed_string] = STATE(927),
    [sym_string] = STATE(927),
    [sym_heredoc] = STATE(927),
    [sym_nowdoc] = STATE(927),
    [sym_shell_command_expression] = STATE(1148),
    [sym_boolean] = STATE(1162),
    [sym_null] = STATE(1162),
    [sym__string] = STATE(941),
    [sym_dynamic_variable_name] = STATE(650),
    [sym__simple_variable] = STATE(654),
    [sym__new_variable] = STATE(667),
    [sym__callable_variable] = STATE(629),
    [sym_variable_name] = STATE(650),
    [sym_yield_expression] = STATE(1152),
    [sym_binary_expression] = STATE(1152),
    [sym_include_expression] = STATE(1152),
    [sym_include_once_expression] = STATE(1152),
    [sym_require_expression] = STATE(1152),
    [sym_require_once_expression] = STATE(1152),
    [sym__reserved_identifier] = STATE(717),
    [sym__identifier] = STATE(1496),
    [aux_sym_program_repeat1] = STATE(55),
    [aux_sym_class_declaration_repeat1] = STATE(1381),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(212),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym__namespace_use_type_token1] = ACTIONS(222),
    [aux_sym__namespace_use_type_token2] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [anon_sym_LPAREN2] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(264),
    [aux_sym_declare_statement_token2] = ACTIONS(589),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(280),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(284),
    [aux_sym_foreach_statement_token1] = ACTIONS(286),
    [aux_sym_if_statement_token1] = ACTIONS(288),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [109] = {
    [sym_text_interpolation] = STATE(109),
    [sym_statement] = STATE(520),
    [sym_empty_statement] = STATE(573),
    [sym_function_static_declaration] = STATE(573),
    [sym_global_declaration] = STATE(573),
    [sym_namespace_definition] = STATE(573),
    [sym_namespace_use_declaration] = STATE(573),
    [sym_qualified_name] = STATE(1000),
    [sym__name] = STATE(1631),
    [sym_namespace_name] = STATE(2575),
    [sym_trait_declaration] = STATE(573),
    [sym_interface_declaration] = STATE(573),
    [sym_enum_declaration] = STATE(573),
    [sym_class_declaration] = STATE(573),
    [sym_final_modifier] = STATE(1335),
    [sym_abstract_modifier] = STATE(1335),
    [sym_readonly_modifier] = STATE(1335),
    [sym_const_declaration] = STATE(573),
    [sym__const_declaration] = STATE(517),
    [sym__modifier] = STATE(1334),
    [sym_static_modifier] = STATE(1468),
    [sym_visibility_modifier] = STATE(1335),
    [sym_function_definition] = STATE(573),
    [sym__function_definition_header] = STATE(2470),
    [sym_anonymous_function] = STATE(1148),
    [sym__anonymous_function_header] = STATE(2489),
    [sym__arrow_function_header] = STATE(2731),
    [sym_arrow_function] = STATE(1148),
    [sym_echo_statement] = STATE(573),
    [sym_exit_statement] = STATE(573),
    [sym_unset_statement] = STATE(573),
    [sym_declare_statement] = STATE(573),
    [sym_literal] = STATE(1148),
    [sym_try_statement] = STATE(573),
    [sym_goto_statement] = STATE(573),
    [sym_continue_statement] = STATE(573),
    [sym_break_statement] = STATE(573),
    [sym_return_statement] = STATE(573),
    [sym_throw_expression] = STATE(1148),
    [sym_while_statement] = STATE(573),
    [sym_do_statement] = STATE(573),
    [sym_for_statement] = STATE(573),
    [sym_foreach_statement] = STATE(573),
    [sym_if_statement] = STATE(573),
    [sym_match_expression] = STATE(1152),
    [sym_switch_statement] = STATE(573),
    [sym_compound_statement] = STATE(573),
    [sym_named_label_statement] = STATE(573),
    [sym_expression_statement] = STATE(573),
    [sym_expression] = STATE(1221),
    [sym__unary_expression] = STATE(1159),
    [sym_unary_op_expression] = STATE(1172),
    [sym_error_suppression_expression] = STATE(1152),
    [sym_clone_expression] = STATE(1172),
    [sym_primary_expression] = STATE(1172),
    [sym_parenthesized_expression] = STATE(964),
    [sym_class_constant_access_expression] = STATE(1019),
    [sym_print_intrinsic] = STATE(1148),
    [sym_object_creation_expression] = STATE(1148),
    [sym__new_non_dereferencable_expression] = STATE(1168),
    [sym__new_dereferencable_expression] = STATE(966),
    [sym_update_expression] = STATE(1148),
    [sym_cast_expression] = STATE(1172),
    [sym_cast_variable] = STATE(661),
    [sym_assignment_expression] = STATE(1152),
    [sym_reference_assignment_expression] = STATE(1152),
    [sym_conditional_expression] = STATE(1152),
    [sym_augmented_assignment_expression] = STATE(1152),
    [sym__variable_member_access_expression] = STATE(674),
    [sym_member_access_expression] = STATE(661),
    [sym__variable_nullsafe_member_access_expression] = STATE(663),
    [sym_nullsafe_member_access_expression] = STATE(661),
    [sym__variable_scoped_property_access_expression] = STATE(664),
    [sym_scoped_property_access_expression] = STATE(661),
    [sym_list_literal] = STATE(2530),
    [sym__list_destructing] = STATE(2405),
    [sym__array_destructing] = STATE(2405),
    [sym_function_call_expression] = STATE(634),
    [sym__callable_expression] = STATE(2471),
    [sym_scoped_call_expression] = STATE(634),
    [sym__scope_resolution_qualifier] = STATE(2651),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(634),
    [sym_nullsafe_member_call_expression] = STATE(634),
    [sym__variable_subscript_expression] = STATE(665),
    [sym__dereferencable_subscript_expression] = STATE(634),
    [sym__dereferencable_expression] = STATE(1946),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(1005),
    [sym_attribute_group] = STATE(1373),
    [sym_attribute_list] = STATE(1356),
    [sym_encapsed_string] = STATE(927),
    [sym_string] = STATE(927),
    [sym_heredoc] = STATE(927),
    [sym_nowdoc] = STATE(927),
    [sym_shell_command_expression] = STATE(1148),
    [sym_boolean] = STATE(1162),
    [sym_null] = STATE(1162),
    [sym__string] = STATE(941),
    [sym_dynamic_variable_name] = STATE(650),
    [sym__simple_variable] = STATE(654),
    [sym__new_variable] = STATE(667),
    [sym__callable_variable] = STATE(629),
    [sym_variable_name] = STATE(650),
    [sym_yield_expression] = STATE(1152),
    [sym_binary_expression] = STATE(1152),
    [sym_include_expression] = STATE(1152),
    [sym_include_once_expression] = STATE(1152),
    [sym_require_expression] = STATE(1152),
    [sym_require_once_expression] = STATE(1152),
    [sym__reserved_identifier] = STATE(717),
    [sym__identifier] = STATE(1496),
    [aux_sym_program_repeat1] = STATE(76),
    [aux_sym_class_declaration_repeat1] = STATE(1381),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [ts_builtin_sym_end] = ACTIONS(493),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(212),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym__namespace_use_type_token1] = ACTIONS(222),
    [aux_sym__namespace_use_type_token2] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [anon_sym_LPAREN2] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(264),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(280),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(284),
    [aux_sym_foreach_statement_token1] = ACTIONS(286),
    [aux_sym_if_statement_token1] = ACTIONS(288),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [110] = {
    [sym_text_interpolation] = STATE(110),
    [sym_statement] = STATE(1977),
    [sym_empty_statement] = STATE(2140),
    [sym_function_static_declaration] = STATE(2140),
    [sym_global_declaration] = STATE(2140),
    [sym_namespace_definition] = STATE(2140),
    [sym_namespace_use_declaration] = STATE(2140),
    [sym_qualified_name] = STATE(1000),
    [sym__name] = STATE(1631),
    [sym_namespace_name] = STATE(2575),
    [sym_trait_declaration] = STATE(2140),
    [sym_interface_declaration] = STATE(2140),
    [sym_enum_declaration] = STATE(2140),
    [sym_class_declaration] = STATE(2140),
    [sym_final_modifier] = STATE(1335),
    [sym_abstract_modifier] = STATE(1335),
    [sym_readonly_modifier] = STATE(1335),
    [sym_const_declaration] = STATE(2140),
    [sym__const_declaration] = STATE(2141),
    [sym__modifier] = STATE(1334),
    [sym_static_modifier] = STATE(1468),
    [sym_visibility_modifier] = STATE(1335),
    [sym_function_definition] = STATE(2140),
    [sym__function_definition_header] = STATE(2316),
    [sym_anonymous_function] = STATE(1148),
    [sym__anonymous_function_header] = STATE(2489),
    [sym__arrow_function_header] = STATE(2731),
    [sym_arrow_function] = STATE(1148),
    [sym_echo_statement] = STATE(2140),
    [sym_exit_statement] = STATE(2140),
    [sym_unset_statement] = STATE(2140),
    [sym_declare_statement] = STATE(2140),
    [sym_literal] = STATE(1148),
    [sym_try_statement] = STATE(2140),
    [sym_goto_statement] = STATE(2140),
    [sym_continue_statement] = STATE(2140),
    [sym_break_statement] = STATE(2140),
    [sym_return_statement] = STATE(2140),
    [sym_throw_expression] = STATE(1148),
    [sym_while_statement] = STATE(2140),
    [sym_do_statement] = STATE(2140),
    [sym_for_statement] = STATE(2140),
    [sym_foreach_statement] = STATE(2140),
    [sym_if_statement] = STATE(2140),
    [sym_match_expression] = STATE(1152),
    [sym_switch_statement] = STATE(2140),
    [sym_compound_statement] = STATE(2140),
    [sym_named_label_statement] = STATE(2140),
    [sym_expression_statement] = STATE(2140),
    [sym_expression] = STATE(1234),
    [sym__unary_expression] = STATE(1159),
    [sym_unary_op_expression] = STATE(1172),
    [sym_error_suppression_expression] = STATE(1152),
    [sym_clone_expression] = STATE(1172),
    [sym_primary_expression] = STATE(1172),
    [sym_parenthesized_expression] = STATE(964),
    [sym_class_constant_access_expression] = STATE(1019),
    [sym_print_intrinsic] = STATE(1148),
    [sym_object_creation_expression] = STATE(1148),
    [sym__new_non_dereferencable_expression] = STATE(1168),
    [sym__new_dereferencable_expression] = STATE(966),
    [sym_update_expression] = STATE(1148),
    [sym_cast_expression] = STATE(1172),
    [sym_cast_variable] = STATE(661),
    [sym_assignment_expression] = STATE(1152),
    [sym_reference_assignment_expression] = STATE(1152),
    [sym_conditional_expression] = STATE(1152),
    [sym_augmented_assignment_expression] = STATE(1152),
    [sym__variable_member_access_expression] = STATE(674),
    [sym_member_access_expression] = STATE(661),
    [sym__variable_nullsafe_member_access_expression] = STATE(663),
    [sym_nullsafe_member_access_expression] = STATE(661),
    [sym__variable_scoped_property_access_expression] = STATE(664),
    [sym_scoped_property_access_expression] = STATE(661),
    [sym_list_literal] = STATE(2530),
    [sym__list_destructing] = STATE(2405),
    [sym__array_destructing] = STATE(2405),
    [sym_function_call_expression] = STATE(634),
    [sym__callable_expression] = STATE(2471),
    [sym_scoped_call_expression] = STATE(634),
    [sym__scope_resolution_qualifier] = STATE(2651),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(634),
    [sym_nullsafe_member_call_expression] = STATE(634),
    [sym__variable_subscript_expression] = STATE(665),
    [sym__dereferencable_subscript_expression] = STATE(634),
    [sym__dereferencable_expression] = STATE(1946),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(1005),
    [sym_attribute_group] = STATE(1373),
    [sym_attribute_list] = STATE(1344),
    [sym_encapsed_string] = STATE(927),
    [sym_string] = STATE(927),
    [sym_heredoc] = STATE(927),
    [sym_nowdoc] = STATE(927),
    [sym_shell_command_expression] = STATE(1148),
    [sym_boolean] = STATE(1162),
    [sym_null] = STATE(1162),
    [sym__string] = STATE(941),
    [sym_dynamic_variable_name] = STATE(650),
    [sym__simple_variable] = STATE(654),
    [sym__new_variable] = STATE(667),
    [sym__callable_variable] = STATE(629),
    [sym_variable_name] = STATE(650),
    [sym_yield_expression] = STATE(1152),
    [sym_binary_expression] = STATE(1152),
    [sym_include_expression] = STATE(1152),
    [sym_include_once_expression] = STATE(1152),
    [sym_require_expression] = STATE(1152),
    [sym_require_once_expression] = STATE(1152),
    [sym__reserved_identifier] = STATE(717),
    [sym__identifier] = STATE(1496),
    [aux_sym_class_declaration_repeat1] = STATE(1382),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(362),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(531),
    [aux_sym_function_static_declaration_token1] = ACTIONS(366),
    [aux_sym_global_declaration_token1] = ACTIONS(368),
    [aux_sym_namespace_definition_token1] = ACTIONS(370),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(372),
    [aux_sym__namespace_use_type_token1] = ACTIONS(222),
    [aux_sym__namespace_use_type_token2] = ACTIONS(374),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(376),
    [aux_sym_trait_declaration_token1] = ACTIONS(378),
    [aux_sym_interface_declaration_token1] = ACTIONS(380),
    [aux_sym_enum_declaration_token1] = ACTIONS(382),
    [aux_sym_class_declaration_token1] = ACTIONS(384),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [anon_sym_LPAREN2] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(386),
    [aux_sym_exit_statement_token1] = ACTIONS(388),
    [anon_sym_unset] = ACTIONS(390),
    [aux_sym_declare_statement_token1] = ACTIONS(392),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(394),
    [aux_sym_goto_statement_token1] = ACTIONS(396),
    [aux_sym_continue_statement_token1] = ACTIONS(398),
    [aux_sym_break_statement_token1] = ACTIONS(400),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(402),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(404),
    [aux_sym_do_statement_token1] = ACTIONS(406),
    [aux_sym_for_statement_token1] = ACTIONS(408),
    [aux_sym_foreach_statement_token1] = ACTIONS(410),
    [aux_sym_if_statement_token1] = ACTIONS(412),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(414),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [111] = {
    [sym_text_interpolation] = STATE(111),
    [sym_statement] = STATE(523),
    [sym_empty_statement] = STATE(573),
    [sym_function_static_declaration] = STATE(573),
    [sym_global_declaration] = STATE(573),
    [sym_namespace_definition] = STATE(573),
    [sym_namespace_use_declaration] = STATE(573),
    [sym_qualified_name] = STATE(1000),
    [sym__name] = STATE(1631),
    [sym_namespace_name] = STATE(2575),
    [sym_trait_declaration] = STATE(573),
    [sym_interface_declaration] = STATE(573),
    [sym_enum_declaration] = STATE(573),
    [sym_class_declaration] = STATE(573),
    [sym_final_modifier] = STATE(1335),
    [sym_abstract_modifier] = STATE(1335),
    [sym_readonly_modifier] = STATE(1335),
    [sym_const_declaration] = STATE(573),
    [sym__const_declaration] = STATE(517),
    [sym__modifier] = STATE(1334),
    [sym_static_modifier] = STATE(1468),
    [sym_visibility_modifier] = STATE(1335),
    [sym_function_definition] = STATE(573),
    [sym__function_definition_header] = STATE(2470),
    [sym_anonymous_function] = STATE(1148),
    [sym__anonymous_function_header] = STATE(2489),
    [sym__arrow_function_header] = STATE(2731),
    [sym_arrow_function] = STATE(1148),
    [sym_echo_statement] = STATE(573),
    [sym_exit_statement] = STATE(573),
    [sym_unset_statement] = STATE(573),
    [sym_declare_statement] = STATE(573),
    [sym_literal] = STATE(1148),
    [sym_try_statement] = STATE(573),
    [sym_goto_statement] = STATE(573),
    [sym_continue_statement] = STATE(573),
    [sym_break_statement] = STATE(573),
    [sym_return_statement] = STATE(573),
    [sym_throw_expression] = STATE(1148),
    [sym_while_statement] = STATE(573),
    [sym_do_statement] = STATE(573),
    [sym_for_statement] = STATE(573),
    [sym_foreach_statement] = STATE(573),
    [sym_if_statement] = STATE(573),
    [sym_match_expression] = STATE(1152),
    [sym_switch_statement] = STATE(573),
    [sym_compound_statement] = STATE(573),
    [sym_named_label_statement] = STATE(573),
    [sym_expression_statement] = STATE(573),
    [sym_expression] = STATE(1221),
    [sym__unary_expression] = STATE(1159),
    [sym_unary_op_expression] = STATE(1172),
    [sym_error_suppression_expression] = STATE(1152),
    [sym_clone_expression] = STATE(1172),
    [sym_primary_expression] = STATE(1172),
    [sym_parenthesized_expression] = STATE(964),
    [sym_class_constant_access_expression] = STATE(1019),
    [sym_print_intrinsic] = STATE(1148),
    [sym_object_creation_expression] = STATE(1148),
    [sym__new_non_dereferencable_expression] = STATE(1168),
    [sym__new_dereferencable_expression] = STATE(966),
    [sym_update_expression] = STATE(1148),
    [sym_cast_expression] = STATE(1172),
    [sym_cast_variable] = STATE(661),
    [sym_assignment_expression] = STATE(1152),
    [sym_reference_assignment_expression] = STATE(1152),
    [sym_conditional_expression] = STATE(1152),
    [sym_augmented_assignment_expression] = STATE(1152),
    [sym__variable_member_access_expression] = STATE(674),
    [sym_member_access_expression] = STATE(661),
    [sym__variable_nullsafe_member_access_expression] = STATE(663),
    [sym_nullsafe_member_access_expression] = STATE(661),
    [sym__variable_scoped_property_access_expression] = STATE(664),
    [sym_scoped_property_access_expression] = STATE(661),
    [sym_list_literal] = STATE(2530),
    [sym__list_destructing] = STATE(2405),
    [sym__array_destructing] = STATE(2405),
    [sym_function_call_expression] = STATE(634),
    [sym__callable_expression] = STATE(2471),
    [sym_scoped_call_expression] = STATE(634),
    [sym__scope_resolution_qualifier] = STATE(2651),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(634),
    [sym_nullsafe_member_call_expression] = STATE(634),
    [sym__variable_subscript_expression] = STATE(665),
    [sym__dereferencable_subscript_expression] = STATE(634),
    [sym__dereferencable_expression] = STATE(1946),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(1005),
    [sym_attribute_group] = STATE(1373),
    [sym_attribute_list] = STATE(1356),
    [sym_encapsed_string] = STATE(927),
    [sym_string] = STATE(927),
    [sym_heredoc] = STATE(927),
    [sym_nowdoc] = STATE(927),
    [sym_shell_command_expression] = STATE(1148),
    [sym_boolean] = STATE(1162),
    [sym_null] = STATE(1162),
    [sym__string] = STATE(941),
    [sym_dynamic_variable_name] = STATE(650),
    [sym__simple_variable] = STATE(654),
    [sym__new_variable] = STATE(667),
    [sym__callable_variable] = STATE(629),
    [sym_variable_name] = STATE(650),
    [sym_yield_expression] = STATE(1152),
    [sym_binary_expression] = STATE(1152),
    [sym_include_expression] = STATE(1152),
    [sym_include_once_expression] = STATE(1152),
    [sym_require_expression] = STATE(1152),
    [sym_require_once_expression] = STATE(1152),
    [sym__reserved_identifier] = STATE(717),
    [sym__identifier] = STATE(1496),
    [aux_sym_class_declaration_repeat1] = STATE(1381),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(212),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym__namespace_use_type_token1] = ACTIONS(222),
    [aux_sym__namespace_use_type_token2] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [anon_sym_LPAREN2] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(264),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(280),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(284),
    [aux_sym_foreach_statement_token1] = ACTIONS(286),
    [aux_sym_if_statement_token1] = ACTIONS(288),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [112] = {
    [sym_text_interpolation] = STATE(112),
    [sym_statement] = STATE(523),
    [sym_empty_statement] = STATE(573),
    [sym_function_static_declaration] = STATE(573),
    [sym_global_declaration] = STATE(573),
    [sym_namespace_definition] = STATE(573),
    [sym_namespace_use_declaration] = STATE(573),
    [sym_qualified_name] = STATE(1000),
    [sym__name] = STATE(1631),
    [sym_namespace_name] = STATE(2575),
    [sym_trait_declaration] = STATE(573),
    [sym_interface_declaration] = STATE(573),
    [sym_enum_declaration] = STATE(573),
    [sym_class_declaration] = STATE(573),
    [sym_final_modifier] = STATE(1335),
    [sym_abstract_modifier] = STATE(1335),
    [sym_readonly_modifier] = STATE(1335),
    [sym_const_declaration] = STATE(573),
    [sym__const_declaration] = STATE(517),
    [sym__modifier] = STATE(1334),
    [sym_static_modifier] = STATE(1468),
    [sym_visibility_modifier] = STATE(1335),
    [sym_function_definition] = STATE(573),
    [sym__function_definition_header] = STATE(2470),
    [sym_anonymous_function] = STATE(1148),
    [sym__anonymous_function_header] = STATE(2489),
    [sym__arrow_function_header] = STATE(2731),
    [sym_arrow_function] = STATE(1148),
    [sym_echo_statement] = STATE(573),
    [sym_exit_statement] = STATE(573),
    [sym_unset_statement] = STATE(573),
    [sym_declare_statement] = STATE(573),
    [sym_literal] = STATE(1148),
    [sym_try_statement] = STATE(573),
    [sym_goto_statement] = STATE(573),
    [sym_continue_statement] = STATE(573),
    [sym_break_statement] = STATE(573),
    [sym_return_statement] = STATE(573),
    [sym_throw_expression] = STATE(1148),
    [sym_while_statement] = STATE(573),
    [sym_do_statement] = STATE(573),
    [sym_for_statement] = STATE(573),
    [sym_foreach_statement] = STATE(573),
    [sym_if_statement] = STATE(573),
    [sym_match_expression] = STATE(1152),
    [sym_switch_statement] = STATE(573),
    [sym_compound_statement] = STATE(573),
    [sym_named_label_statement] = STATE(573),
    [sym_expression_statement] = STATE(573),
    [sym_expression] = STATE(1221),
    [sym__unary_expression] = STATE(1159),
    [sym_unary_op_expression] = STATE(1172),
    [sym_error_suppression_expression] = STATE(1152),
    [sym_clone_expression] = STATE(1172),
    [sym_primary_expression] = STATE(1172),
    [sym_parenthesized_expression] = STATE(964),
    [sym_class_constant_access_expression] = STATE(1019),
    [sym_print_intrinsic] = STATE(1148),
    [sym_object_creation_expression] = STATE(1148),
    [sym__new_non_dereferencable_expression] = STATE(1168),
    [sym__new_dereferencable_expression] = STATE(966),
    [sym_update_expression] = STATE(1148),
    [sym_cast_expression] = STATE(1172),
    [sym_cast_variable] = STATE(661),
    [sym_assignment_expression] = STATE(1152),
    [sym_reference_assignment_expression] = STATE(1152),
    [sym_conditional_expression] = STATE(1152),
    [sym_augmented_assignment_expression] = STATE(1152),
    [sym__variable_member_access_expression] = STATE(674),
    [sym_member_access_expression] = STATE(661),
    [sym__variable_nullsafe_member_access_expression] = STATE(663),
    [sym_nullsafe_member_access_expression] = STATE(661),
    [sym__variable_scoped_property_access_expression] = STATE(664),
    [sym_scoped_property_access_expression] = STATE(661),
    [sym_list_literal] = STATE(2530),
    [sym__list_destructing] = STATE(2405),
    [sym__array_destructing] = STATE(2405),
    [sym_function_call_expression] = STATE(634),
    [sym__callable_expression] = STATE(2471),
    [sym_scoped_call_expression] = STATE(634),
    [sym__scope_resolution_qualifier] = STATE(2651),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(634),
    [sym_nullsafe_member_call_expression] = STATE(634),
    [sym__variable_subscript_expression] = STATE(665),
    [sym__dereferencable_subscript_expression] = STATE(634),
    [sym__dereferencable_expression] = STATE(1946),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(1005),
    [sym_attribute_group] = STATE(1373),
    [sym_attribute_list] = STATE(1356),
    [sym_encapsed_string] = STATE(927),
    [sym_string] = STATE(927),
    [sym_heredoc] = STATE(927),
    [sym_nowdoc] = STATE(927),
    [sym_shell_command_expression] = STATE(1148),
    [sym_boolean] = STATE(1162),
    [sym_null] = STATE(1162),
    [sym__string] = STATE(941),
    [sym_dynamic_variable_name] = STATE(650),
    [sym__simple_variable] = STATE(654),
    [sym__new_variable] = STATE(667),
    [sym__callable_variable] = STATE(629),
    [sym_variable_name] = STATE(650),
    [sym_yield_expression] = STATE(1152),
    [sym_binary_expression] = STATE(1152),
    [sym_include_expression] = STATE(1152),
    [sym_include_once_expression] = STATE(1152),
    [sym_require_expression] = STATE(1152),
    [sym_require_once_expression] = STATE(1152),
    [sym__reserved_identifier] = STATE(717),
    [sym__identifier] = STATE(1496),
    [aux_sym_class_declaration_repeat1] = STATE(1381),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(212),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym__namespace_use_type_token1] = ACTIONS(222),
    [aux_sym__namespace_use_type_token2] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [anon_sym_LPAREN2] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(433),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(435),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(437),
    [aux_sym_foreach_statement_token1] = ACTIONS(439),
    [aux_sym_if_statement_token1] = ACTIONS(441),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [113] = {
    [sym_text_interpolation] = STATE(113),
    [sym_statement] = STATE(1977),
    [sym_empty_statement] = STATE(2140),
    [sym_function_static_declaration] = STATE(2140),
    [sym_global_declaration] = STATE(2140),
    [sym_namespace_definition] = STATE(2140),
    [sym_namespace_use_declaration] = STATE(2140),
    [sym_qualified_name] = STATE(1000),
    [sym__name] = STATE(1631),
    [sym_namespace_name] = STATE(2575),
    [sym_trait_declaration] = STATE(2140),
    [sym_interface_declaration] = STATE(2140),
    [sym_enum_declaration] = STATE(2140),
    [sym_class_declaration] = STATE(2140),
    [sym_final_modifier] = STATE(1335),
    [sym_abstract_modifier] = STATE(1335),
    [sym_readonly_modifier] = STATE(1335),
    [sym_const_declaration] = STATE(2140),
    [sym__const_declaration] = STATE(2141),
    [sym__modifier] = STATE(1334),
    [sym_static_modifier] = STATE(1468),
    [sym_visibility_modifier] = STATE(1335),
    [sym_function_definition] = STATE(2140),
    [sym__function_definition_header] = STATE(2316),
    [sym_anonymous_function] = STATE(1148),
    [sym__anonymous_function_header] = STATE(2489),
    [sym__arrow_function_header] = STATE(2731),
    [sym_arrow_function] = STATE(1148),
    [sym_echo_statement] = STATE(2140),
    [sym_exit_statement] = STATE(2140),
    [sym_unset_statement] = STATE(2140),
    [sym_declare_statement] = STATE(2140),
    [sym_literal] = STATE(1148),
    [sym_try_statement] = STATE(2140),
    [sym_goto_statement] = STATE(2140),
    [sym_continue_statement] = STATE(2140),
    [sym_break_statement] = STATE(2140),
    [sym_return_statement] = STATE(2140),
    [sym_throw_expression] = STATE(1148),
    [sym_while_statement] = STATE(2140),
    [sym_do_statement] = STATE(2140),
    [sym_for_statement] = STATE(2140),
    [sym_foreach_statement] = STATE(2140),
    [sym_if_statement] = STATE(2140),
    [sym_match_expression] = STATE(1152),
    [sym_switch_statement] = STATE(2140),
    [sym_compound_statement] = STATE(2140),
    [sym_named_label_statement] = STATE(2140),
    [sym_expression_statement] = STATE(2140),
    [sym_expression] = STATE(1234),
    [sym__unary_expression] = STATE(1159),
    [sym_unary_op_expression] = STATE(1172),
    [sym_error_suppression_expression] = STATE(1152),
    [sym_clone_expression] = STATE(1172),
    [sym_primary_expression] = STATE(1172),
    [sym_parenthesized_expression] = STATE(964),
    [sym_class_constant_access_expression] = STATE(1019),
    [sym_print_intrinsic] = STATE(1148),
    [sym_object_creation_expression] = STATE(1148),
    [sym__new_non_dereferencable_expression] = STATE(1168),
    [sym__new_dereferencable_expression] = STATE(966),
    [sym_update_expression] = STATE(1148),
    [sym_cast_expression] = STATE(1172),
    [sym_cast_variable] = STATE(661),
    [sym_assignment_expression] = STATE(1152),
    [sym_reference_assignment_expression] = STATE(1152),
    [sym_conditional_expression] = STATE(1152),
    [sym_augmented_assignment_expression] = STATE(1152),
    [sym__variable_member_access_expression] = STATE(674),
    [sym_member_access_expression] = STATE(661),
    [sym__variable_nullsafe_member_access_expression] = STATE(663),
    [sym_nullsafe_member_access_expression] = STATE(661),
    [sym__variable_scoped_property_access_expression] = STATE(664),
    [sym_scoped_property_access_expression] = STATE(661),
    [sym_list_literal] = STATE(2530),
    [sym__list_destructing] = STATE(2405),
    [sym__array_destructing] = STATE(2405),
    [sym_function_call_expression] = STATE(634),
    [sym__callable_expression] = STATE(2471),
    [sym_scoped_call_expression] = STATE(634),
    [sym__scope_resolution_qualifier] = STATE(2651),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(634),
    [sym_nullsafe_member_call_expression] = STATE(634),
    [sym__variable_subscript_expression] = STATE(665),
    [sym__dereferencable_subscript_expression] = STATE(634),
    [sym__dereferencable_expression] = STATE(1946),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(1005),
    [sym_attribute_group] = STATE(1373),
    [sym_attribute_list] = STATE(1344),
    [sym_encapsed_string] = STATE(927),
    [sym_string] = STATE(927),
    [sym_heredoc] = STATE(927),
    [sym_nowdoc] = STATE(927),
    [sym_shell_command_expression] = STATE(1148),
    [sym_boolean] = STATE(1162),
    [sym_null] = STATE(1162),
    [sym__string] = STATE(941),
    [sym_dynamic_variable_name] = STATE(650),
    [sym__simple_variable] = STATE(654),
    [sym__new_variable] = STATE(667),
    [sym__callable_variable] = STATE(629),
    [sym_variable_name] = STATE(650),
    [sym_yield_expression] = STATE(1152),
    [sym_binary_expression] = STATE(1152),
    [sym_include_expression] = STATE(1152),
    [sym_include_once_expression] = STATE(1152),
    [sym_require_expression] = STATE(1152),
    [sym_require_once_expression] = STATE(1152),
    [sym__reserved_identifier] = STATE(717),
    [sym__identifier] = STATE(1496),
    [aux_sym_class_declaration_repeat1] = STATE(1382),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(362),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(531),
    [aux_sym_function_static_declaration_token1] = ACTIONS(366),
    [aux_sym_global_declaration_token1] = ACTIONS(368),
    [aux_sym_namespace_definition_token1] = ACTIONS(370),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(372),
    [aux_sym__namespace_use_type_token1] = ACTIONS(222),
    [aux_sym__namespace_use_type_token2] = ACTIONS(374),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(376),
    [aux_sym_trait_declaration_token1] = ACTIONS(378),
    [aux_sym_interface_declaration_token1] = ACTIONS(380),
    [aux_sym_enum_declaration_token1] = ACTIONS(382),
    [aux_sym_class_declaration_token1] = ACTIONS(384),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [anon_sym_LPAREN2] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(386),
    [aux_sym_exit_statement_token1] = ACTIONS(388),
    [anon_sym_unset] = ACTIONS(390),
    [aux_sym_declare_statement_token1] = ACTIONS(443),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(394),
    [aux_sym_goto_statement_token1] = ACTIONS(396),
    [aux_sym_continue_statement_token1] = ACTIONS(398),
    [aux_sym_break_statement_token1] = ACTIONS(400),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(402),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(445),
    [aux_sym_do_statement_token1] = ACTIONS(406),
    [aux_sym_for_statement_token1] = ACTIONS(447),
    [aux_sym_foreach_statement_token1] = ACTIONS(449),
    [aux_sym_if_statement_token1] = ACTIONS(451),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(414),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [114] = {
    [sym_text_interpolation] = STATE(114),
    [sym_statement] = STATE(2031),
    [sym_empty_statement] = STATE(2140),
    [sym_function_static_declaration] = STATE(2140),
    [sym_global_declaration] = STATE(2140),
    [sym_namespace_definition] = STATE(2140),
    [sym_namespace_use_declaration] = STATE(2140),
    [sym_qualified_name] = STATE(1000),
    [sym__name] = STATE(1631),
    [sym_namespace_name] = STATE(2575),
    [sym_trait_declaration] = STATE(2140),
    [sym_interface_declaration] = STATE(2140),
    [sym_enum_declaration] = STATE(2140),
    [sym_class_declaration] = STATE(2140),
    [sym_final_modifier] = STATE(1335),
    [sym_abstract_modifier] = STATE(1335),
    [sym_readonly_modifier] = STATE(1335),
    [sym_const_declaration] = STATE(2140),
    [sym__const_declaration] = STATE(2141),
    [sym__modifier] = STATE(1334),
    [sym_static_modifier] = STATE(1468),
    [sym_visibility_modifier] = STATE(1335),
    [sym_function_definition] = STATE(2140),
    [sym__function_definition_header] = STATE(2316),
    [sym_anonymous_function] = STATE(1148),
    [sym__anonymous_function_header] = STATE(2489),
    [sym__arrow_function_header] = STATE(2731),
    [sym_arrow_function] = STATE(1148),
    [sym_echo_statement] = STATE(2140),
    [sym_exit_statement] = STATE(2140),
    [sym_unset_statement] = STATE(2140),
    [sym_declare_statement] = STATE(2140),
    [sym_literal] = STATE(1148),
    [sym_try_statement] = STATE(2140),
    [sym_goto_statement] = STATE(2140),
    [sym_continue_statement] = STATE(2140),
    [sym_break_statement] = STATE(2140),
    [sym_return_statement] = STATE(2140),
    [sym_throw_expression] = STATE(1148),
    [sym_while_statement] = STATE(2140),
    [sym_do_statement] = STATE(2140),
    [sym_for_statement] = STATE(2140),
    [sym_foreach_statement] = STATE(2140),
    [sym_if_statement] = STATE(2140),
    [sym_match_expression] = STATE(1152),
    [sym_switch_statement] = STATE(2140),
    [sym_compound_statement] = STATE(2140),
    [sym_named_label_statement] = STATE(2140),
    [sym_expression_statement] = STATE(2140),
    [sym_expression] = STATE(1234),
    [sym__unary_expression] = STATE(1159),
    [sym_unary_op_expression] = STATE(1172),
    [sym_error_suppression_expression] = STATE(1152),
    [sym_clone_expression] = STATE(1172),
    [sym_primary_expression] = STATE(1172),
    [sym_parenthesized_expression] = STATE(964),
    [sym_class_constant_access_expression] = STATE(1019),
    [sym_print_intrinsic] = STATE(1148),
    [sym_object_creation_expression] = STATE(1148),
    [sym__new_non_dereferencable_expression] = STATE(1168),
    [sym__new_dereferencable_expression] = STATE(966),
    [sym_update_expression] = STATE(1148),
    [sym_cast_expression] = STATE(1172),
    [sym_cast_variable] = STATE(661),
    [sym_assignment_expression] = STATE(1152),
    [sym_reference_assignment_expression] = STATE(1152),
    [sym_conditional_expression] = STATE(1152),
    [sym_augmented_assignment_expression] = STATE(1152),
    [sym__variable_member_access_expression] = STATE(674),
    [sym_member_access_expression] = STATE(661),
    [sym__variable_nullsafe_member_access_expression] = STATE(663),
    [sym_nullsafe_member_access_expression] = STATE(661),
    [sym__variable_scoped_property_access_expression] = STATE(664),
    [sym_scoped_property_access_expression] = STATE(661),
    [sym_list_literal] = STATE(2530),
    [sym__list_destructing] = STATE(2405),
    [sym__array_destructing] = STATE(2405),
    [sym_function_call_expression] = STATE(634),
    [sym__callable_expression] = STATE(2471),
    [sym_scoped_call_expression] = STATE(634),
    [sym__scope_resolution_qualifier] = STATE(2651),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(634),
    [sym_nullsafe_member_call_expression] = STATE(634),
    [sym__variable_subscript_expression] = STATE(665),
    [sym__dereferencable_subscript_expression] = STATE(634),
    [sym__dereferencable_expression] = STATE(1946),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(1005),
    [sym_attribute_group] = STATE(1373),
    [sym_attribute_list] = STATE(1344),
    [sym_encapsed_string] = STATE(927),
    [sym_string] = STATE(927),
    [sym_heredoc] = STATE(927),
    [sym_nowdoc] = STATE(927),
    [sym_shell_command_expression] = STATE(1148),
    [sym_boolean] = STATE(1162),
    [sym_null] = STATE(1162),
    [sym__string] = STATE(941),
    [sym_dynamic_variable_name] = STATE(650),
    [sym__simple_variable] = STATE(654),
    [sym__new_variable] = STATE(667),
    [sym__callable_variable] = STATE(629),
    [sym_variable_name] = STATE(650),
    [sym_yield_expression] = STATE(1152),
    [sym_binary_expression] = STATE(1152),
    [sym_include_expression] = STATE(1152),
    [sym_include_once_expression] = STATE(1152),
    [sym_require_expression] = STATE(1152),
    [sym_require_once_expression] = STATE(1152),
    [sym__reserved_identifier] = STATE(717),
    [sym__identifier] = STATE(1496),
    [aux_sym_class_declaration_repeat1] = STATE(1382),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(362),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(531),
    [aux_sym_function_static_declaration_token1] = ACTIONS(366),
    [aux_sym_global_declaration_token1] = ACTIONS(368),
    [aux_sym_namespace_definition_token1] = ACTIONS(370),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(372),
    [aux_sym__namespace_use_type_token1] = ACTIONS(222),
    [aux_sym__namespace_use_type_token2] = ACTIONS(374),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(376),
    [aux_sym_trait_declaration_token1] = ACTIONS(378),
    [aux_sym_interface_declaration_token1] = ACTIONS(380),
    [aux_sym_enum_declaration_token1] = ACTIONS(382),
    [aux_sym_class_declaration_token1] = ACTIONS(384),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [anon_sym_LPAREN2] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(386),
    [aux_sym_exit_statement_token1] = ACTIONS(388),
    [anon_sym_unset] = ACTIONS(390),
    [aux_sym_declare_statement_token1] = ACTIONS(443),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(394),
    [aux_sym_goto_statement_token1] = ACTIONS(396),
    [aux_sym_continue_statement_token1] = ACTIONS(398),
    [aux_sym_break_statement_token1] = ACTIONS(400),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(402),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(445),
    [aux_sym_do_statement_token1] = ACTIONS(406),
    [aux_sym_for_statement_token1] = ACTIONS(447),
    [aux_sym_foreach_statement_token1] = ACTIONS(449),
    [aux_sym_if_statement_token1] = ACTIONS(451),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(414),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [115] = {
    [sym_text_interpolation] = STATE(115),
    [sym_statement] = STATE(478),
    [sym_empty_statement] = STATE(573),
    [sym_function_static_declaration] = STATE(573),
    [sym_global_declaration] = STATE(573),
    [sym_namespace_definition] = STATE(573),
    [sym_namespace_use_declaration] = STATE(573),
    [sym_qualified_name] = STATE(1000),
    [sym__name] = STATE(1631),
    [sym_namespace_name] = STATE(2575),
    [sym_trait_declaration] = STATE(573),
    [sym_interface_declaration] = STATE(573),
    [sym_enum_declaration] = STATE(573),
    [sym_class_declaration] = STATE(573),
    [sym_final_modifier] = STATE(1335),
    [sym_abstract_modifier] = STATE(1335),
    [sym_readonly_modifier] = STATE(1335),
    [sym_const_declaration] = STATE(573),
    [sym__const_declaration] = STATE(517),
    [sym__modifier] = STATE(1334),
    [sym_static_modifier] = STATE(1468),
    [sym_visibility_modifier] = STATE(1335),
    [sym_function_definition] = STATE(573),
    [sym__function_definition_header] = STATE(2470),
    [sym_anonymous_function] = STATE(1148),
    [sym__anonymous_function_header] = STATE(2489),
    [sym__arrow_function_header] = STATE(2731),
    [sym_arrow_function] = STATE(1148),
    [sym_echo_statement] = STATE(573),
    [sym_exit_statement] = STATE(573),
    [sym_unset_statement] = STATE(573),
    [sym_declare_statement] = STATE(573),
    [sym_literal] = STATE(1148),
    [sym_try_statement] = STATE(573),
    [sym_goto_statement] = STATE(573),
    [sym_continue_statement] = STATE(573),
    [sym_break_statement] = STATE(573),
    [sym_return_statement] = STATE(573),
    [sym_throw_expression] = STATE(1148),
    [sym_while_statement] = STATE(573),
    [sym_do_statement] = STATE(573),
    [sym_for_statement] = STATE(573),
    [sym_foreach_statement] = STATE(573),
    [sym_if_statement] = STATE(573),
    [sym_match_expression] = STATE(1152),
    [sym_switch_statement] = STATE(573),
    [sym_compound_statement] = STATE(573),
    [sym_named_label_statement] = STATE(573),
    [sym_expression_statement] = STATE(573),
    [sym_expression] = STATE(1221),
    [sym__unary_expression] = STATE(1159),
    [sym_unary_op_expression] = STATE(1172),
    [sym_error_suppression_expression] = STATE(1152),
    [sym_clone_expression] = STATE(1172),
    [sym_primary_expression] = STATE(1172),
    [sym_parenthesized_expression] = STATE(964),
    [sym_class_constant_access_expression] = STATE(1019),
    [sym_print_intrinsic] = STATE(1148),
    [sym_object_creation_expression] = STATE(1148),
    [sym__new_non_dereferencable_expression] = STATE(1168),
    [sym__new_dereferencable_expression] = STATE(966),
    [sym_update_expression] = STATE(1148),
    [sym_cast_expression] = STATE(1172),
    [sym_cast_variable] = STATE(661),
    [sym_assignment_expression] = STATE(1152),
    [sym_reference_assignment_expression] = STATE(1152),
    [sym_conditional_expression] = STATE(1152),
    [sym_augmented_assignment_expression] = STATE(1152),
    [sym__variable_member_access_expression] = STATE(674),
    [sym_member_access_expression] = STATE(661),
    [sym__variable_nullsafe_member_access_expression] = STATE(663),
    [sym_nullsafe_member_access_expression] = STATE(661),
    [sym__variable_scoped_property_access_expression] = STATE(664),
    [sym_scoped_property_access_expression] = STATE(661),
    [sym_list_literal] = STATE(2530),
    [sym__list_destructing] = STATE(2405),
    [sym__array_destructing] = STATE(2405),
    [sym_function_call_expression] = STATE(634),
    [sym__callable_expression] = STATE(2471),
    [sym_scoped_call_expression] = STATE(634),
    [sym__scope_resolution_qualifier] = STATE(2651),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(634),
    [sym_nullsafe_member_call_expression] = STATE(634),
    [sym__variable_subscript_expression] = STATE(665),
    [sym__dereferencable_subscript_expression] = STATE(634),
    [sym__dereferencable_expression] = STATE(1946),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(1005),
    [sym_attribute_group] = STATE(1373),
    [sym_attribute_list] = STATE(1356),
    [sym_encapsed_string] = STATE(927),
    [sym_string] = STATE(927),
    [sym_heredoc] = STATE(927),
    [sym_nowdoc] = STATE(927),
    [sym_shell_command_expression] = STATE(1148),
    [sym_boolean] = STATE(1162),
    [sym_null] = STATE(1162),
    [sym__string] = STATE(941),
    [sym_dynamic_variable_name] = STATE(650),
    [sym__simple_variable] = STATE(654),
    [sym__new_variable] = STATE(667),
    [sym__callable_variable] = STATE(629),
    [sym_variable_name] = STATE(650),
    [sym_yield_expression] = STATE(1152),
    [sym_binary_expression] = STATE(1152),
    [sym_include_expression] = STATE(1152),
    [sym_include_once_expression] = STATE(1152),
    [sym_require_expression] = STATE(1152),
    [sym_require_once_expression] = STATE(1152),
    [sym__reserved_identifier] = STATE(717),
    [sym__identifier] = STATE(1496),
    [aux_sym_class_declaration_repeat1] = STATE(1381),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(212),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym__namespace_use_type_token1] = ACTIONS(222),
    [aux_sym__namespace_use_type_token2] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [anon_sym_LPAREN2] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(433),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(435),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(437),
    [aux_sym_foreach_statement_token1] = ACTIONS(439),
    [aux_sym_if_statement_token1] = ACTIONS(441),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [116] = {
    [sym_text_interpolation] = STATE(116),
    [sym_statement] = STATE(2517),
    [sym_empty_statement] = STATE(2140),
    [sym_function_static_declaration] = STATE(2140),
    [sym_global_declaration] = STATE(2140),
    [sym_namespace_definition] = STATE(2140),
    [sym_namespace_use_declaration] = STATE(2140),
    [sym_qualified_name] = STATE(1000),
    [sym__name] = STATE(1631),
    [sym_namespace_name] = STATE(2575),
    [sym_trait_declaration] = STATE(2140),
    [sym_interface_declaration] = STATE(2140),
    [sym_enum_declaration] = STATE(2140),
    [sym_class_declaration] = STATE(2140),
    [sym_final_modifier] = STATE(1335),
    [sym_abstract_modifier] = STATE(1335),
    [sym_readonly_modifier] = STATE(1335),
    [sym_const_declaration] = STATE(2140),
    [sym__const_declaration] = STATE(2141),
    [sym__modifier] = STATE(1334),
    [sym_static_modifier] = STATE(1468),
    [sym_visibility_modifier] = STATE(1335),
    [sym_function_definition] = STATE(2140),
    [sym__function_definition_header] = STATE(2316),
    [sym_anonymous_function] = STATE(1148),
    [sym__anonymous_function_header] = STATE(2489),
    [sym__arrow_function_header] = STATE(2731),
    [sym_arrow_function] = STATE(1148),
    [sym_echo_statement] = STATE(2140),
    [sym_exit_statement] = STATE(2140),
    [sym_unset_statement] = STATE(2140),
    [sym_declare_statement] = STATE(2140),
    [sym_literal] = STATE(1148),
    [sym_try_statement] = STATE(2140),
    [sym_goto_statement] = STATE(2140),
    [sym_continue_statement] = STATE(2140),
    [sym_break_statement] = STATE(2140),
    [sym_return_statement] = STATE(2140),
    [sym_throw_expression] = STATE(1148),
    [sym_while_statement] = STATE(2140),
    [sym_do_statement] = STATE(2140),
    [sym_for_statement] = STATE(2140),
    [sym_foreach_statement] = STATE(2140),
    [sym_if_statement] = STATE(2140),
    [sym_match_expression] = STATE(1152),
    [sym_switch_statement] = STATE(2140),
    [sym_compound_statement] = STATE(2140),
    [sym_named_label_statement] = STATE(2140),
    [sym_expression_statement] = STATE(2140),
    [sym_expression] = STATE(1234),
    [sym__unary_expression] = STATE(1159),
    [sym_unary_op_expression] = STATE(1172),
    [sym_error_suppression_expression] = STATE(1152),
    [sym_clone_expression] = STATE(1172),
    [sym_primary_expression] = STATE(1172),
    [sym_parenthesized_expression] = STATE(964),
    [sym_class_constant_access_expression] = STATE(1019),
    [sym_print_intrinsic] = STATE(1148),
    [sym_object_creation_expression] = STATE(1148),
    [sym__new_non_dereferencable_expression] = STATE(1168),
    [sym__new_dereferencable_expression] = STATE(966),
    [sym_update_expression] = STATE(1148),
    [sym_cast_expression] = STATE(1172),
    [sym_cast_variable] = STATE(661),
    [sym_assignment_expression] = STATE(1152),
    [sym_reference_assignment_expression] = STATE(1152),
    [sym_conditional_expression] = STATE(1152),
    [sym_augmented_assignment_expression] = STATE(1152),
    [sym__variable_member_access_expression] = STATE(674),
    [sym_member_access_expression] = STATE(661),
    [sym__variable_nullsafe_member_access_expression] = STATE(663),
    [sym_nullsafe_member_access_expression] = STATE(661),
    [sym__variable_scoped_property_access_expression] = STATE(664),
    [sym_scoped_property_access_expression] = STATE(661),
    [sym_list_literal] = STATE(2530),
    [sym__list_destructing] = STATE(2405),
    [sym__array_destructing] = STATE(2405),
    [sym_function_call_expression] = STATE(634),
    [sym__callable_expression] = STATE(2471),
    [sym_scoped_call_expression] = STATE(634),
    [sym__scope_resolution_qualifier] = STATE(2651),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(634),
    [sym_nullsafe_member_call_expression] = STATE(634),
    [sym__variable_subscript_expression] = STATE(665),
    [sym__dereferencable_subscript_expression] = STATE(634),
    [sym__dereferencable_expression] = STATE(1946),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(1005),
    [sym_attribute_group] = STATE(1373),
    [sym_attribute_list] = STATE(1344),
    [sym_encapsed_string] = STATE(927),
    [sym_string] = STATE(927),
    [sym_heredoc] = STATE(927),
    [sym_nowdoc] = STATE(927),
    [sym_shell_command_expression] = STATE(1148),
    [sym_boolean] = STATE(1162),
    [sym_null] = STATE(1162),
    [sym__string] = STATE(941),
    [sym_dynamic_variable_name] = STATE(650),
    [sym__simple_variable] = STATE(654),
    [sym__new_variable] = STATE(667),
    [sym__callable_variable] = STATE(629),
    [sym_variable_name] = STATE(650),
    [sym_yield_expression] = STATE(1152),
    [sym_binary_expression] = STATE(1152),
    [sym_include_expression] = STATE(1152),
    [sym_include_once_expression] = STATE(1152),
    [sym_require_expression] = STATE(1152),
    [sym_require_once_expression] = STATE(1152),
    [sym__reserved_identifier] = STATE(717),
    [sym__identifier] = STATE(1496),
    [aux_sym_class_declaration_repeat1] = STATE(1382),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(362),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(531),
    [aux_sym_function_static_declaration_token1] = ACTIONS(366),
    [aux_sym_global_declaration_token1] = ACTIONS(368),
    [aux_sym_namespace_definition_token1] = ACTIONS(370),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(372),
    [aux_sym__namespace_use_type_token1] = ACTIONS(222),
    [aux_sym__namespace_use_type_token2] = ACTIONS(374),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(376),
    [aux_sym_trait_declaration_token1] = ACTIONS(378),
    [aux_sym_interface_declaration_token1] = ACTIONS(380),
    [aux_sym_enum_declaration_token1] = ACTIONS(382),
    [aux_sym_class_declaration_token1] = ACTIONS(384),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [anon_sym_LPAREN2] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(386),
    [aux_sym_exit_statement_token1] = ACTIONS(388),
    [anon_sym_unset] = ACTIONS(390),
    [aux_sym_declare_statement_token1] = ACTIONS(392),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(394),
    [aux_sym_goto_statement_token1] = ACTIONS(396),
    [aux_sym_continue_statement_token1] = ACTIONS(398),
    [aux_sym_break_statement_token1] = ACTIONS(400),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(402),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(404),
    [aux_sym_do_statement_token1] = ACTIONS(406),
    [aux_sym_for_statement_token1] = ACTIONS(408),
    [aux_sym_foreach_statement_token1] = ACTIONS(410),
    [aux_sym_if_statement_token1] = ACTIONS(412),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(414),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [117] = {
    [sym_text_interpolation] = STATE(117),
    [sym_statement] = STATE(2532),
    [sym_empty_statement] = STATE(2140),
    [sym_function_static_declaration] = STATE(2140),
    [sym_global_declaration] = STATE(2140),
    [sym_namespace_definition] = STATE(2140),
    [sym_namespace_use_declaration] = STATE(2140),
    [sym_qualified_name] = STATE(1000),
    [sym__name] = STATE(1631),
    [sym_namespace_name] = STATE(2575),
    [sym_trait_declaration] = STATE(2140),
    [sym_interface_declaration] = STATE(2140),
    [sym_enum_declaration] = STATE(2140),
    [sym_class_declaration] = STATE(2140),
    [sym_final_modifier] = STATE(1335),
    [sym_abstract_modifier] = STATE(1335),
    [sym_readonly_modifier] = STATE(1335),
    [sym_const_declaration] = STATE(2140),
    [sym__const_declaration] = STATE(2141),
    [sym__modifier] = STATE(1334),
    [sym_static_modifier] = STATE(1468),
    [sym_visibility_modifier] = STATE(1335),
    [sym_function_definition] = STATE(2140),
    [sym__function_definition_header] = STATE(2316),
    [sym_anonymous_function] = STATE(1148),
    [sym__anonymous_function_header] = STATE(2489),
    [sym__arrow_function_header] = STATE(2731),
    [sym_arrow_function] = STATE(1148),
    [sym_echo_statement] = STATE(2140),
    [sym_exit_statement] = STATE(2140),
    [sym_unset_statement] = STATE(2140),
    [sym_declare_statement] = STATE(2140),
    [sym_literal] = STATE(1148),
    [sym_try_statement] = STATE(2140),
    [sym_goto_statement] = STATE(2140),
    [sym_continue_statement] = STATE(2140),
    [sym_break_statement] = STATE(2140),
    [sym_return_statement] = STATE(2140),
    [sym_throw_expression] = STATE(1148),
    [sym_while_statement] = STATE(2140),
    [sym_do_statement] = STATE(2140),
    [sym_for_statement] = STATE(2140),
    [sym_foreach_statement] = STATE(2140),
    [sym_if_statement] = STATE(2140),
    [sym_match_expression] = STATE(1152),
    [sym_switch_statement] = STATE(2140),
    [sym_compound_statement] = STATE(2140),
    [sym_named_label_statement] = STATE(2140),
    [sym_expression_statement] = STATE(2140),
    [sym_expression] = STATE(1234),
    [sym__unary_expression] = STATE(1159),
    [sym_unary_op_expression] = STATE(1172),
    [sym_error_suppression_expression] = STATE(1152),
    [sym_clone_expression] = STATE(1172),
    [sym_primary_expression] = STATE(1172),
    [sym_parenthesized_expression] = STATE(964),
    [sym_class_constant_access_expression] = STATE(1019),
    [sym_print_intrinsic] = STATE(1148),
    [sym_object_creation_expression] = STATE(1148),
    [sym__new_non_dereferencable_expression] = STATE(1168),
    [sym__new_dereferencable_expression] = STATE(966),
    [sym_update_expression] = STATE(1148),
    [sym_cast_expression] = STATE(1172),
    [sym_cast_variable] = STATE(661),
    [sym_assignment_expression] = STATE(1152),
    [sym_reference_assignment_expression] = STATE(1152),
    [sym_conditional_expression] = STATE(1152),
    [sym_augmented_assignment_expression] = STATE(1152),
    [sym__variable_member_access_expression] = STATE(674),
    [sym_member_access_expression] = STATE(661),
    [sym__variable_nullsafe_member_access_expression] = STATE(663),
    [sym_nullsafe_member_access_expression] = STATE(661),
    [sym__variable_scoped_property_access_expression] = STATE(664),
    [sym_scoped_property_access_expression] = STATE(661),
    [sym_list_literal] = STATE(2530),
    [sym__list_destructing] = STATE(2405),
    [sym__array_destructing] = STATE(2405),
    [sym_function_call_expression] = STATE(634),
    [sym__callable_expression] = STATE(2471),
    [sym_scoped_call_expression] = STATE(634),
    [sym__scope_resolution_qualifier] = STATE(2651),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(634),
    [sym_nullsafe_member_call_expression] = STATE(634),
    [sym__variable_subscript_expression] = STATE(665),
    [sym__dereferencable_subscript_expression] = STATE(634),
    [sym__dereferencable_expression] = STATE(1946),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(1005),
    [sym_attribute_group] = STATE(1373),
    [sym_attribute_list] = STATE(1344),
    [sym_encapsed_string] = STATE(927),
    [sym_string] = STATE(927),
    [sym_heredoc] = STATE(927),
    [sym_nowdoc] = STATE(927),
    [sym_shell_command_expression] = STATE(1148),
    [sym_boolean] = STATE(1162),
    [sym_null] = STATE(1162),
    [sym__string] = STATE(941),
    [sym_dynamic_variable_name] = STATE(650),
    [sym__simple_variable] = STATE(654),
    [sym__new_variable] = STATE(667),
    [sym__callable_variable] = STATE(629),
    [sym_variable_name] = STATE(650),
    [sym_yield_expression] = STATE(1152),
    [sym_binary_expression] = STATE(1152),
    [sym_include_expression] = STATE(1152),
    [sym_include_once_expression] = STATE(1152),
    [sym_require_expression] = STATE(1152),
    [sym_require_once_expression] = STATE(1152),
    [sym__reserved_identifier] = STATE(717),
    [sym__identifier] = STATE(1496),
    [aux_sym_class_declaration_repeat1] = STATE(1382),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(362),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(531),
    [aux_sym_function_static_declaration_token1] = ACTIONS(366),
    [aux_sym_global_declaration_token1] = ACTIONS(368),
    [aux_sym_namespace_definition_token1] = ACTIONS(370),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(372),
    [aux_sym__namespace_use_type_token1] = ACTIONS(222),
    [aux_sym__namespace_use_type_token2] = ACTIONS(374),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(376),
    [aux_sym_trait_declaration_token1] = ACTIONS(378),
    [aux_sym_interface_declaration_token1] = ACTIONS(380),
    [aux_sym_enum_declaration_token1] = ACTIONS(382),
    [aux_sym_class_declaration_token1] = ACTIONS(384),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [anon_sym_LPAREN2] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(386),
    [aux_sym_exit_statement_token1] = ACTIONS(388),
    [anon_sym_unset] = ACTIONS(390),
    [aux_sym_declare_statement_token1] = ACTIONS(392),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(394),
    [aux_sym_goto_statement_token1] = ACTIONS(396),
    [aux_sym_continue_statement_token1] = ACTIONS(398),
    [aux_sym_break_statement_token1] = ACTIONS(400),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(402),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(404),
    [aux_sym_do_statement_token1] = ACTIONS(406),
    [aux_sym_for_statement_token1] = ACTIONS(408),
    [aux_sym_foreach_statement_token1] = ACTIONS(410),
    [aux_sym_if_statement_token1] = ACTIONS(412),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(414),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [118] = {
    [sym_text_interpolation] = STATE(118),
    [sym_qualified_name] = STATE(810),
    [sym__name] = STATE(1626),
    [sym_namespace_name] = STATE(2507),
    [sym_static_modifier] = STATE(2368),
    [sym_anonymous_function] = STATE(1039),
    [sym__anonymous_function_header] = STATE(2318),
    [sym__arrow_function_header] = STATE(2679),
    [sym_arrow_function] = STATE(1039),
    [sym_literal] = STATE(1039),
    [sym_throw_expression] = STATE(1039),
    [sym_match_expression] = STATE(1026),
    [sym_expression] = STATE(1066),
    [sym__unary_expression] = STATE(1010),
    [sym_unary_op_expression] = STATE(1022),
    [sym_error_suppression_expression] = STATE(1026),
    [sym_clone_expression] = STATE(1022),
    [sym_primary_expression] = STATE(1022),
    [sym_parenthesized_expression] = STATE(811),
    [sym_class_constant_access_expression] = STATE(859),
    [sym_print_intrinsic] = STATE(1039),
    [sym_object_creation_expression] = STATE(1039),
    [sym__new_non_dereferencable_expression] = STATE(1009),
    [sym__new_dereferencable_expression] = STATE(842),
    [sym_update_expression] = STATE(1039),
    [sym_cast_expression] = STATE(1022),
    [sym_cast_variable] = STATE(630),
    [sym_assignment_expression] = STATE(1026),
    [sym_reference_assignment_expression] = STATE(1026),
    [sym_conditional_expression] = STATE(1026),
    [sym_augmented_assignment_expression] = STATE(1026),
    [sym__variable_member_access_expression] = STATE(613),
    [sym_member_access_expression] = STATE(630),
    [sym__variable_nullsafe_member_access_expression] = STATE(619),
    [sym_nullsafe_member_access_expression] = STATE(630),
    [sym__variable_scoped_property_access_expression] = STATE(602),
    [sym_scoped_property_access_expression] = STATE(630),
    [sym_list_literal] = STATE(2632),
    [sym__list_destructing] = STATE(2405),
    [sym__array_destructing] = STATE(2405),
    [sym_function_call_expression] = STATE(612),
    [sym__callable_expression] = STATE(2324),
    [sym_scoped_call_expression] = STATE(612),
    [sym__scope_resolution_qualifier] = STATE(2522),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(612),
    [sym_nullsafe_member_call_expression] = STATE(612),
    [sym_variadic_unpacking] = STATE(1012),
    [sym__variable_subscript_expression] = STATE(610),
    [sym__dereferencable_subscript_expression] = STATE(612),
    [sym__dereferencable_expression] = STATE(1948),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(766),
    [sym_attribute_group] = STATE(1373),
    [sym_attribute_list] = STATE(1879),
    [sym_encapsed_string] = STATE(767),
    [sym_string] = STATE(767),
    [sym_heredoc] = STATE(767),
    [sym_nowdoc] = STATE(767),
    [sym_shell_command_expression] = STATE(1039),
    [sym_boolean] = STATE(1036),
    [sym_null] = STATE(1036),
    [sym__string] = STATE(768),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(595),
    [sym__new_variable] = STATE(653),
    [sym__callable_variable] = STATE(623),
    [sym_variable_name] = STATE(618),
    [sym_by_ref] = STATE(1012),
    [sym_yield_expression] = STATE(1026),
    [sym_array_element_initializer] = STATE(1033),
    [sym_binary_expression] = STATE(1026),
    [sym_include_expression] = STATE(1026),
    [sym_include_once_expression] = STATE(1026),
    [sym_require_expression] = STATE(1026),
    [sym_require_once_expression] = STATE(1026),
    [sym__reserved_identifier] = STATE(717),
    [sym__identifier] = STATE(1496),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(593),
    [anon_sym_AMP] = ACTIONS(595),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym_namespace_use_clause_token1] = ACTIONS(599),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_RBRACE] = ACTIONS(593),
    [anon_sym_COLON] = ACTIONS(593),
    [anon_sym_EQ_GT] = ACTIONS(593),
    [anon_sym_LPAREN2] = ACTIONS(605),
    [anon_sym_RPAREN2] = ACTIONS(593),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(607),
    [anon_sym_QMARK] = ACTIONS(599),
    [anon_sym_PIPE] = ACTIONS(599),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(613),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(617),
    [anon_sym_DASH] = ACTIONS(617),
    [anon_sym_TILDE] = ACTIONS(619),
    [anon_sym_BANG] = ACTIONS(617),
    [anon_sym_AT] = ACTIONS(621),
    [aux_sym_clone_expression_token1] = ACTIONS(623),
    [aux_sym_print_intrinsic_token1] = ACTIONS(625),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(631),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(647),
    [aux_sym_yield_expression_token2] = ACTIONS(649),
    [aux_sym_binary_expression_token1] = ACTIONS(599),
    [anon_sym_QMARK_QMARK] = ACTIONS(593),
    [anon_sym_STAR_STAR] = ACTIONS(593),
    [aux_sym_binary_expression_token2] = ACTIONS(599),
    [aux_sym_binary_expression_token3] = ACTIONS(599),
    [aux_sym_binary_expression_token4] = ACTIONS(599),
    [anon_sym_PIPE_PIPE] = ACTIONS(593),
    [anon_sym_AMP_AMP] = ACTIONS(593),
    [anon_sym_CARET] = ACTIONS(593),
    [anon_sym_EQ_EQ] = ACTIONS(599),
    [anon_sym_BANG_EQ] = ACTIONS(599),
    [anon_sym_LT_GT] = ACTIONS(593),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(593),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(593),
    [anon_sym_LT] = ACTIONS(599),
    [anon_sym_GT] = ACTIONS(599),
    [anon_sym_LT_EQ] = ACTIONS(599),
    [anon_sym_GT_EQ] = ACTIONS(593),
    [anon_sym_LT_EQ_GT] = ACTIONS(593),
    [anon_sym_LT_LT] = ACTIONS(599),
    [anon_sym_GT_GT] = ACTIONS(593),
    [anon_sym_DOT] = ACTIONS(599),
    [anon_sym_STAR] = ACTIONS(599),
    [anon_sym_SLASH] = ACTIONS(599),
    [anon_sym_PERCENT] = ACTIONS(593),
    [aux_sym_include_expression_token1] = ACTIONS(651),
    [aux_sym_include_once_expression_token1] = ACTIONS(653),
    [aux_sym_require_expression_token1] = ACTIONS(655),
    [aux_sym_require_once_expression_token1] = ACTIONS(657),
    [sym_comment] = ACTIONS(5),
  },
  [119] = {
    [sym_text_interpolation] = STATE(119),
    [sym_qualified_name] = STATE(810),
    [sym__name] = STATE(1626),
    [sym_namespace_name] = STATE(2507),
    [sym_static_modifier] = STATE(2368),
    [sym_anonymous_function] = STATE(1039),
    [sym__anonymous_function_header] = STATE(2318),
    [sym__arrow_function_header] = STATE(2547),
    [sym_arrow_function] = STATE(1039),
    [sym_literal] = STATE(1039),
    [sym_throw_expression] = STATE(1039),
    [sym_match_expression] = STATE(1026),
    [sym_expression] = STATE(1167),
    [sym__unary_expression] = STATE(1010),
    [sym_unary_op_expression] = STATE(1022),
    [sym_error_suppression_expression] = STATE(1026),
    [sym_clone_expression] = STATE(1022),
    [sym_primary_expression] = STATE(1022),
    [sym_parenthesized_expression] = STATE(811),
    [sym_class_constant_access_expression] = STATE(859),
    [sym_print_intrinsic] = STATE(1039),
    [sym_object_creation_expression] = STATE(1039),
    [sym__new_non_dereferencable_expression] = STATE(1009),
    [sym__new_dereferencable_expression] = STATE(842),
    [sym_update_expression] = STATE(1039),
    [sym_cast_expression] = STATE(1022),
    [sym_cast_variable] = STATE(656),
    [sym_assignment_expression] = STATE(1026),
    [sym_reference_assignment_expression] = STATE(1026),
    [sym_conditional_expression] = STATE(1026),
    [sym_augmented_assignment_expression] = STATE(1026),
    [sym__variable_member_access_expression] = STATE(613),
    [sym_member_access_expression] = STATE(656),
    [sym__variable_nullsafe_member_access_expression] = STATE(619),
    [sym_nullsafe_member_access_expression] = STATE(656),
    [sym__variable_scoped_property_access_expression] = STATE(602),
    [sym_scoped_property_access_expression] = STATE(656),
    [sym_list_literal] = STATE(2548),
    [sym__list_destructing] = STATE(2405),
    [sym__array_destructing] = STATE(2405),
    [sym_function_call_expression] = STATE(612),
    [sym__callable_expression] = STATE(2324),
    [sym_scoped_call_expression] = STATE(612),
    [sym__scope_resolution_qualifier] = STATE(2522),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(612),
    [sym_nullsafe_member_call_expression] = STATE(612),
    [sym_variadic_unpacking] = STATE(1012),
    [sym__variable_subscript_expression] = STATE(610),
    [sym__dereferencable_subscript_expression] = STATE(612),
    [sym__dereferencable_expression] = STATE(1948),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(766),
    [sym_attribute_group] = STATE(1373),
    [sym_attribute_list] = STATE(1879),
    [sym_encapsed_string] = STATE(767),
    [sym_string] = STATE(767),
    [sym_heredoc] = STATE(767),
    [sym_nowdoc] = STATE(767),
    [sym_shell_command_expression] = STATE(1039),
    [sym_boolean] = STATE(1036),
    [sym_null] = STATE(1036),
    [sym__string] = STATE(768),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(595),
    [sym__new_variable] = STATE(662),
    [sym__callable_variable] = STATE(646),
    [sym_variable_name] = STATE(618),
    [sym_by_ref] = STATE(1012),
    [sym_yield_expression] = STATE(1026),
    [sym_array_element_initializer] = STATE(1033),
    [sym_binary_expression] = STATE(1026),
    [sym_include_expression] = STATE(1026),
    [sym_include_once_expression] = STATE(1026),
    [sym_require_expression] = STATE(1026),
    [sym_require_once_expression] = STATE(1026),
    [sym__reserved_identifier] = STATE(717),
    [sym__identifier] = STATE(1496),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(593),
    [anon_sym_AMP] = ACTIONS(595),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [anon_sym_COMMA] = ACTIONS(593),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_RBRACE] = ACTIONS(593),
    [anon_sym_EQ_GT] = ACTIONS(593),
    [anon_sym_LPAREN2] = ACTIONS(659),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(661),
    [anon_sym_QMARK] = ACTIONS(599),
    [anon_sym_PIPE] = ACTIONS(599),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(663),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(665),
    [anon_sym_DASH] = ACTIONS(665),
    [anon_sym_TILDE] = ACTIONS(667),
    [anon_sym_BANG] = ACTIONS(665),
    [anon_sym_AT] = ACTIONS(669),
    [aux_sym_clone_expression_token1] = ACTIONS(671),
    [aux_sym_print_intrinsic_token1] = ACTIONS(673),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(675),
    [anon_sym_RBRACK] = ACTIONS(593),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(677),
    [aux_sym_yield_expression_token2] = ACTIONS(679),
    [aux_sym_binary_expression_token1] = ACTIONS(599),
    [anon_sym_QMARK_QMARK] = ACTIONS(593),
    [anon_sym_STAR_STAR] = ACTIONS(593),
    [aux_sym_binary_expression_token2] = ACTIONS(599),
    [aux_sym_binary_expression_token3] = ACTIONS(599),
    [aux_sym_binary_expression_token4] = ACTIONS(599),
    [anon_sym_PIPE_PIPE] = ACTIONS(593),
    [anon_sym_AMP_AMP] = ACTIONS(593),
    [anon_sym_CARET] = ACTIONS(593),
    [anon_sym_EQ_EQ] = ACTIONS(599),
    [anon_sym_BANG_EQ] = ACTIONS(599),
    [anon_sym_LT_GT] = ACTIONS(593),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(593),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(593),
    [anon_sym_LT] = ACTIONS(599),
    [anon_sym_GT] = ACTIONS(599),
    [anon_sym_LT_EQ] = ACTIONS(599),
    [anon_sym_GT_EQ] = ACTIONS(593),
    [anon_sym_LT_EQ_GT] = ACTIONS(593),
    [anon_sym_LT_LT] = ACTIONS(599),
    [anon_sym_GT_GT] = ACTIONS(593),
    [anon_sym_DOT] = ACTIONS(599),
    [anon_sym_STAR] = ACTIONS(599),
    [anon_sym_SLASH] = ACTIONS(599),
    [anon_sym_PERCENT] = ACTIONS(593),
    [aux_sym_include_expression_token1] = ACTIONS(681),
    [aux_sym_include_once_expression_token1] = ACTIONS(683),
    [aux_sym_require_expression_token1] = ACTIONS(685),
    [aux_sym_require_once_expression_token1] = ACTIONS(687),
    [sym_comment] = ACTIONS(5),
  },
  [120] = {
    [sym_text_interpolation] = STATE(120),
    [sym_qualified_name] = STATE(1000),
    [sym__name] = STATE(1631),
    [sym_namespace_name] = STATE(2575),
    [sym_static_modifier] = STATE(2368),
    [sym_anonymous_function] = STATE(1148),
    [sym__anonymous_function_header] = STATE(2489),
    [sym__arrow_function_header] = STATE(2731),
    [sym_arrow_function] = STATE(1148),
    [sym_literal] = STATE(1148),
    [sym_throw_expression] = STATE(1148),
    [sym_match_expression] = STATE(1152),
    [sym_expression] = STATE(1098),
    [sym__unary_expression] = STATE(1159),
    [sym_unary_op_expression] = STATE(1172),
    [sym_error_suppression_expression] = STATE(1152),
    [sym_clone_expression] = STATE(1172),
    [sym_primary_expression] = STATE(1172),
    [sym_parenthesized_expression] = STATE(964),
    [sym_class_constant_access_expression] = STATE(1019),
    [sym_print_intrinsic] = STATE(1148),
    [sym_object_creation_expression] = STATE(1148),
    [sym__new_non_dereferencable_expression] = STATE(1168),
    [sym__new_dereferencable_expression] = STATE(966),
    [sym_update_expression] = STATE(1148),
    [sym_cast_expression] = STATE(1172),
    [sym_cast_variable] = STATE(661),
    [sym_assignment_expression] = STATE(1152),
    [sym_reference_assignment_expression] = STATE(1152),
    [sym_conditional_expression] = STATE(1152),
    [sym_augmented_assignment_expression] = STATE(1152),
    [sym__variable_member_access_expression] = STATE(674),
    [sym_member_access_expression] = STATE(661),
    [sym__variable_nullsafe_member_access_expression] = STATE(663),
    [sym_nullsafe_member_access_expression] = STATE(661),
    [sym__variable_scoped_property_access_expression] = STATE(664),
    [sym_scoped_property_access_expression] = STATE(661),
    [sym_list_literal] = STATE(2530),
    [sym__list_destructing] = STATE(2405),
    [sym__array_destructing] = STATE(2405),
    [sym_function_call_expression] = STATE(634),
    [sym__callable_expression] = STATE(2471),
    [sym_scoped_call_expression] = STATE(634),
    [sym__scope_resolution_qualifier] = STATE(2651),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(634),
    [sym_nullsafe_member_call_expression] = STATE(634),
    [sym_variadic_unpacking] = STATE(1094),
    [sym__variable_subscript_expression] = STATE(665),
    [sym__dereferencable_subscript_expression] = STATE(634),
    [sym__dereferencable_expression] = STATE(1946),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(1005),
    [sym_attribute_group] = STATE(1373),
    [sym_attribute_list] = STATE(1879),
    [sym_encapsed_string] = STATE(927),
    [sym_string] = STATE(927),
    [sym_heredoc] = STATE(927),
    [sym_nowdoc] = STATE(927),
    [sym_shell_command_expression] = STATE(1148),
    [sym_boolean] = STATE(1162),
    [sym_null] = STATE(1162),
    [sym__string] = STATE(941),
    [sym_dynamic_variable_name] = STATE(650),
    [sym__simple_variable] = STATE(654),
    [sym__new_variable] = STATE(667),
    [sym__callable_variable] = STATE(629),
    [sym_variable_name] = STATE(650),
    [sym_by_ref] = STATE(1094),
    [sym_yield_expression] = STATE(1152),
    [sym_array_element_initializer] = STATE(1100),
    [sym_binary_expression] = STATE(1152),
    [sym_include_expression] = STATE(1152),
    [sym_include_once_expression] = STATE(1152),
    [sym_require_expression] = STATE(1152),
    [sym_require_once_expression] = STATE(1152),
    [sym__reserved_identifier] = STATE(717),
    [sym__identifier] = STATE(1496),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(689),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(593),
    [anon_sym_AMP] = ACTIONS(691),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [anon_sym_COMMA] = ACTIONS(593),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(593),
    [anon_sym_EQ_GT] = ACTIONS(593),
    [anon_sym_LPAREN2] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(693),
    [anon_sym_QMARK] = ACTIONS(599),
    [anon_sym_PIPE] = ACTIONS(599),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [sym_float] = ACTIONS(266),
    [sym_integer] = ACTIONS(266),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(294),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_yield_expression_token2] = ACTIONS(695),
    [aux_sym_binary_expression_token1] = ACTIONS(599),
    [anon_sym_QMARK_QMARK] = ACTIONS(593),
    [anon_sym_STAR_STAR] = ACTIONS(593),
    [aux_sym_binary_expression_token2] = ACTIONS(599),
    [aux_sym_binary_expression_token3] = ACTIONS(599),
    [aux_sym_binary_expression_token4] = ACTIONS(599),
    [anon_sym_PIPE_PIPE] = ACTIONS(593),
    [anon_sym_AMP_AMP] = ACTIONS(593),
    [anon_sym_CARET] = ACTIONS(593),
    [anon_sym_EQ_EQ] = ACTIONS(599),
    [anon_sym_BANG_EQ] = ACTIONS(599),
    [anon_sym_LT_GT] = ACTIONS(593),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(593),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(593),
    [anon_sym_LT] = ACTIONS(599),
    [anon_sym_GT] = ACTIONS(599),
    [anon_sym_LT_EQ] = ACTIONS(599),
    [anon_sym_GT_EQ] = ACTIONS(593),
    [anon_sym_LT_EQ_GT] = ACTIONS(593),
    [anon_sym_LT_LT] = ACTIONS(599),
    [anon_sym_GT_GT] = ACTIONS(593),
    [anon_sym_DOT] = ACTIONS(599),
    [anon_sym_STAR] = ACTIONS(599),
    [anon_sym_SLASH] = ACTIONS(599),
    [anon_sym_PERCENT] = ACTIONS(593),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(593),
  },
  [121] = {
    [sym_text_interpolation] = STATE(121),
    [sym_qualified_name] = STATE(810),
    [sym__name] = STATE(1626),
    [sym_namespace_name] = STATE(2507),
    [sym_static_modifier] = STATE(2368),
    [sym_anonymous_function] = STATE(1039),
    [sym__anonymous_function_header] = STATE(2318),
    [sym__arrow_function_header] = STATE(2639),
    [sym_arrow_function] = STATE(1039),
    [sym_literal] = STATE(1039),
    [sym_throw_expression] = STATE(1039),
    [sym_match_expression] = STATE(1026),
    [sym_expression] = STATE(1205),
    [sym__unary_expression] = STATE(1010),
    [sym_unary_op_expression] = STATE(1022),
    [sym_error_suppression_expression] = STATE(1026),
    [sym_clone_expression] = STATE(1022),
    [sym_primary_expression] = STATE(1022),
    [sym_parenthesized_expression] = STATE(811),
    [sym_class_constant_access_expression] = STATE(859),
    [sym_print_intrinsic] = STATE(1039),
    [sym_object_creation_expression] = STATE(1039),
    [sym__new_non_dereferencable_expression] = STATE(1009),
    [sym__new_dereferencable_expression] = STATE(842),
    [sym_update_expression] = STATE(1039),
    [sym_cast_expression] = STATE(1022),
    [sym_cast_variable] = STATE(681),
    [sym_assignment_expression] = STATE(1026),
    [sym_reference_assignment_expression] = STATE(1026),
    [sym_conditional_expression] = STATE(1026),
    [sym_augmented_assignment_expression] = STATE(1026),
    [sym__variable_member_access_expression] = STATE(613),
    [sym_member_access_expression] = STATE(681),
    [sym__variable_nullsafe_member_access_expression] = STATE(619),
    [sym_nullsafe_member_access_expression] = STATE(681),
    [sym__variable_scoped_property_access_expression] = STATE(602),
    [sym_scoped_property_access_expression] = STATE(681),
    [sym_list_literal] = STATE(2640),
    [sym__list_destructing] = STATE(2405),
    [sym__array_destructing] = STATE(2405),
    [sym_function_call_expression] = STATE(612),
    [sym__callable_expression] = STATE(2324),
    [sym_scoped_call_expression] = STATE(612),
    [sym__scope_resolution_qualifier] = STATE(2522),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(612),
    [sym_nullsafe_member_call_expression] = STATE(612),
    [sym_variadic_unpacking] = STATE(1012),
    [sym__variable_subscript_expression] = STATE(610),
    [sym__dereferencable_subscript_expression] = STATE(612),
    [sym__dereferencable_expression] = STATE(1948),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(766),
    [sym_attribute_group] = STATE(1373),
    [sym_attribute_list] = STATE(1879),
    [sym_encapsed_string] = STATE(767),
    [sym_string] = STATE(767),
    [sym_heredoc] = STATE(767),
    [sym_nowdoc] = STATE(767),
    [sym_shell_command_expression] = STATE(1039),
    [sym_boolean] = STATE(1036),
    [sym_null] = STATE(1036),
    [sym__string] = STATE(768),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(595),
    [sym__new_variable] = STATE(683),
    [sym__callable_variable] = STATE(657),
    [sym_variable_name] = STATE(618),
    [sym_by_ref] = STATE(1012),
    [sym_yield_expression] = STATE(1026),
    [sym_array_element_initializer] = STATE(1033),
    [sym_binary_expression] = STATE(1026),
    [sym_include_expression] = STATE(1026),
    [sym_include_once_expression] = STATE(1026),
    [sym_require_expression] = STATE(1026),
    [sym_require_once_expression] = STATE(1026),
    [sym__reserved_identifier] = STATE(717),
    [sym__identifier] = STATE(1496),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_AMP] = ACTIONS(595),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [anon_sym_COMMA] = ACTIONS(593),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LBRACE] = ACTIONS(593),
    [anon_sym_EQ_GT] = ACTIONS(593),
    [anon_sym_LPAREN2] = ACTIONS(697),
    [anon_sym_RPAREN2] = ACTIONS(593),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(699),
    [anon_sym_QMARK] = ACTIONS(599),
    [anon_sym_PIPE] = ACTIONS(599),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(701),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(703),
    [anon_sym_DASH] = ACTIONS(703),
    [anon_sym_TILDE] = ACTIONS(705),
    [anon_sym_BANG] = ACTIONS(703),
    [anon_sym_AT] = ACTIONS(707),
    [aux_sym_clone_expression_token1] = ACTIONS(709),
    [aux_sym_print_intrinsic_token1] = ACTIONS(711),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(713),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_yield_expression_token2] = ACTIONS(717),
    [aux_sym_binary_expression_token1] = ACTIONS(599),
    [anon_sym_QMARK_QMARK] = ACTIONS(593),
    [anon_sym_STAR_STAR] = ACTIONS(593),
    [aux_sym_binary_expression_token2] = ACTIONS(599),
    [aux_sym_binary_expression_token3] = ACTIONS(599),
    [aux_sym_binary_expression_token4] = ACTIONS(599),
    [anon_sym_PIPE_PIPE] = ACTIONS(593),
    [anon_sym_AMP_AMP] = ACTIONS(593),
    [anon_sym_CARET] = ACTIONS(593),
    [anon_sym_EQ_EQ] = ACTIONS(599),
    [anon_sym_BANG_EQ] = ACTIONS(599),
    [anon_sym_LT_GT] = ACTIONS(593),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(593),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(593),
    [anon_sym_LT] = ACTIONS(599),
    [anon_sym_GT] = ACTIONS(599),
    [anon_sym_LT_EQ] = ACTIONS(599),
    [anon_sym_GT_EQ] = ACTIONS(593),
    [anon_sym_LT_EQ_GT] = ACTIONS(593),
    [anon_sym_LT_LT] = ACTIONS(599),
    [anon_sym_GT_GT] = ACTIONS(593),
    [anon_sym_DOT] = ACTIONS(599),
    [anon_sym_STAR] = ACTIONS(599),
    [anon_sym_SLASH] = ACTIONS(599),
    [anon_sym_PERCENT] = ACTIONS(593),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(5),
  },
  [122] = {
    [sym_text_interpolation] = STATE(122),
    [sym_qualified_name] = STATE(810),
    [sym__name] = STATE(1626),
    [sym_namespace_name] = STATE(2507),
    [sym_static_modifier] = STATE(2368),
    [sym_anonymous_function] = STATE(1039),
    [sym__anonymous_function_header] = STATE(2318),
    [sym__arrow_function_header] = STATE(2679),
    [sym_arrow_function] = STATE(1039),
    [sym_cast_type] = STATE(2550),
    [sym_literal] = STATE(1039),
    [sym_throw_expression] = STATE(1039),
    [sym_match_expression] = STATE(1026),
    [sym_expression] = STATE(1288),
    [sym__unary_expression] = STATE(1010),
    [sym_unary_op_expression] = STATE(1022),
    [sym_error_suppression_expression] = STATE(1026),
    [sym_clone_expression] = STATE(1022),
    [sym_primary_expression] = STATE(1022),
    [sym_parenthesized_expression] = STATE(811),
    [sym_class_constant_access_expression] = STATE(859),
    [sym_print_intrinsic] = STATE(1039),
    [sym_object_creation_expression] = STATE(1039),
    [sym__new_non_dereferencable_expression] = STATE(1009),
    [sym__new_dereferencable_expression] = STATE(842),
    [sym_update_expression] = STATE(1039),
    [sym_cast_expression] = STATE(1022),
    [sym_cast_variable] = STATE(630),
    [sym_assignment_expression] = STATE(1026),
    [sym_reference_assignment_expression] = STATE(1026),
    [sym_conditional_expression] = STATE(1026),
    [sym_augmented_assignment_expression] = STATE(1026),
    [sym__variable_member_access_expression] = STATE(613),
    [sym_member_access_expression] = STATE(630),
    [sym__variable_nullsafe_member_access_expression] = STATE(619),
    [sym_nullsafe_member_access_expression] = STATE(630),
    [sym__variable_scoped_property_access_expression] = STATE(602),
    [sym_scoped_property_access_expression] = STATE(630),
    [sym_list_literal] = STATE(2632),
    [sym__list_destructing] = STATE(2405),
    [sym__array_destructing] = STATE(2405),
    [sym_function_call_expression] = STATE(612),
    [sym__callable_expression] = STATE(2324),
    [sym_scoped_call_expression] = STATE(612),
    [sym__scope_resolution_qualifier] = STATE(2522),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(612),
    [sym_nullsafe_member_call_expression] = STATE(612),
    [sym__variable_subscript_expression] = STATE(610),
    [sym__dereferencable_subscript_expression] = STATE(612),
    [sym__dereferencable_expression] = STATE(1948),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(766),
    [sym_attribute_group] = STATE(1373),
    [sym_attribute_list] = STATE(1879),
    [sym_encapsed_string] = STATE(767),
    [sym_string] = STATE(767),
    [sym_heredoc] = STATE(767),
    [sym_nowdoc] = STATE(767),
    [sym_shell_command_expression] = STATE(1039),
    [sym_boolean] = STATE(1036),
    [sym_null] = STATE(1036),
    [sym__string] = STATE(768),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(595),
    [sym__new_variable] = STATE(653),
    [sym__callable_variable] = STATE(623),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1026),
    [sym_binary_expression] = STATE(1026),
    [sym_include_expression] = STATE(1026),
    [sym_include_once_expression] = STATE(1026),
    [sym_require_expression] = STATE(1026),
    [sym_require_once_expression] = STATE(1026),
    [sym__reserved_identifier] = STATE(717),
    [sym__identifier] = STATE(1496),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(605),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(727),
    [aux_sym_cast_type_token2] = ACTIONS(729),
    [aux_sym_cast_type_token3] = ACTIONS(729),
    [aux_sym_cast_type_token4] = ACTIONS(729),
    [aux_sym_cast_type_token5] = ACTIONS(729),
    [aux_sym_cast_type_token6] = ACTIONS(729),
    [aux_sym_cast_type_token7] = ACTIONS(729),
    [aux_sym_cast_type_token8] = ACTIONS(729),
    [aux_sym_cast_type_token9] = ACTIONS(729),
    [aux_sym_cast_type_token10] = ACTIONS(729),
    [aux_sym_cast_type_token11] = ACTIONS(729),
    [aux_sym_cast_type_token12] = ACTIONS(729),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(613),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(617),
    [anon_sym_DASH] = ACTIONS(617),
    [anon_sym_TILDE] = ACTIONS(619),
    [anon_sym_BANG] = ACTIONS(619),
    [anon_sym_AT] = ACTIONS(621),
    [aux_sym_clone_expression_token1] = ACTIONS(623),
    [aux_sym_print_intrinsic_token1] = ACTIONS(625),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(631),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(647),
    [aux_sym_include_expression_token1] = ACTIONS(651),
    [aux_sym_include_once_expression_token1] = ACTIONS(653),
    [aux_sym_require_expression_token1] = ACTIONS(655),
    [aux_sym_require_once_expression_token1] = ACTIONS(657),
    [sym_comment] = ACTIONS(5),
  },
  [123] = {
    [sym_text_interpolation] = STATE(123),
    [sym_qualified_name] = STATE(810),
    [sym__name] = STATE(1626),
    [sym_namespace_name] = STATE(2507),
    [sym_static_modifier] = STATE(2368),
    [sym_anonymous_function] = STATE(1039),
    [sym__anonymous_function_header] = STATE(2318),
    [sym__arrow_function_header] = STATE(2679),
    [sym_arrow_function] = STATE(1039),
    [sym_cast_type] = STATE(2541),
    [sym_literal] = STATE(1039),
    [sym_throw_expression] = STATE(1039),
    [sym_match_expression] = STATE(1026),
    [sym_expression] = STATE(1288),
    [sym__unary_expression] = STATE(1010),
    [sym_unary_op_expression] = STATE(1022),
    [sym_error_suppression_expression] = STATE(1026),
    [sym_clone_expression] = STATE(1022),
    [sym_primary_expression] = STATE(1022),
    [sym_parenthesized_expression] = STATE(811),
    [sym_class_constant_access_expression] = STATE(859),
    [sym_print_intrinsic] = STATE(1039),
    [sym_object_creation_expression] = STATE(1039),
    [sym__new_non_dereferencable_expression] = STATE(1009),
    [sym__new_dereferencable_expression] = STATE(842),
    [sym_update_expression] = STATE(1039),
    [sym_cast_expression] = STATE(1022),
    [sym_cast_variable] = STATE(630),
    [sym_assignment_expression] = STATE(1026),
    [sym_reference_assignment_expression] = STATE(1026),
    [sym_conditional_expression] = STATE(1026),
    [sym_augmented_assignment_expression] = STATE(1026),
    [sym__variable_member_access_expression] = STATE(613),
    [sym_member_access_expression] = STATE(630),
    [sym__variable_nullsafe_member_access_expression] = STATE(619),
    [sym_nullsafe_member_access_expression] = STATE(630),
    [sym__variable_scoped_property_access_expression] = STATE(602),
    [sym_scoped_property_access_expression] = STATE(630),
    [sym_list_literal] = STATE(2632),
    [sym__list_destructing] = STATE(2405),
    [sym__array_destructing] = STATE(2405),
    [sym_function_call_expression] = STATE(612),
    [sym__callable_expression] = STATE(2324),
    [sym_scoped_call_expression] = STATE(612),
    [sym__scope_resolution_qualifier] = STATE(2522),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(612),
    [sym_nullsafe_member_call_expression] = STATE(612),
    [sym__variable_subscript_expression] = STATE(610),
    [sym__dereferencable_subscript_expression] = STATE(612),
    [sym__dereferencable_expression] = STATE(1948),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(766),
    [sym_attribute_group] = STATE(1373),
    [sym_attribute_list] = STATE(1879),
    [sym_encapsed_string] = STATE(767),
    [sym_string] = STATE(767),
    [sym_heredoc] = STATE(767),
    [sym_nowdoc] = STATE(767),
    [sym_shell_command_expression] = STATE(1039),
    [sym_boolean] = STATE(1036),
    [sym_null] = STATE(1036),
    [sym__string] = STATE(768),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(595),
    [sym__new_variable] = STATE(653),
    [sym__callable_variable] = STATE(623),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1026),
    [sym_binary_expression] = STATE(1026),
    [sym_include_expression] = STATE(1026),
    [sym_include_once_expression] = STATE(1026),
    [sym_require_expression] = STATE(1026),
    [sym_require_once_expression] = STATE(1026),
    [sym__reserved_identifier] = STATE(717),
    [sym__identifier] = STATE(1496),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(605),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(727),
    [aux_sym_cast_type_token2] = ACTIONS(729),
    [aux_sym_cast_type_token3] = ACTIONS(729),
    [aux_sym_cast_type_token4] = ACTIONS(729),
    [aux_sym_cast_type_token5] = ACTIONS(729),
    [aux_sym_cast_type_token6] = ACTIONS(729),
    [aux_sym_cast_type_token7] = ACTIONS(729),
    [aux_sym_cast_type_token8] = ACTIONS(729),
    [aux_sym_cast_type_token9] = ACTIONS(729),
    [aux_sym_cast_type_token10] = ACTIONS(729),
    [aux_sym_cast_type_token11] = ACTIONS(729),
    [aux_sym_cast_type_token12] = ACTIONS(729),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(613),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(617),
    [anon_sym_DASH] = ACTIONS(617),
    [anon_sym_TILDE] = ACTIONS(619),
    [anon_sym_BANG] = ACTIONS(619),
    [anon_sym_AT] = ACTIONS(621),
    [aux_sym_clone_expression_token1] = ACTIONS(623),
    [aux_sym_print_intrinsic_token1] = ACTIONS(625),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(631),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(647),
    [aux_sym_include_expression_token1] = ACTIONS(651),
    [aux_sym_include_once_expression_token1] = ACTIONS(653),
    [aux_sym_require_expression_token1] = ACTIONS(655),
    [aux_sym_require_once_expression_token1] = ACTIONS(657),
    [sym_comment] = ACTIONS(5),
  },
  [124] = {
    [sym_text_interpolation] = STATE(124),
    [sym_qualified_name] = STATE(810),
    [sym__name] = STATE(1626),
    [sym_namespace_name] = STATE(2507),
    [sym_static_modifier] = STATE(2368),
    [sym_anonymous_function] = STATE(1039),
    [sym__anonymous_function_header] = STATE(2318),
    [sym__arrow_function_header] = STATE(2679),
    [sym_arrow_function] = STATE(1039),
    [sym_cast_type] = STATE(2528),
    [sym_literal] = STATE(1039),
    [sym_throw_expression] = STATE(1039),
    [sym_match_expression] = STATE(1026),
    [sym_expression] = STATE(1285),
    [sym__unary_expression] = STATE(1010),
    [sym_unary_op_expression] = STATE(1022),
    [sym_error_suppression_expression] = STATE(1026),
    [sym_clone_expression] = STATE(1022),
    [sym_primary_expression] = STATE(1022),
    [sym_parenthesized_expression] = STATE(811),
    [sym_class_constant_access_expression] = STATE(859),
    [sym_print_intrinsic] = STATE(1039),
    [sym_object_creation_expression] = STATE(1039),
    [sym__new_non_dereferencable_expression] = STATE(1009),
    [sym__new_dereferencable_expression] = STATE(842),
    [sym_update_expression] = STATE(1039),
    [sym_cast_expression] = STATE(1022),
    [sym_cast_variable] = STATE(630),
    [sym_assignment_expression] = STATE(1026),
    [sym_reference_assignment_expression] = STATE(1026),
    [sym_conditional_expression] = STATE(1026),
    [sym_augmented_assignment_expression] = STATE(1026),
    [sym__variable_member_access_expression] = STATE(613),
    [sym_member_access_expression] = STATE(630),
    [sym__variable_nullsafe_member_access_expression] = STATE(619),
    [sym_nullsafe_member_access_expression] = STATE(630),
    [sym__variable_scoped_property_access_expression] = STATE(602),
    [sym_scoped_property_access_expression] = STATE(630),
    [sym_list_literal] = STATE(2632),
    [sym__list_destructing] = STATE(2405),
    [sym__array_destructing] = STATE(2405),
    [sym_function_call_expression] = STATE(612),
    [sym__callable_expression] = STATE(2324),
    [sym_scoped_call_expression] = STATE(612),
    [sym__scope_resolution_qualifier] = STATE(2522),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(612),
    [sym_nullsafe_member_call_expression] = STATE(612),
    [sym__variable_subscript_expression] = STATE(610),
    [sym__dereferencable_subscript_expression] = STATE(612),
    [sym__dereferencable_expression] = STATE(1948),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(766),
    [sym_attribute_group] = STATE(1373),
    [sym_attribute_list] = STATE(1879),
    [sym_encapsed_string] = STATE(767),
    [sym_string] = STATE(767),
    [sym_heredoc] = STATE(767),
    [sym_nowdoc] = STATE(767),
    [sym_shell_command_expression] = STATE(1039),
    [sym_boolean] = STATE(1036),
    [sym_null] = STATE(1036),
    [sym__string] = STATE(768),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(595),
    [sym__new_variable] = STATE(653),
    [sym__callable_variable] = STATE(623),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1026),
    [sym_binary_expression] = STATE(1026),
    [sym_include_expression] = STATE(1026),
    [sym_include_once_expression] = STATE(1026),
    [sym_require_expression] = STATE(1026),
    [sym_require_once_expression] = STATE(1026),
    [sym__reserved_identifier] = STATE(717),
    [sym__identifier] = STATE(1496),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(605),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(727),
    [aux_sym_cast_type_token2] = ACTIONS(729),
    [aux_sym_cast_type_token3] = ACTIONS(729),
    [aux_sym_cast_type_token4] = ACTIONS(729),
    [aux_sym_cast_type_token5] = ACTIONS(729),
    [aux_sym_cast_type_token6] = ACTIONS(729),
    [aux_sym_cast_type_token7] = ACTIONS(729),
    [aux_sym_cast_type_token8] = ACTIONS(729),
    [aux_sym_cast_type_token9] = ACTIONS(729),
    [aux_sym_cast_type_token10] = ACTIONS(729),
    [aux_sym_cast_type_token11] = ACTIONS(729),
    [aux_sym_cast_type_token12] = ACTIONS(729),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(613),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(617),
    [anon_sym_DASH] = ACTIONS(617),
    [anon_sym_TILDE] = ACTIONS(619),
    [anon_sym_BANG] = ACTIONS(619),
    [anon_sym_AT] = ACTIONS(621),
    [aux_sym_clone_expression_token1] = ACTIONS(623),
    [aux_sym_print_intrinsic_token1] = ACTIONS(625),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(631),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(647),
    [aux_sym_include_expression_token1] = ACTIONS(651),
    [aux_sym_include_once_expression_token1] = ACTIONS(653),
    [aux_sym_require_expression_token1] = ACTIONS(655),
    [aux_sym_require_once_expression_token1] = ACTIONS(657),
    [sym_comment] = ACTIONS(5),
  },
  [125] = {
    [sym_text_interpolation] = STATE(125),
    [sym_qualified_name] = STATE(810),
    [sym__name] = STATE(1626),
    [sym_namespace_name] = STATE(2507),
    [sym_static_modifier] = STATE(2368),
    [sym_anonymous_function] = STATE(1039),
    [sym__anonymous_function_header] = STATE(2318),
    [sym__arrow_function_header] = STATE(2679),
    [sym_arrow_function] = STATE(1039),
    [sym_cast_type] = STATE(2571),
    [sym_literal] = STATE(1039),
    [sym_throw_expression] = STATE(1039),
    [sym_match_expression] = STATE(1026),
    [sym_expression] = STATE(1285),
    [sym__unary_expression] = STATE(1010),
    [sym_unary_op_expression] = STATE(1022),
    [sym_error_suppression_expression] = STATE(1026),
    [sym_clone_expression] = STATE(1022),
    [sym_primary_expression] = STATE(1022),
    [sym_parenthesized_expression] = STATE(811),
    [sym_class_constant_access_expression] = STATE(859),
    [sym_print_intrinsic] = STATE(1039),
    [sym_object_creation_expression] = STATE(1039),
    [sym__new_non_dereferencable_expression] = STATE(1009),
    [sym__new_dereferencable_expression] = STATE(842),
    [sym_update_expression] = STATE(1039),
    [sym_cast_expression] = STATE(1022),
    [sym_cast_variable] = STATE(630),
    [sym_assignment_expression] = STATE(1026),
    [sym_reference_assignment_expression] = STATE(1026),
    [sym_conditional_expression] = STATE(1026),
    [sym_augmented_assignment_expression] = STATE(1026),
    [sym__variable_member_access_expression] = STATE(613),
    [sym_member_access_expression] = STATE(630),
    [sym__variable_nullsafe_member_access_expression] = STATE(619),
    [sym_nullsafe_member_access_expression] = STATE(630),
    [sym__variable_scoped_property_access_expression] = STATE(602),
    [sym_scoped_property_access_expression] = STATE(630),
    [sym_list_literal] = STATE(2632),
    [sym__list_destructing] = STATE(2405),
    [sym__array_destructing] = STATE(2405),
    [sym_function_call_expression] = STATE(612),
    [sym__callable_expression] = STATE(2324),
    [sym_scoped_call_expression] = STATE(612),
    [sym__scope_resolution_qualifier] = STATE(2522),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(612),
    [sym_nullsafe_member_call_expression] = STATE(612),
    [sym__variable_subscript_expression] = STATE(610),
    [sym__dereferencable_subscript_expression] = STATE(612),
    [sym__dereferencable_expression] = STATE(1948),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(766),
    [sym_attribute_group] = STATE(1373),
    [sym_attribute_list] = STATE(1879),
    [sym_encapsed_string] = STATE(767),
    [sym_string] = STATE(767),
    [sym_heredoc] = STATE(767),
    [sym_nowdoc] = STATE(767),
    [sym_shell_command_expression] = STATE(1039),
    [sym_boolean] = STATE(1036),
    [sym_null] = STATE(1036),
    [sym__string] = STATE(768),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(595),
    [sym__new_variable] = STATE(653),
    [sym__callable_variable] = STATE(623),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1026),
    [sym_binary_expression] = STATE(1026),
    [sym_include_expression] = STATE(1026),
    [sym_include_once_expression] = STATE(1026),
    [sym_require_expression] = STATE(1026),
    [sym_require_once_expression] = STATE(1026),
    [sym__reserved_identifier] = STATE(717),
    [sym__identifier] = STATE(1496),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(605),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(727),
    [aux_sym_cast_type_token2] = ACTIONS(729),
    [aux_sym_cast_type_token3] = ACTIONS(729),
    [aux_sym_cast_type_token4] = ACTIONS(729),
    [aux_sym_cast_type_token5] = ACTIONS(729),
    [aux_sym_cast_type_token6] = ACTIONS(729),
    [aux_sym_cast_type_token7] = ACTIONS(729),
    [aux_sym_cast_type_token8] = ACTIONS(729),
    [aux_sym_cast_type_token9] = ACTIONS(729),
    [aux_sym_cast_type_token10] = ACTIONS(729),
    [aux_sym_cast_type_token11] = ACTIONS(729),
    [aux_sym_cast_type_token12] = ACTIONS(729),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(613),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(617),
    [anon_sym_DASH] = ACTIONS(617),
    [anon_sym_TILDE] = ACTIONS(619),
    [anon_sym_BANG] = ACTIONS(619),
    [anon_sym_AT] = ACTIONS(621),
    [aux_sym_clone_expression_token1] = ACTIONS(623),
    [aux_sym_print_intrinsic_token1] = ACTIONS(625),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(631),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(647),
    [aux_sym_include_expression_token1] = ACTIONS(651),
    [aux_sym_include_once_expression_token1] = ACTIONS(653),
    [aux_sym_require_expression_token1] = ACTIONS(655),
    [aux_sym_require_once_expression_token1] = ACTIONS(657),
    [sym_comment] = ACTIONS(5),
  },
  [126] = {
    [sym_text_interpolation] = STATE(126),
    [sym_qualified_name] = STATE(810),
    [sym__name] = STATE(1626),
    [sym_namespace_name] = STATE(2507),
    [sym_static_modifier] = STATE(2368),
    [sym_anonymous_function] = STATE(1039),
    [sym__anonymous_function_header] = STATE(2318),
    [sym__arrow_function_header] = STATE(2679),
    [sym_arrow_function] = STATE(1039),
    [sym_cast_type] = STATE(2541),
    [sym_literal] = STATE(1039),
    [sym_throw_expression] = STATE(1039),
    [sym_match_expression] = STATE(1026),
    [sym_expression] = STATE(1285),
    [sym__unary_expression] = STATE(1010),
    [sym_unary_op_expression] = STATE(1022),
    [sym_error_suppression_expression] = STATE(1026),
    [sym_clone_expression] = STATE(1022),
    [sym_primary_expression] = STATE(1022),
    [sym_parenthesized_expression] = STATE(811),
    [sym_class_constant_access_expression] = STATE(859),
    [sym_print_intrinsic] = STATE(1039),
    [sym_object_creation_expression] = STATE(1039),
    [sym__new_non_dereferencable_expression] = STATE(1009),
    [sym__new_dereferencable_expression] = STATE(842),
    [sym_update_expression] = STATE(1039),
    [sym_cast_expression] = STATE(1022),
    [sym_cast_variable] = STATE(630),
    [sym_assignment_expression] = STATE(1026),
    [sym_reference_assignment_expression] = STATE(1026),
    [sym_conditional_expression] = STATE(1026),
    [sym_augmented_assignment_expression] = STATE(1026),
    [sym__variable_member_access_expression] = STATE(613),
    [sym_member_access_expression] = STATE(630),
    [sym__variable_nullsafe_member_access_expression] = STATE(619),
    [sym_nullsafe_member_access_expression] = STATE(630),
    [sym__variable_scoped_property_access_expression] = STATE(602),
    [sym_scoped_property_access_expression] = STATE(630),
    [sym_list_literal] = STATE(2632),
    [sym__list_destructing] = STATE(2405),
    [sym__array_destructing] = STATE(2405),
    [sym_function_call_expression] = STATE(612),
    [sym__callable_expression] = STATE(2324),
    [sym_scoped_call_expression] = STATE(612),
    [sym__scope_resolution_qualifier] = STATE(2522),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(612),
    [sym_nullsafe_member_call_expression] = STATE(612),
    [sym__variable_subscript_expression] = STATE(610),
    [sym__dereferencable_subscript_expression] = STATE(612),
    [sym__dereferencable_expression] = STATE(1948),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(766),
    [sym_attribute_group] = STATE(1373),
    [sym_attribute_list] = STATE(1879),
    [sym_encapsed_string] = STATE(767),
    [sym_string] = STATE(767),
    [sym_heredoc] = STATE(767),
    [sym_nowdoc] = STATE(767),
    [sym_shell_command_expression] = STATE(1039),
    [sym_boolean] = STATE(1036),
    [sym_null] = STATE(1036),
    [sym__string] = STATE(768),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(595),
    [sym__new_variable] = STATE(653),
    [sym__callable_variable] = STATE(623),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1026),
    [sym_binary_expression] = STATE(1026),
    [sym_include_expression] = STATE(1026),
    [sym_include_once_expression] = STATE(1026),
    [sym_require_expression] = STATE(1026),
    [sym_require_once_expression] = STATE(1026),
    [sym__reserved_identifier] = STATE(717),
    [sym__identifier] = STATE(1496),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(605),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(727),
    [aux_sym_cast_type_token2] = ACTIONS(729),
    [aux_sym_cast_type_token3] = ACTIONS(729),
    [aux_sym_cast_type_token4] = ACTIONS(729),
    [aux_sym_cast_type_token5] = ACTIONS(729),
    [aux_sym_cast_type_token6] = ACTIONS(729),
    [aux_sym_cast_type_token7] = ACTIONS(729),
    [aux_sym_cast_type_token8] = ACTIONS(729),
    [aux_sym_cast_type_token9] = ACTIONS(729),
    [aux_sym_cast_type_token10] = ACTIONS(729),
    [aux_sym_cast_type_token11] = ACTIONS(729),
    [aux_sym_cast_type_token12] = ACTIONS(729),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(613),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(617),
    [anon_sym_DASH] = ACTIONS(617),
    [anon_sym_TILDE] = ACTIONS(619),
    [anon_sym_BANG] = ACTIONS(619),
    [anon_sym_AT] = ACTIONS(621),
    [aux_sym_clone_expression_token1] = ACTIONS(623),
    [aux_sym_print_intrinsic_token1] = ACTIONS(625),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(631),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(647),
    [aux_sym_include_expression_token1] = ACTIONS(651),
    [aux_sym_include_once_expression_token1] = ACTIONS(653),
    [aux_sym_require_expression_token1] = ACTIONS(655),
    [aux_sym_require_once_expression_token1] = ACTIONS(657),
    [sym_comment] = ACTIONS(5),
  },
  [127] = {
    [sym_text_interpolation] = STATE(127),
    [sym_qualified_name] = STATE(810),
    [sym__name] = STATE(1626),
    [sym_namespace_name] = STATE(2507),
    [sym_static_modifier] = STATE(2368),
    [sym_anonymous_function] = STATE(1039),
    [sym__anonymous_function_header] = STATE(2318),
    [sym__arrow_function_header] = STATE(2679),
    [sym_arrow_function] = STATE(1039),
    [sym_cast_type] = STATE(2641),
    [sym_literal] = STATE(1039),
    [sym_throw_expression] = STATE(1039),
    [sym_match_expression] = STATE(1026),
    [sym_expression] = STATE(1285),
    [sym__unary_expression] = STATE(1010),
    [sym_unary_op_expression] = STATE(1022),
    [sym_error_suppression_expression] = STATE(1026),
    [sym_clone_expression] = STATE(1022),
    [sym_primary_expression] = STATE(1022),
    [sym_parenthesized_expression] = STATE(811),
    [sym_class_constant_access_expression] = STATE(859),
    [sym_print_intrinsic] = STATE(1039),
    [sym_object_creation_expression] = STATE(1039),
    [sym__new_non_dereferencable_expression] = STATE(1009),
    [sym__new_dereferencable_expression] = STATE(842),
    [sym_update_expression] = STATE(1039),
    [sym_cast_expression] = STATE(1022),
    [sym_cast_variable] = STATE(630),
    [sym_assignment_expression] = STATE(1026),
    [sym_reference_assignment_expression] = STATE(1026),
    [sym_conditional_expression] = STATE(1026),
    [sym_augmented_assignment_expression] = STATE(1026),
    [sym__variable_member_access_expression] = STATE(613),
    [sym_member_access_expression] = STATE(630),
    [sym__variable_nullsafe_member_access_expression] = STATE(619),
    [sym_nullsafe_member_access_expression] = STATE(630),
    [sym__variable_scoped_property_access_expression] = STATE(602),
    [sym_scoped_property_access_expression] = STATE(630),
    [sym_list_literal] = STATE(2632),
    [sym__list_destructing] = STATE(2405),
    [sym__array_destructing] = STATE(2405),
    [sym_function_call_expression] = STATE(612),
    [sym__callable_expression] = STATE(2324),
    [sym_scoped_call_expression] = STATE(612),
    [sym__scope_resolution_qualifier] = STATE(2522),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(612),
    [sym_nullsafe_member_call_expression] = STATE(612),
    [sym__variable_subscript_expression] = STATE(610),
    [sym__dereferencable_subscript_expression] = STATE(612),
    [sym__dereferencable_expression] = STATE(1948),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(766),
    [sym_attribute_group] = STATE(1373),
    [sym_attribute_list] = STATE(1879),
    [sym_encapsed_string] = STATE(767),
    [sym_string] = STATE(767),
    [sym_heredoc] = STATE(767),
    [sym_nowdoc] = STATE(767),
    [sym_shell_command_expression] = STATE(1039),
    [sym_boolean] = STATE(1036),
    [sym_null] = STATE(1036),
    [sym__string] = STATE(768),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(595),
    [sym__new_variable] = STATE(653),
    [sym__callable_variable] = STATE(623),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1026),
    [sym_binary_expression] = STATE(1026),
    [sym_include_expression] = STATE(1026),
    [sym_include_once_expression] = STATE(1026),
    [sym_require_expression] = STATE(1026),
    [sym_require_once_expression] = STATE(1026),
    [sym__reserved_identifier] = STATE(717),
    [sym__identifier] = STATE(1496),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(605),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(727),
    [aux_sym_cast_type_token2] = ACTIONS(729),
    [aux_sym_cast_type_token3] = ACTIONS(729),
    [aux_sym_cast_type_token4] = ACTIONS(729),
    [aux_sym_cast_type_token5] = ACTIONS(729),
    [aux_sym_cast_type_token6] = ACTIONS(729),
    [aux_sym_cast_type_token7] = ACTIONS(729),
    [aux_sym_cast_type_token8] = ACTIONS(729),
    [aux_sym_cast_type_token9] = ACTIONS(729),
    [aux_sym_cast_type_token10] = ACTIONS(729),
    [aux_sym_cast_type_token11] = ACTIONS(729),
    [aux_sym_cast_type_token12] = ACTIONS(729),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(613),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(617),
    [anon_sym_DASH] = ACTIONS(617),
    [anon_sym_TILDE] = ACTIONS(619),
    [anon_sym_BANG] = ACTIONS(619),
    [anon_sym_AT] = ACTIONS(621),
    [aux_sym_clone_expression_token1] = ACTIONS(623),
    [aux_sym_print_intrinsic_token1] = ACTIONS(625),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(631),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(647),
    [aux_sym_include_expression_token1] = ACTIONS(651),
    [aux_sym_include_once_expression_token1] = ACTIONS(653),
    [aux_sym_require_expression_token1] = ACTIONS(655),
    [aux_sym_require_once_expression_token1] = ACTIONS(657),
    [sym_comment] = ACTIONS(5),
  },
  [128] = {
    [sym_text_interpolation] = STATE(128),
    [sym_qualified_name] = STATE(810),
    [sym__name] = STATE(1626),
    [sym_namespace_name] = STATE(2507),
    [sym_static_modifier] = STATE(2368),
    [sym_anonymous_function] = STATE(1039),
    [sym__anonymous_function_header] = STATE(2318),
    [sym__arrow_function_header] = STATE(2679),
    [sym_arrow_function] = STATE(1039),
    [sym_cast_type] = STATE(2693),
    [sym_literal] = STATE(1039),
    [sym_throw_expression] = STATE(1039),
    [sym_match_expression] = STATE(1026),
    [sym_expression] = STATE(1285),
    [sym__unary_expression] = STATE(1010),
    [sym_unary_op_expression] = STATE(1022),
    [sym_error_suppression_expression] = STATE(1026),
    [sym_clone_expression] = STATE(1022),
    [sym_primary_expression] = STATE(1022),
    [sym_parenthesized_expression] = STATE(811),
    [sym_class_constant_access_expression] = STATE(859),
    [sym_print_intrinsic] = STATE(1039),
    [sym_object_creation_expression] = STATE(1039),
    [sym__new_non_dereferencable_expression] = STATE(1009),
    [sym__new_dereferencable_expression] = STATE(842),
    [sym_update_expression] = STATE(1039),
    [sym_cast_expression] = STATE(1022),
    [sym_cast_variable] = STATE(630),
    [sym_assignment_expression] = STATE(1026),
    [sym_reference_assignment_expression] = STATE(1026),
    [sym_conditional_expression] = STATE(1026),
    [sym_augmented_assignment_expression] = STATE(1026),
    [sym__variable_member_access_expression] = STATE(613),
    [sym_member_access_expression] = STATE(630),
    [sym__variable_nullsafe_member_access_expression] = STATE(619),
    [sym_nullsafe_member_access_expression] = STATE(630),
    [sym__variable_scoped_property_access_expression] = STATE(602),
    [sym_scoped_property_access_expression] = STATE(630),
    [sym_list_literal] = STATE(2632),
    [sym__list_destructing] = STATE(2405),
    [sym__array_destructing] = STATE(2405),
    [sym_function_call_expression] = STATE(612),
    [sym__callable_expression] = STATE(2324),
    [sym_scoped_call_expression] = STATE(612),
    [sym__scope_resolution_qualifier] = STATE(2522),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(612),
    [sym_nullsafe_member_call_expression] = STATE(612),
    [sym__variable_subscript_expression] = STATE(610),
    [sym__dereferencable_subscript_expression] = STATE(612),
    [sym__dereferencable_expression] = STATE(1948),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(766),
    [sym_attribute_group] = STATE(1373),
    [sym_attribute_list] = STATE(1879),
    [sym_encapsed_string] = STATE(767),
    [sym_string] = STATE(767),
    [sym_heredoc] = STATE(767),
    [sym_nowdoc] = STATE(767),
    [sym_shell_command_expression] = STATE(1039),
    [sym_boolean] = STATE(1036),
    [sym_null] = STATE(1036),
    [sym__string] = STATE(768),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(595),
    [sym__new_variable] = STATE(653),
    [sym__callable_variable] = STATE(623),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1026),
    [sym_binary_expression] = STATE(1026),
    [sym_include_expression] = STATE(1026),
    [sym_include_once_expression] = STATE(1026),
    [sym_require_expression] = STATE(1026),
    [sym_require_once_expression] = STATE(1026),
    [sym__reserved_identifier] = STATE(717),
    [sym__identifier] = STATE(1496),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(605),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(727),
    [aux_sym_cast_type_token2] = ACTIONS(729),
    [aux_sym_cast_type_token3] = ACTIONS(729),
    [aux_sym_cast_type_token4] = ACTIONS(729),
    [aux_sym_cast_type_token5] = ACTIONS(729),
    [aux_sym_cast_type_token6] = ACTIONS(729),
    [aux_sym_cast_type_token7] = ACTIONS(729),
    [aux_sym_cast_type_token8] = ACTIONS(729),
    [aux_sym_cast_type_token9] = ACTIONS(729),
    [aux_sym_cast_type_token10] = ACTIONS(729),
    [aux_sym_cast_type_token11] = ACTIONS(729),
    [aux_sym_cast_type_token12] = ACTIONS(729),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(613),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(617),
    [anon_sym_DASH] = ACTIONS(617),
    [anon_sym_TILDE] = ACTIONS(619),
    [anon_sym_BANG] = ACTIONS(619),
    [anon_sym_AT] = ACTIONS(621),
    [aux_sym_clone_expression_token1] = ACTIONS(623),
    [aux_sym_print_intrinsic_token1] = ACTIONS(625),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(631),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(647),
    [aux_sym_include_expression_token1] = ACTIONS(651),
    [aux_sym_include_once_expression_token1] = ACTIONS(653),
    [aux_sym_require_expression_token1] = ACTIONS(655),
    [aux_sym_require_once_expression_token1] = ACTIONS(657),
    [sym_comment] = ACTIONS(5),
  },
  [129] = {
    [sym_text_interpolation] = STATE(129),
    [sym_qualified_name] = STATE(810),
    [sym__name] = STATE(1626),
    [sym_namespace_name] = STATE(2507),
    [sym_static_modifier] = STATE(2368),
    [sym_anonymous_function] = STATE(1039),
    [sym__anonymous_function_header] = STATE(2318),
    [sym__arrow_function_header] = STATE(2679),
    [sym_arrow_function] = STATE(1039),
    [sym_cast_type] = STATE(2549),
    [sym_literal] = STATE(1039),
    [sym_throw_expression] = STATE(1039),
    [sym_match_expression] = STATE(1026),
    [sym_expression] = STATE(1285),
    [sym__unary_expression] = STATE(1010),
    [sym_unary_op_expression] = STATE(1022),
    [sym_error_suppression_expression] = STATE(1026),
    [sym_clone_expression] = STATE(1022),
    [sym_primary_expression] = STATE(1022),
    [sym_parenthesized_expression] = STATE(811),
    [sym_class_constant_access_expression] = STATE(859),
    [sym_print_intrinsic] = STATE(1039),
    [sym_object_creation_expression] = STATE(1039),
    [sym__new_non_dereferencable_expression] = STATE(1009),
    [sym__new_dereferencable_expression] = STATE(842),
    [sym_update_expression] = STATE(1039),
    [sym_cast_expression] = STATE(1022),
    [sym_cast_variable] = STATE(630),
    [sym_assignment_expression] = STATE(1026),
    [sym_reference_assignment_expression] = STATE(1026),
    [sym_conditional_expression] = STATE(1026),
    [sym_augmented_assignment_expression] = STATE(1026),
    [sym__variable_member_access_expression] = STATE(613),
    [sym_member_access_expression] = STATE(630),
    [sym__variable_nullsafe_member_access_expression] = STATE(619),
    [sym_nullsafe_member_access_expression] = STATE(630),
    [sym__variable_scoped_property_access_expression] = STATE(602),
    [sym_scoped_property_access_expression] = STATE(630),
    [sym_list_literal] = STATE(2632),
    [sym__list_destructing] = STATE(2405),
    [sym__array_destructing] = STATE(2405),
    [sym_function_call_expression] = STATE(612),
    [sym__callable_expression] = STATE(2324),
    [sym_scoped_call_expression] = STATE(612),
    [sym__scope_resolution_qualifier] = STATE(2522),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(612),
    [sym_nullsafe_member_call_expression] = STATE(612),
    [sym__variable_subscript_expression] = STATE(610),
    [sym__dereferencable_subscript_expression] = STATE(612),
    [sym__dereferencable_expression] = STATE(1948),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(766),
    [sym_attribute_group] = STATE(1373),
    [sym_attribute_list] = STATE(1879),
    [sym_encapsed_string] = STATE(767),
    [sym_string] = STATE(767),
    [sym_heredoc] = STATE(767),
    [sym_nowdoc] = STATE(767),
    [sym_shell_command_expression] = STATE(1039),
    [sym_boolean] = STATE(1036),
    [sym_null] = STATE(1036),
    [sym__string] = STATE(768),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(595),
    [sym__new_variable] = STATE(653),
    [sym__callable_variable] = STATE(623),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1026),
    [sym_binary_expression] = STATE(1026),
    [sym_include_expression] = STATE(1026),
    [sym_include_once_expression] = STATE(1026),
    [sym_require_expression] = STATE(1026),
    [sym_require_once_expression] = STATE(1026),
    [sym__reserved_identifier] = STATE(717),
    [sym__identifier] = STATE(1496),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(605),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(727),
    [aux_sym_cast_type_token2] = ACTIONS(729),
    [aux_sym_cast_type_token3] = ACTIONS(729),
    [aux_sym_cast_type_token4] = ACTIONS(729),
    [aux_sym_cast_type_token5] = ACTIONS(729),
    [aux_sym_cast_type_token6] = ACTIONS(729),
    [aux_sym_cast_type_token7] = ACTIONS(729),
    [aux_sym_cast_type_token8] = ACTIONS(729),
    [aux_sym_cast_type_token9] = ACTIONS(729),
    [aux_sym_cast_type_token10] = ACTIONS(729),
    [aux_sym_cast_type_token11] = ACTIONS(729),
    [aux_sym_cast_type_token12] = ACTIONS(729),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(613),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(617),
    [anon_sym_DASH] = ACTIONS(617),
    [anon_sym_TILDE] = ACTIONS(619),
    [anon_sym_BANG] = ACTIONS(619),
    [anon_sym_AT] = ACTIONS(621),
    [aux_sym_clone_expression_token1] = ACTIONS(623),
    [aux_sym_print_intrinsic_token1] = ACTIONS(625),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(631),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(647),
    [aux_sym_include_expression_token1] = ACTIONS(651),
    [aux_sym_include_once_expression_token1] = ACTIONS(653),
    [aux_sym_require_expression_token1] = ACTIONS(655),
    [aux_sym_require_once_expression_token1] = ACTIONS(657),
    [sym_comment] = ACTIONS(5),
  },
  [130] = {
    [sym_text_interpolation] = STATE(130),
    [sym_qualified_name] = STATE(810),
    [sym__name] = STATE(1626),
    [sym_namespace_name] = STATE(2507),
    [sym_static_modifier] = STATE(2368),
    [sym_anonymous_function] = STATE(1039),
    [sym__anonymous_function_header] = STATE(2318),
    [sym__arrow_function_header] = STATE(2679),
    [sym_arrow_function] = STATE(1039),
    [sym_cast_type] = STATE(2573),
    [sym_literal] = STATE(1039),
    [sym_throw_expression] = STATE(1039),
    [sym_match_expression] = STATE(1026),
    [sym_expression] = STATE(1285),
    [sym__unary_expression] = STATE(1010),
    [sym_unary_op_expression] = STATE(1022),
    [sym_error_suppression_expression] = STATE(1026),
    [sym_clone_expression] = STATE(1022),
    [sym_primary_expression] = STATE(1022),
    [sym_parenthesized_expression] = STATE(811),
    [sym_class_constant_access_expression] = STATE(859),
    [sym_print_intrinsic] = STATE(1039),
    [sym_object_creation_expression] = STATE(1039),
    [sym__new_non_dereferencable_expression] = STATE(1009),
    [sym__new_dereferencable_expression] = STATE(842),
    [sym_update_expression] = STATE(1039),
    [sym_cast_expression] = STATE(1022),
    [sym_cast_variable] = STATE(630),
    [sym_assignment_expression] = STATE(1026),
    [sym_reference_assignment_expression] = STATE(1026),
    [sym_conditional_expression] = STATE(1026),
    [sym_augmented_assignment_expression] = STATE(1026),
    [sym__variable_member_access_expression] = STATE(613),
    [sym_member_access_expression] = STATE(630),
    [sym__variable_nullsafe_member_access_expression] = STATE(619),
    [sym_nullsafe_member_access_expression] = STATE(630),
    [sym__variable_scoped_property_access_expression] = STATE(602),
    [sym_scoped_property_access_expression] = STATE(630),
    [sym_list_literal] = STATE(2632),
    [sym__list_destructing] = STATE(2405),
    [sym__array_destructing] = STATE(2405),
    [sym_function_call_expression] = STATE(612),
    [sym__callable_expression] = STATE(2324),
    [sym_scoped_call_expression] = STATE(612),
    [sym__scope_resolution_qualifier] = STATE(2522),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(612),
    [sym_nullsafe_member_call_expression] = STATE(612),
    [sym__variable_subscript_expression] = STATE(610),
    [sym__dereferencable_subscript_expression] = STATE(612),
    [sym__dereferencable_expression] = STATE(1948),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(766),
    [sym_attribute_group] = STATE(1373),
    [sym_attribute_list] = STATE(1879),
    [sym_encapsed_string] = STATE(767),
    [sym_string] = STATE(767),
    [sym_heredoc] = STATE(767),
    [sym_nowdoc] = STATE(767),
    [sym_shell_command_expression] = STATE(1039),
    [sym_boolean] = STATE(1036),
    [sym_null] = STATE(1036),
    [sym__string] = STATE(768),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(595),
    [sym__new_variable] = STATE(653),
    [sym__callable_variable] = STATE(623),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1026),
    [sym_binary_expression] = STATE(1026),
    [sym_include_expression] = STATE(1026),
    [sym_include_once_expression] = STATE(1026),
    [sym_require_expression] = STATE(1026),
    [sym_require_once_expression] = STATE(1026),
    [sym__reserved_identifier] = STATE(717),
    [sym__identifier] = STATE(1496),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(605),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(727),
    [aux_sym_cast_type_token2] = ACTIONS(729),
    [aux_sym_cast_type_token3] = ACTIONS(729),
    [aux_sym_cast_type_token4] = ACTIONS(729),
    [aux_sym_cast_type_token5] = ACTIONS(729),
    [aux_sym_cast_type_token6] = ACTIONS(729),
    [aux_sym_cast_type_token7] = ACTIONS(729),
    [aux_sym_cast_type_token8] = ACTIONS(729),
    [aux_sym_cast_type_token9] = ACTIONS(729),
    [aux_sym_cast_type_token10] = ACTIONS(729),
    [aux_sym_cast_type_token11] = ACTIONS(729),
    [aux_sym_cast_type_token12] = ACTIONS(729),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(613),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(617),
    [anon_sym_DASH] = ACTIONS(617),
    [anon_sym_TILDE] = ACTIONS(619),
    [anon_sym_BANG] = ACTIONS(619),
    [anon_sym_AT] = ACTIONS(621),
    [aux_sym_clone_expression_token1] = ACTIONS(623),
    [aux_sym_print_intrinsic_token1] = ACTIONS(625),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(631),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(647),
    [aux_sym_include_expression_token1] = ACTIONS(651),
    [aux_sym_include_once_expression_token1] = ACTIONS(653),
    [aux_sym_require_expression_token1] = ACTIONS(655),
    [aux_sym_require_once_expression_token1] = ACTIONS(657),
    [sym_comment] = ACTIONS(5),
  },
  [131] = {
    [sym_text_interpolation] = STATE(131),
    [sym_qualified_name] = STATE(810),
    [sym__name] = STATE(1626),
    [sym_namespace_name] = STATE(2507),
    [sym_static_modifier] = STATE(2368),
    [sym_anonymous_function] = STATE(1039),
    [sym__anonymous_function_header] = STATE(2318),
    [sym__arrow_function_header] = STATE(2679),
    [sym_arrow_function] = STATE(1039),
    [sym_cast_type] = STATE(2649),
    [sym_literal] = STATE(1039),
    [sym_throw_expression] = STATE(1039),
    [sym_match_expression] = STATE(1026),
    [sym_expression] = STATE(1285),
    [sym__unary_expression] = STATE(1010),
    [sym_unary_op_expression] = STATE(1022),
    [sym_error_suppression_expression] = STATE(1026),
    [sym_clone_expression] = STATE(1022),
    [sym_primary_expression] = STATE(1022),
    [sym_parenthesized_expression] = STATE(811),
    [sym_class_constant_access_expression] = STATE(859),
    [sym_print_intrinsic] = STATE(1039),
    [sym_object_creation_expression] = STATE(1039),
    [sym__new_non_dereferencable_expression] = STATE(1009),
    [sym__new_dereferencable_expression] = STATE(842),
    [sym_update_expression] = STATE(1039),
    [sym_cast_expression] = STATE(1022),
    [sym_cast_variable] = STATE(630),
    [sym_assignment_expression] = STATE(1026),
    [sym_reference_assignment_expression] = STATE(1026),
    [sym_conditional_expression] = STATE(1026),
    [sym_augmented_assignment_expression] = STATE(1026),
    [sym__variable_member_access_expression] = STATE(613),
    [sym_member_access_expression] = STATE(630),
    [sym__variable_nullsafe_member_access_expression] = STATE(619),
    [sym_nullsafe_member_access_expression] = STATE(630),
    [sym__variable_scoped_property_access_expression] = STATE(602),
    [sym_scoped_property_access_expression] = STATE(630),
    [sym_list_literal] = STATE(2632),
    [sym__list_destructing] = STATE(2405),
    [sym__array_destructing] = STATE(2405),
    [sym_function_call_expression] = STATE(612),
    [sym__callable_expression] = STATE(2324),
    [sym_scoped_call_expression] = STATE(612),
    [sym__scope_resolution_qualifier] = STATE(2522),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(612),
    [sym_nullsafe_member_call_expression] = STATE(612),
    [sym__variable_subscript_expression] = STATE(610),
    [sym__dereferencable_subscript_expression] = STATE(612),
    [sym__dereferencable_expression] = STATE(1948),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(766),
    [sym_attribute_group] = STATE(1373),
    [sym_attribute_list] = STATE(1879),
    [sym_encapsed_string] = STATE(767),
    [sym_string] = STATE(767),
    [sym_heredoc] = STATE(767),
    [sym_nowdoc] = STATE(767),
    [sym_shell_command_expression] = STATE(1039),
    [sym_boolean] = STATE(1036),
    [sym_null] = STATE(1036),
    [sym__string] = STATE(768),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(595),
    [sym__new_variable] = STATE(653),
    [sym__callable_variable] = STATE(623),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1026),
    [sym_binary_expression] = STATE(1026),
    [sym_include_expression] = STATE(1026),
    [sym_include_once_expression] = STATE(1026),
    [sym_require_expression] = STATE(1026),
    [sym_require_once_expression] = STATE(1026),
    [sym__reserved_identifier] = STATE(717),
    [sym__identifier] = STATE(1496),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(605),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(727),
    [aux_sym_cast_type_token2] = ACTIONS(729),
    [aux_sym_cast_type_token3] = ACTIONS(729),
    [aux_sym_cast_type_token4] = ACTIONS(729),
    [aux_sym_cast_type_token5] = ACTIONS(729),
    [aux_sym_cast_type_token6] = ACTIONS(729),
    [aux_sym_cast_type_token7] = ACTIONS(729),
    [aux_sym_cast_type_token8] = ACTIONS(729),
    [aux_sym_cast_type_token9] = ACTIONS(729),
    [aux_sym_cast_type_token10] = ACTIONS(729),
    [aux_sym_cast_type_token11] = ACTIONS(729),
    [aux_sym_cast_type_token12] = ACTIONS(729),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(613),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(617),
    [anon_sym_DASH] = ACTIONS(617),
    [anon_sym_TILDE] = ACTIONS(619),
    [anon_sym_BANG] = ACTIONS(619),
    [anon_sym_AT] = ACTIONS(621),
    [aux_sym_clone_expression_token1] = ACTIONS(623),
    [aux_sym_print_intrinsic_token1] = ACTIONS(625),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(631),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(647),
    [aux_sym_include_expression_token1] = ACTIONS(651),
    [aux_sym_include_once_expression_token1] = ACTIONS(653),
    [aux_sym_require_expression_token1] = ACTIONS(655),
    [aux_sym_require_once_expression_token1] = ACTIONS(657),
    [sym_comment] = ACTIONS(5),
  },
  [132] = {
    [sym_text_interpolation] = STATE(132),
    [sym_qualified_name] = STATE(810),
    [sym__name] = STATE(1626),
    [sym_namespace_name] = STATE(2507),
    [sym_static_modifier] = STATE(2368),
    [sym_anonymous_function] = STATE(1039),
    [sym__anonymous_function_header] = STATE(2318),
    [sym__arrow_function_header] = STATE(2679),
    [sym_arrow_function] = STATE(1039),
    [sym_cast_type] = STATE(2655),
    [sym_literal] = STATE(1039),
    [sym_throw_expression] = STATE(1039),
    [sym_match_expression] = STATE(1026),
    [sym_expression] = STATE(1285),
    [sym__unary_expression] = STATE(1010),
    [sym_unary_op_expression] = STATE(1022),
    [sym_error_suppression_expression] = STATE(1026),
    [sym_clone_expression] = STATE(1022),
    [sym_primary_expression] = STATE(1022),
    [sym_parenthesized_expression] = STATE(811),
    [sym_class_constant_access_expression] = STATE(859),
    [sym_print_intrinsic] = STATE(1039),
    [sym_object_creation_expression] = STATE(1039),
    [sym__new_non_dereferencable_expression] = STATE(1009),
    [sym__new_dereferencable_expression] = STATE(842),
    [sym_update_expression] = STATE(1039),
    [sym_cast_expression] = STATE(1022),
    [sym_cast_variable] = STATE(630),
    [sym_assignment_expression] = STATE(1026),
    [sym_reference_assignment_expression] = STATE(1026),
    [sym_conditional_expression] = STATE(1026),
    [sym_augmented_assignment_expression] = STATE(1026),
    [sym__variable_member_access_expression] = STATE(613),
    [sym_member_access_expression] = STATE(630),
    [sym__variable_nullsafe_member_access_expression] = STATE(619),
    [sym_nullsafe_member_access_expression] = STATE(630),
    [sym__variable_scoped_property_access_expression] = STATE(602),
    [sym_scoped_property_access_expression] = STATE(630),
    [sym_list_literal] = STATE(2632),
    [sym__list_destructing] = STATE(2405),
    [sym__array_destructing] = STATE(2405),
    [sym_function_call_expression] = STATE(612),
    [sym__callable_expression] = STATE(2324),
    [sym_scoped_call_expression] = STATE(612),
    [sym__scope_resolution_qualifier] = STATE(2522),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(612),
    [sym_nullsafe_member_call_expression] = STATE(612),
    [sym__variable_subscript_expression] = STATE(610),
    [sym__dereferencable_subscript_expression] = STATE(612),
    [sym__dereferencable_expression] = STATE(1948),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(766),
    [sym_attribute_group] = STATE(1373),
    [sym_attribute_list] = STATE(1879),
    [sym_encapsed_string] = STATE(767),
    [sym_string] = STATE(767),
    [sym_heredoc] = STATE(767),
    [sym_nowdoc] = STATE(767),
    [sym_shell_command_expression] = STATE(1039),
    [sym_boolean] = STATE(1036),
    [sym_null] = STATE(1036),
    [sym__string] = STATE(768),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(595),
    [sym__new_variable] = STATE(653),
    [sym__callable_variable] = STATE(623),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1026),
    [sym_binary_expression] = STATE(1026),
    [sym_include_expression] = STATE(1026),
    [sym_include_once_expression] = STATE(1026),
    [sym_require_expression] = STATE(1026),
    [sym_require_once_expression] = STATE(1026),
    [sym__reserved_identifier] = STATE(717),
    [sym__identifier] = STATE(1496),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(605),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(727),
    [aux_sym_cast_type_token2] = ACTIONS(729),
    [aux_sym_cast_type_token3] = ACTIONS(729),
    [aux_sym_cast_type_token4] = ACTIONS(729),
    [aux_sym_cast_type_token5] = ACTIONS(729),
    [aux_sym_cast_type_token6] = ACTIONS(729),
    [aux_sym_cast_type_token7] = ACTIONS(729),
    [aux_sym_cast_type_token8] = ACTIONS(729),
    [aux_sym_cast_type_token9] = ACTIONS(729),
    [aux_sym_cast_type_token10] = ACTIONS(729),
    [aux_sym_cast_type_token11] = ACTIONS(729),
    [aux_sym_cast_type_token12] = ACTIONS(729),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(613),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(617),
    [anon_sym_DASH] = ACTIONS(617),
    [anon_sym_TILDE] = ACTIONS(619),
    [anon_sym_BANG] = ACTIONS(619),
    [anon_sym_AT] = ACTIONS(621),
    [aux_sym_clone_expression_token1] = ACTIONS(623),
    [aux_sym_print_intrinsic_token1] = ACTIONS(625),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(631),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(647),
    [aux_sym_include_expression_token1] = ACTIONS(651),
    [aux_sym_include_once_expression_token1] = ACTIONS(653),
    [aux_sym_require_expression_token1] = ACTIONS(655),
    [aux_sym_require_once_expression_token1] = ACTIONS(657),
    [sym_comment] = ACTIONS(5),
  },
  [133] = {
    [sym_text_interpolation] = STATE(133),
    [sym_qualified_name] = STATE(810),
    [sym__name] = STATE(1626),
    [sym_namespace_name] = STATE(2507),
    [sym_static_modifier] = STATE(2368),
    [sym_anonymous_function] = STATE(1039),
    [sym__anonymous_function_header] = STATE(2318),
    [sym__arrow_function_header] = STATE(2547),
    [sym_arrow_function] = STATE(1039),
    [sym_literal] = STATE(1039),
    [sym_throw_expression] = STATE(1039),
    [sym_match_expression] = STATE(1026),
    [sym_expression] = STATE(1233),
    [sym__unary_expression] = STATE(1010),
    [sym_unary_op_expression] = STATE(1022),
    [sym_error_suppression_expression] = STATE(1026),
    [sym_clone_expression] = STATE(1022),
    [sym_primary_expression] = STATE(1022),
    [sym_parenthesized_expression] = STATE(811),
    [sym_class_constant_access_expression] = STATE(859),
    [sym_print_intrinsic] = STATE(1039),
    [sym_object_creation_expression] = STATE(1039),
    [sym__new_non_dereferencable_expression] = STATE(1009),
    [sym__new_dereferencable_expression] = STATE(842),
    [sym_update_expression] = STATE(1039),
    [sym_cast_expression] = STATE(1022),
    [sym_cast_variable] = STATE(686),
    [sym_assignment_expression] = STATE(1026),
    [sym_reference_assignment_expression] = STATE(1026),
    [sym_conditional_expression] = STATE(1026),
    [sym_augmented_assignment_expression] = STATE(1026),
    [sym__variable_member_access_expression] = STATE(613),
    [sym_member_access_expression] = STATE(686),
    [sym__variable_nullsafe_member_access_expression] = STATE(619),
    [sym_nullsafe_member_access_expression] = STATE(686),
    [sym__variable_scoped_property_access_expression] = STATE(602),
    [sym_scoped_property_access_expression] = STATE(686),
    [sym_list_literal] = STATE(2548),
    [sym__list_destructing] = STATE(2405),
    [sym__array_destructing] = STATE(1991),
    [sym__array_destructing_element] = STATE(1992),
    [sym_function_call_expression] = STATE(612),
    [sym__callable_expression] = STATE(2324),
    [sym_scoped_call_expression] = STATE(612),
    [sym__scope_resolution_qualifier] = STATE(2522),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(612),
    [sym_nullsafe_member_call_expression] = STATE(612),
    [sym_variadic_unpacking] = STATE(1012),
    [sym__variable_subscript_expression] = STATE(610),
    [sym__dereferencable_subscript_expression] = STATE(612),
    [sym__dereferencable_expression] = STATE(1948),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(766),
    [sym_attribute_group] = STATE(1373),
    [sym_attribute_list] = STATE(1879),
    [sym_encapsed_string] = STATE(767),
    [sym_string] = STATE(767),
    [sym_heredoc] = STATE(767),
    [sym_nowdoc] = STATE(767),
    [sym_shell_command_expression] = STATE(1039),
    [sym_boolean] = STATE(1036),
    [sym_null] = STATE(1036),
    [sym__string] = STATE(768),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(595),
    [sym__new_variable] = STATE(687),
    [sym__callable_variable] = STATE(678),
    [sym_variable_name] = STATE(618),
    [sym_by_ref] = STATE(2464),
    [sym_yield_expression] = STATE(1026),
    [sym_array_element_initializer] = STATE(2018),
    [sym_binary_expression] = STATE(1026),
    [sym_include_expression] = STATE(1026),
    [sym_include_once_expression] = STATE(1026),
    [sym_require_expression] = STATE(1026),
    [sym_require_once_expression] = STATE(1026),
    [sym__reserved_identifier] = STATE(717),
    [sym__identifier] = STATE(1496),
    [aux_sym__array_destructing_repeat1] = STATE(1998),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_AMP] = ACTIONS(731),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [anon_sym_COMMA] = ACTIONS(733),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(659),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(661),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(663),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(665),
    [anon_sym_DASH] = ACTIONS(665),
    [anon_sym_TILDE] = ACTIONS(667),
    [anon_sym_BANG] = ACTIONS(667),
    [anon_sym_AT] = ACTIONS(669),
    [aux_sym_clone_expression_token1] = ACTIONS(671),
    [aux_sym_print_intrinsic_token1] = ACTIONS(673),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(631),
    [anon_sym_RBRACK] = ACTIONS(735),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(677),
    [aux_sym_include_expression_token1] = ACTIONS(681),
    [aux_sym_include_once_expression_token1] = ACTIONS(683),
    [aux_sym_require_expression_token1] = ACTIONS(685),
    [aux_sym_require_once_expression_token1] = ACTIONS(687),
    [sym_comment] = ACTIONS(5),
  },
  [134] = {
    [sym_text_interpolation] = STATE(134),
    [sym_qualified_name] = STATE(810),
    [sym__name] = STATE(1626),
    [sym_namespace_name] = STATE(2507),
    [sym_static_modifier] = STATE(2368),
    [sym_anonymous_function] = STATE(1039),
    [sym__anonymous_function_header] = STATE(2318),
    [sym__arrow_function_header] = STATE(2547),
    [sym_arrow_function] = STATE(1039),
    [sym_literal] = STATE(1039),
    [sym_throw_expression] = STATE(1039),
    [sym_match_expression] = STATE(1026),
    [sym_expression] = STATE(1233),
    [sym__unary_expression] = STATE(1010),
    [sym_unary_op_expression] = STATE(1022),
    [sym_error_suppression_expression] = STATE(1026),
    [sym_clone_expression] = STATE(1022),
    [sym_primary_expression] = STATE(1022),
    [sym_parenthesized_expression] = STATE(811),
    [sym_class_constant_access_expression] = STATE(859),
    [sym_print_intrinsic] = STATE(1039),
    [sym_object_creation_expression] = STATE(1039),
    [sym__new_non_dereferencable_expression] = STATE(1009),
    [sym__new_dereferencable_expression] = STATE(842),
    [sym_update_expression] = STATE(1039),
    [sym_cast_expression] = STATE(1022),
    [sym_cast_variable] = STATE(686),
    [sym_assignment_expression] = STATE(1026),
    [sym_reference_assignment_expression] = STATE(1026),
    [sym_conditional_expression] = STATE(1026),
    [sym_augmented_assignment_expression] = STATE(1026),
    [sym__variable_member_access_expression] = STATE(613),
    [sym_member_access_expression] = STATE(686),
    [sym__variable_nullsafe_member_access_expression] = STATE(619),
    [sym_nullsafe_member_access_expression] = STATE(686),
    [sym__variable_scoped_property_access_expression] = STATE(602),
    [sym_scoped_property_access_expression] = STATE(686),
    [sym_list_literal] = STATE(2548),
    [sym__list_destructing] = STATE(2405),
    [sym__array_destructing] = STATE(1991),
    [sym__array_destructing_element] = STATE(1992),
    [sym_function_call_expression] = STATE(612),
    [sym__callable_expression] = STATE(2324),
    [sym_scoped_call_expression] = STATE(612),
    [sym__scope_resolution_qualifier] = STATE(2522),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(612),
    [sym_nullsafe_member_call_expression] = STATE(612),
    [sym_variadic_unpacking] = STATE(1012),
    [sym__variable_subscript_expression] = STATE(610),
    [sym__dereferencable_subscript_expression] = STATE(612),
    [sym__dereferencable_expression] = STATE(1948),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(766),
    [sym_attribute_group] = STATE(1373),
    [sym_attribute_list] = STATE(1879),
    [sym_encapsed_string] = STATE(767),
    [sym_string] = STATE(767),
    [sym_heredoc] = STATE(767),
    [sym_nowdoc] = STATE(767),
    [sym_shell_command_expression] = STATE(1039),
    [sym_boolean] = STATE(1036),
    [sym_null] = STATE(1036),
    [sym__string] = STATE(768),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(595),
    [sym__new_variable] = STATE(687),
    [sym__callable_variable] = STATE(678),
    [sym_variable_name] = STATE(618),
    [sym_by_ref] = STATE(2464),
    [sym_yield_expression] = STATE(1026),
    [sym_array_element_initializer] = STATE(2018),
    [sym_binary_expression] = STATE(1026),
    [sym_include_expression] = STATE(1026),
    [sym_include_once_expression] = STATE(1026),
    [sym_require_expression] = STATE(1026),
    [sym_require_once_expression] = STATE(1026),
    [sym__reserved_identifier] = STATE(717),
    [sym__identifier] = STATE(1496),
    [aux_sym__array_destructing_repeat1] = STATE(1998),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_AMP] = ACTIONS(731),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [anon_sym_COMMA] = ACTIONS(733),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(659),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(661),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(663),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(665),
    [anon_sym_DASH] = ACTIONS(665),
    [anon_sym_TILDE] = ACTIONS(667),
    [anon_sym_BANG] = ACTIONS(667),
    [anon_sym_AT] = ACTIONS(669),
    [aux_sym_clone_expression_token1] = ACTIONS(671),
    [aux_sym_print_intrinsic_token1] = ACTIONS(673),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(631),
    [anon_sym_RBRACK] = ACTIONS(737),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(677),
    [aux_sym_include_expression_token1] = ACTIONS(681),
    [aux_sym_include_once_expression_token1] = ACTIONS(683),
    [aux_sym_require_expression_token1] = ACTIONS(685),
    [aux_sym_require_once_expression_token1] = ACTIONS(687),
    [sym_comment] = ACTIONS(5),
  },
  [135] = {
    [sym_text_interpolation] = STATE(135),
    [sym_qualified_name] = STATE(810),
    [sym__name] = STATE(1626),
    [sym_namespace_name] = STATE(2507),
    [sym_static_modifier] = STATE(2368),
    [sym_anonymous_function] = STATE(1039),
    [sym__anonymous_function_header] = STATE(2318),
    [sym__arrow_function_header] = STATE(2547),
    [sym_arrow_function] = STATE(1039),
    [sym_literal] = STATE(1039),
    [sym_throw_expression] = STATE(1039),
    [sym_match_expression] = STATE(1026),
    [sym_expression] = STATE(1233),
    [sym__unary_expression] = STATE(1010),
    [sym_unary_op_expression] = STATE(1022),
    [sym_error_suppression_expression] = STATE(1026),
    [sym_clone_expression] = STATE(1022),
    [sym_primary_expression] = STATE(1022),
    [sym_parenthesized_expression] = STATE(811),
    [sym_class_constant_access_expression] = STATE(859),
    [sym_print_intrinsic] = STATE(1039),
    [sym_object_creation_expression] = STATE(1039),
    [sym__new_non_dereferencable_expression] = STATE(1009),
    [sym__new_dereferencable_expression] = STATE(842),
    [sym_update_expression] = STATE(1039),
    [sym_cast_expression] = STATE(1022),
    [sym_cast_variable] = STATE(686),
    [sym_assignment_expression] = STATE(1026),
    [sym_reference_assignment_expression] = STATE(1026),
    [sym_conditional_expression] = STATE(1026),
    [sym_augmented_assignment_expression] = STATE(1026),
    [sym__variable_member_access_expression] = STATE(613),
    [sym_member_access_expression] = STATE(686),
    [sym__variable_nullsafe_member_access_expression] = STATE(619),
    [sym_nullsafe_member_access_expression] = STATE(686),
    [sym__variable_scoped_property_access_expression] = STATE(602),
    [sym_scoped_property_access_expression] = STATE(686),
    [sym_list_literal] = STATE(2548),
    [sym__list_destructing] = STATE(2405),
    [sym__array_destructing] = STATE(1991),
    [sym__array_destructing_element] = STATE(1992),
    [sym_function_call_expression] = STATE(612),
    [sym__callable_expression] = STATE(2324),
    [sym_scoped_call_expression] = STATE(612),
    [sym__scope_resolution_qualifier] = STATE(2522),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(612),
    [sym_nullsafe_member_call_expression] = STATE(612),
    [sym_variadic_unpacking] = STATE(1012),
    [sym__variable_subscript_expression] = STATE(610),
    [sym__dereferencable_subscript_expression] = STATE(612),
    [sym__dereferencable_expression] = STATE(1948),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(766),
    [sym_attribute_group] = STATE(1373),
    [sym_attribute_list] = STATE(1879),
    [sym_encapsed_string] = STATE(767),
    [sym_string] = STATE(767),
    [sym_heredoc] = STATE(767),
    [sym_nowdoc] = STATE(767),
    [sym_shell_command_expression] = STATE(1039),
    [sym_boolean] = STATE(1036),
    [sym_null] = STATE(1036),
    [sym__string] = STATE(768),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(595),
    [sym__new_variable] = STATE(687),
    [sym__callable_variable] = STATE(678),
    [sym_variable_name] = STATE(618),
    [sym_by_ref] = STATE(2464),
    [sym_yield_expression] = STATE(1026),
    [sym_array_element_initializer] = STATE(2018),
    [sym_binary_expression] = STATE(1026),
    [sym_include_expression] = STATE(1026),
    [sym_include_once_expression] = STATE(1026),
    [sym_require_expression] = STATE(1026),
    [sym_require_once_expression] = STATE(1026),
    [sym__reserved_identifier] = STATE(717),
    [sym__identifier] = STATE(1496),
    [aux_sym__array_destructing_repeat1] = STATE(1998),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_AMP] = ACTIONS(731),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [anon_sym_COMMA] = ACTIONS(733),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(659),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(661),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(663),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(665),
    [anon_sym_DASH] = ACTIONS(665),
    [anon_sym_TILDE] = ACTIONS(667),
    [anon_sym_BANG] = ACTIONS(667),
    [anon_sym_AT] = ACTIONS(669),
    [aux_sym_clone_expression_token1] = ACTIONS(671),
    [aux_sym_print_intrinsic_token1] = ACTIONS(673),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(631),
    [anon_sym_RBRACK] = ACTIONS(739),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(677),
    [aux_sym_include_expression_token1] = ACTIONS(681),
    [aux_sym_include_once_expression_token1] = ACTIONS(683),
    [aux_sym_require_expression_token1] = ACTIONS(685),
    [aux_sym_require_once_expression_token1] = ACTIONS(687),
    [sym_comment] = ACTIONS(5),
  },
  [136] = {
    [sym_text_interpolation] = STATE(136),
    [sym_qualified_name] = STATE(810),
    [sym__name] = STATE(1626),
    [sym_namespace_name] = STATE(2507),
    [sym_static_modifier] = STATE(2368),
    [sym_anonymous_function] = STATE(1039),
    [sym__anonymous_function_header] = STATE(2318),
    [sym__arrow_function_header] = STATE(2547),
    [sym_arrow_function] = STATE(1039),
    [sym_literal] = STATE(1039),
    [sym_throw_expression] = STATE(1039),
    [sym_match_expression] = STATE(1026),
    [sym_expression] = STATE(1233),
    [sym__unary_expression] = STATE(1010),
    [sym_unary_op_expression] = STATE(1022),
    [sym_error_suppression_expression] = STATE(1026),
    [sym_clone_expression] = STATE(1022),
    [sym_primary_expression] = STATE(1022),
    [sym_parenthesized_expression] = STATE(811),
    [sym_class_constant_access_expression] = STATE(859),
    [sym_print_intrinsic] = STATE(1039),
    [sym_object_creation_expression] = STATE(1039),
    [sym__new_non_dereferencable_expression] = STATE(1009),
    [sym__new_dereferencable_expression] = STATE(842),
    [sym_update_expression] = STATE(1039),
    [sym_cast_expression] = STATE(1022),
    [sym_cast_variable] = STATE(686),
    [sym_assignment_expression] = STATE(1026),
    [sym_reference_assignment_expression] = STATE(1026),
    [sym_conditional_expression] = STATE(1026),
    [sym_augmented_assignment_expression] = STATE(1026),
    [sym__variable_member_access_expression] = STATE(613),
    [sym_member_access_expression] = STATE(686),
    [sym__variable_nullsafe_member_access_expression] = STATE(619),
    [sym_nullsafe_member_access_expression] = STATE(686),
    [sym__variable_scoped_property_access_expression] = STATE(602),
    [sym_scoped_property_access_expression] = STATE(686),
    [sym_list_literal] = STATE(2548),
    [sym__list_destructing] = STATE(2405),
    [sym__array_destructing] = STATE(1991),
    [sym__array_destructing_element] = STATE(1992),
    [sym_function_call_expression] = STATE(612),
    [sym__callable_expression] = STATE(2324),
    [sym_scoped_call_expression] = STATE(612),
    [sym__scope_resolution_qualifier] = STATE(2522),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(612),
    [sym_nullsafe_member_call_expression] = STATE(612),
    [sym_variadic_unpacking] = STATE(1012),
    [sym__variable_subscript_expression] = STATE(610),
    [sym__dereferencable_subscript_expression] = STATE(612),
    [sym__dereferencable_expression] = STATE(1948),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(766),
    [sym_attribute_group] = STATE(1373),
    [sym_attribute_list] = STATE(1879),
    [sym_encapsed_string] = STATE(767),
    [sym_string] = STATE(767),
    [sym_heredoc] = STATE(767),
    [sym_nowdoc] = STATE(767),
    [sym_shell_command_expression] = STATE(1039),
    [sym_boolean] = STATE(1036),
    [sym_null] = STATE(1036),
    [sym__string] = STATE(768),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(595),
    [sym__new_variable] = STATE(687),
    [sym__callable_variable] = STATE(678),
    [sym_variable_name] = STATE(618),
    [sym_by_ref] = STATE(2464),
    [sym_yield_expression] = STATE(1026),
    [sym_array_element_initializer] = STATE(2018),
    [sym_binary_expression] = STATE(1026),
    [sym_include_expression] = STATE(1026),
    [sym_include_once_expression] = STATE(1026),
    [sym_require_expression] = STATE(1026),
    [sym_require_once_expression] = STATE(1026),
    [sym__reserved_identifier] = STATE(717),
    [sym__identifier] = STATE(1496),
    [aux_sym__array_destructing_repeat1] = STATE(1998),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_AMP] = ACTIONS(731),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [anon_sym_COMMA] = ACTIONS(733),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(659),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(661),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(663),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(665),
    [anon_sym_DASH] = ACTIONS(665),
    [anon_sym_TILDE] = ACTIONS(667),
    [anon_sym_BANG] = ACTIONS(667),
    [anon_sym_AT] = ACTIONS(669),
    [aux_sym_clone_expression_token1] = ACTIONS(671),
    [aux_sym_print_intrinsic_token1] = ACTIONS(673),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(631),
    [anon_sym_RBRACK] = ACTIONS(741),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(677),
    [aux_sym_include_expression_token1] = ACTIONS(681),
    [aux_sym_include_once_expression_token1] = ACTIONS(683),
    [aux_sym_require_expression_token1] = ACTIONS(685),
    [aux_sym_require_once_expression_token1] = ACTIONS(687),
    [sym_comment] = ACTIONS(5),
  },
  [137] = {
    [sym_text_interpolation] = STATE(137),
    [sym_reference_modifier] = STATE(224),
    [sym_qualified_name] = STATE(810),
    [sym__name] = STATE(1626),
    [sym_namespace_name] = STATE(2507),
    [sym_static_modifier] = STATE(2368),
    [sym_anonymous_function] = STATE(1039),
    [sym__anonymous_function_header] = STATE(2318),
    [sym__arrow_function_header] = STATE(2639),
    [sym_arrow_function] = STATE(1039),
    [sym_literal] = STATE(1039),
    [sym_throw_expression] = STATE(1039),
    [sym_match_expression] = STATE(1026),
    [sym_expression] = STATE(1246),
    [sym__unary_expression] = STATE(1010),
    [sym_unary_op_expression] = STATE(1022),
    [sym_error_suppression_expression] = STATE(1026),
    [sym_clone_expression] = STATE(1022),
    [sym_primary_expression] = STATE(1022),
    [sym_parenthesized_expression] = STATE(811),
    [sym_class_constant_access_expression] = STATE(859),
    [sym_print_intrinsic] = STATE(1039),
    [sym_object_creation_expression] = STATE(1039),
    [sym__new_non_dereferencable_expression] = STATE(1009),
    [sym__new_dereferencable_expression] = STATE(842),
    [sym_update_expression] = STATE(1039),
    [sym_cast_expression] = STATE(1022),
    [sym_cast_variable] = STATE(681),
    [sym_assignment_expression] = STATE(1026),
    [sym_reference_assignment_expression] = STATE(1026),
    [sym_conditional_expression] = STATE(1026),
    [sym_augmented_assignment_expression] = STATE(1026),
    [sym__variable_member_access_expression] = STATE(613),
    [sym_member_access_expression] = STATE(681),
    [sym__variable_nullsafe_member_access_expression] = STATE(619),
    [sym_nullsafe_member_access_expression] = STATE(681),
    [sym__variable_scoped_property_access_expression] = STATE(602),
    [sym_scoped_property_access_expression] = STATE(681),
    [sym_list_literal] = STATE(2640),
    [sym__list_destructing] = STATE(2405),
    [sym__array_destructing] = STATE(2405),
    [sym_function_call_expression] = STATE(612),
    [sym__callable_expression] = STATE(2324),
    [sym_scoped_call_expression] = STATE(612),
    [sym__scope_resolution_qualifier] = STATE(2522),
    [sym_relative_scope] = STATE(2608),
    [sym_variadic_placeholder] = STATE(2711),
    [sym_argument] = STATE(2113),
    [sym__argument_name] = STATE(182),
    [sym_member_call_expression] = STATE(612),
    [sym_nullsafe_member_call_expression] = STATE(612),
    [sym_variadic_unpacking] = STATE(2364),
    [sym__variable_subscript_expression] = STATE(610),
    [sym__dereferencable_subscript_expression] = STATE(612),
    [sym__dereferencable_expression] = STATE(1948),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(766),
    [sym_attribute_group] = STATE(1373),
    [sym_attribute_list] = STATE(1879),
    [sym_encapsed_string] = STATE(767),
    [sym_string] = STATE(767),
    [sym_heredoc] = STATE(767),
    [sym_nowdoc] = STATE(767),
    [sym_shell_command_expression] = STATE(1039),
    [sym_boolean] = STATE(1036),
    [sym_null] = STATE(1036),
    [sym__string] = STATE(768),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(595),
    [sym__new_variable] = STATE(683),
    [sym__callable_variable] = STATE(657),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1026),
    [sym_binary_expression] = STATE(1026),
    [sym_include_expression] = STATE(1026),
    [sym_include_once_expression] = STATE(1026),
    [sym_require_expression] = STATE(1026),
    [sym_require_once_expression] = STATE(1026),
    [sym__reserved_identifier] = STATE(1601),
    [sym__identifier] = STATE(1496),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(743),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_AMP] = ACTIONS(745),
    [aux_sym_function_static_declaration_token1] = ACTIONS(747),
    [aux_sym_namespace_definition_token1] = ACTIONS(749),
    [aux_sym__namespace_use_type_token1] = ACTIONS(751),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(697),
    [anon_sym_RPAREN2] = ACTIONS(753),
    [aux_sym__arrow_function_header_token1] = ACTIONS(755),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(757),
    [aux_sym_cast_type_token1] = ACTIONS(759),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(761),
    [aux_sym_match_expression_token1] = ACTIONS(763),
    [anon_sym_PLUS] = ACTIONS(703),
    [anon_sym_DASH] = ACTIONS(703),
    [anon_sym_TILDE] = ACTIONS(705),
    [anon_sym_BANG] = ACTIONS(705),
    [anon_sym_AT] = ACTIONS(707),
    [aux_sym_clone_expression_token1] = ACTIONS(709),
    [aux_sym_print_intrinsic_token1] = ACTIONS(711),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(713),
    [anon_sym_self] = ACTIONS(765),
    [anon_sym_parent] = ACTIONS(765),
    [aux_sym__argument_name_token1] = ACTIONS(767),
    [aux_sym__argument_name_token2] = ACTIONS(769),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(5),
  },
  [138] = {
    [sym_text_interpolation] = STATE(138),
    [sym_reference_modifier] = STATE(224),
    [sym_qualified_name] = STATE(810),
    [sym__name] = STATE(1626),
    [sym_namespace_name] = STATE(2507),
    [sym_static_modifier] = STATE(2368),
    [sym_anonymous_function] = STATE(1039),
    [sym__anonymous_function_header] = STATE(2318),
    [sym__arrow_function_header] = STATE(2639),
    [sym_arrow_function] = STATE(1039),
    [sym_literal] = STATE(1039),
    [sym_throw_expression] = STATE(1039),
    [sym_match_expression] = STATE(1026),
    [sym_expression] = STATE(1246),
    [sym__unary_expression] = STATE(1010),
    [sym_unary_op_expression] = STATE(1022),
    [sym_error_suppression_expression] = STATE(1026),
    [sym_clone_expression] = STATE(1022),
    [sym_primary_expression] = STATE(1022),
    [sym_parenthesized_expression] = STATE(811),
    [sym_class_constant_access_expression] = STATE(859),
    [sym_print_intrinsic] = STATE(1039),
    [sym_object_creation_expression] = STATE(1039),
    [sym__new_non_dereferencable_expression] = STATE(1009),
    [sym__new_dereferencable_expression] = STATE(842),
    [sym_update_expression] = STATE(1039),
    [sym_cast_expression] = STATE(1022),
    [sym_cast_variable] = STATE(681),
    [sym_assignment_expression] = STATE(1026),
    [sym_reference_assignment_expression] = STATE(1026),
    [sym_conditional_expression] = STATE(1026),
    [sym_augmented_assignment_expression] = STATE(1026),
    [sym__variable_member_access_expression] = STATE(613),
    [sym_member_access_expression] = STATE(681),
    [sym__variable_nullsafe_member_access_expression] = STATE(619),
    [sym_nullsafe_member_access_expression] = STATE(681),
    [sym__variable_scoped_property_access_expression] = STATE(602),
    [sym_scoped_property_access_expression] = STATE(681),
    [sym_list_literal] = STATE(2640),
    [sym__list_destructing] = STATE(2405),
    [sym__array_destructing] = STATE(2405),
    [sym_function_call_expression] = STATE(612),
    [sym__callable_expression] = STATE(2324),
    [sym_scoped_call_expression] = STATE(612),
    [sym__scope_resolution_qualifier] = STATE(2522),
    [sym_relative_scope] = STATE(2608),
    [sym_variadic_placeholder] = STATE(2521),
    [sym_argument] = STATE(2131),
    [sym__argument_name] = STATE(182),
    [sym_member_call_expression] = STATE(612),
    [sym_nullsafe_member_call_expression] = STATE(612),
    [sym_variadic_unpacking] = STATE(2364),
    [sym__variable_subscript_expression] = STATE(610),
    [sym__dereferencable_subscript_expression] = STATE(612),
    [sym__dereferencable_expression] = STATE(1948),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(766),
    [sym_attribute_group] = STATE(1373),
    [sym_attribute_list] = STATE(1879),
    [sym_encapsed_string] = STATE(767),
    [sym_string] = STATE(767),
    [sym_heredoc] = STATE(767),
    [sym_nowdoc] = STATE(767),
    [sym_shell_command_expression] = STATE(1039),
    [sym_boolean] = STATE(1036),
    [sym_null] = STATE(1036),
    [sym__string] = STATE(768),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(595),
    [sym__new_variable] = STATE(683),
    [sym__callable_variable] = STATE(657),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1026),
    [sym_binary_expression] = STATE(1026),
    [sym_include_expression] = STATE(1026),
    [sym_include_once_expression] = STATE(1026),
    [sym_require_expression] = STATE(1026),
    [sym_require_once_expression] = STATE(1026),
    [sym__reserved_identifier] = STATE(1601),
    [sym__identifier] = STATE(1496),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(743),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_AMP] = ACTIONS(745),
    [aux_sym_function_static_declaration_token1] = ACTIONS(747),
    [aux_sym_namespace_definition_token1] = ACTIONS(749),
    [aux_sym__namespace_use_type_token1] = ACTIONS(751),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(697),
    [anon_sym_RPAREN2] = ACTIONS(771),
    [aux_sym__arrow_function_header_token1] = ACTIONS(755),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(757),
    [aux_sym_cast_type_token1] = ACTIONS(759),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(761),
    [aux_sym_match_expression_token1] = ACTIONS(763),
    [anon_sym_PLUS] = ACTIONS(703),
    [anon_sym_DASH] = ACTIONS(703),
    [anon_sym_TILDE] = ACTIONS(705),
    [anon_sym_BANG] = ACTIONS(705),
    [anon_sym_AT] = ACTIONS(707),
    [aux_sym_clone_expression_token1] = ACTIONS(709),
    [aux_sym_print_intrinsic_token1] = ACTIONS(711),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(713),
    [anon_sym_self] = ACTIONS(765),
    [anon_sym_parent] = ACTIONS(765),
    [aux_sym__argument_name_token1] = ACTIONS(767),
    [aux_sym__argument_name_token2] = ACTIONS(769),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(5),
  },
  [139] = {
    [sym_text_interpolation] = STATE(139),
    [sym_reference_modifier] = STATE(224),
    [sym_qualified_name] = STATE(810),
    [sym__name] = STATE(1626),
    [sym_namespace_name] = STATE(2507),
    [sym_static_modifier] = STATE(2368),
    [sym_anonymous_function] = STATE(1039),
    [sym__anonymous_function_header] = STATE(2318),
    [sym__arrow_function_header] = STATE(2639),
    [sym_arrow_function] = STATE(1039),
    [sym_literal] = STATE(1039),
    [sym_throw_expression] = STATE(1039),
    [sym_match_expression] = STATE(1026),
    [sym_expression] = STATE(1246),
    [sym__unary_expression] = STATE(1010),
    [sym_unary_op_expression] = STATE(1022),
    [sym_error_suppression_expression] = STATE(1026),
    [sym_clone_expression] = STATE(1022),
    [sym_primary_expression] = STATE(1022),
    [sym_parenthesized_expression] = STATE(811),
    [sym_class_constant_access_expression] = STATE(859),
    [sym_print_intrinsic] = STATE(1039),
    [sym_object_creation_expression] = STATE(1039),
    [sym__new_non_dereferencable_expression] = STATE(1009),
    [sym__new_dereferencable_expression] = STATE(842),
    [sym_update_expression] = STATE(1039),
    [sym_cast_expression] = STATE(1022),
    [sym_cast_variable] = STATE(681),
    [sym_assignment_expression] = STATE(1026),
    [sym_reference_assignment_expression] = STATE(1026),
    [sym_conditional_expression] = STATE(1026),
    [sym_augmented_assignment_expression] = STATE(1026),
    [sym__variable_member_access_expression] = STATE(613),
    [sym_member_access_expression] = STATE(681),
    [sym__variable_nullsafe_member_access_expression] = STATE(619),
    [sym_nullsafe_member_access_expression] = STATE(681),
    [sym__variable_scoped_property_access_expression] = STATE(602),
    [sym_scoped_property_access_expression] = STATE(681),
    [sym_list_literal] = STATE(2640),
    [sym__list_destructing] = STATE(2405),
    [sym__array_destructing] = STATE(2405),
    [sym_function_call_expression] = STATE(612),
    [sym__callable_expression] = STATE(2324),
    [sym_scoped_call_expression] = STATE(612),
    [sym__scope_resolution_qualifier] = STATE(2522),
    [sym_relative_scope] = STATE(2608),
    [sym_variadic_placeholder] = STATE(2719),
    [sym_argument] = STATE(2046),
    [sym__argument_name] = STATE(182),
    [sym_member_call_expression] = STATE(612),
    [sym_nullsafe_member_call_expression] = STATE(612),
    [sym_variadic_unpacking] = STATE(2364),
    [sym__variable_subscript_expression] = STATE(610),
    [sym__dereferencable_subscript_expression] = STATE(612),
    [sym__dereferencable_expression] = STATE(1948),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(766),
    [sym_attribute_group] = STATE(1373),
    [sym_attribute_list] = STATE(1879),
    [sym_encapsed_string] = STATE(767),
    [sym_string] = STATE(767),
    [sym_heredoc] = STATE(767),
    [sym_nowdoc] = STATE(767),
    [sym_shell_command_expression] = STATE(1039),
    [sym_boolean] = STATE(1036),
    [sym_null] = STATE(1036),
    [sym__string] = STATE(768),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(595),
    [sym__new_variable] = STATE(683),
    [sym__callable_variable] = STATE(657),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1026),
    [sym_binary_expression] = STATE(1026),
    [sym_include_expression] = STATE(1026),
    [sym_include_once_expression] = STATE(1026),
    [sym_require_expression] = STATE(1026),
    [sym_require_once_expression] = STATE(1026),
    [sym__reserved_identifier] = STATE(1601),
    [sym__identifier] = STATE(1496),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(743),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_AMP] = ACTIONS(745),
    [aux_sym_function_static_declaration_token1] = ACTIONS(747),
    [aux_sym_namespace_definition_token1] = ACTIONS(749),
    [aux_sym__namespace_use_type_token1] = ACTIONS(751),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(697),
    [anon_sym_RPAREN2] = ACTIONS(773),
    [aux_sym__arrow_function_header_token1] = ACTIONS(755),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(757),
    [aux_sym_cast_type_token1] = ACTIONS(759),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(761),
    [aux_sym_match_expression_token1] = ACTIONS(763),
    [anon_sym_PLUS] = ACTIONS(703),
    [anon_sym_DASH] = ACTIONS(703),
    [anon_sym_TILDE] = ACTIONS(705),
    [anon_sym_BANG] = ACTIONS(705),
    [anon_sym_AT] = ACTIONS(707),
    [aux_sym_clone_expression_token1] = ACTIONS(709),
    [aux_sym_print_intrinsic_token1] = ACTIONS(711),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(713),
    [anon_sym_self] = ACTIONS(765),
    [anon_sym_parent] = ACTIONS(765),
    [aux_sym__argument_name_token1] = ACTIONS(767),
    [aux_sym__argument_name_token2] = ACTIONS(769),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(5),
  },
  [140] = {
    [sym_text_interpolation] = STATE(140),
    [sym_reference_modifier] = STATE(224),
    [sym_qualified_name] = STATE(810),
    [sym__name] = STATE(1626),
    [sym_namespace_name] = STATE(2507),
    [sym_static_modifier] = STATE(2368),
    [sym_anonymous_function] = STATE(1039),
    [sym__anonymous_function_header] = STATE(2318),
    [sym__arrow_function_header] = STATE(2639),
    [sym_arrow_function] = STATE(1039),
    [sym_literal] = STATE(1039),
    [sym_throw_expression] = STATE(1039),
    [sym_match_expression] = STATE(1026),
    [sym_expression] = STATE(1246),
    [sym__unary_expression] = STATE(1010),
    [sym_unary_op_expression] = STATE(1022),
    [sym_error_suppression_expression] = STATE(1026),
    [sym_clone_expression] = STATE(1022),
    [sym_primary_expression] = STATE(1022),
    [sym_parenthesized_expression] = STATE(811),
    [sym_class_constant_access_expression] = STATE(859),
    [sym_print_intrinsic] = STATE(1039),
    [sym_object_creation_expression] = STATE(1039),
    [sym__new_non_dereferencable_expression] = STATE(1009),
    [sym__new_dereferencable_expression] = STATE(842),
    [sym_update_expression] = STATE(1039),
    [sym_cast_expression] = STATE(1022),
    [sym_cast_variable] = STATE(681),
    [sym_assignment_expression] = STATE(1026),
    [sym_reference_assignment_expression] = STATE(1026),
    [sym_conditional_expression] = STATE(1026),
    [sym_augmented_assignment_expression] = STATE(1026),
    [sym__variable_member_access_expression] = STATE(613),
    [sym_member_access_expression] = STATE(681),
    [sym__variable_nullsafe_member_access_expression] = STATE(619),
    [sym_nullsafe_member_access_expression] = STATE(681),
    [sym__variable_scoped_property_access_expression] = STATE(602),
    [sym_scoped_property_access_expression] = STATE(681),
    [sym_list_literal] = STATE(2640),
    [sym__list_destructing] = STATE(2405),
    [sym__array_destructing] = STATE(2405),
    [sym_function_call_expression] = STATE(612),
    [sym__callable_expression] = STATE(2324),
    [sym_scoped_call_expression] = STATE(612),
    [sym__scope_resolution_qualifier] = STATE(2522),
    [sym_relative_scope] = STATE(2608),
    [sym_variadic_placeholder] = STATE(2734),
    [sym_argument] = STATE(2143),
    [sym__argument_name] = STATE(182),
    [sym_member_call_expression] = STATE(612),
    [sym_nullsafe_member_call_expression] = STATE(612),
    [sym_variadic_unpacking] = STATE(2364),
    [sym__variable_subscript_expression] = STATE(610),
    [sym__dereferencable_subscript_expression] = STATE(612),
    [sym__dereferencable_expression] = STATE(1948),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(766),
    [sym_attribute_group] = STATE(1373),
    [sym_attribute_list] = STATE(1879),
    [sym_encapsed_string] = STATE(767),
    [sym_string] = STATE(767),
    [sym_heredoc] = STATE(767),
    [sym_nowdoc] = STATE(767),
    [sym_shell_command_expression] = STATE(1039),
    [sym_boolean] = STATE(1036),
    [sym_null] = STATE(1036),
    [sym__string] = STATE(768),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(595),
    [sym__new_variable] = STATE(683),
    [sym__callable_variable] = STATE(657),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1026),
    [sym_binary_expression] = STATE(1026),
    [sym_include_expression] = STATE(1026),
    [sym_include_once_expression] = STATE(1026),
    [sym_require_expression] = STATE(1026),
    [sym_require_once_expression] = STATE(1026),
    [sym__reserved_identifier] = STATE(1601),
    [sym__identifier] = STATE(1496),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(743),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_AMP] = ACTIONS(745),
    [aux_sym_function_static_declaration_token1] = ACTIONS(747),
    [aux_sym_namespace_definition_token1] = ACTIONS(749),
    [aux_sym__namespace_use_type_token1] = ACTIONS(751),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(697),
    [anon_sym_RPAREN2] = ACTIONS(775),
    [aux_sym__arrow_function_header_token1] = ACTIONS(755),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(757),
    [aux_sym_cast_type_token1] = ACTIONS(759),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(761),
    [aux_sym_match_expression_token1] = ACTIONS(763),
    [anon_sym_PLUS] = ACTIONS(703),
    [anon_sym_DASH] = ACTIONS(703),
    [anon_sym_TILDE] = ACTIONS(705),
    [anon_sym_BANG] = ACTIONS(705),
    [anon_sym_AT] = ACTIONS(707),
    [aux_sym_clone_expression_token1] = ACTIONS(709),
    [aux_sym_print_intrinsic_token1] = ACTIONS(711),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(713),
    [anon_sym_self] = ACTIONS(765),
    [anon_sym_parent] = ACTIONS(765),
    [aux_sym__argument_name_token1] = ACTIONS(767),
    [aux_sym__argument_name_token2] = ACTIONS(769),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(5),
  },
  [141] = {
    [sym_text_interpolation] = STATE(141),
    [sym_qualified_name] = STATE(810),
    [sym__name] = STATE(1626),
    [sym_namespace_name] = STATE(2507),
    [sym_static_modifier] = STATE(2368),
    [sym_anonymous_function] = STATE(1039),
    [sym__anonymous_function_header] = STATE(2318),
    [sym__arrow_function_header] = STATE(2547),
    [sym_arrow_function] = STATE(1039),
    [sym_literal] = STATE(1039),
    [sym_throw_expression] = STATE(1039),
    [sym_match_expression] = STATE(1026),
    [sym_expression] = STATE(1233),
    [sym__unary_expression] = STATE(1010),
    [sym_unary_op_expression] = STATE(1022),
    [sym_error_suppression_expression] = STATE(1026),
    [sym_clone_expression] = STATE(1022),
    [sym_primary_expression] = STATE(1022),
    [sym_parenthesized_expression] = STATE(811),
    [sym_class_constant_access_expression] = STATE(859),
    [sym_print_intrinsic] = STATE(1039),
    [sym_object_creation_expression] = STATE(1039),
    [sym__new_non_dereferencable_expression] = STATE(1009),
    [sym__new_dereferencable_expression] = STATE(842),
    [sym_update_expression] = STATE(1039),
    [sym_cast_expression] = STATE(1022),
    [sym_cast_variable] = STATE(686),
    [sym_assignment_expression] = STATE(1026),
    [sym_reference_assignment_expression] = STATE(1026),
    [sym_conditional_expression] = STATE(1026),
    [sym_augmented_assignment_expression] = STATE(1026),
    [sym__variable_member_access_expression] = STATE(613),
    [sym_member_access_expression] = STATE(686),
    [sym__variable_nullsafe_member_access_expression] = STATE(619),
    [sym_nullsafe_member_access_expression] = STATE(686),
    [sym__variable_scoped_property_access_expression] = STATE(602),
    [sym_scoped_property_access_expression] = STATE(686),
    [sym_list_literal] = STATE(2548),
    [sym__list_destructing] = STATE(2405),
    [sym__array_destructing] = STATE(1991),
    [sym__array_destructing_element] = STATE(1992),
    [sym_function_call_expression] = STATE(612),
    [sym__callable_expression] = STATE(2324),
    [sym_scoped_call_expression] = STATE(612),
    [sym__scope_resolution_qualifier] = STATE(2522),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(612),
    [sym_nullsafe_member_call_expression] = STATE(612),
    [sym_variadic_unpacking] = STATE(1012),
    [sym__variable_subscript_expression] = STATE(610),
    [sym__dereferencable_subscript_expression] = STATE(612),
    [sym__dereferencable_expression] = STATE(1948),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(766),
    [sym_attribute_group] = STATE(1373),
    [sym_attribute_list] = STATE(1879),
    [sym_encapsed_string] = STATE(767),
    [sym_string] = STATE(767),
    [sym_heredoc] = STATE(767),
    [sym_nowdoc] = STATE(767),
    [sym_shell_command_expression] = STATE(1039),
    [sym_boolean] = STATE(1036),
    [sym_null] = STATE(1036),
    [sym__string] = STATE(768),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(595),
    [sym__new_variable] = STATE(687),
    [sym__callable_variable] = STATE(678),
    [sym_variable_name] = STATE(618),
    [sym_by_ref] = STATE(2464),
    [sym_yield_expression] = STATE(1026),
    [sym_array_element_initializer] = STATE(1995),
    [sym_binary_expression] = STATE(1026),
    [sym_include_expression] = STATE(1026),
    [sym_include_once_expression] = STATE(1026),
    [sym_require_expression] = STATE(1026),
    [sym_require_once_expression] = STATE(1026),
    [sym__reserved_identifier] = STATE(717),
    [sym__identifier] = STATE(1496),
    [aux_sym__array_destructing_repeat1] = STATE(1998),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_AMP] = ACTIONS(731),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [anon_sym_COMMA] = ACTIONS(777),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(659),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(661),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(663),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(665),
    [anon_sym_DASH] = ACTIONS(665),
    [anon_sym_TILDE] = ACTIONS(667),
    [anon_sym_BANG] = ACTIONS(667),
    [anon_sym_AT] = ACTIONS(669),
    [aux_sym_clone_expression_token1] = ACTIONS(671),
    [aux_sym_print_intrinsic_token1] = ACTIONS(673),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(631),
    [anon_sym_RBRACK] = ACTIONS(779),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(677),
    [aux_sym_include_expression_token1] = ACTIONS(681),
    [aux_sym_include_once_expression_token1] = ACTIONS(683),
    [aux_sym_require_expression_token1] = ACTIONS(685),
    [aux_sym_require_once_expression_token1] = ACTIONS(687),
    [sym_comment] = ACTIONS(5),
  },
  [142] = {
    [sym_text_interpolation] = STATE(142),
    [sym_reference_modifier] = STATE(224),
    [sym_qualified_name] = STATE(810),
    [sym__name] = STATE(1626),
    [sym_namespace_name] = STATE(2507),
    [sym_static_modifier] = STATE(2368),
    [sym_anonymous_function] = STATE(1039),
    [sym__anonymous_function_header] = STATE(2318),
    [sym__arrow_function_header] = STATE(2639),
    [sym_arrow_function] = STATE(1039),
    [sym_literal] = STATE(1039),
    [sym_throw_expression] = STATE(1039),
    [sym_match_expression] = STATE(1026),
    [sym_expression] = STATE(1246),
    [sym__unary_expression] = STATE(1010),
    [sym_unary_op_expression] = STATE(1022),
    [sym_error_suppression_expression] = STATE(1026),
    [sym_clone_expression] = STATE(1022),
    [sym_primary_expression] = STATE(1022),
    [sym_parenthesized_expression] = STATE(811),
    [sym_class_constant_access_expression] = STATE(859),
    [sym_print_intrinsic] = STATE(1039),
    [sym_object_creation_expression] = STATE(1039),
    [sym__new_non_dereferencable_expression] = STATE(1009),
    [sym__new_dereferencable_expression] = STATE(842),
    [sym_update_expression] = STATE(1039),
    [sym_cast_expression] = STATE(1022),
    [sym_cast_variable] = STATE(681),
    [sym_assignment_expression] = STATE(1026),
    [sym_reference_assignment_expression] = STATE(1026),
    [sym_conditional_expression] = STATE(1026),
    [sym_augmented_assignment_expression] = STATE(1026),
    [sym__variable_member_access_expression] = STATE(613),
    [sym_member_access_expression] = STATE(681),
    [sym__variable_nullsafe_member_access_expression] = STATE(619),
    [sym_nullsafe_member_access_expression] = STATE(681),
    [sym__variable_scoped_property_access_expression] = STATE(602),
    [sym_scoped_property_access_expression] = STATE(681),
    [sym_list_literal] = STATE(2640),
    [sym__list_destructing] = STATE(2405),
    [sym__array_destructing] = STATE(2405),
    [sym_function_call_expression] = STATE(612),
    [sym__callable_expression] = STATE(2324),
    [sym_scoped_call_expression] = STATE(612),
    [sym__scope_resolution_qualifier] = STATE(2522),
    [sym_relative_scope] = STATE(2608),
    [sym_variadic_placeholder] = STATE(2543),
    [sym_argument] = STATE(2178),
    [sym__argument_name] = STATE(182),
    [sym_member_call_expression] = STATE(612),
    [sym_nullsafe_member_call_expression] = STATE(612),
    [sym_variadic_unpacking] = STATE(2364),
    [sym__variable_subscript_expression] = STATE(610),
    [sym__dereferencable_subscript_expression] = STATE(612),
    [sym__dereferencable_expression] = STATE(1948),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(766),
    [sym_attribute_group] = STATE(1373),
    [sym_attribute_list] = STATE(1879),
    [sym_encapsed_string] = STATE(767),
    [sym_string] = STATE(767),
    [sym_heredoc] = STATE(767),
    [sym_nowdoc] = STATE(767),
    [sym_shell_command_expression] = STATE(1039),
    [sym_boolean] = STATE(1036),
    [sym_null] = STATE(1036),
    [sym__string] = STATE(768),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(595),
    [sym__new_variable] = STATE(683),
    [sym__callable_variable] = STATE(657),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1026),
    [sym_binary_expression] = STATE(1026),
    [sym_include_expression] = STATE(1026),
    [sym_include_once_expression] = STATE(1026),
    [sym_require_expression] = STATE(1026),
    [sym_require_once_expression] = STATE(1026),
    [sym__reserved_identifier] = STATE(1601),
    [sym__identifier] = STATE(1496),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(743),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_AMP] = ACTIONS(745),
    [aux_sym_function_static_declaration_token1] = ACTIONS(747),
    [aux_sym_namespace_definition_token1] = ACTIONS(749),
    [aux_sym__namespace_use_type_token1] = ACTIONS(751),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(697),
    [anon_sym_RPAREN2] = ACTIONS(781),
    [aux_sym__arrow_function_header_token1] = ACTIONS(755),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(757),
    [aux_sym_cast_type_token1] = ACTIONS(759),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(761),
    [aux_sym_match_expression_token1] = ACTIONS(763),
    [anon_sym_PLUS] = ACTIONS(703),
    [anon_sym_DASH] = ACTIONS(703),
    [anon_sym_TILDE] = ACTIONS(705),
    [anon_sym_BANG] = ACTIONS(705),
    [anon_sym_AT] = ACTIONS(707),
    [aux_sym_clone_expression_token1] = ACTIONS(709),
    [aux_sym_print_intrinsic_token1] = ACTIONS(711),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(713),
    [anon_sym_self] = ACTIONS(765),
    [anon_sym_parent] = ACTIONS(765),
    [aux_sym__argument_name_token1] = ACTIONS(767),
    [aux_sym__argument_name_token2] = ACTIONS(769),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(5),
  },
  [143] = {
    [sym_text_interpolation] = STATE(143),
    [sym_reference_modifier] = STATE(224),
    [sym_qualified_name] = STATE(810),
    [sym__name] = STATE(1626),
    [sym_namespace_name] = STATE(2507),
    [sym_static_modifier] = STATE(2368),
    [sym_anonymous_function] = STATE(1039),
    [sym__anonymous_function_header] = STATE(2318),
    [sym__arrow_function_header] = STATE(2639),
    [sym_arrow_function] = STATE(1039),
    [sym_literal] = STATE(1039),
    [sym_throw_expression] = STATE(1039),
    [sym_match_expression] = STATE(1026),
    [sym_expression] = STATE(1246),
    [sym__unary_expression] = STATE(1010),
    [sym_unary_op_expression] = STATE(1022),
    [sym_error_suppression_expression] = STATE(1026),
    [sym_clone_expression] = STATE(1022),
    [sym_primary_expression] = STATE(1022),
    [sym_parenthesized_expression] = STATE(811),
    [sym_class_constant_access_expression] = STATE(859),
    [sym_print_intrinsic] = STATE(1039),
    [sym_object_creation_expression] = STATE(1039),
    [sym__new_non_dereferencable_expression] = STATE(1009),
    [sym__new_dereferencable_expression] = STATE(842),
    [sym_update_expression] = STATE(1039),
    [sym_cast_expression] = STATE(1022),
    [sym_cast_variable] = STATE(681),
    [sym_assignment_expression] = STATE(1026),
    [sym_reference_assignment_expression] = STATE(1026),
    [sym_conditional_expression] = STATE(1026),
    [sym_augmented_assignment_expression] = STATE(1026),
    [sym__variable_member_access_expression] = STATE(613),
    [sym_member_access_expression] = STATE(681),
    [sym__variable_nullsafe_member_access_expression] = STATE(619),
    [sym_nullsafe_member_access_expression] = STATE(681),
    [sym__variable_scoped_property_access_expression] = STATE(602),
    [sym_scoped_property_access_expression] = STATE(681),
    [sym_list_literal] = STATE(2640),
    [sym__list_destructing] = STATE(2405),
    [sym__array_destructing] = STATE(2405),
    [sym_function_call_expression] = STATE(612),
    [sym__callable_expression] = STATE(2324),
    [sym_scoped_call_expression] = STATE(612),
    [sym__scope_resolution_qualifier] = STATE(2522),
    [sym_relative_scope] = STATE(2608),
    [sym_variadic_placeholder] = STATE(2601),
    [sym_argument] = STATE(2155),
    [sym__argument_name] = STATE(182),
    [sym_member_call_expression] = STATE(612),
    [sym_nullsafe_member_call_expression] = STATE(612),
    [sym_variadic_unpacking] = STATE(2364),
    [sym__variable_subscript_expression] = STATE(610),
    [sym__dereferencable_subscript_expression] = STATE(612),
    [sym__dereferencable_expression] = STATE(1948),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(766),
    [sym_attribute_group] = STATE(1373),
    [sym_attribute_list] = STATE(1879),
    [sym_encapsed_string] = STATE(767),
    [sym_string] = STATE(767),
    [sym_heredoc] = STATE(767),
    [sym_nowdoc] = STATE(767),
    [sym_shell_command_expression] = STATE(1039),
    [sym_boolean] = STATE(1036),
    [sym_null] = STATE(1036),
    [sym__string] = STATE(768),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(595),
    [sym__new_variable] = STATE(683),
    [sym__callable_variable] = STATE(657),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1026),
    [sym_binary_expression] = STATE(1026),
    [sym_include_expression] = STATE(1026),
    [sym_include_once_expression] = STATE(1026),
    [sym_require_expression] = STATE(1026),
    [sym_require_once_expression] = STATE(1026),
    [sym__reserved_identifier] = STATE(1601),
    [sym__identifier] = STATE(1496),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(743),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_AMP] = ACTIONS(745),
    [aux_sym_function_static_declaration_token1] = ACTIONS(747),
    [aux_sym_namespace_definition_token1] = ACTIONS(749),
    [aux_sym__namespace_use_type_token1] = ACTIONS(751),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(697),
    [anon_sym_RPAREN2] = ACTIONS(783),
    [aux_sym__arrow_function_header_token1] = ACTIONS(755),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(757),
    [aux_sym_cast_type_token1] = ACTIONS(759),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(761),
    [aux_sym_match_expression_token1] = ACTIONS(763),
    [anon_sym_PLUS] = ACTIONS(703),
    [anon_sym_DASH] = ACTIONS(703),
    [anon_sym_TILDE] = ACTIONS(705),
    [anon_sym_BANG] = ACTIONS(705),
    [anon_sym_AT] = ACTIONS(707),
    [aux_sym_clone_expression_token1] = ACTIONS(709),
    [aux_sym_print_intrinsic_token1] = ACTIONS(711),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(713),
    [anon_sym_self] = ACTIONS(765),
    [anon_sym_parent] = ACTIONS(765),
    [aux_sym__argument_name_token1] = ACTIONS(767),
    [aux_sym__argument_name_token2] = ACTIONS(769),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(5),
  },
  [144] = {
    [sym_text_interpolation] = STATE(144),
    [sym_reference_modifier] = STATE(224),
    [sym_qualified_name] = STATE(810),
    [sym__name] = STATE(1626),
    [sym_namespace_name] = STATE(2507),
    [sym_static_modifier] = STATE(2368),
    [sym_anonymous_function] = STATE(1039),
    [sym__anonymous_function_header] = STATE(2318),
    [sym__arrow_function_header] = STATE(2639),
    [sym_arrow_function] = STATE(1039),
    [sym_literal] = STATE(1039),
    [sym_throw_expression] = STATE(1039),
    [sym_match_expression] = STATE(1026),
    [sym_expression] = STATE(1246),
    [sym__unary_expression] = STATE(1010),
    [sym_unary_op_expression] = STATE(1022),
    [sym_error_suppression_expression] = STATE(1026),
    [sym_clone_expression] = STATE(1022),
    [sym_primary_expression] = STATE(1022),
    [sym_parenthesized_expression] = STATE(811),
    [sym_class_constant_access_expression] = STATE(859),
    [sym_print_intrinsic] = STATE(1039),
    [sym_object_creation_expression] = STATE(1039),
    [sym__new_non_dereferencable_expression] = STATE(1009),
    [sym__new_dereferencable_expression] = STATE(842),
    [sym_update_expression] = STATE(1039),
    [sym_cast_expression] = STATE(1022),
    [sym_cast_variable] = STATE(681),
    [sym_assignment_expression] = STATE(1026),
    [sym_reference_assignment_expression] = STATE(1026),
    [sym_conditional_expression] = STATE(1026),
    [sym_augmented_assignment_expression] = STATE(1026),
    [sym__variable_member_access_expression] = STATE(613),
    [sym_member_access_expression] = STATE(681),
    [sym__variable_nullsafe_member_access_expression] = STATE(619),
    [sym_nullsafe_member_access_expression] = STATE(681),
    [sym__variable_scoped_property_access_expression] = STATE(602),
    [sym_scoped_property_access_expression] = STATE(681),
    [sym_list_literal] = STATE(2640),
    [sym__list_destructing] = STATE(2405),
    [sym__array_destructing] = STATE(2405),
    [sym_function_call_expression] = STATE(612),
    [sym__callable_expression] = STATE(2324),
    [sym_scoped_call_expression] = STATE(612),
    [sym__scope_resolution_qualifier] = STATE(2522),
    [sym_relative_scope] = STATE(2608),
    [sym_argument] = STATE(2417),
    [sym__argument_name] = STATE(182),
    [sym_member_call_expression] = STATE(612),
    [sym_nullsafe_member_call_expression] = STATE(612),
    [sym_variadic_unpacking] = STATE(2364),
    [sym__variable_subscript_expression] = STATE(610),
    [sym__dereferencable_subscript_expression] = STATE(612),
    [sym__dereferencable_expression] = STATE(1948),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(766),
    [sym_attribute_group] = STATE(1373),
    [sym_attribute_list] = STATE(1879),
    [sym_encapsed_string] = STATE(767),
    [sym_string] = STATE(767),
    [sym_heredoc] = STATE(767),
    [sym_nowdoc] = STATE(767),
    [sym_shell_command_expression] = STATE(1039),
    [sym_boolean] = STATE(1036),
    [sym_null] = STATE(1036),
    [sym__string] = STATE(768),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(595),
    [sym__new_variable] = STATE(683),
    [sym__callable_variable] = STATE(657),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1026),
    [sym_binary_expression] = STATE(1026),
    [sym_include_expression] = STATE(1026),
    [sym_include_once_expression] = STATE(1026),
    [sym_require_expression] = STATE(1026),
    [sym_require_once_expression] = STATE(1026),
    [sym__reserved_identifier] = STATE(1601),
    [sym__identifier] = STATE(1496),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(743),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_AMP] = ACTIONS(745),
    [aux_sym_function_static_declaration_token1] = ACTIONS(747),
    [aux_sym_namespace_definition_token1] = ACTIONS(749),
    [aux_sym__namespace_use_type_token1] = ACTIONS(751),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(697),
    [anon_sym_RPAREN2] = ACTIONS(785),
    [aux_sym__arrow_function_header_token1] = ACTIONS(755),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(699),
    [aux_sym_cast_type_token1] = ACTIONS(759),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(761),
    [aux_sym_match_expression_token1] = ACTIONS(763),
    [anon_sym_PLUS] = ACTIONS(703),
    [anon_sym_DASH] = ACTIONS(703),
    [anon_sym_TILDE] = ACTIONS(705),
    [anon_sym_BANG] = ACTIONS(705),
    [anon_sym_AT] = ACTIONS(707),
    [aux_sym_clone_expression_token1] = ACTIONS(709),
    [aux_sym_print_intrinsic_token1] = ACTIONS(711),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(713),
    [anon_sym_self] = ACTIONS(765),
    [anon_sym_parent] = ACTIONS(765),
    [aux_sym__argument_name_token1] = ACTIONS(767),
    [aux_sym__argument_name_token2] = ACTIONS(769),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(5),
  },
  [145] = {
    [sym_text_interpolation] = STATE(145),
    [sym_reference_modifier] = STATE(224),
    [sym_qualified_name] = STATE(810),
    [sym__name] = STATE(1626),
    [sym_namespace_name] = STATE(2507),
    [sym_static_modifier] = STATE(2368),
    [sym_anonymous_function] = STATE(1039),
    [sym__anonymous_function_header] = STATE(2318),
    [sym__arrow_function_header] = STATE(2639),
    [sym_arrow_function] = STATE(1039),
    [sym_literal] = STATE(1039),
    [sym_throw_expression] = STATE(1039),
    [sym_match_expression] = STATE(1026),
    [sym_expression] = STATE(1246),
    [sym__unary_expression] = STATE(1010),
    [sym_unary_op_expression] = STATE(1022),
    [sym_error_suppression_expression] = STATE(1026),
    [sym_clone_expression] = STATE(1022),
    [sym_primary_expression] = STATE(1022),
    [sym_parenthesized_expression] = STATE(811),
    [sym_class_constant_access_expression] = STATE(859),
    [sym_print_intrinsic] = STATE(1039),
    [sym_object_creation_expression] = STATE(1039),
    [sym__new_non_dereferencable_expression] = STATE(1009),
    [sym__new_dereferencable_expression] = STATE(842),
    [sym_update_expression] = STATE(1039),
    [sym_cast_expression] = STATE(1022),
    [sym_cast_variable] = STATE(681),
    [sym_assignment_expression] = STATE(1026),
    [sym_reference_assignment_expression] = STATE(1026),
    [sym_conditional_expression] = STATE(1026),
    [sym_augmented_assignment_expression] = STATE(1026),
    [sym__variable_member_access_expression] = STATE(613),
    [sym_member_access_expression] = STATE(681),
    [sym__variable_nullsafe_member_access_expression] = STATE(619),
    [sym_nullsafe_member_access_expression] = STATE(681),
    [sym__variable_scoped_property_access_expression] = STATE(602),
    [sym_scoped_property_access_expression] = STATE(681),
    [sym_list_literal] = STATE(2640),
    [sym__list_destructing] = STATE(2405),
    [sym__array_destructing] = STATE(2405),
    [sym_function_call_expression] = STATE(612),
    [sym__callable_expression] = STATE(2324),
    [sym_scoped_call_expression] = STATE(612),
    [sym__scope_resolution_qualifier] = STATE(2522),
    [sym_relative_scope] = STATE(2608),
    [sym_argument] = STATE(2417),
    [sym__argument_name] = STATE(182),
    [sym_member_call_expression] = STATE(612),
    [sym_nullsafe_member_call_expression] = STATE(612),
    [sym_variadic_unpacking] = STATE(2364),
    [sym__variable_subscript_expression] = STATE(610),
    [sym__dereferencable_subscript_expression] = STATE(612),
    [sym__dereferencable_expression] = STATE(1948),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(766),
    [sym_attribute_group] = STATE(1373),
    [sym_attribute_list] = STATE(1879),
    [sym_encapsed_string] = STATE(767),
    [sym_string] = STATE(767),
    [sym_heredoc] = STATE(767),
    [sym_nowdoc] = STATE(767),
    [sym_shell_command_expression] = STATE(1039),
    [sym_boolean] = STATE(1036),
    [sym_null] = STATE(1036),
    [sym__string] = STATE(768),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(595),
    [sym__new_variable] = STATE(683),
    [sym__callable_variable] = STATE(657),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1026),
    [sym_binary_expression] = STATE(1026),
    [sym_include_expression] = STATE(1026),
    [sym_include_once_expression] = STATE(1026),
    [sym_require_expression] = STATE(1026),
    [sym_require_once_expression] = STATE(1026),
    [sym__reserved_identifier] = STATE(1601),
    [sym__identifier] = STATE(1496),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(743),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_AMP] = ACTIONS(745),
    [aux_sym_function_static_declaration_token1] = ACTIONS(747),
    [aux_sym_namespace_definition_token1] = ACTIONS(749),
    [aux_sym__namespace_use_type_token1] = ACTIONS(751),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(697),
    [anon_sym_RPAREN2] = ACTIONS(787),
    [aux_sym__arrow_function_header_token1] = ACTIONS(755),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(699),
    [aux_sym_cast_type_token1] = ACTIONS(759),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(761),
    [aux_sym_match_expression_token1] = ACTIONS(763),
    [anon_sym_PLUS] = ACTIONS(703),
    [anon_sym_DASH] = ACTIONS(703),
    [anon_sym_TILDE] = ACTIONS(705),
    [anon_sym_BANG] = ACTIONS(705),
    [anon_sym_AT] = ACTIONS(707),
    [aux_sym_clone_expression_token1] = ACTIONS(709),
    [aux_sym_print_intrinsic_token1] = ACTIONS(711),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(713),
    [anon_sym_self] = ACTIONS(765),
    [anon_sym_parent] = ACTIONS(765),
    [aux_sym__argument_name_token1] = ACTIONS(767),
    [aux_sym__argument_name_token2] = ACTIONS(769),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(5),
  },
  [146] = {
    [sym_text_interpolation] = STATE(146),
    [sym_reference_modifier] = STATE(224),
    [sym_qualified_name] = STATE(810),
    [sym__name] = STATE(1626),
    [sym_namespace_name] = STATE(2507),
    [sym_static_modifier] = STATE(2368),
    [sym_anonymous_function] = STATE(1039),
    [sym__anonymous_function_header] = STATE(2318),
    [sym__arrow_function_header] = STATE(2639),
    [sym_arrow_function] = STATE(1039),
    [sym_literal] = STATE(1039),
    [sym_throw_expression] = STATE(1039),
    [sym_match_expression] = STATE(1026),
    [sym_expression] = STATE(1246),
    [sym__unary_expression] = STATE(1010),
    [sym_unary_op_expression] = STATE(1022),
    [sym_error_suppression_expression] = STATE(1026),
    [sym_clone_expression] = STATE(1022),
    [sym_primary_expression] = STATE(1022),
    [sym_parenthesized_expression] = STATE(811),
    [sym_class_constant_access_expression] = STATE(859),
    [sym_print_intrinsic] = STATE(1039),
    [sym_object_creation_expression] = STATE(1039),
    [sym__new_non_dereferencable_expression] = STATE(1009),
    [sym__new_dereferencable_expression] = STATE(842),
    [sym_update_expression] = STATE(1039),
    [sym_cast_expression] = STATE(1022),
    [sym_cast_variable] = STATE(681),
    [sym_assignment_expression] = STATE(1026),
    [sym_reference_assignment_expression] = STATE(1026),
    [sym_conditional_expression] = STATE(1026),
    [sym_augmented_assignment_expression] = STATE(1026),
    [sym__variable_member_access_expression] = STATE(613),
    [sym_member_access_expression] = STATE(681),
    [sym__variable_nullsafe_member_access_expression] = STATE(619),
    [sym_nullsafe_member_access_expression] = STATE(681),
    [sym__variable_scoped_property_access_expression] = STATE(602),
    [sym_scoped_property_access_expression] = STATE(681),
    [sym_list_literal] = STATE(2640),
    [sym__list_destructing] = STATE(2405),
    [sym__array_destructing] = STATE(2405),
    [sym_function_call_expression] = STATE(612),
    [sym__callable_expression] = STATE(2324),
    [sym_scoped_call_expression] = STATE(612),
    [sym__scope_resolution_qualifier] = STATE(2522),
    [sym_relative_scope] = STATE(2608),
    [sym_argument] = STATE(2417),
    [sym__argument_name] = STATE(182),
    [sym_member_call_expression] = STATE(612),
    [sym_nullsafe_member_call_expression] = STATE(612),
    [sym_variadic_unpacking] = STATE(2364),
    [sym__variable_subscript_expression] = STATE(610),
    [sym__dereferencable_subscript_expression] = STATE(612),
    [sym__dereferencable_expression] = STATE(1948),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(766),
    [sym_attribute_group] = STATE(1373),
    [sym_attribute_list] = STATE(1879),
    [sym_encapsed_string] = STATE(767),
    [sym_string] = STATE(767),
    [sym_heredoc] = STATE(767),
    [sym_nowdoc] = STATE(767),
    [sym_shell_command_expression] = STATE(1039),
    [sym_boolean] = STATE(1036),
    [sym_null] = STATE(1036),
    [sym__string] = STATE(768),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(595),
    [sym__new_variable] = STATE(683),
    [sym__callable_variable] = STATE(657),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1026),
    [sym_binary_expression] = STATE(1026),
    [sym_include_expression] = STATE(1026),
    [sym_include_once_expression] = STATE(1026),
    [sym_require_expression] = STATE(1026),
    [sym_require_once_expression] = STATE(1026),
    [sym__reserved_identifier] = STATE(1601),
    [sym__identifier] = STATE(1496),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(743),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_AMP] = ACTIONS(745),
    [aux_sym_function_static_declaration_token1] = ACTIONS(747),
    [aux_sym_namespace_definition_token1] = ACTIONS(749),
    [aux_sym__namespace_use_type_token1] = ACTIONS(751),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(697),
    [anon_sym_RPAREN2] = ACTIONS(789),
    [aux_sym__arrow_function_header_token1] = ACTIONS(755),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(699),
    [aux_sym_cast_type_token1] = ACTIONS(759),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(761),
    [aux_sym_match_expression_token1] = ACTIONS(763),
    [anon_sym_PLUS] = ACTIONS(703),
    [anon_sym_DASH] = ACTIONS(703),
    [anon_sym_TILDE] = ACTIONS(705),
    [anon_sym_BANG] = ACTIONS(705),
    [anon_sym_AT] = ACTIONS(707),
    [aux_sym_clone_expression_token1] = ACTIONS(709),
    [aux_sym_print_intrinsic_token1] = ACTIONS(711),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(713),
    [anon_sym_self] = ACTIONS(765),
    [anon_sym_parent] = ACTIONS(765),
    [aux_sym__argument_name_token1] = ACTIONS(767),
    [aux_sym__argument_name_token2] = ACTIONS(769),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(5),
  },
  [147] = {
    [sym_text_interpolation] = STATE(147),
    [sym_reference_modifier] = STATE(224),
    [sym_qualified_name] = STATE(810),
    [sym__name] = STATE(1626),
    [sym_namespace_name] = STATE(2507),
    [sym_static_modifier] = STATE(2368),
    [sym_anonymous_function] = STATE(1039),
    [sym__anonymous_function_header] = STATE(2318),
    [sym__arrow_function_header] = STATE(2639),
    [sym_arrow_function] = STATE(1039),
    [sym_literal] = STATE(1039),
    [sym_throw_expression] = STATE(1039),
    [sym_match_expression] = STATE(1026),
    [sym_expression] = STATE(1246),
    [sym__unary_expression] = STATE(1010),
    [sym_unary_op_expression] = STATE(1022),
    [sym_error_suppression_expression] = STATE(1026),
    [sym_clone_expression] = STATE(1022),
    [sym_primary_expression] = STATE(1022),
    [sym_parenthesized_expression] = STATE(811),
    [sym_class_constant_access_expression] = STATE(859),
    [sym_print_intrinsic] = STATE(1039),
    [sym_object_creation_expression] = STATE(1039),
    [sym__new_non_dereferencable_expression] = STATE(1009),
    [sym__new_dereferencable_expression] = STATE(842),
    [sym_update_expression] = STATE(1039),
    [sym_cast_expression] = STATE(1022),
    [sym_cast_variable] = STATE(681),
    [sym_assignment_expression] = STATE(1026),
    [sym_reference_assignment_expression] = STATE(1026),
    [sym_conditional_expression] = STATE(1026),
    [sym_augmented_assignment_expression] = STATE(1026),
    [sym__variable_member_access_expression] = STATE(613),
    [sym_member_access_expression] = STATE(681),
    [sym__variable_nullsafe_member_access_expression] = STATE(619),
    [sym_nullsafe_member_access_expression] = STATE(681),
    [sym__variable_scoped_property_access_expression] = STATE(602),
    [sym_scoped_property_access_expression] = STATE(681),
    [sym_list_literal] = STATE(2640),
    [sym__list_destructing] = STATE(2405),
    [sym__array_destructing] = STATE(2405),
    [sym_function_call_expression] = STATE(612),
    [sym__callable_expression] = STATE(2324),
    [sym_scoped_call_expression] = STATE(612),
    [sym__scope_resolution_qualifier] = STATE(2522),
    [sym_relative_scope] = STATE(2608),
    [sym_argument] = STATE(2417),
    [sym__argument_name] = STATE(182),
    [sym_member_call_expression] = STATE(612),
    [sym_nullsafe_member_call_expression] = STATE(612),
    [sym_variadic_unpacking] = STATE(2364),
    [sym__variable_subscript_expression] = STATE(610),
    [sym__dereferencable_subscript_expression] = STATE(612),
    [sym__dereferencable_expression] = STATE(1948),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(766),
    [sym_attribute_group] = STATE(1373),
    [sym_attribute_list] = STATE(1879),
    [sym_encapsed_string] = STATE(767),
    [sym_string] = STATE(767),
    [sym_heredoc] = STATE(767),
    [sym_nowdoc] = STATE(767),
    [sym_shell_command_expression] = STATE(1039),
    [sym_boolean] = STATE(1036),
    [sym_null] = STATE(1036),
    [sym__string] = STATE(768),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(595),
    [sym__new_variable] = STATE(683),
    [sym__callable_variable] = STATE(657),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1026),
    [sym_binary_expression] = STATE(1026),
    [sym_include_expression] = STATE(1026),
    [sym_include_once_expression] = STATE(1026),
    [sym_require_expression] = STATE(1026),
    [sym_require_once_expression] = STATE(1026),
    [sym__reserved_identifier] = STATE(1601),
    [sym__identifier] = STATE(1496),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(743),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_AMP] = ACTIONS(745),
    [aux_sym_function_static_declaration_token1] = ACTIONS(747),
    [aux_sym_namespace_definition_token1] = ACTIONS(749),
    [aux_sym__namespace_use_type_token1] = ACTIONS(751),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(697),
    [anon_sym_RPAREN2] = ACTIONS(791),
    [aux_sym__arrow_function_header_token1] = ACTIONS(755),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(699),
    [aux_sym_cast_type_token1] = ACTIONS(759),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(761),
    [aux_sym_match_expression_token1] = ACTIONS(763),
    [anon_sym_PLUS] = ACTIONS(703),
    [anon_sym_DASH] = ACTIONS(703),
    [anon_sym_TILDE] = ACTIONS(705),
    [anon_sym_BANG] = ACTIONS(705),
    [anon_sym_AT] = ACTIONS(707),
    [aux_sym_clone_expression_token1] = ACTIONS(709),
    [aux_sym_print_intrinsic_token1] = ACTIONS(711),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(713),
    [anon_sym_self] = ACTIONS(765),
    [anon_sym_parent] = ACTIONS(765),
    [aux_sym__argument_name_token1] = ACTIONS(767),
    [aux_sym__argument_name_token2] = ACTIONS(769),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(5),
  },
  [148] = {
    [sym_text_interpolation] = STATE(148),
    [sym_reference_modifier] = STATE(224),
    [sym_qualified_name] = STATE(810),
    [sym__name] = STATE(1626),
    [sym_namespace_name] = STATE(2507),
    [sym_static_modifier] = STATE(2368),
    [sym_anonymous_function] = STATE(1039),
    [sym__anonymous_function_header] = STATE(2318),
    [sym__arrow_function_header] = STATE(2639),
    [sym_arrow_function] = STATE(1039),
    [sym_literal] = STATE(1039),
    [sym_throw_expression] = STATE(1039),
    [sym_match_expression] = STATE(1026),
    [sym_expression] = STATE(1246),
    [sym__unary_expression] = STATE(1010),
    [sym_unary_op_expression] = STATE(1022),
    [sym_error_suppression_expression] = STATE(1026),
    [sym_clone_expression] = STATE(1022),
    [sym_primary_expression] = STATE(1022),
    [sym_parenthesized_expression] = STATE(811),
    [sym_class_constant_access_expression] = STATE(859),
    [sym_print_intrinsic] = STATE(1039),
    [sym_object_creation_expression] = STATE(1039),
    [sym__new_non_dereferencable_expression] = STATE(1009),
    [sym__new_dereferencable_expression] = STATE(842),
    [sym_update_expression] = STATE(1039),
    [sym_cast_expression] = STATE(1022),
    [sym_cast_variable] = STATE(681),
    [sym_assignment_expression] = STATE(1026),
    [sym_reference_assignment_expression] = STATE(1026),
    [sym_conditional_expression] = STATE(1026),
    [sym_augmented_assignment_expression] = STATE(1026),
    [sym__variable_member_access_expression] = STATE(613),
    [sym_member_access_expression] = STATE(681),
    [sym__variable_nullsafe_member_access_expression] = STATE(619),
    [sym_nullsafe_member_access_expression] = STATE(681),
    [sym__variable_scoped_property_access_expression] = STATE(602),
    [sym_scoped_property_access_expression] = STATE(681),
    [sym_list_literal] = STATE(2640),
    [sym__list_destructing] = STATE(2405),
    [sym__array_destructing] = STATE(2405),
    [sym_function_call_expression] = STATE(612),
    [sym__callable_expression] = STATE(2324),
    [sym_scoped_call_expression] = STATE(612),
    [sym__scope_resolution_qualifier] = STATE(2522),
    [sym_relative_scope] = STATE(2608),
    [sym_argument] = STATE(2417),
    [sym__argument_name] = STATE(182),
    [sym_member_call_expression] = STATE(612),
    [sym_nullsafe_member_call_expression] = STATE(612),
    [sym_variadic_unpacking] = STATE(2364),
    [sym__variable_subscript_expression] = STATE(610),
    [sym__dereferencable_subscript_expression] = STATE(612),
    [sym__dereferencable_expression] = STATE(1948),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(766),
    [sym_attribute_group] = STATE(1373),
    [sym_attribute_list] = STATE(1879),
    [sym_encapsed_string] = STATE(767),
    [sym_string] = STATE(767),
    [sym_heredoc] = STATE(767),
    [sym_nowdoc] = STATE(767),
    [sym_shell_command_expression] = STATE(1039),
    [sym_boolean] = STATE(1036),
    [sym_null] = STATE(1036),
    [sym__string] = STATE(768),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(595),
    [sym__new_variable] = STATE(683),
    [sym__callable_variable] = STATE(657),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1026),
    [sym_binary_expression] = STATE(1026),
    [sym_include_expression] = STATE(1026),
    [sym_include_once_expression] = STATE(1026),
    [sym_require_expression] = STATE(1026),
    [sym_require_once_expression] = STATE(1026),
    [sym__reserved_identifier] = STATE(1601),
    [sym__identifier] = STATE(1496),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(743),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_AMP] = ACTIONS(745),
    [aux_sym_function_static_declaration_token1] = ACTIONS(747),
    [aux_sym_namespace_definition_token1] = ACTIONS(749),
    [aux_sym__namespace_use_type_token1] = ACTIONS(751),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(697),
    [anon_sym_RPAREN2] = ACTIONS(793),
    [aux_sym__arrow_function_header_token1] = ACTIONS(755),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(699),
    [aux_sym_cast_type_token1] = ACTIONS(759),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(761),
    [aux_sym_match_expression_token1] = ACTIONS(763),
    [anon_sym_PLUS] = ACTIONS(703),
    [anon_sym_DASH] = ACTIONS(703),
    [anon_sym_TILDE] = ACTIONS(705),
    [anon_sym_BANG] = ACTIONS(705),
    [anon_sym_AT] = ACTIONS(707),
    [aux_sym_clone_expression_token1] = ACTIONS(709),
    [aux_sym_print_intrinsic_token1] = ACTIONS(711),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(713),
    [anon_sym_self] = ACTIONS(765),
    [anon_sym_parent] = ACTIONS(765),
    [aux_sym__argument_name_token1] = ACTIONS(767),
    [aux_sym__argument_name_token2] = ACTIONS(769),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(5),
  },
  [149] = {
    [sym_text_interpolation] = STATE(149),
    [sym_reference_modifier] = STATE(224),
    [sym_qualified_name] = STATE(810),
    [sym__name] = STATE(1626),
    [sym_namespace_name] = STATE(2507),
    [sym_static_modifier] = STATE(2368),
    [sym_anonymous_function] = STATE(1039),
    [sym__anonymous_function_header] = STATE(2318),
    [sym__arrow_function_header] = STATE(2639),
    [sym_arrow_function] = STATE(1039),
    [sym_literal] = STATE(1039),
    [sym_throw_expression] = STATE(1039),
    [sym_match_expression] = STATE(1026),
    [sym_expression] = STATE(1246),
    [sym__unary_expression] = STATE(1010),
    [sym_unary_op_expression] = STATE(1022),
    [sym_error_suppression_expression] = STATE(1026),
    [sym_clone_expression] = STATE(1022),
    [sym_primary_expression] = STATE(1022),
    [sym_parenthesized_expression] = STATE(811),
    [sym_class_constant_access_expression] = STATE(859),
    [sym_print_intrinsic] = STATE(1039),
    [sym_object_creation_expression] = STATE(1039),
    [sym__new_non_dereferencable_expression] = STATE(1009),
    [sym__new_dereferencable_expression] = STATE(842),
    [sym_update_expression] = STATE(1039),
    [sym_cast_expression] = STATE(1022),
    [sym_cast_variable] = STATE(681),
    [sym_assignment_expression] = STATE(1026),
    [sym_reference_assignment_expression] = STATE(1026),
    [sym_conditional_expression] = STATE(1026),
    [sym_augmented_assignment_expression] = STATE(1026),
    [sym__variable_member_access_expression] = STATE(613),
    [sym_member_access_expression] = STATE(681),
    [sym__variable_nullsafe_member_access_expression] = STATE(619),
    [sym_nullsafe_member_access_expression] = STATE(681),
    [sym__variable_scoped_property_access_expression] = STATE(602),
    [sym_scoped_property_access_expression] = STATE(681),
    [sym_list_literal] = STATE(2640),
    [sym__list_destructing] = STATE(2405),
    [sym__array_destructing] = STATE(2405),
    [sym_function_call_expression] = STATE(612),
    [sym__callable_expression] = STATE(2324),
    [sym_scoped_call_expression] = STATE(612),
    [sym__scope_resolution_qualifier] = STATE(2522),
    [sym_relative_scope] = STATE(2608),
    [sym_argument] = STATE(2417),
    [sym__argument_name] = STATE(182),
    [sym_member_call_expression] = STATE(612),
    [sym_nullsafe_member_call_expression] = STATE(612),
    [sym_variadic_unpacking] = STATE(2364),
    [sym__variable_subscript_expression] = STATE(610),
    [sym__dereferencable_subscript_expression] = STATE(612),
    [sym__dereferencable_expression] = STATE(1948),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(766),
    [sym_attribute_group] = STATE(1373),
    [sym_attribute_list] = STATE(1879),
    [sym_encapsed_string] = STATE(767),
    [sym_string] = STATE(767),
    [sym_heredoc] = STATE(767),
    [sym_nowdoc] = STATE(767),
    [sym_shell_command_expression] = STATE(1039),
    [sym_boolean] = STATE(1036),
    [sym_null] = STATE(1036),
    [sym__string] = STATE(768),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(595),
    [sym__new_variable] = STATE(683),
    [sym__callable_variable] = STATE(657),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1026),
    [sym_binary_expression] = STATE(1026),
    [sym_include_expression] = STATE(1026),
    [sym_include_once_expression] = STATE(1026),
    [sym_require_expression] = STATE(1026),
    [sym_require_once_expression] = STATE(1026),
    [sym__reserved_identifier] = STATE(1601),
    [sym__identifier] = STATE(1496),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(743),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_AMP] = ACTIONS(745),
    [aux_sym_function_static_declaration_token1] = ACTIONS(747),
    [aux_sym_namespace_definition_token1] = ACTIONS(749),
    [aux_sym__namespace_use_type_token1] = ACTIONS(751),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(697),
    [anon_sym_RPAREN2] = ACTIONS(795),
    [aux_sym__arrow_function_header_token1] = ACTIONS(755),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(699),
    [aux_sym_cast_type_token1] = ACTIONS(759),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(761),
    [aux_sym_match_expression_token1] = ACTIONS(763),
    [anon_sym_PLUS] = ACTIONS(703),
    [anon_sym_DASH] = ACTIONS(703),
    [anon_sym_TILDE] = ACTIONS(705),
    [anon_sym_BANG] = ACTIONS(705),
    [anon_sym_AT] = ACTIONS(707),
    [aux_sym_clone_expression_token1] = ACTIONS(709),
    [aux_sym_print_intrinsic_token1] = ACTIONS(711),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(713),
    [anon_sym_self] = ACTIONS(765),
    [anon_sym_parent] = ACTIONS(765),
    [aux_sym__argument_name_token1] = ACTIONS(767),
    [aux_sym__argument_name_token2] = ACTIONS(769),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(5),
  },
  [150] = {
    [sym_text_interpolation] = STATE(150),
    [sym_reference_modifier] = STATE(224),
    [sym_qualified_name] = STATE(810),
    [sym__name] = STATE(1626),
    [sym_namespace_name] = STATE(2507),
    [sym_static_modifier] = STATE(2368),
    [sym_anonymous_function] = STATE(1039),
    [sym__anonymous_function_header] = STATE(2318),
    [sym__arrow_function_header] = STATE(2639),
    [sym_arrow_function] = STATE(1039),
    [sym_literal] = STATE(1039),
    [sym_throw_expression] = STATE(1039),
    [sym_match_expression] = STATE(1026),
    [sym_expression] = STATE(1246),
    [sym__unary_expression] = STATE(1010),
    [sym_unary_op_expression] = STATE(1022),
    [sym_error_suppression_expression] = STATE(1026),
    [sym_clone_expression] = STATE(1022),
    [sym_primary_expression] = STATE(1022),
    [sym_parenthesized_expression] = STATE(811),
    [sym_class_constant_access_expression] = STATE(859),
    [sym_print_intrinsic] = STATE(1039),
    [sym_object_creation_expression] = STATE(1039),
    [sym__new_non_dereferencable_expression] = STATE(1009),
    [sym__new_dereferencable_expression] = STATE(842),
    [sym_update_expression] = STATE(1039),
    [sym_cast_expression] = STATE(1022),
    [sym_cast_variable] = STATE(681),
    [sym_assignment_expression] = STATE(1026),
    [sym_reference_assignment_expression] = STATE(1026),
    [sym_conditional_expression] = STATE(1026),
    [sym_augmented_assignment_expression] = STATE(1026),
    [sym__variable_member_access_expression] = STATE(613),
    [sym_member_access_expression] = STATE(681),
    [sym__variable_nullsafe_member_access_expression] = STATE(619),
    [sym_nullsafe_member_access_expression] = STATE(681),
    [sym__variable_scoped_property_access_expression] = STATE(602),
    [sym_scoped_property_access_expression] = STATE(681),
    [sym_list_literal] = STATE(2640),
    [sym__list_destructing] = STATE(2405),
    [sym__array_destructing] = STATE(2405),
    [sym_function_call_expression] = STATE(612),
    [sym__callable_expression] = STATE(2324),
    [sym_scoped_call_expression] = STATE(612),
    [sym__scope_resolution_qualifier] = STATE(2522),
    [sym_relative_scope] = STATE(2608),
    [sym_argument] = STATE(2417),
    [sym__argument_name] = STATE(182),
    [sym_member_call_expression] = STATE(612),
    [sym_nullsafe_member_call_expression] = STATE(612),
    [sym_variadic_unpacking] = STATE(2364),
    [sym__variable_subscript_expression] = STATE(610),
    [sym__dereferencable_subscript_expression] = STATE(612),
    [sym__dereferencable_expression] = STATE(1948),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(766),
    [sym_attribute_group] = STATE(1373),
    [sym_attribute_list] = STATE(1879),
    [sym_encapsed_string] = STATE(767),
    [sym_string] = STATE(767),
    [sym_heredoc] = STATE(767),
    [sym_nowdoc] = STATE(767),
    [sym_shell_command_expression] = STATE(1039),
    [sym_boolean] = STATE(1036),
    [sym_null] = STATE(1036),
    [sym__string] = STATE(768),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(595),
    [sym__new_variable] = STATE(683),
    [sym__callable_variable] = STATE(657),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1026),
    [sym_binary_expression] = STATE(1026),
    [sym_include_expression] = STATE(1026),
    [sym_include_once_expression] = STATE(1026),
    [sym_require_expression] = STATE(1026),
    [sym_require_once_expression] = STATE(1026),
    [sym__reserved_identifier] = STATE(1601),
    [sym__identifier] = STATE(1496),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(743),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_AMP] = ACTIONS(745),
    [aux_sym_function_static_declaration_token1] = ACTIONS(747),
    [aux_sym_namespace_definition_token1] = ACTIONS(749),
    [aux_sym__namespace_use_type_token1] = ACTIONS(751),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(697),
    [anon_sym_RPAREN2] = ACTIONS(797),
    [aux_sym__arrow_function_header_token1] = ACTIONS(755),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(699),
    [aux_sym_cast_type_token1] = ACTIONS(759),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(761),
    [aux_sym_match_expression_token1] = ACTIONS(763),
    [anon_sym_PLUS] = ACTIONS(703),
    [anon_sym_DASH] = ACTIONS(703),
    [anon_sym_TILDE] = ACTIONS(705),
    [anon_sym_BANG] = ACTIONS(705),
    [anon_sym_AT] = ACTIONS(707),
    [aux_sym_clone_expression_token1] = ACTIONS(709),
    [aux_sym_print_intrinsic_token1] = ACTIONS(711),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(713),
    [anon_sym_self] = ACTIONS(765),
    [anon_sym_parent] = ACTIONS(765),
    [aux_sym__argument_name_token1] = ACTIONS(767),
    [aux_sym__argument_name_token2] = ACTIONS(769),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(5),
  },
  [151] = {
    [sym_text_interpolation] = STATE(151),
    [sym_reference_modifier] = STATE(224),
    [sym_qualified_name] = STATE(810),
    [sym__name] = STATE(1626),
    [sym_namespace_name] = STATE(2507),
    [sym_static_modifier] = STATE(2368),
    [sym_anonymous_function] = STATE(1039),
    [sym__anonymous_function_header] = STATE(2318),
    [sym__arrow_function_header] = STATE(2639),
    [sym_arrow_function] = STATE(1039),
    [sym_literal] = STATE(1039),
    [sym_throw_expression] = STATE(1039),
    [sym_match_expression] = STATE(1026),
    [sym_expression] = STATE(1246),
    [sym__unary_expression] = STATE(1010),
    [sym_unary_op_expression] = STATE(1022),
    [sym_error_suppression_expression] = STATE(1026),
    [sym_clone_expression] = STATE(1022),
    [sym_primary_expression] = STATE(1022),
    [sym_parenthesized_expression] = STATE(811),
    [sym_class_constant_access_expression] = STATE(859),
    [sym_print_intrinsic] = STATE(1039),
    [sym_object_creation_expression] = STATE(1039),
    [sym__new_non_dereferencable_expression] = STATE(1009),
    [sym__new_dereferencable_expression] = STATE(842),
    [sym_update_expression] = STATE(1039),
    [sym_cast_expression] = STATE(1022),
    [sym_cast_variable] = STATE(681),
    [sym_assignment_expression] = STATE(1026),
    [sym_reference_assignment_expression] = STATE(1026),
    [sym_conditional_expression] = STATE(1026),
    [sym_augmented_assignment_expression] = STATE(1026),
    [sym__variable_member_access_expression] = STATE(613),
    [sym_member_access_expression] = STATE(681),
    [sym__variable_nullsafe_member_access_expression] = STATE(619),
    [sym_nullsafe_member_access_expression] = STATE(681),
    [sym__variable_scoped_property_access_expression] = STATE(602),
    [sym_scoped_property_access_expression] = STATE(681),
    [sym_list_literal] = STATE(2640),
    [sym__list_destructing] = STATE(2405),
    [sym__array_destructing] = STATE(2405),
    [sym_function_call_expression] = STATE(612),
    [sym__callable_expression] = STATE(2324),
    [sym_scoped_call_expression] = STATE(612),
    [sym__scope_resolution_qualifier] = STATE(2522),
    [sym_relative_scope] = STATE(2608),
    [sym_argument] = STATE(2417),
    [sym__argument_name] = STATE(182),
    [sym_member_call_expression] = STATE(612),
    [sym_nullsafe_member_call_expression] = STATE(612),
    [sym_variadic_unpacking] = STATE(2364),
    [sym__variable_subscript_expression] = STATE(610),
    [sym__dereferencable_subscript_expression] = STATE(612),
    [sym__dereferencable_expression] = STATE(1948),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(766),
    [sym_attribute_group] = STATE(1373),
    [sym_attribute_list] = STATE(1879),
    [sym_encapsed_string] = STATE(767),
    [sym_string] = STATE(767),
    [sym_heredoc] = STATE(767),
    [sym_nowdoc] = STATE(767),
    [sym_shell_command_expression] = STATE(1039),
    [sym_boolean] = STATE(1036),
    [sym_null] = STATE(1036),
    [sym__string] = STATE(768),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(595),
    [sym__new_variable] = STATE(683),
    [sym__callable_variable] = STATE(657),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1026),
    [sym_binary_expression] = STATE(1026),
    [sym_include_expression] = STATE(1026),
    [sym_include_once_expression] = STATE(1026),
    [sym_require_expression] = STATE(1026),
    [sym_require_once_expression] = STATE(1026),
    [sym__reserved_identifier] = STATE(1601),
    [sym__identifier] = STATE(1496),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(743),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_AMP] = ACTIONS(745),
    [aux_sym_function_static_declaration_token1] = ACTIONS(747),
    [aux_sym_namespace_definition_token1] = ACTIONS(749),
    [aux_sym__namespace_use_type_token1] = ACTIONS(751),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(697),
    [anon_sym_RPAREN2] = ACTIONS(799),
    [aux_sym__arrow_function_header_token1] = ACTIONS(755),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(699),
    [aux_sym_cast_type_token1] = ACTIONS(759),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(761),
    [aux_sym_match_expression_token1] = ACTIONS(763),
    [anon_sym_PLUS] = ACTIONS(703),
    [anon_sym_DASH] = ACTIONS(703),
    [anon_sym_TILDE] = ACTIONS(705),
    [anon_sym_BANG] = ACTIONS(705),
    [anon_sym_AT] = ACTIONS(707),
    [aux_sym_clone_expression_token1] = ACTIONS(709),
    [aux_sym_print_intrinsic_token1] = ACTIONS(711),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(713),
    [anon_sym_self] = ACTIONS(765),
    [anon_sym_parent] = ACTIONS(765),
    [aux_sym__argument_name_token1] = ACTIONS(767),
    [aux_sym__argument_name_token2] = ACTIONS(769),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(5),
  },
  [152] = {
    [sym_text_interpolation] = STATE(152),
    [sym_reference_modifier] = STATE(224),
    [sym_qualified_name] = STATE(810),
    [sym__name] = STATE(1626),
    [sym_namespace_name] = STATE(2507),
    [sym_static_modifier] = STATE(2368),
    [sym_anonymous_function] = STATE(1039),
    [sym__anonymous_function_header] = STATE(2318),
    [sym__arrow_function_header] = STATE(2639),
    [sym_arrow_function] = STATE(1039),
    [sym_literal] = STATE(1039),
    [sym_throw_expression] = STATE(1039),
    [sym_match_expression] = STATE(1026),
    [sym_expression] = STATE(1246),
    [sym__unary_expression] = STATE(1010),
    [sym_unary_op_expression] = STATE(1022),
    [sym_error_suppression_expression] = STATE(1026),
    [sym_clone_expression] = STATE(1022),
    [sym_primary_expression] = STATE(1022),
    [sym_parenthesized_expression] = STATE(811),
    [sym_class_constant_access_expression] = STATE(859),
    [sym_print_intrinsic] = STATE(1039),
    [sym_object_creation_expression] = STATE(1039),
    [sym__new_non_dereferencable_expression] = STATE(1009),
    [sym__new_dereferencable_expression] = STATE(842),
    [sym_update_expression] = STATE(1039),
    [sym_cast_expression] = STATE(1022),
    [sym_cast_variable] = STATE(681),
    [sym_assignment_expression] = STATE(1026),
    [sym_reference_assignment_expression] = STATE(1026),
    [sym_conditional_expression] = STATE(1026),
    [sym_augmented_assignment_expression] = STATE(1026),
    [sym__variable_member_access_expression] = STATE(613),
    [sym_member_access_expression] = STATE(681),
    [sym__variable_nullsafe_member_access_expression] = STATE(619),
    [sym_nullsafe_member_access_expression] = STATE(681),
    [sym__variable_scoped_property_access_expression] = STATE(602),
    [sym_scoped_property_access_expression] = STATE(681),
    [sym_list_literal] = STATE(2640),
    [sym__list_destructing] = STATE(2405),
    [sym__array_destructing] = STATE(2405),
    [sym_function_call_expression] = STATE(612),
    [sym__callable_expression] = STATE(2324),
    [sym_scoped_call_expression] = STATE(612),
    [sym__scope_resolution_qualifier] = STATE(2522),
    [sym_relative_scope] = STATE(2608),
    [sym_argument] = STATE(2417),
    [sym__argument_name] = STATE(182),
    [sym_member_call_expression] = STATE(612),
    [sym_nullsafe_member_call_expression] = STATE(612),
    [sym_variadic_unpacking] = STATE(2364),
    [sym__variable_subscript_expression] = STATE(610),
    [sym__dereferencable_subscript_expression] = STATE(612),
    [sym__dereferencable_expression] = STATE(1948),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(766),
    [sym_attribute_group] = STATE(1373),
    [sym_attribute_list] = STATE(1879),
    [sym_encapsed_string] = STATE(767),
    [sym_string] = STATE(767),
    [sym_heredoc] = STATE(767),
    [sym_nowdoc] = STATE(767),
    [sym_shell_command_expression] = STATE(1039),
    [sym_boolean] = STATE(1036),
    [sym_null] = STATE(1036),
    [sym__string] = STATE(768),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(595),
    [sym__new_variable] = STATE(683),
    [sym__callable_variable] = STATE(657),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1026),
    [sym_binary_expression] = STATE(1026),
    [sym_include_expression] = STATE(1026),
    [sym_include_once_expression] = STATE(1026),
    [sym_require_expression] = STATE(1026),
    [sym_require_once_expression] = STATE(1026),
    [sym__reserved_identifier] = STATE(1601),
    [sym__identifier] = STATE(1496),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(743),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_AMP] = ACTIONS(745),
    [aux_sym_function_static_declaration_token1] = ACTIONS(747),
    [aux_sym_namespace_definition_token1] = ACTIONS(749),
    [aux_sym__namespace_use_type_token1] = ACTIONS(751),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(697),
    [anon_sym_RPAREN2] = ACTIONS(801),
    [aux_sym__arrow_function_header_token1] = ACTIONS(755),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(699),
    [aux_sym_cast_type_token1] = ACTIONS(759),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(761),
    [aux_sym_match_expression_token1] = ACTIONS(763),
    [anon_sym_PLUS] = ACTIONS(703),
    [anon_sym_DASH] = ACTIONS(703),
    [anon_sym_TILDE] = ACTIONS(705),
    [anon_sym_BANG] = ACTIONS(705),
    [anon_sym_AT] = ACTIONS(707),
    [aux_sym_clone_expression_token1] = ACTIONS(709),
    [aux_sym_print_intrinsic_token1] = ACTIONS(711),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(713),
    [anon_sym_self] = ACTIONS(765),
    [anon_sym_parent] = ACTIONS(765),
    [aux_sym__argument_name_token1] = ACTIONS(767),
    [aux_sym__argument_name_token2] = ACTIONS(769),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(5),
  },
  [153] = {
    [sym_text_interpolation] = STATE(153),
    [sym_reference_modifier] = STATE(224),
    [sym_qualified_name] = STATE(810),
    [sym__name] = STATE(1626),
    [sym_namespace_name] = STATE(2507),
    [sym_static_modifier] = STATE(2368),
    [sym_anonymous_function] = STATE(1039),
    [sym__anonymous_function_header] = STATE(2318),
    [sym__arrow_function_header] = STATE(2639),
    [sym_arrow_function] = STATE(1039),
    [sym_literal] = STATE(1039),
    [sym_throw_expression] = STATE(1039),
    [sym_match_expression] = STATE(1026),
    [sym_expression] = STATE(1246),
    [sym__unary_expression] = STATE(1010),
    [sym_unary_op_expression] = STATE(1022),
    [sym_error_suppression_expression] = STATE(1026),
    [sym_clone_expression] = STATE(1022),
    [sym_primary_expression] = STATE(1022),
    [sym_parenthesized_expression] = STATE(811),
    [sym_class_constant_access_expression] = STATE(859),
    [sym_print_intrinsic] = STATE(1039),
    [sym_object_creation_expression] = STATE(1039),
    [sym__new_non_dereferencable_expression] = STATE(1009),
    [sym__new_dereferencable_expression] = STATE(842),
    [sym_update_expression] = STATE(1039),
    [sym_cast_expression] = STATE(1022),
    [sym_cast_variable] = STATE(681),
    [sym_assignment_expression] = STATE(1026),
    [sym_reference_assignment_expression] = STATE(1026),
    [sym_conditional_expression] = STATE(1026),
    [sym_augmented_assignment_expression] = STATE(1026),
    [sym__variable_member_access_expression] = STATE(613),
    [sym_member_access_expression] = STATE(681),
    [sym__variable_nullsafe_member_access_expression] = STATE(619),
    [sym_nullsafe_member_access_expression] = STATE(681),
    [sym__variable_scoped_property_access_expression] = STATE(602),
    [sym_scoped_property_access_expression] = STATE(681),
    [sym_list_literal] = STATE(2640),
    [sym__list_destructing] = STATE(2405),
    [sym__array_destructing] = STATE(2405),
    [sym_function_call_expression] = STATE(612),
    [sym__callable_expression] = STATE(2324),
    [sym_scoped_call_expression] = STATE(612),
    [sym__scope_resolution_qualifier] = STATE(2522),
    [sym_relative_scope] = STATE(2608),
    [sym_argument] = STATE(2417),
    [sym__argument_name] = STATE(182),
    [sym_member_call_expression] = STATE(612),
    [sym_nullsafe_member_call_expression] = STATE(612),
    [sym_variadic_unpacking] = STATE(2364),
    [sym__variable_subscript_expression] = STATE(610),
    [sym__dereferencable_subscript_expression] = STATE(612),
    [sym__dereferencable_expression] = STATE(1948),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(766),
    [sym_attribute_group] = STATE(1373),
    [sym_attribute_list] = STATE(1879),
    [sym_encapsed_string] = STATE(767),
    [sym_string] = STATE(767),
    [sym_heredoc] = STATE(767),
    [sym_nowdoc] = STATE(767),
    [sym_shell_command_expression] = STATE(1039),
    [sym_boolean] = STATE(1036),
    [sym_null] = STATE(1036),
    [sym__string] = STATE(768),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(595),
    [sym__new_variable] = STATE(683),
    [sym__callable_variable] = STATE(657),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1026),
    [sym_binary_expression] = STATE(1026),
    [sym_include_expression] = STATE(1026),
    [sym_include_once_expression] = STATE(1026),
    [sym_require_expression] = STATE(1026),
    [sym_require_once_expression] = STATE(1026),
    [sym__reserved_identifier] = STATE(1601),
    [sym__identifier] = STATE(1496),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(743),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_AMP] = ACTIONS(745),
    [aux_sym_function_static_declaration_token1] = ACTIONS(747),
    [aux_sym_namespace_definition_token1] = ACTIONS(749),
    [aux_sym__namespace_use_type_token1] = ACTIONS(751),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(697),
    [anon_sym_RPAREN2] = ACTIONS(803),
    [aux_sym__arrow_function_header_token1] = ACTIONS(755),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(699),
    [aux_sym_cast_type_token1] = ACTIONS(759),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(761),
    [aux_sym_match_expression_token1] = ACTIONS(763),
    [anon_sym_PLUS] = ACTIONS(703),
    [anon_sym_DASH] = ACTIONS(703),
    [anon_sym_TILDE] = ACTIONS(705),
    [anon_sym_BANG] = ACTIONS(705),
    [anon_sym_AT] = ACTIONS(707),
    [aux_sym_clone_expression_token1] = ACTIONS(709),
    [aux_sym_print_intrinsic_token1] = ACTIONS(711),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(713),
    [anon_sym_self] = ACTIONS(765),
    [anon_sym_parent] = ACTIONS(765),
    [aux_sym__argument_name_token1] = ACTIONS(767),
    [aux_sym__argument_name_token2] = ACTIONS(769),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(5),
  },
  [154] = {
    [sym_text_interpolation] = STATE(154),
    [sym_reference_modifier] = STATE(224),
    [sym_qualified_name] = STATE(810),
    [sym__name] = STATE(1626),
    [sym_namespace_name] = STATE(2507),
    [sym_static_modifier] = STATE(2368),
    [sym_anonymous_function] = STATE(1039),
    [sym__anonymous_function_header] = STATE(2318),
    [sym__arrow_function_header] = STATE(2639),
    [sym_arrow_function] = STATE(1039),
    [sym_literal] = STATE(1039),
    [sym_throw_expression] = STATE(1039),
    [sym_match_expression] = STATE(1026),
    [sym_expression] = STATE(1246),
    [sym__unary_expression] = STATE(1010),
    [sym_unary_op_expression] = STATE(1022),
    [sym_error_suppression_expression] = STATE(1026),
    [sym_clone_expression] = STATE(1022),
    [sym_primary_expression] = STATE(1022),
    [sym_parenthesized_expression] = STATE(811),
    [sym_class_constant_access_expression] = STATE(859),
    [sym_print_intrinsic] = STATE(1039),
    [sym_object_creation_expression] = STATE(1039),
    [sym__new_non_dereferencable_expression] = STATE(1009),
    [sym__new_dereferencable_expression] = STATE(842),
    [sym_update_expression] = STATE(1039),
    [sym_cast_expression] = STATE(1022),
    [sym_cast_variable] = STATE(681),
    [sym_assignment_expression] = STATE(1026),
    [sym_reference_assignment_expression] = STATE(1026),
    [sym_conditional_expression] = STATE(1026),
    [sym_augmented_assignment_expression] = STATE(1026),
    [sym__variable_member_access_expression] = STATE(613),
    [sym_member_access_expression] = STATE(681),
    [sym__variable_nullsafe_member_access_expression] = STATE(619),
    [sym_nullsafe_member_access_expression] = STATE(681),
    [sym__variable_scoped_property_access_expression] = STATE(602),
    [sym_scoped_property_access_expression] = STATE(681),
    [sym_list_literal] = STATE(2640),
    [sym__list_destructing] = STATE(2405),
    [sym__array_destructing] = STATE(2405),
    [sym_function_call_expression] = STATE(612),
    [sym__callable_expression] = STATE(2324),
    [sym_scoped_call_expression] = STATE(612),
    [sym__scope_resolution_qualifier] = STATE(2522),
    [sym_relative_scope] = STATE(2608),
    [sym_argument] = STATE(2417),
    [sym__argument_name] = STATE(182),
    [sym_member_call_expression] = STATE(612),
    [sym_nullsafe_member_call_expression] = STATE(612),
    [sym_variadic_unpacking] = STATE(2364),
    [sym__variable_subscript_expression] = STATE(610),
    [sym__dereferencable_subscript_expression] = STATE(612),
    [sym__dereferencable_expression] = STATE(1948),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(766),
    [sym_attribute_group] = STATE(1373),
    [sym_attribute_list] = STATE(1879),
    [sym_encapsed_string] = STATE(767),
    [sym_string] = STATE(767),
    [sym_heredoc] = STATE(767),
    [sym_nowdoc] = STATE(767),
    [sym_shell_command_expression] = STATE(1039),
    [sym_boolean] = STATE(1036),
    [sym_null] = STATE(1036),
    [sym__string] = STATE(768),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(595),
    [sym__new_variable] = STATE(683),
    [sym__callable_variable] = STATE(657),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1026),
    [sym_binary_expression] = STATE(1026),
    [sym_include_expression] = STATE(1026),
    [sym_include_once_expression] = STATE(1026),
    [sym_require_expression] = STATE(1026),
    [sym_require_once_expression] = STATE(1026),
    [sym__reserved_identifier] = STATE(1601),
    [sym__identifier] = STATE(1496),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(743),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_AMP] = ACTIONS(745),
    [aux_sym_function_static_declaration_token1] = ACTIONS(747),
    [aux_sym_namespace_definition_token1] = ACTIONS(749),
    [aux_sym__namespace_use_type_token1] = ACTIONS(751),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(697),
    [anon_sym_RPAREN2] = ACTIONS(805),
    [aux_sym__arrow_function_header_token1] = ACTIONS(755),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(699),
    [aux_sym_cast_type_token1] = ACTIONS(759),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(761),
    [aux_sym_match_expression_token1] = ACTIONS(763),
    [anon_sym_PLUS] = ACTIONS(703),
    [anon_sym_DASH] = ACTIONS(703),
    [anon_sym_TILDE] = ACTIONS(705),
    [anon_sym_BANG] = ACTIONS(705),
    [anon_sym_AT] = ACTIONS(707),
    [aux_sym_clone_expression_token1] = ACTIONS(709),
    [aux_sym_print_intrinsic_token1] = ACTIONS(711),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(713),
    [anon_sym_self] = ACTIONS(765),
    [anon_sym_parent] = ACTIONS(765),
    [aux_sym__argument_name_token1] = ACTIONS(767),
    [aux_sym__argument_name_token2] = ACTIONS(769),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(5),
  },
  [155] = {
    [sym_text_interpolation] = STATE(155),
    [sym_reference_modifier] = STATE(224),
    [sym_qualified_name] = STATE(810),
    [sym__name] = STATE(1626),
    [sym_namespace_name] = STATE(2507),
    [sym_static_modifier] = STATE(2368),
    [sym_anonymous_function] = STATE(1039),
    [sym__anonymous_function_header] = STATE(2318),
    [sym__arrow_function_header] = STATE(2639),
    [sym_arrow_function] = STATE(1039),
    [sym_literal] = STATE(1039),
    [sym_throw_expression] = STATE(1039),
    [sym_match_expression] = STATE(1026),
    [sym_expression] = STATE(1246),
    [sym__unary_expression] = STATE(1010),
    [sym_unary_op_expression] = STATE(1022),
    [sym_error_suppression_expression] = STATE(1026),
    [sym_clone_expression] = STATE(1022),
    [sym_primary_expression] = STATE(1022),
    [sym_parenthesized_expression] = STATE(811),
    [sym_class_constant_access_expression] = STATE(859),
    [sym_print_intrinsic] = STATE(1039),
    [sym_object_creation_expression] = STATE(1039),
    [sym__new_non_dereferencable_expression] = STATE(1009),
    [sym__new_dereferencable_expression] = STATE(842),
    [sym_update_expression] = STATE(1039),
    [sym_cast_expression] = STATE(1022),
    [sym_cast_variable] = STATE(681),
    [sym_assignment_expression] = STATE(1026),
    [sym_reference_assignment_expression] = STATE(1026),
    [sym_conditional_expression] = STATE(1026),
    [sym_augmented_assignment_expression] = STATE(1026),
    [sym__variable_member_access_expression] = STATE(613),
    [sym_member_access_expression] = STATE(681),
    [sym__variable_nullsafe_member_access_expression] = STATE(619),
    [sym_nullsafe_member_access_expression] = STATE(681),
    [sym__variable_scoped_property_access_expression] = STATE(602),
    [sym_scoped_property_access_expression] = STATE(681),
    [sym_list_literal] = STATE(2640),
    [sym__list_destructing] = STATE(2405),
    [sym__array_destructing] = STATE(2405),
    [sym_function_call_expression] = STATE(612),
    [sym__callable_expression] = STATE(2324),
    [sym_scoped_call_expression] = STATE(612),
    [sym__scope_resolution_qualifier] = STATE(2522),
    [sym_relative_scope] = STATE(2608),
    [sym_argument] = STATE(2417),
    [sym__argument_name] = STATE(182),
    [sym_member_call_expression] = STATE(612),
    [sym_nullsafe_member_call_expression] = STATE(612),
    [sym_variadic_unpacking] = STATE(2364),
    [sym__variable_subscript_expression] = STATE(610),
    [sym__dereferencable_subscript_expression] = STATE(612),
    [sym__dereferencable_expression] = STATE(1948),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(766),
    [sym_attribute_group] = STATE(1373),
    [sym_attribute_list] = STATE(1879),
    [sym_encapsed_string] = STATE(767),
    [sym_string] = STATE(767),
    [sym_heredoc] = STATE(767),
    [sym_nowdoc] = STATE(767),
    [sym_shell_command_expression] = STATE(1039),
    [sym_boolean] = STATE(1036),
    [sym_null] = STATE(1036),
    [sym__string] = STATE(768),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(595),
    [sym__new_variable] = STATE(683),
    [sym__callable_variable] = STATE(657),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1026),
    [sym_binary_expression] = STATE(1026),
    [sym_include_expression] = STATE(1026),
    [sym_include_once_expression] = STATE(1026),
    [sym_require_expression] = STATE(1026),
    [sym_require_once_expression] = STATE(1026),
    [sym__reserved_identifier] = STATE(1601),
    [sym__identifier] = STATE(1496),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(743),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_AMP] = ACTIONS(745),
    [aux_sym_function_static_declaration_token1] = ACTIONS(747),
    [aux_sym_namespace_definition_token1] = ACTIONS(749),
    [aux_sym__namespace_use_type_token1] = ACTIONS(751),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(697),
    [anon_sym_RPAREN2] = ACTIONS(807),
    [aux_sym__arrow_function_header_token1] = ACTIONS(755),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(699),
    [aux_sym_cast_type_token1] = ACTIONS(759),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(761),
    [aux_sym_match_expression_token1] = ACTIONS(763),
    [anon_sym_PLUS] = ACTIONS(703),
    [anon_sym_DASH] = ACTIONS(703),
    [anon_sym_TILDE] = ACTIONS(705),
    [anon_sym_BANG] = ACTIONS(705),
    [anon_sym_AT] = ACTIONS(707),
    [aux_sym_clone_expression_token1] = ACTIONS(709),
    [aux_sym_print_intrinsic_token1] = ACTIONS(711),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(713),
    [anon_sym_self] = ACTIONS(765),
    [anon_sym_parent] = ACTIONS(765),
    [aux_sym__argument_name_token1] = ACTIONS(767),
    [aux_sym__argument_name_token2] = ACTIONS(769),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(5),
  },
  [156] = {
    [sym_text_interpolation] = STATE(156),
    [sym_qualified_name] = STATE(810),
    [sym__name] = STATE(1626),
    [sym_namespace_name] = STATE(2507),
    [sym_static_modifier] = STATE(2368),
    [sym_anonymous_function] = STATE(1039),
    [sym__anonymous_function_header] = STATE(2318),
    [sym__arrow_function_header] = STATE(2639),
    [sym_arrow_function] = STATE(1039),
    [sym_literal] = STATE(1039),
    [sym_throw_expression] = STATE(1039),
    [sym_match_expression] = STATE(1026),
    [sym_expression] = STATE(1230),
    [sym__unary_expression] = STATE(1010),
    [sym_unary_op_expression] = STATE(1022),
    [sym_error_suppression_expression] = STATE(1026),
    [sym_clone_expression] = STATE(1022),
    [sym_primary_expression] = STATE(1022),
    [sym_parenthesized_expression] = STATE(811),
    [sym_class_constant_access_expression] = STATE(859),
    [sym_print_intrinsic] = STATE(1039),
    [sym_object_creation_expression] = STATE(1039),
    [sym__new_non_dereferencable_expression] = STATE(1009),
    [sym__new_dereferencable_expression] = STATE(842),
    [sym_update_expression] = STATE(1039),
    [sym_cast_expression] = STATE(1022),
    [sym_cast_variable] = STATE(681),
    [sym_assignment_expression] = STATE(1026),
    [sym_reference_assignment_expression] = STATE(1026),
    [sym_conditional_expression] = STATE(1026),
    [sym_augmented_assignment_expression] = STATE(1026),
    [sym__variable_member_access_expression] = STATE(613),
    [sym_member_access_expression] = STATE(681),
    [sym__variable_nullsafe_member_access_expression] = STATE(619),
    [sym_nullsafe_member_access_expression] = STATE(681),
    [sym__variable_scoped_property_access_expression] = STATE(602),
    [sym_scoped_property_access_expression] = STATE(681),
    [sym_list_literal] = STATE(2640),
    [sym__list_destructing] = STATE(2405),
    [sym__array_destructing] = STATE(2405),
    [sym_function_call_expression] = STATE(612),
    [sym__callable_expression] = STATE(2324),
    [sym_scoped_call_expression] = STATE(612),
    [sym__scope_resolution_qualifier] = STATE(2522),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(612),
    [sym_nullsafe_member_call_expression] = STATE(612),
    [sym_variadic_unpacking] = STATE(1012),
    [sym__variable_subscript_expression] = STATE(610),
    [sym__dereferencable_subscript_expression] = STATE(612),
    [sym__dereferencable_expression] = STATE(1948),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(766),
    [sym_attribute_group] = STATE(1373),
    [sym_attribute_list] = STATE(1879),
    [sym_encapsed_string] = STATE(767),
    [sym_string] = STATE(767),
    [sym_heredoc] = STATE(767),
    [sym_nowdoc] = STATE(767),
    [sym_shell_command_expression] = STATE(1039),
    [sym_boolean] = STATE(1036),
    [sym_null] = STATE(1036),
    [sym__string] = STATE(768),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(595),
    [sym__new_variable] = STATE(683),
    [sym__callable_variable] = STATE(657),
    [sym_variable_name] = STATE(618),
    [sym_by_ref] = STATE(1012),
    [sym_yield_expression] = STATE(1026),
    [sym_array_element_initializer] = STATE(2259),
    [sym_binary_expression] = STATE(1026),
    [sym_include_expression] = STATE(1026),
    [sym_include_once_expression] = STATE(1026),
    [sym_require_expression] = STATE(1026),
    [sym_require_once_expression] = STATE(1026),
    [sym__reserved_identifier] = STATE(717),
    [sym__identifier] = STATE(1496),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_AMP] = ACTIONS(731),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [anon_sym_COMMA] = ACTIONS(809),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(697),
    [anon_sym_RPAREN2] = ACTIONS(811),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(699),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(701),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(703),
    [anon_sym_DASH] = ACTIONS(703),
    [anon_sym_TILDE] = ACTIONS(705),
    [anon_sym_BANG] = ACTIONS(705),
    [anon_sym_AT] = ACTIONS(707),
    [aux_sym_clone_expression_token1] = ACTIONS(709),
    [aux_sym_print_intrinsic_token1] = ACTIONS(711),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(713),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(5),
  },
  [157] = {
    [sym_text_interpolation] = STATE(157),
    [sym_qualified_name] = STATE(810),
    [sym__name] = STATE(1626),
    [sym_namespace_name] = STATE(2507),
    [sym_static_modifier] = STATE(2368),
    [sym_anonymous_function] = STATE(1039),
    [sym__anonymous_function_header] = STATE(2318),
    [sym__arrow_function_header] = STATE(2639),
    [sym_arrow_function] = STATE(1039),
    [sym_literal] = STATE(1039),
    [sym_throw_expression] = STATE(1039),
    [sym_match_expression] = STATE(1026),
    [sym_expression] = STATE(1230),
    [sym__unary_expression] = STATE(1010),
    [sym_unary_op_expression] = STATE(1022),
    [sym_error_suppression_expression] = STATE(1026),
    [sym_clone_expression] = STATE(1022),
    [sym_primary_expression] = STATE(1022),
    [sym_parenthesized_expression] = STATE(811),
    [sym_class_constant_access_expression] = STATE(859),
    [sym_print_intrinsic] = STATE(1039),
    [sym_object_creation_expression] = STATE(1039),
    [sym__new_non_dereferencable_expression] = STATE(1009),
    [sym__new_dereferencable_expression] = STATE(842),
    [sym_update_expression] = STATE(1039),
    [sym_cast_expression] = STATE(1022),
    [sym_cast_variable] = STATE(681),
    [sym_assignment_expression] = STATE(1026),
    [sym_reference_assignment_expression] = STATE(1026),
    [sym_conditional_expression] = STATE(1026),
    [sym_augmented_assignment_expression] = STATE(1026),
    [sym__variable_member_access_expression] = STATE(613),
    [sym_member_access_expression] = STATE(681),
    [sym__variable_nullsafe_member_access_expression] = STATE(619),
    [sym_nullsafe_member_access_expression] = STATE(681),
    [sym__variable_scoped_property_access_expression] = STATE(602),
    [sym_scoped_property_access_expression] = STATE(681),
    [sym_list_literal] = STATE(2640),
    [sym__list_destructing] = STATE(2405),
    [sym__array_destructing] = STATE(2405),
    [sym_function_call_expression] = STATE(612),
    [sym__callable_expression] = STATE(2324),
    [sym_scoped_call_expression] = STATE(612),
    [sym__scope_resolution_qualifier] = STATE(2522),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(612),
    [sym_nullsafe_member_call_expression] = STATE(612),
    [sym_variadic_unpacking] = STATE(1012),
    [sym__variable_subscript_expression] = STATE(610),
    [sym__dereferencable_subscript_expression] = STATE(612),
    [sym__dereferencable_expression] = STATE(1948),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(766),
    [sym_attribute_group] = STATE(1373),
    [sym_attribute_list] = STATE(1879),
    [sym_encapsed_string] = STATE(767),
    [sym_string] = STATE(767),
    [sym_heredoc] = STATE(767),
    [sym_nowdoc] = STATE(767),
    [sym_shell_command_expression] = STATE(1039),
    [sym_boolean] = STATE(1036),
    [sym_null] = STATE(1036),
    [sym__string] = STATE(768),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(595),
    [sym__new_variable] = STATE(683),
    [sym__callable_variable] = STATE(657),
    [sym_variable_name] = STATE(618),
    [sym_by_ref] = STATE(1012),
    [sym_yield_expression] = STATE(1026),
    [sym_array_element_initializer] = STATE(2030),
    [sym_binary_expression] = STATE(1026),
    [sym_include_expression] = STATE(1026),
    [sym_include_once_expression] = STATE(1026),
    [sym_require_expression] = STATE(1026),
    [sym_require_once_expression] = STATE(1026),
    [sym__reserved_identifier] = STATE(717),
    [sym__identifier] = STATE(1496),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_AMP] = ACTIONS(731),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [anon_sym_COMMA] = ACTIONS(813),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(697),
    [anon_sym_RPAREN2] = ACTIONS(815),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(699),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(701),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(703),
    [anon_sym_DASH] = ACTIONS(703),
    [anon_sym_TILDE] = ACTIONS(705),
    [anon_sym_BANG] = ACTIONS(705),
    [anon_sym_AT] = ACTIONS(707),
    [aux_sym_clone_expression_token1] = ACTIONS(709),
    [aux_sym_print_intrinsic_token1] = ACTIONS(711),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(713),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(5),
  },
  [158] = {
    [sym_text_interpolation] = STATE(158),
    [sym_qualified_name] = STATE(810),
    [sym__name] = STATE(1626),
    [sym_namespace_name] = STATE(2507),
    [sym_static_modifier] = STATE(2368),
    [sym_anonymous_function] = STATE(1039),
    [sym__anonymous_function_header] = STATE(2318),
    [sym__arrow_function_header] = STATE(2547),
    [sym_arrow_function] = STATE(1039),
    [sym_literal] = STATE(1039),
    [sym_throw_expression] = STATE(1039),
    [sym_match_expression] = STATE(1026),
    [sym_expression] = STATE(1237),
    [sym__unary_expression] = STATE(1010),
    [sym_unary_op_expression] = STATE(1022),
    [sym_error_suppression_expression] = STATE(1026),
    [sym_clone_expression] = STATE(1022),
    [sym_primary_expression] = STATE(1022),
    [sym_parenthesized_expression] = STATE(811),
    [sym_class_constant_access_expression] = STATE(859),
    [sym_print_intrinsic] = STATE(1039),
    [sym_object_creation_expression] = STATE(1039),
    [sym__new_non_dereferencable_expression] = STATE(1009),
    [sym__new_dereferencable_expression] = STATE(842),
    [sym_update_expression] = STATE(1039),
    [sym_cast_expression] = STATE(1022),
    [sym_cast_variable] = STATE(656),
    [sym_assignment_expression] = STATE(1026),
    [sym_reference_assignment_expression] = STATE(1026),
    [sym_conditional_expression] = STATE(1026),
    [sym_augmented_assignment_expression] = STATE(1026),
    [sym__variable_member_access_expression] = STATE(613),
    [sym_member_access_expression] = STATE(656),
    [sym__variable_nullsafe_member_access_expression] = STATE(619),
    [sym_nullsafe_member_access_expression] = STATE(656),
    [sym__variable_scoped_property_access_expression] = STATE(602),
    [sym_scoped_property_access_expression] = STATE(656),
    [sym_list_literal] = STATE(2548),
    [sym__list_destructing] = STATE(2405),
    [sym__array_destructing] = STATE(2405),
    [sym_function_call_expression] = STATE(612),
    [sym__callable_expression] = STATE(2324),
    [sym_scoped_call_expression] = STATE(612),
    [sym__scope_resolution_qualifier] = STATE(2522),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(612),
    [sym_nullsafe_member_call_expression] = STATE(612),
    [sym_variadic_unpacking] = STATE(1012),
    [sym__variable_subscript_expression] = STATE(610),
    [sym__dereferencable_subscript_expression] = STATE(612),
    [sym__dereferencable_expression] = STATE(1948),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(766),
    [sym_attribute_group] = STATE(1373),
    [sym_attribute_list] = STATE(1879),
    [sym_encapsed_string] = STATE(767),
    [sym_string] = STATE(767),
    [sym_heredoc] = STATE(767),
    [sym_nowdoc] = STATE(767),
    [sym_shell_command_expression] = STATE(1039),
    [sym_boolean] = STATE(1036),
    [sym_null] = STATE(1036),
    [sym__string] = STATE(768),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(595),
    [sym__new_variable] = STATE(662),
    [sym__callable_variable] = STATE(646),
    [sym_variable_name] = STATE(618),
    [sym_by_ref] = STATE(1012),
    [sym_yield_expression] = STATE(1026),
    [sym_array_element_initializer] = STATE(2018),
    [sym_binary_expression] = STATE(1026),
    [sym_include_expression] = STATE(1026),
    [sym_include_once_expression] = STATE(1026),
    [sym_require_expression] = STATE(1026),
    [sym_require_once_expression] = STATE(1026),
    [sym__reserved_identifier] = STATE(717),
    [sym__identifier] = STATE(1496),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_AMP] = ACTIONS(731),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [anon_sym_COMMA] = ACTIONS(817),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(659),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(661),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(663),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(665),
    [anon_sym_DASH] = ACTIONS(665),
    [anon_sym_TILDE] = ACTIONS(667),
    [anon_sym_BANG] = ACTIONS(667),
    [anon_sym_AT] = ACTIONS(669),
    [aux_sym_clone_expression_token1] = ACTIONS(671),
    [aux_sym_print_intrinsic_token1] = ACTIONS(673),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(675),
    [anon_sym_RBRACK] = ACTIONS(819),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(677),
    [aux_sym_include_expression_token1] = ACTIONS(681),
    [aux_sym_include_once_expression_token1] = ACTIONS(683),
    [aux_sym_require_expression_token1] = ACTIONS(685),
    [aux_sym_require_once_expression_token1] = ACTIONS(687),
    [sym_comment] = ACTIONS(5),
  },
  [159] = {
    [sym_text_interpolation] = STATE(159),
    [sym_reference_modifier] = STATE(224),
    [sym_qualified_name] = STATE(810),
    [sym__name] = STATE(1626),
    [sym_namespace_name] = STATE(2507),
    [sym_static_modifier] = STATE(2368),
    [sym_anonymous_function] = STATE(1039),
    [sym__anonymous_function_header] = STATE(2318),
    [sym__arrow_function_header] = STATE(2639),
    [sym_arrow_function] = STATE(1039),
    [sym_literal] = STATE(1039),
    [sym_throw_expression] = STATE(1039),
    [sym_match_expression] = STATE(1026),
    [sym_expression] = STATE(1246),
    [sym__unary_expression] = STATE(1010),
    [sym_unary_op_expression] = STATE(1022),
    [sym_error_suppression_expression] = STATE(1026),
    [sym_clone_expression] = STATE(1022),
    [sym_primary_expression] = STATE(1022),
    [sym_parenthesized_expression] = STATE(811),
    [sym_class_constant_access_expression] = STATE(859),
    [sym_print_intrinsic] = STATE(1039),
    [sym_object_creation_expression] = STATE(1039),
    [sym__new_non_dereferencable_expression] = STATE(1009),
    [sym__new_dereferencable_expression] = STATE(842),
    [sym_update_expression] = STATE(1039),
    [sym_cast_expression] = STATE(1022),
    [sym_cast_variable] = STATE(681),
    [sym_assignment_expression] = STATE(1026),
    [sym_reference_assignment_expression] = STATE(1026),
    [sym_conditional_expression] = STATE(1026),
    [sym_augmented_assignment_expression] = STATE(1026),
    [sym__variable_member_access_expression] = STATE(613),
    [sym_member_access_expression] = STATE(681),
    [sym__variable_nullsafe_member_access_expression] = STATE(619),
    [sym_nullsafe_member_access_expression] = STATE(681),
    [sym__variable_scoped_property_access_expression] = STATE(602),
    [sym_scoped_property_access_expression] = STATE(681),
    [sym_list_literal] = STATE(2640),
    [sym__list_destructing] = STATE(2405),
    [sym__array_destructing] = STATE(2405),
    [sym_function_call_expression] = STATE(612),
    [sym__callable_expression] = STATE(2324),
    [sym_scoped_call_expression] = STATE(612),
    [sym__scope_resolution_qualifier] = STATE(2522),
    [sym_relative_scope] = STATE(2608),
    [sym_argument] = STATE(2417),
    [sym__argument_name] = STATE(182),
    [sym_member_call_expression] = STATE(612),
    [sym_nullsafe_member_call_expression] = STATE(612),
    [sym_variadic_unpacking] = STATE(2364),
    [sym__variable_subscript_expression] = STATE(610),
    [sym__dereferencable_subscript_expression] = STATE(612),
    [sym__dereferencable_expression] = STATE(1948),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(766),
    [sym_attribute_group] = STATE(1373),
    [sym_attribute_list] = STATE(1879),
    [sym_encapsed_string] = STATE(767),
    [sym_string] = STATE(767),
    [sym_heredoc] = STATE(767),
    [sym_nowdoc] = STATE(767),
    [sym_shell_command_expression] = STATE(1039),
    [sym_boolean] = STATE(1036),
    [sym_null] = STATE(1036),
    [sym__string] = STATE(768),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(595),
    [sym__new_variable] = STATE(683),
    [sym__callable_variable] = STATE(657),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1026),
    [sym_binary_expression] = STATE(1026),
    [sym_include_expression] = STATE(1026),
    [sym_include_once_expression] = STATE(1026),
    [sym_require_expression] = STATE(1026),
    [sym_require_once_expression] = STATE(1026),
    [sym__reserved_identifier] = STATE(1601),
    [sym__identifier] = STATE(1496),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(743),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_AMP] = ACTIONS(745),
    [aux_sym_function_static_declaration_token1] = ACTIONS(747),
    [aux_sym_namespace_definition_token1] = ACTIONS(749),
    [aux_sym__namespace_use_type_token1] = ACTIONS(751),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(697),
    [aux_sym__arrow_function_header_token1] = ACTIONS(755),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(699),
    [aux_sym_cast_type_token1] = ACTIONS(759),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(761),
    [aux_sym_match_expression_token1] = ACTIONS(763),
    [anon_sym_PLUS] = ACTIONS(703),
    [anon_sym_DASH] = ACTIONS(703),
    [anon_sym_TILDE] = ACTIONS(705),
    [anon_sym_BANG] = ACTIONS(705),
    [anon_sym_AT] = ACTIONS(707),
    [aux_sym_clone_expression_token1] = ACTIONS(709),
    [aux_sym_print_intrinsic_token1] = ACTIONS(711),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(713),
    [anon_sym_self] = ACTIONS(765),
    [anon_sym_parent] = ACTIONS(765),
    [aux_sym__argument_name_token1] = ACTIONS(767),
    [aux_sym__argument_name_token2] = ACTIONS(769),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(5),
  },
  [160] = {
    [sym_text_interpolation] = STATE(160),
    [sym_qualified_name] = STATE(810),
    [sym__name] = STATE(1626),
    [sym_namespace_name] = STATE(2507),
    [sym_static_modifier] = STATE(2368),
    [sym_anonymous_function] = STATE(1039),
    [sym__anonymous_function_header] = STATE(2318),
    [sym__arrow_function_header] = STATE(2547),
    [sym_arrow_function] = STATE(1039),
    [sym_literal] = STATE(1039),
    [sym_throw_expression] = STATE(1039),
    [sym_match_expression] = STATE(1026),
    [sym_expression] = STATE(1237),
    [sym__unary_expression] = STATE(1010),
    [sym_unary_op_expression] = STATE(1022),
    [sym_error_suppression_expression] = STATE(1026),
    [sym_clone_expression] = STATE(1022),
    [sym_primary_expression] = STATE(1022),
    [sym_parenthesized_expression] = STATE(811),
    [sym_class_constant_access_expression] = STATE(859),
    [sym_print_intrinsic] = STATE(1039),
    [sym_object_creation_expression] = STATE(1039),
    [sym__new_non_dereferencable_expression] = STATE(1009),
    [sym__new_dereferencable_expression] = STATE(842),
    [sym_update_expression] = STATE(1039),
    [sym_cast_expression] = STATE(1022),
    [sym_cast_variable] = STATE(656),
    [sym_assignment_expression] = STATE(1026),
    [sym_reference_assignment_expression] = STATE(1026),
    [sym_conditional_expression] = STATE(1026),
    [sym_augmented_assignment_expression] = STATE(1026),
    [sym__variable_member_access_expression] = STATE(613),
    [sym_member_access_expression] = STATE(656),
    [sym__variable_nullsafe_member_access_expression] = STATE(619),
    [sym_nullsafe_member_access_expression] = STATE(656),
    [sym__variable_scoped_property_access_expression] = STATE(602),
    [sym_scoped_property_access_expression] = STATE(656),
    [sym_list_literal] = STATE(2548),
    [sym__list_destructing] = STATE(2405),
    [sym__array_destructing] = STATE(2405),
    [sym_function_call_expression] = STATE(612),
    [sym__callable_expression] = STATE(2324),
    [sym_scoped_call_expression] = STATE(612),
    [sym__scope_resolution_qualifier] = STATE(2522),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(612),
    [sym_nullsafe_member_call_expression] = STATE(612),
    [sym_variadic_unpacking] = STATE(1012),
    [sym__variable_subscript_expression] = STATE(610),
    [sym__dereferencable_subscript_expression] = STATE(612),
    [sym__dereferencable_expression] = STATE(1948),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(766),
    [sym_attribute_group] = STATE(1373),
    [sym_attribute_list] = STATE(1879),
    [sym_encapsed_string] = STATE(767),
    [sym_string] = STATE(767),
    [sym_heredoc] = STATE(767),
    [sym_nowdoc] = STATE(767),
    [sym_shell_command_expression] = STATE(1039),
    [sym_boolean] = STATE(1036),
    [sym_null] = STATE(1036),
    [sym__string] = STATE(768),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(595),
    [sym__new_variable] = STATE(662),
    [sym__callable_variable] = STATE(646),
    [sym_variable_name] = STATE(618),
    [sym_by_ref] = STATE(1012),
    [sym_yield_expression] = STATE(1026),
    [sym_array_element_initializer] = STATE(1995),
    [sym_binary_expression] = STATE(1026),
    [sym_include_expression] = STATE(1026),
    [sym_include_once_expression] = STATE(1026),
    [sym_require_expression] = STATE(1026),
    [sym_require_once_expression] = STATE(1026),
    [sym__reserved_identifier] = STATE(717),
    [sym__identifier] = STATE(1496),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_AMP] = ACTIONS(731),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [anon_sym_COMMA] = ACTIONS(821),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(659),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(661),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(663),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(665),
    [anon_sym_DASH] = ACTIONS(665),
    [anon_sym_TILDE] = ACTIONS(667),
    [anon_sym_BANG] = ACTIONS(667),
    [anon_sym_AT] = ACTIONS(669),
    [aux_sym_clone_expression_token1] = ACTIONS(671),
    [aux_sym_print_intrinsic_token1] = ACTIONS(673),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(675),
    [anon_sym_RBRACK] = ACTIONS(823),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(677),
    [aux_sym_include_expression_token1] = ACTIONS(681),
    [aux_sym_include_once_expression_token1] = ACTIONS(683),
    [aux_sym_require_expression_token1] = ACTIONS(685),
    [aux_sym_require_once_expression_token1] = ACTIONS(687),
    [sym_comment] = ACTIONS(5),
  },
  [161] = {
    [sym_text_interpolation] = STATE(161),
    [sym_qualified_name] = STATE(810),
    [sym__name] = STATE(1626),
    [sym_namespace_name] = STATE(2507),
    [sym_static_modifier] = STATE(2368),
    [sym_anonymous_function] = STATE(1039),
    [sym__anonymous_function_header] = STATE(2318),
    [sym__arrow_function_header] = STATE(2547),
    [sym_arrow_function] = STATE(1039),
    [sym_literal] = STATE(1039),
    [sym_throw_expression] = STATE(1039),
    [sym_match_expression] = STATE(1026),
    [sym_match_condition_list] = STATE(2525),
    [sym_match_conditional_expression] = STATE(2062),
    [sym_match_default_expression] = STATE(2062),
    [sym_expression] = STATE(1219),
    [sym__unary_expression] = STATE(1010),
    [sym_unary_op_expression] = STATE(1022),
    [sym_error_suppression_expression] = STATE(1026),
    [sym_clone_expression] = STATE(1022),
    [sym_primary_expression] = STATE(1022),
    [sym_parenthesized_expression] = STATE(811),
    [sym_class_constant_access_expression] = STATE(859),
    [sym_print_intrinsic] = STATE(1039),
    [sym_object_creation_expression] = STATE(1039),
    [sym__new_non_dereferencable_expression] = STATE(1009),
    [sym__new_dereferencable_expression] = STATE(842),
    [sym_update_expression] = STATE(1039),
    [sym_cast_expression] = STATE(1022),
    [sym_cast_variable] = STATE(656),
    [sym_assignment_expression] = STATE(1026),
    [sym_reference_assignment_expression] = STATE(1026),
    [sym_conditional_expression] = STATE(1026),
    [sym_augmented_assignment_expression] = STATE(1026),
    [sym__variable_member_access_expression] = STATE(613),
    [sym_member_access_expression] = STATE(656),
    [sym__variable_nullsafe_member_access_expression] = STATE(619),
    [sym_nullsafe_member_access_expression] = STATE(656),
    [sym__variable_scoped_property_access_expression] = STATE(602),
    [sym_scoped_property_access_expression] = STATE(656),
    [sym_list_literal] = STATE(2548),
    [sym__list_destructing] = STATE(2405),
    [sym__array_destructing] = STATE(2405),
    [sym_function_call_expression] = STATE(612),
    [sym__callable_expression] = STATE(2324),
    [sym_scoped_call_expression] = STATE(612),
    [sym__scope_resolution_qualifier] = STATE(2522),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(612),
    [sym_nullsafe_member_call_expression] = STATE(612),
    [sym__variable_subscript_expression] = STATE(610),
    [sym__dereferencable_subscript_expression] = STATE(612),
    [sym__dereferencable_expression] = STATE(1948),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(766),
    [sym_attribute_group] = STATE(1373),
    [sym_attribute_list] = STATE(1879),
    [sym_encapsed_string] = STATE(767),
    [sym_string] = STATE(767),
    [sym_heredoc] = STATE(767),
    [sym_nowdoc] = STATE(767),
    [sym_shell_command_expression] = STATE(1039),
    [sym_boolean] = STATE(1036),
    [sym_null] = STATE(1036),
    [sym__string] = STATE(768),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(595),
    [sym__new_variable] = STATE(662),
    [sym__callable_variable] = STATE(646),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1026),
    [sym_binary_expression] = STATE(1026),
    [sym_include_expression] = STATE(1026),
    [sym_include_once_expression] = STATE(1026),
    [sym_require_expression] = STATE(1026),
    [sym_require_once_expression] = STATE(1026),
    [sym__reserved_identifier] = STATE(717),
    [sym__identifier] = STATE(1496),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [anon_sym_COMMA] = ACTIONS(825),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_RBRACE] = ACTIONS(827),
    [anon_sym_LPAREN2] = ACTIONS(659),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(663),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [aux_sym_match_default_expression_token1] = ACTIONS(829),
    [anon_sym_PLUS] = ACTIONS(665),
    [anon_sym_DASH] = ACTIONS(665),
    [anon_sym_TILDE] = ACTIONS(667),
    [anon_sym_BANG] = ACTIONS(667),
    [anon_sym_AT] = ACTIONS(669),
    [aux_sym_clone_expression_token1] = ACTIONS(671),
    [aux_sym_print_intrinsic_token1] = ACTIONS(673),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(675),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(677),
    [aux_sym_include_expression_token1] = ACTIONS(681),
    [aux_sym_include_once_expression_token1] = ACTIONS(683),
    [aux_sym_require_expression_token1] = ACTIONS(685),
    [aux_sym_require_once_expression_token1] = ACTIONS(687),
    [sym_comment] = ACTIONS(5),
  },
  [162] = {
    [sym_text_interpolation] = STATE(162),
    [sym_qualified_name] = STATE(810),
    [sym__name] = STATE(1626),
    [sym_namespace_name] = STATE(2507),
    [sym_static_modifier] = STATE(2368),
    [sym_anonymous_function] = STATE(1039),
    [sym__anonymous_function_header] = STATE(2318),
    [sym__arrow_function_header] = STATE(2547),
    [sym_arrow_function] = STATE(1039),
    [sym_literal] = STATE(1039),
    [sym_throw_expression] = STATE(1039),
    [sym_match_expression] = STATE(1026),
    [sym_match_condition_list] = STATE(2525),
    [sym_match_conditional_expression] = STATE(2215),
    [sym_match_default_expression] = STATE(2215),
    [sym_expression] = STATE(1219),
    [sym__unary_expression] = STATE(1010),
    [sym_unary_op_expression] = STATE(1022),
    [sym_error_suppression_expression] = STATE(1026),
    [sym_clone_expression] = STATE(1022),
    [sym_primary_expression] = STATE(1022),
    [sym_parenthesized_expression] = STATE(811),
    [sym_class_constant_access_expression] = STATE(859),
    [sym_print_intrinsic] = STATE(1039),
    [sym_object_creation_expression] = STATE(1039),
    [sym__new_non_dereferencable_expression] = STATE(1009),
    [sym__new_dereferencable_expression] = STATE(842),
    [sym_update_expression] = STATE(1039),
    [sym_cast_expression] = STATE(1022),
    [sym_cast_variable] = STATE(656),
    [sym_assignment_expression] = STATE(1026),
    [sym_reference_assignment_expression] = STATE(1026),
    [sym_conditional_expression] = STATE(1026),
    [sym_augmented_assignment_expression] = STATE(1026),
    [sym__variable_member_access_expression] = STATE(613),
    [sym_member_access_expression] = STATE(656),
    [sym__variable_nullsafe_member_access_expression] = STATE(619),
    [sym_nullsafe_member_access_expression] = STATE(656),
    [sym__variable_scoped_property_access_expression] = STATE(602),
    [sym_scoped_property_access_expression] = STATE(656),
    [sym_list_literal] = STATE(2548),
    [sym__list_destructing] = STATE(2405),
    [sym__array_destructing] = STATE(2405),
    [sym_function_call_expression] = STATE(612),
    [sym__callable_expression] = STATE(2324),
    [sym_scoped_call_expression] = STATE(612),
    [sym__scope_resolution_qualifier] = STATE(2522),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(612),
    [sym_nullsafe_member_call_expression] = STATE(612),
    [sym__variable_subscript_expression] = STATE(610),
    [sym__dereferencable_subscript_expression] = STATE(612),
    [sym__dereferencable_expression] = STATE(1948),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(766),
    [sym_attribute_group] = STATE(1373),
    [sym_attribute_list] = STATE(1879),
    [sym_encapsed_string] = STATE(767),
    [sym_string] = STATE(767),
    [sym_heredoc] = STATE(767),
    [sym_nowdoc] = STATE(767),
    [sym_shell_command_expression] = STATE(1039),
    [sym_boolean] = STATE(1036),
    [sym_null] = STATE(1036),
    [sym__string] = STATE(768),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(595),
    [sym__new_variable] = STATE(662),
    [sym__callable_variable] = STATE(646),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1026),
    [sym_binary_expression] = STATE(1026),
    [sym_include_expression] = STATE(1026),
    [sym_include_once_expression] = STATE(1026),
    [sym_require_expression] = STATE(1026),
    [sym_require_once_expression] = STATE(1026),
    [sym__reserved_identifier] = STATE(717),
    [sym__identifier] = STATE(1496),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [anon_sym_COMMA] = ACTIONS(831),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_RBRACE] = ACTIONS(833),
    [anon_sym_LPAREN2] = ACTIONS(659),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(663),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [aux_sym_match_default_expression_token1] = ACTIONS(829),
    [anon_sym_PLUS] = ACTIONS(665),
    [anon_sym_DASH] = ACTIONS(665),
    [anon_sym_TILDE] = ACTIONS(667),
    [anon_sym_BANG] = ACTIONS(667),
    [anon_sym_AT] = ACTIONS(669),
    [aux_sym_clone_expression_token1] = ACTIONS(671),
    [aux_sym_print_intrinsic_token1] = ACTIONS(673),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(675),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(677),
    [aux_sym_include_expression_token1] = ACTIONS(681),
    [aux_sym_include_once_expression_token1] = ACTIONS(683),
    [aux_sym_require_expression_token1] = ACTIONS(685),
    [aux_sym_require_once_expression_token1] = ACTIONS(687),
    [sym_comment] = ACTIONS(5),
  },
  [163] = {
    [sym_text_interpolation] = STATE(163),
    [sym_qualified_name] = STATE(810),
    [sym__name] = STATE(1626),
    [sym_namespace_name] = STATE(2507),
    [sym_static_modifier] = STATE(2368),
    [sym_anonymous_function] = STATE(1039),
    [sym__anonymous_function_header] = STATE(2318),
    [sym__arrow_function_header] = STATE(2639),
    [sym_arrow_function] = STATE(1039),
    [sym_literal] = STATE(1039),
    [sym_throw_expression] = STATE(1039),
    [sym_match_expression] = STATE(1026),
    [sym_expression] = STATE(1230),
    [sym__unary_expression] = STATE(1010),
    [sym_unary_op_expression] = STATE(1022),
    [sym_error_suppression_expression] = STATE(1026),
    [sym_clone_expression] = STATE(1022),
    [sym_primary_expression] = STATE(1022),
    [sym_parenthesized_expression] = STATE(811),
    [sym_class_constant_access_expression] = STATE(859),
    [sym_print_intrinsic] = STATE(1039),
    [sym_object_creation_expression] = STATE(1039),
    [sym__new_non_dereferencable_expression] = STATE(1009),
    [sym__new_dereferencable_expression] = STATE(842),
    [sym_update_expression] = STATE(1039),
    [sym_cast_expression] = STATE(1022),
    [sym_cast_variable] = STATE(681),
    [sym_assignment_expression] = STATE(1026),
    [sym_reference_assignment_expression] = STATE(1026),
    [sym_conditional_expression] = STATE(1026),
    [sym_augmented_assignment_expression] = STATE(1026),
    [sym__variable_member_access_expression] = STATE(613),
    [sym_member_access_expression] = STATE(681),
    [sym__variable_nullsafe_member_access_expression] = STATE(619),
    [sym_nullsafe_member_access_expression] = STATE(681),
    [sym__variable_scoped_property_access_expression] = STATE(602),
    [sym_scoped_property_access_expression] = STATE(681),
    [sym_list_literal] = STATE(2640),
    [sym__list_destructing] = STATE(2405),
    [sym__array_destructing] = STATE(2405),
    [sym_function_call_expression] = STATE(612),
    [sym__callable_expression] = STATE(2324),
    [sym_scoped_call_expression] = STATE(612),
    [sym__scope_resolution_qualifier] = STATE(2522),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(612),
    [sym_nullsafe_member_call_expression] = STATE(612),
    [sym_variadic_unpacking] = STATE(1012),
    [sym__variable_subscript_expression] = STATE(610),
    [sym__dereferencable_subscript_expression] = STATE(612),
    [sym__dereferencable_expression] = STATE(1948),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(766),
    [sym_attribute_group] = STATE(1373),
    [sym_attribute_list] = STATE(1879),
    [sym_encapsed_string] = STATE(767),
    [sym_string] = STATE(767),
    [sym_heredoc] = STATE(767),
    [sym_nowdoc] = STATE(767),
    [sym_shell_command_expression] = STATE(1039),
    [sym_boolean] = STATE(1036),
    [sym_null] = STATE(1036),
    [sym__string] = STATE(768),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(595),
    [sym__new_variable] = STATE(683),
    [sym__callable_variable] = STATE(657),
    [sym_variable_name] = STATE(618),
    [sym_by_ref] = STATE(1012),
    [sym_yield_expression] = STATE(1026),
    [sym_array_element_initializer] = STATE(2136),
    [sym_binary_expression] = STATE(1026),
    [sym_include_expression] = STATE(1026),
    [sym_include_once_expression] = STATE(1026),
    [sym_require_expression] = STATE(1026),
    [sym_require_once_expression] = STATE(1026),
    [sym__reserved_identifier] = STATE(717),
    [sym__identifier] = STATE(1496),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_AMP] = ACTIONS(731),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(697),
    [anon_sym_RPAREN2] = ACTIONS(835),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(699),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(701),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(703),
    [anon_sym_DASH] = ACTIONS(703),
    [anon_sym_TILDE] = ACTIONS(705),
    [anon_sym_BANG] = ACTIONS(705),
    [anon_sym_AT] = ACTIONS(707),
    [aux_sym_clone_expression_token1] = ACTIONS(709),
    [aux_sym_print_intrinsic_token1] = ACTIONS(711),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(713),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(5),
  },
  [164] = {
    [sym_text_interpolation] = STATE(164),
    [sym_qualified_name] = STATE(810),
    [sym__name] = STATE(1626),
    [sym_namespace_name] = STATE(2507),
    [sym_static_modifier] = STATE(2368),
    [sym_anonymous_function] = STATE(1039),
    [sym__anonymous_function_header] = STATE(2318),
    [sym__arrow_function_header] = STATE(2547),
    [sym_arrow_function] = STATE(1039),
    [sym_literal] = STATE(1039),
    [sym_throw_expression] = STATE(1039),
    [sym_match_expression] = STATE(1026),
    [sym_expression] = STATE(1237),
    [sym__unary_expression] = STATE(1010),
    [sym_unary_op_expression] = STATE(1022),
    [sym_error_suppression_expression] = STATE(1026),
    [sym_clone_expression] = STATE(1022),
    [sym_primary_expression] = STATE(1022),
    [sym_parenthesized_expression] = STATE(811),
    [sym_class_constant_access_expression] = STATE(859),
    [sym_print_intrinsic] = STATE(1039),
    [sym_object_creation_expression] = STATE(1039),
    [sym__new_non_dereferencable_expression] = STATE(1009),
    [sym__new_dereferencable_expression] = STATE(842),
    [sym_update_expression] = STATE(1039),
    [sym_cast_expression] = STATE(1022),
    [sym_cast_variable] = STATE(656),
    [sym_assignment_expression] = STATE(1026),
    [sym_reference_assignment_expression] = STATE(1026),
    [sym_conditional_expression] = STATE(1026),
    [sym_augmented_assignment_expression] = STATE(1026),
    [sym__variable_member_access_expression] = STATE(613),
    [sym_member_access_expression] = STATE(656),
    [sym__variable_nullsafe_member_access_expression] = STATE(619),
    [sym_nullsafe_member_access_expression] = STATE(656),
    [sym__variable_scoped_property_access_expression] = STATE(602),
    [sym_scoped_property_access_expression] = STATE(656),
    [sym_list_literal] = STATE(2548),
    [sym__list_destructing] = STATE(2405),
    [sym__array_destructing] = STATE(2405),
    [sym_function_call_expression] = STATE(612),
    [sym__callable_expression] = STATE(2324),
    [sym_scoped_call_expression] = STATE(612),
    [sym__scope_resolution_qualifier] = STATE(2522),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(612),
    [sym_nullsafe_member_call_expression] = STATE(612),
    [sym_variadic_unpacking] = STATE(1012),
    [sym__variable_subscript_expression] = STATE(610),
    [sym__dereferencable_subscript_expression] = STATE(612),
    [sym__dereferencable_expression] = STATE(1948),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(766),
    [sym_attribute_group] = STATE(1373),
    [sym_attribute_list] = STATE(1879),
    [sym_encapsed_string] = STATE(767),
    [sym_string] = STATE(767),
    [sym_heredoc] = STATE(767),
    [sym_nowdoc] = STATE(767),
    [sym_shell_command_expression] = STATE(1039),
    [sym_boolean] = STATE(1036),
    [sym_null] = STATE(1036),
    [sym__string] = STATE(768),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(595),
    [sym__new_variable] = STATE(662),
    [sym__callable_variable] = STATE(646),
    [sym_variable_name] = STATE(618),
    [sym_by_ref] = STATE(1012),
    [sym_yield_expression] = STATE(1026),
    [sym_array_element_initializer] = STATE(2136),
    [sym_binary_expression] = STATE(1026),
    [sym_include_expression] = STATE(1026),
    [sym_include_once_expression] = STATE(1026),
    [sym_require_expression] = STATE(1026),
    [sym_require_once_expression] = STATE(1026),
    [sym__reserved_identifier] = STATE(717),
    [sym__identifier] = STATE(1496),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_AMP] = ACTIONS(731),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(659),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(661),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(663),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(665),
    [anon_sym_DASH] = ACTIONS(665),
    [anon_sym_TILDE] = ACTIONS(667),
    [anon_sym_BANG] = ACTIONS(667),
    [anon_sym_AT] = ACTIONS(669),
    [aux_sym_clone_expression_token1] = ACTIONS(671),
    [aux_sym_print_intrinsic_token1] = ACTIONS(673),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(675),
    [anon_sym_RBRACK] = ACTIONS(837),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(677),
    [aux_sym_include_expression_token1] = ACTIONS(681),
    [aux_sym_include_once_expression_token1] = ACTIONS(683),
    [aux_sym_require_expression_token1] = ACTIONS(685),
    [aux_sym_require_once_expression_token1] = ACTIONS(687),
    [sym_comment] = ACTIONS(5),
  },
  [165] = {
    [sym_text_interpolation] = STATE(165),
    [sym_qualified_name] = STATE(810),
    [sym__name] = STATE(1626),
    [sym_namespace_name] = STATE(2507),
    [sym_static_modifier] = STATE(2368),
    [sym_anonymous_function] = STATE(1039),
    [sym__anonymous_function_header] = STATE(2318),
    [sym__arrow_function_header] = STATE(2547),
    [sym_arrow_function] = STATE(1039),
    [sym_literal] = STATE(1039),
    [sym_throw_expression] = STATE(1039),
    [sym_match_expression] = STATE(1026),
    [sym_expression] = STATE(1237),
    [sym__unary_expression] = STATE(1010),
    [sym_unary_op_expression] = STATE(1022),
    [sym_error_suppression_expression] = STATE(1026),
    [sym_clone_expression] = STATE(1022),
    [sym_primary_expression] = STATE(1022),
    [sym_parenthesized_expression] = STATE(811),
    [sym_class_constant_access_expression] = STATE(859),
    [sym_print_intrinsic] = STATE(1039),
    [sym_object_creation_expression] = STATE(1039),
    [sym__new_non_dereferencable_expression] = STATE(1009),
    [sym__new_dereferencable_expression] = STATE(842),
    [sym_update_expression] = STATE(1039),
    [sym_cast_expression] = STATE(1022),
    [sym_cast_variable] = STATE(656),
    [sym_assignment_expression] = STATE(1026),
    [sym_reference_assignment_expression] = STATE(1026),
    [sym_conditional_expression] = STATE(1026),
    [sym_augmented_assignment_expression] = STATE(1026),
    [sym__variable_member_access_expression] = STATE(613),
    [sym_member_access_expression] = STATE(656),
    [sym__variable_nullsafe_member_access_expression] = STATE(619),
    [sym_nullsafe_member_access_expression] = STATE(656),
    [sym__variable_scoped_property_access_expression] = STATE(602),
    [sym_scoped_property_access_expression] = STATE(656),
    [sym_list_literal] = STATE(2548),
    [sym__list_destructing] = STATE(2405),
    [sym__array_destructing] = STATE(2405),
    [sym_function_call_expression] = STATE(612),
    [sym__callable_expression] = STATE(2324),
    [sym_scoped_call_expression] = STATE(612),
    [sym__scope_resolution_qualifier] = STATE(2522),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(612),
    [sym_nullsafe_member_call_expression] = STATE(612),
    [sym_variadic_unpacking] = STATE(1012),
    [sym__variable_subscript_expression] = STATE(610),
    [sym__dereferencable_subscript_expression] = STATE(612),
    [sym__dereferencable_expression] = STATE(1948),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(766),
    [sym_attribute_group] = STATE(1373),
    [sym_attribute_list] = STATE(1879),
    [sym_encapsed_string] = STATE(767),
    [sym_string] = STATE(767),
    [sym_heredoc] = STATE(767),
    [sym_nowdoc] = STATE(767),
    [sym_shell_command_expression] = STATE(1039),
    [sym_boolean] = STATE(1036),
    [sym_null] = STATE(1036),
    [sym__string] = STATE(768),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(595),
    [sym__new_variable] = STATE(662),
    [sym__callable_variable] = STATE(646),
    [sym_variable_name] = STATE(618),
    [sym_by_ref] = STATE(1012),
    [sym_yield_expression] = STATE(1026),
    [sym_array_element_initializer] = STATE(2136),
    [sym_binary_expression] = STATE(1026),
    [sym_include_expression] = STATE(1026),
    [sym_include_once_expression] = STATE(1026),
    [sym_require_expression] = STATE(1026),
    [sym_require_once_expression] = STATE(1026),
    [sym__reserved_identifier] = STATE(717),
    [sym__identifier] = STATE(1496),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_AMP] = ACTIONS(731),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(659),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(661),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(663),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(665),
    [anon_sym_DASH] = ACTIONS(665),
    [anon_sym_TILDE] = ACTIONS(667),
    [anon_sym_BANG] = ACTIONS(667),
    [anon_sym_AT] = ACTIONS(669),
    [aux_sym_clone_expression_token1] = ACTIONS(671),
    [aux_sym_print_intrinsic_token1] = ACTIONS(673),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(675),
    [anon_sym_RBRACK] = ACTIONS(839),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(677),
    [aux_sym_include_expression_token1] = ACTIONS(681),
    [aux_sym_include_once_expression_token1] = ACTIONS(683),
    [aux_sym_require_expression_token1] = ACTIONS(685),
    [aux_sym_require_once_expression_token1] = ACTIONS(687),
    [sym_comment] = ACTIONS(5),
  },
  [166] = {
    [sym_text_interpolation] = STATE(166),
    [sym_qualified_name] = STATE(810),
    [sym__name] = STATE(1626),
    [sym_namespace_name] = STATE(2507),
    [sym_static_modifier] = STATE(2368),
    [sym_anonymous_function] = STATE(1039),
    [sym__anonymous_function_header] = STATE(2318),
    [sym__arrow_function_header] = STATE(2639),
    [sym_arrow_function] = STATE(1039),
    [sym_literal] = STATE(1039),
    [sym_throw_expression] = STATE(1039),
    [sym_match_expression] = STATE(1026),
    [sym_expression] = STATE(1230),
    [sym__unary_expression] = STATE(1010),
    [sym_unary_op_expression] = STATE(1022),
    [sym_error_suppression_expression] = STATE(1026),
    [sym_clone_expression] = STATE(1022),
    [sym_primary_expression] = STATE(1022),
    [sym_parenthesized_expression] = STATE(811),
    [sym_class_constant_access_expression] = STATE(859),
    [sym_print_intrinsic] = STATE(1039),
    [sym_object_creation_expression] = STATE(1039),
    [sym__new_non_dereferencable_expression] = STATE(1009),
    [sym__new_dereferencable_expression] = STATE(842),
    [sym_update_expression] = STATE(1039),
    [sym_cast_expression] = STATE(1022),
    [sym_cast_variable] = STATE(681),
    [sym_assignment_expression] = STATE(1026),
    [sym_reference_assignment_expression] = STATE(1026),
    [sym_conditional_expression] = STATE(1026),
    [sym_augmented_assignment_expression] = STATE(1026),
    [sym__variable_member_access_expression] = STATE(613),
    [sym_member_access_expression] = STATE(681),
    [sym__variable_nullsafe_member_access_expression] = STATE(619),
    [sym_nullsafe_member_access_expression] = STATE(681),
    [sym__variable_scoped_property_access_expression] = STATE(602),
    [sym_scoped_property_access_expression] = STATE(681),
    [sym_list_literal] = STATE(2640),
    [sym__list_destructing] = STATE(2405),
    [sym__array_destructing] = STATE(2405),
    [sym_function_call_expression] = STATE(612),
    [sym__callable_expression] = STATE(2324),
    [sym_scoped_call_expression] = STATE(612),
    [sym__scope_resolution_qualifier] = STATE(2522),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(612),
    [sym_nullsafe_member_call_expression] = STATE(612),
    [sym_variadic_unpacking] = STATE(1012),
    [sym__variable_subscript_expression] = STATE(610),
    [sym__dereferencable_subscript_expression] = STATE(612),
    [sym__dereferencable_expression] = STATE(1948),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(766),
    [sym_attribute_group] = STATE(1373),
    [sym_attribute_list] = STATE(1879),
    [sym_encapsed_string] = STATE(767),
    [sym_string] = STATE(767),
    [sym_heredoc] = STATE(767),
    [sym_nowdoc] = STATE(767),
    [sym_shell_command_expression] = STATE(1039),
    [sym_boolean] = STATE(1036),
    [sym_null] = STATE(1036),
    [sym__string] = STATE(768),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(595),
    [sym__new_variable] = STATE(683),
    [sym__callable_variable] = STATE(657),
    [sym_variable_name] = STATE(618),
    [sym_by_ref] = STATE(1012),
    [sym_yield_expression] = STATE(1026),
    [sym_array_element_initializer] = STATE(2136),
    [sym_binary_expression] = STATE(1026),
    [sym_include_expression] = STATE(1026),
    [sym_include_once_expression] = STATE(1026),
    [sym_require_expression] = STATE(1026),
    [sym_require_once_expression] = STATE(1026),
    [sym__reserved_identifier] = STATE(717),
    [sym__identifier] = STATE(1496),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_AMP] = ACTIONS(731),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(697),
    [anon_sym_RPAREN2] = ACTIONS(841),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(699),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(701),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(703),
    [anon_sym_DASH] = ACTIONS(703),
    [anon_sym_TILDE] = ACTIONS(705),
    [anon_sym_BANG] = ACTIONS(705),
    [anon_sym_AT] = ACTIONS(707),
    [aux_sym_clone_expression_token1] = ACTIONS(709),
    [aux_sym_print_intrinsic_token1] = ACTIONS(711),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(713),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(5),
  },
  [167] = {
    [sym_text_interpolation] = STATE(167),
    [sym_qualified_name] = STATE(810),
    [sym__name] = STATE(1626),
    [sym_namespace_name] = STATE(2507),
    [sym_static_modifier] = STATE(2368),
    [sym_anonymous_function] = STATE(1039),
    [sym__anonymous_function_header] = STATE(2318),
    [sym__arrow_function_header] = STATE(2639),
    [sym_arrow_function] = STATE(1039),
    [sym_literal] = STATE(1039),
    [sym_throw_expression] = STATE(1039),
    [sym_match_expression] = STATE(1026),
    [sym_expression] = STATE(1230),
    [sym__unary_expression] = STATE(1010),
    [sym_unary_op_expression] = STATE(1022),
    [sym_error_suppression_expression] = STATE(1026),
    [sym_clone_expression] = STATE(1022),
    [sym_primary_expression] = STATE(1022),
    [sym_parenthesized_expression] = STATE(811),
    [sym_class_constant_access_expression] = STATE(859),
    [sym_print_intrinsic] = STATE(1039),
    [sym_object_creation_expression] = STATE(1039),
    [sym__new_non_dereferencable_expression] = STATE(1009),
    [sym__new_dereferencable_expression] = STATE(842),
    [sym_update_expression] = STATE(1039),
    [sym_cast_expression] = STATE(1022),
    [sym_cast_variable] = STATE(681),
    [sym_assignment_expression] = STATE(1026),
    [sym_reference_assignment_expression] = STATE(1026),
    [sym_conditional_expression] = STATE(1026),
    [sym_augmented_assignment_expression] = STATE(1026),
    [sym__variable_member_access_expression] = STATE(613),
    [sym_member_access_expression] = STATE(681),
    [sym__variable_nullsafe_member_access_expression] = STATE(619),
    [sym_nullsafe_member_access_expression] = STATE(681),
    [sym__variable_scoped_property_access_expression] = STATE(602),
    [sym_scoped_property_access_expression] = STATE(681),
    [sym_list_literal] = STATE(2640),
    [sym__list_destructing] = STATE(2405),
    [sym__array_destructing] = STATE(2405),
    [sym_function_call_expression] = STATE(612),
    [sym__callable_expression] = STATE(2324),
    [sym_scoped_call_expression] = STATE(612),
    [sym__scope_resolution_qualifier] = STATE(2522),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(612),
    [sym_nullsafe_member_call_expression] = STATE(612),
    [sym_variadic_unpacking] = STATE(1012),
    [sym__variable_subscript_expression] = STATE(610),
    [sym__dereferencable_subscript_expression] = STATE(612),
    [sym__dereferencable_expression] = STATE(1948),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(766),
    [sym_attribute_group] = STATE(1373),
    [sym_attribute_list] = STATE(1879),
    [sym_encapsed_string] = STATE(767),
    [sym_string] = STATE(767),
    [sym_heredoc] = STATE(767),
    [sym_nowdoc] = STATE(767),
    [sym_shell_command_expression] = STATE(1039),
    [sym_boolean] = STATE(1036),
    [sym_null] = STATE(1036),
    [sym__string] = STATE(768),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(595),
    [sym__new_variable] = STATE(683),
    [sym__callable_variable] = STATE(657),
    [sym_variable_name] = STATE(618),
    [sym_by_ref] = STATE(1012),
    [sym_yield_expression] = STATE(1026),
    [sym_array_element_initializer] = STATE(2136),
    [sym_binary_expression] = STATE(1026),
    [sym_include_expression] = STATE(1026),
    [sym_include_once_expression] = STATE(1026),
    [sym_require_expression] = STATE(1026),
    [sym_require_once_expression] = STATE(1026),
    [sym__reserved_identifier] = STATE(717),
    [sym__identifier] = STATE(1496),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_AMP] = ACTIONS(731),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(697),
    [anon_sym_RPAREN2] = ACTIONS(843),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(699),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(701),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(703),
    [anon_sym_DASH] = ACTIONS(703),
    [anon_sym_TILDE] = ACTIONS(705),
    [anon_sym_BANG] = ACTIONS(705),
    [anon_sym_AT] = ACTIONS(707),
    [aux_sym_clone_expression_token1] = ACTIONS(709),
    [aux_sym_print_intrinsic_token1] = ACTIONS(711),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(713),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(5),
  },
  [168] = {
    [sym_text_interpolation] = STATE(168),
    [sym_qualified_name] = STATE(810),
    [sym__name] = STATE(1626),
    [sym_namespace_name] = STATE(2507),
    [sym_static_modifier] = STATE(2368),
    [sym_anonymous_function] = STATE(1039),
    [sym__anonymous_function_header] = STATE(2318),
    [sym__arrow_function_header] = STATE(2639),
    [sym_arrow_function] = STATE(1039),
    [sym_literal] = STATE(1039),
    [sym_throw_expression] = STATE(1039),
    [sym_match_expression] = STATE(1026),
    [sym_expression] = STATE(1230),
    [sym__unary_expression] = STATE(1010),
    [sym_unary_op_expression] = STATE(1022),
    [sym_error_suppression_expression] = STATE(1026),
    [sym_clone_expression] = STATE(1022),
    [sym_primary_expression] = STATE(1022),
    [sym_parenthesized_expression] = STATE(811),
    [sym_class_constant_access_expression] = STATE(859),
    [sym_print_intrinsic] = STATE(1039),
    [sym_object_creation_expression] = STATE(1039),
    [sym__new_non_dereferencable_expression] = STATE(1009),
    [sym__new_dereferencable_expression] = STATE(842),
    [sym_update_expression] = STATE(1039),
    [sym_cast_expression] = STATE(1022),
    [sym_cast_variable] = STATE(681),
    [sym_assignment_expression] = STATE(1026),
    [sym_reference_assignment_expression] = STATE(1026),
    [sym_conditional_expression] = STATE(1026),
    [sym_augmented_assignment_expression] = STATE(1026),
    [sym__variable_member_access_expression] = STATE(613),
    [sym_member_access_expression] = STATE(681),
    [sym__variable_nullsafe_member_access_expression] = STATE(619),
    [sym_nullsafe_member_access_expression] = STATE(681),
    [sym__variable_scoped_property_access_expression] = STATE(602),
    [sym_scoped_property_access_expression] = STATE(681),
    [sym_list_literal] = STATE(2640),
    [sym__list_destructing] = STATE(2405),
    [sym__array_destructing] = STATE(2405),
    [sym_function_call_expression] = STATE(612),
    [sym__callable_expression] = STATE(2324),
    [sym_scoped_call_expression] = STATE(612),
    [sym__scope_resolution_qualifier] = STATE(2522),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(612),
    [sym_nullsafe_member_call_expression] = STATE(612),
    [sym_variadic_unpacking] = STATE(1012),
    [sym__variable_subscript_expression] = STATE(610),
    [sym__dereferencable_subscript_expression] = STATE(612),
    [sym__dereferencable_expression] = STATE(1948),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(766),
    [sym_attribute_group] = STATE(1373),
    [sym_attribute_list] = STATE(1879),
    [sym_encapsed_string] = STATE(767),
    [sym_string] = STATE(767),
    [sym_heredoc] = STATE(767),
    [sym_nowdoc] = STATE(767),
    [sym_shell_command_expression] = STATE(1039),
    [sym_boolean] = STATE(1036),
    [sym_null] = STATE(1036),
    [sym__string] = STATE(768),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(595),
    [sym__new_variable] = STATE(683),
    [sym__callable_variable] = STATE(657),
    [sym_variable_name] = STATE(618),
    [sym_by_ref] = STATE(1012),
    [sym_yield_expression] = STATE(1026),
    [sym_array_element_initializer] = STATE(2136),
    [sym_binary_expression] = STATE(1026),
    [sym_include_expression] = STATE(1026),
    [sym_include_once_expression] = STATE(1026),
    [sym_require_expression] = STATE(1026),
    [sym_require_once_expression] = STATE(1026),
    [sym__reserved_identifier] = STATE(717),
    [sym__identifier] = STATE(1496),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_AMP] = ACTIONS(731),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(697),
    [anon_sym_RPAREN2] = ACTIONS(845),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(699),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(701),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(703),
    [anon_sym_DASH] = ACTIONS(703),
    [anon_sym_TILDE] = ACTIONS(705),
    [anon_sym_BANG] = ACTIONS(705),
    [anon_sym_AT] = ACTIONS(707),
    [aux_sym_clone_expression_token1] = ACTIONS(709),
    [aux_sym_print_intrinsic_token1] = ACTIONS(711),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(713),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(5),
  },
  [169] = {
    [sym_text_interpolation] = STATE(169),
    [sym_qualified_name] = STATE(810),
    [sym__name] = STATE(1626),
    [sym_namespace_name] = STATE(2507),
    [sym_static_modifier] = STATE(2368),
    [sym_anonymous_function] = STATE(1039),
    [sym__anonymous_function_header] = STATE(2318),
    [sym__arrow_function_header] = STATE(2547),
    [sym_arrow_function] = STATE(1039),
    [sym_literal] = STATE(1039),
    [sym_throw_expression] = STATE(1039),
    [sym_match_expression] = STATE(1026),
    [sym_expression] = STATE(1237),
    [sym__unary_expression] = STATE(1010),
    [sym_unary_op_expression] = STATE(1022),
    [sym_error_suppression_expression] = STATE(1026),
    [sym_clone_expression] = STATE(1022),
    [sym_primary_expression] = STATE(1022),
    [sym_parenthesized_expression] = STATE(811),
    [sym_class_constant_access_expression] = STATE(859),
    [sym_print_intrinsic] = STATE(1039),
    [sym_object_creation_expression] = STATE(1039),
    [sym__new_non_dereferencable_expression] = STATE(1009),
    [sym__new_dereferencable_expression] = STATE(842),
    [sym_update_expression] = STATE(1039),
    [sym_cast_expression] = STATE(1022),
    [sym_cast_variable] = STATE(656),
    [sym_assignment_expression] = STATE(1026),
    [sym_reference_assignment_expression] = STATE(1026),
    [sym_conditional_expression] = STATE(1026),
    [sym_augmented_assignment_expression] = STATE(1026),
    [sym__variable_member_access_expression] = STATE(613),
    [sym_member_access_expression] = STATE(656),
    [sym__variable_nullsafe_member_access_expression] = STATE(619),
    [sym_nullsafe_member_access_expression] = STATE(656),
    [sym__variable_scoped_property_access_expression] = STATE(602),
    [sym_scoped_property_access_expression] = STATE(656),
    [sym_list_literal] = STATE(2548),
    [sym__list_destructing] = STATE(2405),
    [sym__array_destructing] = STATE(2405),
    [sym_function_call_expression] = STATE(612),
    [sym__callable_expression] = STATE(2324),
    [sym_scoped_call_expression] = STATE(612),
    [sym__scope_resolution_qualifier] = STATE(2522),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(612),
    [sym_nullsafe_member_call_expression] = STATE(612),
    [sym_variadic_unpacking] = STATE(1012),
    [sym__variable_subscript_expression] = STATE(610),
    [sym__dereferencable_subscript_expression] = STATE(612),
    [sym__dereferencable_expression] = STATE(1948),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(766),
    [sym_attribute_group] = STATE(1373),
    [sym_attribute_list] = STATE(1879),
    [sym_encapsed_string] = STATE(767),
    [sym_string] = STATE(767),
    [sym_heredoc] = STATE(767),
    [sym_nowdoc] = STATE(767),
    [sym_shell_command_expression] = STATE(1039),
    [sym_boolean] = STATE(1036),
    [sym_null] = STATE(1036),
    [sym__string] = STATE(768),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(595),
    [sym__new_variable] = STATE(662),
    [sym__callable_variable] = STATE(646),
    [sym_variable_name] = STATE(618),
    [sym_by_ref] = STATE(1012),
    [sym_yield_expression] = STATE(1026),
    [sym_array_element_initializer] = STATE(2136),
    [sym_binary_expression] = STATE(1026),
    [sym_include_expression] = STATE(1026),
    [sym_include_once_expression] = STATE(1026),
    [sym_require_expression] = STATE(1026),
    [sym_require_once_expression] = STATE(1026),
    [sym__reserved_identifier] = STATE(717),
    [sym__identifier] = STATE(1496),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_AMP] = ACTIONS(731),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(659),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(661),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(663),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(665),
    [anon_sym_DASH] = ACTIONS(665),
    [anon_sym_TILDE] = ACTIONS(667),
    [anon_sym_BANG] = ACTIONS(667),
    [anon_sym_AT] = ACTIONS(669),
    [aux_sym_clone_expression_token1] = ACTIONS(671),
    [aux_sym_print_intrinsic_token1] = ACTIONS(673),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(675),
    [anon_sym_RBRACK] = ACTIONS(847),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(677),
    [aux_sym_include_expression_token1] = ACTIONS(681),
    [aux_sym_include_once_expression_token1] = ACTIONS(683),
    [aux_sym_require_expression_token1] = ACTIONS(685),
    [aux_sym_require_once_expression_token1] = ACTIONS(687),
    [sym_comment] = ACTIONS(5),
  },
  [170] = {
    [sym_text_interpolation] = STATE(170),
    [sym_qualified_name] = STATE(810),
    [sym__name] = STATE(1626),
    [sym_namespace_name] = STATE(2507),
    [sym_static_modifier] = STATE(2368),
    [sym_anonymous_function] = STATE(1039),
    [sym__anonymous_function_header] = STATE(2318),
    [sym__arrow_function_header] = STATE(2547),
    [sym_arrow_function] = STATE(1039),
    [sym_literal] = STATE(1039),
    [sym_throw_expression] = STATE(1039),
    [sym_match_expression] = STATE(1026),
    [sym_expression] = STATE(1237),
    [sym__unary_expression] = STATE(1010),
    [sym_unary_op_expression] = STATE(1022),
    [sym_error_suppression_expression] = STATE(1026),
    [sym_clone_expression] = STATE(1022),
    [sym_primary_expression] = STATE(1022),
    [sym_parenthesized_expression] = STATE(811),
    [sym_class_constant_access_expression] = STATE(859),
    [sym_print_intrinsic] = STATE(1039),
    [sym_object_creation_expression] = STATE(1039),
    [sym__new_non_dereferencable_expression] = STATE(1009),
    [sym__new_dereferencable_expression] = STATE(842),
    [sym_update_expression] = STATE(1039),
    [sym_cast_expression] = STATE(1022),
    [sym_cast_variable] = STATE(656),
    [sym_assignment_expression] = STATE(1026),
    [sym_reference_assignment_expression] = STATE(1026),
    [sym_conditional_expression] = STATE(1026),
    [sym_augmented_assignment_expression] = STATE(1026),
    [sym__variable_member_access_expression] = STATE(613),
    [sym_member_access_expression] = STATE(656),
    [sym__variable_nullsafe_member_access_expression] = STATE(619),
    [sym_nullsafe_member_access_expression] = STATE(656),
    [sym__variable_scoped_property_access_expression] = STATE(602),
    [sym_scoped_property_access_expression] = STATE(656),
    [sym_list_literal] = STATE(2548),
    [sym__list_destructing] = STATE(2405),
    [sym__array_destructing] = STATE(2405),
    [sym_function_call_expression] = STATE(612),
    [sym__callable_expression] = STATE(2324),
    [sym_scoped_call_expression] = STATE(612),
    [sym__scope_resolution_qualifier] = STATE(2522),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(612),
    [sym_nullsafe_member_call_expression] = STATE(612),
    [sym_variadic_unpacking] = STATE(1012),
    [sym__variable_subscript_expression] = STATE(610),
    [sym__dereferencable_subscript_expression] = STATE(612),
    [sym__dereferencable_expression] = STATE(1948),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(766),
    [sym_attribute_group] = STATE(1373),
    [sym_attribute_list] = STATE(1879),
    [sym_encapsed_string] = STATE(767),
    [sym_string] = STATE(767),
    [sym_heredoc] = STATE(767),
    [sym_nowdoc] = STATE(767),
    [sym_shell_command_expression] = STATE(1039),
    [sym_boolean] = STATE(1036),
    [sym_null] = STATE(1036),
    [sym__string] = STATE(768),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(595),
    [sym__new_variable] = STATE(662),
    [sym__callable_variable] = STATE(646),
    [sym_variable_name] = STATE(618),
    [sym_by_ref] = STATE(1012),
    [sym_yield_expression] = STATE(1026),
    [sym_array_element_initializer] = STATE(2136),
    [sym_binary_expression] = STATE(1026),
    [sym_include_expression] = STATE(1026),
    [sym_include_once_expression] = STATE(1026),
    [sym_require_expression] = STATE(1026),
    [sym_require_once_expression] = STATE(1026),
    [sym__reserved_identifier] = STATE(717),
    [sym__identifier] = STATE(1496),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_AMP] = ACTIONS(731),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(659),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(661),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(663),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(665),
    [anon_sym_DASH] = ACTIONS(665),
    [anon_sym_TILDE] = ACTIONS(667),
    [anon_sym_BANG] = ACTIONS(667),
    [anon_sym_AT] = ACTIONS(669),
    [aux_sym_clone_expression_token1] = ACTIONS(671),
    [aux_sym_print_intrinsic_token1] = ACTIONS(673),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(675),
    [anon_sym_RBRACK] = ACTIONS(849),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(677),
    [aux_sym_include_expression_token1] = ACTIONS(681),
    [aux_sym_include_once_expression_token1] = ACTIONS(683),
    [aux_sym_require_expression_token1] = ACTIONS(685),
    [aux_sym_require_once_expression_token1] = ACTIONS(687),
    [sym_comment] = ACTIONS(5),
  },
  [171] = {
    [sym_text_interpolation] = STATE(171),
    [sym_qualified_name] = STATE(810),
    [sym__name] = STATE(1626),
    [sym_namespace_name] = STATE(2507),
    [sym_static_modifier] = STATE(2368),
    [sym_anonymous_function] = STATE(1039),
    [sym__anonymous_function_header] = STATE(2318),
    [sym__arrow_function_header] = STATE(2679),
    [sym_arrow_function] = STATE(1039),
    [sym_literal] = STATE(1039),
    [sym_throw_expression] = STATE(1039),
    [sym_match_expression] = STATE(1026),
    [sym_expression] = STATE(1302),
    [sym__unary_expression] = STATE(1010),
    [sym_unary_op_expression] = STATE(1022),
    [sym_error_suppression_expression] = STATE(1026),
    [sym_clone_expression] = STATE(1022),
    [sym_primary_expression] = STATE(1022),
    [sym_parenthesized_expression] = STATE(811),
    [sym_class_constant_access_expression] = STATE(859),
    [sym_print_intrinsic] = STATE(1039),
    [sym_object_creation_expression] = STATE(1039),
    [sym__new_non_dereferencable_expression] = STATE(1009),
    [sym__new_dereferencable_expression] = STATE(842),
    [sym_update_expression] = STATE(1039),
    [sym_cast_expression] = STATE(1022),
    [sym_cast_variable] = STATE(689),
    [sym_assignment_expression] = STATE(1026),
    [sym_reference_assignment_expression] = STATE(1026),
    [sym_conditional_expression] = STATE(1026),
    [sym_augmented_assignment_expression] = STATE(1026),
    [sym__variable_member_access_expression] = STATE(613),
    [sym_member_access_expression] = STATE(689),
    [sym__variable_nullsafe_member_access_expression] = STATE(619),
    [sym_nullsafe_member_access_expression] = STATE(689),
    [sym__variable_scoped_property_access_expression] = STATE(602),
    [sym_scoped_property_access_expression] = STATE(689),
    [sym_list_literal] = STATE(2632),
    [sym__list_destructing] = STATE(2405),
    [sym__array_destructing] = STATE(1991),
    [sym__array_destructing_element] = STATE(2444),
    [sym_function_call_expression] = STATE(612),
    [sym__callable_expression] = STATE(2324),
    [sym_scoped_call_expression] = STATE(612),
    [sym__scope_resolution_qualifier] = STATE(2522),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(612),
    [sym_nullsafe_member_call_expression] = STATE(612),
    [sym__variable_subscript_expression] = STATE(610),
    [sym__dereferencable_subscript_expression] = STATE(612),
    [sym__dereferencable_expression] = STATE(1948),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(766),
    [sym_attribute_group] = STATE(1373),
    [sym_attribute_list] = STATE(1879),
    [sym_encapsed_string] = STATE(767),
    [sym_string] = STATE(767),
    [sym_heredoc] = STATE(767),
    [sym_nowdoc] = STATE(767),
    [sym_shell_command_expression] = STATE(1039),
    [sym_boolean] = STATE(1036),
    [sym_null] = STATE(1036),
    [sym__string] = STATE(768),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(595),
    [sym__new_variable] = STATE(692),
    [sym__callable_variable] = STATE(680),
    [sym_variable_name] = STATE(618),
    [sym_by_ref] = STATE(2458),
    [sym_yield_expression] = STATE(1026),
    [sym_binary_expression] = STATE(1026),
    [sym_include_expression] = STATE(1026),
    [sym_include_once_expression] = STATE(1026),
    [sym_require_expression] = STATE(1026),
    [sym_require_once_expression] = STATE(1026),
    [sym__reserved_identifier] = STATE(717),
    [sym__identifier] = STATE(1496),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_AMP] = ACTIONS(731),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [anon_sym_COMMA] = ACTIONS(851),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(853),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(613),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(617),
    [anon_sym_DASH] = ACTIONS(617),
    [anon_sym_TILDE] = ACTIONS(619),
    [anon_sym_BANG] = ACTIONS(619),
    [anon_sym_AT] = ACTIONS(621),
    [aux_sym_clone_expression_token1] = ACTIONS(623),
    [aux_sym_print_intrinsic_token1] = ACTIONS(625),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(855),
    [anon_sym_RBRACK] = ACTIONS(857),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(647),
    [aux_sym_include_expression_token1] = ACTIONS(651),
    [aux_sym_include_once_expression_token1] = ACTIONS(653),
    [aux_sym_require_expression_token1] = ACTIONS(655),
    [aux_sym_require_once_expression_token1] = ACTIONS(657),
    [sym_comment] = ACTIONS(5),
  },
  [172] = {
    [sym_text_interpolation] = STATE(172),
    [sym_qualified_name] = STATE(810),
    [sym__name] = STATE(1626),
    [sym_namespace_name] = STATE(2507),
    [sym_static_modifier] = STATE(2368),
    [sym_anonymous_function] = STATE(1039),
    [sym__anonymous_function_header] = STATE(2318),
    [sym__arrow_function_header] = STATE(2639),
    [sym_arrow_function] = STATE(1039),
    [sym_literal] = STATE(1039),
    [sym_throw_expression] = STATE(1039),
    [sym_match_expression] = STATE(1026),
    [sym_expression] = STATE(1230),
    [sym__unary_expression] = STATE(1010),
    [sym_unary_op_expression] = STATE(1022),
    [sym_error_suppression_expression] = STATE(1026),
    [sym_clone_expression] = STATE(1022),
    [sym_primary_expression] = STATE(1022),
    [sym_parenthesized_expression] = STATE(811),
    [sym_class_constant_access_expression] = STATE(859),
    [sym_print_intrinsic] = STATE(1039),
    [sym_object_creation_expression] = STATE(1039),
    [sym__new_non_dereferencable_expression] = STATE(1009),
    [sym__new_dereferencable_expression] = STATE(842),
    [sym_update_expression] = STATE(1039),
    [sym_cast_expression] = STATE(1022),
    [sym_cast_variable] = STATE(681),
    [sym_assignment_expression] = STATE(1026),
    [sym_reference_assignment_expression] = STATE(1026),
    [sym_conditional_expression] = STATE(1026),
    [sym_augmented_assignment_expression] = STATE(1026),
    [sym__variable_member_access_expression] = STATE(613),
    [sym_member_access_expression] = STATE(681),
    [sym__variable_nullsafe_member_access_expression] = STATE(619),
    [sym_nullsafe_member_access_expression] = STATE(681),
    [sym__variable_scoped_property_access_expression] = STATE(602),
    [sym_scoped_property_access_expression] = STATE(681),
    [sym_list_literal] = STATE(2640),
    [sym__list_destructing] = STATE(2405),
    [sym__array_destructing] = STATE(2405),
    [sym_function_call_expression] = STATE(612),
    [sym__callable_expression] = STATE(2324),
    [sym_scoped_call_expression] = STATE(612),
    [sym__scope_resolution_qualifier] = STATE(2522),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(612),
    [sym_nullsafe_member_call_expression] = STATE(612),
    [sym_variadic_unpacking] = STATE(1012),
    [sym__variable_subscript_expression] = STATE(610),
    [sym__dereferencable_subscript_expression] = STATE(612),
    [sym__dereferencable_expression] = STATE(1948),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(766),
    [sym_attribute_group] = STATE(1373),
    [sym_attribute_list] = STATE(1879),
    [sym_encapsed_string] = STATE(767),
    [sym_string] = STATE(767),
    [sym_heredoc] = STATE(767),
    [sym_nowdoc] = STATE(767),
    [sym_shell_command_expression] = STATE(1039),
    [sym_boolean] = STATE(1036),
    [sym_null] = STATE(1036),
    [sym__string] = STATE(768),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(595),
    [sym__new_variable] = STATE(683),
    [sym__callable_variable] = STATE(657),
    [sym_variable_name] = STATE(618),
    [sym_by_ref] = STATE(1012),
    [sym_yield_expression] = STATE(1026),
    [sym_array_element_initializer] = STATE(2136),
    [sym_binary_expression] = STATE(1026),
    [sym_include_expression] = STATE(1026),
    [sym_include_once_expression] = STATE(1026),
    [sym_require_expression] = STATE(1026),
    [sym_require_once_expression] = STATE(1026),
    [sym__reserved_identifier] = STATE(717),
    [sym__identifier] = STATE(1496),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_AMP] = ACTIONS(731),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(697),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(699),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(701),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(703),
    [anon_sym_DASH] = ACTIONS(703),
    [anon_sym_TILDE] = ACTIONS(705),
    [anon_sym_BANG] = ACTIONS(705),
    [anon_sym_AT] = ACTIONS(707),
    [aux_sym_clone_expression_token1] = ACTIONS(709),
    [aux_sym_print_intrinsic_token1] = ACTIONS(711),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(713),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(5),
  },
  [173] = {
    [sym_text_interpolation] = STATE(173),
    [sym_qualified_name] = STATE(810),
    [sym__name] = STATE(1626),
    [sym_namespace_name] = STATE(2507),
    [sym_static_modifier] = STATE(2368),
    [sym_anonymous_function] = STATE(1039),
    [sym__anonymous_function_header] = STATE(2318),
    [sym__arrow_function_header] = STATE(2547),
    [sym_arrow_function] = STATE(1039),
    [sym_literal] = STATE(1039),
    [sym_throw_expression] = STATE(1039),
    [sym_match_expression] = STATE(1026),
    [sym_match_condition_list] = STATE(2525),
    [sym_match_conditional_expression] = STATE(2310),
    [sym_match_default_expression] = STATE(2310),
    [sym_expression] = STATE(1219),
    [sym__unary_expression] = STATE(1010),
    [sym_unary_op_expression] = STATE(1022),
    [sym_error_suppression_expression] = STATE(1026),
    [sym_clone_expression] = STATE(1022),
    [sym_primary_expression] = STATE(1022),
    [sym_parenthesized_expression] = STATE(811),
    [sym_class_constant_access_expression] = STATE(859),
    [sym_print_intrinsic] = STATE(1039),
    [sym_object_creation_expression] = STATE(1039),
    [sym__new_non_dereferencable_expression] = STATE(1009),
    [sym__new_dereferencable_expression] = STATE(842),
    [sym_update_expression] = STATE(1039),
    [sym_cast_expression] = STATE(1022),
    [sym_cast_variable] = STATE(656),
    [sym_assignment_expression] = STATE(1026),
    [sym_reference_assignment_expression] = STATE(1026),
    [sym_conditional_expression] = STATE(1026),
    [sym_augmented_assignment_expression] = STATE(1026),
    [sym__variable_member_access_expression] = STATE(613),
    [sym_member_access_expression] = STATE(656),
    [sym__variable_nullsafe_member_access_expression] = STATE(619),
    [sym_nullsafe_member_access_expression] = STATE(656),
    [sym__variable_scoped_property_access_expression] = STATE(602),
    [sym_scoped_property_access_expression] = STATE(656),
    [sym_list_literal] = STATE(2548),
    [sym__list_destructing] = STATE(2405),
    [sym__array_destructing] = STATE(2405),
    [sym_function_call_expression] = STATE(612),
    [sym__callable_expression] = STATE(2324),
    [sym_scoped_call_expression] = STATE(612),
    [sym__scope_resolution_qualifier] = STATE(2522),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(612),
    [sym_nullsafe_member_call_expression] = STATE(612),
    [sym__variable_subscript_expression] = STATE(610),
    [sym__dereferencable_subscript_expression] = STATE(612),
    [sym__dereferencable_expression] = STATE(1948),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(766),
    [sym_attribute_group] = STATE(1373),
    [sym_attribute_list] = STATE(1879),
    [sym_encapsed_string] = STATE(767),
    [sym_string] = STATE(767),
    [sym_heredoc] = STATE(767),
    [sym_nowdoc] = STATE(767),
    [sym_shell_command_expression] = STATE(1039),
    [sym_boolean] = STATE(1036),
    [sym_null] = STATE(1036),
    [sym__string] = STATE(768),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(595),
    [sym__new_variable] = STATE(662),
    [sym__callable_variable] = STATE(646),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1026),
    [sym_binary_expression] = STATE(1026),
    [sym_include_expression] = STATE(1026),
    [sym_include_once_expression] = STATE(1026),
    [sym_require_expression] = STATE(1026),
    [sym_require_once_expression] = STATE(1026),
    [sym__reserved_identifier] = STATE(717),
    [sym__identifier] = STATE(1496),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_RBRACE] = ACTIONS(860),
    [anon_sym_LPAREN2] = ACTIONS(659),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(663),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [aux_sym_match_default_expression_token1] = ACTIONS(829),
    [anon_sym_PLUS] = ACTIONS(665),
    [anon_sym_DASH] = ACTIONS(665),
    [anon_sym_TILDE] = ACTIONS(667),
    [anon_sym_BANG] = ACTIONS(667),
    [anon_sym_AT] = ACTIONS(669),
    [aux_sym_clone_expression_token1] = ACTIONS(671),
    [aux_sym_print_intrinsic_token1] = ACTIONS(673),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(675),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(677),
    [aux_sym_include_expression_token1] = ACTIONS(681),
    [aux_sym_include_once_expression_token1] = ACTIONS(683),
    [aux_sym_require_expression_token1] = ACTIONS(685),
    [aux_sym_require_once_expression_token1] = ACTIONS(687),
    [sym_comment] = ACTIONS(5),
  },
  [174] = {
    [sym_text_interpolation] = STATE(174),
    [sym_qualified_name] = STATE(810),
    [sym__name] = STATE(1626),
    [sym_namespace_name] = STATE(2507),
    [sym_static_modifier] = STATE(2368),
    [sym_anonymous_function] = STATE(1039),
    [sym__anonymous_function_header] = STATE(2318),
    [sym__arrow_function_header] = STATE(2547),
    [sym_arrow_function] = STATE(1039),
    [sym_literal] = STATE(1039),
    [sym_throw_expression] = STATE(1039),
    [sym_match_expression] = STATE(1026),
    [sym_match_condition_list] = STATE(2525),
    [sym_match_conditional_expression] = STATE(2310),
    [sym_match_default_expression] = STATE(2310),
    [sym_expression] = STATE(1219),
    [sym__unary_expression] = STATE(1010),
    [sym_unary_op_expression] = STATE(1022),
    [sym_error_suppression_expression] = STATE(1026),
    [sym_clone_expression] = STATE(1022),
    [sym_primary_expression] = STATE(1022),
    [sym_parenthesized_expression] = STATE(811),
    [sym_class_constant_access_expression] = STATE(859),
    [sym_print_intrinsic] = STATE(1039),
    [sym_object_creation_expression] = STATE(1039),
    [sym__new_non_dereferencable_expression] = STATE(1009),
    [sym__new_dereferencable_expression] = STATE(842),
    [sym_update_expression] = STATE(1039),
    [sym_cast_expression] = STATE(1022),
    [sym_cast_variable] = STATE(656),
    [sym_assignment_expression] = STATE(1026),
    [sym_reference_assignment_expression] = STATE(1026),
    [sym_conditional_expression] = STATE(1026),
    [sym_augmented_assignment_expression] = STATE(1026),
    [sym__variable_member_access_expression] = STATE(613),
    [sym_member_access_expression] = STATE(656),
    [sym__variable_nullsafe_member_access_expression] = STATE(619),
    [sym_nullsafe_member_access_expression] = STATE(656),
    [sym__variable_scoped_property_access_expression] = STATE(602),
    [sym_scoped_property_access_expression] = STATE(656),
    [sym_list_literal] = STATE(2548),
    [sym__list_destructing] = STATE(2405),
    [sym__array_destructing] = STATE(2405),
    [sym_function_call_expression] = STATE(612),
    [sym__callable_expression] = STATE(2324),
    [sym_scoped_call_expression] = STATE(612),
    [sym__scope_resolution_qualifier] = STATE(2522),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(612),
    [sym_nullsafe_member_call_expression] = STATE(612),
    [sym__variable_subscript_expression] = STATE(610),
    [sym__dereferencable_subscript_expression] = STATE(612),
    [sym__dereferencable_expression] = STATE(1948),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(766),
    [sym_attribute_group] = STATE(1373),
    [sym_attribute_list] = STATE(1879),
    [sym_encapsed_string] = STATE(767),
    [sym_string] = STATE(767),
    [sym_heredoc] = STATE(767),
    [sym_nowdoc] = STATE(767),
    [sym_shell_command_expression] = STATE(1039),
    [sym_boolean] = STATE(1036),
    [sym_null] = STATE(1036),
    [sym__string] = STATE(768),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(595),
    [sym__new_variable] = STATE(662),
    [sym__callable_variable] = STATE(646),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1026),
    [sym_binary_expression] = STATE(1026),
    [sym_include_expression] = STATE(1026),
    [sym_include_once_expression] = STATE(1026),
    [sym_require_expression] = STATE(1026),
    [sym_require_once_expression] = STATE(1026),
    [sym__reserved_identifier] = STATE(717),
    [sym__identifier] = STATE(1496),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_RBRACE] = ACTIONS(862),
    [anon_sym_LPAREN2] = ACTIONS(659),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(663),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [aux_sym_match_default_expression_token1] = ACTIONS(829),
    [anon_sym_PLUS] = ACTIONS(665),
    [anon_sym_DASH] = ACTIONS(665),
    [anon_sym_TILDE] = ACTIONS(667),
    [anon_sym_BANG] = ACTIONS(667),
    [anon_sym_AT] = ACTIONS(669),
    [aux_sym_clone_expression_token1] = ACTIONS(671),
    [aux_sym_print_intrinsic_token1] = ACTIONS(673),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(675),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(677),
    [aux_sym_include_expression_token1] = ACTIONS(681),
    [aux_sym_include_once_expression_token1] = ACTIONS(683),
    [aux_sym_require_expression_token1] = ACTIONS(685),
    [aux_sym_require_once_expression_token1] = ACTIONS(687),
    [sym_comment] = ACTIONS(5),
  },
  [175] = {
    [sym_text_interpolation] = STATE(175),
    [sym_qualified_name] = STATE(810),
    [sym__name] = STATE(1626),
    [sym_namespace_name] = STATE(2507),
    [sym_static_modifier] = STATE(2368),
    [sym_anonymous_function] = STATE(1039),
    [sym__anonymous_function_header] = STATE(2318),
    [sym__arrow_function_header] = STATE(2547),
    [sym_arrow_function] = STATE(1039),
    [sym_literal] = STATE(1039),
    [sym_throw_expression] = STATE(1039),
    [sym_match_expression] = STATE(1026),
    [sym_expression] = STATE(1237),
    [sym__unary_expression] = STATE(1010),
    [sym_unary_op_expression] = STATE(1022),
    [sym_error_suppression_expression] = STATE(1026),
    [sym_clone_expression] = STATE(1022),
    [sym_primary_expression] = STATE(1022),
    [sym_parenthesized_expression] = STATE(811),
    [sym_class_constant_access_expression] = STATE(859),
    [sym_print_intrinsic] = STATE(1039),
    [sym_object_creation_expression] = STATE(1039),
    [sym__new_non_dereferencable_expression] = STATE(1009),
    [sym__new_dereferencable_expression] = STATE(842),
    [sym_update_expression] = STATE(1039),
    [sym_cast_expression] = STATE(1022),
    [sym_cast_variable] = STATE(656),
    [sym_assignment_expression] = STATE(1026),
    [sym_reference_assignment_expression] = STATE(1026),
    [sym_conditional_expression] = STATE(1026),
    [sym_augmented_assignment_expression] = STATE(1026),
    [sym__variable_member_access_expression] = STATE(613),
    [sym_member_access_expression] = STATE(656),
    [sym__variable_nullsafe_member_access_expression] = STATE(619),
    [sym_nullsafe_member_access_expression] = STATE(656),
    [sym__variable_scoped_property_access_expression] = STATE(602),
    [sym_scoped_property_access_expression] = STATE(656),
    [sym_list_literal] = STATE(2548),
    [sym__list_destructing] = STATE(2405),
    [sym__array_destructing] = STATE(2405),
    [sym_function_call_expression] = STATE(612),
    [sym__callable_expression] = STATE(2324),
    [sym_scoped_call_expression] = STATE(612),
    [sym__scope_resolution_qualifier] = STATE(2522),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(612),
    [sym_nullsafe_member_call_expression] = STATE(612),
    [sym_variadic_unpacking] = STATE(1012),
    [sym__variable_subscript_expression] = STATE(610),
    [sym__dereferencable_subscript_expression] = STATE(612),
    [sym__dereferencable_expression] = STATE(1948),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(766),
    [sym_attribute_group] = STATE(1373),
    [sym_attribute_list] = STATE(1879),
    [sym_encapsed_string] = STATE(767),
    [sym_string] = STATE(767),
    [sym_heredoc] = STATE(767),
    [sym_nowdoc] = STATE(767),
    [sym_shell_command_expression] = STATE(1039),
    [sym_boolean] = STATE(1036),
    [sym_null] = STATE(1036),
    [sym__string] = STATE(768),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(595),
    [sym__new_variable] = STATE(662),
    [sym__callable_variable] = STATE(646),
    [sym_variable_name] = STATE(618),
    [sym_by_ref] = STATE(1012),
    [sym_yield_expression] = STATE(1026),
    [sym_array_element_initializer] = STATE(2136),
    [sym_binary_expression] = STATE(1026),
    [sym_include_expression] = STATE(1026),
    [sym_include_once_expression] = STATE(1026),
    [sym_require_expression] = STATE(1026),
    [sym_require_once_expression] = STATE(1026),
    [sym__reserved_identifier] = STATE(717),
    [sym__identifier] = STATE(1496),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_AMP] = ACTIONS(731),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(659),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(661),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(663),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(665),
    [anon_sym_DASH] = ACTIONS(665),
    [anon_sym_TILDE] = ACTIONS(667),
    [anon_sym_BANG] = ACTIONS(667),
    [anon_sym_AT] = ACTIONS(669),
    [aux_sym_clone_expression_token1] = ACTIONS(671),
    [aux_sym_print_intrinsic_token1] = ACTIONS(673),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(675),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(677),
    [aux_sym_include_expression_token1] = ACTIONS(681),
    [aux_sym_include_once_expression_token1] = ACTIONS(683),
    [aux_sym_require_expression_token1] = ACTIONS(685),
    [aux_sym_require_once_expression_token1] = ACTIONS(687),
    [sym_comment] = ACTIONS(5),
  },
  [176] = {
    [sym_text_interpolation] = STATE(176),
    [sym_qualified_name] = STATE(810),
    [sym__name] = STATE(1626),
    [sym_namespace_name] = STATE(2507),
    [sym_static_modifier] = STATE(2368),
    [sym_anonymous_function] = STATE(1039),
    [sym__anonymous_function_header] = STATE(2318),
    [sym__arrow_function_header] = STATE(2547),
    [sym_arrow_function] = STATE(1039),
    [sym_literal] = STATE(1039),
    [sym_throw_expression] = STATE(1039),
    [sym_match_expression] = STATE(1026),
    [sym_match_condition_list] = STATE(2525),
    [sym_match_conditional_expression] = STATE(2310),
    [sym_match_default_expression] = STATE(2310),
    [sym_expression] = STATE(1219),
    [sym__unary_expression] = STATE(1010),
    [sym_unary_op_expression] = STATE(1022),
    [sym_error_suppression_expression] = STATE(1026),
    [sym_clone_expression] = STATE(1022),
    [sym_primary_expression] = STATE(1022),
    [sym_parenthesized_expression] = STATE(811),
    [sym_class_constant_access_expression] = STATE(859),
    [sym_print_intrinsic] = STATE(1039),
    [sym_object_creation_expression] = STATE(1039),
    [sym__new_non_dereferencable_expression] = STATE(1009),
    [sym__new_dereferencable_expression] = STATE(842),
    [sym_update_expression] = STATE(1039),
    [sym_cast_expression] = STATE(1022),
    [sym_cast_variable] = STATE(656),
    [sym_assignment_expression] = STATE(1026),
    [sym_reference_assignment_expression] = STATE(1026),
    [sym_conditional_expression] = STATE(1026),
    [sym_augmented_assignment_expression] = STATE(1026),
    [sym__variable_member_access_expression] = STATE(613),
    [sym_member_access_expression] = STATE(656),
    [sym__variable_nullsafe_member_access_expression] = STATE(619),
    [sym_nullsafe_member_access_expression] = STATE(656),
    [sym__variable_scoped_property_access_expression] = STATE(602),
    [sym_scoped_property_access_expression] = STATE(656),
    [sym_list_literal] = STATE(2548),
    [sym__list_destructing] = STATE(2405),
    [sym__array_destructing] = STATE(2405),
    [sym_function_call_expression] = STATE(612),
    [sym__callable_expression] = STATE(2324),
    [sym_scoped_call_expression] = STATE(612),
    [sym__scope_resolution_qualifier] = STATE(2522),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(612),
    [sym_nullsafe_member_call_expression] = STATE(612),
    [sym__variable_subscript_expression] = STATE(610),
    [sym__dereferencable_subscript_expression] = STATE(612),
    [sym__dereferencable_expression] = STATE(1948),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(766),
    [sym_attribute_group] = STATE(1373),
    [sym_attribute_list] = STATE(1879),
    [sym_encapsed_string] = STATE(767),
    [sym_string] = STATE(767),
    [sym_heredoc] = STATE(767),
    [sym_nowdoc] = STATE(767),
    [sym_shell_command_expression] = STATE(1039),
    [sym_boolean] = STATE(1036),
    [sym_null] = STATE(1036),
    [sym__string] = STATE(768),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(595),
    [sym__new_variable] = STATE(662),
    [sym__callable_variable] = STATE(646),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1026),
    [sym_binary_expression] = STATE(1026),
    [sym_include_expression] = STATE(1026),
    [sym_include_once_expression] = STATE(1026),
    [sym_require_expression] = STATE(1026),
    [sym_require_once_expression] = STATE(1026),
    [sym__reserved_identifier] = STATE(717),
    [sym__identifier] = STATE(1496),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_RBRACE] = ACTIONS(864),
    [anon_sym_LPAREN2] = ACTIONS(659),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(663),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [aux_sym_match_default_expression_token1] = ACTIONS(829),
    [anon_sym_PLUS] = ACTIONS(665),
    [anon_sym_DASH] = ACTIONS(665),
    [anon_sym_TILDE] = ACTIONS(667),
    [anon_sym_BANG] = ACTIONS(667),
    [anon_sym_AT] = ACTIONS(669),
    [aux_sym_clone_expression_token1] = ACTIONS(671),
    [aux_sym_print_intrinsic_token1] = ACTIONS(673),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(675),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(677),
    [aux_sym_include_expression_token1] = ACTIONS(681),
    [aux_sym_include_once_expression_token1] = ACTIONS(683),
    [aux_sym_require_expression_token1] = ACTIONS(685),
    [aux_sym_require_once_expression_token1] = ACTIONS(687),
    [sym_comment] = ACTIONS(5),
  },
  [177] = {
    [sym_text_interpolation] = STATE(177),
    [sym_qualified_name] = STATE(810),
    [sym__name] = STATE(1626),
    [sym_namespace_name] = STATE(2507),
    [sym_static_modifier] = STATE(2368),
    [sym_anonymous_function] = STATE(1039),
    [sym__anonymous_function_header] = STATE(2318),
    [sym__arrow_function_header] = STATE(2679),
    [sym_arrow_function] = STATE(1039),
    [sym_literal] = STATE(1039),
    [sym_throw_expression] = STATE(1039),
    [sym_match_expression] = STATE(1026),
    [sym_expression] = STATE(1299),
    [sym__unary_expression] = STATE(1010),
    [sym_unary_op_expression] = STATE(1022),
    [sym_error_suppression_expression] = STATE(1026),
    [sym_clone_expression] = STATE(1022),
    [sym_primary_expression] = STATE(1022),
    [sym_parenthesized_expression] = STATE(811),
    [sym_class_constant_access_expression] = STATE(859),
    [sym_print_intrinsic] = STATE(1039),
    [sym_object_creation_expression] = STATE(1039),
    [sym__new_non_dereferencable_expression] = STATE(1009),
    [sym__new_dereferencable_expression] = STATE(842),
    [sym_update_expression] = STATE(1039),
    [sym_cast_expression] = STATE(1022),
    [sym_cast_variable] = STATE(676),
    [sym_assignment_expression] = STATE(1026),
    [sym_reference_assignment_expression] = STATE(1026),
    [sym_conditional_expression] = STATE(1026),
    [sym_augmented_assignment_expression] = STATE(1026),
    [sym__variable_member_access_expression] = STATE(613),
    [sym_member_access_expression] = STATE(676),
    [sym__variable_nullsafe_member_access_expression] = STATE(619),
    [sym_nullsafe_member_access_expression] = STATE(676),
    [sym__variable_scoped_property_access_expression] = STATE(602),
    [sym_scoped_property_access_expression] = STATE(676),
    [sym_list_literal] = STATE(2632),
    [sym__list_destructing] = STATE(1848),
    [sym__array_destructing] = STATE(2405),
    [sym_function_call_expression] = STATE(612),
    [sym__callable_expression] = STATE(2324),
    [sym_scoped_call_expression] = STATE(612),
    [sym__scope_resolution_qualifier] = STATE(2522),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(612),
    [sym_nullsafe_member_call_expression] = STATE(612),
    [sym__variable_subscript_expression] = STATE(610),
    [sym__dereferencable_subscript_expression] = STATE(612),
    [sym__dereferencable_expression] = STATE(1948),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(766),
    [sym_attribute_group] = STATE(1373),
    [sym_attribute_list] = STATE(1879),
    [sym_encapsed_string] = STATE(767),
    [sym_string] = STATE(767),
    [sym_heredoc] = STATE(767),
    [sym_nowdoc] = STATE(767),
    [sym_shell_command_expression] = STATE(1039),
    [sym_boolean] = STATE(1036),
    [sym_null] = STATE(1036),
    [sym__string] = STATE(768),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(595),
    [sym__new_variable] = STATE(679),
    [sym__callable_variable] = STATE(668),
    [sym_variable_name] = STATE(618),
    [sym_by_ref] = STATE(2081),
    [sym_yield_expression] = STATE(1026),
    [sym_binary_expression] = STATE(1026),
    [sym_include_expression] = STATE(1026),
    [sym_include_once_expression] = STATE(1026),
    [sym_require_expression] = STATE(1026),
    [sym_require_once_expression] = STATE(1026),
    [sym__reserved_identifier] = STATE(717),
    [sym__identifier] = STATE(1496),
    [aux_sym__list_destructing_repeat1] = STATE(2082),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_AMP] = ACTIONS(731),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [anon_sym_COMMA] = ACTIONS(866),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(853),
    [anon_sym_RPAREN2] = ACTIONS(868),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(613),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(617),
    [anon_sym_DASH] = ACTIONS(617),
    [anon_sym_TILDE] = ACTIONS(619),
    [anon_sym_BANG] = ACTIONS(619),
    [anon_sym_AT] = ACTIONS(621),
    [aux_sym_clone_expression_token1] = ACTIONS(623),
    [aux_sym_print_intrinsic_token1] = ACTIONS(625),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(631),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(647),
    [aux_sym_include_expression_token1] = ACTIONS(651),
    [aux_sym_include_once_expression_token1] = ACTIONS(653),
    [aux_sym_require_expression_token1] = ACTIONS(655),
    [aux_sym_require_once_expression_token1] = ACTIONS(657),
    [sym_comment] = ACTIONS(5),
  },
  [178] = {
    [sym_text_interpolation] = STATE(178),
    [sym_qualified_name] = STATE(810),
    [sym__name] = STATE(1626),
    [sym_namespace_name] = STATE(2507),
    [sym_static_modifier] = STATE(2368),
    [sym_anonymous_function] = STATE(1039),
    [sym__anonymous_function_header] = STATE(2318),
    [sym__arrow_function_header] = STATE(2679),
    [sym_arrow_function] = STATE(1039),
    [sym_literal] = STATE(1039),
    [sym_throw_expression] = STATE(1039),
    [sym_match_expression] = STATE(1026),
    [sym_expression] = STATE(1302),
    [sym__unary_expression] = STATE(1010),
    [sym_unary_op_expression] = STATE(1022),
    [sym_error_suppression_expression] = STATE(1026),
    [sym_clone_expression] = STATE(1022),
    [sym_primary_expression] = STATE(1022),
    [sym_parenthesized_expression] = STATE(811),
    [sym_class_constant_access_expression] = STATE(859),
    [sym_print_intrinsic] = STATE(1039),
    [sym_object_creation_expression] = STATE(1039),
    [sym__new_non_dereferencable_expression] = STATE(1009),
    [sym__new_dereferencable_expression] = STATE(842),
    [sym_update_expression] = STATE(1039),
    [sym_cast_expression] = STATE(1022),
    [sym_cast_variable] = STATE(689),
    [sym_assignment_expression] = STATE(1026),
    [sym_reference_assignment_expression] = STATE(1026),
    [sym_conditional_expression] = STATE(1026),
    [sym_augmented_assignment_expression] = STATE(1026),
    [sym__variable_member_access_expression] = STATE(613),
    [sym_member_access_expression] = STATE(689),
    [sym__variable_nullsafe_member_access_expression] = STATE(619),
    [sym_nullsafe_member_access_expression] = STATE(689),
    [sym__variable_scoped_property_access_expression] = STATE(602),
    [sym_scoped_property_access_expression] = STATE(689),
    [sym_list_literal] = STATE(2632),
    [sym__list_destructing] = STATE(2405),
    [sym__array_destructing] = STATE(1991),
    [sym__array_destructing_element] = STATE(2444),
    [sym_function_call_expression] = STATE(612),
    [sym__callable_expression] = STATE(2324),
    [sym_scoped_call_expression] = STATE(612),
    [sym__scope_resolution_qualifier] = STATE(2522),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(612),
    [sym_nullsafe_member_call_expression] = STATE(612),
    [sym__variable_subscript_expression] = STATE(610),
    [sym__dereferencable_subscript_expression] = STATE(612),
    [sym__dereferencable_expression] = STATE(1948),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(766),
    [sym_attribute_group] = STATE(1373),
    [sym_attribute_list] = STATE(1879),
    [sym_encapsed_string] = STATE(767),
    [sym_string] = STATE(767),
    [sym_heredoc] = STATE(767),
    [sym_nowdoc] = STATE(767),
    [sym_shell_command_expression] = STATE(1039),
    [sym_boolean] = STATE(1036),
    [sym_null] = STATE(1036),
    [sym__string] = STATE(768),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(595),
    [sym__new_variable] = STATE(692),
    [sym__callable_variable] = STATE(680),
    [sym_variable_name] = STATE(618),
    [sym_by_ref] = STATE(2458),
    [sym_yield_expression] = STATE(1026),
    [sym_binary_expression] = STATE(1026),
    [sym_include_expression] = STATE(1026),
    [sym_include_once_expression] = STATE(1026),
    [sym_require_expression] = STATE(1026),
    [sym_require_once_expression] = STATE(1026),
    [sym__reserved_identifier] = STATE(717),
    [sym__identifier] = STATE(1496),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_AMP] = ACTIONS(731),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [anon_sym_COMMA] = ACTIONS(851),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(853),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(613),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(617),
    [anon_sym_DASH] = ACTIONS(617),
    [anon_sym_TILDE] = ACTIONS(619),
    [anon_sym_BANG] = ACTIONS(619),
    [anon_sym_AT] = ACTIONS(621),
    [aux_sym_clone_expression_token1] = ACTIONS(623),
    [aux_sym_print_intrinsic_token1] = ACTIONS(625),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(855),
    [anon_sym_RBRACK] = ACTIONS(870),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(647),
    [aux_sym_include_expression_token1] = ACTIONS(651),
    [aux_sym_include_once_expression_token1] = ACTIONS(653),
    [aux_sym_require_expression_token1] = ACTIONS(655),
    [aux_sym_require_once_expression_token1] = ACTIONS(657),
    [sym_comment] = ACTIONS(5),
  },
  [179] = {
    [sym_text_interpolation] = STATE(179),
    [sym_qualified_name] = STATE(810),
    [sym__name] = STATE(1626),
    [sym_namespace_name] = STATE(2507),
    [sym_static_modifier] = STATE(2368),
    [sym_anonymous_function] = STATE(1039),
    [sym__anonymous_function_header] = STATE(2318),
    [sym__arrow_function_header] = STATE(2679),
    [sym_arrow_function] = STATE(1039),
    [sym_literal] = STATE(1039),
    [sym_throw_expression] = STATE(1039),
    [sym_match_expression] = STATE(1026),
    [sym_expression] = STATE(1302),
    [sym__unary_expression] = STATE(1010),
    [sym_unary_op_expression] = STATE(1022),
    [sym_error_suppression_expression] = STATE(1026),
    [sym_clone_expression] = STATE(1022),
    [sym_primary_expression] = STATE(1022),
    [sym_parenthesized_expression] = STATE(811),
    [sym_class_constant_access_expression] = STATE(859),
    [sym_print_intrinsic] = STATE(1039),
    [sym_object_creation_expression] = STATE(1039),
    [sym__new_non_dereferencable_expression] = STATE(1009),
    [sym__new_dereferencable_expression] = STATE(842),
    [sym_update_expression] = STATE(1039),
    [sym_cast_expression] = STATE(1022),
    [sym_cast_variable] = STATE(689),
    [sym_assignment_expression] = STATE(1026),
    [sym_reference_assignment_expression] = STATE(1026),
    [sym_conditional_expression] = STATE(1026),
    [sym_augmented_assignment_expression] = STATE(1026),
    [sym__variable_member_access_expression] = STATE(613),
    [sym_member_access_expression] = STATE(689),
    [sym__variable_nullsafe_member_access_expression] = STATE(619),
    [sym_nullsafe_member_access_expression] = STATE(689),
    [sym__variable_scoped_property_access_expression] = STATE(602),
    [sym_scoped_property_access_expression] = STATE(689),
    [sym_list_literal] = STATE(2632),
    [sym__list_destructing] = STATE(2405),
    [sym__array_destructing] = STATE(1991),
    [sym__array_destructing_element] = STATE(2444),
    [sym_function_call_expression] = STATE(612),
    [sym__callable_expression] = STATE(2324),
    [sym_scoped_call_expression] = STATE(612),
    [sym__scope_resolution_qualifier] = STATE(2522),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(612),
    [sym_nullsafe_member_call_expression] = STATE(612),
    [sym__variable_subscript_expression] = STATE(610),
    [sym__dereferencable_subscript_expression] = STATE(612),
    [sym__dereferencable_expression] = STATE(1948),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(766),
    [sym_attribute_group] = STATE(1373),
    [sym_attribute_list] = STATE(1879),
    [sym_encapsed_string] = STATE(767),
    [sym_string] = STATE(767),
    [sym_heredoc] = STATE(767),
    [sym_nowdoc] = STATE(767),
    [sym_shell_command_expression] = STATE(1039),
    [sym_boolean] = STATE(1036),
    [sym_null] = STATE(1036),
    [sym__string] = STATE(768),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(595),
    [sym__new_variable] = STATE(692),
    [sym__callable_variable] = STATE(680),
    [sym_variable_name] = STATE(618),
    [sym_by_ref] = STATE(2458),
    [sym_yield_expression] = STATE(1026),
    [sym_binary_expression] = STATE(1026),
    [sym_include_expression] = STATE(1026),
    [sym_include_once_expression] = STATE(1026),
    [sym_require_expression] = STATE(1026),
    [sym_require_once_expression] = STATE(1026),
    [sym__reserved_identifier] = STATE(717),
    [sym__identifier] = STATE(1496),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_AMP] = ACTIONS(731),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [anon_sym_COMMA] = ACTIONS(851),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(853),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(613),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(617),
    [anon_sym_DASH] = ACTIONS(617),
    [anon_sym_TILDE] = ACTIONS(619),
    [anon_sym_BANG] = ACTIONS(619),
    [anon_sym_AT] = ACTIONS(621),
    [aux_sym_clone_expression_token1] = ACTIONS(623),
    [aux_sym_print_intrinsic_token1] = ACTIONS(625),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(855),
    [anon_sym_RBRACK] = ACTIONS(851),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(647),
    [aux_sym_include_expression_token1] = ACTIONS(651),
    [aux_sym_include_once_expression_token1] = ACTIONS(653),
    [aux_sym_require_expression_token1] = ACTIONS(655),
    [aux_sym_require_once_expression_token1] = ACTIONS(657),
    [sym_comment] = ACTIONS(5),
  },
  [180] = {
    [sym_text_interpolation] = STATE(180),
    [sym_qualified_name] = STATE(810),
    [sym__name] = STATE(1626),
    [sym_namespace_name] = STATE(2507),
    [sym_static_modifier] = STATE(2368),
    [sym_anonymous_function] = STATE(1039),
    [sym__anonymous_function_header] = STATE(2318),
    [sym__arrow_function_header] = STATE(2547),
    [sym_arrow_function] = STATE(1039),
    [sym_literal] = STATE(1039),
    [sym_throw_expression] = STATE(1039),
    [sym_match_expression] = STATE(1026),
    [sym_match_condition_list] = STATE(2525),
    [sym_match_conditional_expression] = STATE(2310),
    [sym_match_default_expression] = STATE(2310),
    [sym_expression] = STATE(1219),
    [sym__unary_expression] = STATE(1010),
    [sym_unary_op_expression] = STATE(1022),
    [sym_error_suppression_expression] = STATE(1026),
    [sym_clone_expression] = STATE(1022),
    [sym_primary_expression] = STATE(1022),
    [sym_parenthesized_expression] = STATE(811),
    [sym_class_constant_access_expression] = STATE(859),
    [sym_print_intrinsic] = STATE(1039),
    [sym_object_creation_expression] = STATE(1039),
    [sym__new_non_dereferencable_expression] = STATE(1009),
    [sym__new_dereferencable_expression] = STATE(842),
    [sym_update_expression] = STATE(1039),
    [sym_cast_expression] = STATE(1022),
    [sym_cast_variable] = STATE(656),
    [sym_assignment_expression] = STATE(1026),
    [sym_reference_assignment_expression] = STATE(1026),
    [sym_conditional_expression] = STATE(1026),
    [sym_augmented_assignment_expression] = STATE(1026),
    [sym__variable_member_access_expression] = STATE(613),
    [sym_member_access_expression] = STATE(656),
    [sym__variable_nullsafe_member_access_expression] = STATE(619),
    [sym_nullsafe_member_access_expression] = STATE(656),
    [sym__variable_scoped_property_access_expression] = STATE(602),
    [sym_scoped_property_access_expression] = STATE(656),
    [sym_list_literal] = STATE(2548),
    [sym__list_destructing] = STATE(2405),
    [sym__array_destructing] = STATE(2405),
    [sym_function_call_expression] = STATE(612),
    [sym__callable_expression] = STATE(2324),
    [sym_scoped_call_expression] = STATE(612),
    [sym__scope_resolution_qualifier] = STATE(2522),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(612),
    [sym_nullsafe_member_call_expression] = STATE(612),
    [sym__variable_subscript_expression] = STATE(610),
    [sym__dereferencable_subscript_expression] = STATE(612),
    [sym__dereferencable_expression] = STATE(1948),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(766),
    [sym_attribute_group] = STATE(1373),
    [sym_attribute_list] = STATE(1879),
    [sym_encapsed_string] = STATE(767),
    [sym_string] = STATE(767),
    [sym_heredoc] = STATE(767),
    [sym_nowdoc] = STATE(767),
    [sym_shell_command_expression] = STATE(1039),
    [sym_boolean] = STATE(1036),
    [sym_null] = STATE(1036),
    [sym__string] = STATE(768),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(595),
    [sym__new_variable] = STATE(662),
    [sym__callable_variable] = STATE(646),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1026),
    [sym_binary_expression] = STATE(1026),
    [sym_include_expression] = STATE(1026),
    [sym_include_once_expression] = STATE(1026),
    [sym_require_expression] = STATE(1026),
    [sym_require_once_expression] = STATE(1026),
    [sym__reserved_identifier] = STATE(717),
    [sym__identifier] = STATE(1496),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_RBRACE] = ACTIONS(873),
    [anon_sym_LPAREN2] = ACTIONS(659),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(663),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [aux_sym_match_default_expression_token1] = ACTIONS(829),
    [anon_sym_PLUS] = ACTIONS(665),
    [anon_sym_DASH] = ACTIONS(665),
    [anon_sym_TILDE] = ACTIONS(667),
    [anon_sym_BANG] = ACTIONS(667),
    [anon_sym_AT] = ACTIONS(669),
    [aux_sym_clone_expression_token1] = ACTIONS(671),
    [aux_sym_print_intrinsic_token1] = ACTIONS(673),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(675),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(677),
    [aux_sym_include_expression_token1] = ACTIONS(681),
    [aux_sym_include_once_expression_token1] = ACTIONS(683),
    [aux_sym_require_expression_token1] = ACTIONS(685),
    [aux_sym_require_once_expression_token1] = ACTIONS(687),
    [sym_comment] = ACTIONS(5),
  },
  [181] = {
    [sym_text_interpolation] = STATE(181),
    [sym_qualified_name] = STATE(810),
    [sym__name] = STATE(1626),
    [sym_namespace_name] = STATE(2507),
    [sym_static_modifier] = STATE(2368),
    [sym_anonymous_function] = STATE(1039),
    [sym__anonymous_function_header] = STATE(2318),
    [sym__arrow_function_header] = STATE(2679),
    [sym_arrow_function] = STATE(1039),
    [sym_literal] = STATE(1039),
    [sym_throw_expression] = STATE(1039),
    [sym_match_expression] = STATE(1026),
    [sym_expression] = STATE(1281),
    [sym__unary_expression] = STATE(1010),
    [sym_unary_op_expression] = STATE(1022),
    [sym_error_suppression_expression] = STATE(1026),
    [sym_clone_expression] = STATE(1022),
    [sym_primary_expression] = STATE(1022),
    [sym_parenthesized_expression] = STATE(811),
    [sym_class_constant_access_expression] = STATE(859),
    [sym_print_intrinsic] = STATE(1039),
    [sym_object_creation_expression] = STATE(1039),
    [sym__new_non_dereferencable_expression] = STATE(1009),
    [sym__new_dereferencable_expression] = STATE(842),
    [sym_update_expression] = STATE(1039),
    [sym_cast_expression] = STATE(1022),
    [sym_cast_variable] = STATE(684),
    [sym_assignment_expression] = STATE(1026),
    [sym_reference_assignment_expression] = STATE(1026),
    [sym_conditional_expression] = STATE(1026),
    [sym_augmented_assignment_expression] = STATE(1026),
    [sym__variable_member_access_expression] = STATE(613),
    [sym_member_access_expression] = STATE(684),
    [sym__variable_nullsafe_member_access_expression] = STATE(619),
    [sym_nullsafe_member_access_expression] = STATE(684),
    [sym__variable_scoped_property_access_expression] = STATE(602),
    [sym_scoped_property_access_expression] = STATE(684),
    [sym_list_literal] = STATE(2632),
    [sym__list_destructing] = STATE(1960),
    [sym__array_destructing] = STATE(2405),
    [sym_function_call_expression] = STATE(612),
    [sym__callable_expression] = STATE(2324),
    [sym_scoped_call_expression] = STATE(612),
    [sym__scope_resolution_qualifier] = STATE(2522),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(612),
    [sym_nullsafe_member_call_expression] = STATE(612),
    [sym__variable_subscript_expression] = STATE(610),
    [sym__dereferencable_subscript_expression] = STATE(612),
    [sym__dereferencable_expression] = STATE(1948),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(766),
    [sym_attribute_group] = STATE(1373),
    [sym_attribute_list] = STATE(1879),
    [sym_encapsed_string] = STATE(767),
    [sym_string] = STATE(767),
    [sym_heredoc] = STATE(767),
    [sym_nowdoc] = STATE(767),
    [sym_shell_command_expression] = STATE(1039),
    [sym_boolean] = STATE(1036),
    [sym_null] = STATE(1036),
    [sym__string] = STATE(768),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(595),
    [sym__new_variable] = STATE(694),
    [sym__callable_variable] = STATE(682),
    [sym_variable_name] = STATE(618),
    [sym_by_ref] = STATE(2313),
    [sym_yield_expression] = STATE(1026),
    [sym_binary_expression] = STATE(1026),
    [sym_include_expression] = STATE(1026),
    [sym_include_once_expression] = STATE(1026),
    [sym_require_expression] = STATE(1026),
    [sym_require_once_expression] = STATE(1026),
    [sym__reserved_identifier] = STATE(717),
    [sym__identifier] = STATE(1496),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_AMP] = ACTIONS(731),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [anon_sym_COMMA] = ACTIONS(875),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(853),
    [anon_sym_RPAREN2] = ACTIONS(875),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(613),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(617),
    [anon_sym_DASH] = ACTIONS(617),
    [anon_sym_TILDE] = ACTIONS(619),
    [anon_sym_BANG] = ACTIONS(619),
    [anon_sym_AT] = ACTIONS(621),
    [aux_sym_clone_expression_token1] = ACTIONS(623),
    [aux_sym_print_intrinsic_token1] = ACTIONS(625),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(631),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(647),
    [aux_sym_include_expression_token1] = ACTIONS(651),
    [aux_sym_include_once_expression_token1] = ACTIONS(653),
    [aux_sym_require_expression_token1] = ACTIONS(655),
    [aux_sym_require_once_expression_token1] = ACTIONS(657),
    [sym_comment] = ACTIONS(5),
  },
  [182] = {
    [sym_text_interpolation] = STATE(182),
    [sym_reference_modifier] = STATE(231),
    [sym_qualified_name] = STATE(810),
    [sym__name] = STATE(1626),
    [sym_namespace_name] = STATE(2507),
    [sym_static_modifier] = STATE(2368),
    [sym_anonymous_function] = STATE(1039),
    [sym__anonymous_function_header] = STATE(2318),
    [sym__arrow_function_header] = STATE(2639),
    [sym_arrow_function] = STATE(1039),
    [sym_literal] = STATE(1039),
    [sym_throw_expression] = STATE(1039),
    [sym_match_expression] = STATE(1026),
    [sym_expression] = STATE(1254),
    [sym__unary_expression] = STATE(1010),
    [sym_unary_op_expression] = STATE(1022),
    [sym_error_suppression_expression] = STATE(1026),
    [sym_clone_expression] = STATE(1022),
    [sym_primary_expression] = STATE(1022),
    [sym_parenthesized_expression] = STATE(811),
    [sym_class_constant_access_expression] = STATE(859),
    [sym_print_intrinsic] = STATE(1039),
    [sym_object_creation_expression] = STATE(1039),
    [sym__new_non_dereferencable_expression] = STATE(1009),
    [sym__new_dereferencable_expression] = STATE(842),
    [sym_update_expression] = STATE(1039),
    [sym_cast_expression] = STATE(1022),
    [sym_cast_variable] = STATE(681),
    [sym_assignment_expression] = STATE(1026),
    [sym_reference_assignment_expression] = STATE(1026),
    [sym_conditional_expression] = STATE(1026),
    [sym_augmented_assignment_expression] = STATE(1026),
    [sym__variable_member_access_expression] = STATE(613),
    [sym_member_access_expression] = STATE(681),
    [sym__variable_nullsafe_member_access_expression] = STATE(619),
    [sym_nullsafe_member_access_expression] = STATE(681),
    [sym__variable_scoped_property_access_expression] = STATE(602),
    [sym_scoped_property_access_expression] = STATE(681),
    [sym_list_literal] = STATE(2640),
    [sym__list_destructing] = STATE(2405),
    [sym__array_destructing] = STATE(2405),
    [sym_function_call_expression] = STATE(612),
    [sym__callable_expression] = STATE(2324),
    [sym_scoped_call_expression] = STATE(612),
    [sym__scope_resolution_qualifier] = STATE(2522),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(612),
    [sym_nullsafe_member_call_expression] = STATE(612),
    [sym_variadic_unpacking] = STATE(2483),
    [sym__variable_subscript_expression] = STATE(610),
    [sym__dereferencable_subscript_expression] = STATE(612),
    [sym__dereferencable_expression] = STATE(1948),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(766),
    [sym_attribute_group] = STATE(1373),
    [sym_attribute_list] = STATE(1879),
    [sym_encapsed_string] = STATE(767),
    [sym_string] = STATE(767),
    [sym_heredoc] = STATE(767),
    [sym_nowdoc] = STATE(767),
    [sym_shell_command_expression] = STATE(1039),
    [sym_boolean] = STATE(1036),
    [sym_null] = STATE(1036),
    [sym__string] = STATE(768),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(595),
    [sym__new_variable] = STATE(683),
    [sym__callable_variable] = STATE(657),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1026),
    [sym_binary_expression] = STATE(1026),
    [sym_include_expression] = STATE(1026),
    [sym_include_once_expression] = STATE(1026),
    [sym_require_expression] = STATE(1026),
    [sym_require_once_expression] = STATE(1026),
    [sym__reserved_identifier] = STATE(1586),
    [sym__identifier] = STATE(1496),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_AMP] = ACTIONS(745),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(697),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(699),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(701),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(703),
    [anon_sym_DASH] = ACTIONS(703),
    [anon_sym_TILDE] = ACTIONS(705),
    [anon_sym_BANG] = ACTIONS(705),
    [anon_sym_AT] = ACTIONS(707),
    [aux_sym_clone_expression_token1] = ACTIONS(709),
    [aux_sym_print_intrinsic_token1] = ACTIONS(711),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(713),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(5),
  },
  [183] = {
    [sym_text_interpolation] = STATE(183),
    [sym_qualified_name] = STATE(810),
    [sym__name] = STATE(1626),
    [sym_namespace_name] = STATE(2507),
    [sym_static_modifier] = STATE(2368),
    [sym_anonymous_function] = STATE(1039),
    [sym__anonymous_function_header] = STATE(2318),
    [sym__arrow_function_header] = STATE(2679),
    [sym_arrow_function] = STATE(1039),
    [sym_literal] = STATE(1039),
    [sym_throw_expression] = STATE(1039),
    [sym_foreach_pair] = STATE(2728),
    [sym__foreach_value] = STATE(2728),
    [sym_match_expression] = STATE(1026),
    [sym_expression] = STATE(1251),
    [sym__unary_expression] = STATE(1010),
    [sym_unary_op_expression] = STATE(1022),
    [sym_error_suppression_expression] = STATE(1026),
    [sym_clone_expression] = STATE(1022),
    [sym_primary_expression] = STATE(1022),
    [sym_parenthesized_expression] = STATE(811),
    [sym_class_constant_access_expression] = STATE(859),
    [sym_print_intrinsic] = STATE(1039),
    [sym_object_creation_expression] = STATE(1039),
    [sym__new_non_dereferencable_expression] = STATE(1009),
    [sym__new_dereferencable_expression] = STATE(842),
    [sym_update_expression] = STATE(1039),
    [sym_cast_expression] = STATE(1022),
    [sym_cast_variable] = STATE(630),
    [sym_assignment_expression] = STATE(1026),
    [sym_reference_assignment_expression] = STATE(1026),
    [sym_conditional_expression] = STATE(1026),
    [sym_augmented_assignment_expression] = STATE(1026),
    [sym__variable_member_access_expression] = STATE(613),
    [sym_member_access_expression] = STATE(630),
    [sym__variable_nullsafe_member_access_expression] = STATE(619),
    [sym_nullsafe_member_access_expression] = STATE(630),
    [sym__variable_scoped_property_access_expression] = STATE(602),
    [sym_scoped_property_access_expression] = STATE(630),
    [sym_list_literal] = STATE(2309),
    [sym__list_destructing] = STATE(2405),
    [sym__array_destructing] = STATE(2405),
    [sym_function_call_expression] = STATE(612),
    [sym__callable_expression] = STATE(2324),
    [sym_scoped_call_expression] = STATE(612),
    [sym__scope_resolution_qualifier] = STATE(2522),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(612),
    [sym_nullsafe_member_call_expression] = STATE(612),
    [sym__variable_subscript_expression] = STATE(610),
    [sym__dereferencable_subscript_expression] = STATE(612),
    [sym__dereferencable_expression] = STATE(1948),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(766),
    [sym_attribute_group] = STATE(1373),
    [sym_attribute_list] = STATE(1879),
    [sym_encapsed_string] = STATE(767),
    [sym_string] = STATE(767),
    [sym_heredoc] = STATE(767),
    [sym_nowdoc] = STATE(767),
    [sym_shell_command_expression] = STATE(1039),
    [sym_boolean] = STATE(1036),
    [sym_null] = STATE(1036),
    [sym__string] = STATE(768),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(595),
    [sym__new_variable] = STATE(653),
    [sym__callable_variable] = STATE(623),
    [sym_variable_name] = STATE(618),
    [sym_by_ref] = STATE(2665),
    [sym_yield_expression] = STATE(1026),
    [sym_binary_expression] = STATE(1026),
    [sym_include_expression] = STATE(1026),
    [sym_include_once_expression] = STATE(1026),
    [sym_require_expression] = STATE(1026),
    [sym_require_once_expression] = STATE(1026),
    [sym__reserved_identifier] = STATE(717),
    [sym__identifier] = STATE(1496),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_AMP] = ACTIONS(731),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(605),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(613),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(617),
    [anon_sym_DASH] = ACTIONS(617),
    [anon_sym_TILDE] = ACTIONS(619),
    [anon_sym_BANG] = ACTIONS(619),
    [anon_sym_AT] = ACTIONS(621),
    [aux_sym_clone_expression_token1] = ACTIONS(623),
    [aux_sym_print_intrinsic_token1] = ACTIONS(625),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(675),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(647),
    [aux_sym_include_expression_token1] = ACTIONS(651),
    [aux_sym_include_once_expression_token1] = ACTIONS(653),
    [aux_sym_require_expression_token1] = ACTIONS(655),
    [aux_sym_require_once_expression_token1] = ACTIONS(657),
    [sym_comment] = ACTIONS(5),
  },
  [184] = {
    [sym_text_interpolation] = STATE(184),
    [sym_qualified_name] = STATE(810),
    [sym__name] = STATE(1626),
    [sym_namespace_name] = STATE(2507),
    [sym_static_modifier] = STATE(2368),
    [sym_anonymous_function] = STATE(1039),
    [sym__anonymous_function_header] = STATE(2318),
    [sym__arrow_function_header] = STATE(2679),
    [sym_arrow_function] = STATE(1039),
    [sym_literal] = STATE(1039),
    [sym_throw_expression] = STATE(1039),
    [sym_foreach_pair] = STATE(2558),
    [sym__foreach_value] = STATE(2558),
    [sym_match_expression] = STATE(1026),
    [sym_expression] = STATE(1251),
    [sym__unary_expression] = STATE(1010),
    [sym_unary_op_expression] = STATE(1022),
    [sym_error_suppression_expression] = STATE(1026),
    [sym_clone_expression] = STATE(1022),
    [sym_primary_expression] = STATE(1022),
    [sym_parenthesized_expression] = STATE(811),
    [sym_class_constant_access_expression] = STATE(859),
    [sym_print_intrinsic] = STATE(1039),
    [sym_object_creation_expression] = STATE(1039),
    [sym__new_non_dereferencable_expression] = STATE(1009),
    [sym__new_dereferencable_expression] = STATE(842),
    [sym_update_expression] = STATE(1039),
    [sym_cast_expression] = STATE(1022),
    [sym_cast_variable] = STATE(630),
    [sym_assignment_expression] = STATE(1026),
    [sym_reference_assignment_expression] = STATE(1026),
    [sym_conditional_expression] = STATE(1026),
    [sym_augmented_assignment_expression] = STATE(1026),
    [sym__variable_member_access_expression] = STATE(613),
    [sym_member_access_expression] = STATE(630),
    [sym__variable_nullsafe_member_access_expression] = STATE(619),
    [sym_nullsafe_member_access_expression] = STATE(630),
    [sym__variable_scoped_property_access_expression] = STATE(602),
    [sym_scoped_property_access_expression] = STATE(630),
    [sym_list_literal] = STATE(2309),
    [sym__list_destructing] = STATE(2405),
    [sym__array_destructing] = STATE(2405),
    [sym_function_call_expression] = STATE(612),
    [sym__callable_expression] = STATE(2324),
    [sym_scoped_call_expression] = STATE(612),
    [sym__scope_resolution_qualifier] = STATE(2522),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(612),
    [sym_nullsafe_member_call_expression] = STATE(612),
    [sym__variable_subscript_expression] = STATE(610),
    [sym__dereferencable_subscript_expression] = STATE(612),
    [sym__dereferencable_expression] = STATE(1948),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(766),
    [sym_attribute_group] = STATE(1373),
    [sym_attribute_list] = STATE(1879),
    [sym_encapsed_string] = STATE(767),
    [sym_string] = STATE(767),
    [sym_heredoc] = STATE(767),
    [sym_nowdoc] = STATE(767),
    [sym_shell_command_expression] = STATE(1039),
    [sym_boolean] = STATE(1036),
    [sym_null] = STATE(1036),
    [sym__string] = STATE(768),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(595),
    [sym__new_variable] = STATE(653),
    [sym__callable_variable] = STATE(623),
    [sym_variable_name] = STATE(618),
    [sym_by_ref] = STATE(2665),
    [sym_yield_expression] = STATE(1026),
    [sym_binary_expression] = STATE(1026),
    [sym_include_expression] = STATE(1026),
    [sym_include_once_expression] = STATE(1026),
    [sym_require_expression] = STATE(1026),
    [sym_require_once_expression] = STATE(1026),
    [sym__reserved_identifier] = STATE(717),
    [sym__identifier] = STATE(1496),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_AMP] = ACTIONS(731),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(605),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(613),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(617),
    [anon_sym_DASH] = ACTIONS(617),
    [anon_sym_TILDE] = ACTIONS(619),
    [anon_sym_BANG] = ACTIONS(619),
    [anon_sym_AT] = ACTIONS(621),
    [aux_sym_clone_expression_token1] = ACTIONS(623),
    [aux_sym_print_intrinsic_token1] = ACTIONS(625),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(675),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(647),
    [aux_sym_include_expression_token1] = ACTIONS(651),
    [aux_sym_include_once_expression_token1] = ACTIONS(653),
    [aux_sym_require_expression_token1] = ACTIONS(655),
    [aux_sym_require_once_expression_token1] = ACTIONS(657),
    [sym_comment] = ACTIONS(5),
  },
  [185] = {
    [sym_text_interpolation] = STATE(185),
    [sym_qualified_name] = STATE(810),
    [sym__name] = STATE(1626),
    [sym_namespace_name] = STATE(2507),
    [sym_static_modifier] = STATE(2368),
    [sym_anonymous_function] = STATE(1039),
    [sym__anonymous_function_header] = STATE(2318),
    [sym__arrow_function_header] = STATE(2679),
    [sym_arrow_function] = STATE(1039),
    [sym_literal] = STATE(1039),
    [sym_throw_expression] = STATE(1039),
    [sym_foreach_pair] = STATE(2514),
    [sym__foreach_value] = STATE(2514),
    [sym_match_expression] = STATE(1026),
    [sym_expression] = STATE(1251),
    [sym__unary_expression] = STATE(1010),
    [sym_unary_op_expression] = STATE(1022),
    [sym_error_suppression_expression] = STATE(1026),
    [sym_clone_expression] = STATE(1022),
    [sym_primary_expression] = STATE(1022),
    [sym_parenthesized_expression] = STATE(811),
    [sym_class_constant_access_expression] = STATE(859),
    [sym_print_intrinsic] = STATE(1039),
    [sym_object_creation_expression] = STATE(1039),
    [sym__new_non_dereferencable_expression] = STATE(1009),
    [sym__new_dereferencable_expression] = STATE(842),
    [sym_update_expression] = STATE(1039),
    [sym_cast_expression] = STATE(1022),
    [sym_cast_variable] = STATE(630),
    [sym_assignment_expression] = STATE(1026),
    [sym_reference_assignment_expression] = STATE(1026),
    [sym_conditional_expression] = STATE(1026),
    [sym_augmented_assignment_expression] = STATE(1026),
    [sym__variable_member_access_expression] = STATE(613),
    [sym_member_access_expression] = STATE(630),
    [sym__variable_nullsafe_member_access_expression] = STATE(619),
    [sym_nullsafe_member_access_expression] = STATE(630),
    [sym__variable_scoped_property_access_expression] = STATE(602),
    [sym_scoped_property_access_expression] = STATE(630),
    [sym_list_literal] = STATE(2309),
    [sym__list_destructing] = STATE(2405),
    [sym__array_destructing] = STATE(2405),
    [sym_function_call_expression] = STATE(612),
    [sym__callable_expression] = STATE(2324),
    [sym_scoped_call_expression] = STATE(612),
    [sym__scope_resolution_qualifier] = STATE(2522),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(612),
    [sym_nullsafe_member_call_expression] = STATE(612),
    [sym__variable_subscript_expression] = STATE(610),
    [sym__dereferencable_subscript_expression] = STATE(612),
    [sym__dereferencable_expression] = STATE(1948),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(766),
    [sym_attribute_group] = STATE(1373),
    [sym_attribute_list] = STATE(1879),
    [sym_encapsed_string] = STATE(767),
    [sym_string] = STATE(767),
    [sym_heredoc] = STATE(767),
    [sym_nowdoc] = STATE(767),
    [sym_shell_command_expression] = STATE(1039),
    [sym_boolean] = STATE(1036),
    [sym_null] = STATE(1036),
    [sym__string] = STATE(768),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(595),
    [sym__new_variable] = STATE(653),
    [sym__callable_variable] = STATE(623),
    [sym_variable_name] = STATE(618),
    [sym_by_ref] = STATE(2665),
    [sym_yield_expression] = STATE(1026),
    [sym_binary_expression] = STATE(1026),
    [sym_include_expression] = STATE(1026),
    [sym_include_once_expression] = STATE(1026),
    [sym_require_expression] = STATE(1026),
    [sym_require_once_expression] = STATE(1026),
    [sym__reserved_identifier] = STATE(717),
    [sym__identifier] = STATE(1496),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_AMP] = ACTIONS(731),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(605),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(613),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(617),
    [anon_sym_DASH] = ACTIONS(617),
    [anon_sym_TILDE] = ACTIONS(619),
    [anon_sym_BANG] = ACTIONS(619),
    [anon_sym_AT] = ACTIONS(621),
    [aux_sym_clone_expression_token1] = ACTIONS(623),
    [aux_sym_print_intrinsic_token1] = ACTIONS(625),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(675),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(647),
    [aux_sym_include_expression_token1] = ACTIONS(651),
    [aux_sym_include_once_expression_token1] = ACTIONS(653),
    [aux_sym_require_expression_token1] = ACTIONS(655),
    [aux_sym_require_once_expression_token1] = ACTIONS(657),
    [sym_comment] = ACTIONS(5),
  },
  [186] = {
    [sym_text_interpolation] = STATE(186),
    [sym_qualified_name] = STATE(810),
    [sym__name] = STATE(1626),
    [sym_namespace_name] = STATE(2507),
    [sym_static_modifier] = STATE(2368),
    [sym_anonymous_function] = STATE(1039),
    [sym__anonymous_function_header] = STATE(2318),
    [sym__arrow_function_header] = STATE(2547),
    [sym_arrow_function] = STATE(1039),
    [sym_literal] = STATE(1039),
    [sym_throw_expression] = STATE(1039),
    [sym_match_expression] = STATE(1026),
    [sym_match_condition_list] = STATE(2525),
    [sym_match_conditional_expression] = STATE(2310),
    [sym_match_default_expression] = STATE(2310),
    [sym_expression] = STATE(1219),
    [sym__unary_expression] = STATE(1010),
    [sym_unary_op_expression] = STATE(1022),
    [sym_error_suppression_expression] = STATE(1026),
    [sym_clone_expression] = STATE(1022),
    [sym_primary_expression] = STATE(1022),
    [sym_parenthesized_expression] = STATE(811),
    [sym_class_constant_access_expression] = STATE(859),
    [sym_print_intrinsic] = STATE(1039),
    [sym_object_creation_expression] = STATE(1039),
    [sym__new_non_dereferencable_expression] = STATE(1009),
    [sym__new_dereferencable_expression] = STATE(842),
    [sym_update_expression] = STATE(1039),
    [sym_cast_expression] = STATE(1022),
    [sym_cast_variable] = STATE(656),
    [sym_assignment_expression] = STATE(1026),
    [sym_reference_assignment_expression] = STATE(1026),
    [sym_conditional_expression] = STATE(1026),
    [sym_augmented_assignment_expression] = STATE(1026),
    [sym__variable_member_access_expression] = STATE(613),
    [sym_member_access_expression] = STATE(656),
    [sym__variable_nullsafe_member_access_expression] = STATE(619),
    [sym_nullsafe_member_access_expression] = STATE(656),
    [sym__variable_scoped_property_access_expression] = STATE(602),
    [sym_scoped_property_access_expression] = STATE(656),
    [sym_list_literal] = STATE(2548),
    [sym__list_destructing] = STATE(2405),
    [sym__array_destructing] = STATE(2405),
    [sym_function_call_expression] = STATE(612),
    [sym__callable_expression] = STATE(2324),
    [sym_scoped_call_expression] = STATE(612),
    [sym__scope_resolution_qualifier] = STATE(2522),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(612),
    [sym_nullsafe_member_call_expression] = STATE(612),
    [sym__variable_subscript_expression] = STATE(610),
    [sym__dereferencable_subscript_expression] = STATE(612),
    [sym__dereferencable_expression] = STATE(1948),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(766),
    [sym_attribute_group] = STATE(1373),
    [sym_attribute_list] = STATE(1879),
    [sym_encapsed_string] = STATE(767),
    [sym_string] = STATE(767),
    [sym_heredoc] = STATE(767),
    [sym_nowdoc] = STATE(767),
    [sym_shell_command_expression] = STATE(1039),
    [sym_boolean] = STATE(1036),
    [sym_null] = STATE(1036),
    [sym__string] = STATE(768),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(595),
    [sym__new_variable] = STATE(662),
    [sym__callable_variable] = STATE(646),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1026),
    [sym_binary_expression] = STATE(1026),
    [sym_include_expression] = STATE(1026),
    [sym_include_once_expression] = STATE(1026),
    [sym_require_expression] = STATE(1026),
    [sym_require_once_expression] = STATE(1026),
    [sym__reserved_identifier] = STATE(717),
    [sym__identifier] = STATE(1496),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(659),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(663),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [aux_sym_match_default_expression_token1] = ACTIONS(829),
    [anon_sym_PLUS] = ACTIONS(665),
    [anon_sym_DASH] = ACTIONS(665),
    [anon_sym_TILDE] = ACTIONS(667),
    [anon_sym_BANG] = ACTIONS(667),
    [anon_sym_AT] = ACTIONS(669),
    [aux_sym_clone_expression_token1] = ACTIONS(671),
    [aux_sym_print_intrinsic_token1] = ACTIONS(673),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(675),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(677),
    [aux_sym_include_expression_token1] = ACTIONS(681),
    [aux_sym_include_once_expression_token1] = ACTIONS(683),
    [aux_sym_require_expression_token1] = ACTIONS(685),
    [aux_sym_require_once_expression_token1] = ACTIONS(687),
    [sym_comment] = ACTIONS(5),
  },
  [187] = {
    [sym_text_interpolation] = STATE(187),
    [sym_qualified_name] = STATE(810),
    [sym__name] = STATE(1626),
    [sym_namespace_name] = STATE(2507),
    [sym_static_modifier] = STATE(2368),
    [sym_anonymous_function] = STATE(1039),
    [sym__anonymous_function_header] = STATE(2318),
    [sym__arrow_function_header] = STATE(2679),
    [sym_arrow_function] = STATE(1039),
    [sym_literal] = STATE(1039),
    [sym_throw_expression] = STATE(1039),
    [sym_foreach_pair] = STATE(2683),
    [sym__foreach_value] = STATE(2683),
    [sym_match_expression] = STATE(1026),
    [sym_expression] = STATE(1251),
    [sym__unary_expression] = STATE(1010),
    [sym_unary_op_expression] = STATE(1022),
    [sym_error_suppression_expression] = STATE(1026),
    [sym_clone_expression] = STATE(1022),
    [sym_primary_expression] = STATE(1022),
    [sym_parenthesized_expression] = STATE(811),
    [sym_class_constant_access_expression] = STATE(859),
    [sym_print_intrinsic] = STATE(1039),
    [sym_object_creation_expression] = STATE(1039),
    [sym__new_non_dereferencable_expression] = STATE(1009),
    [sym__new_dereferencable_expression] = STATE(842),
    [sym_update_expression] = STATE(1039),
    [sym_cast_expression] = STATE(1022),
    [sym_cast_variable] = STATE(630),
    [sym_assignment_expression] = STATE(1026),
    [sym_reference_assignment_expression] = STATE(1026),
    [sym_conditional_expression] = STATE(1026),
    [sym_augmented_assignment_expression] = STATE(1026),
    [sym__variable_member_access_expression] = STATE(613),
    [sym_member_access_expression] = STATE(630),
    [sym__variable_nullsafe_member_access_expression] = STATE(619),
    [sym_nullsafe_member_access_expression] = STATE(630),
    [sym__variable_scoped_property_access_expression] = STATE(602),
    [sym_scoped_property_access_expression] = STATE(630),
    [sym_list_literal] = STATE(2309),
    [sym__list_destructing] = STATE(2405),
    [sym__array_destructing] = STATE(2405),
    [sym_function_call_expression] = STATE(612),
    [sym__callable_expression] = STATE(2324),
    [sym_scoped_call_expression] = STATE(612),
    [sym__scope_resolution_qualifier] = STATE(2522),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(612),
    [sym_nullsafe_member_call_expression] = STATE(612),
    [sym__variable_subscript_expression] = STATE(610),
    [sym__dereferencable_subscript_expression] = STATE(612),
    [sym__dereferencable_expression] = STATE(1948),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(766),
    [sym_attribute_group] = STATE(1373),
    [sym_attribute_list] = STATE(1879),
    [sym_encapsed_string] = STATE(767),
    [sym_string] = STATE(767),
    [sym_heredoc] = STATE(767),
    [sym_nowdoc] = STATE(767),
    [sym_shell_command_expression] = STATE(1039),
    [sym_boolean] = STATE(1036),
    [sym_null] = STATE(1036),
    [sym__string] = STATE(768),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(595),
    [sym__new_variable] = STATE(653),
    [sym__callable_variable] = STATE(623),
    [sym_variable_name] = STATE(618),
    [sym_by_ref] = STATE(2665),
    [sym_yield_expression] = STATE(1026),
    [sym_binary_expression] = STATE(1026),
    [sym_include_expression] = STATE(1026),
    [sym_include_once_expression] = STATE(1026),
    [sym_require_expression] = STATE(1026),
    [sym_require_once_expression] = STATE(1026),
    [sym__reserved_identifier] = STATE(717),
    [sym__identifier] = STATE(1496),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_AMP] = ACTIONS(731),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(605),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(613),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(617),
    [anon_sym_DASH] = ACTIONS(617),
    [anon_sym_TILDE] = ACTIONS(619),
    [anon_sym_BANG] = ACTIONS(619),
    [anon_sym_AT] = ACTIONS(621),
    [aux_sym_clone_expression_token1] = ACTIONS(623),
    [aux_sym_print_intrinsic_token1] = ACTIONS(625),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(675),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(647),
    [aux_sym_include_expression_token1] = ACTIONS(651),
    [aux_sym_include_once_expression_token1] = ACTIONS(653),
    [aux_sym_require_expression_token1] = ACTIONS(655),
    [aux_sym_require_once_expression_token1] = ACTIONS(657),
    [sym_comment] = ACTIONS(5),
  },
  [188] = {
    [sym_text_interpolation] = STATE(188),
    [sym_qualified_name] = STATE(810),
    [sym__name] = STATE(1626),
    [sym_namespace_name] = STATE(2507),
    [sym_static_modifier] = STATE(2368),
    [sym_anonymous_function] = STATE(1039),
    [sym__anonymous_function_header] = STATE(2318),
    [sym__arrow_function_header] = STATE(2639),
    [sym_arrow_function] = STATE(1039),
    [sym_literal] = STATE(1039),
    [sym_throw_expression] = STATE(1039),
    [sym__expressions] = STATE(2684),
    [sym_sequence_expression] = STATE(2379),
    [sym_match_expression] = STATE(1026),
    [sym_expression] = STATE(1267),
    [sym__unary_expression] = STATE(1010),
    [sym_unary_op_expression] = STATE(1022),
    [sym_error_suppression_expression] = STATE(1026),
    [sym_clone_expression] = STATE(1022),
    [sym_primary_expression] = STATE(1022),
    [sym_parenthesized_expression] = STATE(811),
    [sym_class_constant_access_expression] = STATE(859),
    [sym_print_intrinsic] = STATE(1039),
    [sym_object_creation_expression] = STATE(1039),
    [sym__new_non_dereferencable_expression] = STATE(1009),
    [sym__new_dereferencable_expression] = STATE(842),
    [sym_update_expression] = STATE(1039),
    [sym_cast_expression] = STATE(1022),
    [sym_cast_variable] = STATE(681),
    [sym_assignment_expression] = STATE(1026),
    [sym_reference_assignment_expression] = STATE(1026),
    [sym_conditional_expression] = STATE(1026),
    [sym_augmented_assignment_expression] = STATE(1026),
    [sym__variable_member_access_expression] = STATE(613),
    [sym_member_access_expression] = STATE(681),
    [sym__variable_nullsafe_member_access_expression] = STATE(619),
    [sym_nullsafe_member_access_expression] = STATE(681),
    [sym__variable_scoped_property_access_expression] = STATE(602),
    [sym_scoped_property_access_expression] = STATE(681),
    [sym_list_literal] = STATE(2640),
    [sym__list_destructing] = STATE(2405),
    [sym__array_destructing] = STATE(2405),
    [sym_function_call_expression] = STATE(612),
    [sym__callable_expression] = STATE(2324),
    [sym_scoped_call_expression] = STATE(612),
    [sym__scope_resolution_qualifier] = STATE(2522),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(612),
    [sym_nullsafe_member_call_expression] = STATE(612),
    [sym__variable_subscript_expression] = STATE(610),
    [sym__dereferencable_subscript_expression] = STATE(612),
    [sym__dereferencable_expression] = STATE(1948),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(766),
    [sym_attribute_group] = STATE(1373),
    [sym_attribute_list] = STATE(1879),
    [sym_encapsed_string] = STATE(767),
    [sym_string] = STATE(767),
    [sym_heredoc] = STATE(767),
    [sym_nowdoc] = STATE(767),
    [sym_shell_command_expression] = STATE(1039),
    [sym_boolean] = STATE(1036),
    [sym_null] = STATE(1036),
    [sym__string] = STATE(768),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(595),
    [sym__new_variable] = STATE(683),
    [sym__callable_variable] = STATE(657),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1026),
    [sym_binary_expression] = STATE(1026),
    [sym_include_expression] = STATE(1026),
    [sym_include_once_expression] = STATE(1026),
    [sym_require_expression] = STATE(1026),
    [sym_require_once_expression] = STATE(1026),
    [sym__reserved_identifier] = STATE(717),
    [sym__identifier] = STATE(1496),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(697),
    [anon_sym_RPAREN2] = ACTIONS(877),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(701),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(703),
    [anon_sym_DASH] = ACTIONS(703),
    [anon_sym_TILDE] = ACTIONS(705),
    [anon_sym_BANG] = ACTIONS(705),
    [anon_sym_AT] = ACTIONS(707),
    [aux_sym_clone_expression_token1] = ACTIONS(709),
    [aux_sym_print_intrinsic_token1] = ACTIONS(711),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(713),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(5),
  },
  [189] = {
    [sym_text_interpolation] = STATE(189),
    [sym_qualified_name] = STATE(810),
    [sym__name] = STATE(1626),
    [sym_namespace_name] = STATE(2507),
    [sym_static_modifier] = STATE(2368),
    [sym_anonymous_function] = STATE(1039),
    [sym__anonymous_function_header] = STATE(2318),
    [sym__arrow_function_header] = STATE(2547),
    [sym_arrow_function] = STATE(1039),
    [sym_literal] = STATE(1039),
    [sym_throw_expression] = STATE(1039),
    [sym__expressions] = STATE(2733),
    [sym_sequence_expression] = STATE(2379),
    [sym_match_expression] = STATE(1026),
    [sym_expression] = STATE(1242),
    [sym__unary_expression] = STATE(1010),
    [sym_unary_op_expression] = STATE(1022),
    [sym_error_suppression_expression] = STATE(1026),
    [sym_clone_expression] = STATE(1022),
    [sym_primary_expression] = STATE(1022),
    [sym_parenthesized_expression] = STATE(811),
    [sym_class_constant_access_expression] = STATE(859),
    [sym_print_intrinsic] = STATE(1039),
    [sym_object_creation_expression] = STATE(1039),
    [sym__new_non_dereferencable_expression] = STATE(1009),
    [sym__new_dereferencable_expression] = STATE(842),
    [sym_update_expression] = STATE(1039),
    [sym_cast_expression] = STATE(1022),
    [sym_cast_variable] = STATE(656),
    [sym_assignment_expression] = STATE(1026),
    [sym_reference_assignment_expression] = STATE(1026),
    [sym_conditional_expression] = STATE(1026),
    [sym_augmented_assignment_expression] = STATE(1026),
    [sym__variable_member_access_expression] = STATE(613),
    [sym_member_access_expression] = STATE(656),
    [sym__variable_nullsafe_member_access_expression] = STATE(619),
    [sym_nullsafe_member_access_expression] = STATE(656),
    [sym__variable_scoped_property_access_expression] = STATE(602),
    [sym_scoped_property_access_expression] = STATE(656),
    [sym_list_literal] = STATE(2548),
    [sym__list_destructing] = STATE(2405),
    [sym__array_destructing] = STATE(2405),
    [sym_function_call_expression] = STATE(612),
    [sym__callable_expression] = STATE(2324),
    [sym_scoped_call_expression] = STATE(612),
    [sym__scope_resolution_qualifier] = STATE(2522),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(612),
    [sym_nullsafe_member_call_expression] = STATE(612),
    [sym__variable_subscript_expression] = STATE(610),
    [sym__dereferencable_subscript_expression] = STATE(612),
    [sym__dereferencable_expression] = STATE(1948),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(766),
    [sym_attribute_group] = STATE(1373),
    [sym_attribute_list] = STATE(1879),
    [sym_encapsed_string] = STATE(767),
    [sym_string] = STATE(767),
    [sym_heredoc] = STATE(767),
    [sym_nowdoc] = STATE(767),
    [sym_shell_command_expression] = STATE(1039),
    [sym_boolean] = STATE(1036),
    [sym_null] = STATE(1036),
    [sym__string] = STATE(768),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(595),
    [sym__new_variable] = STATE(662),
    [sym__callable_variable] = STATE(646),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1026),
    [sym_binary_expression] = STATE(1026),
    [sym_include_expression] = STATE(1026),
    [sym_include_once_expression] = STATE(1026),
    [sym_require_expression] = STATE(1026),
    [sym_require_once_expression] = STATE(1026),
    [sym__reserved_identifier] = STATE(717),
    [sym__identifier] = STATE(1496),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(879),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(659),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(663),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(665),
    [anon_sym_DASH] = ACTIONS(665),
    [anon_sym_TILDE] = ACTIONS(667),
    [anon_sym_BANG] = ACTIONS(667),
    [anon_sym_AT] = ACTIONS(669),
    [aux_sym_clone_expression_token1] = ACTIONS(671),
    [aux_sym_print_intrinsic_token1] = ACTIONS(673),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(675),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(677),
    [aux_sym_include_expression_token1] = ACTIONS(681),
    [aux_sym_include_once_expression_token1] = ACTIONS(683),
    [aux_sym_require_expression_token1] = ACTIONS(685),
    [aux_sym_require_once_expression_token1] = ACTIONS(687),
    [sym_comment] = ACTIONS(5),
  },
  [190] = {
    [sym_text_interpolation] = STATE(190),
    [sym_qualified_name] = STATE(810),
    [sym__name] = STATE(1626),
    [sym_namespace_name] = STATE(2507),
    [sym_static_modifier] = STATE(2368),
    [sym_anonymous_function] = STATE(1039),
    [sym__anonymous_function_header] = STATE(2318),
    [sym__arrow_function_header] = STATE(2547),
    [sym_arrow_function] = STATE(1039),
    [sym_literal] = STATE(1039),
    [sym_throw_expression] = STATE(1039),
    [sym__expressions] = STATE(2657),
    [sym_sequence_expression] = STATE(2379),
    [sym_match_expression] = STATE(1026),
    [sym_expression] = STATE(1242),
    [sym__unary_expression] = STATE(1010),
    [sym_unary_op_expression] = STATE(1022),
    [sym_error_suppression_expression] = STATE(1026),
    [sym_clone_expression] = STATE(1022),
    [sym_primary_expression] = STATE(1022),
    [sym_parenthesized_expression] = STATE(811),
    [sym_class_constant_access_expression] = STATE(859),
    [sym_print_intrinsic] = STATE(1039),
    [sym_object_creation_expression] = STATE(1039),
    [sym__new_non_dereferencable_expression] = STATE(1009),
    [sym__new_dereferencable_expression] = STATE(842),
    [sym_update_expression] = STATE(1039),
    [sym_cast_expression] = STATE(1022),
    [sym_cast_variable] = STATE(656),
    [sym_assignment_expression] = STATE(1026),
    [sym_reference_assignment_expression] = STATE(1026),
    [sym_conditional_expression] = STATE(1026),
    [sym_augmented_assignment_expression] = STATE(1026),
    [sym__variable_member_access_expression] = STATE(613),
    [sym_member_access_expression] = STATE(656),
    [sym__variable_nullsafe_member_access_expression] = STATE(619),
    [sym_nullsafe_member_access_expression] = STATE(656),
    [sym__variable_scoped_property_access_expression] = STATE(602),
    [sym_scoped_property_access_expression] = STATE(656),
    [sym_list_literal] = STATE(2548),
    [sym__list_destructing] = STATE(2405),
    [sym__array_destructing] = STATE(2405),
    [sym_function_call_expression] = STATE(612),
    [sym__callable_expression] = STATE(2324),
    [sym_scoped_call_expression] = STATE(612),
    [sym__scope_resolution_qualifier] = STATE(2522),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(612),
    [sym_nullsafe_member_call_expression] = STATE(612),
    [sym__variable_subscript_expression] = STATE(610),
    [sym__dereferencable_subscript_expression] = STATE(612),
    [sym__dereferencable_expression] = STATE(1948),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(766),
    [sym_attribute_group] = STATE(1373),
    [sym_attribute_list] = STATE(1879),
    [sym_encapsed_string] = STATE(767),
    [sym_string] = STATE(767),
    [sym_heredoc] = STATE(767),
    [sym_nowdoc] = STATE(767),
    [sym_shell_command_expression] = STATE(1039),
    [sym_boolean] = STATE(1036),
    [sym_null] = STATE(1036),
    [sym__string] = STATE(768),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(595),
    [sym__new_variable] = STATE(662),
    [sym__callable_variable] = STATE(646),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1026),
    [sym_binary_expression] = STATE(1026),
    [sym_include_expression] = STATE(1026),
    [sym_include_once_expression] = STATE(1026),
    [sym_require_expression] = STATE(1026),
    [sym_require_once_expression] = STATE(1026),
    [sym__reserved_identifier] = STATE(717),
    [sym__identifier] = STATE(1496),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(881),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(659),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(663),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(665),
    [anon_sym_DASH] = ACTIONS(665),
    [anon_sym_TILDE] = ACTIONS(667),
    [anon_sym_BANG] = ACTIONS(667),
    [anon_sym_AT] = ACTIONS(669),
    [aux_sym_clone_expression_token1] = ACTIONS(671),
    [aux_sym_print_intrinsic_token1] = ACTIONS(673),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(675),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(677),
    [aux_sym_include_expression_token1] = ACTIONS(681),
    [aux_sym_include_once_expression_token1] = ACTIONS(683),
    [aux_sym_require_expression_token1] = ACTIONS(685),
    [aux_sym_require_once_expression_token1] = ACTIONS(687),
    [sym_comment] = ACTIONS(5),
  },
  [191] = {
    [sym_text_interpolation] = STATE(191),
    [sym_qualified_name] = STATE(1000),
    [sym__name] = STATE(1631),
    [sym_namespace_name] = STATE(2575),
    [sym_static_modifier] = STATE(2368),
    [sym_anonymous_function] = STATE(1148),
    [sym__anonymous_function_header] = STATE(2489),
    [sym__arrow_function_header] = STATE(2731),
    [sym_arrow_function] = STATE(1148),
    [sym_literal] = STATE(1148),
    [sym_throw_expression] = STATE(1148),
    [sym_match_expression] = STATE(1152),
    [sym_expression] = STATE(1226),
    [sym__unary_expression] = STATE(1159),
    [sym_unary_op_expression] = STATE(1172),
    [sym_error_suppression_expression] = STATE(1152),
    [sym_clone_expression] = STATE(1172),
    [sym_primary_expression] = STATE(1172),
    [sym_parenthesized_expression] = STATE(964),
    [sym_class_constant_access_expression] = STATE(1019),
    [sym_print_intrinsic] = STATE(1148),
    [sym_object_creation_expression] = STATE(1148),
    [sym__new_non_dereferencable_expression] = STATE(1168),
    [sym__new_dereferencable_expression] = STATE(966),
    [sym_update_expression] = STATE(1148),
    [sym_cast_expression] = STATE(1172),
    [sym_cast_variable] = STATE(661),
    [sym_assignment_expression] = STATE(1152),
    [sym_reference_assignment_expression] = STATE(1152),
    [sym_conditional_expression] = STATE(1152),
    [sym_augmented_assignment_expression] = STATE(1152),
    [sym__variable_member_access_expression] = STATE(674),
    [sym_member_access_expression] = STATE(661),
    [sym__variable_nullsafe_member_access_expression] = STATE(663),
    [sym_nullsafe_member_access_expression] = STATE(661),
    [sym__variable_scoped_property_access_expression] = STATE(664),
    [sym_scoped_property_access_expression] = STATE(661),
    [sym_list_literal] = STATE(2530),
    [sym__list_destructing] = STATE(2405),
    [sym__array_destructing] = STATE(2405),
    [sym_function_call_expression] = STATE(634),
    [sym__callable_expression] = STATE(2471),
    [sym_scoped_call_expression] = STATE(634),
    [sym__scope_resolution_qualifier] = STATE(2651),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(634),
    [sym_nullsafe_member_call_expression] = STATE(634),
    [sym__variable_subscript_expression] = STATE(665),
    [sym__dereferencable_subscript_expression] = STATE(634),
    [sym__dereferencable_expression] = STATE(1946),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(1005),
    [sym_attribute_group] = STATE(1373),
    [sym_attribute_list] = STATE(1879),
    [sym_encapsed_string] = STATE(927),
    [sym_string] = STATE(927),
    [sym_heredoc] = STATE(927),
    [sym_nowdoc] = STATE(927),
    [sym_shell_command_expression] = STATE(1148),
    [sym_boolean] = STATE(1162),
    [sym_null] = STATE(1162),
    [sym__string] = STATE(941),
    [sym_dynamic_variable_name] = STATE(650),
    [sym__simple_variable] = STATE(654),
    [sym__new_variable] = STATE(667),
    [sym__callable_variable] = STATE(629),
    [sym_variable_name] = STATE(650),
    [sym_yield_expression] = STATE(1152),
    [sym_binary_expression] = STATE(1152),
    [sym_include_expression] = STATE(1152),
    [sym_include_once_expression] = STATE(1152),
    [sym_require_expression] = STATE(1152),
    [sym_require_once_expression] = STATE(1152),
    [sym__reserved_identifier] = STATE(717),
    [sym__identifier] = STATE(1496),
    [sym__semicolon] = STATE(2191),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(689),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(416),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LPAREN2] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [sym_float] = ACTIONS(266),
    [sym_integer] = ACTIONS(266),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(416),
  },
  [192] = {
    [sym_text_interpolation] = STATE(192),
    [sym_qualified_name] = STATE(810),
    [sym__name] = STATE(1626),
    [sym_namespace_name] = STATE(2507),
    [sym_static_modifier] = STATE(2368),
    [sym_anonymous_function] = STATE(1039),
    [sym__anonymous_function_header] = STATE(2318),
    [sym__arrow_function_header] = STATE(2547),
    [sym_arrow_function] = STATE(1039),
    [sym_literal] = STATE(1039),
    [sym_throw_expression] = STATE(1039),
    [sym__expressions] = STATE(2602),
    [sym_sequence_expression] = STATE(2379),
    [sym_match_expression] = STATE(1026),
    [sym_expression] = STATE(1242),
    [sym__unary_expression] = STATE(1010),
    [sym_unary_op_expression] = STATE(1022),
    [sym_error_suppression_expression] = STATE(1026),
    [sym_clone_expression] = STATE(1022),
    [sym_primary_expression] = STATE(1022),
    [sym_parenthesized_expression] = STATE(811),
    [sym_class_constant_access_expression] = STATE(859),
    [sym_print_intrinsic] = STATE(1039),
    [sym_object_creation_expression] = STATE(1039),
    [sym__new_non_dereferencable_expression] = STATE(1009),
    [sym__new_dereferencable_expression] = STATE(842),
    [sym_update_expression] = STATE(1039),
    [sym_cast_expression] = STATE(1022),
    [sym_cast_variable] = STATE(656),
    [sym_assignment_expression] = STATE(1026),
    [sym_reference_assignment_expression] = STATE(1026),
    [sym_conditional_expression] = STATE(1026),
    [sym_augmented_assignment_expression] = STATE(1026),
    [sym__variable_member_access_expression] = STATE(613),
    [sym_member_access_expression] = STATE(656),
    [sym__variable_nullsafe_member_access_expression] = STATE(619),
    [sym_nullsafe_member_access_expression] = STATE(656),
    [sym__variable_scoped_property_access_expression] = STATE(602),
    [sym_scoped_property_access_expression] = STATE(656),
    [sym_list_literal] = STATE(2548),
    [sym__list_destructing] = STATE(2405),
    [sym__array_destructing] = STATE(2405),
    [sym_function_call_expression] = STATE(612),
    [sym__callable_expression] = STATE(2324),
    [sym_scoped_call_expression] = STATE(612),
    [sym__scope_resolution_qualifier] = STATE(2522),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(612),
    [sym_nullsafe_member_call_expression] = STATE(612),
    [sym__variable_subscript_expression] = STATE(610),
    [sym__dereferencable_subscript_expression] = STATE(612),
    [sym__dereferencable_expression] = STATE(1948),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(766),
    [sym_attribute_group] = STATE(1373),
    [sym_attribute_list] = STATE(1879),
    [sym_encapsed_string] = STATE(767),
    [sym_string] = STATE(767),
    [sym_heredoc] = STATE(767),
    [sym_nowdoc] = STATE(767),
    [sym_shell_command_expression] = STATE(1039),
    [sym_boolean] = STATE(1036),
    [sym_null] = STATE(1036),
    [sym__string] = STATE(768),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(595),
    [sym__new_variable] = STATE(662),
    [sym__callable_variable] = STATE(646),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1026),
    [sym_binary_expression] = STATE(1026),
    [sym_include_expression] = STATE(1026),
    [sym_include_once_expression] = STATE(1026),
    [sym_require_expression] = STATE(1026),
    [sym_require_once_expression] = STATE(1026),
    [sym__reserved_identifier] = STATE(717),
    [sym__identifier] = STATE(1496),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(883),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(659),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(663),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(665),
    [anon_sym_DASH] = ACTIONS(665),
    [anon_sym_TILDE] = ACTIONS(667),
    [anon_sym_BANG] = ACTIONS(667),
    [anon_sym_AT] = ACTIONS(669),
    [aux_sym_clone_expression_token1] = ACTIONS(671),
    [aux_sym_print_intrinsic_token1] = ACTIONS(673),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(675),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(677),
    [aux_sym_include_expression_token1] = ACTIONS(681),
    [aux_sym_include_once_expression_token1] = ACTIONS(683),
    [aux_sym_require_expression_token1] = ACTIONS(685),
    [aux_sym_require_once_expression_token1] = ACTIONS(687),
    [sym_comment] = ACTIONS(5),
  },
  [193] = {
    [sym_text_interpolation] = STATE(193),
    [sym_qualified_name] = STATE(1000),
    [sym__name] = STATE(1631),
    [sym_namespace_name] = STATE(2575),
    [sym_static_modifier] = STATE(2368),
    [sym_anonymous_function] = STATE(1148),
    [sym__anonymous_function_header] = STATE(2489),
    [sym__arrow_function_header] = STATE(2731),
    [sym_arrow_function] = STATE(1148),
    [sym_literal] = STATE(1148),
    [sym_throw_expression] = STATE(1148),
    [sym_match_expression] = STATE(1152),
    [sym_expression] = STATE(1236),
    [sym__unary_expression] = STATE(1159),
    [sym_unary_op_expression] = STATE(1172),
    [sym_error_suppression_expression] = STATE(1152),
    [sym_clone_expression] = STATE(1172),
    [sym_primary_expression] = STATE(1172),
    [sym_parenthesized_expression] = STATE(964),
    [sym_class_constant_access_expression] = STATE(1019),
    [sym_print_intrinsic] = STATE(1148),
    [sym_object_creation_expression] = STATE(1148),
    [sym__new_non_dereferencable_expression] = STATE(1168),
    [sym__new_dereferencable_expression] = STATE(966),
    [sym_update_expression] = STATE(1148),
    [sym_cast_expression] = STATE(1172),
    [sym_cast_variable] = STATE(661),
    [sym_assignment_expression] = STATE(1152),
    [sym_reference_assignment_expression] = STATE(1152),
    [sym_conditional_expression] = STATE(1152),
    [sym_augmented_assignment_expression] = STATE(1152),
    [sym__variable_member_access_expression] = STATE(674),
    [sym_member_access_expression] = STATE(661),
    [sym__variable_nullsafe_member_access_expression] = STATE(663),
    [sym_nullsafe_member_access_expression] = STATE(661),
    [sym__variable_scoped_property_access_expression] = STATE(664),
    [sym_scoped_property_access_expression] = STATE(661),
    [sym_list_literal] = STATE(2530),
    [sym__list_destructing] = STATE(2405),
    [sym__array_destructing] = STATE(2405),
    [sym_function_call_expression] = STATE(634),
    [sym__callable_expression] = STATE(2471),
    [sym_scoped_call_expression] = STATE(634),
    [sym__scope_resolution_qualifier] = STATE(2651),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(634),
    [sym_nullsafe_member_call_expression] = STATE(634),
    [sym__variable_subscript_expression] = STATE(665),
    [sym__dereferencable_subscript_expression] = STATE(634),
    [sym__dereferencable_expression] = STATE(1946),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(1005),
    [sym_attribute_group] = STATE(1373),
    [sym_attribute_list] = STATE(1879),
    [sym_encapsed_string] = STATE(927),
    [sym_string] = STATE(927),
    [sym_heredoc] = STATE(927),
    [sym_nowdoc] = STATE(927),
    [sym_shell_command_expression] = STATE(1148),
    [sym_boolean] = STATE(1162),
    [sym_null] = STATE(1162),
    [sym__string] = STATE(941),
    [sym_dynamic_variable_name] = STATE(650),
    [sym__simple_variable] = STATE(654),
    [sym__new_variable] = STATE(667),
    [sym__callable_variable] = STATE(629),
    [sym_variable_name] = STATE(650),
    [sym_yield_expression] = STATE(1152),
    [sym_binary_expression] = STATE(1152),
    [sym_include_expression] = STATE(1152),
    [sym_include_once_expression] = STATE(1152),
    [sym_require_expression] = STATE(1152),
    [sym_require_once_expression] = STATE(1152),
    [sym__reserved_identifier] = STATE(717),
    [sym__identifier] = STATE(1496),
    [sym__semicolon] = STATE(470),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(689),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(360),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LPAREN2] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [sym_float] = ACTIONS(266),
    [sym_integer] = ACTIONS(266),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(360),
  },
  [194] = {
    [sym_text_interpolation] = STATE(194),
    [sym_qualified_name] = STATE(810),
    [sym__name] = STATE(1626),
    [sym_namespace_name] = STATE(2507),
    [sym_static_modifier] = STATE(2368),
    [sym_anonymous_function] = STATE(1039),
    [sym__anonymous_function_header] = STATE(2318),
    [sym__arrow_function_header] = STATE(2639),
    [sym_arrow_function] = STATE(1039),
    [sym_literal] = STATE(1039),
    [sym_throw_expression] = STATE(1039),
    [sym__expressions] = STATE(2630),
    [sym_sequence_expression] = STATE(2379),
    [sym_match_expression] = STATE(1026),
    [sym_expression] = STATE(1267),
    [sym__unary_expression] = STATE(1010),
    [sym_unary_op_expression] = STATE(1022),
    [sym_error_suppression_expression] = STATE(1026),
    [sym_clone_expression] = STATE(1022),
    [sym_primary_expression] = STATE(1022),
    [sym_parenthesized_expression] = STATE(811),
    [sym_class_constant_access_expression] = STATE(859),
    [sym_print_intrinsic] = STATE(1039),
    [sym_object_creation_expression] = STATE(1039),
    [sym__new_non_dereferencable_expression] = STATE(1009),
    [sym__new_dereferencable_expression] = STATE(842),
    [sym_update_expression] = STATE(1039),
    [sym_cast_expression] = STATE(1022),
    [sym_cast_variable] = STATE(681),
    [sym_assignment_expression] = STATE(1026),
    [sym_reference_assignment_expression] = STATE(1026),
    [sym_conditional_expression] = STATE(1026),
    [sym_augmented_assignment_expression] = STATE(1026),
    [sym__variable_member_access_expression] = STATE(613),
    [sym_member_access_expression] = STATE(681),
    [sym__variable_nullsafe_member_access_expression] = STATE(619),
    [sym_nullsafe_member_access_expression] = STATE(681),
    [sym__variable_scoped_property_access_expression] = STATE(602),
    [sym_scoped_property_access_expression] = STATE(681),
    [sym_list_literal] = STATE(2640),
    [sym__list_destructing] = STATE(2405),
    [sym__array_destructing] = STATE(2405),
    [sym_function_call_expression] = STATE(612),
    [sym__callable_expression] = STATE(2324),
    [sym_scoped_call_expression] = STATE(612),
    [sym__scope_resolution_qualifier] = STATE(2522),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(612),
    [sym_nullsafe_member_call_expression] = STATE(612),
    [sym__variable_subscript_expression] = STATE(610),
    [sym__dereferencable_subscript_expression] = STATE(612),
    [sym__dereferencable_expression] = STATE(1948),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(766),
    [sym_attribute_group] = STATE(1373),
    [sym_attribute_list] = STATE(1879),
    [sym_encapsed_string] = STATE(767),
    [sym_string] = STATE(767),
    [sym_heredoc] = STATE(767),
    [sym_nowdoc] = STATE(767),
    [sym_shell_command_expression] = STATE(1039),
    [sym_boolean] = STATE(1036),
    [sym_null] = STATE(1036),
    [sym__string] = STATE(768),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(595),
    [sym__new_variable] = STATE(683),
    [sym__callable_variable] = STATE(657),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1026),
    [sym_binary_expression] = STATE(1026),
    [sym_include_expression] = STATE(1026),
    [sym_include_once_expression] = STATE(1026),
    [sym_require_expression] = STATE(1026),
    [sym_require_once_expression] = STATE(1026),
    [sym__reserved_identifier] = STATE(717),
    [sym__identifier] = STATE(1496),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(697),
    [anon_sym_RPAREN2] = ACTIONS(885),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(701),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(703),
    [anon_sym_DASH] = ACTIONS(703),
    [anon_sym_TILDE] = ACTIONS(705),
    [anon_sym_BANG] = ACTIONS(705),
    [anon_sym_AT] = ACTIONS(707),
    [aux_sym_clone_expression_token1] = ACTIONS(709),
    [aux_sym_print_intrinsic_token1] = ACTIONS(711),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(713),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(5),
  },
  [195] = {
    [sym_text_interpolation] = STATE(195),
    [sym_qualified_name] = STATE(810),
    [sym__name] = STATE(1626),
    [sym_namespace_name] = STATE(2507),
    [sym_static_modifier] = STATE(2368),
    [sym_anonymous_function] = STATE(1039),
    [sym__anonymous_function_header] = STATE(2318),
    [sym__arrow_function_header] = STATE(2639),
    [sym_arrow_function] = STATE(1039),
    [sym_literal] = STATE(1039),
    [sym_throw_expression] = STATE(1039),
    [sym__expressions] = STATE(2654),
    [sym_sequence_expression] = STATE(2379),
    [sym_match_expression] = STATE(1026),
    [sym_expression] = STATE(1267),
    [sym__unary_expression] = STATE(1010),
    [sym_unary_op_expression] = STATE(1022),
    [sym_error_suppression_expression] = STATE(1026),
    [sym_clone_expression] = STATE(1022),
    [sym_primary_expression] = STATE(1022),
    [sym_parenthesized_expression] = STATE(811),
    [sym_class_constant_access_expression] = STATE(859),
    [sym_print_intrinsic] = STATE(1039),
    [sym_object_creation_expression] = STATE(1039),
    [sym__new_non_dereferencable_expression] = STATE(1009),
    [sym__new_dereferencable_expression] = STATE(842),
    [sym_update_expression] = STATE(1039),
    [sym_cast_expression] = STATE(1022),
    [sym_cast_variable] = STATE(681),
    [sym_assignment_expression] = STATE(1026),
    [sym_reference_assignment_expression] = STATE(1026),
    [sym_conditional_expression] = STATE(1026),
    [sym_augmented_assignment_expression] = STATE(1026),
    [sym__variable_member_access_expression] = STATE(613),
    [sym_member_access_expression] = STATE(681),
    [sym__variable_nullsafe_member_access_expression] = STATE(619),
    [sym_nullsafe_member_access_expression] = STATE(681),
    [sym__variable_scoped_property_access_expression] = STATE(602),
    [sym_scoped_property_access_expression] = STATE(681),
    [sym_list_literal] = STATE(2640),
    [sym__list_destructing] = STATE(2405),
    [sym__array_destructing] = STATE(2405),
    [sym_function_call_expression] = STATE(612),
    [sym__callable_expression] = STATE(2324),
    [sym_scoped_call_expression] = STATE(612),
    [sym__scope_resolution_qualifier] = STATE(2522),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(612),
    [sym_nullsafe_member_call_expression] = STATE(612),
    [sym__variable_subscript_expression] = STATE(610),
    [sym__dereferencable_subscript_expression] = STATE(612),
    [sym__dereferencable_expression] = STATE(1948),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(766),
    [sym_attribute_group] = STATE(1373),
    [sym_attribute_list] = STATE(1879),
    [sym_encapsed_string] = STATE(767),
    [sym_string] = STATE(767),
    [sym_heredoc] = STATE(767),
    [sym_nowdoc] = STATE(767),
    [sym_shell_command_expression] = STATE(1039),
    [sym_boolean] = STATE(1036),
    [sym_null] = STATE(1036),
    [sym__string] = STATE(768),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(595),
    [sym__new_variable] = STATE(683),
    [sym__callable_variable] = STATE(657),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1026),
    [sym_binary_expression] = STATE(1026),
    [sym_include_expression] = STATE(1026),
    [sym_include_once_expression] = STATE(1026),
    [sym_require_expression] = STATE(1026),
    [sym_require_once_expression] = STATE(1026),
    [sym__reserved_identifier] = STATE(717),
    [sym__identifier] = STATE(1496),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(697),
    [anon_sym_RPAREN2] = ACTIONS(887),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(701),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(703),
    [anon_sym_DASH] = ACTIONS(703),
    [anon_sym_TILDE] = ACTIONS(705),
    [anon_sym_BANG] = ACTIONS(705),
    [anon_sym_AT] = ACTIONS(707),
    [aux_sym_clone_expression_token1] = ACTIONS(709),
    [aux_sym_print_intrinsic_token1] = ACTIONS(711),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(713),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(5),
  },
  [196] = {
    [sym_text_interpolation] = STATE(196),
    [sym_qualified_name] = STATE(810),
    [sym__name] = STATE(1626),
    [sym_namespace_name] = STATE(2507),
    [sym_static_modifier] = STATE(2368),
    [sym_anonymous_function] = STATE(1039),
    [sym__anonymous_function_header] = STATE(2318),
    [sym__arrow_function_header] = STATE(2639),
    [sym_arrow_function] = STATE(1039),
    [sym_literal] = STATE(1039),
    [sym_throw_expression] = STATE(1039),
    [sym__expressions] = STATE(2584),
    [sym_sequence_expression] = STATE(2379),
    [sym_match_expression] = STATE(1026),
    [sym_expression] = STATE(1267),
    [sym__unary_expression] = STATE(1010),
    [sym_unary_op_expression] = STATE(1022),
    [sym_error_suppression_expression] = STATE(1026),
    [sym_clone_expression] = STATE(1022),
    [sym_primary_expression] = STATE(1022),
    [sym_parenthesized_expression] = STATE(811),
    [sym_class_constant_access_expression] = STATE(859),
    [sym_print_intrinsic] = STATE(1039),
    [sym_object_creation_expression] = STATE(1039),
    [sym__new_non_dereferencable_expression] = STATE(1009),
    [sym__new_dereferencable_expression] = STATE(842),
    [sym_update_expression] = STATE(1039),
    [sym_cast_expression] = STATE(1022),
    [sym_cast_variable] = STATE(681),
    [sym_assignment_expression] = STATE(1026),
    [sym_reference_assignment_expression] = STATE(1026),
    [sym_conditional_expression] = STATE(1026),
    [sym_augmented_assignment_expression] = STATE(1026),
    [sym__variable_member_access_expression] = STATE(613),
    [sym_member_access_expression] = STATE(681),
    [sym__variable_nullsafe_member_access_expression] = STATE(619),
    [sym_nullsafe_member_access_expression] = STATE(681),
    [sym__variable_scoped_property_access_expression] = STATE(602),
    [sym_scoped_property_access_expression] = STATE(681),
    [sym_list_literal] = STATE(2640),
    [sym__list_destructing] = STATE(2405),
    [sym__array_destructing] = STATE(2405),
    [sym_function_call_expression] = STATE(612),
    [sym__callable_expression] = STATE(2324),
    [sym_scoped_call_expression] = STATE(612),
    [sym__scope_resolution_qualifier] = STATE(2522),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(612),
    [sym_nullsafe_member_call_expression] = STATE(612),
    [sym__variable_subscript_expression] = STATE(610),
    [sym__dereferencable_subscript_expression] = STATE(612),
    [sym__dereferencable_expression] = STATE(1948),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(766),
    [sym_attribute_group] = STATE(1373),
    [sym_attribute_list] = STATE(1879),
    [sym_encapsed_string] = STATE(767),
    [sym_string] = STATE(767),
    [sym_heredoc] = STATE(767),
    [sym_nowdoc] = STATE(767),
    [sym_shell_command_expression] = STATE(1039),
    [sym_boolean] = STATE(1036),
    [sym_null] = STATE(1036),
    [sym__string] = STATE(768),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(595),
    [sym__new_variable] = STATE(683),
    [sym__callable_variable] = STATE(657),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1026),
    [sym_binary_expression] = STATE(1026),
    [sym_include_expression] = STATE(1026),
    [sym_include_once_expression] = STATE(1026),
    [sym_require_expression] = STATE(1026),
    [sym_require_once_expression] = STATE(1026),
    [sym__reserved_identifier] = STATE(717),
    [sym__identifier] = STATE(1496),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(697),
    [anon_sym_RPAREN2] = ACTIONS(889),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(701),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(703),
    [anon_sym_DASH] = ACTIONS(703),
    [anon_sym_TILDE] = ACTIONS(705),
    [anon_sym_BANG] = ACTIONS(705),
    [anon_sym_AT] = ACTIONS(707),
    [aux_sym_clone_expression_token1] = ACTIONS(709),
    [aux_sym_print_intrinsic_token1] = ACTIONS(711),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(713),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(5),
  },
  [197] = {
    [sym_text_interpolation] = STATE(197),
    [sym_qualified_name] = STATE(810),
    [sym__name] = STATE(1626),
    [sym_namespace_name] = STATE(2507),
    [sym_static_modifier] = STATE(2368),
    [sym_anonymous_function] = STATE(1039),
    [sym__anonymous_function_header] = STATE(2318),
    [sym__arrow_function_header] = STATE(2639),
    [sym_arrow_function] = STATE(1039),
    [sym_literal] = STATE(1039),
    [sym_throw_expression] = STATE(1039),
    [sym__expressions] = STATE(2585),
    [sym_sequence_expression] = STATE(2379),
    [sym_match_expression] = STATE(1026),
    [sym_expression] = STATE(1267),
    [sym__unary_expression] = STATE(1010),
    [sym_unary_op_expression] = STATE(1022),
    [sym_error_suppression_expression] = STATE(1026),
    [sym_clone_expression] = STATE(1022),
    [sym_primary_expression] = STATE(1022),
    [sym_parenthesized_expression] = STATE(811),
    [sym_class_constant_access_expression] = STATE(859),
    [sym_print_intrinsic] = STATE(1039),
    [sym_object_creation_expression] = STATE(1039),
    [sym__new_non_dereferencable_expression] = STATE(1009),
    [sym__new_dereferencable_expression] = STATE(842),
    [sym_update_expression] = STATE(1039),
    [sym_cast_expression] = STATE(1022),
    [sym_cast_variable] = STATE(681),
    [sym_assignment_expression] = STATE(1026),
    [sym_reference_assignment_expression] = STATE(1026),
    [sym_conditional_expression] = STATE(1026),
    [sym_augmented_assignment_expression] = STATE(1026),
    [sym__variable_member_access_expression] = STATE(613),
    [sym_member_access_expression] = STATE(681),
    [sym__variable_nullsafe_member_access_expression] = STATE(619),
    [sym_nullsafe_member_access_expression] = STATE(681),
    [sym__variable_scoped_property_access_expression] = STATE(602),
    [sym_scoped_property_access_expression] = STATE(681),
    [sym_list_literal] = STATE(2640),
    [sym__list_destructing] = STATE(2405),
    [sym__array_destructing] = STATE(2405),
    [sym_function_call_expression] = STATE(612),
    [sym__callable_expression] = STATE(2324),
    [sym_scoped_call_expression] = STATE(612),
    [sym__scope_resolution_qualifier] = STATE(2522),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(612),
    [sym_nullsafe_member_call_expression] = STATE(612),
    [sym__variable_subscript_expression] = STATE(610),
    [sym__dereferencable_subscript_expression] = STATE(612),
    [sym__dereferencable_expression] = STATE(1948),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(766),
    [sym_attribute_group] = STATE(1373),
    [sym_attribute_list] = STATE(1879),
    [sym_encapsed_string] = STATE(767),
    [sym_string] = STATE(767),
    [sym_heredoc] = STATE(767),
    [sym_nowdoc] = STATE(767),
    [sym_shell_command_expression] = STATE(1039),
    [sym_boolean] = STATE(1036),
    [sym_null] = STATE(1036),
    [sym__string] = STATE(768),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(595),
    [sym__new_variable] = STATE(683),
    [sym__callable_variable] = STATE(657),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1026),
    [sym_binary_expression] = STATE(1026),
    [sym_include_expression] = STATE(1026),
    [sym_include_once_expression] = STATE(1026),
    [sym_require_expression] = STATE(1026),
    [sym_require_once_expression] = STATE(1026),
    [sym__reserved_identifier] = STATE(717),
    [sym__identifier] = STATE(1496),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(697),
    [anon_sym_RPAREN2] = ACTIONS(891),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(701),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(703),
    [anon_sym_DASH] = ACTIONS(703),
    [anon_sym_TILDE] = ACTIONS(705),
    [anon_sym_BANG] = ACTIONS(705),
    [anon_sym_AT] = ACTIONS(707),
    [aux_sym_clone_expression_token1] = ACTIONS(709),
    [aux_sym_print_intrinsic_token1] = ACTIONS(711),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(713),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(5),
  },
  [198] = {
    [sym_text_interpolation] = STATE(198),
    [sym_qualified_name] = STATE(810),
    [sym__name] = STATE(1626),
    [sym_namespace_name] = STATE(2507),
    [sym_static_modifier] = STATE(2368),
    [sym_anonymous_function] = STATE(1039),
    [sym__anonymous_function_header] = STATE(2318),
    [sym__arrow_function_header] = STATE(2547),
    [sym_arrow_function] = STATE(1039),
    [sym_literal] = STATE(1039),
    [sym_throw_expression] = STATE(1039),
    [sym__expressions] = STATE(2616),
    [sym_sequence_expression] = STATE(2379),
    [sym_match_expression] = STATE(1026),
    [sym_expression] = STATE(1242),
    [sym__unary_expression] = STATE(1010),
    [sym_unary_op_expression] = STATE(1022),
    [sym_error_suppression_expression] = STATE(1026),
    [sym_clone_expression] = STATE(1022),
    [sym_primary_expression] = STATE(1022),
    [sym_parenthesized_expression] = STATE(811),
    [sym_class_constant_access_expression] = STATE(859),
    [sym_print_intrinsic] = STATE(1039),
    [sym_object_creation_expression] = STATE(1039),
    [sym__new_non_dereferencable_expression] = STATE(1009),
    [sym__new_dereferencable_expression] = STATE(842),
    [sym_update_expression] = STATE(1039),
    [sym_cast_expression] = STATE(1022),
    [sym_cast_variable] = STATE(656),
    [sym_assignment_expression] = STATE(1026),
    [sym_reference_assignment_expression] = STATE(1026),
    [sym_conditional_expression] = STATE(1026),
    [sym_augmented_assignment_expression] = STATE(1026),
    [sym__variable_member_access_expression] = STATE(613),
    [sym_member_access_expression] = STATE(656),
    [sym__variable_nullsafe_member_access_expression] = STATE(619),
    [sym_nullsafe_member_access_expression] = STATE(656),
    [sym__variable_scoped_property_access_expression] = STATE(602),
    [sym_scoped_property_access_expression] = STATE(656),
    [sym_list_literal] = STATE(2548),
    [sym__list_destructing] = STATE(2405),
    [sym__array_destructing] = STATE(2405),
    [sym_function_call_expression] = STATE(612),
    [sym__callable_expression] = STATE(2324),
    [sym_scoped_call_expression] = STATE(612),
    [sym__scope_resolution_qualifier] = STATE(2522),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(612),
    [sym_nullsafe_member_call_expression] = STATE(612),
    [sym__variable_subscript_expression] = STATE(610),
    [sym__dereferencable_subscript_expression] = STATE(612),
    [sym__dereferencable_expression] = STATE(1948),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(766),
    [sym_attribute_group] = STATE(1373),
    [sym_attribute_list] = STATE(1879),
    [sym_encapsed_string] = STATE(767),
    [sym_string] = STATE(767),
    [sym_heredoc] = STATE(767),
    [sym_nowdoc] = STATE(767),
    [sym_shell_command_expression] = STATE(1039),
    [sym_boolean] = STATE(1036),
    [sym_null] = STATE(1036),
    [sym__string] = STATE(768),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(595),
    [sym__new_variable] = STATE(662),
    [sym__callable_variable] = STATE(646),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1026),
    [sym_binary_expression] = STATE(1026),
    [sym_include_expression] = STATE(1026),
    [sym_include_once_expression] = STATE(1026),
    [sym_require_expression] = STATE(1026),
    [sym_require_once_expression] = STATE(1026),
    [sym__reserved_identifier] = STATE(717),
    [sym__identifier] = STATE(1496),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(893),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(659),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(663),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(665),
    [anon_sym_DASH] = ACTIONS(665),
    [anon_sym_TILDE] = ACTIONS(667),
    [anon_sym_BANG] = ACTIONS(667),
    [anon_sym_AT] = ACTIONS(669),
    [aux_sym_clone_expression_token1] = ACTIONS(671),
    [aux_sym_print_intrinsic_token1] = ACTIONS(673),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(675),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(677),
    [aux_sym_include_expression_token1] = ACTIONS(681),
    [aux_sym_include_once_expression_token1] = ACTIONS(683),
    [aux_sym_require_expression_token1] = ACTIONS(685),
    [aux_sym_require_once_expression_token1] = ACTIONS(687),
    [sym_comment] = ACTIONS(5),
  },
  [199] = {
    [sym_text_interpolation] = STATE(199),
    [sym_qualified_name] = STATE(1000),
    [sym__name] = STATE(1631),
    [sym_namespace_name] = STATE(2575),
    [sym_static_modifier] = STATE(2368),
    [sym_anonymous_function] = STATE(1148),
    [sym__anonymous_function_header] = STATE(2489),
    [sym__arrow_function_header] = STATE(2731),
    [sym_arrow_function] = STATE(1148),
    [sym_literal] = STATE(1148),
    [sym_throw_expression] = STATE(1148),
    [sym_match_expression] = STATE(1152),
    [sym_expression] = STATE(1227),
    [sym__unary_expression] = STATE(1159),
    [sym_unary_op_expression] = STATE(1172),
    [sym_error_suppression_expression] = STATE(1152),
    [sym_clone_expression] = STATE(1172),
    [sym_primary_expression] = STATE(1172),
    [sym_parenthesized_expression] = STATE(964),
    [sym_class_constant_access_expression] = STATE(1019),
    [sym_print_intrinsic] = STATE(1148),
    [sym_object_creation_expression] = STATE(1148),
    [sym__new_non_dereferencable_expression] = STATE(1168),
    [sym__new_dereferencable_expression] = STATE(966),
    [sym_update_expression] = STATE(1148),
    [sym_cast_expression] = STATE(1172),
    [sym_cast_variable] = STATE(661),
    [sym_assignment_expression] = STATE(1152),
    [sym_reference_assignment_expression] = STATE(1152),
    [sym_conditional_expression] = STATE(1152),
    [sym_augmented_assignment_expression] = STATE(1152),
    [sym__variable_member_access_expression] = STATE(674),
    [sym_member_access_expression] = STATE(661),
    [sym__variable_nullsafe_member_access_expression] = STATE(663),
    [sym_nullsafe_member_access_expression] = STATE(661),
    [sym__variable_scoped_property_access_expression] = STATE(664),
    [sym_scoped_property_access_expression] = STATE(661),
    [sym_list_literal] = STATE(2530),
    [sym__list_destructing] = STATE(2405),
    [sym__array_destructing] = STATE(2405),
    [sym_function_call_expression] = STATE(634),
    [sym__callable_expression] = STATE(2471),
    [sym_scoped_call_expression] = STATE(634),
    [sym__scope_resolution_qualifier] = STATE(2651),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(634),
    [sym_nullsafe_member_call_expression] = STATE(634),
    [sym__variable_subscript_expression] = STATE(665),
    [sym__dereferencable_subscript_expression] = STATE(634),
    [sym__dereferencable_expression] = STATE(1946),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(1005),
    [sym_attribute_group] = STATE(1373),
    [sym_attribute_list] = STATE(1879),
    [sym_encapsed_string] = STATE(927),
    [sym_string] = STATE(927),
    [sym_heredoc] = STATE(927),
    [sym_nowdoc] = STATE(927),
    [sym_shell_command_expression] = STATE(1148),
    [sym_boolean] = STATE(1162),
    [sym_null] = STATE(1162),
    [sym__string] = STATE(941),
    [sym_dynamic_variable_name] = STATE(650),
    [sym__simple_variable] = STATE(654),
    [sym__new_variable] = STATE(667),
    [sym__callable_variable] = STATE(629),
    [sym_variable_name] = STATE(650),
    [sym_yield_expression] = STATE(1152),
    [sym_binary_expression] = STATE(1152),
    [sym_include_expression] = STATE(1152),
    [sym_include_once_expression] = STATE(1152),
    [sym_require_expression] = STATE(1152),
    [sym_require_once_expression] = STATE(1152),
    [sym__reserved_identifier] = STATE(717),
    [sym__identifier] = STATE(1496),
    [sym__semicolon] = STATE(2193),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(689),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(416),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LPAREN2] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [sym_float] = ACTIONS(266),
    [sym_integer] = ACTIONS(266),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(416),
  },
  [200] = {
    [sym_text_interpolation] = STATE(200),
    [sym_qualified_name] = STATE(810),
    [sym__name] = STATE(1626),
    [sym_namespace_name] = STATE(2507),
    [sym_static_modifier] = STATE(2368),
    [sym_anonymous_function] = STATE(1039),
    [sym__anonymous_function_header] = STATE(2318),
    [sym__arrow_function_header] = STATE(2639),
    [sym_arrow_function] = STATE(1039),
    [sym_literal] = STATE(1039),
    [sym_throw_expression] = STATE(1039),
    [sym__expressions] = STATE(2555),
    [sym_sequence_expression] = STATE(2379),
    [sym_match_expression] = STATE(1026),
    [sym_expression] = STATE(1267),
    [sym__unary_expression] = STATE(1010),
    [sym_unary_op_expression] = STATE(1022),
    [sym_error_suppression_expression] = STATE(1026),
    [sym_clone_expression] = STATE(1022),
    [sym_primary_expression] = STATE(1022),
    [sym_parenthesized_expression] = STATE(811),
    [sym_class_constant_access_expression] = STATE(859),
    [sym_print_intrinsic] = STATE(1039),
    [sym_object_creation_expression] = STATE(1039),
    [sym__new_non_dereferencable_expression] = STATE(1009),
    [sym__new_dereferencable_expression] = STATE(842),
    [sym_update_expression] = STATE(1039),
    [sym_cast_expression] = STATE(1022),
    [sym_cast_variable] = STATE(681),
    [sym_assignment_expression] = STATE(1026),
    [sym_reference_assignment_expression] = STATE(1026),
    [sym_conditional_expression] = STATE(1026),
    [sym_augmented_assignment_expression] = STATE(1026),
    [sym__variable_member_access_expression] = STATE(613),
    [sym_member_access_expression] = STATE(681),
    [sym__variable_nullsafe_member_access_expression] = STATE(619),
    [sym_nullsafe_member_access_expression] = STATE(681),
    [sym__variable_scoped_property_access_expression] = STATE(602),
    [sym_scoped_property_access_expression] = STATE(681),
    [sym_list_literal] = STATE(2640),
    [sym__list_destructing] = STATE(2405),
    [sym__array_destructing] = STATE(2405),
    [sym_function_call_expression] = STATE(612),
    [sym__callable_expression] = STATE(2324),
    [sym_scoped_call_expression] = STATE(612),
    [sym__scope_resolution_qualifier] = STATE(2522),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(612),
    [sym_nullsafe_member_call_expression] = STATE(612),
    [sym__variable_subscript_expression] = STATE(610),
    [sym__dereferencable_subscript_expression] = STATE(612),
    [sym__dereferencable_expression] = STATE(1948),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(766),
    [sym_attribute_group] = STATE(1373),
    [sym_attribute_list] = STATE(1879),
    [sym_encapsed_string] = STATE(767),
    [sym_string] = STATE(767),
    [sym_heredoc] = STATE(767),
    [sym_nowdoc] = STATE(767),
    [sym_shell_command_expression] = STATE(1039),
    [sym_boolean] = STATE(1036),
    [sym_null] = STATE(1036),
    [sym__string] = STATE(768),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(595),
    [sym__new_variable] = STATE(683),
    [sym__callable_variable] = STATE(657),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1026),
    [sym_binary_expression] = STATE(1026),
    [sym_include_expression] = STATE(1026),
    [sym_include_once_expression] = STATE(1026),
    [sym_require_expression] = STATE(1026),
    [sym_require_once_expression] = STATE(1026),
    [sym__reserved_identifier] = STATE(717),
    [sym__identifier] = STATE(1496),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(697),
    [anon_sym_RPAREN2] = ACTIONS(895),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(701),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(703),
    [anon_sym_DASH] = ACTIONS(703),
    [anon_sym_TILDE] = ACTIONS(705),
    [anon_sym_BANG] = ACTIONS(705),
    [anon_sym_AT] = ACTIONS(707),
    [aux_sym_clone_expression_token1] = ACTIONS(709),
    [aux_sym_print_intrinsic_token1] = ACTIONS(711),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(713),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(5),
  },
  [201] = {
    [sym_text_interpolation] = STATE(201),
    [sym_qualified_name] = STATE(810),
    [sym__name] = STATE(1626),
    [sym_namespace_name] = STATE(2507),
    [sym_static_modifier] = STATE(2368),
    [sym_anonymous_function] = STATE(1039),
    [sym__anonymous_function_header] = STATE(2318),
    [sym__arrow_function_header] = STATE(2639),
    [sym_arrow_function] = STATE(1039),
    [sym_literal] = STATE(1039),
    [sym_throw_expression] = STATE(1039),
    [sym__expressions] = STATE(2559),
    [sym_sequence_expression] = STATE(2379),
    [sym_match_expression] = STATE(1026),
    [sym_expression] = STATE(1267),
    [sym__unary_expression] = STATE(1010),
    [sym_unary_op_expression] = STATE(1022),
    [sym_error_suppression_expression] = STATE(1026),
    [sym_clone_expression] = STATE(1022),
    [sym_primary_expression] = STATE(1022),
    [sym_parenthesized_expression] = STATE(811),
    [sym_class_constant_access_expression] = STATE(859),
    [sym_print_intrinsic] = STATE(1039),
    [sym_object_creation_expression] = STATE(1039),
    [sym__new_non_dereferencable_expression] = STATE(1009),
    [sym__new_dereferencable_expression] = STATE(842),
    [sym_update_expression] = STATE(1039),
    [sym_cast_expression] = STATE(1022),
    [sym_cast_variable] = STATE(681),
    [sym_assignment_expression] = STATE(1026),
    [sym_reference_assignment_expression] = STATE(1026),
    [sym_conditional_expression] = STATE(1026),
    [sym_augmented_assignment_expression] = STATE(1026),
    [sym__variable_member_access_expression] = STATE(613),
    [sym_member_access_expression] = STATE(681),
    [sym__variable_nullsafe_member_access_expression] = STATE(619),
    [sym_nullsafe_member_access_expression] = STATE(681),
    [sym__variable_scoped_property_access_expression] = STATE(602),
    [sym_scoped_property_access_expression] = STATE(681),
    [sym_list_literal] = STATE(2640),
    [sym__list_destructing] = STATE(2405),
    [sym__array_destructing] = STATE(2405),
    [sym_function_call_expression] = STATE(612),
    [sym__callable_expression] = STATE(2324),
    [sym_scoped_call_expression] = STATE(612),
    [sym__scope_resolution_qualifier] = STATE(2522),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(612),
    [sym_nullsafe_member_call_expression] = STATE(612),
    [sym__variable_subscript_expression] = STATE(610),
    [sym__dereferencable_subscript_expression] = STATE(612),
    [sym__dereferencable_expression] = STATE(1948),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(766),
    [sym_attribute_group] = STATE(1373),
    [sym_attribute_list] = STATE(1879),
    [sym_encapsed_string] = STATE(767),
    [sym_string] = STATE(767),
    [sym_heredoc] = STATE(767),
    [sym_nowdoc] = STATE(767),
    [sym_shell_command_expression] = STATE(1039),
    [sym_boolean] = STATE(1036),
    [sym_null] = STATE(1036),
    [sym__string] = STATE(768),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(595),
    [sym__new_variable] = STATE(683),
    [sym__callable_variable] = STATE(657),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1026),
    [sym_binary_expression] = STATE(1026),
    [sym_include_expression] = STATE(1026),
    [sym_include_once_expression] = STATE(1026),
    [sym_require_expression] = STATE(1026),
    [sym_require_once_expression] = STATE(1026),
    [sym__reserved_identifier] = STATE(717),
    [sym__identifier] = STATE(1496),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(697),
    [anon_sym_RPAREN2] = ACTIONS(897),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(701),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(703),
    [anon_sym_DASH] = ACTIONS(703),
    [anon_sym_TILDE] = ACTIONS(705),
    [anon_sym_BANG] = ACTIONS(705),
    [anon_sym_AT] = ACTIONS(707),
    [aux_sym_clone_expression_token1] = ACTIONS(709),
    [aux_sym_print_intrinsic_token1] = ACTIONS(711),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(713),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(5),
  },
  [202] = {
    [sym_text_interpolation] = STATE(202),
    [sym_qualified_name] = STATE(810),
    [sym__name] = STATE(1626),
    [sym_namespace_name] = STATE(2507),
    [sym_static_modifier] = STATE(2368),
    [sym_anonymous_function] = STATE(1039),
    [sym__anonymous_function_header] = STATE(2318),
    [sym__arrow_function_header] = STATE(2639),
    [sym_arrow_function] = STATE(1039),
    [sym_literal] = STATE(1039),
    [sym_throw_expression] = STATE(1039),
    [sym__expressions] = STATE(2560),
    [sym_sequence_expression] = STATE(2379),
    [sym_match_expression] = STATE(1026),
    [sym_expression] = STATE(1267),
    [sym__unary_expression] = STATE(1010),
    [sym_unary_op_expression] = STATE(1022),
    [sym_error_suppression_expression] = STATE(1026),
    [sym_clone_expression] = STATE(1022),
    [sym_primary_expression] = STATE(1022),
    [sym_parenthesized_expression] = STATE(811),
    [sym_class_constant_access_expression] = STATE(859),
    [sym_print_intrinsic] = STATE(1039),
    [sym_object_creation_expression] = STATE(1039),
    [sym__new_non_dereferencable_expression] = STATE(1009),
    [sym__new_dereferencable_expression] = STATE(842),
    [sym_update_expression] = STATE(1039),
    [sym_cast_expression] = STATE(1022),
    [sym_cast_variable] = STATE(681),
    [sym_assignment_expression] = STATE(1026),
    [sym_reference_assignment_expression] = STATE(1026),
    [sym_conditional_expression] = STATE(1026),
    [sym_augmented_assignment_expression] = STATE(1026),
    [sym__variable_member_access_expression] = STATE(613),
    [sym_member_access_expression] = STATE(681),
    [sym__variable_nullsafe_member_access_expression] = STATE(619),
    [sym_nullsafe_member_access_expression] = STATE(681),
    [sym__variable_scoped_property_access_expression] = STATE(602),
    [sym_scoped_property_access_expression] = STATE(681),
    [sym_list_literal] = STATE(2640),
    [sym__list_destructing] = STATE(2405),
    [sym__array_destructing] = STATE(2405),
    [sym_function_call_expression] = STATE(612),
    [sym__callable_expression] = STATE(2324),
    [sym_scoped_call_expression] = STATE(612),
    [sym__scope_resolution_qualifier] = STATE(2522),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(612),
    [sym_nullsafe_member_call_expression] = STATE(612),
    [sym__variable_subscript_expression] = STATE(610),
    [sym__dereferencable_subscript_expression] = STATE(612),
    [sym__dereferencable_expression] = STATE(1948),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(766),
    [sym_attribute_group] = STATE(1373),
    [sym_attribute_list] = STATE(1879),
    [sym_encapsed_string] = STATE(767),
    [sym_string] = STATE(767),
    [sym_heredoc] = STATE(767),
    [sym_nowdoc] = STATE(767),
    [sym_shell_command_expression] = STATE(1039),
    [sym_boolean] = STATE(1036),
    [sym_null] = STATE(1036),
    [sym__string] = STATE(768),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(595),
    [sym__new_variable] = STATE(683),
    [sym__callable_variable] = STATE(657),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1026),
    [sym_binary_expression] = STATE(1026),
    [sym_include_expression] = STATE(1026),
    [sym_include_once_expression] = STATE(1026),
    [sym_require_expression] = STATE(1026),
    [sym_require_once_expression] = STATE(1026),
    [sym__reserved_identifier] = STATE(717),
    [sym__identifier] = STATE(1496),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(697),
    [anon_sym_RPAREN2] = ACTIONS(899),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(701),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(703),
    [anon_sym_DASH] = ACTIONS(703),
    [anon_sym_TILDE] = ACTIONS(705),
    [anon_sym_BANG] = ACTIONS(705),
    [anon_sym_AT] = ACTIONS(707),
    [aux_sym_clone_expression_token1] = ACTIONS(709),
    [aux_sym_print_intrinsic_token1] = ACTIONS(711),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(713),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(5),
  },
  [203] = {
    [sym_text_interpolation] = STATE(203),
    [sym_qualified_name] = STATE(1000),
    [sym__name] = STATE(1631),
    [sym_namespace_name] = STATE(2575),
    [sym_static_modifier] = STATE(2368),
    [sym_anonymous_function] = STATE(1148),
    [sym__anonymous_function_header] = STATE(2489),
    [sym__arrow_function_header] = STATE(2731),
    [sym_arrow_function] = STATE(1148),
    [sym_literal] = STATE(1148),
    [sym_throw_expression] = STATE(1148),
    [sym_match_expression] = STATE(1152),
    [sym_expression] = STATE(1229),
    [sym__unary_expression] = STATE(1159),
    [sym_unary_op_expression] = STATE(1172),
    [sym_error_suppression_expression] = STATE(1152),
    [sym_clone_expression] = STATE(1172),
    [sym_primary_expression] = STATE(1172),
    [sym_parenthesized_expression] = STATE(964),
    [sym_class_constant_access_expression] = STATE(1019),
    [sym_print_intrinsic] = STATE(1148),
    [sym_object_creation_expression] = STATE(1148),
    [sym__new_non_dereferencable_expression] = STATE(1168),
    [sym__new_dereferencable_expression] = STATE(966),
    [sym_update_expression] = STATE(1148),
    [sym_cast_expression] = STATE(1172),
    [sym_cast_variable] = STATE(661),
    [sym_assignment_expression] = STATE(1152),
    [sym_reference_assignment_expression] = STATE(1152),
    [sym_conditional_expression] = STATE(1152),
    [sym_augmented_assignment_expression] = STATE(1152),
    [sym__variable_member_access_expression] = STATE(674),
    [sym_member_access_expression] = STATE(661),
    [sym__variable_nullsafe_member_access_expression] = STATE(663),
    [sym_nullsafe_member_access_expression] = STATE(661),
    [sym__variable_scoped_property_access_expression] = STATE(664),
    [sym_scoped_property_access_expression] = STATE(661),
    [sym_list_literal] = STATE(2530),
    [sym__list_destructing] = STATE(2405),
    [sym__array_destructing] = STATE(2405),
    [sym_function_call_expression] = STATE(634),
    [sym__callable_expression] = STATE(2471),
    [sym_scoped_call_expression] = STATE(634),
    [sym__scope_resolution_qualifier] = STATE(2651),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(634),
    [sym_nullsafe_member_call_expression] = STATE(634),
    [sym__variable_subscript_expression] = STATE(665),
    [sym__dereferencable_subscript_expression] = STATE(634),
    [sym__dereferencable_expression] = STATE(1946),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(1005),
    [sym_attribute_group] = STATE(1373),
    [sym_attribute_list] = STATE(1879),
    [sym_encapsed_string] = STATE(927),
    [sym_string] = STATE(927),
    [sym_heredoc] = STATE(927),
    [sym_nowdoc] = STATE(927),
    [sym_shell_command_expression] = STATE(1148),
    [sym_boolean] = STATE(1162),
    [sym_null] = STATE(1162),
    [sym__string] = STATE(941),
    [sym_dynamic_variable_name] = STATE(650),
    [sym__simple_variable] = STATE(654),
    [sym__new_variable] = STATE(667),
    [sym__callable_variable] = STATE(629),
    [sym_variable_name] = STATE(650),
    [sym_yield_expression] = STATE(1152),
    [sym_binary_expression] = STATE(1152),
    [sym_include_expression] = STATE(1152),
    [sym_include_once_expression] = STATE(1152),
    [sym_require_expression] = STATE(1152),
    [sym_require_once_expression] = STATE(1152),
    [sym__reserved_identifier] = STATE(717),
    [sym__identifier] = STATE(1496),
    [sym__semicolon] = STATE(2195),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(689),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(416),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LPAREN2] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [sym_float] = ACTIONS(266),
    [sym_integer] = ACTIONS(266),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(416),
  },
  [204] = {
    [sym_text_interpolation] = STATE(204),
    [sym_qualified_name] = STATE(810),
    [sym__name] = STATE(1626),
    [sym_namespace_name] = STATE(2507),
    [sym_static_modifier] = STATE(2368),
    [sym_anonymous_function] = STATE(1039),
    [sym__anonymous_function_header] = STATE(2318),
    [sym__arrow_function_header] = STATE(2547),
    [sym_arrow_function] = STATE(1039),
    [sym_literal] = STATE(1039),
    [sym_throw_expression] = STATE(1039),
    [sym__expressions] = STATE(2576),
    [sym_sequence_expression] = STATE(2379),
    [sym_match_expression] = STATE(1026),
    [sym_expression] = STATE(1242),
    [sym__unary_expression] = STATE(1010),
    [sym_unary_op_expression] = STATE(1022),
    [sym_error_suppression_expression] = STATE(1026),
    [sym_clone_expression] = STATE(1022),
    [sym_primary_expression] = STATE(1022),
    [sym_parenthesized_expression] = STATE(811),
    [sym_class_constant_access_expression] = STATE(859),
    [sym_print_intrinsic] = STATE(1039),
    [sym_object_creation_expression] = STATE(1039),
    [sym__new_non_dereferencable_expression] = STATE(1009),
    [sym__new_dereferencable_expression] = STATE(842),
    [sym_update_expression] = STATE(1039),
    [sym_cast_expression] = STATE(1022),
    [sym_cast_variable] = STATE(656),
    [sym_assignment_expression] = STATE(1026),
    [sym_reference_assignment_expression] = STATE(1026),
    [sym_conditional_expression] = STATE(1026),
    [sym_augmented_assignment_expression] = STATE(1026),
    [sym__variable_member_access_expression] = STATE(613),
    [sym_member_access_expression] = STATE(656),
    [sym__variable_nullsafe_member_access_expression] = STATE(619),
    [sym_nullsafe_member_access_expression] = STATE(656),
    [sym__variable_scoped_property_access_expression] = STATE(602),
    [sym_scoped_property_access_expression] = STATE(656),
    [sym_list_literal] = STATE(2548),
    [sym__list_destructing] = STATE(2405),
    [sym__array_destructing] = STATE(2405),
    [sym_function_call_expression] = STATE(612),
    [sym__callable_expression] = STATE(2324),
    [sym_scoped_call_expression] = STATE(612),
    [sym__scope_resolution_qualifier] = STATE(2522),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(612),
    [sym_nullsafe_member_call_expression] = STATE(612),
    [sym__variable_subscript_expression] = STATE(610),
    [sym__dereferencable_subscript_expression] = STATE(612),
    [sym__dereferencable_expression] = STATE(1948),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(766),
    [sym_attribute_group] = STATE(1373),
    [sym_attribute_list] = STATE(1879),
    [sym_encapsed_string] = STATE(767),
    [sym_string] = STATE(767),
    [sym_heredoc] = STATE(767),
    [sym_nowdoc] = STATE(767),
    [sym_shell_command_expression] = STATE(1039),
    [sym_boolean] = STATE(1036),
    [sym_null] = STATE(1036),
    [sym__string] = STATE(768),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(595),
    [sym__new_variable] = STATE(662),
    [sym__callable_variable] = STATE(646),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1026),
    [sym_binary_expression] = STATE(1026),
    [sym_include_expression] = STATE(1026),
    [sym_include_once_expression] = STATE(1026),
    [sym_require_expression] = STATE(1026),
    [sym_require_once_expression] = STATE(1026),
    [sym__reserved_identifier] = STATE(717),
    [sym__identifier] = STATE(1496),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(901),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(659),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(663),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(665),
    [anon_sym_DASH] = ACTIONS(665),
    [anon_sym_TILDE] = ACTIONS(667),
    [anon_sym_BANG] = ACTIONS(667),
    [anon_sym_AT] = ACTIONS(669),
    [aux_sym_clone_expression_token1] = ACTIONS(671),
    [aux_sym_print_intrinsic_token1] = ACTIONS(673),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(675),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(677),
    [aux_sym_include_expression_token1] = ACTIONS(681),
    [aux_sym_include_once_expression_token1] = ACTIONS(683),
    [aux_sym_require_expression_token1] = ACTIONS(685),
    [aux_sym_require_once_expression_token1] = ACTIONS(687),
    [sym_comment] = ACTIONS(5),
  },
  [205] = {
    [sym_text_interpolation] = STATE(205),
    [sym_qualified_name] = STATE(810),
    [sym__name] = STATE(1626),
    [sym_namespace_name] = STATE(2507),
    [sym_static_modifier] = STATE(2368),
    [sym_anonymous_function] = STATE(1039),
    [sym__anonymous_function_header] = STATE(2318),
    [sym__arrow_function_header] = STATE(2547),
    [sym_arrow_function] = STATE(1039),
    [sym_literal] = STATE(1039),
    [sym_throw_expression] = STATE(1039),
    [sym__expressions] = STATE(2579),
    [sym_sequence_expression] = STATE(2379),
    [sym_match_expression] = STATE(1026),
    [sym_expression] = STATE(1242),
    [sym__unary_expression] = STATE(1010),
    [sym_unary_op_expression] = STATE(1022),
    [sym_error_suppression_expression] = STATE(1026),
    [sym_clone_expression] = STATE(1022),
    [sym_primary_expression] = STATE(1022),
    [sym_parenthesized_expression] = STATE(811),
    [sym_class_constant_access_expression] = STATE(859),
    [sym_print_intrinsic] = STATE(1039),
    [sym_object_creation_expression] = STATE(1039),
    [sym__new_non_dereferencable_expression] = STATE(1009),
    [sym__new_dereferencable_expression] = STATE(842),
    [sym_update_expression] = STATE(1039),
    [sym_cast_expression] = STATE(1022),
    [sym_cast_variable] = STATE(656),
    [sym_assignment_expression] = STATE(1026),
    [sym_reference_assignment_expression] = STATE(1026),
    [sym_conditional_expression] = STATE(1026),
    [sym_augmented_assignment_expression] = STATE(1026),
    [sym__variable_member_access_expression] = STATE(613),
    [sym_member_access_expression] = STATE(656),
    [sym__variable_nullsafe_member_access_expression] = STATE(619),
    [sym_nullsafe_member_access_expression] = STATE(656),
    [sym__variable_scoped_property_access_expression] = STATE(602),
    [sym_scoped_property_access_expression] = STATE(656),
    [sym_list_literal] = STATE(2548),
    [sym__list_destructing] = STATE(2405),
    [sym__array_destructing] = STATE(2405),
    [sym_function_call_expression] = STATE(612),
    [sym__callable_expression] = STATE(2324),
    [sym_scoped_call_expression] = STATE(612),
    [sym__scope_resolution_qualifier] = STATE(2522),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(612),
    [sym_nullsafe_member_call_expression] = STATE(612),
    [sym__variable_subscript_expression] = STATE(610),
    [sym__dereferencable_subscript_expression] = STATE(612),
    [sym__dereferencable_expression] = STATE(1948),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(766),
    [sym_attribute_group] = STATE(1373),
    [sym_attribute_list] = STATE(1879),
    [sym_encapsed_string] = STATE(767),
    [sym_string] = STATE(767),
    [sym_heredoc] = STATE(767),
    [sym_nowdoc] = STATE(767),
    [sym_shell_command_expression] = STATE(1039),
    [sym_boolean] = STATE(1036),
    [sym_null] = STATE(1036),
    [sym__string] = STATE(768),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(595),
    [sym__new_variable] = STATE(662),
    [sym__callable_variable] = STATE(646),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1026),
    [sym_binary_expression] = STATE(1026),
    [sym_include_expression] = STATE(1026),
    [sym_include_once_expression] = STATE(1026),
    [sym_require_expression] = STATE(1026),
    [sym_require_once_expression] = STATE(1026),
    [sym__reserved_identifier] = STATE(717),
    [sym__identifier] = STATE(1496),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(903),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(659),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(663),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(665),
    [anon_sym_DASH] = ACTIONS(665),
    [anon_sym_TILDE] = ACTIONS(667),
    [anon_sym_BANG] = ACTIONS(667),
    [anon_sym_AT] = ACTIONS(669),
    [aux_sym_clone_expression_token1] = ACTIONS(671),
    [aux_sym_print_intrinsic_token1] = ACTIONS(673),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(675),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(677),
    [aux_sym_include_expression_token1] = ACTIONS(681),
    [aux_sym_include_once_expression_token1] = ACTIONS(683),
    [aux_sym_require_expression_token1] = ACTIONS(685),
    [aux_sym_require_once_expression_token1] = ACTIONS(687),
    [sym_comment] = ACTIONS(5),
  },
  [206] = {
    [sym_text_interpolation] = STATE(206),
    [sym_qualified_name] = STATE(810),
    [sym__name] = STATE(1626),
    [sym_namespace_name] = STATE(2507),
    [sym_static_modifier] = STATE(2368),
    [sym_anonymous_function] = STATE(1039),
    [sym__anonymous_function_header] = STATE(2318),
    [sym__arrow_function_header] = STATE(2547),
    [sym_arrow_function] = STATE(1039),
    [sym_literal] = STATE(1039),
    [sym_throw_expression] = STATE(1039),
    [sym__expressions] = STATE(2603),
    [sym_sequence_expression] = STATE(2379),
    [sym_match_expression] = STATE(1026),
    [sym_expression] = STATE(1242),
    [sym__unary_expression] = STATE(1010),
    [sym_unary_op_expression] = STATE(1022),
    [sym_error_suppression_expression] = STATE(1026),
    [sym_clone_expression] = STATE(1022),
    [sym_primary_expression] = STATE(1022),
    [sym_parenthesized_expression] = STATE(811),
    [sym_class_constant_access_expression] = STATE(859),
    [sym_print_intrinsic] = STATE(1039),
    [sym_object_creation_expression] = STATE(1039),
    [sym__new_non_dereferencable_expression] = STATE(1009),
    [sym__new_dereferencable_expression] = STATE(842),
    [sym_update_expression] = STATE(1039),
    [sym_cast_expression] = STATE(1022),
    [sym_cast_variable] = STATE(656),
    [sym_assignment_expression] = STATE(1026),
    [sym_reference_assignment_expression] = STATE(1026),
    [sym_conditional_expression] = STATE(1026),
    [sym_augmented_assignment_expression] = STATE(1026),
    [sym__variable_member_access_expression] = STATE(613),
    [sym_member_access_expression] = STATE(656),
    [sym__variable_nullsafe_member_access_expression] = STATE(619),
    [sym_nullsafe_member_access_expression] = STATE(656),
    [sym__variable_scoped_property_access_expression] = STATE(602),
    [sym_scoped_property_access_expression] = STATE(656),
    [sym_list_literal] = STATE(2548),
    [sym__list_destructing] = STATE(2405),
    [sym__array_destructing] = STATE(2405),
    [sym_function_call_expression] = STATE(612),
    [sym__callable_expression] = STATE(2324),
    [sym_scoped_call_expression] = STATE(612),
    [sym__scope_resolution_qualifier] = STATE(2522),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(612),
    [sym_nullsafe_member_call_expression] = STATE(612),
    [sym__variable_subscript_expression] = STATE(610),
    [sym__dereferencable_subscript_expression] = STATE(612),
    [sym__dereferencable_expression] = STATE(1948),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(766),
    [sym_attribute_group] = STATE(1373),
    [sym_attribute_list] = STATE(1879),
    [sym_encapsed_string] = STATE(767),
    [sym_string] = STATE(767),
    [sym_heredoc] = STATE(767),
    [sym_nowdoc] = STATE(767),
    [sym_shell_command_expression] = STATE(1039),
    [sym_boolean] = STATE(1036),
    [sym_null] = STATE(1036),
    [sym__string] = STATE(768),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(595),
    [sym__new_variable] = STATE(662),
    [sym__callable_variable] = STATE(646),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1026),
    [sym_binary_expression] = STATE(1026),
    [sym_include_expression] = STATE(1026),
    [sym_include_once_expression] = STATE(1026),
    [sym_require_expression] = STATE(1026),
    [sym_require_once_expression] = STATE(1026),
    [sym__reserved_identifier] = STATE(717),
    [sym__identifier] = STATE(1496),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(905),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(659),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(663),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(665),
    [anon_sym_DASH] = ACTIONS(665),
    [anon_sym_TILDE] = ACTIONS(667),
    [anon_sym_BANG] = ACTIONS(667),
    [anon_sym_AT] = ACTIONS(669),
    [aux_sym_clone_expression_token1] = ACTIONS(671),
    [aux_sym_print_intrinsic_token1] = ACTIONS(673),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(675),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(677),
    [aux_sym_include_expression_token1] = ACTIONS(681),
    [aux_sym_include_once_expression_token1] = ACTIONS(683),
    [aux_sym_require_expression_token1] = ACTIONS(685),
    [aux_sym_require_once_expression_token1] = ACTIONS(687),
    [sym_comment] = ACTIONS(5),
  },
  [207] = {
    [sym_text_interpolation] = STATE(207),
    [sym_qualified_name] = STATE(810),
    [sym__name] = STATE(1626),
    [sym_namespace_name] = STATE(2507),
    [sym_static_modifier] = STATE(2368),
    [sym_anonymous_function] = STATE(1039),
    [sym__anonymous_function_header] = STATE(2318),
    [sym__arrow_function_header] = STATE(2679),
    [sym_arrow_function] = STATE(1039),
    [sym_literal] = STATE(1039),
    [sym_throw_expression] = STATE(1039),
    [sym__foreach_value] = STATE(2520),
    [sym_match_expression] = STATE(1026),
    [sym_expression] = STATE(1289),
    [sym__unary_expression] = STATE(1010),
    [sym_unary_op_expression] = STATE(1022),
    [sym_error_suppression_expression] = STATE(1026),
    [sym_clone_expression] = STATE(1022),
    [sym_primary_expression] = STATE(1022),
    [sym_parenthesized_expression] = STATE(811),
    [sym_class_constant_access_expression] = STATE(859),
    [sym_print_intrinsic] = STATE(1039),
    [sym_object_creation_expression] = STATE(1039),
    [sym__new_non_dereferencable_expression] = STATE(1009),
    [sym__new_dereferencable_expression] = STATE(842),
    [sym_update_expression] = STATE(1039),
    [sym_cast_expression] = STATE(1022),
    [sym_cast_variable] = STATE(630),
    [sym_assignment_expression] = STATE(1026),
    [sym_reference_assignment_expression] = STATE(1026),
    [sym_conditional_expression] = STATE(1026),
    [sym_augmented_assignment_expression] = STATE(1026),
    [sym__variable_member_access_expression] = STATE(613),
    [sym_member_access_expression] = STATE(630),
    [sym__variable_nullsafe_member_access_expression] = STATE(619),
    [sym_nullsafe_member_access_expression] = STATE(630),
    [sym__variable_scoped_property_access_expression] = STATE(602),
    [sym_scoped_property_access_expression] = STATE(630),
    [sym_list_literal] = STATE(2309),
    [sym__list_destructing] = STATE(2405),
    [sym__array_destructing] = STATE(2405),
    [sym_function_call_expression] = STATE(612),
    [sym__callable_expression] = STATE(2324),
    [sym_scoped_call_expression] = STATE(612),
    [sym__scope_resolution_qualifier] = STATE(2522),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(612),
    [sym_nullsafe_member_call_expression] = STATE(612),
    [sym__variable_subscript_expression] = STATE(610),
    [sym__dereferencable_subscript_expression] = STATE(612),
    [sym__dereferencable_expression] = STATE(1948),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(766),
    [sym_attribute_group] = STATE(1373),
    [sym_attribute_list] = STATE(1879),
    [sym_encapsed_string] = STATE(767),
    [sym_string] = STATE(767),
    [sym_heredoc] = STATE(767),
    [sym_nowdoc] = STATE(767),
    [sym_shell_command_expression] = STATE(1039),
    [sym_boolean] = STATE(1036),
    [sym_null] = STATE(1036),
    [sym__string] = STATE(768),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(595),
    [sym__new_variable] = STATE(653),
    [sym__callable_variable] = STATE(623),
    [sym_variable_name] = STATE(618),
    [sym_by_ref] = STATE(2665),
    [sym_yield_expression] = STATE(1026),
    [sym_binary_expression] = STATE(1026),
    [sym_include_expression] = STATE(1026),
    [sym_include_once_expression] = STATE(1026),
    [sym_require_expression] = STATE(1026),
    [sym_require_once_expression] = STATE(1026),
    [sym__reserved_identifier] = STATE(717),
    [sym__identifier] = STATE(1496),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_AMP] = ACTIONS(731),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(605),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(613),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(617),
    [anon_sym_DASH] = ACTIONS(617),
    [anon_sym_TILDE] = ACTIONS(619),
    [anon_sym_BANG] = ACTIONS(619),
    [anon_sym_AT] = ACTIONS(621),
    [aux_sym_clone_expression_token1] = ACTIONS(623),
    [aux_sym_print_intrinsic_token1] = ACTIONS(625),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(675),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(647),
    [aux_sym_include_expression_token1] = ACTIONS(651),
    [aux_sym_include_once_expression_token1] = ACTIONS(653),
    [aux_sym_require_expression_token1] = ACTIONS(655),
    [aux_sym_require_once_expression_token1] = ACTIONS(657),
    [sym_comment] = ACTIONS(5),
  },
  [208] = {
    [sym_text_interpolation] = STATE(208),
    [sym_qualified_name] = STATE(810),
    [sym__name] = STATE(1626),
    [sym_namespace_name] = STATE(2507),
    [sym_static_modifier] = STATE(2368),
    [sym_anonymous_function] = STATE(1039),
    [sym__anonymous_function_header] = STATE(2318),
    [sym__arrow_function_header] = STATE(2639),
    [sym_arrow_function] = STATE(1039),
    [sym_literal] = STATE(1039),
    [sym_throw_expression] = STATE(1039),
    [sym__expressions] = STATE(2623),
    [sym_sequence_expression] = STATE(2379),
    [sym_match_expression] = STATE(1026),
    [sym_expression] = STATE(1267),
    [sym__unary_expression] = STATE(1010),
    [sym_unary_op_expression] = STATE(1022),
    [sym_error_suppression_expression] = STATE(1026),
    [sym_clone_expression] = STATE(1022),
    [sym_primary_expression] = STATE(1022),
    [sym_parenthesized_expression] = STATE(811),
    [sym_class_constant_access_expression] = STATE(859),
    [sym_print_intrinsic] = STATE(1039),
    [sym_object_creation_expression] = STATE(1039),
    [sym__new_non_dereferencable_expression] = STATE(1009),
    [sym__new_dereferencable_expression] = STATE(842),
    [sym_update_expression] = STATE(1039),
    [sym_cast_expression] = STATE(1022),
    [sym_cast_variable] = STATE(681),
    [sym_assignment_expression] = STATE(1026),
    [sym_reference_assignment_expression] = STATE(1026),
    [sym_conditional_expression] = STATE(1026),
    [sym_augmented_assignment_expression] = STATE(1026),
    [sym__variable_member_access_expression] = STATE(613),
    [sym_member_access_expression] = STATE(681),
    [sym__variable_nullsafe_member_access_expression] = STATE(619),
    [sym_nullsafe_member_access_expression] = STATE(681),
    [sym__variable_scoped_property_access_expression] = STATE(602),
    [sym_scoped_property_access_expression] = STATE(681),
    [sym_list_literal] = STATE(2640),
    [sym__list_destructing] = STATE(2405),
    [sym__array_destructing] = STATE(2405),
    [sym_function_call_expression] = STATE(612),
    [sym__callable_expression] = STATE(2324),
    [sym_scoped_call_expression] = STATE(612),
    [sym__scope_resolution_qualifier] = STATE(2522),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(612),
    [sym_nullsafe_member_call_expression] = STATE(612),
    [sym__variable_subscript_expression] = STATE(610),
    [sym__dereferencable_subscript_expression] = STATE(612),
    [sym__dereferencable_expression] = STATE(1948),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(766),
    [sym_attribute_group] = STATE(1373),
    [sym_attribute_list] = STATE(1879),
    [sym_encapsed_string] = STATE(767),
    [sym_string] = STATE(767),
    [sym_heredoc] = STATE(767),
    [sym_nowdoc] = STATE(767),
    [sym_shell_command_expression] = STATE(1039),
    [sym_boolean] = STATE(1036),
    [sym_null] = STATE(1036),
    [sym__string] = STATE(768),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(595),
    [sym__new_variable] = STATE(683),
    [sym__callable_variable] = STATE(657),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1026),
    [sym_binary_expression] = STATE(1026),
    [sym_include_expression] = STATE(1026),
    [sym_include_once_expression] = STATE(1026),
    [sym_require_expression] = STATE(1026),
    [sym_require_once_expression] = STATE(1026),
    [sym__reserved_identifier] = STATE(717),
    [sym__identifier] = STATE(1496),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(697),
    [anon_sym_RPAREN2] = ACTIONS(907),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(701),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(703),
    [anon_sym_DASH] = ACTIONS(703),
    [anon_sym_TILDE] = ACTIONS(705),
    [anon_sym_BANG] = ACTIONS(705),
    [anon_sym_AT] = ACTIONS(707),
    [aux_sym_clone_expression_token1] = ACTIONS(709),
    [aux_sym_print_intrinsic_token1] = ACTIONS(711),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(713),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(5),
  },
  [209] = {
    [sym_text_interpolation] = STATE(209),
    [sym_qualified_name] = STATE(810),
    [sym__name] = STATE(1626),
    [sym_namespace_name] = STATE(2507),
    [sym_static_modifier] = STATE(2368),
    [sym_anonymous_function] = STATE(1039),
    [sym__anonymous_function_header] = STATE(2318),
    [sym__arrow_function_header] = STATE(2547),
    [sym_arrow_function] = STATE(1039),
    [sym_literal] = STATE(1039),
    [sym_throw_expression] = STATE(1039),
    [sym__expressions] = STATE(2672),
    [sym_sequence_expression] = STATE(2379),
    [sym_match_expression] = STATE(1026),
    [sym_expression] = STATE(1242),
    [sym__unary_expression] = STATE(1010),
    [sym_unary_op_expression] = STATE(1022),
    [sym_error_suppression_expression] = STATE(1026),
    [sym_clone_expression] = STATE(1022),
    [sym_primary_expression] = STATE(1022),
    [sym_parenthesized_expression] = STATE(811),
    [sym_class_constant_access_expression] = STATE(859),
    [sym_print_intrinsic] = STATE(1039),
    [sym_object_creation_expression] = STATE(1039),
    [sym__new_non_dereferencable_expression] = STATE(1009),
    [sym__new_dereferencable_expression] = STATE(842),
    [sym_update_expression] = STATE(1039),
    [sym_cast_expression] = STATE(1022),
    [sym_cast_variable] = STATE(656),
    [sym_assignment_expression] = STATE(1026),
    [sym_reference_assignment_expression] = STATE(1026),
    [sym_conditional_expression] = STATE(1026),
    [sym_augmented_assignment_expression] = STATE(1026),
    [sym__variable_member_access_expression] = STATE(613),
    [sym_member_access_expression] = STATE(656),
    [sym__variable_nullsafe_member_access_expression] = STATE(619),
    [sym_nullsafe_member_access_expression] = STATE(656),
    [sym__variable_scoped_property_access_expression] = STATE(602),
    [sym_scoped_property_access_expression] = STATE(656),
    [sym_list_literal] = STATE(2548),
    [sym__list_destructing] = STATE(2405),
    [sym__array_destructing] = STATE(2405),
    [sym_function_call_expression] = STATE(612),
    [sym__callable_expression] = STATE(2324),
    [sym_scoped_call_expression] = STATE(612),
    [sym__scope_resolution_qualifier] = STATE(2522),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(612),
    [sym_nullsafe_member_call_expression] = STATE(612),
    [sym__variable_subscript_expression] = STATE(610),
    [sym__dereferencable_subscript_expression] = STATE(612),
    [sym__dereferencable_expression] = STATE(1948),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(766),
    [sym_attribute_group] = STATE(1373),
    [sym_attribute_list] = STATE(1879),
    [sym_encapsed_string] = STATE(767),
    [sym_string] = STATE(767),
    [sym_heredoc] = STATE(767),
    [sym_nowdoc] = STATE(767),
    [sym_shell_command_expression] = STATE(1039),
    [sym_boolean] = STATE(1036),
    [sym_null] = STATE(1036),
    [sym__string] = STATE(768),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(595),
    [sym__new_variable] = STATE(662),
    [sym__callable_variable] = STATE(646),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1026),
    [sym_binary_expression] = STATE(1026),
    [sym_include_expression] = STATE(1026),
    [sym_include_once_expression] = STATE(1026),
    [sym_require_expression] = STATE(1026),
    [sym_require_once_expression] = STATE(1026),
    [sym__reserved_identifier] = STATE(717),
    [sym__identifier] = STATE(1496),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(909),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(659),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(663),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(665),
    [anon_sym_DASH] = ACTIONS(665),
    [anon_sym_TILDE] = ACTIONS(667),
    [anon_sym_BANG] = ACTIONS(667),
    [anon_sym_AT] = ACTIONS(669),
    [aux_sym_clone_expression_token1] = ACTIONS(671),
    [aux_sym_print_intrinsic_token1] = ACTIONS(673),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(675),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(677),
    [aux_sym_include_expression_token1] = ACTIONS(681),
    [aux_sym_include_once_expression_token1] = ACTIONS(683),
    [aux_sym_require_expression_token1] = ACTIONS(685),
    [aux_sym_require_once_expression_token1] = ACTIONS(687),
    [sym_comment] = ACTIONS(5),
  },
  [210] = {
    [sym_text_interpolation] = STATE(210),
    [sym_qualified_name] = STATE(810),
    [sym__name] = STATE(1626),
    [sym_namespace_name] = STATE(2507),
    [sym_static_modifier] = STATE(2368),
    [sym_anonymous_function] = STATE(1039),
    [sym__anonymous_function_header] = STATE(2318),
    [sym__arrow_function_header] = STATE(2639),
    [sym_arrow_function] = STATE(1039),
    [sym_literal] = STATE(1039),
    [sym_throw_expression] = STATE(1039),
    [sym__expressions] = STATE(2680),
    [sym_sequence_expression] = STATE(2379),
    [sym_match_expression] = STATE(1026),
    [sym_expression] = STATE(1267),
    [sym__unary_expression] = STATE(1010),
    [sym_unary_op_expression] = STATE(1022),
    [sym_error_suppression_expression] = STATE(1026),
    [sym_clone_expression] = STATE(1022),
    [sym_primary_expression] = STATE(1022),
    [sym_parenthesized_expression] = STATE(811),
    [sym_class_constant_access_expression] = STATE(859),
    [sym_print_intrinsic] = STATE(1039),
    [sym_object_creation_expression] = STATE(1039),
    [sym__new_non_dereferencable_expression] = STATE(1009),
    [sym__new_dereferencable_expression] = STATE(842),
    [sym_update_expression] = STATE(1039),
    [sym_cast_expression] = STATE(1022),
    [sym_cast_variable] = STATE(681),
    [sym_assignment_expression] = STATE(1026),
    [sym_reference_assignment_expression] = STATE(1026),
    [sym_conditional_expression] = STATE(1026),
    [sym_augmented_assignment_expression] = STATE(1026),
    [sym__variable_member_access_expression] = STATE(613),
    [sym_member_access_expression] = STATE(681),
    [sym__variable_nullsafe_member_access_expression] = STATE(619),
    [sym_nullsafe_member_access_expression] = STATE(681),
    [sym__variable_scoped_property_access_expression] = STATE(602),
    [sym_scoped_property_access_expression] = STATE(681),
    [sym_list_literal] = STATE(2640),
    [sym__list_destructing] = STATE(2405),
    [sym__array_destructing] = STATE(2405),
    [sym_function_call_expression] = STATE(612),
    [sym__callable_expression] = STATE(2324),
    [sym_scoped_call_expression] = STATE(612),
    [sym__scope_resolution_qualifier] = STATE(2522),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(612),
    [sym_nullsafe_member_call_expression] = STATE(612),
    [sym__variable_subscript_expression] = STATE(610),
    [sym__dereferencable_subscript_expression] = STATE(612),
    [sym__dereferencable_expression] = STATE(1948),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(766),
    [sym_attribute_group] = STATE(1373),
    [sym_attribute_list] = STATE(1879),
    [sym_encapsed_string] = STATE(767),
    [sym_string] = STATE(767),
    [sym_heredoc] = STATE(767),
    [sym_nowdoc] = STATE(767),
    [sym_shell_command_expression] = STATE(1039),
    [sym_boolean] = STATE(1036),
    [sym_null] = STATE(1036),
    [sym__string] = STATE(768),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(595),
    [sym__new_variable] = STATE(683),
    [sym__callable_variable] = STATE(657),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1026),
    [sym_binary_expression] = STATE(1026),
    [sym_include_expression] = STATE(1026),
    [sym_include_once_expression] = STATE(1026),
    [sym_require_expression] = STATE(1026),
    [sym_require_once_expression] = STATE(1026),
    [sym__reserved_identifier] = STATE(717),
    [sym__identifier] = STATE(1496),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(697),
    [anon_sym_RPAREN2] = ACTIONS(911),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(701),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(703),
    [anon_sym_DASH] = ACTIONS(703),
    [anon_sym_TILDE] = ACTIONS(705),
    [anon_sym_BANG] = ACTIONS(705),
    [anon_sym_AT] = ACTIONS(707),
    [aux_sym_clone_expression_token1] = ACTIONS(709),
    [aux_sym_print_intrinsic_token1] = ACTIONS(711),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(713),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(5),
  },
  [211] = {
    [sym_text_interpolation] = STATE(211),
    [sym_qualified_name] = STATE(1000),
    [sym__name] = STATE(1631),
    [sym_namespace_name] = STATE(2575),
    [sym_static_modifier] = STATE(2368),
    [sym_anonymous_function] = STATE(1148),
    [sym__anonymous_function_header] = STATE(2489),
    [sym__arrow_function_header] = STATE(2731),
    [sym_arrow_function] = STATE(1148),
    [sym_literal] = STATE(1148),
    [sym_throw_expression] = STATE(1148),
    [sym_match_expression] = STATE(1152),
    [sym_expression] = STATE(1232),
    [sym__unary_expression] = STATE(1159),
    [sym_unary_op_expression] = STATE(1172),
    [sym_error_suppression_expression] = STATE(1152),
    [sym_clone_expression] = STATE(1172),
    [sym_primary_expression] = STATE(1172),
    [sym_parenthesized_expression] = STATE(964),
    [sym_class_constant_access_expression] = STATE(1019),
    [sym_print_intrinsic] = STATE(1148),
    [sym_object_creation_expression] = STATE(1148),
    [sym__new_non_dereferencable_expression] = STATE(1168),
    [sym__new_dereferencable_expression] = STATE(966),
    [sym_update_expression] = STATE(1148),
    [sym_cast_expression] = STATE(1172),
    [sym_cast_variable] = STATE(661),
    [sym_assignment_expression] = STATE(1152),
    [sym_reference_assignment_expression] = STATE(1152),
    [sym_conditional_expression] = STATE(1152),
    [sym_augmented_assignment_expression] = STATE(1152),
    [sym__variable_member_access_expression] = STATE(674),
    [sym_member_access_expression] = STATE(661),
    [sym__variable_nullsafe_member_access_expression] = STATE(663),
    [sym_nullsafe_member_access_expression] = STATE(661),
    [sym__variable_scoped_property_access_expression] = STATE(664),
    [sym_scoped_property_access_expression] = STATE(661),
    [sym_list_literal] = STATE(2530),
    [sym__list_destructing] = STATE(2405),
    [sym__array_destructing] = STATE(2405),
    [sym_function_call_expression] = STATE(634),
    [sym__callable_expression] = STATE(2471),
    [sym_scoped_call_expression] = STATE(634),
    [sym__scope_resolution_qualifier] = STATE(2651),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(634),
    [sym_nullsafe_member_call_expression] = STATE(634),
    [sym__variable_subscript_expression] = STATE(665),
    [sym__dereferencable_subscript_expression] = STATE(634),
    [sym__dereferencable_expression] = STATE(1946),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(1005),
    [sym_attribute_group] = STATE(1373),
    [sym_attribute_list] = STATE(1879),
    [sym_encapsed_string] = STATE(927),
    [sym_string] = STATE(927),
    [sym_heredoc] = STATE(927),
    [sym_nowdoc] = STATE(927),
    [sym_shell_command_expression] = STATE(1148),
    [sym_boolean] = STATE(1162),
    [sym_null] = STATE(1162),
    [sym__string] = STATE(941),
    [sym_dynamic_variable_name] = STATE(650),
    [sym__simple_variable] = STATE(654),
    [sym__new_variable] = STATE(667),
    [sym__callable_variable] = STATE(629),
    [sym_variable_name] = STATE(650),
    [sym_yield_expression] = STATE(1152),
    [sym_binary_expression] = STATE(1152),
    [sym_include_expression] = STATE(1152),
    [sym_include_once_expression] = STATE(1152),
    [sym_require_expression] = STATE(1152),
    [sym_require_once_expression] = STATE(1152),
    [sym__reserved_identifier] = STATE(717),
    [sym__identifier] = STATE(1496),
    [sym__semicolon] = STATE(468),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(689),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(360),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LPAREN2] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [sym_float] = ACTIONS(266),
    [sym_integer] = ACTIONS(266),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(360),
  },
  [212] = {
    [sym_text_interpolation] = STATE(212),
    [sym_qualified_name] = STATE(810),
    [sym__name] = STATE(1626),
    [sym_namespace_name] = STATE(2507),
    [sym_static_modifier] = STATE(2368),
    [sym_anonymous_function] = STATE(1039),
    [sym__anonymous_function_header] = STATE(2318),
    [sym__arrow_function_header] = STATE(2639),
    [sym_arrow_function] = STATE(1039),
    [sym_literal] = STATE(1039),
    [sym_throw_expression] = STATE(1039),
    [sym__expressions] = STATE(2685),
    [sym_sequence_expression] = STATE(2379),
    [sym_match_expression] = STATE(1026),
    [sym_expression] = STATE(1267),
    [sym__unary_expression] = STATE(1010),
    [sym_unary_op_expression] = STATE(1022),
    [sym_error_suppression_expression] = STATE(1026),
    [sym_clone_expression] = STATE(1022),
    [sym_primary_expression] = STATE(1022),
    [sym_parenthesized_expression] = STATE(811),
    [sym_class_constant_access_expression] = STATE(859),
    [sym_print_intrinsic] = STATE(1039),
    [sym_object_creation_expression] = STATE(1039),
    [sym__new_non_dereferencable_expression] = STATE(1009),
    [sym__new_dereferencable_expression] = STATE(842),
    [sym_update_expression] = STATE(1039),
    [sym_cast_expression] = STATE(1022),
    [sym_cast_variable] = STATE(681),
    [sym_assignment_expression] = STATE(1026),
    [sym_reference_assignment_expression] = STATE(1026),
    [sym_conditional_expression] = STATE(1026),
    [sym_augmented_assignment_expression] = STATE(1026),
    [sym__variable_member_access_expression] = STATE(613),
    [sym_member_access_expression] = STATE(681),
    [sym__variable_nullsafe_member_access_expression] = STATE(619),
    [sym_nullsafe_member_access_expression] = STATE(681),
    [sym__variable_scoped_property_access_expression] = STATE(602),
    [sym_scoped_property_access_expression] = STATE(681),
    [sym_list_literal] = STATE(2640),
    [sym__list_destructing] = STATE(2405),
    [sym__array_destructing] = STATE(2405),
    [sym_function_call_expression] = STATE(612),
    [sym__callable_expression] = STATE(2324),
    [sym_scoped_call_expression] = STATE(612),
    [sym__scope_resolution_qualifier] = STATE(2522),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(612),
    [sym_nullsafe_member_call_expression] = STATE(612),
    [sym__variable_subscript_expression] = STATE(610),
    [sym__dereferencable_subscript_expression] = STATE(612),
    [sym__dereferencable_expression] = STATE(1948),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(766),
    [sym_attribute_group] = STATE(1373),
    [sym_attribute_list] = STATE(1879),
    [sym_encapsed_string] = STATE(767),
    [sym_string] = STATE(767),
    [sym_heredoc] = STATE(767),
    [sym_nowdoc] = STATE(767),
    [sym_shell_command_expression] = STATE(1039),
    [sym_boolean] = STATE(1036),
    [sym_null] = STATE(1036),
    [sym__string] = STATE(768),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(595),
    [sym__new_variable] = STATE(683),
    [sym__callable_variable] = STATE(657),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1026),
    [sym_binary_expression] = STATE(1026),
    [sym_include_expression] = STATE(1026),
    [sym_include_once_expression] = STATE(1026),
    [sym_require_expression] = STATE(1026),
    [sym_require_once_expression] = STATE(1026),
    [sym__reserved_identifier] = STATE(717),
    [sym__identifier] = STATE(1496),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(697),
    [anon_sym_RPAREN2] = ACTIONS(913),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(701),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(703),
    [anon_sym_DASH] = ACTIONS(703),
    [anon_sym_TILDE] = ACTIONS(705),
    [anon_sym_BANG] = ACTIONS(705),
    [anon_sym_AT] = ACTIONS(707),
    [aux_sym_clone_expression_token1] = ACTIONS(709),
    [aux_sym_print_intrinsic_token1] = ACTIONS(711),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(713),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(5),
  },
  [213] = {
    [sym_text_interpolation] = STATE(213),
    [sym_qualified_name] = STATE(810),
    [sym__name] = STATE(1626),
    [sym_namespace_name] = STATE(2507),
    [sym_static_modifier] = STATE(2368),
    [sym_anonymous_function] = STATE(1039),
    [sym__anonymous_function_header] = STATE(2318),
    [sym__arrow_function_header] = STATE(2639),
    [sym_arrow_function] = STATE(1039),
    [sym_literal] = STATE(1039),
    [sym_throw_expression] = STATE(1039),
    [sym__expressions] = STATE(2687),
    [sym_sequence_expression] = STATE(2379),
    [sym_match_expression] = STATE(1026),
    [sym_expression] = STATE(1267),
    [sym__unary_expression] = STATE(1010),
    [sym_unary_op_expression] = STATE(1022),
    [sym_error_suppression_expression] = STATE(1026),
    [sym_clone_expression] = STATE(1022),
    [sym_primary_expression] = STATE(1022),
    [sym_parenthesized_expression] = STATE(811),
    [sym_class_constant_access_expression] = STATE(859),
    [sym_print_intrinsic] = STATE(1039),
    [sym_object_creation_expression] = STATE(1039),
    [sym__new_non_dereferencable_expression] = STATE(1009),
    [sym__new_dereferencable_expression] = STATE(842),
    [sym_update_expression] = STATE(1039),
    [sym_cast_expression] = STATE(1022),
    [sym_cast_variable] = STATE(681),
    [sym_assignment_expression] = STATE(1026),
    [sym_reference_assignment_expression] = STATE(1026),
    [sym_conditional_expression] = STATE(1026),
    [sym_augmented_assignment_expression] = STATE(1026),
    [sym__variable_member_access_expression] = STATE(613),
    [sym_member_access_expression] = STATE(681),
    [sym__variable_nullsafe_member_access_expression] = STATE(619),
    [sym_nullsafe_member_access_expression] = STATE(681),
    [sym__variable_scoped_property_access_expression] = STATE(602),
    [sym_scoped_property_access_expression] = STATE(681),
    [sym_list_literal] = STATE(2640),
    [sym__list_destructing] = STATE(2405),
    [sym__array_destructing] = STATE(2405),
    [sym_function_call_expression] = STATE(612),
    [sym__callable_expression] = STATE(2324),
    [sym_scoped_call_expression] = STATE(612),
    [sym__scope_resolution_qualifier] = STATE(2522),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(612),
    [sym_nullsafe_member_call_expression] = STATE(612),
    [sym__variable_subscript_expression] = STATE(610),
    [sym__dereferencable_subscript_expression] = STATE(612),
    [sym__dereferencable_expression] = STATE(1948),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(766),
    [sym_attribute_group] = STATE(1373),
    [sym_attribute_list] = STATE(1879),
    [sym_encapsed_string] = STATE(767),
    [sym_string] = STATE(767),
    [sym_heredoc] = STATE(767),
    [sym_nowdoc] = STATE(767),
    [sym_shell_command_expression] = STATE(1039),
    [sym_boolean] = STATE(1036),
    [sym_null] = STATE(1036),
    [sym__string] = STATE(768),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(595),
    [sym__new_variable] = STATE(683),
    [sym__callable_variable] = STATE(657),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1026),
    [sym_binary_expression] = STATE(1026),
    [sym_include_expression] = STATE(1026),
    [sym_include_once_expression] = STATE(1026),
    [sym_require_expression] = STATE(1026),
    [sym_require_once_expression] = STATE(1026),
    [sym__reserved_identifier] = STATE(717),
    [sym__identifier] = STATE(1496),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(697),
    [anon_sym_RPAREN2] = ACTIONS(915),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(701),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(703),
    [anon_sym_DASH] = ACTIONS(703),
    [anon_sym_TILDE] = ACTIONS(705),
    [anon_sym_BANG] = ACTIONS(705),
    [anon_sym_AT] = ACTIONS(707),
    [aux_sym_clone_expression_token1] = ACTIONS(709),
    [aux_sym_print_intrinsic_token1] = ACTIONS(711),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(713),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(5),
  },
  [214] = {
    [sym_text_interpolation] = STATE(214),
    [sym_qualified_name] = STATE(1000),
    [sym__name] = STATE(1631),
    [sym_namespace_name] = STATE(2575),
    [sym_static_modifier] = STATE(2368),
    [sym_anonymous_function] = STATE(1148),
    [sym__anonymous_function_header] = STATE(2489),
    [sym__arrow_function_header] = STATE(2731),
    [sym_arrow_function] = STATE(1148),
    [sym_literal] = STATE(1148),
    [sym_throw_expression] = STATE(1148),
    [sym_match_expression] = STATE(1152),
    [sym_expression] = STATE(1235),
    [sym__unary_expression] = STATE(1159),
    [sym_unary_op_expression] = STATE(1172),
    [sym_error_suppression_expression] = STATE(1152),
    [sym_clone_expression] = STATE(1172),
    [sym_primary_expression] = STATE(1172),
    [sym_parenthesized_expression] = STATE(964),
    [sym_class_constant_access_expression] = STATE(1019),
    [sym_print_intrinsic] = STATE(1148),
    [sym_object_creation_expression] = STATE(1148),
    [sym__new_non_dereferencable_expression] = STATE(1168),
    [sym__new_dereferencable_expression] = STATE(966),
    [sym_update_expression] = STATE(1148),
    [sym_cast_expression] = STATE(1172),
    [sym_cast_variable] = STATE(661),
    [sym_assignment_expression] = STATE(1152),
    [sym_reference_assignment_expression] = STATE(1152),
    [sym_conditional_expression] = STATE(1152),
    [sym_augmented_assignment_expression] = STATE(1152),
    [sym__variable_member_access_expression] = STATE(674),
    [sym_member_access_expression] = STATE(661),
    [sym__variable_nullsafe_member_access_expression] = STATE(663),
    [sym_nullsafe_member_access_expression] = STATE(661),
    [sym__variable_scoped_property_access_expression] = STATE(664),
    [sym_scoped_property_access_expression] = STATE(661),
    [sym_list_literal] = STATE(2530),
    [sym__list_destructing] = STATE(2405),
    [sym__array_destructing] = STATE(2405),
    [sym_function_call_expression] = STATE(634),
    [sym__callable_expression] = STATE(2471),
    [sym_scoped_call_expression] = STATE(634),
    [sym__scope_resolution_qualifier] = STATE(2651),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(634),
    [sym_nullsafe_member_call_expression] = STATE(634),
    [sym__variable_subscript_expression] = STATE(665),
    [sym__dereferencable_subscript_expression] = STATE(634),
    [sym__dereferencable_expression] = STATE(1946),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(1005),
    [sym_attribute_group] = STATE(1373),
    [sym_attribute_list] = STATE(1879),
    [sym_encapsed_string] = STATE(927),
    [sym_string] = STATE(927),
    [sym_heredoc] = STATE(927),
    [sym_nowdoc] = STATE(927),
    [sym_shell_command_expression] = STATE(1148),
    [sym_boolean] = STATE(1162),
    [sym_null] = STATE(1162),
    [sym__string] = STATE(941),
    [sym_dynamic_variable_name] = STATE(650),
    [sym__simple_variable] = STATE(654),
    [sym__new_variable] = STATE(667),
    [sym__callable_variable] = STATE(629),
    [sym_variable_name] = STATE(650),
    [sym_yield_expression] = STATE(1152),
    [sym_binary_expression] = STATE(1152),
    [sym_include_expression] = STATE(1152),
    [sym_include_once_expression] = STATE(1152),
    [sym_require_expression] = STATE(1152),
    [sym_require_once_expression] = STATE(1152),
    [sym__reserved_identifier] = STATE(717),
    [sym__identifier] = STATE(1496),
    [sym__semicolon] = STATE(469),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(689),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(360),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LPAREN2] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [sym_float] = ACTIONS(266),
    [sym_integer] = ACTIONS(266),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(360),
  },
  [215] = {
    [sym_text_interpolation] = STATE(215),
    [sym_qualified_name] = STATE(810),
    [sym__name] = STATE(1626),
    [sym_namespace_name] = STATE(2507),
    [sym_static_modifier] = STATE(2368),
    [sym_anonymous_function] = STATE(1039),
    [sym__anonymous_function_header] = STATE(2318),
    [sym__arrow_function_header] = STATE(2547),
    [sym_arrow_function] = STATE(1039),
    [sym_literal] = STATE(1039),
    [sym_throw_expression] = STATE(1039),
    [sym__expressions] = STATE(2702),
    [sym_sequence_expression] = STATE(2379),
    [sym_match_expression] = STATE(1026),
    [sym_expression] = STATE(1242),
    [sym__unary_expression] = STATE(1010),
    [sym_unary_op_expression] = STATE(1022),
    [sym_error_suppression_expression] = STATE(1026),
    [sym_clone_expression] = STATE(1022),
    [sym_primary_expression] = STATE(1022),
    [sym_parenthesized_expression] = STATE(811),
    [sym_class_constant_access_expression] = STATE(859),
    [sym_print_intrinsic] = STATE(1039),
    [sym_object_creation_expression] = STATE(1039),
    [sym__new_non_dereferencable_expression] = STATE(1009),
    [sym__new_dereferencable_expression] = STATE(842),
    [sym_update_expression] = STATE(1039),
    [sym_cast_expression] = STATE(1022),
    [sym_cast_variable] = STATE(656),
    [sym_assignment_expression] = STATE(1026),
    [sym_reference_assignment_expression] = STATE(1026),
    [sym_conditional_expression] = STATE(1026),
    [sym_augmented_assignment_expression] = STATE(1026),
    [sym__variable_member_access_expression] = STATE(613),
    [sym_member_access_expression] = STATE(656),
    [sym__variable_nullsafe_member_access_expression] = STATE(619),
    [sym_nullsafe_member_access_expression] = STATE(656),
    [sym__variable_scoped_property_access_expression] = STATE(602),
    [sym_scoped_property_access_expression] = STATE(656),
    [sym_list_literal] = STATE(2548),
    [sym__list_destructing] = STATE(2405),
    [sym__array_destructing] = STATE(2405),
    [sym_function_call_expression] = STATE(612),
    [sym__callable_expression] = STATE(2324),
    [sym_scoped_call_expression] = STATE(612),
    [sym__scope_resolution_qualifier] = STATE(2522),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(612),
    [sym_nullsafe_member_call_expression] = STATE(612),
    [sym__variable_subscript_expression] = STATE(610),
    [sym__dereferencable_subscript_expression] = STATE(612),
    [sym__dereferencable_expression] = STATE(1948),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(766),
    [sym_attribute_group] = STATE(1373),
    [sym_attribute_list] = STATE(1879),
    [sym_encapsed_string] = STATE(767),
    [sym_string] = STATE(767),
    [sym_heredoc] = STATE(767),
    [sym_nowdoc] = STATE(767),
    [sym_shell_command_expression] = STATE(1039),
    [sym_boolean] = STATE(1036),
    [sym_null] = STATE(1036),
    [sym__string] = STATE(768),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(595),
    [sym__new_variable] = STATE(662),
    [sym__callable_variable] = STATE(646),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1026),
    [sym_binary_expression] = STATE(1026),
    [sym_include_expression] = STATE(1026),
    [sym_include_once_expression] = STATE(1026),
    [sym_require_expression] = STATE(1026),
    [sym_require_once_expression] = STATE(1026),
    [sym__reserved_identifier] = STATE(717),
    [sym__identifier] = STATE(1496),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(917),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(659),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(663),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(665),
    [anon_sym_DASH] = ACTIONS(665),
    [anon_sym_TILDE] = ACTIONS(667),
    [anon_sym_BANG] = ACTIONS(667),
    [anon_sym_AT] = ACTIONS(669),
    [aux_sym_clone_expression_token1] = ACTIONS(671),
    [aux_sym_print_intrinsic_token1] = ACTIONS(673),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(675),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(677),
    [aux_sym_include_expression_token1] = ACTIONS(681),
    [aux_sym_include_once_expression_token1] = ACTIONS(683),
    [aux_sym_require_expression_token1] = ACTIONS(685),
    [aux_sym_require_once_expression_token1] = ACTIONS(687),
    [sym_comment] = ACTIONS(5),
  },
  [216] = {
    [sym_text_interpolation] = STATE(216),
    [sym_qualified_name] = STATE(810),
    [sym__name] = STATE(1626),
    [sym_namespace_name] = STATE(2507),
    [sym_static_modifier] = STATE(2368),
    [sym_anonymous_function] = STATE(1039),
    [sym__anonymous_function_header] = STATE(2318),
    [sym__arrow_function_header] = STATE(2639),
    [sym_arrow_function] = STATE(1039),
    [sym_literal] = STATE(1039),
    [sym_throw_expression] = STATE(1039),
    [sym__expressions] = STATE(2660),
    [sym_sequence_expression] = STATE(2379),
    [sym_match_expression] = STATE(1026),
    [sym_expression] = STATE(1267),
    [sym__unary_expression] = STATE(1010),
    [sym_unary_op_expression] = STATE(1022),
    [sym_error_suppression_expression] = STATE(1026),
    [sym_clone_expression] = STATE(1022),
    [sym_primary_expression] = STATE(1022),
    [sym_parenthesized_expression] = STATE(811),
    [sym_class_constant_access_expression] = STATE(859),
    [sym_print_intrinsic] = STATE(1039),
    [sym_object_creation_expression] = STATE(1039),
    [sym__new_non_dereferencable_expression] = STATE(1009),
    [sym__new_dereferencable_expression] = STATE(842),
    [sym_update_expression] = STATE(1039),
    [sym_cast_expression] = STATE(1022),
    [sym_cast_variable] = STATE(681),
    [sym_assignment_expression] = STATE(1026),
    [sym_reference_assignment_expression] = STATE(1026),
    [sym_conditional_expression] = STATE(1026),
    [sym_augmented_assignment_expression] = STATE(1026),
    [sym__variable_member_access_expression] = STATE(613),
    [sym_member_access_expression] = STATE(681),
    [sym__variable_nullsafe_member_access_expression] = STATE(619),
    [sym_nullsafe_member_access_expression] = STATE(681),
    [sym__variable_scoped_property_access_expression] = STATE(602),
    [sym_scoped_property_access_expression] = STATE(681),
    [sym_list_literal] = STATE(2640),
    [sym__list_destructing] = STATE(2405),
    [sym__array_destructing] = STATE(2405),
    [sym_function_call_expression] = STATE(612),
    [sym__callable_expression] = STATE(2324),
    [sym_scoped_call_expression] = STATE(612),
    [sym__scope_resolution_qualifier] = STATE(2522),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(612),
    [sym_nullsafe_member_call_expression] = STATE(612),
    [sym__variable_subscript_expression] = STATE(610),
    [sym__dereferencable_subscript_expression] = STATE(612),
    [sym__dereferencable_expression] = STATE(1948),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(766),
    [sym_attribute_group] = STATE(1373),
    [sym_attribute_list] = STATE(1879),
    [sym_encapsed_string] = STATE(767),
    [sym_string] = STATE(767),
    [sym_heredoc] = STATE(767),
    [sym_nowdoc] = STATE(767),
    [sym_shell_command_expression] = STATE(1039),
    [sym_boolean] = STATE(1036),
    [sym_null] = STATE(1036),
    [sym__string] = STATE(768),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(595),
    [sym__new_variable] = STATE(683),
    [sym__callable_variable] = STATE(657),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1026),
    [sym_binary_expression] = STATE(1026),
    [sym_include_expression] = STATE(1026),
    [sym_include_once_expression] = STATE(1026),
    [sym_require_expression] = STATE(1026),
    [sym_require_once_expression] = STATE(1026),
    [sym__reserved_identifier] = STATE(717),
    [sym__identifier] = STATE(1496),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(697),
    [anon_sym_RPAREN2] = ACTIONS(919),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(701),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(703),
    [anon_sym_DASH] = ACTIONS(703),
    [anon_sym_TILDE] = ACTIONS(705),
    [anon_sym_BANG] = ACTIONS(705),
    [anon_sym_AT] = ACTIONS(707),
    [aux_sym_clone_expression_token1] = ACTIONS(709),
    [aux_sym_print_intrinsic_token1] = ACTIONS(711),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(713),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(5),
  },
  [217] = {
    [sym_text_interpolation] = STATE(217),
    [sym_qualified_name] = STATE(810),
    [sym__name] = STATE(1626),
    [sym_namespace_name] = STATE(2507),
    [sym_static_modifier] = STATE(2368),
    [sym_anonymous_function] = STATE(1039),
    [sym__anonymous_function_header] = STATE(2318),
    [sym__arrow_function_header] = STATE(2547),
    [sym_arrow_function] = STATE(1039),
    [sym_literal] = STATE(1039),
    [sym_throw_expression] = STATE(1039),
    [sym__expressions] = STATE(2710),
    [sym_sequence_expression] = STATE(2379),
    [sym_match_expression] = STATE(1026),
    [sym_expression] = STATE(1242),
    [sym__unary_expression] = STATE(1010),
    [sym_unary_op_expression] = STATE(1022),
    [sym_error_suppression_expression] = STATE(1026),
    [sym_clone_expression] = STATE(1022),
    [sym_primary_expression] = STATE(1022),
    [sym_parenthesized_expression] = STATE(811),
    [sym_class_constant_access_expression] = STATE(859),
    [sym_print_intrinsic] = STATE(1039),
    [sym_object_creation_expression] = STATE(1039),
    [sym__new_non_dereferencable_expression] = STATE(1009),
    [sym__new_dereferencable_expression] = STATE(842),
    [sym_update_expression] = STATE(1039),
    [sym_cast_expression] = STATE(1022),
    [sym_cast_variable] = STATE(656),
    [sym_assignment_expression] = STATE(1026),
    [sym_reference_assignment_expression] = STATE(1026),
    [sym_conditional_expression] = STATE(1026),
    [sym_augmented_assignment_expression] = STATE(1026),
    [sym__variable_member_access_expression] = STATE(613),
    [sym_member_access_expression] = STATE(656),
    [sym__variable_nullsafe_member_access_expression] = STATE(619),
    [sym_nullsafe_member_access_expression] = STATE(656),
    [sym__variable_scoped_property_access_expression] = STATE(602),
    [sym_scoped_property_access_expression] = STATE(656),
    [sym_list_literal] = STATE(2548),
    [sym__list_destructing] = STATE(2405),
    [sym__array_destructing] = STATE(2405),
    [sym_function_call_expression] = STATE(612),
    [sym__callable_expression] = STATE(2324),
    [sym_scoped_call_expression] = STATE(612),
    [sym__scope_resolution_qualifier] = STATE(2522),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(612),
    [sym_nullsafe_member_call_expression] = STATE(612),
    [sym__variable_subscript_expression] = STATE(610),
    [sym__dereferencable_subscript_expression] = STATE(612),
    [sym__dereferencable_expression] = STATE(1948),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(766),
    [sym_attribute_group] = STATE(1373),
    [sym_attribute_list] = STATE(1879),
    [sym_encapsed_string] = STATE(767),
    [sym_string] = STATE(767),
    [sym_heredoc] = STATE(767),
    [sym_nowdoc] = STATE(767),
    [sym_shell_command_expression] = STATE(1039),
    [sym_boolean] = STATE(1036),
    [sym_null] = STATE(1036),
    [sym__string] = STATE(768),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(595),
    [sym__new_variable] = STATE(662),
    [sym__callable_variable] = STATE(646),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1026),
    [sym_binary_expression] = STATE(1026),
    [sym_include_expression] = STATE(1026),
    [sym_include_once_expression] = STATE(1026),
    [sym_require_expression] = STATE(1026),
    [sym_require_once_expression] = STATE(1026),
    [sym__reserved_identifier] = STATE(717),
    [sym__identifier] = STATE(1496),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(921),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(659),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(663),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(665),
    [anon_sym_DASH] = ACTIONS(665),
    [anon_sym_TILDE] = ACTIONS(667),
    [anon_sym_BANG] = ACTIONS(667),
    [anon_sym_AT] = ACTIONS(669),
    [aux_sym_clone_expression_token1] = ACTIONS(671),
    [aux_sym_print_intrinsic_token1] = ACTIONS(673),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(675),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(677),
    [aux_sym_include_expression_token1] = ACTIONS(681),
    [aux_sym_include_once_expression_token1] = ACTIONS(683),
    [aux_sym_require_expression_token1] = ACTIONS(685),
    [aux_sym_require_once_expression_token1] = ACTIONS(687),
    [sym_comment] = ACTIONS(5),
  },
  [218] = {
    [sym_text_interpolation] = STATE(218),
    [sym_qualified_name] = STATE(810),
    [sym__name] = STATE(1626),
    [sym_namespace_name] = STATE(2507),
    [sym_static_modifier] = STATE(2368),
    [sym_anonymous_function] = STATE(1039),
    [sym__anonymous_function_header] = STATE(2318),
    [sym__arrow_function_header] = STATE(2639),
    [sym_arrow_function] = STATE(1039),
    [sym_literal] = STATE(1039),
    [sym_throw_expression] = STATE(1039),
    [sym__expressions] = STATE(2568),
    [sym_sequence_expression] = STATE(2379),
    [sym_match_expression] = STATE(1026),
    [sym_expression] = STATE(1267),
    [sym__unary_expression] = STATE(1010),
    [sym_unary_op_expression] = STATE(1022),
    [sym_error_suppression_expression] = STATE(1026),
    [sym_clone_expression] = STATE(1022),
    [sym_primary_expression] = STATE(1022),
    [sym_parenthesized_expression] = STATE(811),
    [sym_class_constant_access_expression] = STATE(859),
    [sym_print_intrinsic] = STATE(1039),
    [sym_object_creation_expression] = STATE(1039),
    [sym__new_non_dereferencable_expression] = STATE(1009),
    [sym__new_dereferencable_expression] = STATE(842),
    [sym_update_expression] = STATE(1039),
    [sym_cast_expression] = STATE(1022),
    [sym_cast_variable] = STATE(681),
    [sym_assignment_expression] = STATE(1026),
    [sym_reference_assignment_expression] = STATE(1026),
    [sym_conditional_expression] = STATE(1026),
    [sym_augmented_assignment_expression] = STATE(1026),
    [sym__variable_member_access_expression] = STATE(613),
    [sym_member_access_expression] = STATE(681),
    [sym__variable_nullsafe_member_access_expression] = STATE(619),
    [sym_nullsafe_member_access_expression] = STATE(681),
    [sym__variable_scoped_property_access_expression] = STATE(602),
    [sym_scoped_property_access_expression] = STATE(681),
    [sym_list_literal] = STATE(2640),
    [sym__list_destructing] = STATE(2405),
    [sym__array_destructing] = STATE(2405),
    [sym_function_call_expression] = STATE(612),
    [sym__callable_expression] = STATE(2324),
    [sym_scoped_call_expression] = STATE(612),
    [sym__scope_resolution_qualifier] = STATE(2522),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(612),
    [sym_nullsafe_member_call_expression] = STATE(612),
    [sym__variable_subscript_expression] = STATE(610),
    [sym__dereferencable_subscript_expression] = STATE(612),
    [sym__dereferencable_expression] = STATE(1948),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(766),
    [sym_attribute_group] = STATE(1373),
    [sym_attribute_list] = STATE(1879),
    [sym_encapsed_string] = STATE(767),
    [sym_string] = STATE(767),
    [sym_heredoc] = STATE(767),
    [sym_nowdoc] = STATE(767),
    [sym_shell_command_expression] = STATE(1039),
    [sym_boolean] = STATE(1036),
    [sym_null] = STATE(1036),
    [sym__string] = STATE(768),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(595),
    [sym__new_variable] = STATE(683),
    [sym__callable_variable] = STATE(657),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1026),
    [sym_binary_expression] = STATE(1026),
    [sym_include_expression] = STATE(1026),
    [sym_include_once_expression] = STATE(1026),
    [sym_require_expression] = STATE(1026),
    [sym_require_once_expression] = STATE(1026),
    [sym__reserved_identifier] = STATE(717),
    [sym__identifier] = STATE(1496),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(697),
    [anon_sym_RPAREN2] = ACTIONS(923),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(701),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(703),
    [anon_sym_DASH] = ACTIONS(703),
    [anon_sym_TILDE] = ACTIONS(705),
    [anon_sym_BANG] = ACTIONS(705),
    [anon_sym_AT] = ACTIONS(707),
    [aux_sym_clone_expression_token1] = ACTIONS(709),
    [aux_sym_print_intrinsic_token1] = ACTIONS(711),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(713),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(5),
  },
  [219] = {
    [sym_text_interpolation] = STATE(219),
    [sym_qualified_name] = STATE(810),
    [sym__name] = STATE(1626),
    [sym_namespace_name] = STATE(2507),
    [sym_static_modifier] = STATE(2368),
    [sym_anonymous_function] = STATE(1039),
    [sym__anonymous_function_header] = STATE(2318),
    [sym__arrow_function_header] = STATE(2547),
    [sym_arrow_function] = STATE(1039),
    [sym_literal] = STATE(1039),
    [sym_throw_expression] = STATE(1039),
    [sym__expressions] = STATE(2723),
    [sym_sequence_expression] = STATE(2379),
    [sym_match_expression] = STATE(1026),
    [sym_expression] = STATE(1242),
    [sym__unary_expression] = STATE(1010),
    [sym_unary_op_expression] = STATE(1022),
    [sym_error_suppression_expression] = STATE(1026),
    [sym_clone_expression] = STATE(1022),
    [sym_primary_expression] = STATE(1022),
    [sym_parenthesized_expression] = STATE(811),
    [sym_class_constant_access_expression] = STATE(859),
    [sym_print_intrinsic] = STATE(1039),
    [sym_object_creation_expression] = STATE(1039),
    [sym__new_non_dereferencable_expression] = STATE(1009),
    [sym__new_dereferencable_expression] = STATE(842),
    [sym_update_expression] = STATE(1039),
    [sym_cast_expression] = STATE(1022),
    [sym_cast_variable] = STATE(656),
    [sym_assignment_expression] = STATE(1026),
    [sym_reference_assignment_expression] = STATE(1026),
    [sym_conditional_expression] = STATE(1026),
    [sym_augmented_assignment_expression] = STATE(1026),
    [sym__variable_member_access_expression] = STATE(613),
    [sym_member_access_expression] = STATE(656),
    [sym__variable_nullsafe_member_access_expression] = STATE(619),
    [sym_nullsafe_member_access_expression] = STATE(656),
    [sym__variable_scoped_property_access_expression] = STATE(602),
    [sym_scoped_property_access_expression] = STATE(656),
    [sym_list_literal] = STATE(2548),
    [sym__list_destructing] = STATE(2405),
    [sym__array_destructing] = STATE(2405),
    [sym_function_call_expression] = STATE(612),
    [sym__callable_expression] = STATE(2324),
    [sym_scoped_call_expression] = STATE(612),
    [sym__scope_resolution_qualifier] = STATE(2522),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(612),
    [sym_nullsafe_member_call_expression] = STATE(612),
    [sym__variable_subscript_expression] = STATE(610),
    [sym__dereferencable_subscript_expression] = STATE(612),
    [sym__dereferencable_expression] = STATE(1948),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(766),
    [sym_attribute_group] = STATE(1373),
    [sym_attribute_list] = STATE(1879),
    [sym_encapsed_string] = STATE(767),
    [sym_string] = STATE(767),
    [sym_heredoc] = STATE(767),
    [sym_nowdoc] = STATE(767),
    [sym_shell_command_expression] = STATE(1039),
    [sym_boolean] = STATE(1036),
    [sym_null] = STATE(1036),
    [sym__string] = STATE(768),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(595),
    [sym__new_variable] = STATE(662),
    [sym__callable_variable] = STATE(646),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1026),
    [sym_binary_expression] = STATE(1026),
    [sym_include_expression] = STATE(1026),
    [sym_include_once_expression] = STATE(1026),
    [sym_require_expression] = STATE(1026),
    [sym_require_once_expression] = STATE(1026),
    [sym__reserved_identifier] = STATE(717),
    [sym__identifier] = STATE(1496),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(925),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(659),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(663),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(665),
    [anon_sym_DASH] = ACTIONS(665),
    [anon_sym_TILDE] = ACTIONS(667),
    [anon_sym_BANG] = ACTIONS(667),
    [anon_sym_AT] = ACTIONS(669),
    [aux_sym_clone_expression_token1] = ACTIONS(671),
    [aux_sym_print_intrinsic_token1] = ACTIONS(673),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(675),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(677),
    [aux_sym_include_expression_token1] = ACTIONS(681),
    [aux_sym_include_once_expression_token1] = ACTIONS(683),
    [aux_sym_require_expression_token1] = ACTIONS(685),
    [aux_sym_require_once_expression_token1] = ACTIONS(687),
    [sym_comment] = ACTIONS(5),
  },
  [220] = {
    [sym_text_interpolation] = STATE(220),
    [sym_qualified_name] = STATE(810),
    [sym__name] = STATE(1626),
    [sym_namespace_name] = STATE(2507),
    [sym_static_modifier] = STATE(2368),
    [sym_anonymous_function] = STATE(1039),
    [sym__anonymous_function_header] = STATE(2318),
    [sym__arrow_function_header] = STATE(2547),
    [sym_arrow_function] = STATE(1039),
    [sym_literal] = STATE(1039),
    [sym_throw_expression] = STATE(1039),
    [sym__expressions] = STATE(2726),
    [sym_sequence_expression] = STATE(2379),
    [sym_match_expression] = STATE(1026),
    [sym_expression] = STATE(1242),
    [sym__unary_expression] = STATE(1010),
    [sym_unary_op_expression] = STATE(1022),
    [sym_error_suppression_expression] = STATE(1026),
    [sym_clone_expression] = STATE(1022),
    [sym_primary_expression] = STATE(1022),
    [sym_parenthesized_expression] = STATE(811),
    [sym_class_constant_access_expression] = STATE(859),
    [sym_print_intrinsic] = STATE(1039),
    [sym_object_creation_expression] = STATE(1039),
    [sym__new_non_dereferencable_expression] = STATE(1009),
    [sym__new_dereferencable_expression] = STATE(842),
    [sym_update_expression] = STATE(1039),
    [sym_cast_expression] = STATE(1022),
    [sym_cast_variable] = STATE(656),
    [sym_assignment_expression] = STATE(1026),
    [sym_reference_assignment_expression] = STATE(1026),
    [sym_conditional_expression] = STATE(1026),
    [sym_augmented_assignment_expression] = STATE(1026),
    [sym__variable_member_access_expression] = STATE(613),
    [sym_member_access_expression] = STATE(656),
    [sym__variable_nullsafe_member_access_expression] = STATE(619),
    [sym_nullsafe_member_access_expression] = STATE(656),
    [sym__variable_scoped_property_access_expression] = STATE(602),
    [sym_scoped_property_access_expression] = STATE(656),
    [sym_list_literal] = STATE(2548),
    [sym__list_destructing] = STATE(2405),
    [sym__array_destructing] = STATE(2405),
    [sym_function_call_expression] = STATE(612),
    [sym__callable_expression] = STATE(2324),
    [sym_scoped_call_expression] = STATE(612),
    [sym__scope_resolution_qualifier] = STATE(2522),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(612),
    [sym_nullsafe_member_call_expression] = STATE(612),
    [sym__variable_subscript_expression] = STATE(610),
    [sym__dereferencable_subscript_expression] = STATE(612),
    [sym__dereferencable_expression] = STATE(1948),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(766),
    [sym_attribute_group] = STATE(1373),
    [sym_attribute_list] = STATE(1879),
    [sym_encapsed_string] = STATE(767),
    [sym_string] = STATE(767),
    [sym_heredoc] = STATE(767),
    [sym_nowdoc] = STATE(767),
    [sym_shell_command_expression] = STATE(1039),
    [sym_boolean] = STATE(1036),
    [sym_null] = STATE(1036),
    [sym__string] = STATE(768),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(595),
    [sym__new_variable] = STATE(662),
    [sym__callable_variable] = STATE(646),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1026),
    [sym_binary_expression] = STATE(1026),
    [sym_include_expression] = STATE(1026),
    [sym_include_once_expression] = STATE(1026),
    [sym_require_expression] = STATE(1026),
    [sym_require_once_expression] = STATE(1026),
    [sym__reserved_identifier] = STATE(717),
    [sym__identifier] = STATE(1496),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(927),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(659),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(663),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(665),
    [anon_sym_DASH] = ACTIONS(665),
    [anon_sym_TILDE] = ACTIONS(667),
    [anon_sym_BANG] = ACTIONS(667),
    [anon_sym_AT] = ACTIONS(669),
    [aux_sym_clone_expression_token1] = ACTIONS(671),
    [aux_sym_print_intrinsic_token1] = ACTIONS(673),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(675),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(677),
    [aux_sym_include_expression_token1] = ACTIONS(681),
    [aux_sym_include_once_expression_token1] = ACTIONS(683),
    [aux_sym_require_expression_token1] = ACTIONS(685),
    [aux_sym_require_once_expression_token1] = ACTIONS(687),
    [sym_comment] = ACTIONS(5),
  },
  [221] = {
    [sym_text_interpolation] = STATE(221),
    [sym_qualified_name] = STATE(810),
    [sym__name] = STATE(1626),
    [sym_namespace_name] = STATE(2507),
    [sym_static_modifier] = STATE(2368),
    [sym_anonymous_function] = STATE(1039),
    [sym__anonymous_function_header] = STATE(2318),
    [sym__arrow_function_header] = STATE(2639),
    [sym_arrow_function] = STATE(1039),
    [sym_literal] = STATE(1039),
    [sym_throw_expression] = STATE(1039),
    [sym__expressions] = STATE(2631),
    [sym_sequence_expression] = STATE(2379),
    [sym_match_expression] = STATE(1026),
    [sym_expression] = STATE(1267),
    [sym__unary_expression] = STATE(1010),
    [sym_unary_op_expression] = STATE(1022),
    [sym_error_suppression_expression] = STATE(1026),
    [sym_clone_expression] = STATE(1022),
    [sym_primary_expression] = STATE(1022),
    [sym_parenthesized_expression] = STATE(811),
    [sym_class_constant_access_expression] = STATE(859),
    [sym_print_intrinsic] = STATE(1039),
    [sym_object_creation_expression] = STATE(1039),
    [sym__new_non_dereferencable_expression] = STATE(1009),
    [sym__new_dereferencable_expression] = STATE(842),
    [sym_update_expression] = STATE(1039),
    [sym_cast_expression] = STATE(1022),
    [sym_cast_variable] = STATE(681),
    [sym_assignment_expression] = STATE(1026),
    [sym_reference_assignment_expression] = STATE(1026),
    [sym_conditional_expression] = STATE(1026),
    [sym_augmented_assignment_expression] = STATE(1026),
    [sym__variable_member_access_expression] = STATE(613),
    [sym_member_access_expression] = STATE(681),
    [sym__variable_nullsafe_member_access_expression] = STATE(619),
    [sym_nullsafe_member_access_expression] = STATE(681),
    [sym__variable_scoped_property_access_expression] = STATE(602),
    [sym_scoped_property_access_expression] = STATE(681),
    [sym_list_literal] = STATE(2640),
    [sym__list_destructing] = STATE(2405),
    [sym__array_destructing] = STATE(2405),
    [sym_function_call_expression] = STATE(612),
    [sym__callable_expression] = STATE(2324),
    [sym_scoped_call_expression] = STATE(612),
    [sym__scope_resolution_qualifier] = STATE(2522),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(612),
    [sym_nullsafe_member_call_expression] = STATE(612),
    [sym__variable_subscript_expression] = STATE(610),
    [sym__dereferencable_subscript_expression] = STATE(612),
    [sym__dereferencable_expression] = STATE(1948),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(766),
    [sym_attribute_group] = STATE(1373),
    [sym_attribute_list] = STATE(1879),
    [sym_encapsed_string] = STATE(767),
    [sym_string] = STATE(767),
    [sym_heredoc] = STATE(767),
    [sym_nowdoc] = STATE(767),
    [sym_shell_command_expression] = STATE(1039),
    [sym_boolean] = STATE(1036),
    [sym_null] = STATE(1036),
    [sym__string] = STATE(768),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(595),
    [sym__new_variable] = STATE(683),
    [sym__callable_variable] = STATE(657),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1026),
    [sym_binary_expression] = STATE(1026),
    [sym_include_expression] = STATE(1026),
    [sym_include_once_expression] = STATE(1026),
    [sym_require_expression] = STATE(1026),
    [sym_require_once_expression] = STATE(1026),
    [sym__reserved_identifier] = STATE(717),
    [sym__identifier] = STATE(1496),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(697),
    [anon_sym_RPAREN2] = ACTIONS(929),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(701),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(703),
    [anon_sym_DASH] = ACTIONS(703),
    [anon_sym_TILDE] = ACTIONS(705),
    [anon_sym_BANG] = ACTIONS(705),
    [anon_sym_AT] = ACTIONS(707),
    [aux_sym_clone_expression_token1] = ACTIONS(709),
    [aux_sym_print_intrinsic_token1] = ACTIONS(711),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(713),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(5),
  },
  [222] = {
    [sym_text_interpolation] = STATE(222),
    [sym_qualified_name] = STATE(810),
    [sym__name] = STATE(1626),
    [sym_namespace_name] = STATE(2507),
    [sym_static_modifier] = STATE(2368),
    [sym_anonymous_function] = STATE(1039),
    [sym__anonymous_function_header] = STATE(2318),
    [sym__arrow_function_header] = STATE(2639),
    [sym_arrow_function] = STATE(1039),
    [sym_literal] = STATE(1039),
    [sym_throw_expression] = STATE(1039),
    [sym__expressions] = STATE(2562),
    [sym_sequence_expression] = STATE(2379),
    [sym_match_expression] = STATE(1026),
    [sym_expression] = STATE(1267),
    [sym__unary_expression] = STATE(1010),
    [sym_unary_op_expression] = STATE(1022),
    [sym_error_suppression_expression] = STATE(1026),
    [sym_clone_expression] = STATE(1022),
    [sym_primary_expression] = STATE(1022),
    [sym_parenthesized_expression] = STATE(811),
    [sym_class_constant_access_expression] = STATE(859),
    [sym_print_intrinsic] = STATE(1039),
    [sym_object_creation_expression] = STATE(1039),
    [sym__new_non_dereferencable_expression] = STATE(1009),
    [sym__new_dereferencable_expression] = STATE(842),
    [sym_update_expression] = STATE(1039),
    [sym_cast_expression] = STATE(1022),
    [sym_cast_variable] = STATE(681),
    [sym_assignment_expression] = STATE(1026),
    [sym_reference_assignment_expression] = STATE(1026),
    [sym_conditional_expression] = STATE(1026),
    [sym_augmented_assignment_expression] = STATE(1026),
    [sym__variable_member_access_expression] = STATE(613),
    [sym_member_access_expression] = STATE(681),
    [sym__variable_nullsafe_member_access_expression] = STATE(619),
    [sym_nullsafe_member_access_expression] = STATE(681),
    [sym__variable_scoped_property_access_expression] = STATE(602),
    [sym_scoped_property_access_expression] = STATE(681),
    [sym_list_literal] = STATE(2640),
    [sym__list_destructing] = STATE(2405),
    [sym__array_destructing] = STATE(2405),
    [sym_function_call_expression] = STATE(612),
    [sym__callable_expression] = STATE(2324),
    [sym_scoped_call_expression] = STATE(612),
    [sym__scope_resolution_qualifier] = STATE(2522),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(612),
    [sym_nullsafe_member_call_expression] = STATE(612),
    [sym__variable_subscript_expression] = STATE(610),
    [sym__dereferencable_subscript_expression] = STATE(612),
    [sym__dereferencable_expression] = STATE(1948),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(766),
    [sym_attribute_group] = STATE(1373),
    [sym_attribute_list] = STATE(1879),
    [sym_encapsed_string] = STATE(767),
    [sym_string] = STATE(767),
    [sym_heredoc] = STATE(767),
    [sym_nowdoc] = STATE(767),
    [sym_shell_command_expression] = STATE(1039),
    [sym_boolean] = STATE(1036),
    [sym_null] = STATE(1036),
    [sym__string] = STATE(768),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(595),
    [sym__new_variable] = STATE(683),
    [sym__callable_variable] = STATE(657),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1026),
    [sym_binary_expression] = STATE(1026),
    [sym_include_expression] = STATE(1026),
    [sym_include_once_expression] = STATE(1026),
    [sym_require_expression] = STATE(1026),
    [sym_require_once_expression] = STATE(1026),
    [sym__reserved_identifier] = STATE(717),
    [sym__identifier] = STATE(1496),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(697),
    [anon_sym_RPAREN2] = ACTIONS(931),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(701),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(703),
    [anon_sym_DASH] = ACTIONS(703),
    [anon_sym_TILDE] = ACTIONS(705),
    [anon_sym_BANG] = ACTIONS(705),
    [anon_sym_AT] = ACTIONS(707),
    [aux_sym_clone_expression_token1] = ACTIONS(709),
    [aux_sym_print_intrinsic_token1] = ACTIONS(711),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(713),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(5),
  },
  [223] = {
    [sym_text_interpolation] = STATE(223),
    [sym_qualified_name] = STATE(1000),
    [sym__name] = STATE(1631),
    [sym_namespace_name] = STATE(2575),
    [sym_static_modifier] = STATE(2368),
    [sym_anonymous_function] = STATE(1148),
    [sym__anonymous_function_header] = STATE(2489),
    [sym__arrow_function_header] = STATE(2731),
    [sym_arrow_function] = STATE(1148),
    [sym_literal] = STATE(1148),
    [sym_throw_expression] = STATE(1148),
    [sym__expressions] = STATE(2013),
    [sym_sequence_expression] = STATE(2334),
    [sym_match_expression] = STATE(1152),
    [sym_expression] = STATE(1220),
    [sym__unary_expression] = STATE(1159),
    [sym_unary_op_expression] = STATE(1172),
    [sym_error_suppression_expression] = STATE(1152),
    [sym_clone_expression] = STATE(1172),
    [sym_primary_expression] = STATE(1172),
    [sym_parenthesized_expression] = STATE(964),
    [sym_class_constant_access_expression] = STATE(1019),
    [sym_print_intrinsic] = STATE(1148),
    [sym_object_creation_expression] = STATE(1148),
    [sym__new_non_dereferencable_expression] = STATE(1168),
    [sym__new_dereferencable_expression] = STATE(966),
    [sym_update_expression] = STATE(1148),
    [sym_cast_expression] = STATE(1172),
    [sym_cast_variable] = STATE(661),
    [sym_assignment_expression] = STATE(1152),
    [sym_reference_assignment_expression] = STATE(1152),
    [sym_conditional_expression] = STATE(1152),
    [sym_augmented_assignment_expression] = STATE(1152),
    [sym__variable_member_access_expression] = STATE(674),
    [sym_member_access_expression] = STATE(661),
    [sym__variable_nullsafe_member_access_expression] = STATE(663),
    [sym_nullsafe_member_access_expression] = STATE(661),
    [sym__variable_scoped_property_access_expression] = STATE(664),
    [sym_scoped_property_access_expression] = STATE(661),
    [sym_list_literal] = STATE(2530),
    [sym__list_destructing] = STATE(2405),
    [sym__array_destructing] = STATE(2405),
    [sym_function_call_expression] = STATE(634),
    [sym__callable_expression] = STATE(2471),
    [sym_scoped_call_expression] = STATE(634),
    [sym__scope_resolution_qualifier] = STATE(2651),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(634),
    [sym_nullsafe_member_call_expression] = STATE(634),
    [sym__variable_subscript_expression] = STATE(665),
    [sym__dereferencable_subscript_expression] = STATE(634),
    [sym__dereferencable_expression] = STATE(1946),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(1005),
    [sym_attribute_group] = STATE(1373),
    [sym_attribute_list] = STATE(1879),
    [sym_encapsed_string] = STATE(927),
    [sym_string] = STATE(927),
    [sym_heredoc] = STATE(927),
    [sym_nowdoc] = STATE(927),
    [sym_shell_command_expression] = STATE(1148),
    [sym_boolean] = STATE(1162),
    [sym_null] = STATE(1162),
    [sym__string] = STATE(941),
    [sym_dynamic_variable_name] = STATE(650),
    [sym__simple_variable] = STATE(654),
    [sym__new_variable] = STATE(667),
    [sym__callable_variable] = STATE(629),
    [sym_variable_name] = STATE(650),
    [sym_yield_expression] = STATE(1152),
    [sym_binary_expression] = STATE(1152),
    [sym_include_expression] = STATE(1152),
    [sym_include_once_expression] = STATE(1152),
    [sym_require_expression] = STATE(1152),
    [sym_require_once_expression] = STATE(1152),
    [sym__reserved_identifier] = STATE(717),
    [sym__identifier] = STATE(1496),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(689),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LPAREN2] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [sym_float] = ACTIONS(266),
    [sym_integer] = ACTIONS(266),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [224] = {
    [sym_text_interpolation] = STATE(224),
    [sym_qualified_name] = STATE(810),
    [sym__name] = STATE(1626),
    [sym_namespace_name] = STATE(2507),
    [sym_static_modifier] = STATE(2368),
    [sym_anonymous_function] = STATE(1039),
    [sym__anonymous_function_header] = STATE(2318),
    [sym__arrow_function_header] = STATE(2639),
    [sym_arrow_function] = STATE(1039),
    [sym_literal] = STATE(1039),
    [sym_throw_expression] = STATE(1039),
    [sym_match_expression] = STATE(1026),
    [sym_expression] = STATE(1253),
    [sym__unary_expression] = STATE(1010),
    [sym_unary_op_expression] = STATE(1022),
    [sym_error_suppression_expression] = STATE(1026),
    [sym_clone_expression] = STATE(1022),
    [sym_primary_expression] = STATE(1022),
    [sym_parenthesized_expression] = STATE(811),
    [sym_class_constant_access_expression] = STATE(859),
    [sym_print_intrinsic] = STATE(1039),
    [sym_object_creation_expression] = STATE(1039),
    [sym__new_non_dereferencable_expression] = STATE(1009),
    [sym__new_dereferencable_expression] = STATE(842),
    [sym_update_expression] = STATE(1039),
    [sym_cast_expression] = STATE(1022),
    [sym_cast_variable] = STATE(681),
    [sym_assignment_expression] = STATE(1026),
    [sym_reference_assignment_expression] = STATE(1026),
    [sym_conditional_expression] = STATE(1026),
    [sym_augmented_assignment_expression] = STATE(1026),
    [sym__variable_member_access_expression] = STATE(613),
    [sym_member_access_expression] = STATE(681),
    [sym__variable_nullsafe_member_access_expression] = STATE(619),
    [sym_nullsafe_member_access_expression] = STATE(681),
    [sym__variable_scoped_property_access_expression] = STATE(602),
    [sym_scoped_property_access_expression] = STATE(681),
    [sym_list_literal] = STATE(2640),
    [sym__list_destructing] = STATE(2405),
    [sym__array_destructing] = STATE(2405),
    [sym_function_call_expression] = STATE(612),
    [sym__callable_expression] = STATE(2324),
    [sym_scoped_call_expression] = STATE(612),
    [sym__scope_resolution_qualifier] = STATE(2522),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(612),
    [sym_nullsafe_member_call_expression] = STATE(612),
    [sym_variadic_unpacking] = STATE(2424),
    [sym__variable_subscript_expression] = STATE(610),
    [sym__dereferencable_subscript_expression] = STATE(612),
    [sym__dereferencable_expression] = STATE(1948),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(766),
    [sym_attribute_group] = STATE(1373),
    [sym_attribute_list] = STATE(1879),
    [sym_encapsed_string] = STATE(767),
    [sym_string] = STATE(767),
    [sym_heredoc] = STATE(767),
    [sym_nowdoc] = STATE(767),
    [sym_shell_command_expression] = STATE(1039),
    [sym_boolean] = STATE(1036),
    [sym_null] = STATE(1036),
    [sym__string] = STATE(768),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(595),
    [sym__new_variable] = STATE(683),
    [sym__callable_variable] = STATE(657),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1026),
    [sym_binary_expression] = STATE(1026),
    [sym_include_expression] = STATE(1026),
    [sym_include_once_expression] = STATE(1026),
    [sym_require_expression] = STATE(1026),
    [sym_require_once_expression] = STATE(1026),
    [sym__reserved_identifier] = STATE(1613),
    [sym__identifier] = STATE(1496),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(697),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(699),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(701),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(703),
    [anon_sym_DASH] = ACTIONS(703),
    [anon_sym_TILDE] = ACTIONS(705),
    [anon_sym_BANG] = ACTIONS(705),
    [anon_sym_AT] = ACTIONS(707),
    [aux_sym_clone_expression_token1] = ACTIONS(709),
    [aux_sym_print_intrinsic_token1] = ACTIONS(711),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(713),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(5),
  },
  [225] = {
    [sym_text_interpolation] = STATE(225),
    [sym_qualified_name] = STATE(810),
    [sym__name] = STATE(1626),
    [sym_namespace_name] = STATE(2507),
    [sym_static_modifier] = STATE(2368),
    [sym_anonymous_function] = STATE(1039),
    [sym__anonymous_function_header] = STATE(2318),
    [sym__arrow_function_header] = STATE(2679),
    [sym_arrow_function] = STATE(1039),
    [sym_literal] = STATE(1039),
    [sym_throw_expression] = STATE(1039),
    [sym_match_expression] = STATE(1026),
    [sym_expression] = STATE(1075),
    [sym__unary_expression] = STATE(1010),
    [sym_unary_op_expression] = STATE(1022),
    [sym_error_suppression_expression] = STATE(1026),
    [sym_clone_expression] = STATE(1022),
    [sym_primary_expression] = STATE(1022),
    [sym_parenthesized_expression] = STATE(811),
    [sym_class_constant_access_expression] = STATE(859),
    [sym_print_intrinsic] = STATE(1039),
    [sym_object_creation_expression] = STATE(1039),
    [sym__new_non_dereferencable_expression] = STATE(1009),
    [sym__new_dereferencable_expression] = STATE(842),
    [sym_update_expression] = STATE(1039),
    [sym_cast_expression] = STATE(1022),
    [sym_cast_variable] = STATE(630),
    [sym_assignment_expression] = STATE(1026),
    [sym_reference_assignment_expression] = STATE(1026),
    [sym_conditional_expression] = STATE(1026),
    [sym_augmented_assignment_expression] = STATE(1026),
    [sym__variable_member_access_expression] = STATE(613),
    [sym_member_access_expression] = STATE(630),
    [sym__variable_nullsafe_member_access_expression] = STATE(619),
    [sym_nullsafe_member_access_expression] = STATE(630),
    [sym__variable_scoped_property_access_expression] = STATE(602),
    [sym_scoped_property_access_expression] = STATE(630),
    [sym_list_literal] = STATE(2632),
    [sym__list_destructing] = STATE(2405),
    [sym__array_destructing] = STATE(2405),
    [sym_function_call_expression] = STATE(612),
    [sym__callable_expression] = STATE(2324),
    [sym_scoped_call_expression] = STATE(612),
    [sym__scope_resolution_qualifier] = STATE(2522),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(612),
    [sym_nullsafe_member_call_expression] = STATE(612),
    [sym__variable_subscript_expression] = STATE(610),
    [sym__dereferencable_subscript_expression] = STATE(612),
    [sym__dereferencable_expression] = STATE(1948),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(766),
    [sym_attribute_group] = STATE(1373),
    [sym_attribute_list] = STATE(1879),
    [sym_encapsed_string] = STATE(767),
    [sym_string] = STATE(767),
    [sym_heredoc] = STATE(767),
    [sym_nowdoc] = STATE(767),
    [sym_shell_command_expression] = STATE(1039),
    [sym_boolean] = STATE(1036),
    [sym_null] = STATE(1036),
    [sym__string] = STATE(768),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(595),
    [sym__new_variable] = STATE(653),
    [sym__callable_variable] = STATE(623),
    [sym_variable_name] = STATE(618),
    [sym_by_ref] = STATE(1025),
    [sym_yield_expression] = STATE(1026),
    [sym_binary_expression] = STATE(1026),
    [sym_include_expression] = STATE(1026),
    [sym_include_once_expression] = STATE(1026),
    [sym_require_expression] = STATE(1026),
    [sym_require_once_expression] = STATE(1026),
    [sym__reserved_identifier] = STATE(717),
    [sym__identifier] = STATE(1496),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_AMP] = ACTIONS(933),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(605),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(613),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(617),
    [anon_sym_DASH] = ACTIONS(617),
    [anon_sym_TILDE] = ACTIONS(619),
    [anon_sym_BANG] = ACTIONS(619),
    [anon_sym_AT] = ACTIONS(621),
    [aux_sym_clone_expression_token1] = ACTIONS(623),
    [aux_sym_print_intrinsic_token1] = ACTIONS(625),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(631),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(647),
    [aux_sym_include_expression_token1] = ACTIONS(651),
    [aux_sym_include_once_expression_token1] = ACTIONS(653),
    [aux_sym_require_expression_token1] = ACTIONS(655),
    [aux_sym_require_once_expression_token1] = ACTIONS(657),
    [sym_comment] = ACTIONS(5),
  },
  [226] = {
    [sym_text_interpolation] = STATE(226),
    [sym_qualified_name] = STATE(810),
    [sym__name] = STATE(1626),
    [sym_namespace_name] = STATE(2507),
    [sym_static_modifier] = STATE(2368),
    [sym_anonymous_function] = STATE(1039),
    [sym__anonymous_function_header] = STATE(2318),
    [sym__arrow_function_header] = STATE(2639),
    [sym_arrow_function] = STATE(1039),
    [sym_literal] = STATE(1039),
    [sym_throw_expression] = STATE(1039),
    [sym_match_expression] = STATE(1026),
    [sym_expression] = STATE(1202),
    [sym__unary_expression] = STATE(1010),
    [sym_unary_op_expression] = STATE(1022),
    [sym_error_suppression_expression] = STATE(1026),
    [sym_clone_expression] = STATE(1022),
    [sym_primary_expression] = STATE(1022),
    [sym_parenthesized_expression] = STATE(811),
    [sym_class_constant_access_expression] = STATE(859),
    [sym_print_intrinsic] = STATE(1039),
    [sym_object_creation_expression] = STATE(1039),
    [sym__new_non_dereferencable_expression] = STATE(1009),
    [sym__new_dereferencable_expression] = STATE(842),
    [sym_update_expression] = STATE(1039),
    [sym_cast_expression] = STATE(1022),
    [sym_cast_variable] = STATE(681),
    [sym_assignment_expression] = STATE(1026),
    [sym_reference_assignment_expression] = STATE(1026),
    [sym_conditional_expression] = STATE(1026),
    [sym_augmented_assignment_expression] = STATE(1026),
    [sym__variable_member_access_expression] = STATE(613),
    [sym_member_access_expression] = STATE(681),
    [sym__variable_nullsafe_member_access_expression] = STATE(619),
    [sym_nullsafe_member_access_expression] = STATE(681),
    [sym__variable_scoped_property_access_expression] = STATE(602),
    [sym_scoped_property_access_expression] = STATE(681),
    [sym_list_literal] = STATE(2640),
    [sym__list_destructing] = STATE(2405),
    [sym__array_destructing] = STATE(2405),
    [sym_function_call_expression] = STATE(612),
    [sym__callable_expression] = STATE(2324),
    [sym_scoped_call_expression] = STATE(612),
    [sym__scope_resolution_qualifier] = STATE(2522),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(612),
    [sym_nullsafe_member_call_expression] = STATE(612),
    [sym__variable_subscript_expression] = STATE(610),
    [sym__dereferencable_subscript_expression] = STATE(612),
    [sym__dereferencable_expression] = STATE(1948),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(766),
    [sym_attribute_group] = STATE(1373),
    [sym_attribute_list] = STATE(1879),
    [sym_encapsed_string] = STATE(767),
    [sym_string] = STATE(767),
    [sym_heredoc] = STATE(767),
    [sym_nowdoc] = STATE(767),
    [sym_shell_command_expression] = STATE(1039),
    [sym_boolean] = STATE(1036),
    [sym_null] = STATE(1036),
    [sym__string] = STATE(768),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(595),
    [sym__new_variable] = STATE(683),
    [sym__callable_variable] = STATE(657),
    [sym_variable_name] = STATE(618),
    [sym_by_ref] = STATE(1025),
    [sym_yield_expression] = STATE(1026),
    [sym_binary_expression] = STATE(1026),
    [sym_include_expression] = STATE(1026),
    [sym_include_once_expression] = STATE(1026),
    [sym_require_expression] = STATE(1026),
    [sym_require_once_expression] = STATE(1026),
    [sym__reserved_identifier] = STATE(717),
    [sym__identifier] = STATE(1496),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_AMP] = ACTIONS(933),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(697),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(701),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(703),
    [anon_sym_DASH] = ACTIONS(703),
    [anon_sym_TILDE] = ACTIONS(705),
    [anon_sym_BANG] = ACTIONS(705),
    [anon_sym_AT] = ACTIONS(707),
    [aux_sym_clone_expression_token1] = ACTIONS(709),
    [aux_sym_print_intrinsic_token1] = ACTIONS(711),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(713),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(5),
  },
  [227] = {
    [sym_text_interpolation] = STATE(227),
    [sym_qualified_name] = STATE(810),
    [sym__name] = STATE(1626),
    [sym_namespace_name] = STATE(2507),
    [sym_static_modifier] = STATE(2368),
    [sym_anonymous_function] = STATE(1039),
    [sym__anonymous_function_header] = STATE(2318),
    [sym__arrow_function_header] = STATE(2547),
    [sym_arrow_function] = STATE(1039),
    [sym_literal] = STATE(1039),
    [sym_throw_expression] = STATE(1039),
    [sym_match_expression] = STATE(1026),
    [sym_expression] = STATE(1130),
    [sym__unary_expression] = STATE(1010),
    [sym_unary_op_expression] = STATE(1022),
    [sym_error_suppression_expression] = STATE(1026),
    [sym_clone_expression] = STATE(1022),
    [sym_primary_expression] = STATE(1022),
    [sym_parenthesized_expression] = STATE(811),
    [sym_class_constant_access_expression] = STATE(859),
    [sym_print_intrinsic] = STATE(1039),
    [sym_object_creation_expression] = STATE(1039),
    [sym__new_non_dereferencable_expression] = STATE(1009),
    [sym__new_dereferencable_expression] = STATE(842),
    [sym_update_expression] = STATE(1039),
    [sym_cast_expression] = STATE(1022),
    [sym_cast_variable] = STATE(656),
    [sym_assignment_expression] = STATE(1026),
    [sym_reference_assignment_expression] = STATE(1026),
    [sym_conditional_expression] = STATE(1026),
    [sym_augmented_assignment_expression] = STATE(1026),
    [sym__variable_member_access_expression] = STATE(613),
    [sym_member_access_expression] = STATE(656),
    [sym__variable_nullsafe_member_access_expression] = STATE(619),
    [sym_nullsafe_member_access_expression] = STATE(656),
    [sym__variable_scoped_property_access_expression] = STATE(602),
    [sym_scoped_property_access_expression] = STATE(656),
    [sym_list_literal] = STATE(2548),
    [sym__list_destructing] = STATE(2405),
    [sym__array_destructing] = STATE(2405),
    [sym_function_call_expression] = STATE(612),
    [sym__callable_expression] = STATE(2324),
    [sym_scoped_call_expression] = STATE(612),
    [sym__scope_resolution_qualifier] = STATE(2522),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(612),
    [sym_nullsafe_member_call_expression] = STATE(612),
    [sym__variable_subscript_expression] = STATE(610),
    [sym__dereferencable_subscript_expression] = STATE(612),
    [sym__dereferencable_expression] = STATE(1948),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(766),
    [sym_attribute_group] = STATE(1373),
    [sym_attribute_list] = STATE(1879),
    [sym_encapsed_string] = STATE(767),
    [sym_string] = STATE(767),
    [sym_heredoc] = STATE(767),
    [sym_nowdoc] = STATE(767),
    [sym_shell_command_expression] = STATE(1039),
    [sym_boolean] = STATE(1036),
    [sym_null] = STATE(1036),
    [sym__string] = STATE(768),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(595),
    [sym__new_variable] = STATE(662),
    [sym__callable_variable] = STATE(646),
    [sym_variable_name] = STATE(618),
    [sym_by_ref] = STATE(1025),
    [sym_yield_expression] = STATE(1026),
    [sym_binary_expression] = STATE(1026),
    [sym_include_expression] = STATE(1026),
    [sym_include_once_expression] = STATE(1026),
    [sym_require_expression] = STATE(1026),
    [sym_require_once_expression] = STATE(1026),
    [sym__reserved_identifier] = STATE(717),
    [sym__identifier] = STATE(1496),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_AMP] = ACTIONS(933),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(659),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(663),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(665),
    [anon_sym_DASH] = ACTIONS(665),
    [anon_sym_TILDE] = ACTIONS(667),
    [anon_sym_BANG] = ACTIONS(667),
    [anon_sym_AT] = ACTIONS(669),
    [aux_sym_clone_expression_token1] = ACTIONS(671),
    [aux_sym_print_intrinsic_token1] = ACTIONS(673),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(675),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(677),
    [aux_sym_include_expression_token1] = ACTIONS(681),
    [aux_sym_include_once_expression_token1] = ACTIONS(683),
    [aux_sym_require_expression_token1] = ACTIONS(685),
    [aux_sym_require_once_expression_token1] = ACTIONS(687),
    [sym_comment] = ACTIONS(5),
  },
  [228] = {
    [sym_text_interpolation] = STATE(228),
    [sym_qualified_name] = STATE(1000),
    [sym__name] = STATE(1631),
    [sym_namespace_name] = STATE(2575),
    [sym_static_modifier] = STATE(2368),
    [sym_anonymous_function] = STATE(1148),
    [sym__anonymous_function_header] = STATE(2489),
    [sym__arrow_function_header] = STATE(2731),
    [sym_arrow_function] = STATE(1148),
    [sym_literal] = STATE(1148),
    [sym_throw_expression] = STATE(1148),
    [sym__expressions] = STATE(2247),
    [sym_sequence_expression] = STATE(2334),
    [sym_match_expression] = STATE(1152),
    [sym_expression] = STATE(1220),
    [sym__unary_expression] = STATE(1159),
    [sym_unary_op_expression] = STATE(1172),
    [sym_error_suppression_expression] = STATE(1152),
    [sym_clone_expression] = STATE(1172),
    [sym_primary_expression] = STATE(1172),
    [sym_parenthesized_expression] = STATE(964),
    [sym_class_constant_access_expression] = STATE(1019),
    [sym_print_intrinsic] = STATE(1148),
    [sym_object_creation_expression] = STATE(1148),
    [sym__new_non_dereferencable_expression] = STATE(1168),
    [sym__new_dereferencable_expression] = STATE(966),
    [sym_update_expression] = STATE(1148),
    [sym_cast_expression] = STATE(1172),
    [sym_cast_variable] = STATE(661),
    [sym_assignment_expression] = STATE(1152),
    [sym_reference_assignment_expression] = STATE(1152),
    [sym_conditional_expression] = STATE(1152),
    [sym_augmented_assignment_expression] = STATE(1152),
    [sym__variable_member_access_expression] = STATE(674),
    [sym_member_access_expression] = STATE(661),
    [sym__variable_nullsafe_member_access_expression] = STATE(663),
    [sym_nullsafe_member_access_expression] = STATE(661),
    [sym__variable_scoped_property_access_expression] = STATE(664),
    [sym_scoped_property_access_expression] = STATE(661),
    [sym_list_literal] = STATE(2530),
    [sym__list_destructing] = STATE(2405),
    [sym__array_destructing] = STATE(2405),
    [sym_function_call_expression] = STATE(634),
    [sym__callable_expression] = STATE(2471),
    [sym_scoped_call_expression] = STATE(634),
    [sym__scope_resolution_qualifier] = STATE(2651),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(634),
    [sym_nullsafe_member_call_expression] = STATE(634),
    [sym__variable_subscript_expression] = STATE(665),
    [sym__dereferencable_subscript_expression] = STATE(634),
    [sym__dereferencable_expression] = STATE(1946),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(1005),
    [sym_attribute_group] = STATE(1373),
    [sym_attribute_list] = STATE(1879),
    [sym_encapsed_string] = STATE(927),
    [sym_string] = STATE(927),
    [sym_heredoc] = STATE(927),
    [sym_nowdoc] = STATE(927),
    [sym_shell_command_expression] = STATE(1148),
    [sym_boolean] = STATE(1162),
    [sym_null] = STATE(1162),
    [sym__string] = STATE(941),
    [sym_dynamic_variable_name] = STATE(650),
    [sym__simple_variable] = STATE(654),
    [sym__new_variable] = STATE(667),
    [sym__callable_variable] = STATE(629),
    [sym_variable_name] = STATE(650),
    [sym_yield_expression] = STATE(1152),
    [sym_binary_expression] = STATE(1152),
    [sym_include_expression] = STATE(1152),
    [sym_include_once_expression] = STATE(1152),
    [sym_require_expression] = STATE(1152),
    [sym_require_once_expression] = STATE(1152),
    [sym__reserved_identifier] = STATE(717),
    [sym__identifier] = STATE(1496),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(689),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LPAREN2] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [sym_float] = ACTIONS(266),
    [sym_integer] = ACTIONS(266),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [229] = {
    [sym_text_interpolation] = STATE(229),
    [sym_qualified_name] = STATE(810),
    [sym__name] = STATE(1626),
    [sym_namespace_name] = STATE(2507),
    [sym_static_modifier] = STATE(2368),
    [sym_anonymous_function] = STATE(1039),
    [sym__anonymous_function_header] = STATE(2318),
    [sym__arrow_function_header] = STATE(2639),
    [sym_arrow_function] = STATE(1039),
    [sym_literal] = STATE(1039),
    [sym_throw_expression] = STATE(1039),
    [sym_match_expression] = STATE(1026),
    [sym_expression] = STATE(1202),
    [sym__unary_expression] = STATE(1010),
    [sym_unary_op_expression] = STATE(1022),
    [sym_error_suppression_expression] = STATE(1026),
    [sym_clone_expression] = STATE(1022),
    [sym_primary_expression] = STATE(1022),
    [sym_parenthesized_expression] = STATE(811),
    [sym_class_constant_access_expression] = STATE(859),
    [sym_print_intrinsic] = STATE(1039),
    [sym_object_creation_expression] = STATE(1039),
    [sym__new_non_dereferencable_expression] = STATE(1009),
    [sym__new_dereferencable_expression] = STATE(842),
    [sym_update_expression] = STATE(1039),
    [sym_cast_expression] = STATE(1022),
    [sym_cast_variable] = STATE(681),
    [sym_assignment_expression] = STATE(1026),
    [sym_reference_assignment_expression] = STATE(1026),
    [sym_conditional_expression] = STATE(1026),
    [sym_augmented_assignment_expression] = STATE(1026),
    [sym__variable_member_access_expression] = STATE(613),
    [sym_member_access_expression] = STATE(681),
    [sym__variable_nullsafe_member_access_expression] = STATE(619),
    [sym_nullsafe_member_access_expression] = STATE(681),
    [sym__variable_scoped_property_access_expression] = STATE(602),
    [sym_scoped_property_access_expression] = STATE(681),
    [sym_list_literal] = STATE(2640),
    [sym__list_destructing] = STATE(2405),
    [sym__array_destructing] = STATE(2405),
    [sym_function_call_expression] = STATE(612),
    [sym__callable_expression] = STATE(2324),
    [sym_scoped_call_expression] = STATE(612),
    [sym__scope_resolution_qualifier] = STATE(2522),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(612),
    [sym_nullsafe_member_call_expression] = STATE(612),
    [sym__variable_subscript_expression] = STATE(610),
    [sym__dereferencable_subscript_expression] = STATE(612),
    [sym__dereferencable_expression] = STATE(1948),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(766),
    [sym_attribute_group] = STATE(1373),
    [sym_attribute_list] = STATE(1879),
    [sym_encapsed_string] = STATE(767),
    [sym_string] = STATE(767),
    [sym_heredoc] = STATE(767),
    [sym_nowdoc] = STATE(767),
    [sym_shell_command_expression] = STATE(1039),
    [sym_boolean] = STATE(1036),
    [sym_null] = STATE(1036),
    [sym__string] = STATE(768),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(595),
    [sym__new_variable] = STATE(683),
    [sym__callable_variable] = STATE(657),
    [sym_variable_name] = STATE(618),
    [sym_by_ref] = STATE(1025),
    [sym_yield_expression] = STATE(1026),
    [sym_binary_expression] = STATE(1026),
    [sym_include_expression] = STATE(1026),
    [sym_include_once_expression] = STATE(1026),
    [sym_require_expression] = STATE(1026),
    [sym_require_once_expression] = STATE(1026),
    [sym__reserved_identifier] = STATE(717),
    [sym__identifier] = STATE(1496),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_AMP] = ACTIONS(731),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(697),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(701),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(703),
    [anon_sym_DASH] = ACTIONS(703),
    [anon_sym_TILDE] = ACTIONS(705),
    [anon_sym_BANG] = ACTIONS(705),
    [anon_sym_AT] = ACTIONS(707),
    [aux_sym_clone_expression_token1] = ACTIONS(709),
    [aux_sym_print_intrinsic_token1] = ACTIONS(711),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(713),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(5),
  },
  [230] = {
    [sym_text_interpolation] = STATE(230),
    [sym_qualified_name] = STATE(810),
    [sym__name] = STATE(1626),
    [sym_namespace_name] = STATE(2507),
    [sym_static_modifier] = STATE(2368),
    [sym_anonymous_function] = STATE(1039),
    [sym__anonymous_function_header] = STATE(2318),
    [sym__arrow_function_header] = STATE(2547),
    [sym_arrow_function] = STATE(1039),
    [sym_literal] = STATE(1039),
    [sym_throw_expression] = STATE(1039),
    [sym_match_expression] = STATE(1026),
    [sym_expression] = STATE(1130),
    [sym__unary_expression] = STATE(1010),
    [sym_unary_op_expression] = STATE(1022),
    [sym_error_suppression_expression] = STATE(1026),
    [sym_clone_expression] = STATE(1022),
    [sym_primary_expression] = STATE(1022),
    [sym_parenthesized_expression] = STATE(811),
    [sym_class_constant_access_expression] = STATE(859),
    [sym_print_intrinsic] = STATE(1039),
    [sym_object_creation_expression] = STATE(1039),
    [sym__new_non_dereferencable_expression] = STATE(1009),
    [sym__new_dereferencable_expression] = STATE(842),
    [sym_update_expression] = STATE(1039),
    [sym_cast_expression] = STATE(1022),
    [sym_cast_variable] = STATE(656),
    [sym_assignment_expression] = STATE(1026),
    [sym_reference_assignment_expression] = STATE(1026),
    [sym_conditional_expression] = STATE(1026),
    [sym_augmented_assignment_expression] = STATE(1026),
    [sym__variable_member_access_expression] = STATE(613),
    [sym_member_access_expression] = STATE(656),
    [sym__variable_nullsafe_member_access_expression] = STATE(619),
    [sym_nullsafe_member_access_expression] = STATE(656),
    [sym__variable_scoped_property_access_expression] = STATE(602),
    [sym_scoped_property_access_expression] = STATE(656),
    [sym_list_literal] = STATE(2548),
    [sym__list_destructing] = STATE(2405),
    [sym__array_destructing] = STATE(2405),
    [sym_function_call_expression] = STATE(612),
    [sym__callable_expression] = STATE(2324),
    [sym_scoped_call_expression] = STATE(612),
    [sym__scope_resolution_qualifier] = STATE(2522),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(612),
    [sym_nullsafe_member_call_expression] = STATE(612),
    [sym__variable_subscript_expression] = STATE(610),
    [sym__dereferencable_subscript_expression] = STATE(612),
    [sym__dereferencable_expression] = STATE(1948),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(766),
    [sym_attribute_group] = STATE(1373),
    [sym_attribute_list] = STATE(1879),
    [sym_encapsed_string] = STATE(767),
    [sym_string] = STATE(767),
    [sym_heredoc] = STATE(767),
    [sym_nowdoc] = STATE(767),
    [sym_shell_command_expression] = STATE(1039),
    [sym_boolean] = STATE(1036),
    [sym_null] = STATE(1036),
    [sym__string] = STATE(768),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(595),
    [sym__new_variable] = STATE(662),
    [sym__callable_variable] = STATE(646),
    [sym_variable_name] = STATE(618),
    [sym_by_ref] = STATE(1025),
    [sym_yield_expression] = STATE(1026),
    [sym_binary_expression] = STATE(1026),
    [sym_include_expression] = STATE(1026),
    [sym_include_once_expression] = STATE(1026),
    [sym_require_expression] = STATE(1026),
    [sym_require_once_expression] = STATE(1026),
    [sym__reserved_identifier] = STATE(717),
    [sym__identifier] = STATE(1496),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_AMP] = ACTIONS(731),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(659),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(663),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(665),
    [anon_sym_DASH] = ACTIONS(665),
    [anon_sym_TILDE] = ACTIONS(667),
    [anon_sym_BANG] = ACTIONS(667),
    [anon_sym_AT] = ACTIONS(669),
    [aux_sym_clone_expression_token1] = ACTIONS(671),
    [aux_sym_print_intrinsic_token1] = ACTIONS(673),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(675),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(677),
    [aux_sym_include_expression_token1] = ACTIONS(681),
    [aux_sym_include_once_expression_token1] = ACTIONS(683),
    [aux_sym_require_expression_token1] = ACTIONS(685),
    [aux_sym_require_once_expression_token1] = ACTIONS(687),
    [sym_comment] = ACTIONS(5),
  },
  [231] = {
    [sym_text_interpolation] = STATE(231),
    [sym_qualified_name] = STATE(810),
    [sym__name] = STATE(1626),
    [sym_namespace_name] = STATE(2507),
    [sym_static_modifier] = STATE(2368),
    [sym_anonymous_function] = STATE(1039),
    [sym__anonymous_function_header] = STATE(2318),
    [sym__arrow_function_header] = STATE(2639),
    [sym_arrow_function] = STATE(1039),
    [sym_literal] = STATE(1039),
    [sym_throw_expression] = STATE(1039),
    [sym_match_expression] = STATE(1026),
    [sym_expression] = STATE(1258),
    [sym__unary_expression] = STATE(1010),
    [sym_unary_op_expression] = STATE(1022),
    [sym_error_suppression_expression] = STATE(1026),
    [sym_clone_expression] = STATE(1022),
    [sym_primary_expression] = STATE(1022),
    [sym_parenthesized_expression] = STATE(811),
    [sym_class_constant_access_expression] = STATE(859),
    [sym_print_intrinsic] = STATE(1039),
    [sym_object_creation_expression] = STATE(1039),
    [sym__new_non_dereferencable_expression] = STATE(1009),
    [sym__new_dereferencable_expression] = STATE(842),
    [sym_update_expression] = STATE(1039),
    [sym_cast_expression] = STATE(1022),
    [sym_cast_variable] = STATE(681),
    [sym_assignment_expression] = STATE(1026),
    [sym_reference_assignment_expression] = STATE(1026),
    [sym_conditional_expression] = STATE(1026),
    [sym_augmented_assignment_expression] = STATE(1026),
    [sym__variable_member_access_expression] = STATE(613),
    [sym_member_access_expression] = STATE(681),
    [sym__variable_nullsafe_member_access_expression] = STATE(619),
    [sym_nullsafe_member_access_expression] = STATE(681),
    [sym__variable_scoped_property_access_expression] = STATE(602),
    [sym_scoped_property_access_expression] = STATE(681),
    [sym_list_literal] = STATE(2640),
    [sym__list_destructing] = STATE(2405),
    [sym__array_destructing] = STATE(2405),
    [sym_function_call_expression] = STATE(612),
    [sym__callable_expression] = STATE(2324),
    [sym_scoped_call_expression] = STATE(612),
    [sym__scope_resolution_qualifier] = STATE(2522),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(612),
    [sym_nullsafe_member_call_expression] = STATE(612),
    [sym_variadic_unpacking] = STATE(2429),
    [sym__variable_subscript_expression] = STATE(610),
    [sym__dereferencable_subscript_expression] = STATE(612),
    [sym__dereferencable_expression] = STATE(1948),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(766),
    [sym_attribute_group] = STATE(1373),
    [sym_attribute_list] = STATE(1879),
    [sym_encapsed_string] = STATE(767),
    [sym_string] = STATE(767),
    [sym_heredoc] = STATE(767),
    [sym_nowdoc] = STATE(767),
    [sym_shell_command_expression] = STATE(1039),
    [sym_boolean] = STATE(1036),
    [sym_null] = STATE(1036),
    [sym__string] = STATE(768),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(595),
    [sym__new_variable] = STATE(683),
    [sym__callable_variable] = STATE(657),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1026),
    [sym_binary_expression] = STATE(1026),
    [sym_include_expression] = STATE(1026),
    [sym_include_once_expression] = STATE(1026),
    [sym_require_expression] = STATE(1026),
    [sym_require_once_expression] = STATE(1026),
    [sym__reserved_identifier] = STATE(1611),
    [sym__identifier] = STATE(1496),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(697),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(699),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(701),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(703),
    [anon_sym_DASH] = ACTIONS(703),
    [anon_sym_TILDE] = ACTIONS(705),
    [anon_sym_BANG] = ACTIONS(705),
    [anon_sym_AT] = ACTIONS(707),
    [aux_sym_clone_expression_token1] = ACTIONS(709),
    [aux_sym_print_intrinsic_token1] = ACTIONS(711),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(713),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(5),
  },
  [232] = {
    [sym_text_interpolation] = STATE(232),
    [sym_qualified_name] = STATE(810),
    [sym__name] = STATE(1626),
    [sym_namespace_name] = STATE(2507),
    [sym_static_modifier] = STATE(2368),
    [sym_anonymous_function] = STATE(1039),
    [sym__anonymous_function_header] = STATE(2318),
    [sym__arrow_function_header] = STATE(2547),
    [sym_arrow_function] = STATE(1039),
    [sym_literal] = STATE(1039),
    [sym_throw_expression] = STATE(1039),
    [sym_match_expression] = STATE(1026),
    [sym_expression] = STATE(1130),
    [sym__unary_expression] = STATE(1010),
    [sym_unary_op_expression] = STATE(1022),
    [sym_error_suppression_expression] = STATE(1026),
    [sym_clone_expression] = STATE(1022),
    [sym_primary_expression] = STATE(1022),
    [sym_parenthesized_expression] = STATE(811),
    [sym_class_constant_access_expression] = STATE(859),
    [sym_print_intrinsic] = STATE(1039),
    [sym_object_creation_expression] = STATE(1039),
    [sym__new_non_dereferencable_expression] = STATE(1009),
    [sym__new_dereferencable_expression] = STATE(842),
    [sym_update_expression] = STATE(1039),
    [sym_cast_expression] = STATE(1022),
    [sym_cast_variable] = STATE(701),
    [sym_assignment_expression] = STATE(1026),
    [sym_reference_assignment_expression] = STATE(1026),
    [sym_conditional_expression] = STATE(1026),
    [sym_augmented_assignment_expression] = STATE(1026),
    [sym__variable_member_access_expression] = STATE(613),
    [sym_member_access_expression] = STATE(701),
    [sym__variable_nullsafe_member_access_expression] = STATE(619),
    [sym_nullsafe_member_access_expression] = STATE(701),
    [sym__variable_scoped_property_access_expression] = STATE(602),
    [sym_scoped_property_access_expression] = STATE(701),
    [sym_list_literal] = STATE(2548),
    [sym__list_destructing] = STATE(2405),
    [sym__array_destructing] = STATE(2027),
    [sym_function_call_expression] = STATE(612),
    [sym__callable_expression] = STATE(2324),
    [sym_scoped_call_expression] = STATE(612),
    [sym__scope_resolution_qualifier] = STATE(2522),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(612),
    [sym_nullsafe_member_call_expression] = STATE(612),
    [sym__variable_subscript_expression] = STATE(610),
    [sym__dereferencable_subscript_expression] = STATE(612),
    [sym__dereferencable_expression] = STATE(1948),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(766),
    [sym_attribute_group] = STATE(1373),
    [sym_attribute_list] = STATE(1879),
    [sym_encapsed_string] = STATE(767),
    [sym_string] = STATE(767),
    [sym_heredoc] = STATE(767),
    [sym_nowdoc] = STATE(767),
    [sym_shell_command_expression] = STATE(1039),
    [sym_boolean] = STATE(1036),
    [sym_null] = STATE(1036),
    [sym__string] = STATE(768),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(595),
    [sym__new_variable] = STATE(708),
    [sym__callable_variable] = STATE(693),
    [sym_variable_name] = STATE(618),
    [sym_by_ref] = STATE(2439),
    [sym_yield_expression] = STATE(1026),
    [sym_binary_expression] = STATE(1026),
    [sym_include_expression] = STATE(1026),
    [sym_include_once_expression] = STATE(1026),
    [sym_require_expression] = STATE(1026),
    [sym_require_once_expression] = STATE(1026),
    [sym__reserved_identifier] = STATE(717),
    [sym__identifier] = STATE(1496),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_AMP] = ACTIONS(731),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(659),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(663),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(665),
    [anon_sym_DASH] = ACTIONS(665),
    [anon_sym_TILDE] = ACTIONS(667),
    [anon_sym_BANG] = ACTIONS(667),
    [anon_sym_AT] = ACTIONS(669),
    [aux_sym_clone_expression_token1] = ACTIONS(671),
    [aux_sym_print_intrinsic_token1] = ACTIONS(673),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(631),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(677),
    [aux_sym_include_expression_token1] = ACTIONS(681),
    [aux_sym_include_once_expression_token1] = ACTIONS(683),
    [aux_sym_require_expression_token1] = ACTIONS(685),
    [aux_sym_require_once_expression_token1] = ACTIONS(687),
    [sym_comment] = ACTIONS(5),
  },
  [233] = {
    [sym_text_interpolation] = STATE(233),
    [sym_qualified_name] = STATE(1000),
    [sym__name] = STATE(1631),
    [sym_namespace_name] = STATE(2575),
    [sym_static_modifier] = STATE(2368),
    [sym_anonymous_function] = STATE(1148),
    [sym__anonymous_function_header] = STATE(2489),
    [sym__arrow_function_header] = STATE(2731),
    [sym_arrow_function] = STATE(1148),
    [sym_literal] = STATE(1148),
    [sym_throw_expression] = STATE(1148),
    [sym_match_expression] = STATE(1152),
    [sym_expression] = STATE(1096),
    [sym__unary_expression] = STATE(1159),
    [sym_unary_op_expression] = STATE(1172),
    [sym_error_suppression_expression] = STATE(1152),
    [sym_clone_expression] = STATE(1172),
    [sym_primary_expression] = STATE(1172),
    [sym_parenthesized_expression] = STATE(964),
    [sym_class_constant_access_expression] = STATE(1019),
    [sym_print_intrinsic] = STATE(1148),
    [sym_object_creation_expression] = STATE(1148),
    [sym__new_non_dereferencable_expression] = STATE(1168),
    [sym__new_dereferencable_expression] = STATE(966),
    [sym_update_expression] = STATE(1148),
    [sym_cast_expression] = STATE(1172),
    [sym_cast_variable] = STATE(661),
    [sym_assignment_expression] = STATE(1152),
    [sym_reference_assignment_expression] = STATE(1152),
    [sym_conditional_expression] = STATE(1152),
    [sym_augmented_assignment_expression] = STATE(1152),
    [sym__variable_member_access_expression] = STATE(674),
    [sym_member_access_expression] = STATE(661),
    [sym__variable_nullsafe_member_access_expression] = STATE(663),
    [sym_nullsafe_member_access_expression] = STATE(661),
    [sym__variable_scoped_property_access_expression] = STATE(664),
    [sym_scoped_property_access_expression] = STATE(661),
    [sym_list_literal] = STATE(2530),
    [sym__list_destructing] = STATE(2405),
    [sym__array_destructing] = STATE(2405),
    [sym_function_call_expression] = STATE(634),
    [sym__callable_expression] = STATE(2471),
    [sym_scoped_call_expression] = STATE(634),
    [sym__scope_resolution_qualifier] = STATE(2651),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(634),
    [sym_nullsafe_member_call_expression] = STATE(634),
    [sym__variable_subscript_expression] = STATE(665),
    [sym__dereferencable_subscript_expression] = STATE(634),
    [sym__dereferencable_expression] = STATE(1946),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(1005),
    [sym_attribute_group] = STATE(1373),
    [sym_attribute_list] = STATE(1879),
    [sym_encapsed_string] = STATE(927),
    [sym_string] = STATE(927),
    [sym_heredoc] = STATE(927),
    [sym_nowdoc] = STATE(927),
    [sym_shell_command_expression] = STATE(1148),
    [sym_boolean] = STATE(1162),
    [sym_null] = STATE(1162),
    [sym__string] = STATE(941),
    [sym_dynamic_variable_name] = STATE(650),
    [sym__simple_variable] = STATE(654),
    [sym__new_variable] = STATE(667),
    [sym__callable_variable] = STATE(629),
    [sym_variable_name] = STATE(650),
    [sym_by_ref] = STATE(1163),
    [sym_yield_expression] = STATE(1152),
    [sym_binary_expression] = STATE(1152),
    [sym_include_expression] = STATE(1152),
    [sym_include_once_expression] = STATE(1152),
    [sym_require_expression] = STATE(1152),
    [sym_require_once_expression] = STATE(1152),
    [sym__reserved_identifier] = STATE(717),
    [sym__identifier] = STATE(1496),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(689),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_AMP] = ACTIONS(935),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LPAREN2] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [sym_float] = ACTIONS(266),
    [sym_integer] = ACTIONS(266),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [234] = {
    [sym_text_interpolation] = STATE(234),
    [sym_qualified_name] = STATE(810),
    [sym__name] = STATE(1626),
    [sym_namespace_name] = STATE(2507),
    [sym_static_modifier] = STATE(2368),
    [sym_anonymous_function] = STATE(1039),
    [sym__anonymous_function_header] = STATE(2318),
    [sym__arrow_function_header] = STATE(2679),
    [sym_arrow_function] = STATE(1039),
    [sym_literal] = STATE(1039),
    [sym_throw_expression] = STATE(1039),
    [sym_match_expression] = STATE(1026),
    [sym_expression] = STATE(1286),
    [sym__unary_expression] = STATE(1010),
    [sym_unary_op_expression] = STATE(1022),
    [sym_error_suppression_expression] = STATE(1026),
    [sym_clone_expression] = STATE(1022),
    [sym_primary_expression] = STATE(1022),
    [sym_parenthesized_expression] = STATE(811),
    [sym_class_constant_access_expression] = STATE(859),
    [sym_print_intrinsic] = STATE(1039),
    [sym_object_creation_expression] = STATE(1039),
    [sym__new_non_dereferencable_expression] = STATE(1009),
    [sym__new_dereferencable_expression] = STATE(842),
    [sym_update_expression] = STATE(1039),
    [sym_cast_expression] = STATE(1022),
    [sym_cast_variable] = STATE(630),
    [sym_assignment_expression] = STATE(1026),
    [sym_reference_assignment_expression] = STATE(1026),
    [sym_conditional_expression] = STATE(1026),
    [sym_augmented_assignment_expression] = STATE(1026),
    [sym__variable_member_access_expression] = STATE(613),
    [sym_member_access_expression] = STATE(630),
    [sym__variable_nullsafe_member_access_expression] = STATE(619),
    [sym_nullsafe_member_access_expression] = STATE(630),
    [sym__variable_scoped_property_access_expression] = STATE(602),
    [sym_scoped_property_access_expression] = STATE(630),
    [sym_list_literal] = STATE(2632),
    [sym__list_destructing] = STATE(2405),
    [sym__array_destructing] = STATE(2405),
    [sym_function_call_expression] = STATE(612),
    [sym__callable_expression] = STATE(2324),
    [sym_scoped_call_expression] = STATE(612),
    [sym__scope_resolution_qualifier] = STATE(2522),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(612),
    [sym_nullsafe_member_call_expression] = STATE(612),
    [sym__variable_subscript_expression] = STATE(610),
    [sym__dereferencable_subscript_expression] = STATE(612),
    [sym__dereferencable_expression] = STATE(1948),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(766),
    [sym_attribute_group] = STATE(1373),
    [sym_attribute_list] = STATE(1879),
    [sym_encapsed_string] = STATE(767),
    [sym_string] = STATE(767),
    [sym_heredoc] = STATE(767),
    [sym_nowdoc] = STATE(767),
    [sym_shell_command_expression] = STATE(1039),
    [sym_boolean] = STATE(1036),
    [sym_null] = STATE(1036),
    [sym__string] = STATE(768),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(595),
    [sym__new_variable] = STATE(653),
    [sym__callable_variable] = STATE(623),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1026),
    [sym_binary_expression] = STATE(1026),
    [sym_include_expression] = STATE(1026),
    [sym_include_once_expression] = STATE(1026),
    [sym_require_expression] = STATE(1026),
    [sym_require_once_expression] = STATE(1026),
    [sym__reserved_identifier] = STATE(717),
    [sym__identifier] = STATE(1496),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_COLON] = ACTIONS(937),
    [anon_sym_LPAREN2] = ACTIONS(605),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(613),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(617),
    [anon_sym_DASH] = ACTIONS(617),
    [anon_sym_TILDE] = ACTIONS(619),
    [anon_sym_BANG] = ACTIONS(619),
    [anon_sym_AT] = ACTIONS(621),
    [aux_sym_clone_expression_token1] = ACTIONS(623),
    [aux_sym_print_intrinsic_token1] = ACTIONS(625),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(631),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(647),
    [aux_sym_include_expression_token1] = ACTIONS(651),
    [aux_sym_include_once_expression_token1] = ACTIONS(653),
    [aux_sym_require_expression_token1] = ACTIONS(655),
    [aux_sym_require_once_expression_token1] = ACTIONS(657),
    [sym_comment] = ACTIONS(5),
  },
  [235] = {
    [sym_text_interpolation] = STATE(235),
    [sym_qualified_name] = STATE(810),
    [sym__name] = STATE(1626),
    [sym_namespace_name] = STATE(2507),
    [sym_static_modifier] = STATE(2368),
    [sym_anonymous_function] = STATE(1039),
    [sym__anonymous_function_header] = STATE(2318),
    [sym__arrow_function_header] = STATE(2679),
    [sym_arrow_function] = STATE(1039),
    [sym_literal] = STATE(1039),
    [sym_throw_expression] = STATE(1039),
    [sym_match_expression] = STATE(1026),
    [sym_expression] = STATE(1310),
    [sym__unary_expression] = STATE(1010),
    [sym_unary_op_expression] = STATE(1022),
    [sym_error_suppression_expression] = STATE(1026),
    [sym_clone_expression] = STATE(1022),
    [sym_primary_expression] = STATE(1022),
    [sym_parenthesized_expression] = STATE(811),
    [sym_class_constant_access_expression] = STATE(859),
    [sym_print_intrinsic] = STATE(1039),
    [sym_object_creation_expression] = STATE(1039),
    [sym__new_non_dereferencable_expression] = STATE(1009),
    [sym__new_dereferencable_expression] = STATE(842),
    [sym_update_expression] = STATE(1039),
    [sym_cast_expression] = STATE(1022),
    [sym_cast_variable] = STATE(630),
    [sym_assignment_expression] = STATE(1026),
    [sym_reference_assignment_expression] = STATE(1026),
    [sym_conditional_expression] = STATE(1026),
    [sym_augmented_assignment_expression] = STATE(1026),
    [sym__variable_member_access_expression] = STATE(613),
    [sym_member_access_expression] = STATE(630),
    [sym__variable_nullsafe_member_access_expression] = STATE(619),
    [sym_nullsafe_member_access_expression] = STATE(630),
    [sym__variable_scoped_property_access_expression] = STATE(602),
    [sym_scoped_property_access_expression] = STATE(630),
    [sym_list_literal] = STATE(2632),
    [sym__list_destructing] = STATE(2405),
    [sym__array_destructing] = STATE(2405),
    [sym_function_call_expression] = STATE(612),
    [sym__callable_expression] = STATE(2324),
    [sym_scoped_call_expression] = STATE(612),
    [sym__scope_resolution_qualifier] = STATE(2522),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(612),
    [sym_nullsafe_member_call_expression] = STATE(612),
    [sym__variable_subscript_expression] = STATE(610),
    [sym__dereferencable_subscript_expression] = STATE(612),
    [sym__dereferencable_expression] = STATE(1948),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(766),
    [sym_attribute_group] = STATE(1373),
    [sym_attribute_list] = STATE(1879),
    [sym_encapsed_string] = STATE(767),
    [sym_string] = STATE(767),
    [sym_heredoc] = STATE(767),
    [sym_nowdoc] = STATE(767),
    [sym_shell_command_expression] = STATE(1039),
    [sym_boolean] = STATE(1036),
    [sym_null] = STATE(1036),
    [sym__string] = STATE(768),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(595),
    [sym__new_variable] = STATE(653),
    [sym__callable_variable] = STATE(623),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1026),
    [sym_binary_expression] = STATE(1026),
    [sym_include_expression] = STATE(1026),
    [sym_include_once_expression] = STATE(1026),
    [sym_require_expression] = STATE(1026),
    [sym_require_once_expression] = STATE(1026),
    [sym__reserved_identifier] = STATE(717),
    [sym__identifier] = STATE(1496),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_COLON] = ACTIONS(939),
    [anon_sym_LPAREN2] = ACTIONS(605),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(613),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(617),
    [anon_sym_DASH] = ACTIONS(617),
    [anon_sym_TILDE] = ACTIONS(619),
    [anon_sym_BANG] = ACTIONS(619),
    [anon_sym_AT] = ACTIONS(621),
    [aux_sym_clone_expression_token1] = ACTIONS(623),
    [aux_sym_print_intrinsic_token1] = ACTIONS(625),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(631),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(647),
    [aux_sym_include_expression_token1] = ACTIONS(651),
    [aux_sym_include_once_expression_token1] = ACTIONS(653),
    [aux_sym_require_expression_token1] = ACTIONS(655),
    [aux_sym_require_once_expression_token1] = ACTIONS(657),
    [sym_comment] = ACTIONS(5),
  },
  [236] = {
    [sym_text_interpolation] = STATE(236),
    [sym_qualified_name] = STATE(810),
    [sym__name] = STATE(1626),
    [sym_namespace_name] = STATE(2507),
    [sym_static_modifier] = STATE(2368),
    [sym_anonymous_function] = STATE(1039),
    [sym__anonymous_function_header] = STATE(2318),
    [sym__arrow_function_header] = STATE(2547),
    [sym_arrow_function] = STATE(1039),
    [sym_literal] = STATE(1039),
    [sym_throw_expression] = STATE(1039),
    [sym_match_expression] = STATE(1026),
    [sym_expression] = STATE(1252),
    [sym__unary_expression] = STATE(1010),
    [sym_unary_op_expression] = STATE(1022),
    [sym_error_suppression_expression] = STATE(1026),
    [sym_clone_expression] = STATE(1022),
    [sym_primary_expression] = STATE(1022),
    [sym_parenthesized_expression] = STATE(811),
    [sym_class_constant_access_expression] = STATE(859),
    [sym_print_intrinsic] = STATE(1039),
    [sym_object_creation_expression] = STATE(1039),
    [sym__new_non_dereferencable_expression] = STATE(1009),
    [sym__new_dereferencable_expression] = STATE(842),
    [sym_update_expression] = STATE(1039),
    [sym_cast_expression] = STATE(1022),
    [sym_cast_variable] = STATE(656),
    [sym_assignment_expression] = STATE(1026),
    [sym_reference_assignment_expression] = STATE(1026),
    [sym_conditional_expression] = STATE(1026),
    [sym_augmented_assignment_expression] = STATE(1026),
    [sym__variable_member_access_expression] = STATE(613),
    [sym_member_access_expression] = STATE(656),
    [sym__variable_nullsafe_member_access_expression] = STATE(619),
    [sym_nullsafe_member_access_expression] = STATE(656),
    [sym__variable_scoped_property_access_expression] = STATE(602),
    [sym_scoped_property_access_expression] = STATE(656),
    [sym_list_literal] = STATE(2548),
    [sym__list_destructing] = STATE(2405),
    [sym__array_destructing] = STATE(2405),
    [sym_function_call_expression] = STATE(612),
    [sym__callable_expression] = STATE(2324),
    [sym_scoped_call_expression] = STATE(612),
    [sym__scope_resolution_qualifier] = STATE(2522),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(612),
    [sym_nullsafe_member_call_expression] = STATE(612),
    [sym__variable_subscript_expression] = STATE(610),
    [sym__dereferencable_subscript_expression] = STATE(612),
    [sym__dereferencable_expression] = STATE(1948),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(766),
    [sym_attribute_group] = STATE(1373),
    [sym_attribute_list] = STATE(1879),
    [sym_encapsed_string] = STATE(767),
    [sym_string] = STATE(767),
    [sym_heredoc] = STATE(767),
    [sym_nowdoc] = STATE(767),
    [sym_shell_command_expression] = STATE(1039),
    [sym_boolean] = STATE(1036),
    [sym_null] = STATE(1036),
    [sym__string] = STATE(768),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(595),
    [sym__new_variable] = STATE(662),
    [sym__callable_variable] = STATE(646),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1026),
    [sym_binary_expression] = STATE(1026),
    [sym_include_expression] = STATE(1026),
    [sym_include_once_expression] = STATE(1026),
    [sym_require_expression] = STATE(1026),
    [sym_require_once_expression] = STATE(1026),
    [sym__reserved_identifier] = STATE(717),
    [sym__identifier] = STATE(1496),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_EQ_GT] = ACTIONS(941),
    [anon_sym_LPAREN2] = ACTIONS(659),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(663),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(665),
    [anon_sym_DASH] = ACTIONS(665),
    [anon_sym_TILDE] = ACTIONS(667),
    [anon_sym_BANG] = ACTIONS(667),
    [anon_sym_AT] = ACTIONS(669),
    [aux_sym_clone_expression_token1] = ACTIONS(671),
    [aux_sym_print_intrinsic_token1] = ACTIONS(673),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(675),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(677),
    [aux_sym_include_expression_token1] = ACTIONS(681),
    [aux_sym_include_once_expression_token1] = ACTIONS(683),
    [aux_sym_require_expression_token1] = ACTIONS(685),
    [aux_sym_require_once_expression_token1] = ACTIONS(687),
    [sym_comment] = ACTIONS(5),
  },
  [237] = {
    [sym_text_interpolation] = STATE(237),
    [sym_qualified_name] = STATE(1000),
    [sym__name] = STATE(1631),
    [sym_namespace_name] = STATE(2575),
    [sym_static_modifier] = STATE(2368),
    [sym_anonymous_function] = STATE(1148),
    [sym__anonymous_function_header] = STATE(2489),
    [sym__arrow_function_header] = STATE(2731),
    [sym_arrow_function] = STATE(1148),
    [sym_literal] = STATE(1148),
    [sym_throw_expression] = STATE(1148),
    [sym_match_expression] = STATE(1152),
    [sym_expression] = STATE(1125),
    [sym__unary_expression] = STATE(1159),
    [sym_unary_op_expression] = STATE(1172),
    [sym_error_suppression_expression] = STATE(1152),
    [sym_clone_expression] = STATE(1172),
    [sym_primary_expression] = STATE(1172),
    [sym_parenthesized_expression] = STATE(964),
    [sym_class_constant_access_expression] = STATE(1019),
    [sym_print_intrinsic] = STATE(1148),
    [sym_object_creation_expression] = STATE(1148),
    [sym__new_non_dereferencable_expression] = STATE(1168),
    [sym__new_dereferencable_expression] = STATE(966),
    [sym_update_expression] = STATE(1148),
    [sym_cast_expression] = STATE(1172),
    [sym_cast_variable] = STATE(661),
    [sym_assignment_expression] = STATE(1152),
    [sym_reference_assignment_expression] = STATE(1152),
    [sym_conditional_expression] = STATE(1152),
    [sym_augmented_assignment_expression] = STATE(1152),
    [sym__variable_member_access_expression] = STATE(674),
    [sym_member_access_expression] = STATE(661),
    [sym__variable_nullsafe_member_access_expression] = STATE(663),
    [sym_nullsafe_member_access_expression] = STATE(661),
    [sym__variable_scoped_property_access_expression] = STATE(664),
    [sym_scoped_property_access_expression] = STATE(661),
    [sym_list_literal] = STATE(2530),
    [sym__list_destructing] = STATE(2405),
    [sym__array_destructing] = STATE(2405),
    [sym_function_call_expression] = STATE(634),
    [sym__callable_expression] = STATE(2471),
    [sym_scoped_call_expression] = STATE(634),
    [sym__scope_resolution_qualifier] = STATE(2651),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(634),
    [sym_nullsafe_member_call_expression] = STATE(634),
    [sym__variable_subscript_expression] = STATE(665),
    [sym__dereferencable_subscript_expression] = STATE(634),
    [sym__dereferencable_expression] = STATE(1946),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(1005),
    [sym_attribute_group] = STATE(1373),
    [sym_attribute_list] = STATE(1879),
    [sym_encapsed_string] = STATE(927),
    [sym_string] = STATE(927),
    [sym_heredoc] = STATE(927),
    [sym_nowdoc] = STATE(927),
    [sym_shell_command_expression] = STATE(1148),
    [sym_boolean] = STATE(1162),
    [sym_null] = STATE(1162),
    [sym__string] = STATE(941),
    [sym_dynamic_variable_name] = STATE(650),
    [sym__simple_variable] = STATE(654),
    [sym__new_variable] = STATE(667),
    [sym__callable_variable] = STATE(629),
    [sym_variable_name] = STATE(650),
    [sym_yield_expression] = STATE(1152),
    [sym_binary_expression] = STATE(1152),
    [sym_include_expression] = STATE(1152),
    [sym_include_once_expression] = STATE(1152),
    [sym_require_expression] = STATE(1152),
    [sym_require_once_expression] = STATE(1152),
    [sym__reserved_identifier] = STATE(717),
    [sym__identifier] = STATE(1496),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(689),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_AMP] = ACTIONS(943),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LPAREN2] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [sym_float] = ACTIONS(266),
    [sym_integer] = ACTIONS(266),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [238] = {
    [sym_text_interpolation] = STATE(238),
    [sym_qualified_name] = STATE(810),
    [sym__name] = STATE(1626),
    [sym_namespace_name] = STATE(2507),
    [sym_static_modifier] = STATE(2368),
    [sym_anonymous_function] = STATE(1039),
    [sym__anonymous_function_header] = STATE(2318),
    [sym__arrow_function_header] = STATE(2547),
    [sym_arrow_function] = STATE(1039),
    [sym_literal] = STATE(1039),
    [sym_throw_expression] = STATE(1039),
    [sym_match_expression] = STATE(1026),
    [sym_expression] = STATE(1271),
    [sym__unary_expression] = STATE(1010),
    [sym_unary_op_expression] = STATE(1022),
    [sym_error_suppression_expression] = STATE(1026),
    [sym_clone_expression] = STATE(1022),
    [sym_primary_expression] = STATE(1022),
    [sym_parenthesized_expression] = STATE(811),
    [sym_class_constant_access_expression] = STATE(859),
    [sym_print_intrinsic] = STATE(1039),
    [sym_object_creation_expression] = STATE(1039),
    [sym__new_non_dereferencable_expression] = STATE(1009),
    [sym__new_dereferencable_expression] = STATE(842),
    [sym_update_expression] = STATE(1039),
    [sym_cast_expression] = STATE(1022),
    [sym_cast_variable] = STATE(656),
    [sym_assignment_expression] = STATE(1026),
    [sym_reference_assignment_expression] = STATE(1026),
    [sym_conditional_expression] = STATE(1026),
    [sym_augmented_assignment_expression] = STATE(1026),
    [sym__variable_member_access_expression] = STATE(613),
    [sym_member_access_expression] = STATE(656),
    [sym__variable_nullsafe_member_access_expression] = STATE(619),
    [sym_nullsafe_member_access_expression] = STATE(656),
    [sym__variable_scoped_property_access_expression] = STATE(602),
    [sym_scoped_property_access_expression] = STATE(656),
    [sym_list_literal] = STATE(2548),
    [sym__list_destructing] = STATE(2405),
    [sym__array_destructing] = STATE(2405),
    [sym_function_call_expression] = STATE(612),
    [sym__callable_expression] = STATE(2324),
    [sym_scoped_call_expression] = STATE(612),
    [sym__scope_resolution_qualifier] = STATE(2522),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(612),
    [sym_nullsafe_member_call_expression] = STATE(612),
    [sym__variable_subscript_expression] = STATE(610),
    [sym__dereferencable_subscript_expression] = STATE(612),
    [sym__dereferencable_expression] = STATE(1948),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(766),
    [sym_attribute_group] = STATE(1373),
    [sym_attribute_list] = STATE(1879),
    [sym_encapsed_string] = STATE(767),
    [sym_string] = STATE(767),
    [sym_heredoc] = STATE(767),
    [sym_nowdoc] = STATE(767),
    [sym_shell_command_expression] = STATE(1039),
    [sym_boolean] = STATE(1036),
    [sym_null] = STATE(1036),
    [sym__string] = STATE(768),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(595),
    [sym__new_variable] = STATE(662),
    [sym__callable_variable] = STATE(646),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1026),
    [sym_binary_expression] = STATE(1026),
    [sym_include_expression] = STATE(1026),
    [sym_include_once_expression] = STATE(1026),
    [sym_require_expression] = STATE(1026),
    [sym_require_once_expression] = STATE(1026),
    [sym__reserved_identifier] = STATE(717),
    [sym__identifier] = STATE(1496),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(659),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(663),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(665),
    [anon_sym_DASH] = ACTIONS(665),
    [anon_sym_TILDE] = ACTIONS(667),
    [anon_sym_BANG] = ACTIONS(667),
    [anon_sym_AT] = ACTIONS(669),
    [aux_sym_clone_expression_token1] = ACTIONS(671),
    [aux_sym_print_intrinsic_token1] = ACTIONS(673),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(675),
    [anon_sym_RBRACK] = ACTIONS(945),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(677),
    [aux_sym_include_expression_token1] = ACTIONS(681),
    [aux_sym_include_once_expression_token1] = ACTIONS(683),
    [aux_sym_require_expression_token1] = ACTIONS(685),
    [aux_sym_require_once_expression_token1] = ACTIONS(687),
    [sym_comment] = ACTIONS(5),
  },
  [239] = {
    [sym_text_interpolation] = STATE(239),
    [sym_qualified_name] = STATE(810),
    [sym__name] = STATE(1626),
    [sym_namespace_name] = STATE(2507),
    [sym_static_modifier] = STATE(2368),
    [sym_anonymous_function] = STATE(1039),
    [sym__anonymous_function_header] = STATE(2318),
    [sym__arrow_function_header] = STATE(2679),
    [sym_arrow_function] = STATE(1039),
    [sym_literal] = STATE(1039),
    [sym_throw_expression] = STATE(1039),
    [sym_match_expression] = STATE(1026),
    [sym_expression] = STATE(1053),
    [sym__unary_expression] = STATE(1010),
    [sym_unary_op_expression] = STATE(1022),
    [sym_error_suppression_expression] = STATE(1026),
    [sym_clone_expression] = STATE(1022),
    [sym_primary_expression] = STATE(1022),
    [sym_parenthesized_expression] = STATE(811),
    [sym_class_constant_access_expression] = STATE(859),
    [sym_print_intrinsic] = STATE(1039),
    [sym_object_creation_expression] = STATE(1039),
    [sym__new_non_dereferencable_expression] = STATE(1009),
    [sym__new_dereferencable_expression] = STATE(842),
    [sym_update_expression] = STATE(1039),
    [sym_cast_expression] = STATE(1022),
    [sym_cast_variable] = STATE(630),
    [sym_assignment_expression] = STATE(1026),
    [sym_reference_assignment_expression] = STATE(1026),
    [sym_conditional_expression] = STATE(1026),
    [sym_augmented_assignment_expression] = STATE(1026),
    [sym__variable_member_access_expression] = STATE(613),
    [sym_member_access_expression] = STATE(630),
    [sym__variable_nullsafe_member_access_expression] = STATE(619),
    [sym_nullsafe_member_access_expression] = STATE(630),
    [sym__variable_scoped_property_access_expression] = STATE(602),
    [sym_scoped_property_access_expression] = STATE(630),
    [sym_list_literal] = STATE(2632),
    [sym__list_destructing] = STATE(2405),
    [sym__array_destructing] = STATE(2405),
    [sym_function_call_expression] = STATE(612),
    [sym__callable_expression] = STATE(2324),
    [sym_scoped_call_expression] = STATE(612),
    [sym__scope_resolution_qualifier] = STATE(2522),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(612),
    [sym_nullsafe_member_call_expression] = STATE(612),
    [sym__variable_subscript_expression] = STATE(610),
    [sym__dereferencable_subscript_expression] = STATE(612),
    [sym__dereferencable_expression] = STATE(1948),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(766),
    [sym_attribute_group] = STATE(1373),
    [sym_attribute_list] = STATE(1879),
    [sym_encapsed_string] = STATE(767),
    [sym_string] = STATE(767),
    [sym_heredoc] = STATE(767),
    [sym_nowdoc] = STATE(767),
    [sym_shell_command_expression] = STATE(1039),
    [sym_boolean] = STATE(1036),
    [sym_null] = STATE(1036),
    [sym__string] = STATE(768),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(595),
    [sym__new_variable] = STATE(653),
    [sym__callable_variable] = STATE(623),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1026),
    [sym_binary_expression] = STATE(1026),
    [sym_include_expression] = STATE(1026),
    [sym_include_once_expression] = STATE(1026),
    [sym_require_expression] = STATE(1026),
    [sym_require_once_expression] = STATE(1026),
    [sym__reserved_identifier] = STATE(717),
    [sym__identifier] = STATE(1496),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_AMP] = ACTIONS(947),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(605),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(613),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(617),
    [anon_sym_DASH] = ACTIONS(617),
    [anon_sym_TILDE] = ACTIONS(619),
    [anon_sym_BANG] = ACTIONS(619),
    [anon_sym_AT] = ACTIONS(621),
    [aux_sym_clone_expression_token1] = ACTIONS(623),
    [aux_sym_print_intrinsic_token1] = ACTIONS(625),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(631),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(647),
    [aux_sym_include_expression_token1] = ACTIONS(651),
    [aux_sym_include_once_expression_token1] = ACTIONS(653),
    [aux_sym_require_expression_token1] = ACTIONS(655),
    [aux_sym_require_once_expression_token1] = ACTIONS(657),
    [sym_comment] = ACTIONS(5),
  },
  [240] = {
    [sym_text_interpolation] = STATE(240),
    [sym_qualified_name] = STATE(810),
    [sym__name] = STATE(1626),
    [sym_namespace_name] = STATE(2507),
    [sym_static_modifier] = STATE(2368),
    [sym_anonymous_function] = STATE(1039),
    [sym__anonymous_function_header] = STATE(2318),
    [sym__arrow_function_header] = STATE(2547),
    [sym_arrow_function] = STATE(1039),
    [sym_literal] = STATE(1039),
    [sym_throw_expression] = STATE(1039),
    [sym_sequence_expression] = STATE(2419),
    [sym_match_expression] = STATE(1026),
    [sym_expression] = STATE(1247),
    [sym__unary_expression] = STATE(1010),
    [sym_unary_op_expression] = STATE(1022),
    [sym_error_suppression_expression] = STATE(1026),
    [sym_clone_expression] = STATE(1022),
    [sym_primary_expression] = STATE(1022),
    [sym_parenthesized_expression] = STATE(811),
    [sym_class_constant_access_expression] = STATE(859),
    [sym_print_intrinsic] = STATE(1039),
    [sym_object_creation_expression] = STATE(1039),
    [sym__new_non_dereferencable_expression] = STATE(1009),
    [sym__new_dereferencable_expression] = STATE(842),
    [sym_update_expression] = STATE(1039),
    [sym_cast_expression] = STATE(1022),
    [sym_cast_variable] = STATE(656),
    [sym_assignment_expression] = STATE(1026),
    [sym_reference_assignment_expression] = STATE(1026),
    [sym_conditional_expression] = STATE(1026),
    [sym_augmented_assignment_expression] = STATE(1026),
    [sym__variable_member_access_expression] = STATE(613),
    [sym_member_access_expression] = STATE(656),
    [sym__variable_nullsafe_member_access_expression] = STATE(619),
    [sym_nullsafe_member_access_expression] = STATE(656),
    [sym__variable_scoped_property_access_expression] = STATE(602),
    [sym_scoped_property_access_expression] = STATE(656),
    [sym_list_literal] = STATE(2548),
    [sym__list_destructing] = STATE(2405),
    [sym__array_destructing] = STATE(2405),
    [sym_function_call_expression] = STATE(612),
    [sym__callable_expression] = STATE(2324),
    [sym_scoped_call_expression] = STATE(612),
    [sym__scope_resolution_qualifier] = STATE(2522),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(612),
    [sym_nullsafe_member_call_expression] = STATE(612),
    [sym__variable_subscript_expression] = STATE(610),
    [sym__dereferencable_subscript_expression] = STATE(612),
    [sym__dereferencable_expression] = STATE(1948),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(766),
    [sym_attribute_group] = STATE(1373),
    [sym_attribute_list] = STATE(1879),
    [sym_encapsed_string] = STATE(767),
    [sym_string] = STATE(767),
    [sym_heredoc] = STATE(767),
    [sym_nowdoc] = STATE(767),
    [sym_shell_command_expression] = STATE(1039),
    [sym_boolean] = STATE(1036),
    [sym_null] = STATE(1036),
    [sym__string] = STATE(768),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(595),
    [sym__new_variable] = STATE(662),
    [sym__callable_variable] = STATE(646),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1026),
    [sym_binary_expression] = STATE(1026),
    [sym_include_expression] = STATE(1026),
    [sym_include_once_expression] = STATE(1026),
    [sym_require_expression] = STATE(1026),
    [sym_require_once_expression] = STATE(1026),
    [sym__reserved_identifier] = STATE(717),
    [sym__identifier] = STATE(1496),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(659),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(663),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(665),
    [anon_sym_DASH] = ACTIONS(665),
    [anon_sym_TILDE] = ACTIONS(667),
    [anon_sym_BANG] = ACTIONS(667),
    [anon_sym_AT] = ACTIONS(669),
    [aux_sym_clone_expression_token1] = ACTIONS(671),
    [aux_sym_print_intrinsic_token1] = ACTIONS(673),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(675),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(677),
    [aux_sym_include_expression_token1] = ACTIONS(681),
    [aux_sym_include_once_expression_token1] = ACTIONS(683),
    [aux_sym_require_expression_token1] = ACTIONS(685),
    [aux_sym_require_once_expression_token1] = ACTIONS(687),
    [sym_comment] = ACTIONS(5),
  },
  [241] = {
    [sym_text_interpolation] = STATE(241),
    [sym_qualified_name] = STATE(1000),
    [sym__name] = STATE(1631),
    [sym_namespace_name] = STATE(2575),
    [sym_static_modifier] = STATE(2368),
    [sym_anonymous_function] = STATE(1148),
    [sym__anonymous_function_header] = STATE(2489),
    [sym__arrow_function_header] = STATE(2731),
    [sym_arrow_function] = STATE(1148),
    [sym_literal] = STATE(1148),
    [sym_throw_expression] = STATE(1148),
    [sym_sequence_expression] = STATE(2408),
    [sym_match_expression] = STATE(1152),
    [sym_expression] = STATE(1222),
    [sym__unary_expression] = STATE(1159),
    [sym_unary_op_expression] = STATE(1172),
    [sym_error_suppression_expression] = STATE(1152),
    [sym_clone_expression] = STATE(1172),
    [sym_primary_expression] = STATE(1172),
    [sym_parenthesized_expression] = STATE(964),
    [sym_class_constant_access_expression] = STATE(1019),
    [sym_print_intrinsic] = STATE(1148),
    [sym_object_creation_expression] = STATE(1148),
    [sym__new_non_dereferencable_expression] = STATE(1168),
    [sym__new_dereferencable_expression] = STATE(966),
    [sym_update_expression] = STATE(1148),
    [sym_cast_expression] = STATE(1172),
    [sym_cast_variable] = STATE(661),
    [sym_assignment_expression] = STATE(1152),
    [sym_reference_assignment_expression] = STATE(1152),
    [sym_conditional_expression] = STATE(1152),
    [sym_augmented_assignment_expression] = STATE(1152),
    [sym__variable_member_access_expression] = STATE(674),
    [sym_member_access_expression] = STATE(661),
    [sym__variable_nullsafe_member_access_expression] = STATE(663),
    [sym_nullsafe_member_access_expression] = STATE(661),
    [sym__variable_scoped_property_access_expression] = STATE(664),
    [sym_scoped_property_access_expression] = STATE(661),
    [sym_list_literal] = STATE(2530),
    [sym__list_destructing] = STATE(2405),
    [sym__array_destructing] = STATE(2405),
    [sym_function_call_expression] = STATE(634),
    [sym__callable_expression] = STATE(2471),
    [sym_scoped_call_expression] = STATE(634),
    [sym__scope_resolution_qualifier] = STATE(2651),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(634),
    [sym_nullsafe_member_call_expression] = STATE(634),
    [sym__variable_subscript_expression] = STATE(665),
    [sym__dereferencable_subscript_expression] = STATE(634),
    [sym__dereferencable_expression] = STATE(1946),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(1005),
    [sym_attribute_group] = STATE(1373),
    [sym_attribute_list] = STATE(1879),
    [sym_encapsed_string] = STATE(927),
    [sym_string] = STATE(927),
    [sym_heredoc] = STATE(927),
    [sym_nowdoc] = STATE(927),
    [sym_shell_command_expression] = STATE(1148),
    [sym_boolean] = STATE(1162),
    [sym_null] = STATE(1162),
    [sym__string] = STATE(941),
    [sym_dynamic_variable_name] = STATE(650),
    [sym__simple_variable] = STATE(654),
    [sym__new_variable] = STATE(667),
    [sym__callable_variable] = STATE(629),
    [sym_variable_name] = STATE(650),
    [sym_yield_expression] = STATE(1152),
    [sym_binary_expression] = STATE(1152),
    [sym_include_expression] = STATE(1152),
    [sym_include_once_expression] = STATE(1152),
    [sym_require_expression] = STATE(1152),
    [sym_require_once_expression] = STATE(1152),
    [sym__reserved_identifier] = STATE(717),
    [sym__identifier] = STATE(1496),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(689),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LPAREN2] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [sym_float] = ACTIONS(266),
    [sym_integer] = ACTIONS(266),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [242] = {
    [sym_text_interpolation] = STATE(242),
    [sym_qualified_name] = STATE(810),
    [sym__name] = STATE(1626),
    [sym_namespace_name] = STATE(2507),
    [sym_static_modifier] = STATE(2368),
    [sym_anonymous_function] = STATE(1039),
    [sym__anonymous_function_header] = STATE(2318),
    [sym__arrow_function_header] = STATE(2679),
    [sym_arrow_function] = STATE(1039),
    [sym_literal] = STATE(1039),
    [sym_throw_expression] = STATE(1039),
    [sym_match_expression] = STATE(1026),
    [sym_expression] = STATE(1292),
    [sym__unary_expression] = STATE(1010),
    [sym_unary_op_expression] = STATE(1022),
    [sym_error_suppression_expression] = STATE(1026),
    [sym_clone_expression] = STATE(1022),
    [sym_primary_expression] = STATE(1022),
    [sym_parenthesized_expression] = STATE(811),
    [sym_class_constant_access_expression] = STATE(859),
    [sym_print_intrinsic] = STATE(1039),
    [sym_object_creation_expression] = STATE(1039),
    [sym__new_non_dereferencable_expression] = STATE(1009),
    [sym__new_dereferencable_expression] = STATE(842),
    [sym_update_expression] = STATE(1039),
    [sym_cast_expression] = STATE(1022),
    [sym_cast_variable] = STATE(630),
    [sym_assignment_expression] = STATE(1026),
    [sym_reference_assignment_expression] = STATE(1026),
    [sym_conditional_expression] = STATE(1026),
    [sym_augmented_assignment_expression] = STATE(1026),
    [sym__variable_member_access_expression] = STATE(613),
    [sym_member_access_expression] = STATE(630),
    [sym__variable_nullsafe_member_access_expression] = STATE(619),
    [sym_nullsafe_member_access_expression] = STATE(630),
    [sym__variable_scoped_property_access_expression] = STATE(602),
    [sym_scoped_property_access_expression] = STATE(630),
    [sym_list_literal] = STATE(2632),
    [sym__list_destructing] = STATE(2405),
    [sym__array_destructing] = STATE(2405),
    [sym_function_call_expression] = STATE(612),
    [sym__callable_expression] = STATE(2324),
    [sym_scoped_call_expression] = STATE(612),
    [sym__scope_resolution_qualifier] = STATE(2522),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(612),
    [sym_nullsafe_member_call_expression] = STATE(612),
    [sym__variable_subscript_expression] = STATE(610),
    [sym__dereferencable_subscript_expression] = STATE(612),
    [sym__dereferencable_expression] = STATE(1948),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(766),
    [sym_attribute_group] = STATE(1373),
    [sym_attribute_list] = STATE(1879),
    [sym_encapsed_string] = STATE(767),
    [sym_string] = STATE(767),
    [sym_heredoc] = STATE(767),
    [sym_nowdoc] = STATE(767),
    [sym_shell_command_expression] = STATE(1039),
    [sym_boolean] = STATE(1036),
    [sym_null] = STATE(1036),
    [sym__string] = STATE(768),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(595),
    [sym__new_variable] = STATE(653),
    [sym__callable_variable] = STATE(623),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1026),
    [sym_binary_expression] = STATE(1026),
    [sym_include_expression] = STATE(1026),
    [sym_include_once_expression] = STATE(1026),
    [sym_require_expression] = STATE(1026),
    [sym_require_once_expression] = STATE(1026),
    [sym__reserved_identifier] = STATE(717),
    [sym__identifier] = STATE(1496),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(605),
    [anon_sym_RPAREN2] = ACTIONS(949),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(613),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(617),
    [anon_sym_DASH] = ACTIONS(617),
    [anon_sym_TILDE] = ACTIONS(619),
    [anon_sym_BANG] = ACTIONS(619),
    [anon_sym_AT] = ACTIONS(621),
    [aux_sym_clone_expression_token1] = ACTIONS(623),
    [aux_sym_print_intrinsic_token1] = ACTIONS(625),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(631),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(647),
    [aux_sym_include_expression_token1] = ACTIONS(651),
    [aux_sym_include_once_expression_token1] = ACTIONS(653),
    [aux_sym_require_expression_token1] = ACTIONS(655),
    [aux_sym_require_once_expression_token1] = ACTIONS(657),
    [sym_comment] = ACTIONS(5),
  },
  [243] = {
    [sym_text_interpolation] = STATE(243),
    [sym_qualified_name] = STATE(810),
    [sym__name] = STATE(1626),
    [sym_namespace_name] = STATE(2507),
    [sym_static_modifier] = STATE(2368),
    [sym_anonymous_function] = STATE(1039),
    [sym__anonymous_function_header] = STATE(2318),
    [sym__arrow_function_header] = STATE(2679),
    [sym_arrow_function] = STATE(1039),
    [sym_literal] = STATE(1039),
    [sym_throw_expression] = STATE(1039),
    [sym_match_expression] = STATE(1026),
    [sym_expression] = STATE(1295),
    [sym__unary_expression] = STATE(1010),
    [sym_unary_op_expression] = STATE(1022),
    [sym_error_suppression_expression] = STATE(1026),
    [sym_clone_expression] = STATE(1022),
    [sym_primary_expression] = STATE(1022),
    [sym_parenthesized_expression] = STATE(811),
    [sym_class_constant_access_expression] = STATE(859),
    [sym_print_intrinsic] = STATE(1039),
    [sym_object_creation_expression] = STATE(1039),
    [sym__new_non_dereferencable_expression] = STATE(1009),
    [sym__new_dereferencable_expression] = STATE(842),
    [sym_update_expression] = STATE(1039),
    [sym_cast_expression] = STATE(1022),
    [sym_cast_variable] = STATE(630),
    [sym_assignment_expression] = STATE(1026),
    [sym_reference_assignment_expression] = STATE(1026),
    [sym_conditional_expression] = STATE(1026),
    [sym_augmented_assignment_expression] = STATE(1026),
    [sym__variable_member_access_expression] = STATE(613),
    [sym_member_access_expression] = STATE(630),
    [sym__variable_nullsafe_member_access_expression] = STATE(619),
    [sym_nullsafe_member_access_expression] = STATE(630),
    [sym__variable_scoped_property_access_expression] = STATE(602),
    [sym_scoped_property_access_expression] = STATE(630),
    [sym_list_literal] = STATE(2632),
    [sym__list_destructing] = STATE(2405),
    [sym__array_destructing] = STATE(2405),
    [sym_function_call_expression] = STATE(612),
    [sym__callable_expression] = STATE(2324),
    [sym_scoped_call_expression] = STATE(612),
    [sym__scope_resolution_qualifier] = STATE(2522),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(612),
    [sym_nullsafe_member_call_expression] = STATE(612),
    [sym__variable_subscript_expression] = STATE(610),
    [sym__dereferencable_subscript_expression] = STATE(612),
    [sym__dereferencable_expression] = STATE(1948),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(766),
    [sym_attribute_group] = STATE(1373),
    [sym_attribute_list] = STATE(1879),
    [sym_encapsed_string] = STATE(767),
    [sym_string] = STATE(767),
    [sym_heredoc] = STATE(767),
    [sym_nowdoc] = STATE(767),
    [sym_shell_command_expression] = STATE(1039),
    [sym_boolean] = STATE(1036),
    [sym_null] = STATE(1036),
    [sym__string] = STATE(768),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(595),
    [sym__new_variable] = STATE(653),
    [sym__callable_variable] = STATE(623),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1026),
    [sym_binary_expression] = STATE(1026),
    [sym_include_expression] = STATE(1026),
    [sym_include_once_expression] = STATE(1026),
    [sym_require_expression] = STATE(1026),
    [sym_require_once_expression] = STATE(1026),
    [sym__reserved_identifier] = STATE(717),
    [sym__identifier] = STATE(1496),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_COLON] = ACTIONS(951),
    [anon_sym_LPAREN2] = ACTIONS(605),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(613),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(617),
    [anon_sym_DASH] = ACTIONS(617),
    [anon_sym_TILDE] = ACTIONS(619),
    [anon_sym_BANG] = ACTIONS(619),
    [anon_sym_AT] = ACTIONS(621),
    [aux_sym_clone_expression_token1] = ACTIONS(623),
    [aux_sym_print_intrinsic_token1] = ACTIONS(625),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(631),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(647),
    [aux_sym_include_expression_token1] = ACTIONS(651),
    [aux_sym_include_once_expression_token1] = ACTIONS(653),
    [aux_sym_require_expression_token1] = ACTIONS(655),
    [aux_sym_require_once_expression_token1] = ACTIONS(657),
    [sym_comment] = ACTIONS(5),
  },
  [244] = {
    [sym_text_interpolation] = STATE(244),
    [sym_qualified_name] = STATE(810),
    [sym__name] = STATE(1626),
    [sym_namespace_name] = STATE(2507),
    [sym_static_modifier] = STATE(2368),
    [sym_anonymous_function] = STATE(1039),
    [sym__anonymous_function_header] = STATE(2318),
    [sym__arrow_function_header] = STATE(2547),
    [sym_arrow_function] = STATE(1039),
    [sym_literal] = STATE(1039),
    [sym_throw_expression] = STATE(1039),
    [sym_match_expression] = STATE(1026),
    [sym_expression] = STATE(1296),
    [sym__unary_expression] = STATE(1010),
    [sym_unary_op_expression] = STATE(1022),
    [sym_error_suppression_expression] = STATE(1026),
    [sym_clone_expression] = STATE(1022),
    [sym_primary_expression] = STATE(1022),
    [sym_parenthesized_expression] = STATE(811),
    [sym_class_constant_access_expression] = STATE(859),
    [sym_print_intrinsic] = STATE(1039),
    [sym_object_creation_expression] = STATE(1039),
    [sym__new_non_dereferencable_expression] = STATE(1009),
    [sym__new_dereferencable_expression] = STATE(842),
    [sym_update_expression] = STATE(1039),
    [sym_cast_expression] = STATE(1022),
    [sym_cast_variable] = STATE(656),
    [sym_assignment_expression] = STATE(1026),
    [sym_reference_assignment_expression] = STATE(1026),
    [sym_conditional_expression] = STATE(1026),
    [sym_augmented_assignment_expression] = STATE(1026),
    [sym__variable_member_access_expression] = STATE(613),
    [sym_member_access_expression] = STATE(656),
    [sym__variable_nullsafe_member_access_expression] = STATE(619),
    [sym_nullsafe_member_access_expression] = STATE(656),
    [sym__variable_scoped_property_access_expression] = STATE(602),
    [sym_scoped_property_access_expression] = STATE(656),
    [sym_list_literal] = STATE(2548),
    [sym__list_destructing] = STATE(2405),
    [sym__array_destructing] = STATE(2405),
    [sym_function_call_expression] = STATE(612),
    [sym__callable_expression] = STATE(2324),
    [sym_scoped_call_expression] = STATE(612),
    [sym__scope_resolution_qualifier] = STATE(2522),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(612),
    [sym_nullsafe_member_call_expression] = STATE(612),
    [sym__variable_subscript_expression] = STATE(610),
    [sym__dereferencable_subscript_expression] = STATE(612),
    [sym__dereferencable_expression] = STATE(1948),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(766),
    [sym_attribute_group] = STATE(1373),
    [sym_attribute_list] = STATE(1879),
    [sym_encapsed_string] = STATE(767),
    [sym_string] = STATE(767),
    [sym_heredoc] = STATE(767),
    [sym_nowdoc] = STATE(767),
    [sym_shell_command_expression] = STATE(1039),
    [sym_boolean] = STATE(1036),
    [sym_null] = STATE(1036),
    [sym__string] = STATE(768),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(595),
    [sym__new_variable] = STATE(662),
    [sym__callable_variable] = STATE(646),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1026),
    [sym_binary_expression] = STATE(1026),
    [sym_include_expression] = STATE(1026),
    [sym_include_once_expression] = STATE(1026),
    [sym_require_expression] = STATE(1026),
    [sym_require_once_expression] = STATE(1026),
    [sym__reserved_identifier] = STATE(717),
    [sym__identifier] = STATE(1496),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(659),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(663),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(665),
    [anon_sym_DASH] = ACTIONS(665),
    [anon_sym_TILDE] = ACTIONS(667),
    [anon_sym_BANG] = ACTIONS(667),
    [anon_sym_AT] = ACTIONS(669),
    [aux_sym_clone_expression_token1] = ACTIONS(671),
    [aux_sym_print_intrinsic_token1] = ACTIONS(673),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(675),
    [anon_sym_RBRACK] = ACTIONS(953),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(677),
    [aux_sym_include_expression_token1] = ACTIONS(681),
    [aux_sym_include_once_expression_token1] = ACTIONS(683),
    [aux_sym_require_expression_token1] = ACTIONS(685),
    [aux_sym_require_once_expression_token1] = ACTIONS(687),
    [sym_comment] = ACTIONS(5),
  },
  [245] = {
    [sym_text_interpolation] = STATE(245),
    [sym_qualified_name] = STATE(810),
    [sym__name] = STATE(1626),
    [sym_namespace_name] = STATE(2507),
    [sym_static_modifier] = STATE(2368),
    [sym_anonymous_function] = STATE(1039),
    [sym__anonymous_function_header] = STATE(2318),
    [sym__arrow_function_header] = STATE(2547),
    [sym_arrow_function] = STATE(1039),
    [sym_literal] = STATE(1039),
    [sym_throw_expression] = STATE(1039),
    [sym_match_expression] = STATE(1026),
    [sym_expression] = STATE(1297),
    [sym__unary_expression] = STATE(1010),
    [sym_unary_op_expression] = STATE(1022),
    [sym_error_suppression_expression] = STATE(1026),
    [sym_clone_expression] = STATE(1022),
    [sym_primary_expression] = STATE(1022),
    [sym_parenthesized_expression] = STATE(811),
    [sym_class_constant_access_expression] = STATE(859),
    [sym_print_intrinsic] = STATE(1039),
    [sym_object_creation_expression] = STATE(1039),
    [sym__new_non_dereferencable_expression] = STATE(1009),
    [sym__new_dereferencable_expression] = STATE(842),
    [sym_update_expression] = STATE(1039),
    [sym_cast_expression] = STATE(1022),
    [sym_cast_variable] = STATE(656),
    [sym_assignment_expression] = STATE(1026),
    [sym_reference_assignment_expression] = STATE(1026),
    [sym_conditional_expression] = STATE(1026),
    [sym_augmented_assignment_expression] = STATE(1026),
    [sym__variable_member_access_expression] = STATE(613),
    [sym_member_access_expression] = STATE(656),
    [sym__variable_nullsafe_member_access_expression] = STATE(619),
    [sym_nullsafe_member_access_expression] = STATE(656),
    [sym__variable_scoped_property_access_expression] = STATE(602),
    [sym_scoped_property_access_expression] = STATE(656),
    [sym_list_literal] = STATE(2548),
    [sym__list_destructing] = STATE(2405),
    [sym__array_destructing] = STATE(2405),
    [sym_function_call_expression] = STATE(612),
    [sym__callable_expression] = STATE(2324),
    [sym_scoped_call_expression] = STATE(612),
    [sym__scope_resolution_qualifier] = STATE(2522),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(612),
    [sym_nullsafe_member_call_expression] = STATE(612),
    [sym__variable_subscript_expression] = STATE(610),
    [sym__dereferencable_subscript_expression] = STATE(612),
    [sym__dereferencable_expression] = STATE(1948),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(766),
    [sym_attribute_group] = STATE(1373),
    [sym_attribute_list] = STATE(1879),
    [sym_encapsed_string] = STATE(767),
    [sym_string] = STATE(767),
    [sym_heredoc] = STATE(767),
    [sym_nowdoc] = STATE(767),
    [sym_shell_command_expression] = STATE(1039),
    [sym_boolean] = STATE(1036),
    [sym_null] = STATE(1036),
    [sym__string] = STATE(768),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(595),
    [sym__new_variable] = STATE(662),
    [sym__callable_variable] = STATE(646),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1026),
    [sym_binary_expression] = STATE(1026),
    [sym_include_expression] = STATE(1026),
    [sym_include_once_expression] = STATE(1026),
    [sym_require_expression] = STATE(1026),
    [sym_require_once_expression] = STATE(1026),
    [sym__reserved_identifier] = STATE(717),
    [sym__identifier] = STATE(1496),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(659),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(663),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(665),
    [anon_sym_DASH] = ACTIONS(665),
    [anon_sym_TILDE] = ACTIONS(667),
    [anon_sym_BANG] = ACTIONS(667),
    [anon_sym_AT] = ACTIONS(669),
    [aux_sym_clone_expression_token1] = ACTIONS(671),
    [aux_sym_print_intrinsic_token1] = ACTIONS(673),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(675),
    [anon_sym_RBRACK] = ACTIONS(955),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(677),
    [aux_sym_include_expression_token1] = ACTIONS(681),
    [aux_sym_include_once_expression_token1] = ACTIONS(683),
    [aux_sym_require_expression_token1] = ACTIONS(685),
    [aux_sym_require_once_expression_token1] = ACTIONS(687),
    [sym_comment] = ACTIONS(5),
  },
  [246] = {
    [sym_text_interpolation] = STATE(246),
    [sym_qualified_name] = STATE(810),
    [sym__name] = STATE(1626),
    [sym_namespace_name] = STATE(2507),
    [sym_static_modifier] = STATE(2368),
    [sym_anonymous_function] = STATE(1039),
    [sym__anonymous_function_header] = STATE(2318),
    [sym__arrow_function_header] = STATE(2639),
    [sym_arrow_function] = STATE(1039),
    [sym_literal] = STATE(1039),
    [sym_throw_expression] = STATE(1039),
    [sym_match_expression] = STATE(1026),
    [sym_expression] = STATE(1201),
    [sym__unary_expression] = STATE(1010),
    [sym_unary_op_expression] = STATE(1022),
    [sym_error_suppression_expression] = STATE(1026),
    [sym_clone_expression] = STATE(1022),
    [sym_primary_expression] = STATE(1022),
    [sym_parenthesized_expression] = STATE(811),
    [sym_class_constant_access_expression] = STATE(859),
    [sym_print_intrinsic] = STATE(1039),
    [sym_object_creation_expression] = STATE(1039),
    [sym__new_non_dereferencable_expression] = STATE(1009),
    [sym__new_dereferencable_expression] = STATE(842),
    [sym_update_expression] = STATE(1039),
    [sym_cast_expression] = STATE(1022),
    [sym_cast_variable] = STATE(681),
    [sym_assignment_expression] = STATE(1026),
    [sym_reference_assignment_expression] = STATE(1026),
    [sym_conditional_expression] = STATE(1026),
    [sym_augmented_assignment_expression] = STATE(1026),
    [sym__variable_member_access_expression] = STATE(613),
    [sym_member_access_expression] = STATE(681),
    [sym__variable_nullsafe_member_access_expression] = STATE(619),
    [sym_nullsafe_member_access_expression] = STATE(681),
    [sym__variable_scoped_property_access_expression] = STATE(602),
    [sym_scoped_property_access_expression] = STATE(681),
    [sym_list_literal] = STATE(2640),
    [sym__list_destructing] = STATE(2405),
    [sym__array_destructing] = STATE(2405),
    [sym_function_call_expression] = STATE(612),
    [sym__callable_expression] = STATE(2324),
    [sym_scoped_call_expression] = STATE(612),
    [sym__scope_resolution_qualifier] = STATE(2522),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(612),
    [sym_nullsafe_member_call_expression] = STATE(612),
    [sym__variable_subscript_expression] = STATE(610),
    [sym__dereferencable_subscript_expression] = STATE(612),
    [sym__dereferencable_expression] = STATE(1948),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(766),
    [sym_attribute_group] = STATE(1373),
    [sym_attribute_list] = STATE(1879),
    [sym_encapsed_string] = STATE(767),
    [sym_string] = STATE(767),
    [sym_heredoc] = STATE(767),
    [sym_nowdoc] = STATE(767),
    [sym_shell_command_expression] = STATE(1039),
    [sym_boolean] = STATE(1036),
    [sym_null] = STATE(1036),
    [sym__string] = STATE(768),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(595),
    [sym__new_variable] = STATE(683),
    [sym__callable_variable] = STATE(657),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1026),
    [sym_binary_expression] = STATE(1026),
    [sym_include_expression] = STATE(1026),
    [sym_include_once_expression] = STATE(1026),
    [sym_require_expression] = STATE(1026),
    [sym_require_once_expression] = STATE(1026),
    [sym__reserved_identifier] = STATE(717),
    [sym__identifier] = STATE(1496),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(697),
    [anon_sym_RPAREN2] = ACTIONS(957),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(701),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(703),
    [anon_sym_DASH] = ACTIONS(703),
    [anon_sym_TILDE] = ACTIONS(705),
    [anon_sym_BANG] = ACTIONS(705),
    [anon_sym_AT] = ACTIONS(707),
    [aux_sym_clone_expression_token1] = ACTIONS(709),
    [aux_sym_print_intrinsic_token1] = ACTIONS(711),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(713),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(5),
  },
  [247] = {
    [sym_text_interpolation] = STATE(247),
    [sym_qualified_name] = STATE(810),
    [sym__name] = STATE(1626),
    [sym_namespace_name] = STATE(2507),
    [sym_static_modifier] = STATE(2368),
    [sym_anonymous_function] = STATE(1039),
    [sym__anonymous_function_header] = STATE(2318),
    [sym__arrow_function_header] = STATE(2639),
    [sym_arrow_function] = STATE(1039),
    [sym_literal] = STATE(1039),
    [sym_throw_expression] = STATE(1039),
    [sym_match_expression] = STATE(1026),
    [sym_expression] = STATE(1203),
    [sym__unary_expression] = STATE(1010),
    [sym_unary_op_expression] = STATE(1022),
    [sym_error_suppression_expression] = STATE(1026),
    [sym_clone_expression] = STATE(1022),
    [sym_primary_expression] = STATE(1022),
    [sym_parenthesized_expression] = STATE(811),
    [sym_class_constant_access_expression] = STATE(859),
    [sym_print_intrinsic] = STATE(1039),
    [sym_object_creation_expression] = STATE(1039),
    [sym__new_non_dereferencable_expression] = STATE(1009),
    [sym__new_dereferencable_expression] = STATE(842),
    [sym_update_expression] = STATE(1039),
    [sym_cast_expression] = STATE(1022),
    [sym_cast_variable] = STATE(681),
    [sym_assignment_expression] = STATE(1026),
    [sym_reference_assignment_expression] = STATE(1026),
    [sym_conditional_expression] = STATE(1026),
    [sym_augmented_assignment_expression] = STATE(1026),
    [sym__variable_member_access_expression] = STATE(613),
    [sym_member_access_expression] = STATE(681),
    [sym__variable_nullsafe_member_access_expression] = STATE(619),
    [sym_nullsafe_member_access_expression] = STATE(681),
    [sym__variable_scoped_property_access_expression] = STATE(602),
    [sym_scoped_property_access_expression] = STATE(681),
    [sym_list_literal] = STATE(2640),
    [sym__list_destructing] = STATE(2405),
    [sym__array_destructing] = STATE(2405),
    [sym_function_call_expression] = STATE(612),
    [sym__callable_expression] = STATE(2324),
    [sym_scoped_call_expression] = STATE(612),
    [sym__scope_resolution_qualifier] = STATE(2522),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(612),
    [sym_nullsafe_member_call_expression] = STATE(612),
    [sym__variable_subscript_expression] = STATE(610),
    [sym__dereferencable_subscript_expression] = STATE(612),
    [sym__dereferencable_expression] = STATE(1948),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(766),
    [sym_attribute_group] = STATE(1373),
    [sym_attribute_list] = STATE(1879),
    [sym_encapsed_string] = STATE(767),
    [sym_string] = STATE(767),
    [sym_heredoc] = STATE(767),
    [sym_nowdoc] = STATE(767),
    [sym_shell_command_expression] = STATE(1039),
    [sym_boolean] = STATE(1036),
    [sym_null] = STATE(1036),
    [sym__string] = STATE(768),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(595),
    [sym__new_variable] = STATE(683),
    [sym__callable_variable] = STATE(657),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1026),
    [sym_binary_expression] = STATE(1026),
    [sym_include_expression] = STATE(1026),
    [sym_include_once_expression] = STATE(1026),
    [sym_require_expression] = STATE(1026),
    [sym_require_once_expression] = STATE(1026),
    [sym__reserved_identifier] = STATE(717),
    [sym__identifier] = STATE(1496),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_COLON] = ACTIONS(959),
    [anon_sym_LPAREN2] = ACTIONS(697),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(701),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(703),
    [anon_sym_DASH] = ACTIONS(703),
    [anon_sym_TILDE] = ACTIONS(705),
    [anon_sym_BANG] = ACTIONS(705),
    [anon_sym_AT] = ACTIONS(707),
    [aux_sym_clone_expression_token1] = ACTIONS(709),
    [aux_sym_print_intrinsic_token1] = ACTIONS(711),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(713),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(5),
  },
  [248] = {
    [sym_text_interpolation] = STATE(248),
    [sym_qualified_name] = STATE(810),
    [sym__name] = STATE(1626),
    [sym_namespace_name] = STATE(2507),
    [sym_static_modifier] = STATE(2368),
    [sym_anonymous_function] = STATE(1039),
    [sym__anonymous_function_header] = STATE(2318),
    [sym__arrow_function_header] = STATE(2679),
    [sym_arrow_function] = STATE(1039),
    [sym_literal] = STATE(1039),
    [sym_throw_expression] = STATE(1039),
    [sym_match_expression] = STATE(1026),
    [sym_expression] = STATE(1273),
    [sym__unary_expression] = STATE(1010),
    [sym_unary_op_expression] = STATE(1022),
    [sym_error_suppression_expression] = STATE(1026),
    [sym_clone_expression] = STATE(1022),
    [sym_primary_expression] = STATE(1022),
    [sym_parenthesized_expression] = STATE(811),
    [sym_class_constant_access_expression] = STATE(859),
    [sym_print_intrinsic] = STATE(1039),
    [sym_object_creation_expression] = STATE(1039),
    [sym__new_non_dereferencable_expression] = STATE(1009),
    [sym__new_dereferencable_expression] = STATE(842),
    [sym_update_expression] = STATE(1039),
    [sym_cast_expression] = STATE(1022),
    [sym_cast_variable] = STATE(630),
    [sym_assignment_expression] = STATE(1026),
    [sym_reference_assignment_expression] = STATE(1026),
    [sym_conditional_expression] = STATE(1026),
    [sym_augmented_assignment_expression] = STATE(1026),
    [sym__variable_member_access_expression] = STATE(613),
    [sym_member_access_expression] = STATE(630),
    [sym__variable_nullsafe_member_access_expression] = STATE(619),
    [sym_nullsafe_member_access_expression] = STATE(630),
    [sym__variable_scoped_property_access_expression] = STATE(602),
    [sym_scoped_property_access_expression] = STATE(630),
    [sym_list_literal] = STATE(2632),
    [sym__list_destructing] = STATE(2405),
    [sym__array_destructing] = STATE(2405),
    [sym_function_call_expression] = STATE(612),
    [sym__callable_expression] = STATE(2324),
    [sym_scoped_call_expression] = STATE(612),
    [sym__scope_resolution_qualifier] = STATE(2522),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(612),
    [sym_nullsafe_member_call_expression] = STATE(612),
    [sym__variable_subscript_expression] = STATE(610),
    [sym__dereferencable_subscript_expression] = STATE(612),
    [sym__dereferencable_expression] = STATE(1948),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(766),
    [sym_attribute_group] = STATE(1373),
    [sym_attribute_list] = STATE(1879),
    [sym_encapsed_string] = STATE(767),
    [sym_string] = STATE(767),
    [sym_heredoc] = STATE(767),
    [sym_nowdoc] = STATE(767),
    [sym_shell_command_expression] = STATE(1039),
    [sym_boolean] = STATE(1036),
    [sym_null] = STATE(1036),
    [sym__string] = STATE(768),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(595),
    [sym__new_variable] = STATE(653),
    [sym__callable_variable] = STATE(623),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1026),
    [sym_binary_expression] = STATE(1026),
    [sym_include_expression] = STATE(1026),
    [sym_include_once_expression] = STATE(1026),
    [sym_require_expression] = STATE(1026),
    [sym_require_once_expression] = STATE(1026),
    [sym__reserved_identifier] = STATE(717),
    [sym__identifier] = STATE(1496),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(605),
    [anon_sym_RPAREN2] = ACTIONS(961),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(613),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(617),
    [anon_sym_DASH] = ACTIONS(617),
    [anon_sym_TILDE] = ACTIONS(619),
    [anon_sym_BANG] = ACTIONS(619),
    [anon_sym_AT] = ACTIONS(621),
    [aux_sym_clone_expression_token1] = ACTIONS(623),
    [aux_sym_print_intrinsic_token1] = ACTIONS(625),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(631),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(647),
    [aux_sym_include_expression_token1] = ACTIONS(651),
    [aux_sym_include_once_expression_token1] = ACTIONS(653),
    [aux_sym_require_expression_token1] = ACTIONS(655),
    [aux_sym_require_once_expression_token1] = ACTIONS(657),
    [sym_comment] = ACTIONS(5),
  },
  [249] = {
    [sym_text_interpolation] = STATE(249),
    [sym_qualified_name] = STATE(810),
    [sym__name] = STATE(1626),
    [sym_namespace_name] = STATE(2507),
    [sym_static_modifier] = STATE(2368),
    [sym_anonymous_function] = STATE(1039),
    [sym__anonymous_function_header] = STATE(2318),
    [sym__arrow_function_header] = STATE(2547),
    [sym_arrow_function] = STATE(1039),
    [sym_literal] = STATE(1039),
    [sym_throw_expression] = STATE(1039),
    [sym_match_expression] = STATE(1026),
    [sym_expression] = STATE(1309),
    [sym__unary_expression] = STATE(1010),
    [sym_unary_op_expression] = STATE(1022),
    [sym_error_suppression_expression] = STATE(1026),
    [sym_clone_expression] = STATE(1022),
    [sym_primary_expression] = STATE(1022),
    [sym_parenthesized_expression] = STATE(811),
    [sym_class_constant_access_expression] = STATE(859),
    [sym_print_intrinsic] = STATE(1039),
    [sym_object_creation_expression] = STATE(1039),
    [sym__new_non_dereferencable_expression] = STATE(1009),
    [sym__new_dereferencable_expression] = STATE(842),
    [sym_update_expression] = STATE(1039),
    [sym_cast_expression] = STATE(1022),
    [sym_cast_variable] = STATE(656),
    [sym_assignment_expression] = STATE(1026),
    [sym_reference_assignment_expression] = STATE(1026),
    [sym_conditional_expression] = STATE(1026),
    [sym_augmented_assignment_expression] = STATE(1026),
    [sym__variable_member_access_expression] = STATE(613),
    [sym_member_access_expression] = STATE(656),
    [sym__variable_nullsafe_member_access_expression] = STATE(619),
    [sym_nullsafe_member_access_expression] = STATE(656),
    [sym__variable_scoped_property_access_expression] = STATE(602),
    [sym_scoped_property_access_expression] = STATE(656),
    [sym_list_literal] = STATE(2548),
    [sym__list_destructing] = STATE(2405),
    [sym__array_destructing] = STATE(2405),
    [sym_function_call_expression] = STATE(612),
    [sym__callable_expression] = STATE(2324),
    [sym_scoped_call_expression] = STATE(612),
    [sym__scope_resolution_qualifier] = STATE(2522),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(612),
    [sym_nullsafe_member_call_expression] = STATE(612),
    [sym__variable_subscript_expression] = STATE(610),
    [sym__dereferencable_subscript_expression] = STATE(612),
    [sym__dereferencable_expression] = STATE(1948),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(766),
    [sym_attribute_group] = STATE(1373),
    [sym_attribute_list] = STATE(1879),
    [sym_encapsed_string] = STATE(767),
    [sym_string] = STATE(767),
    [sym_heredoc] = STATE(767),
    [sym_nowdoc] = STATE(767),
    [sym_shell_command_expression] = STATE(1039),
    [sym_boolean] = STATE(1036),
    [sym_null] = STATE(1036),
    [sym__string] = STATE(768),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(595),
    [sym__new_variable] = STATE(662),
    [sym__callable_variable] = STATE(646),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1026),
    [sym_binary_expression] = STATE(1026),
    [sym_include_expression] = STATE(1026),
    [sym_include_once_expression] = STATE(1026),
    [sym_require_expression] = STATE(1026),
    [sym_require_once_expression] = STATE(1026),
    [sym__reserved_identifier] = STATE(717),
    [sym__identifier] = STATE(1496),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(659),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(663),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(665),
    [anon_sym_DASH] = ACTIONS(665),
    [anon_sym_TILDE] = ACTIONS(667),
    [anon_sym_BANG] = ACTIONS(667),
    [anon_sym_AT] = ACTIONS(669),
    [aux_sym_clone_expression_token1] = ACTIONS(671),
    [aux_sym_print_intrinsic_token1] = ACTIONS(673),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(675),
    [anon_sym_RBRACK] = ACTIONS(963),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(677),
    [aux_sym_include_expression_token1] = ACTIONS(681),
    [aux_sym_include_once_expression_token1] = ACTIONS(683),
    [aux_sym_require_expression_token1] = ACTIONS(685),
    [aux_sym_require_once_expression_token1] = ACTIONS(687),
    [sym_comment] = ACTIONS(5),
  },
  [250] = {
    [sym_text_interpolation] = STATE(250),
    [sym_qualified_name] = STATE(810),
    [sym__name] = STATE(1626),
    [sym_namespace_name] = STATE(2507),
    [sym_static_modifier] = STATE(2368),
    [sym_anonymous_function] = STATE(1039),
    [sym__anonymous_function_header] = STATE(2318),
    [sym__arrow_function_header] = STATE(2547),
    [sym_arrow_function] = STATE(1039),
    [sym_literal] = STATE(1039),
    [sym_throw_expression] = STATE(1039),
    [sym_match_expression] = STATE(1026),
    [sym_expression] = STATE(1319),
    [sym__unary_expression] = STATE(1010),
    [sym_unary_op_expression] = STATE(1022),
    [sym_error_suppression_expression] = STATE(1026),
    [sym_clone_expression] = STATE(1022),
    [sym_primary_expression] = STATE(1022),
    [sym_parenthesized_expression] = STATE(811),
    [sym_class_constant_access_expression] = STATE(859),
    [sym_print_intrinsic] = STATE(1039),
    [sym_object_creation_expression] = STATE(1039),
    [sym__new_non_dereferencable_expression] = STATE(1009),
    [sym__new_dereferencable_expression] = STATE(842),
    [sym_update_expression] = STATE(1039),
    [sym_cast_expression] = STATE(1022),
    [sym_cast_variable] = STATE(656),
    [sym_assignment_expression] = STATE(1026),
    [sym_reference_assignment_expression] = STATE(1026),
    [sym_conditional_expression] = STATE(1026),
    [sym_augmented_assignment_expression] = STATE(1026),
    [sym__variable_member_access_expression] = STATE(613),
    [sym_member_access_expression] = STATE(656),
    [sym__variable_nullsafe_member_access_expression] = STATE(619),
    [sym_nullsafe_member_access_expression] = STATE(656),
    [sym__variable_scoped_property_access_expression] = STATE(602),
    [sym_scoped_property_access_expression] = STATE(656),
    [sym_list_literal] = STATE(2548),
    [sym__list_destructing] = STATE(2405),
    [sym__array_destructing] = STATE(2405),
    [sym_function_call_expression] = STATE(612),
    [sym__callable_expression] = STATE(2324),
    [sym_scoped_call_expression] = STATE(612),
    [sym__scope_resolution_qualifier] = STATE(2522),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(612),
    [sym_nullsafe_member_call_expression] = STATE(612),
    [sym__variable_subscript_expression] = STATE(610),
    [sym__dereferencable_subscript_expression] = STATE(612),
    [sym__dereferencable_expression] = STATE(1948),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(766),
    [sym_attribute_group] = STATE(1373),
    [sym_attribute_list] = STATE(1879),
    [sym_encapsed_string] = STATE(767),
    [sym_string] = STATE(767),
    [sym_heredoc] = STATE(767),
    [sym_nowdoc] = STATE(767),
    [sym_shell_command_expression] = STATE(1039),
    [sym_boolean] = STATE(1036),
    [sym_null] = STATE(1036),
    [sym__string] = STATE(768),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(595),
    [sym__new_variable] = STATE(662),
    [sym__callable_variable] = STATE(646),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1026),
    [sym_binary_expression] = STATE(1026),
    [sym_include_expression] = STATE(1026),
    [sym_include_once_expression] = STATE(1026),
    [sym_require_expression] = STATE(1026),
    [sym_require_once_expression] = STATE(1026),
    [sym__reserved_identifier] = STATE(717),
    [sym__identifier] = STATE(1496),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(659),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(663),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(665),
    [anon_sym_DASH] = ACTIONS(665),
    [anon_sym_TILDE] = ACTIONS(667),
    [anon_sym_BANG] = ACTIONS(667),
    [anon_sym_AT] = ACTIONS(669),
    [aux_sym_clone_expression_token1] = ACTIONS(671),
    [aux_sym_print_intrinsic_token1] = ACTIONS(673),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(675),
    [anon_sym_RBRACK] = ACTIONS(965),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(677),
    [aux_sym_include_expression_token1] = ACTIONS(681),
    [aux_sym_include_once_expression_token1] = ACTIONS(683),
    [aux_sym_require_expression_token1] = ACTIONS(685),
    [aux_sym_require_once_expression_token1] = ACTIONS(687),
    [sym_comment] = ACTIONS(5),
  },
  [251] = {
    [sym_text_interpolation] = STATE(251),
    [sym_qualified_name] = STATE(810),
    [sym__name] = STATE(1626),
    [sym_namespace_name] = STATE(2507),
    [sym_static_modifier] = STATE(2368),
    [sym_anonymous_function] = STATE(1039),
    [sym__anonymous_function_header] = STATE(2318),
    [sym__arrow_function_header] = STATE(2547),
    [sym_arrow_function] = STATE(1039),
    [sym_literal] = STATE(1039),
    [sym_throw_expression] = STATE(1039),
    [sym_match_expression] = STATE(1026),
    [sym_expression] = STATE(1320),
    [sym__unary_expression] = STATE(1010),
    [sym_unary_op_expression] = STATE(1022),
    [sym_error_suppression_expression] = STATE(1026),
    [sym_clone_expression] = STATE(1022),
    [sym_primary_expression] = STATE(1022),
    [sym_parenthesized_expression] = STATE(811),
    [sym_class_constant_access_expression] = STATE(859),
    [sym_print_intrinsic] = STATE(1039),
    [sym_object_creation_expression] = STATE(1039),
    [sym__new_non_dereferencable_expression] = STATE(1009),
    [sym__new_dereferencable_expression] = STATE(842),
    [sym_update_expression] = STATE(1039),
    [sym_cast_expression] = STATE(1022),
    [sym_cast_variable] = STATE(656),
    [sym_assignment_expression] = STATE(1026),
    [sym_reference_assignment_expression] = STATE(1026),
    [sym_conditional_expression] = STATE(1026),
    [sym_augmented_assignment_expression] = STATE(1026),
    [sym__variable_member_access_expression] = STATE(613),
    [sym_member_access_expression] = STATE(656),
    [sym__variable_nullsafe_member_access_expression] = STATE(619),
    [sym_nullsafe_member_access_expression] = STATE(656),
    [sym__variable_scoped_property_access_expression] = STATE(602),
    [sym_scoped_property_access_expression] = STATE(656),
    [sym_list_literal] = STATE(2548),
    [sym__list_destructing] = STATE(2405),
    [sym__array_destructing] = STATE(2405),
    [sym_function_call_expression] = STATE(612),
    [sym__callable_expression] = STATE(2324),
    [sym_scoped_call_expression] = STATE(612),
    [sym__scope_resolution_qualifier] = STATE(2522),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(612),
    [sym_nullsafe_member_call_expression] = STATE(612),
    [sym__variable_subscript_expression] = STATE(610),
    [sym__dereferencable_subscript_expression] = STATE(612),
    [sym__dereferencable_expression] = STATE(1948),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(766),
    [sym_attribute_group] = STATE(1373),
    [sym_attribute_list] = STATE(1879),
    [sym_encapsed_string] = STATE(767),
    [sym_string] = STATE(767),
    [sym_heredoc] = STATE(767),
    [sym_nowdoc] = STATE(767),
    [sym_shell_command_expression] = STATE(1039),
    [sym_boolean] = STATE(1036),
    [sym_null] = STATE(1036),
    [sym__string] = STATE(768),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(595),
    [sym__new_variable] = STATE(662),
    [sym__callable_variable] = STATE(646),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1026),
    [sym_binary_expression] = STATE(1026),
    [sym_include_expression] = STATE(1026),
    [sym_include_once_expression] = STATE(1026),
    [sym_require_expression] = STATE(1026),
    [sym_require_once_expression] = STATE(1026),
    [sym__reserved_identifier] = STATE(717),
    [sym__identifier] = STATE(1496),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(659),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(663),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(665),
    [anon_sym_DASH] = ACTIONS(665),
    [anon_sym_TILDE] = ACTIONS(667),
    [anon_sym_BANG] = ACTIONS(667),
    [anon_sym_AT] = ACTIONS(669),
    [aux_sym_clone_expression_token1] = ACTIONS(671),
    [aux_sym_print_intrinsic_token1] = ACTIONS(673),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(675),
    [anon_sym_RBRACK] = ACTIONS(967),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(677),
    [aux_sym_include_expression_token1] = ACTIONS(681),
    [aux_sym_include_once_expression_token1] = ACTIONS(683),
    [aux_sym_require_expression_token1] = ACTIONS(685),
    [aux_sym_require_once_expression_token1] = ACTIONS(687),
    [sym_comment] = ACTIONS(5),
  },
  [252] = {
    [sym_text_interpolation] = STATE(252),
    [sym_qualified_name] = STATE(810),
    [sym__name] = STATE(1626),
    [sym_namespace_name] = STATE(2507),
    [sym_static_modifier] = STATE(2368),
    [sym_anonymous_function] = STATE(1039),
    [sym__anonymous_function_header] = STATE(2318),
    [sym__arrow_function_header] = STATE(2547),
    [sym_arrow_function] = STATE(1039),
    [sym_literal] = STATE(1039),
    [sym_throw_expression] = STATE(1039),
    [sym_match_expression] = STATE(1026),
    [sym_expression] = STATE(1311),
    [sym__unary_expression] = STATE(1010),
    [sym_unary_op_expression] = STATE(1022),
    [sym_error_suppression_expression] = STATE(1026),
    [sym_clone_expression] = STATE(1022),
    [sym_primary_expression] = STATE(1022),
    [sym_parenthesized_expression] = STATE(811),
    [sym_class_constant_access_expression] = STATE(859),
    [sym_print_intrinsic] = STATE(1039),
    [sym_object_creation_expression] = STATE(1039),
    [sym__new_non_dereferencable_expression] = STATE(1009),
    [sym__new_dereferencable_expression] = STATE(842),
    [sym_update_expression] = STATE(1039),
    [sym_cast_expression] = STATE(1022),
    [sym_cast_variable] = STATE(656),
    [sym_assignment_expression] = STATE(1026),
    [sym_reference_assignment_expression] = STATE(1026),
    [sym_conditional_expression] = STATE(1026),
    [sym_augmented_assignment_expression] = STATE(1026),
    [sym__variable_member_access_expression] = STATE(613),
    [sym_member_access_expression] = STATE(656),
    [sym__variable_nullsafe_member_access_expression] = STATE(619),
    [sym_nullsafe_member_access_expression] = STATE(656),
    [sym__variable_scoped_property_access_expression] = STATE(602),
    [sym_scoped_property_access_expression] = STATE(656),
    [sym_list_literal] = STATE(2548),
    [sym__list_destructing] = STATE(2405),
    [sym__array_destructing] = STATE(2405),
    [sym_function_call_expression] = STATE(612),
    [sym__callable_expression] = STATE(2324),
    [sym_scoped_call_expression] = STATE(612),
    [sym__scope_resolution_qualifier] = STATE(2522),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(612),
    [sym_nullsafe_member_call_expression] = STATE(612),
    [sym__variable_subscript_expression] = STATE(610),
    [sym__dereferencable_subscript_expression] = STATE(612),
    [sym__dereferencable_expression] = STATE(1948),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(766),
    [sym_attribute_group] = STATE(1373),
    [sym_attribute_list] = STATE(1879),
    [sym_encapsed_string] = STATE(767),
    [sym_string] = STATE(767),
    [sym_heredoc] = STATE(767),
    [sym_nowdoc] = STATE(767),
    [sym_shell_command_expression] = STATE(1039),
    [sym_boolean] = STATE(1036),
    [sym_null] = STATE(1036),
    [sym__string] = STATE(768),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(595),
    [sym__new_variable] = STATE(662),
    [sym__callable_variable] = STATE(646),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1026),
    [sym_binary_expression] = STATE(1026),
    [sym_include_expression] = STATE(1026),
    [sym_include_once_expression] = STATE(1026),
    [sym_require_expression] = STATE(1026),
    [sym_require_once_expression] = STATE(1026),
    [sym__reserved_identifier] = STATE(717),
    [sym__identifier] = STATE(1496),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(659),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(663),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(665),
    [anon_sym_DASH] = ACTIONS(665),
    [anon_sym_TILDE] = ACTIONS(667),
    [anon_sym_BANG] = ACTIONS(667),
    [anon_sym_AT] = ACTIONS(669),
    [aux_sym_clone_expression_token1] = ACTIONS(671),
    [aux_sym_print_intrinsic_token1] = ACTIONS(673),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(675),
    [anon_sym_RBRACK] = ACTIONS(969),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(677),
    [aux_sym_include_expression_token1] = ACTIONS(681),
    [aux_sym_include_once_expression_token1] = ACTIONS(683),
    [aux_sym_require_expression_token1] = ACTIONS(685),
    [aux_sym_require_once_expression_token1] = ACTIONS(687),
    [sym_comment] = ACTIONS(5),
  },
  [253] = {
    [sym_text_interpolation] = STATE(253),
    [sym_qualified_name] = STATE(810),
    [sym__name] = STATE(1626),
    [sym_namespace_name] = STATE(2507),
    [sym_static_modifier] = STATE(2368),
    [sym_anonymous_function] = STATE(1039),
    [sym__anonymous_function_header] = STATE(2318),
    [sym__arrow_function_header] = STATE(2547),
    [sym_arrow_function] = STATE(1039),
    [sym_literal] = STATE(1039),
    [sym_throw_expression] = STATE(1039),
    [sym_match_expression] = STATE(1026),
    [sym_expression] = STATE(1277),
    [sym__unary_expression] = STATE(1010),
    [sym_unary_op_expression] = STATE(1022),
    [sym_error_suppression_expression] = STATE(1026),
    [sym_clone_expression] = STATE(1022),
    [sym_primary_expression] = STATE(1022),
    [sym_parenthesized_expression] = STATE(811),
    [sym_class_constant_access_expression] = STATE(859),
    [sym_print_intrinsic] = STATE(1039),
    [sym_object_creation_expression] = STATE(1039),
    [sym__new_non_dereferencable_expression] = STATE(1009),
    [sym__new_dereferencable_expression] = STATE(842),
    [sym_update_expression] = STATE(1039),
    [sym_cast_expression] = STATE(1022),
    [sym_cast_variable] = STATE(656),
    [sym_assignment_expression] = STATE(1026),
    [sym_reference_assignment_expression] = STATE(1026),
    [sym_conditional_expression] = STATE(1026),
    [sym_augmented_assignment_expression] = STATE(1026),
    [sym__variable_member_access_expression] = STATE(613),
    [sym_member_access_expression] = STATE(656),
    [sym__variable_nullsafe_member_access_expression] = STATE(619),
    [sym_nullsafe_member_access_expression] = STATE(656),
    [sym__variable_scoped_property_access_expression] = STATE(602),
    [sym_scoped_property_access_expression] = STATE(656),
    [sym_list_literal] = STATE(2548),
    [sym__list_destructing] = STATE(2405),
    [sym__array_destructing] = STATE(2405),
    [sym_function_call_expression] = STATE(612),
    [sym__callable_expression] = STATE(2324),
    [sym_scoped_call_expression] = STATE(612),
    [sym__scope_resolution_qualifier] = STATE(2522),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(612),
    [sym_nullsafe_member_call_expression] = STATE(612),
    [sym__variable_subscript_expression] = STATE(610),
    [sym__dereferencable_subscript_expression] = STATE(612),
    [sym__dereferencable_expression] = STATE(1948),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(766),
    [sym_attribute_group] = STATE(1373),
    [sym_attribute_list] = STATE(1879),
    [sym_encapsed_string] = STATE(767),
    [sym_string] = STATE(767),
    [sym_heredoc] = STATE(767),
    [sym_nowdoc] = STATE(767),
    [sym_shell_command_expression] = STATE(1039),
    [sym_boolean] = STATE(1036),
    [sym_null] = STATE(1036),
    [sym__string] = STATE(768),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(595),
    [sym__new_variable] = STATE(662),
    [sym__callable_variable] = STATE(646),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1026),
    [sym_binary_expression] = STATE(1026),
    [sym_include_expression] = STATE(1026),
    [sym_include_once_expression] = STATE(1026),
    [sym_require_expression] = STATE(1026),
    [sym_require_once_expression] = STATE(1026),
    [sym__reserved_identifier] = STATE(717),
    [sym__identifier] = STATE(1496),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(659),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(663),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(665),
    [anon_sym_DASH] = ACTIONS(665),
    [anon_sym_TILDE] = ACTIONS(667),
    [anon_sym_BANG] = ACTIONS(667),
    [anon_sym_AT] = ACTIONS(669),
    [aux_sym_clone_expression_token1] = ACTIONS(671),
    [aux_sym_print_intrinsic_token1] = ACTIONS(673),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(675),
    [anon_sym_RBRACK] = ACTIONS(971),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(677),
    [aux_sym_include_expression_token1] = ACTIONS(681),
    [aux_sym_include_once_expression_token1] = ACTIONS(683),
    [aux_sym_require_expression_token1] = ACTIONS(685),
    [aux_sym_require_once_expression_token1] = ACTIONS(687),
    [sym_comment] = ACTIONS(5),
  },
  [254] = {
    [sym_text_interpolation] = STATE(254),
    [sym_qualified_name] = STATE(810),
    [sym__name] = STATE(1626),
    [sym_namespace_name] = STATE(2507),
    [sym_static_modifier] = STATE(2368),
    [sym_anonymous_function] = STATE(1039),
    [sym__anonymous_function_header] = STATE(2318),
    [sym__arrow_function_header] = STATE(2547),
    [sym_arrow_function] = STATE(1039),
    [sym_literal] = STATE(1039),
    [sym_throw_expression] = STATE(1039),
    [sym_match_expression] = STATE(1026),
    [sym_expression] = STATE(1278),
    [sym__unary_expression] = STATE(1010),
    [sym_unary_op_expression] = STATE(1022),
    [sym_error_suppression_expression] = STATE(1026),
    [sym_clone_expression] = STATE(1022),
    [sym_primary_expression] = STATE(1022),
    [sym_parenthesized_expression] = STATE(811),
    [sym_class_constant_access_expression] = STATE(859),
    [sym_print_intrinsic] = STATE(1039),
    [sym_object_creation_expression] = STATE(1039),
    [sym__new_non_dereferencable_expression] = STATE(1009),
    [sym__new_dereferencable_expression] = STATE(842),
    [sym_update_expression] = STATE(1039),
    [sym_cast_expression] = STATE(1022),
    [sym_cast_variable] = STATE(656),
    [sym_assignment_expression] = STATE(1026),
    [sym_reference_assignment_expression] = STATE(1026),
    [sym_conditional_expression] = STATE(1026),
    [sym_augmented_assignment_expression] = STATE(1026),
    [sym__variable_member_access_expression] = STATE(613),
    [sym_member_access_expression] = STATE(656),
    [sym__variable_nullsafe_member_access_expression] = STATE(619),
    [sym_nullsafe_member_access_expression] = STATE(656),
    [sym__variable_scoped_property_access_expression] = STATE(602),
    [sym_scoped_property_access_expression] = STATE(656),
    [sym_list_literal] = STATE(2548),
    [sym__list_destructing] = STATE(2405),
    [sym__array_destructing] = STATE(2405),
    [sym_function_call_expression] = STATE(612),
    [sym__callable_expression] = STATE(2324),
    [sym_scoped_call_expression] = STATE(612),
    [sym__scope_resolution_qualifier] = STATE(2522),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(612),
    [sym_nullsafe_member_call_expression] = STATE(612),
    [sym__variable_subscript_expression] = STATE(610),
    [sym__dereferencable_subscript_expression] = STATE(612),
    [sym__dereferencable_expression] = STATE(1948),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(766),
    [sym_attribute_group] = STATE(1373),
    [sym_attribute_list] = STATE(1879),
    [sym_encapsed_string] = STATE(767),
    [sym_string] = STATE(767),
    [sym_heredoc] = STATE(767),
    [sym_nowdoc] = STATE(767),
    [sym_shell_command_expression] = STATE(1039),
    [sym_boolean] = STATE(1036),
    [sym_null] = STATE(1036),
    [sym__string] = STATE(768),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(595),
    [sym__new_variable] = STATE(662),
    [sym__callable_variable] = STATE(646),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1026),
    [sym_binary_expression] = STATE(1026),
    [sym_include_expression] = STATE(1026),
    [sym_include_once_expression] = STATE(1026),
    [sym_require_expression] = STATE(1026),
    [sym_require_once_expression] = STATE(1026),
    [sym__reserved_identifier] = STATE(717),
    [sym__identifier] = STATE(1496),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(659),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(663),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(665),
    [anon_sym_DASH] = ACTIONS(665),
    [anon_sym_TILDE] = ACTIONS(667),
    [anon_sym_BANG] = ACTIONS(667),
    [anon_sym_AT] = ACTIONS(669),
    [aux_sym_clone_expression_token1] = ACTIONS(671),
    [aux_sym_print_intrinsic_token1] = ACTIONS(673),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(675),
    [anon_sym_RBRACK] = ACTIONS(973),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(677),
    [aux_sym_include_expression_token1] = ACTIONS(681),
    [aux_sym_include_once_expression_token1] = ACTIONS(683),
    [aux_sym_require_expression_token1] = ACTIONS(685),
    [aux_sym_require_once_expression_token1] = ACTIONS(687),
    [sym_comment] = ACTIONS(5),
  },
  [255] = {
    [sym_text_interpolation] = STATE(255),
    [sym_qualified_name] = STATE(810),
    [sym__name] = STATE(1626),
    [sym_namespace_name] = STATE(2507),
    [sym_static_modifier] = STATE(2368),
    [sym_anonymous_function] = STATE(1039),
    [sym__anonymous_function_header] = STATE(2318),
    [sym__arrow_function_header] = STATE(2679),
    [sym_arrow_function] = STATE(1039),
    [sym_literal] = STATE(1039),
    [sym_throw_expression] = STATE(1039),
    [sym_match_expression] = STATE(1026),
    [sym_expression] = STATE(1303),
    [sym__unary_expression] = STATE(1010),
    [sym_unary_op_expression] = STATE(1022),
    [sym_error_suppression_expression] = STATE(1026),
    [sym_clone_expression] = STATE(1022),
    [sym_primary_expression] = STATE(1022),
    [sym_parenthesized_expression] = STATE(811),
    [sym_class_constant_access_expression] = STATE(859),
    [sym_print_intrinsic] = STATE(1039),
    [sym_object_creation_expression] = STATE(1039),
    [sym__new_non_dereferencable_expression] = STATE(1009),
    [sym__new_dereferencable_expression] = STATE(842),
    [sym_update_expression] = STATE(1039),
    [sym_cast_expression] = STATE(1022),
    [sym_cast_variable] = STATE(630),
    [sym_assignment_expression] = STATE(1026),
    [sym_reference_assignment_expression] = STATE(1026),
    [sym_conditional_expression] = STATE(1026),
    [sym_augmented_assignment_expression] = STATE(1026),
    [sym__variable_member_access_expression] = STATE(613),
    [sym_member_access_expression] = STATE(630),
    [sym__variable_nullsafe_member_access_expression] = STATE(619),
    [sym_nullsafe_member_access_expression] = STATE(630),
    [sym__variable_scoped_property_access_expression] = STATE(602),
    [sym_scoped_property_access_expression] = STATE(630),
    [sym_list_literal] = STATE(2632),
    [sym__list_destructing] = STATE(2405),
    [sym__array_destructing] = STATE(2405),
    [sym_function_call_expression] = STATE(612),
    [sym__callable_expression] = STATE(2324),
    [sym_scoped_call_expression] = STATE(612),
    [sym__scope_resolution_qualifier] = STATE(2522),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(612),
    [sym_nullsafe_member_call_expression] = STATE(612),
    [sym__variable_subscript_expression] = STATE(610),
    [sym__dereferencable_subscript_expression] = STATE(612),
    [sym__dereferencable_expression] = STATE(1948),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(766),
    [sym_attribute_group] = STATE(1373),
    [sym_attribute_list] = STATE(1879),
    [sym_encapsed_string] = STATE(767),
    [sym_string] = STATE(767),
    [sym_heredoc] = STATE(767),
    [sym_nowdoc] = STATE(767),
    [sym_shell_command_expression] = STATE(1039),
    [sym_boolean] = STATE(1036),
    [sym_null] = STATE(1036),
    [sym__string] = STATE(768),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(595),
    [sym__new_variable] = STATE(653),
    [sym__callable_variable] = STATE(623),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1026),
    [sym_binary_expression] = STATE(1026),
    [sym_include_expression] = STATE(1026),
    [sym_include_once_expression] = STATE(1026),
    [sym_require_expression] = STATE(1026),
    [sym_require_once_expression] = STATE(1026),
    [sym__reserved_identifier] = STATE(717),
    [sym__identifier] = STATE(1496),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_COLON] = ACTIONS(975),
    [anon_sym_LPAREN2] = ACTIONS(605),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(613),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(617),
    [anon_sym_DASH] = ACTIONS(617),
    [anon_sym_TILDE] = ACTIONS(619),
    [anon_sym_BANG] = ACTIONS(619),
    [anon_sym_AT] = ACTIONS(621),
    [aux_sym_clone_expression_token1] = ACTIONS(623),
    [aux_sym_print_intrinsic_token1] = ACTIONS(625),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(631),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(647),
    [aux_sym_include_expression_token1] = ACTIONS(651),
    [aux_sym_include_once_expression_token1] = ACTIONS(653),
    [aux_sym_require_expression_token1] = ACTIONS(655),
    [aux_sym_require_once_expression_token1] = ACTIONS(657),
    [sym_comment] = ACTIONS(5),
  },
  [256] = {
    [sym_text_interpolation] = STATE(256),
    [sym_qualified_name] = STATE(810),
    [sym__name] = STATE(1626),
    [sym_namespace_name] = STATE(2507),
    [sym_static_modifier] = STATE(2368),
    [sym_anonymous_function] = STATE(1039),
    [sym__anonymous_function_header] = STATE(2318),
    [sym__arrow_function_header] = STATE(2547),
    [sym_arrow_function] = STATE(1039),
    [sym_literal] = STATE(1039),
    [sym_throw_expression] = STATE(1039),
    [sym_match_expression] = STATE(1026),
    [sym_expression] = STATE(1149),
    [sym__unary_expression] = STATE(1010),
    [sym_unary_op_expression] = STATE(1022),
    [sym_error_suppression_expression] = STATE(1026),
    [sym_clone_expression] = STATE(1022),
    [sym_primary_expression] = STATE(1022),
    [sym_parenthesized_expression] = STATE(811),
    [sym_class_constant_access_expression] = STATE(859),
    [sym_print_intrinsic] = STATE(1039),
    [sym_object_creation_expression] = STATE(1039),
    [sym__new_non_dereferencable_expression] = STATE(1009),
    [sym__new_dereferencable_expression] = STATE(842),
    [sym_update_expression] = STATE(1039),
    [sym_cast_expression] = STATE(1022),
    [sym_cast_variable] = STATE(656),
    [sym_assignment_expression] = STATE(1026),
    [sym_reference_assignment_expression] = STATE(1026),
    [sym_conditional_expression] = STATE(1026),
    [sym_augmented_assignment_expression] = STATE(1026),
    [sym__variable_member_access_expression] = STATE(613),
    [sym_member_access_expression] = STATE(656),
    [sym__variable_nullsafe_member_access_expression] = STATE(619),
    [sym_nullsafe_member_access_expression] = STATE(656),
    [sym__variable_scoped_property_access_expression] = STATE(602),
    [sym_scoped_property_access_expression] = STATE(656),
    [sym_list_literal] = STATE(2548),
    [sym__list_destructing] = STATE(2405),
    [sym__array_destructing] = STATE(2405),
    [sym_function_call_expression] = STATE(612),
    [sym__callable_expression] = STATE(2324),
    [sym_scoped_call_expression] = STATE(612),
    [sym__scope_resolution_qualifier] = STATE(2522),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(612),
    [sym_nullsafe_member_call_expression] = STATE(612),
    [sym__variable_subscript_expression] = STATE(610),
    [sym__dereferencable_subscript_expression] = STATE(612),
    [sym__dereferencable_expression] = STATE(1948),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(766),
    [sym_attribute_group] = STATE(1373),
    [sym_attribute_list] = STATE(1879),
    [sym_encapsed_string] = STATE(767),
    [sym_string] = STATE(767),
    [sym_heredoc] = STATE(767),
    [sym_nowdoc] = STATE(767),
    [sym_shell_command_expression] = STATE(1039),
    [sym_boolean] = STATE(1036),
    [sym_null] = STATE(1036),
    [sym__string] = STATE(768),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(595),
    [sym__new_variable] = STATE(662),
    [sym__callable_variable] = STATE(646),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1026),
    [sym_binary_expression] = STATE(1026),
    [sym_include_expression] = STATE(1026),
    [sym_include_once_expression] = STATE(1026),
    [sym_require_expression] = STATE(1026),
    [sym_require_once_expression] = STATE(1026),
    [sym__reserved_identifier] = STATE(717),
    [sym__identifier] = STATE(1496),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_AMP] = ACTIONS(977),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(659),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(663),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(665),
    [anon_sym_DASH] = ACTIONS(665),
    [anon_sym_TILDE] = ACTIONS(667),
    [anon_sym_BANG] = ACTIONS(667),
    [anon_sym_AT] = ACTIONS(669),
    [aux_sym_clone_expression_token1] = ACTIONS(671),
    [aux_sym_print_intrinsic_token1] = ACTIONS(673),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(675),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(677),
    [aux_sym_include_expression_token1] = ACTIONS(681),
    [aux_sym_include_once_expression_token1] = ACTIONS(683),
    [aux_sym_require_expression_token1] = ACTIONS(685),
    [aux_sym_require_once_expression_token1] = ACTIONS(687),
    [sym_comment] = ACTIONS(5),
  },
  [257] = {
    [sym_text_interpolation] = STATE(257),
    [sym_qualified_name] = STATE(810),
    [sym__name] = STATE(1626),
    [sym_namespace_name] = STATE(2507),
    [sym_static_modifier] = STATE(2368),
    [sym_anonymous_function] = STATE(1039),
    [sym__anonymous_function_header] = STATE(2318),
    [sym__arrow_function_header] = STATE(2639),
    [sym_arrow_function] = STATE(1039),
    [sym_literal] = STATE(1039),
    [sym_throw_expression] = STATE(1039),
    [sym_sequence_expression] = STATE(2419),
    [sym_match_expression] = STATE(1026),
    [sym_expression] = STATE(1256),
    [sym__unary_expression] = STATE(1010),
    [sym_unary_op_expression] = STATE(1022),
    [sym_error_suppression_expression] = STATE(1026),
    [sym_clone_expression] = STATE(1022),
    [sym_primary_expression] = STATE(1022),
    [sym_parenthesized_expression] = STATE(811),
    [sym_class_constant_access_expression] = STATE(859),
    [sym_print_intrinsic] = STATE(1039),
    [sym_object_creation_expression] = STATE(1039),
    [sym__new_non_dereferencable_expression] = STATE(1009),
    [sym__new_dereferencable_expression] = STATE(842),
    [sym_update_expression] = STATE(1039),
    [sym_cast_expression] = STATE(1022),
    [sym_cast_variable] = STATE(681),
    [sym_assignment_expression] = STATE(1026),
    [sym_reference_assignment_expression] = STATE(1026),
    [sym_conditional_expression] = STATE(1026),
    [sym_augmented_assignment_expression] = STATE(1026),
    [sym__variable_member_access_expression] = STATE(613),
    [sym_member_access_expression] = STATE(681),
    [sym__variable_nullsafe_member_access_expression] = STATE(619),
    [sym_nullsafe_member_access_expression] = STATE(681),
    [sym__variable_scoped_property_access_expression] = STATE(602),
    [sym_scoped_property_access_expression] = STATE(681),
    [sym_list_literal] = STATE(2640),
    [sym__list_destructing] = STATE(2405),
    [sym__array_destructing] = STATE(2405),
    [sym_function_call_expression] = STATE(612),
    [sym__callable_expression] = STATE(2324),
    [sym_scoped_call_expression] = STATE(612),
    [sym__scope_resolution_qualifier] = STATE(2522),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(612),
    [sym_nullsafe_member_call_expression] = STATE(612),
    [sym__variable_subscript_expression] = STATE(610),
    [sym__dereferencable_subscript_expression] = STATE(612),
    [sym__dereferencable_expression] = STATE(1948),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(766),
    [sym_attribute_group] = STATE(1373),
    [sym_attribute_list] = STATE(1879),
    [sym_encapsed_string] = STATE(767),
    [sym_string] = STATE(767),
    [sym_heredoc] = STATE(767),
    [sym_nowdoc] = STATE(767),
    [sym_shell_command_expression] = STATE(1039),
    [sym_boolean] = STATE(1036),
    [sym_null] = STATE(1036),
    [sym__string] = STATE(768),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(595),
    [sym__new_variable] = STATE(683),
    [sym__callable_variable] = STATE(657),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1026),
    [sym_binary_expression] = STATE(1026),
    [sym_include_expression] = STATE(1026),
    [sym_include_once_expression] = STATE(1026),
    [sym_require_expression] = STATE(1026),
    [sym_require_once_expression] = STATE(1026),
    [sym__reserved_identifier] = STATE(717),
    [sym__identifier] = STATE(1496),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(697),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(701),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(703),
    [anon_sym_DASH] = ACTIONS(703),
    [anon_sym_TILDE] = ACTIONS(705),
    [anon_sym_BANG] = ACTIONS(705),
    [anon_sym_AT] = ACTIONS(707),
    [aux_sym_clone_expression_token1] = ACTIONS(709),
    [aux_sym_print_intrinsic_token1] = ACTIONS(711),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(713),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(5),
  },
  [258] = {
    [sym_text_interpolation] = STATE(258),
    [sym_qualified_name] = STATE(810),
    [sym__name] = STATE(1626),
    [sym_namespace_name] = STATE(2507),
    [sym_static_modifier] = STATE(2368),
    [sym_anonymous_function] = STATE(1039),
    [sym__anonymous_function_header] = STATE(2318),
    [sym__arrow_function_header] = STATE(2547),
    [sym_arrow_function] = STATE(1039),
    [sym_literal] = STATE(1039),
    [sym_throw_expression] = STATE(1039),
    [sym_match_expression] = STATE(1026),
    [sym_expression] = STATE(1252),
    [sym__unary_expression] = STATE(1010),
    [sym_unary_op_expression] = STATE(1022),
    [sym_error_suppression_expression] = STATE(1026),
    [sym_clone_expression] = STATE(1022),
    [sym_primary_expression] = STATE(1022),
    [sym_parenthesized_expression] = STATE(811),
    [sym_class_constant_access_expression] = STATE(859),
    [sym_print_intrinsic] = STATE(1039),
    [sym_object_creation_expression] = STATE(1039),
    [sym__new_non_dereferencable_expression] = STATE(1009),
    [sym__new_dereferencable_expression] = STATE(842),
    [sym_update_expression] = STATE(1039),
    [sym_cast_expression] = STATE(1022),
    [sym_cast_variable] = STATE(656),
    [sym_assignment_expression] = STATE(1026),
    [sym_reference_assignment_expression] = STATE(1026),
    [sym_conditional_expression] = STATE(1026),
    [sym_augmented_assignment_expression] = STATE(1026),
    [sym__variable_member_access_expression] = STATE(613),
    [sym_member_access_expression] = STATE(656),
    [sym__variable_nullsafe_member_access_expression] = STATE(619),
    [sym_nullsafe_member_access_expression] = STATE(656),
    [sym__variable_scoped_property_access_expression] = STATE(602),
    [sym_scoped_property_access_expression] = STATE(656),
    [sym_list_literal] = STATE(2548),
    [sym__list_destructing] = STATE(2405),
    [sym__array_destructing] = STATE(2405),
    [sym_function_call_expression] = STATE(612),
    [sym__callable_expression] = STATE(2324),
    [sym_scoped_call_expression] = STATE(612),
    [sym__scope_resolution_qualifier] = STATE(2522),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(612),
    [sym_nullsafe_member_call_expression] = STATE(612),
    [sym__variable_subscript_expression] = STATE(610),
    [sym__dereferencable_subscript_expression] = STATE(612),
    [sym__dereferencable_expression] = STATE(1948),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(766),
    [sym_attribute_group] = STATE(1373),
    [sym_attribute_list] = STATE(1879),
    [sym_encapsed_string] = STATE(767),
    [sym_string] = STATE(767),
    [sym_heredoc] = STATE(767),
    [sym_nowdoc] = STATE(767),
    [sym_shell_command_expression] = STATE(1039),
    [sym_boolean] = STATE(1036),
    [sym_null] = STATE(1036),
    [sym__string] = STATE(768),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(595),
    [sym__new_variable] = STATE(662),
    [sym__callable_variable] = STATE(646),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1026),
    [sym_binary_expression] = STATE(1026),
    [sym_include_expression] = STATE(1026),
    [sym_include_once_expression] = STATE(1026),
    [sym_require_expression] = STATE(1026),
    [sym_require_once_expression] = STATE(1026),
    [sym__reserved_identifier] = STATE(717),
    [sym__identifier] = STATE(1496),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_EQ_GT] = ACTIONS(979),
    [anon_sym_LPAREN2] = ACTIONS(659),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(663),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(665),
    [anon_sym_DASH] = ACTIONS(665),
    [anon_sym_TILDE] = ACTIONS(667),
    [anon_sym_BANG] = ACTIONS(667),
    [anon_sym_AT] = ACTIONS(669),
    [aux_sym_clone_expression_token1] = ACTIONS(671),
    [aux_sym_print_intrinsic_token1] = ACTIONS(673),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(675),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(677),
    [aux_sym_include_expression_token1] = ACTIONS(681),
    [aux_sym_include_once_expression_token1] = ACTIONS(683),
    [aux_sym_require_expression_token1] = ACTIONS(685),
    [aux_sym_require_once_expression_token1] = ACTIONS(687),
    [sym_comment] = ACTIONS(5),
  },
  [259] = {
    [sym_text_interpolation] = STATE(259),
    [sym_qualified_name] = STATE(810),
    [sym__name] = STATE(1626),
    [sym_namespace_name] = STATE(2507),
    [sym_static_modifier] = STATE(2368),
    [sym_anonymous_function] = STATE(1039),
    [sym__anonymous_function_header] = STATE(2318),
    [sym__arrow_function_header] = STATE(2639),
    [sym_arrow_function] = STATE(1039),
    [sym_literal] = STATE(1039),
    [sym_throw_expression] = STATE(1039),
    [sym_match_expression] = STATE(1026),
    [sym_expression] = STATE(1196),
    [sym__unary_expression] = STATE(1010),
    [sym_unary_op_expression] = STATE(1022),
    [sym_error_suppression_expression] = STATE(1026),
    [sym_clone_expression] = STATE(1022),
    [sym_primary_expression] = STATE(1022),
    [sym_parenthesized_expression] = STATE(811),
    [sym_class_constant_access_expression] = STATE(859),
    [sym_print_intrinsic] = STATE(1039),
    [sym_object_creation_expression] = STATE(1039),
    [sym__new_non_dereferencable_expression] = STATE(1009),
    [sym__new_dereferencable_expression] = STATE(842),
    [sym_update_expression] = STATE(1039),
    [sym_cast_expression] = STATE(1022),
    [sym_cast_variable] = STATE(681),
    [sym_assignment_expression] = STATE(1026),
    [sym_reference_assignment_expression] = STATE(1026),
    [sym_conditional_expression] = STATE(1026),
    [sym_augmented_assignment_expression] = STATE(1026),
    [sym__variable_member_access_expression] = STATE(613),
    [sym_member_access_expression] = STATE(681),
    [sym__variable_nullsafe_member_access_expression] = STATE(619),
    [sym_nullsafe_member_access_expression] = STATE(681),
    [sym__variable_scoped_property_access_expression] = STATE(602),
    [sym_scoped_property_access_expression] = STATE(681),
    [sym_list_literal] = STATE(2640),
    [sym__list_destructing] = STATE(2405),
    [sym__array_destructing] = STATE(2405),
    [sym_function_call_expression] = STATE(612),
    [sym__callable_expression] = STATE(2324),
    [sym_scoped_call_expression] = STATE(612),
    [sym__scope_resolution_qualifier] = STATE(2522),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(612),
    [sym_nullsafe_member_call_expression] = STATE(612),
    [sym__variable_subscript_expression] = STATE(610),
    [sym__dereferencable_subscript_expression] = STATE(612),
    [sym__dereferencable_expression] = STATE(1948),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(766),
    [sym_attribute_group] = STATE(1373),
    [sym_attribute_list] = STATE(1879),
    [sym_encapsed_string] = STATE(767),
    [sym_string] = STATE(767),
    [sym_heredoc] = STATE(767),
    [sym_nowdoc] = STATE(767),
    [sym_shell_command_expression] = STATE(1039),
    [sym_boolean] = STATE(1036),
    [sym_null] = STATE(1036),
    [sym__string] = STATE(768),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(595),
    [sym__new_variable] = STATE(683),
    [sym__callable_variable] = STATE(657),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1026),
    [sym_binary_expression] = STATE(1026),
    [sym_include_expression] = STATE(1026),
    [sym_include_once_expression] = STATE(1026),
    [sym_require_expression] = STATE(1026),
    [sym_require_once_expression] = STATE(1026),
    [sym__reserved_identifier] = STATE(717),
    [sym__identifier] = STATE(1496),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_AMP] = ACTIONS(981),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(697),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(701),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(703),
    [anon_sym_DASH] = ACTIONS(703),
    [anon_sym_TILDE] = ACTIONS(705),
    [anon_sym_BANG] = ACTIONS(705),
    [anon_sym_AT] = ACTIONS(707),
    [aux_sym_clone_expression_token1] = ACTIONS(709),
    [aux_sym_print_intrinsic_token1] = ACTIONS(711),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(713),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(5),
  },
  [260] = {
    [sym_text_interpolation] = STATE(260),
    [sym_qualified_name] = STATE(810),
    [sym__name] = STATE(1626),
    [sym_namespace_name] = STATE(2507),
    [sym_static_modifier] = STATE(2368),
    [sym_anonymous_function] = STATE(1039),
    [sym__anonymous_function_header] = STATE(2318),
    [sym__arrow_function_header] = STATE(2547),
    [sym_arrow_function] = STATE(1039),
    [sym_literal] = STATE(1039),
    [sym_throw_expression] = STATE(1039),
    [sym_match_expression] = STATE(1026),
    [sym_expression] = STATE(1007),
    [sym__unary_expression] = STATE(1010),
    [sym_unary_op_expression] = STATE(1022),
    [sym_error_suppression_expression] = STATE(1026),
    [sym_clone_expression] = STATE(1022),
    [sym_primary_expression] = STATE(1022),
    [sym_parenthesized_expression] = STATE(811),
    [sym_class_constant_access_expression] = STATE(859),
    [sym_print_intrinsic] = STATE(1039),
    [sym_object_creation_expression] = STATE(1039),
    [sym__new_non_dereferencable_expression] = STATE(1009),
    [sym__new_dereferencable_expression] = STATE(842),
    [sym_update_expression] = STATE(1039),
    [sym_cast_expression] = STATE(1022),
    [sym_cast_variable] = STATE(656),
    [sym_assignment_expression] = STATE(1026),
    [sym_reference_assignment_expression] = STATE(1026),
    [sym_conditional_expression] = STATE(1026),
    [sym_augmented_assignment_expression] = STATE(1026),
    [sym__variable_member_access_expression] = STATE(613),
    [sym_member_access_expression] = STATE(656),
    [sym__variable_nullsafe_member_access_expression] = STATE(619),
    [sym_nullsafe_member_access_expression] = STATE(656),
    [sym__variable_scoped_property_access_expression] = STATE(602),
    [sym_scoped_property_access_expression] = STATE(656),
    [sym_list_literal] = STATE(2548),
    [sym__list_destructing] = STATE(2405),
    [sym__array_destructing] = STATE(2405),
    [sym_function_call_expression] = STATE(612),
    [sym__callable_expression] = STATE(2324),
    [sym_scoped_call_expression] = STATE(612),
    [sym__scope_resolution_qualifier] = STATE(2522),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(612),
    [sym_nullsafe_member_call_expression] = STATE(612),
    [sym__variable_subscript_expression] = STATE(610),
    [sym__dereferencable_subscript_expression] = STATE(612),
    [sym__dereferencable_expression] = STATE(1948),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(766),
    [sym_attribute_group] = STATE(1373),
    [sym_attribute_list] = STATE(1879),
    [sym_encapsed_string] = STATE(767),
    [sym_string] = STATE(767),
    [sym_heredoc] = STATE(767),
    [sym_nowdoc] = STATE(767),
    [sym_shell_command_expression] = STATE(1039),
    [sym_boolean] = STATE(1036),
    [sym_null] = STATE(1036),
    [sym__string] = STATE(768),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(595),
    [sym__new_variable] = STATE(662),
    [sym__callable_variable] = STATE(646),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1026),
    [sym_binary_expression] = STATE(1026),
    [sym_include_expression] = STATE(1026),
    [sym_include_once_expression] = STATE(1026),
    [sym_require_expression] = STATE(1026),
    [sym_require_once_expression] = STATE(1026),
    [sym__reserved_identifier] = STATE(717),
    [sym__identifier] = STATE(1496),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(659),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(663),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(665),
    [anon_sym_DASH] = ACTIONS(665),
    [anon_sym_TILDE] = ACTIONS(667),
    [anon_sym_BANG] = ACTIONS(667),
    [anon_sym_AT] = ACTIONS(669),
    [aux_sym_clone_expression_token1] = ACTIONS(671),
    [aux_sym_print_intrinsic_token1] = ACTIONS(673),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(675),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(677),
    [aux_sym_include_expression_token1] = ACTIONS(681),
    [aux_sym_include_once_expression_token1] = ACTIONS(683),
    [aux_sym_require_expression_token1] = ACTIONS(685),
    [aux_sym_require_once_expression_token1] = ACTIONS(687),
    [sym_comment] = ACTIONS(5),
  },
  [261] = {
    [sym_text_interpolation] = STATE(261),
    [sym_qualified_name] = STATE(1000),
    [sym__name] = STATE(1631),
    [sym_namespace_name] = STATE(2575),
    [sym_static_modifier] = STATE(2368),
    [sym_anonymous_function] = STATE(1148),
    [sym__anonymous_function_header] = STATE(2489),
    [sym__arrow_function_header] = STATE(2731),
    [sym_arrow_function] = STATE(1148),
    [sym_literal] = STATE(1148),
    [sym_throw_expression] = STATE(1148),
    [sym_match_expression] = STATE(1152),
    [sym_expression] = STATE(1126),
    [sym__unary_expression] = STATE(1159),
    [sym_unary_op_expression] = STATE(1172),
    [sym_error_suppression_expression] = STATE(1152),
    [sym_clone_expression] = STATE(1172),
    [sym_primary_expression] = STATE(1172),
    [sym_parenthesized_expression] = STATE(964),
    [sym_class_constant_access_expression] = STATE(1019),
    [sym_print_intrinsic] = STATE(1148),
    [sym_object_creation_expression] = STATE(1148),
    [sym__new_non_dereferencable_expression] = STATE(1168),
    [sym__new_dereferencable_expression] = STATE(966),
    [sym_update_expression] = STATE(1148),
    [sym_cast_expression] = STATE(1172),
    [sym_cast_variable] = STATE(661),
    [sym_assignment_expression] = STATE(1152),
    [sym_reference_assignment_expression] = STATE(1152),
    [sym_conditional_expression] = STATE(1152),
    [sym_augmented_assignment_expression] = STATE(1152),
    [sym__variable_member_access_expression] = STATE(674),
    [sym_member_access_expression] = STATE(661),
    [sym__variable_nullsafe_member_access_expression] = STATE(663),
    [sym_nullsafe_member_access_expression] = STATE(661),
    [sym__variable_scoped_property_access_expression] = STATE(664),
    [sym_scoped_property_access_expression] = STATE(661),
    [sym_list_literal] = STATE(2530),
    [sym__list_destructing] = STATE(2405),
    [sym__array_destructing] = STATE(2405),
    [sym_function_call_expression] = STATE(634),
    [sym__callable_expression] = STATE(2471),
    [sym_scoped_call_expression] = STATE(634),
    [sym__scope_resolution_qualifier] = STATE(2651),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(634),
    [sym_nullsafe_member_call_expression] = STATE(634),
    [sym__variable_subscript_expression] = STATE(665),
    [sym__dereferencable_subscript_expression] = STATE(634),
    [sym__dereferencable_expression] = STATE(1946),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(1005),
    [sym_attribute_group] = STATE(1373),
    [sym_attribute_list] = STATE(1879),
    [sym_encapsed_string] = STATE(927),
    [sym_string] = STATE(927),
    [sym_heredoc] = STATE(927),
    [sym_nowdoc] = STATE(927),
    [sym_shell_command_expression] = STATE(1148),
    [sym_boolean] = STATE(1162),
    [sym_null] = STATE(1162),
    [sym__string] = STATE(941),
    [sym_dynamic_variable_name] = STATE(650),
    [sym__simple_variable] = STATE(654),
    [sym__new_variable] = STATE(667),
    [sym__callable_variable] = STATE(629),
    [sym_variable_name] = STATE(650),
    [sym_yield_expression] = STATE(1152),
    [sym_binary_expression] = STATE(1152),
    [sym_include_expression] = STATE(1152),
    [sym_include_once_expression] = STATE(1152),
    [sym_require_expression] = STATE(1152),
    [sym_require_once_expression] = STATE(1152),
    [sym__reserved_identifier] = STATE(717),
    [sym__identifier] = STATE(1496),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(689),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LPAREN2] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [sym_float] = ACTIONS(266),
    [sym_integer] = ACTIONS(266),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [262] = {
    [sym_text_interpolation] = STATE(262),
    [sym_qualified_name] = STATE(1000),
    [sym__name] = STATE(1631),
    [sym_namespace_name] = STATE(2575),
    [sym_static_modifier] = STATE(2368),
    [sym_anonymous_function] = STATE(1148),
    [sym__anonymous_function_header] = STATE(2489),
    [sym__arrow_function_header] = STATE(2731),
    [sym_arrow_function] = STATE(1148),
    [sym_literal] = STATE(1148),
    [sym_throw_expression] = STATE(1148),
    [sym_match_expression] = STATE(1152),
    [sym_expression] = STATE(1111),
    [sym__unary_expression] = STATE(1159),
    [sym_unary_op_expression] = STATE(1172),
    [sym_error_suppression_expression] = STATE(1152),
    [sym_clone_expression] = STATE(1172),
    [sym_primary_expression] = STATE(1172),
    [sym_parenthesized_expression] = STATE(964),
    [sym_class_constant_access_expression] = STATE(1019),
    [sym_print_intrinsic] = STATE(1148),
    [sym_object_creation_expression] = STATE(1148),
    [sym__new_non_dereferencable_expression] = STATE(1168),
    [sym__new_dereferencable_expression] = STATE(966),
    [sym_update_expression] = STATE(1148),
    [sym_cast_expression] = STATE(1172),
    [sym_cast_variable] = STATE(661),
    [sym_assignment_expression] = STATE(1152),
    [sym_reference_assignment_expression] = STATE(1152),
    [sym_conditional_expression] = STATE(1152),
    [sym_augmented_assignment_expression] = STATE(1152),
    [sym__variable_member_access_expression] = STATE(674),
    [sym_member_access_expression] = STATE(661),
    [sym__variable_nullsafe_member_access_expression] = STATE(663),
    [sym_nullsafe_member_access_expression] = STATE(661),
    [sym__variable_scoped_property_access_expression] = STATE(664),
    [sym_scoped_property_access_expression] = STATE(661),
    [sym_list_literal] = STATE(2530),
    [sym__list_destructing] = STATE(2405),
    [sym__array_destructing] = STATE(2405),
    [sym_function_call_expression] = STATE(634),
    [sym__callable_expression] = STATE(2471),
    [sym_scoped_call_expression] = STATE(634),
    [sym__scope_resolution_qualifier] = STATE(2651),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(634),
    [sym_nullsafe_member_call_expression] = STATE(634),
    [sym__variable_subscript_expression] = STATE(665),
    [sym__dereferencable_subscript_expression] = STATE(634),
    [sym__dereferencable_expression] = STATE(1946),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(1005),
    [sym_attribute_group] = STATE(1373),
    [sym_attribute_list] = STATE(1879),
    [sym_encapsed_string] = STATE(927),
    [sym_string] = STATE(927),
    [sym_heredoc] = STATE(927),
    [sym_nowdoc] = STATE(927),
    [sym_shell_command_expression] = STATE(1148),
    [sym_boolean] = STATE(1162),
    [sym_null] = STATE(1162),
    [sym__string] = STATE(941),
    [sym_dynamic_variable_name] = STATE(650),
    [sym__simple_variable] = STATE(654),
    [sym__new_variable] = STATE(667),
    [sym__callable_variable] = STATE(629),
    [sym_variable_name] = STATE(650),
    [sym_yield_expression] = STATE(1152),
    [sym_binary_expression] = STATE(1152),
    [sym_include_expression] = STATE(1152),
    [sym_include_once_expression] = STATE(1152),
    [sym_require_expression] = STATE(1152),
    [sym_require_once_expression] = STATE(1152),
    [sym__reserved_identifier] = STATE(717),
    [sym__identifier] = STATE(1496),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(689),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LPAREN2] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [sym_float] = ACTIONS(266),
    [sym_integer] = ACTIONS(266),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [263] = {
    [sym_text_interpolation] = STATE(263),
    [sym_qualified_name] = STATE(1000),
    [sym__name] = STATE(1631),
    [sym_namespace_name] = STATE(2575),
    [sym_static_modifier] = STATE(2368),
    [sym_anonymous_function] = STATE(1148),
    [sym__anonymous_function_header] = STATE(2489),
    [sym__arrow_function_header] = STATE(2731),
    [sym_arrow_function] = STATE(1148),
    [sym_literal] = STATE(1148),
    [sym_throw_expression] = STATE(1148),
    [sym_match_expression] = STATE(1152),
    [sym_expression] = STATE(1240),
    [sym__unary_expression] = STATE(1159),
    [sym_unary_op_expression] = STATE(1172),
    [sym_error_suppression_expression] = STATE(1152),
    [sym_clone_expression] = STATE(1172),
    [sym_primary_expression] = STATE(1172),
    [sym_parenthesized_expression] = STATE(964),
    [sym_class_constant_access_expression] = STATE(1019),
    [sym_print_intrinsic] = STATE(1148),
    [sym_object_creation_expression] = STATE(1148),
    [sym__new_non_dereferencable_expression] = STATE(1168),
    [sym__new_dereferencable_expression] = STATE(966),
    [sym_update_expression] = STATE(1148),
    [sym_cast_expression] = STATE(1172),
    [sym_cast_variable] = STATE(661),
    [sym_assignment_expression] = STATE(1152),
    [sym_reference_assignment_expression] = STATE(1152),
    [sym_conditional_expression] = STATE(1152),
    [sym_augmented_assignment_expression] = STATE(1152),
    [sym__variable_member_access_expression] = STATE(674),
    [sym_member_access_expression] = STATE(661),
    [sym__variable_nullsafe_member_access_expression] = STATE(663),
    [sym_nullsafe_member_access_expression] = STATE(661),
    [sym__variable_scoped_property_access_expression] = STATE(664),
    [sym_scoped_property_access_expression] = STATE(661),
    [sym_list_literal] = STATE(2530),
    [sym__list_destructing] = STATE(2405),
    [sym__array_destructing] = STATE(2405),
    [sym_function_call_expression] = STATE(634),
    [sym__callable_expression] = STATE(2471),
    [sym_scoped_call_expression] = STATE(634),
    [sym__scope_resolution_qualifier] = STATE(2651),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(634),
    [sym_nullsafe_member_call_expression] = STATE(634),
    [sym__variable_subscript_expression] = STATE(665),
    [sym__dereferencable_subscript_expression] = STATE(634),
    [sym__dereferencable_expression] = STATE(1946),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(1005),
    [sym_attribute_group] = STATE(1373),
    [sym_attribute_list] = STATE(1879),
    [sym_encapsed_string] = STATE(927),
    [sym_string] = STATE(927),
    [sym_heredoc] = STATE(927),
    [sym_nowdoc] = STATE(927),
    [sym_shell_command_expression] = STATE(1148),
    [sym_boolean] = STATE(1162),
    [sym_null] = STATE(1162),
    [sym__string] = STATE(941),
    [sym_dynamic_variable_name] = STATE(650),
    [sym__simple_variable] = STATE(654),
    [sym__new_variable] = STATE(667),
    [sym__callable_variable] = STATE(629),
    [sym_variable_name] = STATE(650),
    [sym_yield_expression] = STATE(1152),
    [sym_binary_expression] = STATE(1152),
    [sym_include_expression] = STATE(1152),
    [sym_include_once_expression] = STATE(1152),
    [sym_require_expression] = STATE(1152),
    [sym_require_once_expression] = STATE(1152),
    [sym__reserved_identifier] = STATE(717),
    [sym__identifier] = STATE(1496),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(689),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LPAREN2] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [sym_float] = ACTIONS(266),
    [sym_integer] = ACTIONS(266),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [264] = {
    [sym_text_interpolation] = STATE(264),
    [sym_qualified_name] = STATE(810),
    [sym__name] = STATE(1626),
    [sym_namespace_name] = STATE(2507),
    [sym_static_modifier] = STATE(2368),
    [sym_anonymous_function] = STATE(1039),
    [sym__anonymous_function_header] = STATE(2318),
    [sym__arrow_function_header] = STATE(2679),
    [sym_arrow_function] = STATE(1039),
    [sym_literal] = STATE(1039),
    [sym_throw_expression] = STATE(1039),
    [sym_match_expression] = STATE(1026),
    [sym_expression] = STATE(1048),
    [sym__unary_expression] = STATE(1010),
    [sym_unary_op_expression] = STATE(1022),
    [sym_error_suppression_expression] = STATE(1026),
    [sym_clone_expression] = STATE(1022),
    [sym_primary_expression] = STATE(1022),
    [sym_parenthesized_expression] = STATE(811),
    [sym_class_constant_access_expression] = STATE(859),
    [sym_print_intrinsic] = STATE(1039),
    [sym_object_creation_expression] = STATE(1039),
    [sym__new_non_dereferencable_expression] = STATE(1009),
    [sym__new_dereferencable_expression] = STATE(842),
    [sym_update_expression] = STATE(1039),
    [sym_cast_expression] = STATE(1022),
    [sym_cast_variable] = STATE(630),
    [sym_assignment_expression] = STATE(1026),
    [sym_reference_assignment_expression] = STATE(1026),
    [sym_conditional_expression] = STATE(1026),
    [sym_augmented_assignment_expression] = STATE(1026),
    [sym__variable_member_access_expression] = STATE(613),
    [sym_member_access_expression] = STATE(630),
    [sym__variable_nullsafe_member_access_expression] = STATE(619),
    [sym_nullsafe_member_access_expression] = STATE(630),
    [sym__variable_scoped_property_access_expression] = STATE(602),
    [sym_scoped_property_access_expression] = STATE(630),
    [sym_list_literal] = STATE(2632),
    [sym__list_destructing] = STATE(2405),
    [sym__array_destructing] = STATE(2405),
    [sym_function_call_expression] = STATE(612),
    [sym__callable_expression] = STATE(2324),
    [sym_scoped_call_expression] = STATE(612),
    [sym__scope_resolution_qualifier] = STATE(2522),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(612),
    [sym_nullsafe_member_call_expression] = STATE(612),
    [sym__variable_subscript_expression] = STATE(610),
    [sym__dereferencable_subscript_expression] = STATE(612),
    [sym__dereferencable_expression] = STATE(1948),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(766),
    [sym_attribute_group] = STATE(1373),
    [sym_attribute_list] = STATE(1879),
    [sym_encapsed_string] = STATE(767),
    [sym_string] = STATE(767),
    [sym_heredoc] = STATE(767),
    [sym_nowdoc] = STATE(767),
    [sym_shell_command_expression] = STATE(1039),
    [sym_boolean] = STATE(1036),
    [sym_null] = STATE(1036),
    [sym__string] = STATE(768),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(595),
    [sym__new_variable] = STATE(653),
    [sym__callable_variable] = STATE(623),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1026),
    [sym_binary_expression] = STATE(1026),
    [sym_include_expression] = STATE(1026),
    [sym_include_once_expression] = STATE(1026),
    [sym_require_expression] = STATE(1026),
    [sym_require_once_expression] = STATE(1026),
    [sym__reserved_identifier] = STATE(717),
    [sym__identifier] = STATE(1496),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(605),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(613),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(617),
    [anon_sym_DASH] = ACTIONS(617),
    [anon_sym_TILDE] = ACTIONS(619),
    [anon_sym_BANG] = ACTIONS(619),
    [anon_sym_AT] = ACTIONS(621),
    [aux_sym_clone_expression_token1] = ACTIONS(623),
    [aux_sym_print_intrinsic_token1] = ACTIONS(625),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(631),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(647),
    [aux_sym_include_expression_token1] = ACTIONS(651),
    [aux_sym_include_once_expression_token1] = ACTIONS(653),
    [aux_sym_require_expression_token1] = ACTIONS(655),
    [aux_sym_require_once_expression_token1] = ACTIONS(657),
    [sym_comment] = ACTIONS(5),
  },
  [265] = {
    [sym_text_interpolation] = STATE(265),
    [sym_qualified_name] = STATE(810),
    [sym__name] = STATE(1626),
    [sym_namespace_name] = STATE(2507),
    [sym_static_modifier] = STATE(2368),
    [sym_anonymous_function] = STATE(1039),
    [sym__anonymous_function_header] = STATE(2318),
    [sym__arrow_function_header] = STATE(2679),
    [sym_arrow_function] = STATE(1039),
    [sym_literal] = STATE(1039),
    [sym_throw_expression] = STATE(1039),
    [sym_match_expression] = STATE(1026),
    [sym_expression] = STATE(1007),
    [sym__unary_expression] = STATE(1010),
    [sym_unary_op_expression] = STATE(1022),
    [sym_error_suppression_expression] = STATE(1026),
    [sym_clone_expression] = STATE(1022),
    [sym_primary_expression] = STATE(1022),
    [sym_parenthesized_expression] = STATE(811),
    [sym_class_constant_access_expression] = STATE(859),
    [sym_print_intrinsic] = STATE(1039),
    [sym_object_creation_expression] = STATE(1039),
    [sym__new_non_dereferencable_expression] = STATE(1009),
    [sym__new_dereferencable_expression] = STATE(842),
    [sym_update_expression] = STATE(1039),
    [sym_cast_expression] = STATE(1022),
    [sym_cast_variable] = STATE(630),
    [sym_assignment_expression] = STATE(1026),
    [sym_reference_assignment_expression] = STATE(1026),
    [sym_conditional_expression] = STATE(1026),
    [sym_augmented_assignment_expression] = STATE(1026),
    [sym__variable_member_access_expression] = STATE(613),
    [sym_member_access_expression] = STATE(630),
    [sym__variable_nullsafe_member_access_expression] = STATE(619),
    [sym_nullsafe_member_access_expression] = STATE(630),
    [sym__variable_scoped_property_access_expression] = STATE(602),
    [sym_scoped_property_access_expression] = STATE(630),
    [sym_list_literal] = STATE(2632),
    [sym__list_destructing] = STATE(2405),
    [sym__array_destructing] = STATE(2405),
    [sym_function_call_expression] = STATE(612),
    [sym__callable_expression] = STATE(2324),
    [sym_scoped_call_expression] = STATE(612),
    [sym__scope_resolution_qualifier] = STATE(2522),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(612),
    [sym_nullsafe_member_call_expression] = STATE(612),
    [sym__variable_subscript_expression] = STATE(610),
    [sym__dereferencable_subscript_expression] = STATE(612),
    [sym__dereferencable_expression] = STATE(1948),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(766),
    [sym_attribute_group] = STATE(1373),
    [sym_attribute_list] = STATE(1879),
    [sym_encapsed_string] = STATE(767),
    [sym_string] = STATE(767),
    [sym_heredoc] = STATE(767),
    [sym_nowdoc] = STATE(767),
    [sym_shell_command_expression] = STATE(1039),
    [sym_boolean] = STATE(1036),
    [sym_null] = STATE(1036),
    [sym__string] = STATE(768),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(595),
    [sym__new_variable] = STATE(653),
    [sym__callable_variable] = STATE(623),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1026),
    [sym_binary_expression] = STATE(1026),
    [sym_include_expression] = STATE(1026),
    [sym_include_once_expression] = STATE(1026),
    [sym_require_expression] = STATE(1026),
    [sym_require_once_expression] = STATE(1026),
    [sym__reserved_identifier] = STATE(717),
    [sym__identifier] = STATE(1496),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(605),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(613),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(617),
    [anon_sym_DASH] = ACTIONS(617),
    [anon_sym_TILDE] = ACTIONS(619),
    [anon_sym_BANG] = ACTIONS(619),
    [anon_sym_AT] = ACTIONS(621),
    [aux_sym_clone_expression_token1] = ACTIONS(623),
    [aux_sym_print_intrinsic_token1] = ACTIONS(625),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(631),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(647),
    [aux_sym_include_expression_token1] = ACTIONS(651),
    [aux_sym_include_once_expression_token1] = ACTIONS(653),
    [aux_sym_require_expression_token1] = ACTIONS(655),
    [aux_sym_require_once_expression_token1] = ACTIONS(657),
    [sym_comment] = ACTIONS(5),
  },
  [266] = {
    [sym_text_interpolation] = STATE(266),
    [sym_qualified_name] = STATE(810),
    [sym__name] = STATE(1626),
    [sym_namespace_name] = STATE(2507),
    [sym_static_modifier] = STATE(2368),
    [sym_anonymous_function] = STATE(1039),
    [sym__anonymous_function_header] = STATE(2318),
    [sym__arrow_function_header] = STATE(2679),
    [sym_arrow_function] = STATE(1039),
    [sym_literal] = STATE(1039),
    [sym_throw_expression] = STATE(1039),
    [sym_match_expression] = STATE(1026),
    [sym_expression] = STATE(1015),
    [sym__unary_expression] = STATE(1010),
    [sym_unary_op_expression] = STATE(1022),
    [sym_error_suppression_expression] = STATE(1026),
    [sym_clone_expression] = STATE(1022),
    [sym_primary_expression] = STATE(1022),
    [sym_parenthesized_expression] = STATE(811),
    [sym_class_constant_access_expression] = STATE(859),
    [sym_print_intrinsic] = STATE(1039),
    [sym_object_creation_expression] = STATE(1039),
    [sym__new_non_dereferencable_expression] = STATE(1009),
    [sym__new_dereferencable_expression] = STATE(842),
    [sym_update_expression] = STATE(1039),
    [sym_cast_expression] = STATE(1022),
    [sym_cast_variable] = STATE(630),
    [sym_assignment_expression] = STATE(1026),
    [sym_reference_assignment_expression] = STATE(1026),
    [sym_conditional_expression] = STATE(1026),
    [sym_augmented_assignment_expression] = STATE(1026),
    [sym__variable_member_access_expression] = STATE(613),
    [sym_member_access_expression] = STATE(630),
    [sym__variable_nullsafe_member_access_expression] = STATE(619),
    [sym_nullsafe_member_access_expression] = STATE(630),
    [sym__variable_scoped_property_access_expression] = STATE(602),
    [sym_scoped_property_access_expression] = STATE(630),
    [sym_list_literal] = STATE(2632),
    [sym__list_destructing] = STATE(2405),
    [sym__array_destructing] = STATE(2405),
    [sym_function_call_expression] = STATE(612),
    [sym__callable_expression] = STATE(2324),
    [sym_scoped_call_expression] = STATE(612),
    [sym__scope_resolution_qualifier] = STATE(2522),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(612),
    [sym_nullsafe_member_call_expression] = STATE(612),
    [sym__variable_subscript_expression] = STATE(610),
    [sym__dereferencable_subscript_expression] = STATE(612),
    [sym__dereferencable_expression] = STATE(1948),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(766),
    [sym_attribute_group] = STATE(1373),
    [sym_attribute_list] = STATE(1879),
    [sym_encapsed_string] = STATE(767),
    [sym_string] = STATE(767),
    [sym_heredoc] = STATE(767),
    [sym_nowdoc] = STATE(767),
    [sym_shell_command_expression] = STATE(1039),
    [sym_boolean] = STATE(1036),
    [sym_null] = STATE(1036),
    [sym__string] = STATE(768),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(595),
    [sym__new_variable] = STATE(653),
    [sym__callable_variable] = STATE(623),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1026),
    [sym_binary_expression] = STATE(1026),
    [sym_include_expression] = STATE(1026),
    [sym_include_once_expression] = STATE(1026),
    [sym_require_expression] = STATE(1026),
    [sym_require_once_expression] = STATE(1026),
    [sym__reserved_identifier] = STATE(717),
    [sym__identifier] = STATE(1496),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(605),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(613),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(617),
    [anon_sym_DASH] = ACTIONS(617),
    [anon_sym_TILDE] = ACTIONS(619),
    [anon_sym_BANG] = ACTIONS(619),
    [anon_sym_AT] = ACTIONS(621),
    [aux_sym_clone_expression_token1] = ACTIONS(623),
    [aux_sym_print_intrinsic_token1] = ACTIONS(625),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(631),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(647),
    [aux_sym_include_expression_token1] = ACTIONS(651),
    [aux_sym_include_once_expression_token1] = ACTIONS(653),
    [aux_sym_require_expression_token1] = ACTIONS(655),
    [aux_sym_require_once_expression_token1] = ACTIONS(657),
    [sym_comment] = ACTIONS(5),
  },
  [267] = {
    [sym_text_interpolation] = STATE(267),
    [sym_qualified_name] = STATE(810),
    [sym__name] = STATE(1626),
    [sym_namespace_name] = STATE(2507),
    [sym_static_modifier] = STATE(2368),
    [sym_anonymous_function] = STATE(1039),
    [sym__anonymous_function_header] = STATE(2318),
    [sym__arrow_function_header] = STATE(2679),
    [sym_arrow_function] = STATE(1039),
    [sym_literal] = STATE(1039),
    [sym_throw_expression] = STATE(1039),
    [sym_match_expression] = STATE(1026),
    [sym_expression] = STATE(1080),
    [sym__unary_expression] = STATE(1010),
    [sym_unary_op_expression] = STATE(1022),
    [sym_error_suppression_expression] = STATE(1026),
    [sym_clone_expression] = STATE(1022),
    [sym_primary_expression] = STATE(1022),
    [sym_parenthesized_expression] = STATE(811),
    [sym_class_constant_access_expression] = STATE(859),
    [sym_print_intrinsic] = STATE(1039),
    [sym_object_creation_expression] = STATE(1039),
    [sym__new_non_dereferencable_expression] = STATE(1009),
    [sym__new_dereferencable_expression] = STATE(842),
    [sym_update_expression] = STATE(1039),
    [sym_cast_expression] = STATE(1022),
    [sym_cast_variable] = STATE(630),
    [sym_assignment_expression] = STATE(1026),
    [sym_reference_assignment_expression] = STATE(1026),
    [sym_conditional_expression] = STATE(1026),
    [sym_augmented_assignment_expression] = STATE(1026),
    [sym__variable_member_access_expression] = STATE(613),
    [sym_member_access_expression] = STATE(630),
    [sym__variable_nullsafe_member_access_expression] = STATE(619),
    [sym_nullsafe_member_access_expression] = STATE(630),
    [sym__variable_scoped_property_access_expression] = STATE(602),
    [sym_scoped_property_access_expression] = STATE(630),
    [sym_list_literal] = STATE(2632),
    [sym__list_destructing] = STATE(2405),
    [sym__array_destructing] = STATE(2405),
    [sym_function_call_expression] = STATE(612),
    [sym__callable_expression] = STATE(2324),
    [sym_scoped_call_expression] = STATE(612),
    [sym__scope_resolution_qualifier] = STATE(2522),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(612),
    [sym_nullsafe_member_call_expression] = STATE(612),
    [sym__variable_subscript_expression] = STATE(610),
    [sym__dereferencable_subscript_expression] = STATE(612),
    [sym__dereferencable_expression] = STATE(1948),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(766),
    [sym_attribute_group] = STATE(1373),
    [sym_attribute_list] = STATE(1879),
    [sym_encapsed_string] = STATE(767),
    [sym_string] = STATE(767),
    [sym_heredoc] = STATE(767),
    [sym_nowdoc] = STATE(767),
    [sym_shell_command_expression] = STATE(1039),
    [sym_boolean] = STATE(1036),
    [sym_null] = STATE(1036),
    [sym__string] = STATE(768),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(595),
    [sym__new_variable] = STATE(653),
    [sym__callable_variable] = STATE(623),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1026),
    [sym_binary_expression] = STATE(1026),
    [sym_include_expression] = STATE(1026),
    [sym_include_once_expression] = STATE(1026),
    [sym_require_expression] = STATE(1026),
    [sym_require_once_expression] = STATE(1026),
    [sym__reserved_identifier] = STATE(717),
    [sym__identifier] = STATE(1496),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(605),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(613),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(617),
    [anon_sym_DASH] = ACTIONS(617),
    [anon_sym_TILDE] = ACTIONS(619),
    [anon_sym_BANG] = ACTIONS(619),
    [anon_sym_AT] = ACTIONS(621),
    [aux_sym_clone_expression_token1] = ACTIONS(623),
    [aux_sym_print_intrinsic_token1] = ACTIONS(625),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(631),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(647),
    [aux_sym_include_expression_token1] = ACTIONS(651),
    [aux_sym_include_once_expression_token1] = ACTIONS(653),
    [aux_sym_require_expression_token1] = ACTIONS(655),
    [aux_sym_require_once_expression_token1] = ACTIONS(657),
    [sym_comment] = ACTIONS(5),
  },
  [268] = {
    [sym_text_interpolation] = STATE(268),
    [sym_qualified_name] = STATE(810),
    [sym__name] = STATE(1626),
    [sym_namespace_name] = STATE(2507),
    [sym_static_modifier] = STATE(2368),
    [sym_anonymous_function] = STATE(1039),
    [sym__anonymous_function_header] = STATE(2318),
    [sym__arrow_function_header] = STATE(2679),
    [sym_arrow_function] = STATE(1039),
    [sym_literal] = STATE(1039),
    [sym_throw_expression] = STATE(1039),
    [sym_match_expression] = STATE(1026),
    [sym_expression] = STATE(1068),
    [sym__unary_expression] = STATE(1010),
    [sym_unary_op_expression] = STATE(1022),
    [sym_error_suppression_expression] = STATE(1026),
    [sym_clone_expression] = STATE(1022),
    [sym_primary_expression] = STATE(1022),
    [sym_parenthesized_expression] = STATE(811),
    [sym_class_constant_access_expression] = STATE(859),
    [sym_print_intrinsic] = STATE(1039),
    [sym_object_creation_expression] = STATE(1039),
    [sym__new_non_dereferencable_expression] = STATE(1009),
    [sym__new_dereferencable_expression] = STATE(842),
    [sym_update_expression] = STATE(1039),
    [sym_cast_expression] = STATE(1022),
    [sym_cast_variable] = STATE(630),
    [sym_assignment_expression] = STATE(1026),
    [sym_reference_assignment_expression] = STATE(1026),
    [sym_conditional_expression] = STATE(1026),
    [sym_augmented_assignment_expression] = STATE(1026),
    [sym__variable_member_access_expression] = STATE(613),
    [sym_member_access_expression] = STATE(630),
    [sym__variable_nullsafe_member_access_expression] = STATE(619),
    [sym_nullsafe_member_access_expression] = STATE(630),
    [sym__variable_scoped_property_access_expression] = STATE(602),
    [sym_scoped_property_access_expression] = STATE(630),
    [sym_list_literal] = STATE(2632),
    [sym__list_destructing] = STATE(2405),
    [sym__array_destructing] = STATE(2405),
    [sym_function_call_expression] = STATE(612),
    [sym__callable_expression] = STATE(2324),
    [sym_scoped_call_expression] = STATE(612),
    [sym__scope_resolution_qualifier] = STATE(2522),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(612),
    [sym_nullsafe_member_call_expression] = STATE(612),
    [sym__variable_subscript_expression] = STATE(610),
    [sym__dereferencable_subscript_expression] = STATE(612),
    [sym__dereferencable_expression] = STATE(1948),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(766),
    [sym_attribute_group] = STATE(1373),
    [sym_attribute_list] = STATE(1879),
    [sym_encapsed_string] = STATE(767),
    [sym_string] = STATE(767),
    [sym_heredoc] = STATE(767),
    [sym_nowdoc] = STATE(767),
    [sym_shell_command_expression] = STATE(1039),
    [sym_boolean] = STATE(1036),
    [sym_null] = STATE(1036),
    [sym__string] = STATE(768),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(595),
    [sym__new_variable] = STATE(653),
    [sym__callable_variable] = STATE(623),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1026),
    [sym_binary_expression] = STATE(1026),
    [sym_include_expression] = STATE(1026),
    [sym_include_once_expression] = STATE(1026),
    [sym_require_expression] = STATE(1026),
    [sym_require_once_expression] = STATE(1026),
    [sym__reserved_identifier] = STATE(717),
    [sym__identifier] = STATE(1496),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(605),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(613),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(617),
    [anon_sym_DASH] = ACTIONS(617),
    [anon_sym_TILDE] = ACTIONS(619),
    [anon_sym_BANG] = ACTIONS(619),
    [anon_sym_AT] = ACTIONS(621),
    [aux_sym_clone_expression_token1] = ACTIONS(623),
    [aux_sym_print_intrinsic_token1] = ACTIONS(625),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(631),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(647),
    [aux_sym_include_expression_token1] = ACTIONS(651),
    [aux_sym_include_once_expression_token1] = ACTIONS(653),
    [aux_sym_require_expression_token1] = ACTIONS(655),
    [aux_sym_require_once_expression_token1] = ACTIONS(657),
    [sym_comment] = ACTIONS(5),
  },
  [269] = {
    [sym_text_interpolation] = STATE(269),
    [sym_qualified_name] = STATE(810),
    [sym__name] = STATE(1626),
    [sym_namespace_name] = STATE(2507),
    [sym_static_modifier] = STATE(2368),
    [sym_anonymous_function] = STATE(1039),
    [sym__anonymous_function_header] = STATE(2318),
    [sym__arrow_function_header] = STATE(2679),
    [sym_arrow_function] = STATE(1039),
    [sym_literal] = STATE(1039),
    [sym_throw_expression] = STATE(1039),
    [sym_match_expression] = STATE(1026),
    [sym_expression] = STATE(1069),
    [sym__unary_expression] = STATE(1010),
    [sym_unary_op_expression] = STATE(1022),
    [sym_error_suppression_expression] = STATE(1026),
    [sym_clone_expression] = STATE(1022),
    [sym_primary_expression] = STATE(1022),
    [sym_parenthesized_expression] = STATE(811),
    [sym_class_constant_access_expression] = STATE(859),
    [sym_print_intrinsic] = STATE(1039),
    [sym_object_creation_expression] = STATE(1039),
    [sym__new_non_dereferencable_expression] = STATE(1009),
    [sym__new_dereferencable_expression] = STATE(842),
    [sym_update_expression] = STATE(1039),
    [sym_cast_expression] = STATE(1022),
    [sym_cast_variable] = STATE(630),
    [sym_assignment_expression] = STATE(1026),
    [sym_reference_assignment_expression] = STATE(1026),
    [sym_conditional_expression] = STATE(1026),
    [sym_augmented_assignment_expression] = STATE(1026),
    [sym__variable_member_access_expression] = STATE(613),
    [sym_member_access_expression] = STATE(630),
    [sym__variable_nullsafe_member_access_expression] = STATE(619),
    [sym_nullsafe_member_access_expression] = STATE(630),
    [sym__variable_scoped_property_access_expression] = STATE(602),
    [sym_scoped_property_access_expression] = STATE(630),
    [sym_list_literal] = STATE(2632),
    [sym__list_destructing] = STATE(2405),
    [sym__array_destructing] = STATE(2405),
    [sym_function_call_expression] = STATE(612),
    [sym__callable_expression] = STATE(2324),
    [sym_scoped_call_expression] = STATE(612),
    [sym__scope_resolution_qualifier] = STATE(2522),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(612),
    [sym_nullsafe_member_call_expression] = STATE(612),
    [sym__variable_subscript_expression] = STATE(610),
    [sym__dereferencable_subscript_expression] = STATE(612),
    [sym__dereferencable_expression] = STATE(1948),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(766),
    [sym_attribute_group] = STATE(1373),
    [sym_attribute_list] = STATE(1879),
    [sym_encapsed_string] = STATE(767),
    [sym_string] = STATE(767),
    [sym_heredoc] = STATE(767),
    [sym_nowdoc] = STATE(767),
    [sym_shell_command_expression] = STATE(1039),
    [sym_boolean] = STATE(1036),
    [sym_null] = STATE(1036),
    [sym__string] = STATE(768),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(595),
    [sym__new_variable] = STATE(653),
    [sym__callable_variable] = STATE(623),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1026),
    [sym_binary_expression] = STATE(1026),
    [sym_include_expression] = STATE(1026),
    [sym_include_once_expression] = STATE(1026),
    [sym_require_expression] = STATE(1026),
    [sym_require_once_expression] = STATE(1026),
    [sym__reserved_identifier] = STATE(717),
    [sym__identifier] = STATE(1496),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(605),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(613),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(617),
    [anon_sym_DASH] = ACTIONS(617),
    [anon_sym_TILDE] = ACTIONS(619),
    [anon_sym_BANG] = ACTIONS(619),
    [anon_sym_AT] = ACTIONS(621),
    [aux_sym_clone_expression_token1] = ACTIONS(623),
    [aux_sym_print_intrinsic_token1] = ACTIONS(625),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(631),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(647),
    [aux_sym_include_expression_token1] = ACTIONS(651),
    [aux_sym_include_once_expression_token1] = ACTIONS(653),
    [aux_sym_require_expression_token1] = ACTIONS(655),
    [aux_sym_require_once_expression_token1] = ACTIONS(657),
    [sym_comment] = ACTIONS(5),
  },
  [270] = {
    [sym_text_interpolation] = STATE(270),
    [sym_qualified_name] = STATE(810),
    [sym__name] = STATE(1626),
    [sym_namespace_name] = STATE(2507),
    [sym_static_modifier] = STATE(2368),
    [sym_anonymous_function] = STATE(1039),
    [sym__anonymous_function_header] = STATE(2318),
    [sym__arrow_function_header] = STATE(2679),
    [sym_arrow_function] = STATE(1039),
    [sym_literal] = STATE(1039),
    [sym_throw_expression] = STATE(1039),
    [sym_match_expression] = STATE(1026),
    [sym_expression] = STATE(1071),
    [sym__unary_expression] = STATE(1010),
    [sym_unary_op_expression] = STATE(1022),
    [sym_error_suppression_expression] = STATE(1026),
    [sym_clone_expression] = STATE(1022),
    [sym_primary_expression] = STATE(1022),
    [sym_parenthesized_expression] = STATE(811),
    [sym_class_constant_access_expression] = STATE(859),
    [sym_print_intrinsic] = STATE(1039),
    [sym_object_creation_expression] = STATE(1039),
    [sym__new_non_dereferencable_expression] = STATE(1009),
    [sym__new_dereferencable_expression] = STATE(842),
    [sym_update_expression] = STATE(1039),
    [sym_cast_expression] = STATE(1022),
    [sym_cast_variable] = STATE(630),
    [sym_assignment_expression] = STATE(1026),
    [sym_reference_assignment_expression] = STATE(1026),
    [sym_conditional_expression] = STATE(1026),
    [sym_augmented_assignment_expression] = STATE(1026),
    [sym__variable_member_access_expression] = STATE(613),
    [sym_member_access_expression] = STATE(630),
    [sym__variable_nullsafe_member_access_expression] = STATE(619),
    [sym_nullsafe_member_access_expression] = STATE(630),
    [sym__variable_scoped_property_access_expression] = STATE(602),
    [sym_scoped_property_access_expression] = STATE(630),
    [sym_list_literal] = STATE(2632),
    [sym__list_destructing] = STATE(2405),
    [sym__array_destructing] = STATE(2405),
    [sym_function_call_expression] = STATE(612),
    [sym__callable_expression] = STATE(2324),
    [sym_scoped_call_expression] = STATE(612),
    [sym__scope_resolution_qualifier] = STATE(2522),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(612),
    [sym_nullsafe_member_call_expression] = STATE(612),
    [sym__variable_subscript_expression] = STATE(610),
    [sym__dereferencable_subscript_expression] = STATE(612),
    [sym__dereferencable_expression] = STATE(1948),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(766),
    [sym_attribute_group] = STATE(1373),
    [sym_attribute_list] = STATE(1879),
    [sym_encapsed_string] = STATE(767),
    [sym_string] = STATE(767),
    [sym_heredoc] = STATE(767),
    [sym_nowdoc] = STATE(767),
    [sym_shell_command_expression] = STATE(1039),
    [sym_boolean] = STATE(1036),
    [sym_null] = STATE(1036),
    [sym__string] = STATE(768),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(595),
    [sym__new_variable] = STATE(653),
    [sym__callable_variable] = STATE(623),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1026),
    [sym_binary_expression] = STATE(1026),
    [sym_include_expression] = STATE(1026),
    [sym_include_once_expression] = STATE(1026),
    [sym_require_expression] = STATE(1026),
    [sym_require_once_expression] = STATE(1026),
    [sym__reserved_identifier] = STATE(717),
    [sym__identifier] = STATE(1496),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(605),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(613),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(617),
    [anon_sym_DASH] = ACTIONS(617),
    [anon_sym_TILDE] = ACTIONS(619),
    [anon_sym_BANG] = ACTIONS(619),
    [anon_sym_AT] = ACTIONS(621),
    [aux_sym_clone_expression_token1] = ACTIONS(623),
    [aux_sym_print_intrinsic_token1] = ACTIONS(625),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(631),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(647),
    [aux_sym_include_expression_token1] = ACTIONS(651),
    [aux_sym_include_once_expression_token1] = ACTIONS(653),
    [aux_sym_require_expression_token1] = ACTIONS(655),
    [aux_sym_require_once_expression_token1] = ACTIONS(657),
    [sym_comment] = ACTIONS(5),
  },
  [271] = {
    [sym_text_interpolation] = STATE(271),
    [sym_qualified_name] = STATE(810),
    [sym__name] = STATE(1626),
    [sym_namespace_name] = STATE(2507),
    [sym_static_modifier] = STATE(2368),
    [sym_anonymous_function] = STATE(1039),
    [sym__anonymous_function_header] = STATE(2318),
    [sym__arrow_function_header] = STATE(2679),
    [sym_arrow_function] = STATE(1039),
    [sym_literal] = STATE(1039),
    [sym_throw_expression] = STATE(1039),
    [sym_match_expression] = STATE(1026),
    [sym_expression] = STATE(1078),
    [sym__unary_expression] = STATE(1010),
    [sym_unary_op_expression] = STATE(1022),
    [sym_error_suppression_expression] = STATE(1026),
    [sym_clone_expression] = STATE(1022),
    [sym_primary_expression] = STATE(1022),
    [sym_parenthesized_expression] = STATE(811),
    [sym_class_constant_access_expression] = STATE(859),
    [sym_print_intrinsic] = STATE(1039),
    [sym_object_creation_expression] = STATE(1039),
    [sym__new_non_dereferencable_expression] = STATE(1009),
    [sym__new_dereferencable_expression] = STATE(842),
    [sym_update_expression] = STATE(1039),
    [sym_cast_expression] = STATE(1022),
    [sym_cast_variable] = STATE(630),
    [sym_assignment_expression] = STATE(1026),
    [sym_reference_assignment_expression] = STATE(1026),
    [sym_conditional_expression] = STATE(1026),
    [sym_augmented_assignment_expression] = STATE(1026),
    [sym__variable_member_access_expression] = STATE(613),
    [sym_member_access_expression] = STATE(630),
    [sym__variable_nullsafe_member_access_expression] = STATE(619),
    [sym_nullsafe_member_access_expression] = STATE(630),
    [sym__variable_scoped_property_access_expression] = STATE(602),
    [sym_scoped_property_access_expression] = STATE(630),
    [sym_list_literal] = STATE(2632),
    [sym__list_destructing] = STATE(2405),
    [sym__array_destructing] = STATE(2405),
    [sym_function_call_expression] = STATE(612),
    [sym__callable_expression] = STATE(2324),
    [sym_scoped_call_expression] = STATE(612),
    [sym__scope_resolution_qualifier] = STATE(2522),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(612),
    [sym_nullsafe_member_call_expression] = STATE(612),
    [sym__variable_subscript_expression] = STATE(610),
    [sym__dereferencable_subscript_expression] = STATE(612),
    [sym__dereferencable_expression] = STATE(1948),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(766),
    [sym_attribute_group] = STATE(1373),
    [sym_attribute_list] = STATE(1879),
    [sym_encapsed_string] = STATE(767),
    [sym_string] = STATE(767),
    [sym_heredoc] = STATE(767),
    [sym_nowdoc] = STATE(767),
    [sym_shell_command_expression] = STATE(1039),
    [sym_boolean] = STATE(1036),
    [sym_null] = STATE(1036),
    [sym__string] = STATE(768),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(595),
    [sym__new_variable] = STATE(653),
    [sym__callable_variable] = STATE(623),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1026),
    [sym_binary_expression] = STATE(1026),
    [sym_include_expression] = STATE(1026),
    [sym_include_once_expression] = STATE(1026),
    [sym_require_expression] = STATE(1026),
    [sym_require_once_expression] = STATE(1026),
    [sym__reserved_identifier] = STATE(717),
    [sym__identifier] = STATE(1496),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(605),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(613),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(617),
    [anon_sym_DASH] = ACTIONS(617),
    [anon_sym_TILDE] = ACTIONS(619),
    [anon_sym_BANG] = ACTIONS(619),
    [anon_sym_AT] = ACTIONS(621),
    [aux_sym_clone_expression_token1] = ACTIONS(623),
    [aux_sym_print_intrinsic_token1] = ACTIONS(625),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(631),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(647),
    [aux_sym_include_expression_token1] = ACTIONS(651),
    [aux_sym_include_once_expression_token1] = ACTIONS(653),
    [aux_sym_require_expression_token1] = ACTIONS(655),
    [aux_sym_require_once_expression_token1] = ACTIONS(657),
    [sym_comment] = ACTIONS(5),
  },
  [272] = {
    [sym_text_interpolation] = STATE(272),
    [sym_qualified_name] = STATE(1000),
    [sym__name] = STATE(1631),
    [sym_namespace_name] = STATE(2575),
    [sym_static_modifier] = STATE(2368),
    [sym_anonymous_function] = STATE(1148),
    [sym__anonymous_function_header] = STATE(2489),
    [sym__arrow_function_header] = STATE(2731),
    [sym_arrow_function] = STATE(1148),
    [sym_literal] = STATE(1148),
    [sym_throw_expression] = STATE(1148),
    [sym_match_expression] = STATE(1152),
    [sym_expression] = STATE(1128),
    [sym__unary_expression] = STATE(1159),
    [sym_unary_op_expression] = STATE(1172),
    [sym_error_suppression_expression] = STATE(1152),
    [sym_clone_expression] = STATE(1172),
    [sym_primary_expression] = STATE(1172),
    [sym_parenthesized_expression] = STATE(964),
    [sym_class_constant_access_expression] = STATE(1019),
    [sym_print_intrinsic] = STATE(1148),
    [sym_object_creation_expression] = STATE(1148),
    [sym__new_non_dereferencable_expression] = STATE(1168),
    [sym__new_dereferencable_expression] = STATE(966),
    [sym_update_expression] = STATE(1148),
    [sym_cast_expression] = STATE(1172),
    [sym_cast_variable] = STATE(661),
    [sym_assignment_expression] = STATE(1152),
    [sym_reference_assignment_expression] = STATE(1152),
    [sym_conditional_expression] = STATE(1152),
    [sym_augmented_assignment_expression] = STATE(1152),
    [sym__variable_member_access_expression] = STATE(674),
    [sym_member_access_expression] = STATE(661),
    [sym__variable_nullsafe_member_access_expression] = STATE(663),
    [sym_nullsafe_member_access_expression] = STATE(661),
    [sym__variable_scoped_property_access_expression] = STATE(664),
    [sym_scoped_property_access_expression] = STATE(661),
    [sym_list_literal] = STATE(2530),
    [sym__list_destructing] = STATE(2405),
    [sym__array_destructing] = STATE(2405),
    [sym_function_call_expression] = STATE(634),
    [sym__callable_expression] = STATE(2471),
    [sym_scoped_call_expression] = STATE(634),
    [sym__scope_resolution_qualifier] = STATE(2651),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(634),
    [sym_nullsafe_member_call_expression] = STATE(634),
    [sym__variable_subscript_expression] = STATE(665),
    [sym__dereferencable_subscript_expression] = STATE(634),
    [sym__dereferencable_expression] = STATE(1946),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(1005),
    [sym_attribute_group] = STATE(1373),
    [sym_attribute_list] = STATE(1879),
    [sym_encapsed_string] = STATE(927),
    [sym_string] = STATE(927),
    [sym_heredoc] = STATE(927),
    [sym_nowdoc] = STATE(927),
    [sym_shell_command_expression] = STATE(1148),
    [sym_boolean] = STATE(1162),
    [sym_null] = STATE(1162),
    [sym__string] = STATE(941),
    [sym_dynamic_variable_name] = STATE(650),
    [sym__simple_variable] = STATE(654),
    [sym__new_variable] = STATE(667),
    [sym__callable_variable] = STATE(629),
    [sym_variable_name] = STATE(650),
    [sym_yield_expression] = STATE(1152),
    [sym_binary_expression] = STATE(1152),
    [sym_include_expression] = STATE(1152),
    [sym_include_once_expression] = STATE(1152),
    [sym_require_expression] = STATE(1152),
    [sym_require_once_expression] = STATE(1152),
    [sym__reserved_identifier] = STATE(717),
    [sym__identifier] = STATE(1496),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(689),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LPAREN2] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [sym_float] = ACTIONS(266),
    [sym_integer] = ACTIONS(266),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [273] = {
    [sym_text_interpolation] = STATE(273),
    [sym_qualified_name] = STATE(810),
    [sym__name] = STATE(1626),
    [sym_namespace_name] = STATE(2507),
    [sym_static_modifier] = STATE(2368),
    [sym_anonymous_function] = STATE(1039),
    [sym__anonymous_function_header] = STATE(2318),
    [sym__arrow_function_header] = STATE(2679),
    [sym_arrow_function] = STATE(1039),
    [sym_literal] = STATE(1039),
    [sym_throw_expression] = STATE(1039),
    [sym_match_expression] = STATE(1026),
    [sym_expression] = STATE(1055),
    [sym__unary_expression] = STATE(1010),
    [sym_unary_op_expression] = STATE(1022),
    [sym_error_suppression_expression] = STATE(1026),
    [sym_clone_expression] = STATE(1022),
    [sym_primary_expression] = STATE(1022),
    [sym_parenthesized_expression] = STATE(811),
    [sym_class_constant_access_expression] = STATE(859),
    [sym_print_intrinsic] = STATE(1039),
    [sym_object_creation_expression] = STATE(1039),
    [sym__new_non_dereferencable_expression] = STATE(1009),
    [sym__new_dereferencable_expression] = STATE(842),
    [sym_update_expression] = STATE(1039),
    [sym_cast_expression] = STATE(1022),
    [sym_cast_variable] = STATE(630),
    [sym_assignment_expression] = STATE(1026),
    [sym_reference_assignment_expression] = STATE(1026),
    [sym_conditional_expression] = STATE(1026),
    [sym_augmented_assignment_expression] = STATE(1026),
    [sym__variable_member_access_expression] = STATE(613),
    [sym_member_access_expression] = STATE(630),
    [sym__variable_nullsafe_member_access_expression] = STATE(619),
    [sym_nullsafe_member_access_expression] = STATE(630),
    [sym__variable_scoped_property_access_expression] = STATE(602),
    [sym_scoped_property_access_expression] = STATE(630),
    [sym_list_literal] = STATE(2632),
    [sym__list_destructing] = STATE(2405),
    [sym__array_destructing] = STATE(2405),
    [sym_function_call_expression] = STATE(612),
    [sym__callable_expression] = STATE(2324),
    [sym_scoped_call_expression] = STATE(612),
    [sym__scope_resolution_qualifier] = STATE(2522),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(612),
    [sym_nullsafe_member_call_expression] = STATE(612),
    [sym__variable_subscript_expression] = STATE(610),
    [sym__dereferencable_subscript_expression] = STATE(612),
    [sym__dereferencable_expression] = STATE(1948),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(766),
    [sym_attribute_group] = STATE(1373),
    [sym_attribute_list] = STATE(1879),
    [sym_encapsed_string] = STATE(767),
    [sym_string] = STATE(767),
    [sym_heredoc] = STATE(767),
    [sym_nowdoc] = STATE(767),
    [sym_shell_command_expression] = STATE(1039),
    [sym_boolean] = STATE(1036),
    [sym_null] = STATE(1036),
    [sym__string] = STATE(768),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(595),
    [sym__new_variable] = STATE(653),
    [sym__callable_variable] = STATE(623),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1026),
    [sym_binary_expression] = STATE(1026),
    [sym_include_expression] = STATE(1026),
    [sym_include_once_expression] = STATE(1026),
    [sym_require_expression] = STATE(1026),
    [sym_require_once_expression] = STATE(1026),
    [sym__reserved_identifier] = STATE(717),
    [sym__identifier] = STATE(1496),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(605),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(613),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(617),
    [anon_sym_DASH] = ACTIONS(617),
    [anon_sym_TILDE] = ACTIONS(619),
    [anon_sym_BANG] = ACTIONS(619),
    [anon_sym_AT] = ACTIONS(621),
    [aux_sym_clone_expression_token1] = ACTIONS(623),
    [aux_sym_print_intrinsic_token1] = ACTIONS(625),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(631),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(647),
    [aux_sym_include_expression_token1] = ACTIONS(651),
    [aux_sym_include_once_expression_token1] = ACTIONS(653),
    [aux_sym_require_expression_token1] = ACTIONS(655),
    [aux_sym_require_once_expression_token1] = ACTIONS(657),
    [sym_comment] = ACTIONS(5),
  },
  [274] = {
    [sym_text_interpolation] = STATE(274),
    [sym_qualified_name] = STATE(810),
    [sym__name] = STATE(1626),
    [sym_namespace_name] = STATE(2507),
    [sym_static_modifier] = STATE(2368),
    [sym_anonymous_function] = STATE(1039),
    [sym__anonymous_function_header] = STATE(2318),
    [sym__arrow_function_header] = STATE(2679),
    [sym_arrow_function] = STATE(1039),
    [sym_literal] = STATE(1039),
    [sym_throw_expression] = STATE(1039),
    [sym_match_expression] = STATE(1026),
    [sym_expression] = STATE(1062),
    [sym__unary_expression] = STATE(1010),
    [sym_unary_op_expression] = STATE(1022),
    [sym_error_suppression_expression] = STATE(1026),
    [sym_clone_expression] = STATE(1022),
    [sym_primary_expression] = STATE(1022),
    [sym_parenthesized_expression] = STATE(811),
    [sym_class_constant_access_expression] = STATE(859),
    [sym_print_intrinsic] = STATE(1039),
    [sym_object_creation_expression] = STATE(1039),
    [sym__new_non_dereferencable_expression] = STATE(1009),
    [sym__new_dereferencable_expression] = STATE(842),
    [sym_update_expression] = STATE(1039),
    [sym_cast_expression] = STATE(1022),
    [sym_cast_variable] = STATE(630),
    [sym_assignment_expression] = STATE(1026),
    [sym_reference_assignment_expression] = STATE(1026),
    [sym_conditional_expression] = STATE(1026),
    [sym_augmented_assignment_expression] = STATE(1026),
    [sym__variable_member_access_expression] = STATE(613),
    [sym_member_access_expression] = STATE(630),
    [sym__variable_nullsafe_member_access_expression] = STATE(619),
    [sym_nullsafe_member_access_expression] = STATE(630),
    [sym__variable_scoped_property_access_expression] = STATE(602),
    [sym_scoped_property_access_expression] = STATE(630),
    [sym_list_literal] = STATE(2632),
    [sym__list_destructing] = STATE(2405),
    [sym__array_destructing] = STATE(2405),
    [sym_function_call_expression] = STATE(612),
    [sym__callable_expression] = STATE(2324),
    [sym_scoped_call_expression] = STATE(612),
    [sym__scope_resolution_qualifier] = STATE(2522),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(612),
    [sym_nullsafe_member_call_expression] = STATE(612),
    [sym__variable_subscript_expression] = STATE(610),
    [sym__dereferencable_subscript_expression] = STATE(612),
    [sym__dereferencable_expression] = STATE(1948),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(766),
    [sym_attribute_group] = STATE(1373),
    [sym_attribute_list] = STATE(1879),
    [sym_encapsed_string] = STATE(767),
    [sym_string] = STATE(767),
    [sym_heredoc] = STATE(767),
    [sym_nowdoc] = STATE(767),
    [sym_shell_command_expression] = STATE(1039),
    [sym_boolean] = STATE(1036),
    [sym_null] = STATE(1036),
    [sym__string] = STATE(768),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(595),
    [sym__new_variable] = STATE(653),
    [sym__callable_variable] = STATE(623),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1026),
    [sym_binary_expression] = STATE(1026),
    [sym_include_expression] = STATE(1026),
    [sym_include_once_expression] = STATE(1026),
    [sym_require_expression] = STATE(1026),
    [sym_require_once_expression] = STATE(1026),
    [sym__reserved_identifier] = STATE(717),
    [sym__identifier] = STATE(1496),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(605),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(613),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(617),
    [anon_sym_DASH] = ACTIONS(617),
    [anon_sym_TILDE] = ACTIONS(619),
    [anon_sym_BANG] = ACTIONS(619),
    [anon_sym_AT] = ACTIONS(621),
    [aux_sym_clone_expression_token1] = ACTIONS(623),
    [aux_sym_print_intrinsic_token1] = ACTIONS(625),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(631),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(647),
    [aux_sym_include_expression_token1] = ACTIONS(651),
    [aux_sym_include_once_expression_token1] = ACTIONS(653),
    [aux_sym_require_expression_token1] = ACTIONS(655),
    [aux_sym_require_once_expression_token1] = ACTIONS(657),
    [sym_comment] = ACTIONS(5),
  },
  [275] = {
    [sym_text_interpolation] = STATE(275),
    [sym_qualified_name] = STATE(810),
    [sym__name] = STATE(1626),
    [sym_namespace_name] = STATE(2507),
    [sym_static_modifier] = STATE(2368),
    [sym_anonymous_function] = STATE(1039),
    [sym__anonymous_function_header] = STATE(2318),
    [sym__arrow_function_header] = STATE(2679),
    [sym_arrow_function] = STATE(1039),
    [sym_literal] = STATE(1039),
    [sym_throw_expression] = STATE(1039),
    [sym_match_expression] = STATE(1026),
    [sym_expression] = STATE(1064),
    [sym__unary_expression] = STATE(1010),
    [sym_unary_op_expression] = STATE(1022),
    [sym_error_suppression_expression] = STATE(1026),
    [sym_clone_expression] = STATE(1022),
    [sym_primary_expression] = STATE(1022),
    [sym_parenthesized_expression] = STATE(811),
    [sym_class_constant_access_expression] = STATE(859),
    [sym_print_intrinsic] = STATE(1039),
    [sym_object_creation_expression] = STATE(1039),
    [sym__new_non_dereferencable_expression] = STATE(1009),
    [sym__new_dereferencable_expression] = STATE(842),
    [sym_update_expression] = STATE(1039),
    [sym_cast_expression] = STATE(1022),
    [sym_cast_variable] = STATE(630),
    [sym_assignment_expression] = STATE(1026),
    [sym_reference_assignment_expression] = STATE(1026),
    [sym_conditional_expression] = STATE(1026),
    [sym_augmented_assignment_expression] = STATE(1026),
    [sym__variable_member_access_expression] = STATE(613),
    [sym_member_access_expression] = STATE(630),
    [sym__variable_nullsafe_member_access_expression] = STATE(619),
    [sym_nullsafe_member_access_expression] = STATE(630),
    [sym__variable_scoped_property_access_expression] = STATE(602),
    [sym_scoped_property_access_expression] = STATE(630),
    [sym_list_literal] = STATE(2632),
    [sym__list_destructing] = STATE(2405),
    [sym__array_destructing] = STATE(2405),
    [sym_function_call_expression] = STATE(612),
    [sym__callable_expression] = STATE(2324),
    [sym_scoped_call_expression] = STATE(612),
    [sym__scope_resolution_qualifier] = STATE(2522),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(612),
    [sym_nullsafe_member_call_expression] = STATE(612),
    [sym__variable_subscript_expression] = STATE(610),
    [sym__dereferencable_subscript_expression] = STATE(612),
    [sym__dereferencable_expression] = STATE(1948),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(766),
    [sym_attribute_group] = STATE(1373),
    [sym_attribute_list] = STATE(1879),
    [sym_encapsed_string] = STATE(767),
    [sym_string] = STATE(767),
    [sym_heredoc] = STATE(767),
    [sym_nowdoc] = STATE(767),
    [sym_shell_command_expression] = STATE(1039),
    [sym_boolean] = STATE(1036),
    [sym_null] = STATE(1036),
    [sym__string] = STATE(768),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(595),
    [sym__new_variable] = STATE(653),
    [sym__callable_variable] = STATE(623),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1026),
    [sym_binary_expression] = STATE(1026),
    [sym_include_expression] = STATE(1026),
    [sym_include_once_expression] = STATE(1026),
    [sym_require_expression] = STATE(1026),
    [sym_require_once_expression] = STATE(1026),
    [sym__reserved_identifier] = STATE(717),
    [sym__identifier] = STATE(1496),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(605),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(613),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(617),
    [anon_sym_DASH] = ACTIONS(617),
    [anon_sym_TILDE] = ACTIONS(619),
    [anon_sym_BANG] = ACTIONS(619),
    [anon_sym_AT] = ACTIONS(621),
    [aux_sym_clone_expression_token1] = ACTIONS(623),
    [aux_sym_print_intrinsic_token1] = ACTIONS(625),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(631),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(647),
    [aux_sym_include_expression_token1] = ACTIONS(651),
    [aux_sym_include_once_expression_token1] = ACTIONS(653),
    [aux_sym_require_expression_token1] = ACTIONS(655),
    [aux_sym_require_once_expression_token1] = ACTIONS(657),
    [sym_comment] = ACTIONS(5),
  },
  [276] = {
    [sym_text_interpolation] = STATE(276),
    [sym_qualified_name] = STATE(810),
    [sym__name] = STATE(1626),
    [sym_namespace_name] = STATE(2507),
    [sym_static_modifier] = STATE(2368),
    [sym_anonymous_function] = STATE(1039),
    [sym__anonymous_function_header] = STATE(2318),
    [sym__arrow_function_header] = STATE(2679),
    [sym_arrow_function] = STATE(1039),
    [sym_literal] = STATE(1039),
    [sym_throw_expression] = STATE(1039),
    [sym_match_expression] = STATE(1026),
    [sym_expression] = STATE(1049),
    [sym__unary_expression] = STATE(1010),
    [sym_unary_op_expression] = STATE(1022),
    [sym_error_suppression_expression] = STATE(1026),
    [sym_clone_expression] = STATE(1022),
    [sym_primary_expression] = STATE(1022),
    [sym_parenthesized_expression] = STATE(811),
    [sym_class_constant_access_expression] = STATE(859),
    [sym_print_intrinsic] = STATE(1039),
    [sym_object_creation_expression] = STATE(1039),
    [sym__new_non_dereferencable_expression] = STATE(1009),
    [sym__new_dereferencable_expression] = STATE(842),
    [sym_update_expression] = STATE(1039),
    [sym_cast_expression] = STATE(1022),
    [sym_cast_variable] = STATE(630),
    [sym_assignment_expression] = STATE(1026),
    [sym_reference_assignment_expression] = STATE(1026),
    [sym_conditional_expression] = STATE(1026),
    [sym_augmented_assignment_expression] = STATE(1026),
    [sym__variable_member_access_expression] = STATE(613),
    [sym_member_access_expression] = STATE(630),
    [sym__variable_nullsafe_member_access_expression] = STATE(619),
    [sym_nullsafe_member_access_expression] = STATE(630),
    [sym__variable_scoped_property_access_expression] = STATE(602),
    [sym_scoped_property_access_expression] = STATE(630),
    [sym_list_literal] = STATE(2632),
    [sym__list_destructing] = STATE(2405),
    [sym__array_destructing] = STATE(2405),
    [sym_function_call_expression] = STATE(612),
    [sym__callable_expression] = STATE(2324),
    [sym_scoped_call_expression] = STATE(612),
    [sym__scope_resolution_qualifier] = STATE(2522),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(612),
    [sym_nullsafe_member_call_expression] = STATE(612),
    [sym__variable_subscript_expression] = STATE(610),
    [sym__dereferencable_subscript_expression] = STATE(612),
    [sym__dereferencable_expression] = STATE(1948),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(766),
    [sym_attribute_group] = STATE(1373),
    [sym_attribute_list] = STATE(1879),
    [sym_encapsed_string] = STATE(767),
    [sym_string] = STATE(767),
    [sym_heredoc] = STATE(767),
    [sym_nowdoc] = STATE(767),
    [sym_shell_command_expression] = STATE(1039),
    [sym_boolean] = STATE(1036),
    [sym_null] = STATE(1036),
    [sym__string] = STATE(768),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(595),
    [sym__new_variable] = STATE(653),
    [sym__callable_variable] = STATE(623),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1026),
    [sym_binary_expression] = STATE(1026),
    [sym_include_expression] = STATE(1026),
    [sym_include_once_expression] = STATE(1026),
    [sym_require_expression] = STATE(1026),
    [sym_require_once_expression] = STATE(1026),
    [sym__reserved_identifier] = STATE(717),
    [sym__identifier] = STATE(1496),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(605),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(613),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(617),
    [anon_sym_DASH] = ACTIONS(617),
    [anon_sym_TILDE] = ACTIONS(619),
    [anon_sym_BANG] = ACTIONS(619),
    [anon_sym_AT] = ACTIONS(621),
    [aux_sym_clone_expression_token1] = ACTIONS(623),
    [aux_sym_print_intrinsic_token1] = ACTIONS(625),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(631),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(647),
    [aux_sym_include_expression_token1] = ACTIONS(651),
    [aux_sym_include_once_expression_token1] = ACTIONS(653),
    [aux_sym_require_expression_token1] = ACTIONS(655),
    [aux_sym_require_once_expression_token1] = ACTIONS(657),
    [sym_comment] = ACTIONS(5),
  },
  [277] = {
    [sym_text_interpolation] = STATE(277),
    [sym_qualified_name] = STATE(810),
    [sym__name] = STATE(1626),
    [sym_namespace_name] = STATE(2507),
    [sym_static_modifier] = STATE(2368),
    [sym_anonymous_function] = STATE(1039),
    [sym__anonymous_function_header] = STATE(2318),
    [sym__arrow_function_header] = STATE(2679),
    [sym_arrow_function] = STATE(1039),
    [sym_literal] = STATE(1039),
    [sym_throw_expression] = STATE(1039),
    [sym_match_expression] = STATE(1026),
    [sym_expression] = STATE(1052),
    [sym__unary_expression] = STATE(1010),
    [sym_unary_op_expression] = STATE(1022),
    [sym_error_suppression_expression] = STATE(1026),
    [sym_clone_expression] = STATE(1022),
    [sym_primary_expression] = STATE(1022),
    [sym_parenthesized_expression] = STATE(811),
    [sym_class_constant_access_expression] = STATE(859),
    [sym_print_intrinsic] = STATE(1039),
    [sym_object_creation_expression] = STATE(1039),
    [sym__new_non_dereferencable_expression] = STATE(1009),
    [sym__new_dereferencable_expression] = STATE(842),
    [sym_update_expression] = STATE(1039),
    [sym_cast_expression] = STATE(1022),
    [sym_cast_variable] = STATE(630),
    [sym_assignment_expression] = STATE(1026),
    [sym_reference_assignment_expression] = STATE(1026),
    [sym_conditional_expression] = STATE(1026),
    [sym_augmented_assignment_expression] = STATE(1026),
    [sym__variable_member_access_expression] = STATE(613),
    [sym_member_access_expression] = STATE(630),
    [sym__variable_nullsafe_member_access_expression] = STATE(619),
    [sym_nullsafe_member_access_expression] = STATE(630),
    [sym__variable_scoped_property_access_expression] = STATE(602),
    [sym_scoped_property_access_expression] = STATE(630),
    [sym_list_literal] = STATE(2632),
    [sym__list_destructing] = STATE(2405),
    [sym__array_destructing] = STATE(2405),
    [sym_function_call_expression] = STATE(612),
    [sym__callable_expression] = STATE(2324),
    [sym_scoped_call_expression] = STATE(612),
    [sym__scope_resolution_qualifier] = STATE(2522),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(612),
    [sym_nullsafe_member_call_expression] = STATE(612),
    [sym__variable_subscript_expression] = STATE(610),
    [sym__dereferencable_subscript_expression] = STATE(612),
    [sym__dereferencable_expression] = STATE(1948),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(766),
    [sym_attribute_group] = STATE(1373),
    [sym_attribute_list] = STATE(1879),
    [sym_encapsed_string] = STATE(767),
    [sym_string] = STATE(767),
    [sym_heredoc] = STATE(767),
    [sym_nowdoc] = STATE(767),
    [sym_shell_command_expression] = STATE(1039),
    [sym_boolean] = STATE(1036),
    [sym_null] = STATE(1036),
    [sym__string] = STATE(768),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(595),
    [sym__new_variable] = STATE(653),
    [sym__callable_variable] = STATE(623),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1026),
    [sym_binary_expression] = STATE(1026),
    [sym_include_expression] = STATE(1026),
    [sym_include_once_expression] = STATE(1026),
    [sym_require_expression] = STATE(1026),
    [sym_require_once_expression] = STATE(1026),
    [sym__reserved_identifier] = STATE(717),
    [sym__identifier] = STATE(1496),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(605),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(613),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(617),
    [anon_sym_DASH] = ACTIONS(617),
    [anon_sym_TILDE] = ACTIONS(619),
    [anon_sym_BANG] = ACTIONS(619),
    [anon_sym_AT] = ACTIONS(621),
    [aux_sym_clone_expression_token1] = ACTIONS(623),
    [aux_sym_print_intrinsic_token1] = ACTIONS(625),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(631),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(647),
    [aux_sym_include_expression_token1] = ACTIONS(651),
    [aux_sym_include_once_expression_token1] = ACTIONS(653),
    [aux_sym_require_expression_token1] = ACTIONS(655),
    [aux_sym_require_once_expression_token1] = ACTIONS(657),
    [sym_comment] = ACTIONS(5),
  },
  [278] = {
    [sym_text_interpolation] = STATE(278),
    [sym_qualified_name] = STATE(810),
    [sym__name] = STATE(1626),
    [sym_namespace_name] = STATE(2507),
    [sym_static_modifier] = STATE(2368),
    [sym_anonymous_function] = STATE(1039),
    [sym__anonymous_function_header] = STATE(2318),
    [sym__arrow_function_header] = STATE(2679),
    [sym_arrow_function] = STATE(1039),
    [sym_literal] = STATE(1039),
    [sym_throw_expression] = STATE(1039),
    [sym_match_expression] = STATE(1026),
    [sym_expression] = STATE(1047),
    [sym__unary_expression] = STATE(1010),
    [sym_unary_op_expression] = STATE(1022),
    [sym_error_suppression_expression] = STATE(1026),
    [sym_clone_expression] = STATE(1022),
    [sym_primary_expression] = STATE(1022),
    [sym_parenthesized_expression] = STATE(811),
    [sym_class_constant_access_expression] = STATE(859),
    [sym_print_intrinsic] = STATE(1039),
    [sym_object_creation_expression] = STATE(1039),
    [sym__new_non_dereferencable_expression] = STATE(1009),
    [sym__new_dereferencable_expression] = STATE(842),
    [sym_update_expression] = STATE(1039),
    [sym_cast_expression] = STATE(1022),
    [sym_cast_variable] = STATE(630),
    [sym_assignment_expression] = STATE(1026),
    [sym_reference_assignment_expression] = STATE(1026),
    [sym_conditional_expression] = STATE(1026),
    [sym_augmented_assignment_expression] = STATE(1026),
    [sym__variable_member_access_expression] = STATE(613),
    [sym_member_access_expression] = STATE(630),
    [sym__variable_nullsafe_member_access_expression] = STATE(619),
    [sym_nullsafe_member_access_expression] = STATE(630),
    [sym__variable_scoped_property_access_expression] = STATE(602),
    [sym_scoped_property_access_expression] = STATE(630),
    [sym_list_literal] = STATE(2632),
    [sym__list_destructing] = STATE(2405),
    [sym__array_destructing] = STATE(2405),
    [sym_function_call_expression] = STATE(612),
    [sym__callable_expression] = STATE(2324),
    [sym_scoped_call_expression] = STATE(612),
    [sym__scope_resolution_qualifier] = STATE(2522),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(612),
    [sym_nullsafe_member_call_expression] = STATE(612),
    [sym__variable_subscript_expression] = STATE(610),
    [sym__dereferencable_subscript_expression] = STATE(612),
    [sym__dereferencable_expression] = STATE(1948),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(766),
    [sym_attribute_group] = STATE(1373),
    [sym_attribute_list] = STATE(1879),
    [sym_encapsed_string] = STATE(767),
    [sym_string] = STATE(767),
    [sym_heredoc] = STATE(767),
    [sym_nowdoc] = STATE(767),
    [sym_shell_command_expression] = STATE(1039),
    [sym_boolean] = STATE(1036),
    [sym_null] = STATE(1036),
    [sym__string] = STATE(768),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(595),
    [sym__new_variable] = STATE(653),
    [sym__callable_variable] = STATE(623),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1026),
    [sym_binary_expression] = STATE(1026),
    [sym_include_expression] = STATE(1026),
    [sym_include_once_expression] = STATE(1026),
    [sym_require_expression] = STATE(1026),
    [sym_require_once_expression] = STATE(1026),
    [sym__reserved_identifier] = STATE(717),
    [sym__identifier] = STATE(1496),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(605),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(613),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(617),
    [anon_sym_DASH] = ACTIONS(617),
    [anon_sym_TILDE] = ACTIONS(619),
    [anon_sym_BANG] = ACTIONS(619),
    [anon_sym_AT] = ACTIONS(621),
    [aux_sym_clone_expression_token1] = ACTIONS(623),
    [aux_sym_print_intrinsic_token1] = ACTIONS(625),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(631),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(647),
    [aux_sym_include_expression_token1] = ACTIONS(651),
    [aux_sym_include_once_expression_token1] = ACTIONS(653),
    [aux_sym_require_expression_token1] = ACTIONS(655),
    [aux_sym_require_once_expression_token1] = ACTIONS(657),
    [sym_comment] = ACTIONS(5),
  },
  [279] = {
    [sym_text_interpolation] = STATE(279),
    [sym_qualified_name] = STATE(810),
    [sym__name] = STATE(1626),
    [sym_namespace_name] = STATE(2507),
    [sym_static_modifier] = STATE(2368),
    [sym_anonymous_function] = STATE(1039),
    [sym__anonymous_function_header] = STATE(2318),
    [sym__arrow_function_header] = STATE(2679),
    [sym_arrow_function] = STATE(1039),
    [sym_literal] = STATE(1039),
    [sym_throw_expression] = STATE(1039),
    [sym_match_expression] = STATE(1026),
    [sym_expression] = STATE(1058),
    [sym__unary_expression] = STATE(1010),
    [sym_unary_op_expression] = STATE(1022),
    [sym_error_suppression_expression] = STATE(1026),
    [sym_clone_expression] = STATE(1022),
    [sym_primary_expression] = STATE(1022),
    [sym_parenthesized_expression] = STATE(811),
    [sym_class_constant_access_expression] = STATE(859),
    [sym_print_intrinsic] = STATE(1039),
    [sym_object_creation_expression] = STATE(1039),
    [sym__new_non_dereferencable_expression] = STATE(1009),
    [sym__new_dereferencable_expression] = STATE(842),
    [sym_update_expression] = STATE(1039),
    [sym_cast_expression] = STATE(1022),
    [sym_cast_variable] = STATE(630),
    [sym_assignment_expression] = STATE(1026),
    [sym_reference_assignment_expression] = STATE(1026),
    [sym_conditional_expression] = STATE(1026),
    [sym_augmented_assignment_expression] = STATE(1026),
    [sym__variable_member_access_expression] = STATE(613),
    [sym_member_access_expression] = STATE(630),
    [sym__variable_nullsafe_member_access_expression] = STATE(619),
    [sym_nullsafe_member_access_expression] = STATE(630),
    [sym__variable_scoped_property_access_expression] = STATE(602),
    [sym_scoped_property_access_expression] = STATE(630),
    [sym_list_literal] = STATE(2632),
    [sym__list_destructing] = STATE(2405),
    [sym__array_destructing] = STATE(2405),
    [sym_function_call_expression] = STATE(612),
    [sym__callable_expression] = STATE(2324),
    [sym_scoped_call_expression] = STATE(612),
    [sym__scope_resolution_qualifier] = STATE(2522),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(612),
    [sym_nullsafe_member_call_expression] = STATE(612),
    [sym__variable_subscript_expression] = STATE(610),
    [sym__dereferencable_subscript_expression] = STATE(612),
    [sym__dereferencable_expression] = STATE(1948),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(766),
    [sym_attribute_group] = STATE(1373),
    [sym_attribute_list] = STATE(1879),
    [sym_encapsed_string] = STATE(767),
    [sym_string] = STATE(767),
    [sym_heredoc] = STATE(767),
    [sym_nowdoc] = STATE(767),
    [sym_shell_command_expression] = STATE(1039),
    [sym_boolean] = STATE(1036),
    [sym_null] = STATE(1036),
    [sym__string] = STATE(768),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(595),
    [sym__new_variable] = STATE(653),
    [sym__callable_variable] = STATE(623),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1026),
    [sym_binary_expression] = STATE(1026),
    [sym_include_expression] = STATE(1026),
    [sym_include_once_expression] = STATE(1026),
    [sym_require_expression] = STATE(1026),
    [sym_require_once_expression] = STATE(1026),
    [sym__reserved_identifier] = STATE(717),
    [sym__identifier] = STATE(1496),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(605),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(613),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(617),
    [anon_sym_DASH] = ACTIONS(617),
    [anon_sym_TILDE] = ACTIONS(619),
    [anon_sym_BANG] = ACTIONS(619),
    [anon_sym_AT] = ACTIONS(621),
    [aux_sym_clone_expression_token1] = ACTIONS(623),
    [aux_sym_print_intrinsic_token1] = ACTIONS(625),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(631),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(647),
    [aux_sym_include_expression_token1] = ACTIONS(651),
    [aux_sym_include_once_expression_token1] = ACTIONS(653),
    [aux_sym_require_expression_token1] = ACTIONS(655),
    [aux_sym_require_once_expression_token1] = ACTIONS(657),
    [sym_comment] = ACTIONS(5),
  },
  [280] = {
    [sym_text_interpolation] = STATE(280),
    [sym_qualified_name] = STATE(810),
    [sym__name] = STATE(1626),
    [sym_namespace_name] = STATE(2507),
    [sym_static_modifier] = STATE(2368),
    [sym_anonymous_function] = STATE(1039),
    [sym__anonymous_function_header] = STATE(2318),
    [sym__arrow_function_header] = STATE(2679),
    [sym_arrow_function] = STATE(1039),
    [sym_literal] = STATE(1039),
    [sym_throw_expression] = STATE(1039),
    [sym_match_expression] = STATE(1026),
    [sym_expression] = STATE(1059),
    [sym__unary_expression] = STATE(1010),
    [sym_unary_op_expression] = STATE(1022),
    [sym_error_suppression_expression] = STATE(1026),
    [sym_clone_expression] = STATE(1022),
    [sym_primary_expression] = STATE(1022),
    [sym_parenthesized_expression] = STATE(811),
    [sym_class_constant_access_expression] = STATE(859),
    [sym_print_intrinsic] = STATE(1039),
    [sym_object_creation_expression] = STATE(1039),
    [sym__new_non_dereferencable_expression] = STATE(1009),
    [sym__new_dereferencable_expression] = STATE(842),
    [sym_update_expression] = STATE(1039),
    [sym_cast_expression] = STATE(1022),
    [sym_cast_variable] = STATE(630),
    [sym_assignment_expression] = STATE(1026),
    [sym_reference_assignment_expression] = STATE(1026),
    [sym_conditional_expression] = STATE(1026),
    [sym_augmented_assignment_expression] = STATE(1026),
    [sym__variable_member_access_expression] = STATE(613),
    [sym_member_access_expression] = STATE(630),
    [sym__variable_nullsafe_member_access_expression] = STATE(619),
    [sym_nullsafe_member_access_expression] = STATE(630),
    [sym__variable_scoped_property_access_expression] = STATE(602),
    [sym_scoped_property_access_expression] = STATE(630),
    [sym_list_literal] = STATE(2632),
    [sym__list_destructing] = STATE(2405),
    [sym__array_destructing] = STATE(2405),
    [sym_function_call_expression] = STATE(612),
    [sym__callable_expression] = STATE(2324),
    [sym_scoped_call_expression] = STATE(612),
    [sym__scope_resolution_qualifier] = STATE(2522),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(612),
    [sym_nullsafe_member_call_expression] = STATE(612),
    [sym__variable_subscript_expression] = STATE(610),
    [sym__dereferencable_subscript_expression] = STATE(612),
    [sym__dereferencable_expression] = STATE(1948),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(766),
    [sym_attribute_group] = STATE(1373),
    [sym_attribute_list] = STATE(1879),
    [sym_encapsed_string] = STATE(767),
    [sym_string] = STATE(767),
    [sym_heredoc] = STATE(767),
    [sym_nowdoc] = STATE(767),
    [sym_shell_command_expression] = STATE(1039),
    [sym_boolean] = STATE(1036),
    [sym_null] = STATE(1036),
    [sym__string] = STATE(768),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(595),
    [sym__new_variable] = STATE(653),
    [sym__callable_variable] = STATE(623),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1026),
    [sym_binary_expression] = STATE(1026),
    [sym_include_expression] = STATE(1026),
    [sym_include_once_expression] = STATE(1026),
    [sym_require_expression] = STATE(1026),
    [sym_require_once_expression] = STATE(1026),
    [sym__reserved_identifier] = STATE(717),
    [sym__identifier] = STATE(1496),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(605),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(613),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(617),
    [anon_sym_DASH] = ACTIONS(617),
    [anon_sym_TILDE] = ACTIONS(619),
    [anon_sym_BANG] = ACTIONS(619),
    [anon_sym_AT] = ACTIONS(621),
    [aux_sym_clone_expression_token1] = ACTIONS(623),
    [aux_sym_print_intrinsic_token1] = ACTIONS(625),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(631),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(647),
    [aux_sym_include_expression_token1] = ACTIONS(651),
    [aux_sym_include_once_expression_token1] = ACTIONS(653),
    [aux_sym_require_expression_token1] = ACTIONS(655),
    [aux_sym_require_once_expression_token1] = ACTIONS(657),
    [sym_comment] = ACTIONS(5),
  },
  [281] = {
    [sym_text_interpolation] = STATE(281),
    [sym_qualified_name] = STATE(810),
    [sym__name] = STATE(1626),
    [sym_namespace_name] = STATE(2507),
    [sym_static_modifier] = STATE(2368),
    [sym_anonymous_function] = STATE(1039),
    [sym__anonymous_function_header] = STATE(2318),
    [sym__arrow_function_header] = STATE(2679),
    [sym_arrow_function] = STATE(1039),
    [sym_literal] = STATE(1039),
    [sym_throw_expression] = STATE(1039),
    [sym_match_expression] = STATE(1026),
    [sym_expression] = STATE(1061),
    [sym__unary_expression] = STATE(1010),
    [sym_unary_op_expression] = STATE(1022),
    [sym_error_suppression_expression] = STATE(1026),
    [sym_clone_expression] = STATE(1022),
    [sym_primary_expression] = STATE(1022),
    [sym_parenthesized_expression] = STATE(811),
    [sym_class_constant_access_expression] = STATE(859),
    [sym_print_intrinsic] = STATE(1039),
    [sym_object_creation_expression] = STATE(1039),
    [sym__new_non_dereferencable_expression] = STATE(1009),
    [sym__new_dereferencable_expression] = STATE(842),
    [sym_update_expression] = STATE(1039),
    [sym_cast_expression] = STATE(1022),
    [sym_cast_variable] = STATE(630),
    [sym_assignment_expression] = STATE(1026),
    [sym_reference_assignment_expression] = STATE(1026),
    [sym_conditional_expression] = STATE(1026),
    [sym_augmented_assignment_expression] = STATE(1026),
    [sym__variable_member_access_expression] = STATE(613),
    [sym_member_access_expression] = STATE(630),
    [sym__variable_nullsafe_member_access_expression] = STATE(619),
    [sym_nullsafe_member_access_expression] = STATE(630),
    [sym__variable_scoped_property_access_expression] = STATE(602),
    [sym_scoped_property_access_expression] = STATE(630),
    [sym_list_literal] = STATE(2632),
    [sym__list_destructing] = STATE(2405),
    [sym__array_destructing] = STATE(2405),
    [sym_function_call_expression] = STATE(612),
    [sym__callable_expression] = STATE(2324),
    [sym_scoped_call_expression] = STATE(612),
    [sym__scope_resolution_qualifier] = STATE(2522),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(612),
    [sym_nullsafe_member_call_expression] = STATE(612),
    [sym__variable_subscript_expression] = STATE(610),
    [sym__dereferencable_subscript_expression] = STATE(612),
    [sym__dereferencable_expression] = STATE(1948),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(766),
    [sym_attribute_group] = STATE(1373),
    [sym_attribute_list] = STATE(1879),
    [sym_encapsed_string] = STATE(767),
    [sym_string] = STATE(767),
    [sym_heredoc] = STATE(767),
    [sym_nowdoc] = STATE(767),
    [sym_shell_command_expression] = STATE(1039),
    [sym_boolean] = STATE(1036),
    [sym_null] = STATE(1036),
    [sym__string] = STATE(768),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(595),
    [sym__new_variable] = STATE(653),
    [sym__callable_variable] = STATE(623),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1026),
    [sym_binary_expression] = STATE(1026),
    [sym_include_expression] = STATE(1026),
    [sym_include_once_expression] = STATE(1026),
    [sym_require_expression] = STATE(1026),
    [sym_require_once_expression] = STATE(1026),
    [sym__reserved_identifier] = STATE(717),
    [sym__identifier] = STATE(1496),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(605),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(613),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(617),
    [anon_sym_DASH] = ACTIONS(617),
    [anon_sym_TILDE] = ACTIONS(619),
    [anon_sym_BANG] = ACTIONS(619),
    [anon_sym_AT] = ACTIONS(621),
    [aux_sym_clone_expression_token1] = ACTIONS(623),
    [aux_sym_print_intrinsic_token1] = ACTIONS(625),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(631),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(647),
    [aux_sym_include_expression_token1] = ACTIONS(651),
    [aux_sym_include_once_expression_token1] = ACTIONS(653),
    [aux_sym_require_expression_token1] = ACTIONS(655),
    [aux_sym_require_once_expression_token1] = ACTIONS(657),
    [sym_comment] = ACTIONS(5),
  },
  [282] = {
    [sym_text_interpolation] = STATE(282),
    [sym_qualified_name] = STATE(810),
    [sym__name] = STATE(1626),
    [sym_namespace_name] = STATE(2507),
    [sym_static_modifier] = STATE(2368),
    [sym_anonymous_function] = STATE(1039),
    [sym__anonymous_function_header] = STATE(2318),
    [sym__arrow_function_header] = STATE(2679),
    [sym_arrow_function] = STATE(1039),
    [sym_literal] = STATE(1039),
    [sym_throw_expression] = STATE(1039),
    [sym_match_expression] = STATE(1026),
    [sym_expression] = STATE(1065),
    [sym__unary_expression] = STATE(1010),
    [sym_unary_op_expression] = STATE(1022),
    [sym_error_suppression_expression] = STATE(1026),
    [sym_clone_expression] = STATE(1022),
    [sym_primary_expression] = STATE(1022),
    [sym_parenthesized_expression] = STATE(811),
    [sym_class_constant_access_expression] = STATE(859),
    [sym_print_intrinsic] = STATE(1039),
    [sym_object_creation_expression] = STATE(1039),
    [sym__new_non_dereferencable_expression] = STATE(1009),
    [sym__new_dereferencable_expression] = STATE(842),
    [sym_update_expression] = STATE(1039),
    [sym_cast_expression] = STATE(1022),
    [sym_cast_variable] = STATE(630),
    [sym_assignment_expression] = STATE(1026),
    [sym_reference_assignment_expression] = STATE(1026),
    [sym_conditional_expression] = STATE(1026),
    [sym_augmented_assignment_expression] = STATE(1026),
    [sym__variable_member_access_expression] = STATE(613),
    [sym_member_access_expression] = STATE(630),
    [sym__variable_nullsafe_member_access_expression] = STATE(619),
    [sym_nullsafe_member_access_expression] = STATE(630),
    [sym__variable_scoped_property_access_expression] = STATE(602),
    [sym_scoped_property_access_expression] = STATE(630),
    [sym_list_literal] = STATE(2632),
    [sym__list_destructing] = STATE(2405),
    [sym__array_destructing] = STATE(2405),
    [sym_function_call_expression] = STATE(612),
    [sym__callable_expression] = STATE(2324),
    [sym_scoped_call_expression] = STATE(612),
    [sym__scope_resolution_qualifier] = STATE(2522),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(612),
    [sym_nullsafe_member_call_expression] = STATE(612),
    [sym__variable_subscript_expression] = STATE(610),
    [sym__dereferencable_subscript_expression] = STATE(612),
    [sym__dereferencable_expression] = STATE(1948),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(766),
    [sym_attribute_group] = STATE(1373),
    [sym_attribute_list] = STATE(1879),
    [sym_encapsed_string] = STATE(767),
    [sym_string] = STATE(767),
    [sym_heredoc] = STATE(767),
    [sym_nowdoc] = STATE(767),
    [sym_shell_command_expression] = STATE(1039),
    [sym_boolean] = STATE(1036),
    [sym_null] = STATE(1036),
    [sym__string] = STATE(768),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(595),
    [sym__new_variable] = STATE(653),
    [sym__callable_variable] = STATE(623),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1026),
    [sym_binary_expression] = STATE(1026),
    [sym_include_expression] = STATE(1026),
    [sym_include_once_expression] = STATE(1026),
    [sym_require_expression] = STATE(1026),
    [sym_require_once_expression] = STATE(1026),
    [sym__reserved_identifier] = STATE(717),
    [sym__identifier] = STATE(1496),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(605),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(613),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(617),
    [anon_sym_DASH] = ACTIONS(617),
    [anon_sym_TILDE] = ACTIONS(619),
    [anon_sym_BANG] = ACTIONS(619),
    [anon_sym_AT] = ACTIONS(621),
    [aux_sym_clone_expression_token1] = ACTIONS(623),
    [aux_sym_print_intrinsic_token1] = ACTIONS(625),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(631),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(647),
    [aux_sym_include_expression_token1] = ACTIONS(651),
    [aux_sym_include_once_expression_token1] = ACTIONS(653),
    [aux_sym_require_expression_token1] = ACTIONS(655),
    [aux_sym_require_once_expression_token1] = ACTIONS(657),
    [sym_comment] = ACTIONS(5),
  },
  [283] = {
    [sym_text_interpolation] = STATE(283),
    [sym_qualified_name] = STATE(810),
    [sym__name] = STATE(1626),
    [sym_namespace_name] = STATE(2507),
    [sym_static_modifier] = STATE(2368),
    [sym_anonymous_function] = STATE(1039),
    [sym__anonymous_function_header] = STATE(2318),
    [sym__arrow_function_header] = STATE(2679),
    [sym_arrow_function] = STATE(1039),
    [sym_literal] = STATE(1039),
    [sym_throw_expression] = STATE(1039),
    [sym_match_expression] = STATE(1026),
    [sym_expression] = STATE(1067),
    [sym__unary_expression] = STATE(1010),
    [sym_unary_op_expression] = STATE(1022),
    [sym_error_suppression_expression] = STATE(1026),
    [sym_clone_expression] = STATE(1022),
    [sym_primary_expression] = STATE(1022),
    [sym_parenthesized_expression] = STATE(811),
    [sym_class_constant_access_expression] = STATE(859),
    [sym_print_intrinsic] = STATE(1039),
    [sym_object_creation_expression] = STATE(1039),
    [sym__new_non_dereferencable_expression] = STATE(1009),
    [sym__new_dereferencable_expression] = STATE(842),
    [sym_update_expression] = STATE(1039),
    [sym_cast_expression] = STATE(1022),
    [sym_cast_variable] = STATE(630),
    [sym_assignment_expression] = STATE(1026),
    [sym_reference_assignment_expression] = STATE(1026),
    [sym_conditional_expression] = STATE(1026),
    [sym_augmented_assignment_expression] = STATE(1026),
    [sym__variable_member_access_expression] = STATE(613),
    [sym_member_access_expression] = STATE(630),
    [sym__variable_nullsafe_member_access_expression] = STATE(619),
    [sym_nullsafe_member_access_expression] = STATE(630),
    [sym__variable_scoped_property_access_expression] = STATE(602),
    [sym_scoped_property_access_expression] = STATE(630),
    [sym_list_literal] = STATE(2632),
    [sym__list_destructing] = STATE(2405),
    [sym__array_destructing] = STATE(2405),
    [sym_function_call_expression] = STATE(612),
    [sym__callable_expression] = STATE(2324),
    [sym_scoped_call_expression] = STATE(612),
    [sym__scope_resolution_qualifier] = STATE(2522),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(612),
    [sym_nullsafe_member_call_expression] = STATE(612),
    [sym__variable_subscript_expression] = STATE(610),
    [sym__dereferencable_subscript_expression] = STATE(612),
    [sym__dereferencable_expression] = STATE(1948),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(766),
    [sym_attribute_group] = STATE(1373),
    [sym_attribute_list] = STATE(1879),
    [sym_encapsed_string] = STATE(767),
    [sym_string] = STATE(767),
    [sym_heredoc] = STATE(767),
    [sym_nowdoc] = STATE(767),
    [sym_shell_command_expression] = STATE(1039),
    [sym_boolean] = STATE(1036),
    [sym_null] = STATE(1036),
    [sym__string] = STATE(768),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(595),
    [sym__new_variable] = STATE(653),
    [sym__callable_variable] = STATE(623),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1026),
    [sym_binary_expression] = STATE(1026),
    [sym_include_expression] = STATE(1026),
    [sym_include_once_expression] = STATE(1026),
    [sym_require_expression] = STATE(1026),
    [sym_require_once_expression] = STATE(1026),
    [sym__reserved_identifier] = STATE(717),
    [sym__identifier] = STATE(1496),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(605),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(613),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(617),
    [anon_sym_DASH] = ACTIONS(617),
    [anon_sym_TILDE] = ACTIONS(619),
    [anon_sym_BANG] = ACTIONS(619),
    [anon_sym_AT] = ACTIONS(621),
    [aux_sym_clone_expression_token1] = ACTIONS(623),
    [aux_sym_print_intrinsic_token1] = ACTIONS(625),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(631),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(647),
    [aux_sym_include_expression_token1] = ACTIONS(651),
    [aux_sym_include_once_expression_token1] = ACTIONS(653),
    [aux_sym_require_expression_token1] = ACTIONS(655),
    [aux_sym_require_once_expression_token1] = ACTIONS(657),
    [sym_comment] = ACTIONS(5),
  },
  [284] = {
    [sym_text_interpolation] = STATE(284),
    [sym_qualified_name] = STATE(810),
    [sym__name] = STATE(1626),
    [sym_namespace_name] = STATE(2507),
    [sym_static_modifier] = STATE(2368),
    [sym_anonymous_function] = STATE(1039),
    [sym__anonymous_function_header] = STATE(2318),
    [sym__arrow_function_header] = STATE(2679),
    [sym_arrow_function] = STATE(1039),
    [sym_literal] = STATE(1039),
    [sym_throw_expression] = STATE(1039),
    [sym_match_expression] = STATE(1026),
    [sym_expression] = STATE(1070),
    [sym__unary_expression] = STATE(1010),
    [sym_unary_op_expression] = STATE(1022),
    [sym_error_suppression_expression] = STATE(1026),
    [sym_clone_expression] = STATE(1022),
    [sym_primary_expression] = STATE(1022),
    [sym_parenthesized_expression] = STATE(811),
    [sym_class_constant_access_expression] = STATE(859),
    [sym_print_intrinsic] = STATE(1039),
    [sym_object_creation_expression] = STATE(1039),
    [sym__new_non_dereferencable_expression] = STATE(1009),
    [sym__new_dereferencable_expression] = STATE(842),
    [sym_update_expression] = STATE(1039),
    [sym_cast_expression] = STATE(1022),
    [sym_cast_variable] = STATE(630),
    [sym_assignment_expression] = STATE(1026),
    [sym_reference_assignment_expression] = STATE(1026),
    [sym_conditional_expression] = STATE(1026),
    [sym_augmented_assignment_expression] = STATE(1026),
    [sym__variable_member_access_expression] = STATE(613),
    [sym_member_access_expression] = STATE(630),
    [sym__variable_nullsafe_member_access_expression] = STATE(619),
    [sym_nullsafe_member_access_expression] = STATE(630),
    [sym__variable_scoped_property_access_expression] = STATE(602),
    [sym_scoped_property_access_expression] = STATE(630),
    [sym_list_literal] = STATE(2632),
    [sym__list_destructing] = STATE(2405),
    [sym__array_destructing] = STATE(2405),
    [sym_function_call_expression] = STATE(612),
    [sym__callable_expression] = STATE(2324),
    [sym_scoped_call_expression] = STATE(612),
    [sym__scope_resolution_qualifier] = STATE(2522),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(612),
    [sym_nullsafe_member_call_expression] = STATE(612),
    [sym__variable_subscript_expression] = STATE(610),
    [sym__dereferencable_subscript_expression] = STATE(612),
    [sym__dereferencable_expression] = STATE(1948),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(766),
    [sym_attribute_group] = STATE(1373),
    [sym_attribute_list] = STATE(1879),
    [sym_encapsed_string] = STATE(767),
    [sym_string] = STATE(767),
    [sym_heredoc] = STATE(767),
    [sym_nowdoc] = STATE(767),
    [sym_shell_command_expression] = STATE(1039),
    [sym_boolean] = STATE(1036),
    [sym_null] = STATE(1036),
    [sym__string] = STATE(768),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(595),
    [sym__new_variable] = STATE(653),
    [sym__callable_variable] = STATE(623),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1026),
    [sym_binary_expression] = STATE(1026),
    [sym_include_expression] = STATE(1026),
    [sym_include_once_expression] = STATE(1026),
    [sym_require_expression] = STATE(1026),
    [sym_require_once_expression] = STATE(1026),
    [sym__reserved_identifier] = STATE(717),
    [sym__identifier] = STATE(1496),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(605),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(613),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(617),
    [anon_sym_DASH] = ACTIONS(617),
    [anon_sym_TILDE] = ACTIONS(619),
    [anon_sym_BANG] = ACTIONS(619),
    [anon_sym_AT] = ACTIONS(621),
    [aux_sym_clone_expression_token1] = ACTIONS(623),
    [aux_sym_print_intrinsic_token1] = ACTIONS(625),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(631),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(647),
    [aux_sym_include_expression_token1] = ACTIONS(651),
    [aux_sym_include_once_expression_token1] = ACTIONS(653),
    [aux_sym_require_expression_token1] = ACTIONS(655),
    [aux_sym_require_once_expression_token1] = ACTIONS(657),
    [sym_comment] = ACTIONS(5),
  },
  [285] = {
    [sym_text_interpolation] = STATE(285),
    [sym_qualified_name] = STATE(810),
    [sym__name] = STATE(1626),
    [sym_namespace_name] = STATE(2507),
    [sym_static_modifier] = STATE(2368),
    [sym_anonymous_function] = STATE(1039),
    [sym__anonymous_function_header] = STATE(2318),
    [sym__arrow_function_header] = STATE(2679),
    [sym_arrow_function] = STATE(1039),
    [sym_literal] = STATE(1039),
    [sym_throw_expression] = STATE(1039),
    [sym_match_expression] = STATE(1026),
    [sym_expression] = STATE(1072),
    [sym__unary_expression] = STATE(1010),
    [sym_unary_op_expression] = STATE(1022),
    [sym_error_suppression_expression] = STATE(1026),
    [sym_clone_expression] = STATE(1022),
    [sym_primary_expression] = STATE(1022),
    [sym_parenthesized_expression] = STATE(811),
    [sym_class_constant_access_expression] = STATE(859),
    [sym_print_intrinsic] = STATE(1039),
    [sym_object_creation_expression] = STATE(1039),
    [sym__new_non_dereferencable_expression] = STATE(1009),
    [sym__new_dereferencable_expression] = STATE(842),
    [sym_update_expression] = STATE(1039),
    [sym_cast_expression] = STATE(1022),
    [sym_cast_variable] = STATE(630),
    [sym_assignment_expression] = STATE(1026),
    [sym_reference_assignment_expression] = STATE(1026),
    [sym_conditional_expression] = STATE(1026),
    [sym_augmented_assignment_expression] = STATE(1026),
    [sym__variable_member_access_expression] = STATE(613),
    [sym_member_access_expression] = STATE(630),
    [sym__variable_nullsafe_member_access_expression] = STATE(619),
    [sym_nullsafe_member_access_expression] = STATE(630),
    [sym__variable_scoped_property_access_expression] = STATE(602),
    [sym_scoped_property_access_expression] = STATE(630),
    [sym_list_literal] = STATE(2632),
    [sym__list_destructing] = STATE(2405),
    [sym__array_destructing] = STATE(2405),
    [sym_function_call_expression] = STATE(612),
    [sym__callable_expression] = STATE(2324),
    [sym_scoped_call_expression] = STATE(612),
    [sym__scope_resolution_qualifier] = STATE(2522),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(612),
    [sym_nullsafe_member_call_expression] = STATE(612),
    [sym__variable_subscript_expression] = STATE(610),
    [sym__dereferencable_subscript_expression] = STATE(612),
    [sym__dereferencable_expression] = STATE(1948),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(766),
    [sym_attribute_group] = STATE(1373),
    [sym_attribute_list] = STATE(1879),
    [sym_encapsed_string] = STATE(767),
    [sym_string] = STATE(767),
    [sym_heredoc] = STATE(767),
    [sym_nowdoc] = STATE(767),
    [sym_shell_command_expression] = STATE(1039),
    [sym_boolean] = STATE(1036),
    [sym_null] = STATE(1036),
    [sym__string] = STATE(768),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(595),
    [sym__new_variable] = STATE(653),
    [sym__callable_variable] = STATE(623),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1026),
    [sym_binary_expression] = STATE(1026),
    [sym_include_expression] = STATE(1026),
    [sym_include_once_expression] = STATE(1026),
    [sym_require_expression] = STATE(1026),
    [sym_require_once_expression] = STATE(1026),
    [sym__reserved_identifier] = STATE(717),
    [sym__identifier] = STATE(1496),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(605),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(613),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(617),
    [anon_sym_DASH] = ACTIONS(617),
    [anon_sym_TILDE] = ACTIONS(619),
    [anon_sym_BANG] = ACTIONS(619),
    [anon_sym_AT] = ACTIONS(621),
    [aux_sym_clone_expression_token1] = ACTIONS(623),
    [aux_sym_print_intrinsic_token1] = ACTIONS(625),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(631),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(647),
    [aux_sym_include_expression_token1] = ACTIONS(651),
    [aux_sym_include_once_expression_token1] = ACTIONS(653),
    [aux_sym_require_expression_token1] = ACTIONS(655),
    [aux_sym_require_once_expression_token1] = ACTIONS(657),
    [sym_comment] = ACTIONS(5),
  },
  [286] = {
    [sym_text_interpolation] = STATE(286),
    [sym_qualified_name] = STATE(810),
    [sym__name] = STATE(1626),
    [sym_namespace_name] = STATE(2507),
    [sym_static_modifier] = STATE(2368),
    [sym_anonymous_function] = STATE(1039),
    [sym__anonymous_function_header] = STATE(2318),
    [sym__arrow_function_header] = STATE(2679),
    [sym_arrow_function] = STATE(1039),
    [sym_literal] = STATE(1039),
    [sym_throw_expression] = STATE(1039),
    [sym_match_expression] = STATE(1026),
    [sym_expression] = STATE(1073),
    [sym__unary_expression] = STATE(1010),
    [sym_unary_op_expression] = STATE(1022),
    [sym_error_suppression_expression] = STATE(1026),
    [sym_clone_expression] = STATE(1022),
    [sym_primary_expression] = STATE(1022),
    [sym_parenthesized_expression] = STATE(811),
    [sym_class_constant_access_expression] = STATE(859),
    [sym_print_intrinsic] = STATE(1039),
    [sym_object_creation_expression] = STATE(1039),
    [sym__new_non_dereferencable_expression] = STATE(1009),
    [sym__new_dereferencable_expression] = STATE(842),
    [sym_update_expression] = STATE(1039),
    [sym_cast_expression] = STATE(1022),
    [sym_cast_variable] = STATE(630),
    [sym_assignment_expression] = STATE(1026),
    [sym_reference_assignment_expression] = STATE(1026),
    [sym_conditional_expression] = STATE(1026),
    [sym_augmented_assignment_expression] = STATE(1026),
    [sym__variable_member_access_expression] = STATE(613),
    [sym_member_access_expression] = STATE(630),
    [sym__variable_nullsafe_member_access_expression] = STATE(619),
    [sym_nullsafe_member_access_expression] = STATE(630),
    [sym__variable_scoped_property_access_expression] = STATE(602),
    [sym_scoped_property_access_expression] = STATE(630),
    [sym_list_literal] = STATE(2632),
    [sym__list_destructing] = STATE(2405),
    [sym__array_destructing] = STATE(2405),
    [sym_function_call_expression] = STATE(612),
    [sym__callable_expression] = STATE(2324),
    [sym_scoped_call_expression] = STATE(612),
    [sym__scope_resolution_qualifier] = STATE(2522),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(612),
    [sym_nullsafe_member_call_expression] = STATE(612),
    [sym__variable_subscript_expression] = STATE(610),
    [sym__dereferencable_subscript_expression] = STATE(612),
    [sym__dereferencable_expression] = STATE(1948),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(766),
    [sym_attribute_group] = STATE(1373),
    [sym_attribute_list] = STATE(1879),
    [sym_encapsed_string] = STATE(767),
    [sym_string] = STATE(767),
    [sym_heredoc] = STATE(767),
    [sym_nowdoc] = STATE(767),
    [sym_shell_command_expression] = STATE(1039),
    [sym_boolean] = STATE(1036),
    [sym_null] = STATE(1036),
    [sym__string] = STATE(768),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(595),
    [sym__new_variable] = STATE(653),
    [sym__callable_variable] = STATE(623),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1026),
    [sym_binary_expression] = STATE(1026),
    [sym_include_expression] = STATE(1026),
    [sym_include_once_expression] = STATE(1026),
    [sym_require_expression] = STATE(1026),
    [sym_require_once_expression] = STATE(1026),
    [sym__reserved_identifier] = STATE(717),
    [sym__identifier] = STATE(1496),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(605),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(613),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(617),
    [anon_sym_DASH] = ACTIONS(617),
    [anon_sym_TILDE] = ACTIONS(619),
    [anon_sym_BANG] = ACTIONS(619),
    [anon_sym_AT] = ACTIONS(621),
    [aux_sym_clone_expression_token1] = ACTIONS(623),
    [aux_sym_print_intrinsic_token1] = ACTIONS(625),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(631),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(647),
    [aux_sym_include_expression_token1] = ACTIONS(651),
    [aux_sym_include_once_expression_token1] = ACTIONS(653),
    [aux_sym_require_expression_token1] = ACTIONS(655),
    [aux_sym_require_once_expression_token1] = ACTIONS(657),
    [sym_comment] = ACTIONS(5),
  },
  [287] = {
    [sym_text_interpolation] = STATE(287),
    [sym_qualified_name] = STATE(810),
    [sym__name] = STATE(1626),
    [sym_namespace_name] = STATE(2507),
    [sym_static_modifier] = STATE(2368),
    [sym_anonymous_function] = STATE(1039),
    [sym__anonymous_function_header] = STATE(2318),
    [sym__arrow_function_header] = STATE(2679),
    [sym_arrow_function] = STATE(1039),
    [sym_literal] = STATE(1039),
    [sym_throw_expression] = STATE(1039),
    [sym_match_expression] = STATE(1026),
    [sym_expression] = STATE(1076),
    [sym__unary_expression] = STATE(1010),
    [sym_unary_op_expression] = STATE(1022),
    [sym_error_suppression_expression] = STATE(1026),
    [sym_clone_expression] = STATE(1022),
    [sym_primary_expression] = STATE(1022),
    [sym_parenthesized_expression] = STATE(811),
    [sym_class_constant_access_expression] = STATE(859),
    [sym_print_intrinsic] = STATE(1039),
    [sym_object_creation_expression] = STATE(1039),
    [sym__new_non_dereferencable_expression] = STATE(1009),
    [sym__new_dereferencable_expression] = STATE(842),
    [sym_update_expression] = STATE(1039),
    [sym_cast_expression] = STATE(1022),
    [sym_cast_variable] = STATE(630),
    [sym_assignment_expression] = STATE(1026),
    [sym_reference_assignment_expression] = STATE(1026),
    [sym_conditional_expression] = STATE(1026),
    [sym_augmented_assignment_expression] = STATE(1026),
    [sym__variable_member_access_expression] = STATE(613),
    [sym_member_access_expression] = STATE(630),
    [sym__variable_nullsafe_member_access_expression] = STATE(619),
    [sym_nullsafe_member_access_expression] = STATE(630),
    [sym__variable_scoped_property_access_expression] = STATE(602),
    [sym_scoped_property_access_expression] = STATE(630),
    [sym_list_literal] = STATE(2632),
    [sym__list_destructing] = STATE(2405),
    [sym__array_destructing] = STATE(2405),
    [sym_function_call_expression] = STATE(612),
    [sym__callable_expression] = STATE(2324),
    [sym_scoped_call_expression] = STATE(612),
    [sym__scope_resolution_qualifier] = STATE(2522),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(612),
    [sym_nullsafe_member_call_expression] = STATE(612),
    [sym__variable_subscript_expression] = STATE(610),
    [sym__dereferencable_subscript_expression] = STATE(612),
    [sym__dereferencable_expression] = STATE(1948),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(766),
    [sym_attribute_group] = STATE(1373),
    [sym_attribute_list] = STATE(1879),
    [sym_encapsed_string] = STATE(767),
    [sym_string] = STATE(767),
    [sym_heredoc] = STATE(767),
    [sym_nowdoc] = STATE(767),
    [sym_shell_command_expression] = STATE(1039),
    [sym_boolean] = STATE(1036),
    [sym_null] = STATE(1036),
    [sym__string] = STATE(768),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(595),
    [sym__new_variable] = STATE(653),
    [sym__callable_variable] = STATE(623),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1026),
    [sym_binary_expression] = STATE(1026),
    [sym_include_expression] = STATE(1026),
    [sym_include_once_expression] = STATE(1026),
    [sym_require_expression] = STATE(1026),
    [sym_require_once_expression] = STATE(1026),
    [sym__reserved_identifier] = STATE(717),
    [sym__identifier] = STATE(1496),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(605),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(613),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(617),
    [anon_sym_DASH] = ACTIONS(617),
    [anon_sym_TILDE] = ACTIONS(619),
    [anon_sym_BANG] = ACTIONS(619),
    [anon_sym_AT] = ACTIONS(621),
    [aux_sym_clone_expression_token1] = ACTIONS(623),
    [aux_sym_print_intrinsic_token1] = ACTIONS(625),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(631),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(647),
    [aux_sym_include_expression_token1] = ACTIONS(651),
    [aux_sym_include_once_expression_token1] = ACTIONS(653),
    [aux_sym_require_expression_token1] = ACTIONS(655),
    [aux_sym_require_once_expression_token1] = ACTIONS(657),
    [sym_comment] = ACTIONS(5),
  },
  [288] = {
    [sym_text_interpolation] = STATE(288),
    [sym_qualified_name] = STATE(810),
    [sym__name] = STATE(1626),
    [sym_namespace_name] = STATE(2507),
    [sym_static_modifier] = STATE(2368),
    [sym_anonymous_function] = STATE(1039),
    [sym__anonymous_function_header] = STATE(2318),
    [sym__arrow_function_header] = STATE(2679),
    [sym_arrow_function] = STATE(1039),
    [sym_literal] = STATE(1039),
    [sym_throw_expression] = STATE(1039),
    [sym_match_expression] = STATE(1026),
    [sym_expression] = STATE(1077),
    [sym__unary_expression] = STATE(1010),
    [sym_unary_op_expression] = STATE(1022),
    [sym_error_suppression_expression] = STATE(1026),
    [sym_clone_expression] = STATE(1022),
    [sym_primary_expression] = STATE(1022),
    [sym_parenthesized_expression] = STATE(811),
    [sym_class_constant_access_expression] = STATE(859),
    [sym_print_intrinsic] = STATE(1039),
    [sym_object_creation_expression] = STATE(1039),
    [sym__new_non_dereferencable_expression] = STATE(1009),
    [sym__new_dereferencable_expression] = STATE(842),
    [sym_update_expression] = STATE(1039),
    [sym_cast_expression] = STATE(1022),
    [sym_cast_variable] = STATE(630),
    [sym_assignment_expression] = STATE(1026),
    [sym_reference_assignment_expression] = STATE(1026),
    [sym_conditional_expression] = STATE(1026),
    [sym_augmented_assignment_expression] = STATE(1026),
    [sym__variable_member_access_expression] = STATE(613),
    [sym_member_access_expression] = STATE(630),
    [sym__variable_nullsafe_member_access_expression] = STATE(619),
    [sym_nullsafe_member_access_expression] = STATE(630),
    [sym__variable_scoped_property_access_expression] = STATE(602),
    [sym_scoped_property_access_expression] = STATE(630),
    [sym_list_literal] = STATE(2632),
    [sym__list_destructing] = STATE(2405),
    [sym__array_destructing] = STATE(2405),
    [sym_function_call_expression] = STATE(612),
    [sym__callable_expression] = STATE(2324),
    [sym_scoped_call_expression] = STATE(612),
    [sym__scope_resolution_qualifier] = STATE(2522),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(612),
    [sym_nullsafe_member_call_expression] = STATE(612),
    [sym__variable_subscript_expression] = STATE(610),
    [sym__dereferencable_subscript_expression] = STATE(612),
    [sym__dereferencable_expression] = STATE(1948),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(766),
    [sym_attribute_group] = STATE(1373),
    [sym_attribute_list] = STATE(1879),
    [sym_encapsed_string] = STATE(767),
    [sym_string] = STATE(767),
    [sym_heredoc] = STATE(767),
    [sym_nowdoc] = STATE(767),
    [sym_shell_command_expression] = STATE(1039),
    [sym_boolean] = STATE(1036),
    [sym_null] = STATE(1036),
    [sym__string] = STATE(768),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(595),
    [sym__new_variable] = STATE(653),
    [sym__callable_variable] = STATE(623),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1026),
    [sym_binary_expression] = STATE(1026),
    [sym_include_expression] = STATE(1026),
    [sym_include_once_expression] = STATE(1026),
    [sym_require_expression] = STATE(1026),
    [sym_require_once_expression] = STATE(1026),
    [sym__reserved_identifier] = STATE(717),
    [sym__identifier] = STATE(1496),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(605),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(613),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(617),
    [anon_sym_DASH] = ACTIONS(617),
    [anon_sym_TILDE] = ACTIONS(619),
    [anon_sym_BANG] = ACTIONS(619),
    [anon_sym_AT] = ACTIONS(621),
    [aux_sym_clone_expression_token1] = ACTIONS(623),
    [aux_sym_print_intrinsic_token1] = ACTIONS(625),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(631),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(647),
    [aux_sym_include_expression_token1] = ACTIONS(651),
    [aux_sym_include_once_expression_token1] = ACTIONS(653),
    [aux_sym_require_expression_token1] = ACTIONS(655),
    [aux_sym_require_once_expression_token1] = ACTIONS(657),
    [sym_comment] = ACTIONS(5),
  },
  [289] = {
    [sym_text_interpolation] = STATE(289),
    [sym_qualified_name] = STATE(810),
    [sym__name] = STATE(1626),
    [sym_namespace_name] = STATE(2507),
    [sym_static_modifier] = STATE(2368),
    [sym_anonymous_function] = STATE(1039),
    [sym__anonymous_function_header] = STATE(2318),
    [sym__arrow_function_header] = STATE(2679),
    [sym_arrow_function] = STATE(1039),
    [sym_literal] = STATE(1039),
    [sym_throw_expression] = STATE(1039),
    [sym_match_expression] = STATE(1026),
    [sym_expression] = STATE(1079),
    [sym__unary_expression] = STATE(1010),
    [sym_unary_op_expression] = STATE(1022),
    [sym_error_suppression_expression] = STATE(1026),
    [sym_clone_expression] = STATE(1022),
    [sym_primary_expression] = STATE(1022),
    [sym_parenthesized_expression] = STATE(811),
    [sym_class_constant_access_expression] = STATE(859),
    [sym_print_intrinsic] = STATE(1039),
    [sym_object_creation_expression] = STATE(1039),
    [sym__new_non_dereferencable_expression] = STATE(1009),
    [sym__new_dereferencable_expression] = STATE(842),
    [sym_update_expression] = STATE(1039),
    [sym_cast_expression] = STATE(1022),
    [sym_cast_variable] = STATE(630),
    [sym_assignment_expression] = STATE(1026),
    [sym_reference_assignment_expression] = STATE(1026),
    [sym_conditional_expression] = STATE(1026),
    [sym_augmented_assignment_expression] = STATE(1026),
    [sym__variable_member_access_expression] = STATE(613),
    [sym_member_access_expression] = STATE(630),
    [sym__variable_nullsafe_member_access_expression] = STATE(619),
    [sym_nullsafe_member_access_expression] = STATE(630),
    [sym__variable_scoped_property_access_expression] = STATE(602),
    [sym_scoped_property_access_expression] = STATE(630),
    [sym_list_literal] = STATE(2632),
    [sym__list_destructing] = STATE(2405),
    [sym__array_destructing] = STATE(2405),
    [sym_function_call_expression] = STATE(612),
    [sym__callable_expression] = STATE(2324),
    [sym_scoped_call_expression] = STATE(612),
    [sym__scope_resolution_qualifier] = STATE(2522),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(612),
    [sym_nullsafe_member_call_expression] = STATE(612),
    [sym__variable_subscript_expression] = STATE(610),
    [sym__dereferencable_subscript_expression] = STATE(612),
    [sym__dereferencable_expression] = STATE(1948),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(766),
    [sym_attribute_group] = STATE(1373),
    [sym_attribute_list] = STATE(1879),
    [sym_encapsed_string] = STATE(767),
    [sym_string] = STATE(767),
    [sym_heredoc] = STATE(767),
    [sym_nowdoc] = STATE(767),
    [sym_shell_command_expression] = STATE(1039),
    [sym_boolean] = STATE(1036),
    [sym_null] = STATE(1036),
    [sym__string] = STATE(768),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(595),
    [sym__new_variable] = STATE(653),
    [sym__callable_variable] = STATE(623),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1026),
    [sym_binary_expression] = STATE(1026),
    [sym_include_expression] = STATE(1026),
    [sym_include_once_expression] = STATE(1026),
    [sym_require_expression] = STATE(1026),
    [sym_require_once_expression] = STATE(1026),
    [sym__reserved_identifier] = STATE(717),
    [sym__identifier] = STATE(1496),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(605),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(613),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(617),
    [anon_sym_DASH] = ACTIONS(617),
    [anon_sym_TILDE] = ACTIONS(619),
    [anon_sym_BANG] = ACTIONS(619),
    [anon_sym_AT] = ACTIONS(621),
    [aux_sym_clone_expression_token1] = ACTIONS(623),
    [aux_sym_print_intrinsic_token1] = ACTIONS(625),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(631),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(647),
    [aux_sym_include_expression_token1] = ACTIONS(651),
    [aux_sym_include_once_expression_token1] = ACTIONS(653),
    [aux_sym_require_expression_token1] = ACTIONS(655),
    [aux_sym_require_once_expression_token1] = ACTIONS(657),
    [sym_comment] = ACTIONS(5),
  },
  [290] = {
    [sym_text_interpolation] = STATE(290),
    [sym_qualified_name] = STATE(810),
    [sym__name] = STATE(1626),
    [sym_namespace_name] = STATE(2507),
    [sym_static_modifier] = STATE(2368),
    [sym_anonymous_function] = STATE(1039),
    [sym__anonymous_function_header] = STATE(2318),
    [sym__arrow_function_header] = STATE(2679),
    [sym_arrow_function] = STATE(1039),
    [sym_literal] = STATE(1039),
    [sym_throw_expression] = STATE(1039),
    [sym_match_expression] = STATE(1026),
    [sym_expression] = STATE(1057),
    [sym__unary_expression] = STATE(1010),
    [sym_unary_op_expression] = STATE(1022),
    [sym_error_suppression_expression] = STATE(1026),
    [sym_clone_expression] = STATE(1022),
    [sym_primary_expression] = STATE(1022),
    [sym_parenthesized_expression] = STATE(811),
    [sym_class_constant_access_expression] = STATE(859),
    [sym_print_intrinsic] = STATE(1039),
    [sym_object_creation_expression] = STATE(1039),
    [sym__new_non_dereferencable_expression] = STATE(1009),
    [sym__new_dereferencable_expression] = STATE(842),
    [sym_update_expression] = STATE(1039),
    [sym_cast_expression] = STATE(1022),
    [sym_cast_variable] = STATE(630),
    [sym_assignment_expression] = STATE(1026),
    [sym_reference_assignment_expression] = STATE(1026),
    [sym_conditional_expression] = STATE(1026),
    [sym_augmented_assignment_expression] = STATE(1026),
    [sym__variable_member_access_expression] = STATE(613),
    [sym_member_access_expression] = STATE(630),
    [sym__variable_nullsafe_member_access_expression] = STATE(619),
    [sym_nullsafe_member_access_expression] = STATE(630),
    [sym__variable_scoped_property_access_expression] = STATE(602),
    [sym_scoped_property_access_expression] = STATE(630),
    [sym_list_literal] = STATE(2632),
    [sym__list_destructing] = STATE(2405),
    [sym__array_destructing] = STATE(2405),
    [sym_function_call_expression] = STATE(612),
    [sym__callable_expression] = STATE(2324),
    [sym_scoped_call_expression] = STATE(612),
    [sym__scope_resolution_qualifier] = STATE(2522),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(612),
    [sym_nullsafe_member_call_expression] = STATE(612),
    [sym__variable_subscript_expression] = STATE(610),
    [sym__dereferencable_subscript_expression] = STATE(612),
    [sym__dereferencable_expression] = STATE(1948),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(766),
    [sym_attribute_group] = STATE(1373),
    [sym_attribute_list] = STATE(1879),
    [sym_encapsed_string] = STATE(767),
    [sym_string] = STATE(767),
    [sym_heredoc] = STATE(767),
    [sym_nowdoc] = STATE(767),
    [sym_shell_command_expression] = STATE(1039),
    [sym_boolean] = STATE(1036),
    [sym_null] = STATE(1036),
    [sym__string] = STATE(768),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(595),
    [sym__new_variable] = STATE(653),
    [sym__callable_variable] = STATE(623),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1026),
    [sym_binary_expression] = STATE(1026),
    [sym_include_expression] = STATE(1026),
    [sym_include_once_expression] = STATE(1026),
    [sym_require_expression] = STATE(1026),
    [sym_require_once_expression] = STATE(1026),
    [sym__reserved_identifier] = STATE(717),
    [sym__identifier] = STATE(1496),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(605),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(613),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(617),
    [anon_sym_DASH] = ACTIONS(617),
    [anon_sym_TILDE] = ACTIONS(619),
    [anon_sym_BANG] = ACTIONS(619),
    [anon_sym_AT] = ACTIONS(621),
    [aux_sym_clone_expression_token1] = ACTIONS(623),
    [aux_sym_print_intrinsic_token1] = ACTIONS(625),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(631),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(647),
    [aux_sym_include_expression_token1] = ACTIONS(651),
    [aux_sym_include_once_expression_token1] = ACTIONS(653),
    [aux_sym_require_expression_token1] = ACTIONS(655),
    [aux_sym_require_once_expression_token1] = ACTIONS(657),
    [sym_comment] = ACTIONS(5),
  },
  [291] = {
    [sym_text_interpolation] = STATE(291),
    [sym_qualified_name] = STATE(1000),
    [sym__name] = STATE(1631),
    [sym_namespace_name] = STATE(2575),
    [sym_static_modifier] = STATE(2368),
    [sym_anonymous_function] = STATE(1148),
    [sym__anonymous_function_header] = STATE(2489),
    [sym__arrow_function_header] = STATE(2731),
    [sym_arrow_function] = STATE(1148),
    [sym_literal] = STATE(1148),
    [sym_throw_expression] = STATE(1148),
    [sym_match_expression] = STATE(1152),
    [sym_expression] = STATE(1112),
    [sym__unary_expression] = STATE(1159),
    [sym_unary_op_expression] = STATE(1172),
    [sym_error_suppression_expression] = STATE(1152),
    [sym_clone_expression] = STATE(1172),
    [sym_primary_expression] = STATE(1172),
    [sym_parenthesized_expression] = STATE(964),
    [sym_class_constant_access_expression] = STATE(1019),
    [sym_print_intrinsic] = STATE(1148),
    [sym_object_creation_expression] = STATE(1148),
    [sym__new_non_dereferencable_expression] = STATE(1168),
    [sym__new_dereferencable_expression] = STATE(966),
    [sym_update_expression] = STATE(1148),
    [sym_cast_expression] = STATE(1172),
    [sym_cast_variable] = STATE(661),
    [sym_assignment_expression] = STATE(1152),
    [sym_reference_assignment_expression] = STATE(1152),
    [sym_conditional_expression] = STATE(1152),
    [sym_augmented_assignment_expression] = STATE(1152),
    [sym__variable_member_access_expression] = STATE(674),
    [sym_member_access_expression] = STATE(661),
    [sym__variable_nullsafe_member_access_expression] = STATE(663),
    [sym_nullsafe_member_access_expression] = STATE(661),
    [sym__variable_scoped_property_access_expression] = STATE(664),
    [sym_scoped_property_access_expression] = STATE(661),
    [sym_list_literal] = STATE(2530),
    [sym__list_destructing] = STATE(2405),
    [sym__array_destructing] = STATE(2405),
    [sym_function_call_expression] = STATE(634),
    [sym__callable_expression] = STATE(2471),
    [sym_scoped_call_expression] = STATE(634),
    [sym__scope_resolution_qualifier] = STATE(2651),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(634),
    [sym_nullsafe_member_call_expression] = STATE(634),
    [sym__variable_subscript_expression] = STATE(665),
    [sym__dereferencable_subscript_expression] = STATE(634),
    [sym__dereferencable_expression] = STATE(1946),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(1005),
    [sym_attribute_group] = STATE(1373),
    [sym_attribute_list] = STATE(1879),
    [sym_encapsed_string] = STATE(927),
    [sym_string] = STATE(927),
    [sym_heredoc] = STATE(927),
    [sym_nowdoc] = STATE(927),
    [sym_shell_command_expression] = STATE(1148),
    [sym_boolean] = STATE(1162),
    [sym_null] = STATE(1162),
    [sym__string] = STATE(941),
    [sym_dynamic_variable_name] = STATE(650),
    [sym__simple_variable] = STATE(654),
    [sym__new_variable] = STATE(667),
    [sym__callable_variable] = STATE(629),
    [sym_variable_name] = STATE(650),
    [sym_yield_expression] = STATE(1152),
    [sym_binary_expression] = STATE(1152),
    [sym_include_expression] = STATE(1152),
    [sym_include_once_expression] = STATE(1152),
    [sym_require_expression] = STATE(1152),
    [sym_require_once_expression] = STATE(1152),
    [sym__reserved_identifier] = STATE(717),
    [sym__identifier] = STATE(1496),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(689),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LPAREN2] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [sym_float] = ACTIONS(266),
    [sym_integer] = ACTIONS(266),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [292] = {
    [sym_text_interpolation] = STATE(292),
    [sym_qualified_name] = STATE(810),
    [sym__name] = STATE(1626),
    [sym_namespace_name] = STATE(2507),
    [sym_static_modifier] = STATE(2368),
    [sym_anonymous_function] = STATE(1039),
    [sym__anonymous_function_header] = STATE(2318),
    [sym__arrow_function_header] = STATE(2679),
    [sym_arrow_function] = STATE(1039),
    [sym_literal] = STATE(1039),
    [sym_throw_expression] = STATE(1039),
    [sym_match_expression] = STATE(1026),
    [sym_expression] = STATE(1056),
    [sym__unary_expression] = STATE(1010),
    [sym_unary_op_expression] = STATE(1022),
    [sym_error_suppression_expression] = STATE(1026),
    [sym_clone_expression] = STATE(1022),
    [sym_primary_expression] = STATE(1022),
    [sym_parenthesized_expression] = STATE(811),
    [sym_class_constant_access_expression] = STATE(859),
    [sym_print_intrinsic] = STATE(1039),
    [sym_object_creation_expression] = STATE(1039),
    [sym__new_non_dereferencable_expression] = STATE(1009),
    [sym__new_dereferencable_expression] = STATE(842),
    [sym_update_expression] = STATE(1039),
    [sym_cast_expression] = STATE(1022),
    [sym_cast_variable] = STATE(630),
    [sym_assignment_expression] = STATE(1026),
    [sym_reference_assignment_expression] = STATE(1026),
    [sym_conditional_expression] = STATE(1026),
    [sym_augmented_assignment_expression] = STATE(1026),
    [sym__variable_member_access_expression] = STATE(613),
    [sym_member_access_expression] = STATE(630),
    [sym__variable_nullsafe_member_access_expression] = STATE(619),
    [sym_nullsafe_member_access_expression] = STATE(630),
    [sym__variable_scoped_property_access_expression] = STATE(602),
    [sym_scoped_property_access_expression] = STATE(630),
    [sym_list_literal] = STATE(2632),
    [sym__list_destructing] = STATE(2405),
    [sym__array_destructing] = STATE(2405),
    [sym_function_call_expression] = STATE(612),
    [sym__callable_expression] = STATE(2324),
    [sym_scoped_call_expression] = STATE(612),
    [sym__scope_resolution_qualifier] = STATE(2522),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(612),
    [sym_nullsafe_member_call_expression] = STATE(612),
    [sym__variable_subscript_expression] = STATE(610),
    [sym__dereferencable_subscript_expression] = STATE(612),
    [sym__dereferencable_expression] = STATE(1948),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(766),
    [sym_attribute_group] = STATE(1373),
    [sym_attribute_list] = STATE(1879),
    [sym_encapsed_string] = STATE(767),
    [sym_string] = STATE(767),
    [sym_heredoc] = STATE(767),
    [sym_nowdoc] = STATE(767),
    [sym_shell_command_expression] = STATE(1039),
    [sym_boolean] = STATE(1036),
    [sym_null] = STATE(1036),
    [sym__string] = STATE(768),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(595),
    [sym__new_variable] = STATE(653),
    [sym__callable_variable] = STATE(623),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1026),
    [sym_binary_expression] = STATE(1026),
    [sym_include_expression] = STATE(1026),
    [sym_include_once_expression] = STATE(1026),
    [sym_require_expression] = STATE(1026),
    [sym_require_once_expression] = STATE(1026),
    [sym__reserved_identifier] = STATE(717),
    [sym__identifier] = STATE(1496),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(605),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(613),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(617),
    [anon_sym_DASH] = ACTIONS(617),
    [anon_sym_TILDE] = ACTIONS(619),
    [anon_sym_BANG] = ACTIONS(619),
    [anon_sym_AT] = ACTIONS(621),
    [aux_sym_clone_expression_token1] = ACTIONS(623),
    [aux_sym_print_intrinsic_token1] = ACTIONS(625),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(631),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(647),
    [aux_sym_include_expression_token1] = ACTIONS(651),
    [aux_sym_include_once_expression_token1] = ACTIONS(653),
    [aux_sym_require_expression_token1] = ACTIONS(655),
    [aux_sym_require_once_expression_token1] = ACTIONS(657),
    [sym_comment] = ACTIONS(5),
  },
  [293] = {
    [sym_text_interpolation] = STATE(293),
    [sym_qualified_name] = STATE(1000),
    [sym__name] = STATE(1631),
    [sym_namespace_name] = STATE(2575),
    [sym_static_modifier] = STATE(2368),
    [sym_anonymous_function] = STATE(1148),
    [sym__anonymous_function_header] = STATE(2489),
    [sym__arrow_function_header] = STATE(2731),
    [sym_arrow_function] = STATE(1148),
    [sym_literal] = STATE(1148),
    [sym_throw_expression] = STATE(1148),
    [sym_match_expression] = STATE(1152),
    [sym_expression] = STATE(1113),
    [sym__unary_expression] = STATE(1159),
    [sym_unary_op_expression] = STATE(1172),
    [sym_error_suppression_expression] = STATE(1152),
    [sym_clone_expression] = STATE(1172),
    [sym_primary_expression] = STATE(1172),
    [sym_parenthesized_expression] = STATE(964),
    [sym_class_constant_access_expression] = STATE(1019),
    [sym_print_intrinsic] = STATE(1148),
    [sym_object_creation_expression] = STATE(1148),
    [sym__new_non_dereferencable_expression] = STATE(1168),
    [sym__new_dereferencable_expression] = STATE(966),
    [sym_update_expression] = STATE(1148),
    [sym_cast_expression] = STATE(1172),
    [sym_cast_variable] = STATE(661),
    [sym_assignment_expression] = STATE(1152),
    [sym_reference_assignment_expression] = STATE(1152),
    [sym_conditional_expression] = STATE(1152),
    [sym_augmented_assignment_expression] = STATE(1152),
    [sym__variable_member_access_expression] = STATE(674),
    [sym_member_access_expression] = STATE(661),
    [sym__variable_nullsafe_member_access_expression] = STATE(663),
    [sym_nullsafe_member_access_expression] = STATE(661),
    [sym__variable_scoped_property_access_expression] = STATE(664),
    [sym_scoped_property_access_expression] = STATE(661),
    [sym_list_literal] = STATE(2530),
    [sym__list_destructing] = STATE(2405),
    [sym__array_destructing] = STATE(2405),
    [sym_function_call_expression] = STATE(634),
    [sym__callable_expression] = STATE(2471),
    [sym_scoped_call_expression] = STATE(634),
    [sym__scope_resolution_qualifier] = STATE(2651),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(634),
    [sym_nullsafe_member_call_expression] = STATE(634),
    [sym__variable_subscript_expression] = STATE(665),
    [sym__dereferencable_subscript_expression] = STATE(634),
    [sym__dereferencable_expression] = STATE(1946),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(1005),
    [sym_attribute_group] = STATE(1373),
    [sym_attribute_list] = STATE(1879),
    [sym_encapsed_string] = STATE(927),
    [sym_string] = STATE(927),
    [sym_heredoc] = STATE(927),
    [sym_nowdoc] = STATE(927),
    [sym_shell_command_expression] = STATE(1148),
    [sym_boolean] = STATE(1162),
    [sym_null] = STATE(1162),
    [sym__string] = STATE(941),
    [sym_dynamic_variable_name] = STATE(650),
    [sym__simple_variable] = STATE(654),
    [sym__new_variable] = STATE(667),
    [sym__callable_variable] = STATE(629),
    [sym_variable_name] = STATE(650),
    [sym_yield_expression] = STATE(1152),
    [sym_binary_expression] = STATE(1152),
    [sym_include_expression] = STATE(1152),
    [sym_include_once_expression] = STATE(1152),
    [sym_require_expression] = STATE(1152),
    [sym_require_once_expression] = STATE(1152),
    [sym__reserved_identifier] = STATE(717),
    [sym__identifier] = STATE(1496),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(689),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LPAREN2] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [sym_float] = ACTIONS(266),
    [sym_integer] = ACTIONS(266),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [294] = {
    [sym_text_interpolation] = STATE(294),
    [sym_qualified_name] = STATE(1000),
    [sym__name] = STATE(1631),
    [sym_namespace_name] = STATE(2575),
    [sym_static_modifier] = STATE(2368),
    [sym_anonymous_function] = STATE(1148),
    [sym__anonymous_function_header] = STATE(2489),
    [sym__arrow_function_header] = STATE(2731),
    [sym_arrow_function] = STATE(1148),
    [sym_literal] = STATE(1148),
    [sym_throw_expression] = STATE(1148),
    [sym_match_expression] = STATE(1152),
    [sym_expression] = STATE(1228),
    [sym__unary_expression] = STATE(1159),
    [sym_unary_op_expression] = STATE(1172),
    [sym_error_suppression_expression] = STATE(1152),
    [sym_clone_expression] = STATE(1172),
    [sym_primary_expression] = STATE(1172),
    [sym_parenthesized_expression] = STATE(964),
    [sym_class_constant_access_expression] = STATE(1019),
    [sym_print_intrinsic] = STATE(1148),
    [sym_object_creation_expression] = STATE(1148),
    [sym__new_non_dereferencable_expression] = STATE(1168),
    [sym__new_dereferencable_expression] = STATE(966),
    [sym_update_expression] = STATE(1148),
    [sym_cast_expression] = STATE(1172),
    [sym_cast_variable] = STATE(661),
    [sym_assignment_expression] = STATE(1152),
    [sym_reference_assignment_expression] = STATE(1152),
    [sym_conditional_expression] = STATE(1152),
    [sym_augmented_assignment_expression] = STATE(1152),
    [sym__variable_member_access_expression] = STATE(674),
    [sym_member_access_expression] = STATE(661),
    [sym__variable_nullsafe_member_access_expression] = STATE(663),
    [sym_nullsafe_member_access_expression] = STATE(661),
    [sym__variable_scoped_property_access_expression] = STATE(664),
    [sym_scoped_property_access_expression] = STATE(661),
    [sym_list_literal] = STATE(2530),
    [sym__list_destructing] = STATE(2405),
    [sym__array_destructing] = STATE(2405),
    [sym_function_call_expression] = STATE(634),
    [sym__callable_expression] = STATE(2471),
    [sym_scoped_call_expression] = STATE(634),
    [sym__scope_resolution_qualifier] = STATE(2651),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(634),
    [sym_nullsafe_member_call_expression] = STATE(634),
    [sym__variable_subscript_expression] = STATE(665),
    [sym__dereferencable_subscript_expression] = STATE(634),
    [sym__dereferencable_expression] = STATE(1946),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(1005),
    [sym_attribute_group] = STATE(1373),
    [sym_attribute_list] = STATE(1879),
    [sym_encapsed_string] = STATE(927),
    [sym_string] = STATE(927),
    [sym_heredoc] = STATE(927),
    [sym_nowdoc] = STATE(927),
    [sym_shell_command_expression] = STATE(1148),
    [sym_boolean] = STATE(1162),
    [sym_null] = STATE(1162),
    [sym__string] = STATE(941),
    [sym_dynamic_variable_name] = STATE(650),
    [sym__simple_variable] = STATE(654),
    [sym__new_variable] = STATE(667),
    [sym__callable_variable] = STATE(629),
    [sym_variable_name] = STATE(650),
    [sym_yield_expression] = STATE(1152),
    [sym_binary_expression] = STATE(1152),
    [sym_include_expression] = STATE(1152),
    [sym_include_once_expression] = STATE(1152),
    [sym_require_expression] = STATE(1152),
    [sym_require_once_expression] = STATE(1152),
    [sym__reserved_identifier] = STATE(717),
    [sym__identifier] = STATE(1496),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(689),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LPAREN2] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [sym_float] = ACTIONS(266),
    [sym_integer] = ACTIONS(266),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [295] = {
    [sym_text_interpolation] = STATE(295),
    [sym_qualified_name] = STATE(810),
    [sym__name] = STATE(1626),
    [sym_namespace_name] = STATE(2507),
    [sym_static_modifier] = STATE(2368),
    [sym_anonymous_function] = STATE(1039),
    [sym__anonymous_function_header] = STATE(2318),
    [sym__arrow_function_header] = STATE(2679),
    [sym_arrow_function] = STATE(1039),
    [sym_literal] = STATE(1039),
    [sym_throw_expression] = STATE(1039),
    [sym_match_expression] = STATE(1026),
    [sym_expression] = STATE(1050),
    [sym__unary_expression] = STATE(1010),
    [sym_unary_op_expression] = STATE(1022),
    [sym_error_suppression_expression] = STATE(1026),
    [sym_clone_expression] = STATE(1022),
    [sym_primary_expression] = STATE(1022),
    [sym_parenthesized_expression] = STATE(811),
    [sym_class_constant_access_expression] = STATE(859),
    [sym_print_intrinsic] = STATE(1039),
    [sym_object_creation_expression] = STATE(1039),
    [sym__new_non_dereferencable_expression] = STATE(1009),
    [sym__new_dereferencable_expression] = STATE(842),
    [sym_update_expression] = STATE(1039),
    [sym_cast_expression] = STATE(1022),
    [sym_cast_variable] = STATE(630),
    [sym_assignment_expression] = STATE(1026),
    [sym_reference_assignment_expression] = STATE(1026),
    [sym_conditional_expression] = STATE(1026),
    [sym_augmented_assignment_expression] = STATE(1026),
    [sym__variable_member_access_expression] = STATE(613),
    [sym_member_access_expression] = STATE(630),
    [sym__variable_nullsafe_member_access_expression] = STATE(619),
    [sym_nullsafe_member_access_expression] = STATE(630),
    [sym__variable_scoped_property_access_expression] = STATE(602),
    [sym_scoped_property_access_expression] = STATE(630),
    [sym_list_literal] = STATE(2632),
    [sym__list_destructing] = STATE(2405),
    [sym__array_destructing] = STATE(2405),
    [sym_function_call_expression] = STATE(612),
    [sym__callable_expression] = STATE(2324),
    [sym_scoped_call_expression] = STATE(612),
    [sym__scope_resolution_qualifier] = STATE(2522),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(612),
    [sym_nullsafe_member_call_expression] = STATE(612),
    [sym__variable_subscript_expression] = STATE(610),
    [sym__dereferencable_subscript_expression] = STATE(612),
    [sym__dereferencable_expression] = STATE(1948),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(766),
    [sym_attribute_group] = STATE(1373),
    [sym_attribute_list] = STATE(1879),
    [sym_encapsed_string] = STATE(767),
    [sym_string] = STATE(767),
    [sym_heredoc] = STATE(767),
    [sym_nowdoc] = STATE(767),
    [sym_shell_command_expression] = STATE(1039),
    [sym_boolean] = STATE(1036),
    [sym_null] = STATE(1036),
    [sym__string] = STATE(768),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(595),
    [sym__new_variable] = STATE(653),
    [sym__callable_variable] = STATE(623),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1026),
    [sym_binary_expression] = STATE(1026),
    [sym_include_expression] = STATE(1026),
    [sym_include_once_expression] = STATE(1026),
    [sym_require_expression] = STATE(1026),
    [sym_require_once_expression] = STATE(1026),
    [sym__reserved_identifier] = STATE(717),
    [sym__identifier] = STATE(1496),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(605),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(613),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(617),
    [anon_sym_DASH] = ACTIONS(617),
    [anon_sym_TILDE] = ACTIONS(619),
    [anon_sym_BANG] = ACTIONS(619),
    [anon_sym_AT] = ACTIONS(621),
    [aux_sym_clone_expression_token1] = ACTIONS(623),
    [aux_sym_print_intrinsic_token1] = ACTIONS(625),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(631),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(647),
    [aux_sym_include_expression_token1] = ACTIONS(651),
    [aux_sym_include_once_expression_token1] = ACTIONS(653),
    [aux_sym_require_expression_token1] = ACTIONS(655),
    [aux_sym_require_once_expression_token1] = ACTIONS(657),
    [sym_comment] = ACTIONS(5),
  },
  [296] = {
    [sym_text_interpolation] = STATE(296),
    [sym_qualified_name] = STATE(810),
    [sym__name] = STATE(1626),
    [sym_namespace_name] = STATE(2507),
    [sym_static_modifier] = STATE(2368),
    [sym_anonymous_function] = STATE(1039),
    [sym__anonymous_function_header] = STATE(2318),
    [sym__arrow_function_header] = STATE(2679),
    [sym_arrow_function] = STATE(1039),
    [sym_literal] = STATE(1039),
    [sym_throw_expression] = STATE(1039),
    [sym_match_expression] = STATE(1026),
    [sym_expression] = STATE(1051),
    [sym__unary_expression] = STATE(1010),
    [sym_unary_op_expression] = STATE(1022),
    [sym_error_suppression_expression] = STATE(1026),
    [sym_clone_expression] = STATE(1022),
    [sym_primary_expression] = STATE(1022),
    [sym_parenthesized_expression] = STATE(811),
    [sym_class_constant_access_expression] = STATE(859),
    [sym_print_intrinsic] = STATE(1039),
    [sym_object_creation_expression] = STATE(1039),
    [sym__new_non_dereferencable_expression] = STATE(1009),
    [sym__new_dereferencable_expression] = STATE(842),
    [sym_update_expression] = STATE(1039),
    [sym_cast_expression] = STATE(1022),
    [sym_cast_variable] = STATE(630),
    [sym_assignment_expression] = STATE(1026),
    [sym_reference_assignment_expression] = STATE(1026),
    [sym_conditional_expression] = STATE(1026),
    [sym_augmented_assignment_expression] = STATE(1026),
    [sym__variable_member_access_expression] = STATE(613),
    [sym_member_access_expression] = STATE(630),
    [sym__variable_nullsafe_member_access_expression] = STATE(619),
    [sym_nullsafe_member_access_expression] = STATE(630),
    [sym__variable_scoped_property_access_expression] = STATE(602),
    [sym_scoped_property_access_expression] = STATE(630),
    [sym_list_literal] = STATE(2632),
    [sym__list_destructing] = STATE(2405),
    [sym__array_destructing] = STATE(2405),
    [sym_function_call_expression] = STATE(612),
    [sym__callable_expression] = STATE(2324),
    [sym_scoped_call_expression] = STATE(612),
    [sym__scope_resolution_qualifier] = STATE(2522),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(612),
    [sym_nullsafe_member_call_expression] = STATE(612),
    [sym__variable_subscript_expression] = STATE(610),
    [sym__dereferencable_subscript_expression] = STATE(612),
    [sym__dereferencable_expression] = STATE(1948),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(766),
    [sym_attribute_group] = STATE(1373),
    [sym_attribute_list] = STATE(1879),
    [sym_encapsed_string] = STATE(767),
    [sym_string] = STATE(767),
    [sym_heredoc] = STATE(767),
    [sym_nowdoc] = STATE(767),
    [sym_shell_command_expression] = STATE(1039),
    [sym_boolean] = STATE(1036),
    [sym_null] = STATE(1036),
    [sym__string] = STATE(768),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(595),
    [sym__new_variable] = STATE(653),
    [sym__callable_variable] = STATE(623),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1026),
    [sym_binary_expression] = STATE(1026),
    [sym_include_expression] = STATE(1026),
    [sym_include_once_expression] = STATE(1026),
    [sym_require_expression] = STATE(1026),
    [sym_require_once_expression] = STATE(1026),
    [sym__reserved_identifier] = STATE(717),
    [sym__identifier] = STATE(1496),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(605),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(613),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(617),
    [anon_sym_DASH] = ACTIONS(617),
    [anon_sym_TILDE] = ACTIONS(619),
    [anon_sym_BANG] = ACTIONS(619),
    [anon_sym_AT] = ACTIONS(621),
    [aux_sym_clone_expression_token1] = ACTIONS(623),
    [aux_sym_print_intrinsic_token1] = ACTIONS(625),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(631),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(647),
    [aux_sym_include_expression_token1] = ACTIONS(651),
    [aux_sym_include_once_expression_token1] = ACTIONS(653),
    [aux_sym_require_expression_token1] = ACTIONS(655),
    [aux_sym_require_once_expression_token1] = ACTIONS(657),
    [sym_comment] = ACTIONS(5),
  },
  [297] = {
    [sym_text_interpolation] = STATE(297),
    [sym_qualified_name] = STATE(810),
    [sym__name] = STATE(1626),
    [sym_namespace_name] = STATE(2507),
    [sym_static_modifier] = STATE(2368),
    [sym_anonymous_function] = STATE(1039),
    [sym__anonymous_function_header] = STATE(2318),
    [sym__arrow_function_header] = STATE(2679),
    [sym_arrow_function] = STATE(1039),
    [sym_literal] = STATE(1039),
    [sym_throw_expression] = STATE(1039),
    [sym_match_expression] = STATE(1026),
    [sym_expression] = STATE(1060),
    [sym__unary_expression] = STATE(1010),
    [sym_unary_op_expression] = STATE(1022),
    [sym_error_suppression_expression] = STATE(1026),
    [sym_clone_expression] = STATE(1022),
    [sym_primary_expression] = STATE(1022),
    [sym_parenthesized_expression] = STATE(811),
    [sym_class_constant_access_expression] = STATE(859),
    [sym_print_intrinsic] = STATE(1039),
    [sym_object_creation_expression] = STATE(1039),
    [sym__new_non_dereferencable_expression] = STATE(1009),
    [sym__new_dereferencable_expression] = STATE(842),
    [sym_update_expression] = STATE(1039),
    [sym_cast_expression] = STATE(1022),
    [sym_cast_variable] = STATE(630),
    [sym_assignment_expression] = STATE(1026),
    [sym_reference_assignment_expression] = STATE(1026),
    [sym_conditional_expression] = STATE(1026),
    [sym_augmented_assignment_expression] = STATE(1026),
    [sym__variable_member_access_expression] = STATE(613),
    [sym_member_access_expression] = STATE(630),
    [sym__variable_nullsafe_member_access_expression] = STATE(619),
    [sym_nullsafe_member_access_expression] = STATE(630),
    [sym__variable_scoped_property_access_expression] = STATE(602),
    [sym_scoped_property_access_expression] = STATE(630),
    [sym_list_literal] = STATE(2632),
    [sym__list_destructing] = STATE(2405),
    [sym__array_destructing] = STATE(2405),
    [sym_function_call_expression] = STATE(612),
    [sym__callable_expression] = STATE(2324),
    [sym_scoped_call_expression] = STATE(612),
    [sym__scope_resolution_qualifier] = STATE(2522),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(612),
    [sym_nullsafe_member_call_expression] = STATE(612),
    [sym__variable_subscript_expression] = STATE(610),
    [sym__dereferencable_subscript_expression] = STATE(612),
    [sym__dereferencable_expression] = STATE(1948),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(766),
    [sym_attribute_group] = STATE(1373),
    [sym_attribute_list] = STATE(1879),
    [sym_encapsed_string] = STATE(767),
    [sym_string] = STATE(767),
    [sym_heredoc] = STATE(767),
    [sym_nowdoc] = STATE(767),
    [sym_shell_command_expression] = STATE(1039),
    [sym_boolean] = STATE(1036),
    [sym_null] = STATE(1036),
    [sym__string] = STATE(768),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(595),
    [sym__new_variable] = STATE(653),
    [sym__callable_variable] = STATE(623),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1026),
    [sym_binary_expression] = STATE(1026),
    [sym_include_expression] = STATE(1026),
    [sym_include_once_expression] = STATE(1026),
    [sym_require_expression] = STATE(1026),
    [sym_require_once_expression] = STATE(1026),
    [sym__reserved_identifier] = STATE(717),
    [sym__identifier] = STATE(1496),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(605),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(613),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(617),
    [anon_sym_DASH] = ACTIONS(617),
    [anon_sym_TILDE] = ACTIONS(619),
    [anon_sym_BANG] = ACTIONS(619),
    [anon_sym_AT] = ACTIONS(621),
    [aux_sym_clone_expression_token1] = ACTIONS(623),
    [aux_sym_print_intrinsic_token1] = ACTIONS(625),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(631),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(647),
    [aux_sym_include_expression_token1] = ACTIONS(651),
    [aux_sym_include_once_expression_token1] = ACTIONS(653),
    [aux_sym_require_expression_token1] = ACTIONS(655),
    [aux_sym_require_once_expression_token1] = ACTIONS(657),
    [sym_comment] = ACTIONS(5),
  },
  [298] = {
    [sym_text_interpolation] = STATE(298),
    [sym_qualified_name] = STATE(810),
    [sym__name] = STATE(1626),
    [sym_namespace_name] = STATE(2507),
    [sym_static_modifier] = STATE(2368),
    [sym_anonymous_function] = STATE(1039),
    [sym__anonymous_function_header] = STATE(2318),
    [sym__arrow_function_header] = STATE(2639),
    [sym_arrow_function] = STATE(1039),
    [sym_literal] = STATE(1039),
    [sym_throw_expression] = STATE(1039),
    [sym_match_expression] = STATE(1026),
    [sym_expression] = STATE(1210),
    [sym__unary_expression] = STATE(1010),
    [sym_unary_op_expression] = STATE(1022),
    [sym_error_suppression_expression] = STATE(1026),
    [sym_clone_expression] = STATE(1022),
    [sym_primary_expression] = STATE(1022),
    [sym_parenthesized_expression] = STATE(811),
    [sym_class_constant_access_expression] = STATE(859),
    [sym_print_intrinsic] = STATE(1039),
    [sym_object_creation_expression] = STATE(1039),
    [sym__new_non_dereferencable_expression] = STATE(1009),
    [sym__new_dereferencable_expression] = STATE(842),
    [sym_update_expression] = STATE(1039),
    [sym_cast_expression] = STATE(1022),
    [sym_cast_variable] = STATE(681),
    [sym_assignment_expression] = STATE(1026),
    [sym_reference_assignment_expression] = STATE(1026),
    [sym_conditional_expression] = STATE(1026),
    [sym_augmented_assignment_expression] = STATE(1026),
    [sym__variable_member_access_expression] = STATE(613),
    [sym_member_access_expression] = STATE(681),
    [sym__variable_nullsafe_member_access_expression] = STATE(619),
    [sym_nullsafe_member_access_expression] = STATE(681),
    [sym__variable_scoped_property_access_expression] = STATE(602),
    [sym_scoped_property_access_expression] = STATE(681),
    [sym_list_literal] = STATE(2640),
    [sym__list_destructing] = STATE(2405),
    [sym__array_destructing] = STATE(2405),
    [sym_function_call_expression] = STATE(612),
    [sym__callable_expression] = STATE(2324),
    [sym_scoped_call_expression] = STATE(612),
    [sym__scope_resolution_qualifier] = STATE(2522),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(612),
    [sym_nullsafe_member_call_expression] = STATE(612),
    [sym__variable_subscript_expression] = STATE(610),
    [sym__dereferencable_subscript_expression] = STATE(612),
    [sym__dereferencable_expression] = STATE(1948),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(766),
    [sym_attribute_group] = STATE(1373),
    [sym_attribute_list] = STATE(1879),
    [sym_encapsed_string] = STATE(767),
    [sym_string] = STATE(767),
    [sym_heredoc] = STATE(767),
    [sym_nowdoc] = STATE(767),
    [sym_shell_command_expression] = STATE(1039),
    [sym_boolean] = STATE(1036),
    [sym_null] = STATE(1036),
    [sym__string] = STATE(768),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(595),
    [sym__new_variable] = STATE(683),
    [sym__callable_variable] = STATE(657),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1026),
    [sym_binary_expression] = STATE(1026),
    [sym_include_expression] = STATE(1026),
    [sym_include_once_expression] = STATE(1026),
    [sym_require_expression] = STATE(1026),
    [sym_require_once_expression] = STATE(1026),
    [sym__reserved_identifier] = STATE(717),
    [sym__identifier] = STATE(1496),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(697),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(701),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(703),
    [anon_sym_DASH] = ACTIONS(703),
    [anon_sym_TILDE] = ACTIONS(705),
    [anon_sym_BANG] = ACTIONS(705),
    [anon_sym_AT] = ACTIONS(707),
    [aux_sym_clone_expression_token1] = ACTIONS(709),
    [aux_sym_print_intrinsic_token1] = ACTIONS(711),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(713),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(5),
  },
  [299] = {
    [sym_text_interpolation] = STATE(299),
    [sym_qualified_name] = STATE(1000),
    [sym__name] = STATE(1631),
    [sym_namespace_name] = STATE(2575),
    [sym_static_modifier] = STATE(2368),
    [sym_anonymous_function] = STATE(1148),
    [sym__anonymous_function_header] = STATE(2489),
    [sym__arrow_function_header] = STATE(2731),
    [sym_arrow_function] = STATE(1148),
    [sym_literal] = STATE(1148),
    [sym_throw_expression] = STATE(1148),
    [sym_match_expression] = STATE(1152),
    [sym_expression] = STATE(1225),
    [sym__unary_expression] = STATE(1159),
    [sym_unary_op_expression] = STATE(1172),
    [sym_error_suppression_expression] = STATE(1152),
    [sym_clone_expression] = STATE(1172),
    [sym_primary_expression] = STATE(1172),
    [sym_parenthesized_expression] = STATE(964),
    [sym_class_constant_access_expression] = STATE(1019),
    [sym_print_intrinsic] = STATE(1148),
    [sym_object_creation_expression] = STATE(1148),
    [sym__new_non_dereferencable_expression] = STATE(1168),
    [sym__new_dereferencable_expression] = STATE(966),
    [sym_update_expression] = STATE(1148),
    [sym_cast_expression] = STATE(1172),
    [sym_cast_variable] = STATE(661),
    [sym_assignment_expression] = STATE(1152),
    [sym_reference_assignment_expression] = STATE(1152),
    [sym_conditional_expression] = STATE(1152),
    [sym_augmented_assignment_expression] = STATE(1152),
    [sym__variable_member_access_expression] = STATE(674),
    [sym_member_access_expression] = STATE(661),
    [sym__variable_nullsafe_member_access_expression] = STATE(663),
    [sym_nullsafe_member_access_expression] = STATE(661),
    [sym__variable_scoped_property_access_expression] = STATE(664),
    [sym_scoped_property_access_expression] = STATE(661),
    [sym_list_literal] = STATE(2530),
    [sym__list_destructing] = STATE(2405),
    [sym__array_destructing] = STATE(2405),
    [sym_function_call_expression] = STATE(634),
    [sym__callable_expression] = STATE(2471),
    [sym_scoped_call_expression] = STATE(634),
    [sym__scope_resolution_qualifier] = STATE(2651),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(634),
    [sym_nullsafe_member_call_expression] = STATE(634),
    [sym__variable_subscript_expression] = STATE(665),
    [sym__dereferencable_subscript_expression] = STATE(634),
    [sym__dereferencable_expression] = STATE(1946),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(1005),
    [sym_attribute_group] = STATE(1373),
    [sym_attribute_list] = STATE(1879),
    [sym_encapsed_string] = STATE(927),
    [sym_string] = STATE(927),
    [sym_heredoc] = STATE(927),
    [sym_nowdoc] = STATE(927),
    [sym_shell_command_expression] = STATE(1148),
    [sym_boolean] = STATE(1162),
    [sym_null] = STATE(1162),
    [sym__string] = STATE(941),
    [sym_dynamic_variable_name] = STATE(650),
    [sym__simple_variable] = STATE(654),
    [sym__new_variable] = STATE(667),
    [sym__callable_variable] = STATE(629),
    [sym_variable_name] = STATE(650),
    [sym_yield_expression] = STATE(1152),
    [sym_binary_expression] = STATE(1152),
    [sym_include_expression] = STATE(1152),
    [sym_include_once_expression] = STATE(1152),
    [sym_require_expression] = STATE(1152),
    [sym_require_once_expression] = STATE(1152),
    [sym__reserved_identifier] = STATE(717),
    [sym__identifier] = STATE(1496),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(689),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LPAREN2] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [sym_float] = ACTIONS(266),
    [sym_integer] = ACTIONS(266),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [300] = {
    [sym_text_interpolation] = STATE(300),
    [sym_qualified_name] = STATE(810),
    [sym__name] = STATE(1626),
    [sym_namespace_name] = STATE(2507),
    [sym_static_modifier] = STATE(2368),
    [sym_anonymous_function] = STATE(1039),
    [sym__anonymous_function_header] = STATE(2318),
    [sym__arrow_function_header] = STATE(2679),
    [sym_arrow_function] = STATE(1039),
    [sym_literal] = STATE(1039),
    [sym_throw_expression] = STATE(1039),
    [sym_match_expression] = STATE(1026),
    [sym_expression] = STATE(1288),
    [sym__unary_expression] = STATE(1010),
    [sym_unary_op_expression] = STATE(1022),
    [sym_error_suppression_expression] = STATE(1026),
    [sym_clone_expression] = STATE(1022),
    [sym_primary_expression] = STATE(1022),
    [sym_parenthesized_expression] = STATE(811),
    [sym_class_constant_access_expression] = STATE(859),
    [sym_print_intrinsic] = STATE(1039),
    [sym_object_creation_expression] = STATE(1039),
    [sym__new_non_dereferencable_expression] = STATE(1009),
    [sym__new_dereferencable_expression] = STATE(842),
    [sym_update_expression] = STATE(1039),
    [sym_cast_expression] = STATE(1022),
    [sym_cast_variable] = STATE(630),
    [sym_assignment_expression] = STATE(1026),
    [sym_reference_assignment_expression] = STATE(1026),
    [sym_conditional_expression] = STATE(1026),
    [sym_augmented_assignment_expression] = STATE(1026),
    [sym__variable_member_access_expression] = STATE(613),
    [sym_member_access_expression] = STATE(630),
    [sym__variable_nullsafe_member_access_expression] = STATE(619),
    [sym_nullsafe_member_access_expression] = STATE(630),
    [sym__variable_scoped_property_access_expression] = STATE(602),
    [sym_scoped_property_access_expression] = STATE(630),
    [sym_list_literal] = STATE(2632),
    [sym__list_destructing] = STATE(2405),
    [sym__array_destructing] = STATE(2405),
    [sym_function_call_expression] = STATE(612),
    [sym__callable_expression] = STATE(2324),
    [sym_scoped_call_expression] = STATE(612),
    [sym__scope_resolution_qualifier] = STATE(2522),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(612),
    [sym_nullsafe_member_call_expression] = STATE(612),
    [sym__variable_subscript_expression] = STATE(610),
    [sym__dereferencable_subscript_expression] = STATE(612),
    [sym__dereferencable_expression] = STATE(1948),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(766),
    [sym_attribute_group] = STATE(1373),
    [sym_attribute_list] = STATE(1879),
    [sym_encapsed_string] = STATE(767),
    [sym_string] = STATE(767),
    [sym_heredoc] = STATE(767),
    [sym_nowdoc] = STATE(767),
    [sym_shell_command_expression] = STATE(1039),
    [sym_boolean] = STATE(1036),
    [sym_null] = STATE(1036),
    [sym__string] = STATE(768),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(595),
    [sym__new_variable] = STATE(653),
    [sym__callable_variable] = STATE(623),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1026),
    [sym_binary_expression] = STATE(1026),
    [sym_include_expression] = STATE(1026),
    [sym_include_once_expression] = STATE(1026),
    [sym_require_expression] = STATE(1026),
    [sym_require_once_expression] = STATE(1026),
    [sym__reserved_identifier] = STATE(717),
    [sym__identifier] = STATE(1496),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(605),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(613),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(617),
    [anon_sym_DASH] = ACTIONS(617),
    [anon_sym_TILDE] = ACTIONS(619),
    [anon_sym_BANG] = ACTIONS(619),
    [anon_sym_AT] = ACTIONS(621),
    [aux_sym_clone_expression_token1] = ACTIONS(623),
    [aux_sym_print_intrinsic_token1] = ACTIONS(625),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(631),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(647),
    [aux_sym_include_expression_token1] = ACTIONS(651),
    [aux_sym_include_once_expression_token1] = ACTIONS(653),
    [aux_sym_require_expression_token1] = ACTIONS(655),
    [aux_sym_require_once_expression_token1] = ACTIONS(657),
    [sym_comment] = ACTIONS(5),
  },
  [301] = {
    [sym_text_interpolation] = STATE(301),
    [sym_qualified_name] = STATE(1000),
    [sym__name] = STATE(1631),
    [sym_namespace_name] = STATE(2575),
    [sym_static_modifier] = STATE(2368),
    [sym_anonymous_function] = STATE(1148),
    [sym__anonymous_function_header] = STATE(2489),
    [sym__arrow_function_header] = STATE(2731),
    [sym_arrow_function] = STATE(1148),
    [sym_literal] = STATE(1148),
    [sym_throw_expression] = STATE(1148),
    [sym_match_expression] = STATE(1152),
    [sym_expression] = STATE(1157),
    [sym__unary_expression] = STATE(1159),
    [sym_unary_op_expression] = STATE(1172),
    [sym_error_suppression_expression] = STATE(1152),
    [sym_clone_expression] = STATE(1172),
    [sym_primary_expression] = STATE(1172),
    [sym_parenthesized_expression] = STATE(964),
    [sym_class_constant_access_expression] = STATE(1019),
    [sym_print_intrinsic] = STATE(1148),
    [sym_object_creation_expression] = STATE(1148),
    [sym__new_non_dereferencable_expression] = STATE(1168),
    [sym__new_dereferencable_expression] = STATE(966),
    [sym_update_expression] = STATE(1148),
    [sym_cast_expression] = STATE(1172),
    [sym_cast_variable] = STATE(661),
    [sym_assignment_expression] = STATE(1152),
    [sym_reference_assignment_expression] = STATE(1152),
    [sym_conditional_expression] = STATE(1152),
    [sym_augmented_assignment_expression] = STATE(1152),
    [sym__variable_member_access_expression] = STATE(674),
    [sym_member_access_expression] = STATE(661),
    [sym__variable_nullsafe_member_access_expression] = STATE(663),
    [sym_nullsafe_member_access_expression] = STATE(661),
    [sym__variable_scoped_property_access_expression] = STATE(664),
    [sym_scoped_property_access_expression] = STATE(661),
    [sym_list_literal] = STATE(2530),
    [sym__list_destructing] = STATE(2405),
    [sym__array_destructing] = STATE(2405),
    [sym_function_call_expression] = STATE(634),
    [sym__callable_expression] = STATE(2471),
    [sym_scoped_call_expression] = STATE(634),
    [sym__scope_resolution_qualifier] = STATE(2651),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(634),
    [sym_nullsafe_member_call_expression] = STATE(634),
    [sym__variable_subscript_expression] = STATE(665),
    [sym__dereferencable_subscript_expression] = STATE(634),
    [sym__dereferencable_expression] = STATE(1946),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(1005),
    [sym_attribute_group] = STATE(1373),
    [sym_attribute_list] = STATE(1879),
    [sym_encapsed_string] = STATE(927),
    [sym_string] = STATE(927),
    [sym_heredoc] = STATE(927),
    [sym_nowdoc] = STATE(927),
    [sym_shell_command_expression] = STATE(1148),
    [sym_boolean] = STATE(1162),
    [sym_null] = STATE(1162),
    [sym__string] = STATE(941),
    [sym_dynamic_variable_name] = STATE(650),
    [sym__simple_variable] = STATE(654),
    [sym__new_variable] = STATE(667),
    [sym__callable_variable] = STATE(629),
    [sym_variable_name] = STATE(650),
    [sym_yield_expression] = STATE(1152),
    [sym_binary_expression] = STATE(1152),
    [sym_include_expression] = STATE(1152),
    [sym_include_once_expression] = STATE(1152),
    [sym_require_expression] = STATE(1152),
    [sym_require_once_expression] = STATE(1152),
    [sym__reserved_identifier] = STATE(717),
    [sym__identifier] = STATE(1496),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(689),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LPAREN2] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [sym_float] = ACTIONS(266),
    [sym_integer] = ACTIONS(266),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [302] = {
    [sym_text_interpolation] = STATE(302),
    [sym_qualified_name] = STATE(1000),
    [sym__name] = STATE(1631),
    [sym_namespace_name] = STATE(2575),
    [sym_static_modifier] = STATE(2368),
    [sym_anonymous_function] = STATE(1148),
    [sym__anonymous_function_header] = STATE(2489),
    [sym__arrow_function_header] = STATE(2731),
    [sym_arrow_function] = STATE(1148),
    [sym_literal] = STATE(1148),
    [sym_throw_expression] = STATE(1148),
    [sym_match_expression] = STATE(1152),
    [sym_expression] = STATE(1095),
    [sym__unary_expression] = STATE(1159),
    [sym_unary_op_expression] = STATE(1172),
    [sym_error_suppression_expression] = STATE(1152),
    [sym_clone_expression] = STATE(1172),
    [sym_primary_expression] = STATE(1172),
    [sym_parenthesized_expression] = STATE(964),
    [sym_class_constant_access_expression] = STATE(1019),
    [sym_print_intrinsic] = STATE(1148),
    [sym_object_creation_expression] = STATE(1148),
    [sym__new_non_dereferencable_expression] = STATE(1168),
    [sym__new_dereferencable_expression] = STATE(966),
    [sym_update_expression] = STATE(1148),
    [sym_cast_expression] = STATE(1172),
    [sym_cast_variable] = STATE(661),
    [sym_assignment_expression] = STATE(1152),
    [sym_reference_assignment_expression] = STATE(1152),
    [sym_conditional_expression] = STATE(1152),
    [sym_augmented_assignment_expression] = STATE(1152),
    [sym__variable_member_access_expression] = STATE(674),
    [sym_member_access_expression] = STATE(661),
    [sym__variable_nullsafe_member_access_expression] = STATE(663),
    [sym_nullsafe_member_access_expression] = STATE(661),
    [sym__variable_scoped_property_access_expression] = STATE(664),
    [sym_scoped_property_access_expression] = STATE(661),
    [sym_list_literal] = STATE(2530),
    [sym__list_destructing] = STATE(2405),
    [sym__array_destructing] = STATE(2405),
    [sym_function_call_expression] = STATE(634),
    [sym__callable_expression] = STATE(2471),
    [sym_scoped_call_expression] = STATE(634),
    [sym__scope_resolution_qualifier] = STATE(2651),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(634),
    [sym_nullsafe_member_call_expression] = STATE(634),
    [sym__variable_subscript_expression] = STATE(665),
    [sym__dereferencable_subscript_expression] = STATE(634),
    [sym__dereferencable_expression] = STATE(1946),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(1005),
    [sym_attribute_group] = STATE(1373),
    [sym_attribute_list] = STATE(1879),
    [sym_encapsed_string] = STATE(927),
    [sym_string] = STATE(927),
    [sym_heredoc] = STATE(927),
    [sym_nowdoc] = STATE(927),
    [sym_shell_command_expression] = STATE(1148),
    [sym_boolean] = STATE(1162),
    [sym_null] = STATE(1162),
    [sym__string] = STATE(941),
    [sym_dynamic_variable_name] = STATE(650),
    [sym__simple_variable] = STATE(654),
    [sym__new_variable] = STATE(667),
    [sym__callable_variable] = STATE(629),
    [sym_variable_name] = STATE(650),
    [sym_yield_expression] = STATE(1152),
    [sym_binary_expression] = STATE(1152),
    [sym_include_expression] = STATE(1152),
    [sym_include_once_expression] = STATE(1152),
    [sym_require_expression] = STATE(1152),
    [sym_require_once_expression] = STATE(1152),
    [sym__reserved_identifier] = STATE(717),
    [sym__identifier] = STATE(1496),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(689),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LPAREN2] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [sym_float] = ACTIONS(266),
    [sym_integer] = ACTIONS(266),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [303] = {
    [sym_text_interpolation] = STATE(303),
    [sym_qualified_name] = STATE(810),
    [sym__name] = STATE(1626),
    [sym_namespace_name] = STATE(2507),
    [sym_static_modifier] = STATE(2368),
    [sym_anonymous_function] = STATE(1039),
    [sym__anonymous_function_header] = STATE(2318),
    [sym__arrow_function_header] = STATE(2639),
    [sym_arrow_function] = STATE(1039),
    [sym_literal] = STATE(1039),
    [sym_throw_expression] = STATE(1039),
    [sym_match_expression] = STATE(1026),
    [sym_expression] = STATE(1211),
    [sym__unary_expression] = STATE(1010),
    [sym_unary_op_expression] = STATE(1022),
    [sym_error_suppression_expression] = STATE(1026),
    [sym_clone_expression] = STATE(1022),
    [sym_primary_expression] = STATE(1022),
    [sym_parenthesized_expression] = STATE(811),
    [sym_class_constant_access_expression] = STATE(859),
    [sym_print_intrinsic] = STATE(1039),
    [sym_object_creation_expression] = STATE(1039),
    [sym__new_non_dereferencable_expression] = STATE(1009),
    [sym__new_dereferencable_expression] = STATE(842),
    [sym_update_expression] = STATE(1039),
    [sym_cast_expression] = STATE(1022),
    [sym_cast_variable] = STATE(681),
    [sym_assignment_expression] = STATE(1026),
    [sym_reference_assignment_expression] = STATE(1026),
    [sym_conditional_expression] = STATE(1026),
    [sym_augmented_assignment_expression] = STATE(1026),
    [sym__variable_member_access_expression] = STATE(613),
    [sym_member_access_expression] = STATE(681),
    [sym__variable_nullsafe_member_access_expression] = STATE(619),
    [sym_nullsafe_member_access_expression] = STATE(681),
    [sym__variable_scoped_property_access_expression] = STATE(602),
    [sym_scoped_property_access_expression] = STATE(681),
    [sym_list_literal] = STATE(2640),
    [sym__list_destructing] = STATE(2405),
    [sym__array_destructing] = STATE(2405),
    [sym_function_call_expression] = STATE(612),
    [sym__callable_expression] = STATE(2324),
    [sym_scoped_call_expression] = STATE(612),
    [sym__scope_resolution_qualifier] = STATE(2522),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(612),
    [sym_nullsafe_member_call_expression] = STATE(612),
    [sym__variable_subscript_expression] = STATE(610),
    [sym__dereferencable_subscript_expression] = STATE(612),
    [sym__dereferencable_expression] = STATE(1948),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(766),
    [sym_attribute_group] = STATE(1373),
    [sym_attribute_list] = STATE(1879),
    [sym_encapsed_string] = STATE(767),
    [sym_string] = STATE(767),
    [sym_heredoc] = STATE(767),
    [sym_nowdoc] = STATE(767),
    [sym_shell_command_expression] = STATE(1039),
    [sym_boolean] = STATE(1036),
    [sym_null] = STATE(1036),
    [sym__string] = STATE(768),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(595),
    [sym__new_variable] = STATE(683),
    [sym__callable_variable] = STATE(657),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1026),
    [sym_binary_expression] = STATE(1026),
    [sym_include_expression] = STATE(1026),
    [sym_include_once_expression] = STATE(1026),
    [sym_require_expression] = STATE(1026),
    [sym_require_once_expression] = STATE(1026),
    [sym__reserved_identifier] = STATE(717),
    [sym__identifier] = STATE(1496),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(697),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(701),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(703),
    [anon_sym_DASH] = ACTIONS(703),
    [anon_sym_TILDE] = ACTIONS(705),
    [anon_sym_BANG] = ACTIONS(705),
    [anon_sym_AT] = ACTIONS(707),
    [aux_sym_clone_expression_token1] = ACTIONS(709),
    [aux_sym_print_intrinsic_token1] = ACTIONS(711),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(713),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(5),
  },
  [304] = {
    [sym_text_interpolation] = STATE(304),
    [sym_qualified_name] = STATE(810),
    [sym__name] = STATE(1626),
    [sym_namespace_name] = STATE(2507),
    [sym_static_modifier] = STATE(2368),
    [sym_anonymous_function] = STATE(1039),
    [sym__anonymous_function_header] = STATE(2318),
    [sym__arrow_function_header] = STATE(2639),
    [sym_arrow_function] = STATE(1039),
    [sym_literal] = STATE(1039),
    [sym_throw_expression] = STATE(1039),
    [sym_match_expression] = STATE(1026),
    [sym_expression] = STATE(1212),
    [sym__unary_expression] = STATE(1010),
    [sym_unary_op_expression] = STATE(1022),
    [sym_error_suppression_expression] = STATE(1026),
    [sym_clone_expression] = STATE(1022),
    [sym_primary_expression] = STATE(1022),
    [sym_parenthesized_expression] = STATE(811),
    [sym_class_constant_access_expression] = STATE(859),
    [sym_print_intrinsic] = STATE(1039),
    [sym_object_creation_expression] = STATE(1039),
    [sym__new_non_dereferencable_expression] = STATE(1009),
    [sym__new_dereferencable_expression] = STATE(842),
    [sym_update_expression] = STATE(1039),
    [sym_cast_expression] = STATE(1022),
    [sym_cast_variable] = STATE(681),
    [sym_assignment_expression] = STATE(1026),
    [sym_reference_assignment_expression] = STATE(1026),
    [sym_conditional_expression] = STATE(1026),
    [sym_augmented_assignment_expression] = STATE(1026),
    [sym__variable_member_access_expression] = STATE(613),
    [sym_member_access_expression] = STATE(681),
    [sym__variable_nullsafe_member_access_expression] = STATE(619),
    [sym_nullsafe_member_access_expression] = STATE(681),
    [sym__variable_scoped_property_access_expression] = STATE(602),
    [sym_scoped_property_access_expression] = STATE(681),
    [sym_list_literal] = STATE(2640),
    [sym__list_destructing] = STATE(2405),
    [sym__array_destructing] = STATE(2405),
    [sym_function_call_expression] = STATE(612),
    [sym__callable_expression] = STATE(2324),
    [sym_scoped_call_expression] = STATE(612),
    [sym__scope_resolution_qualifier] = STATE(2522),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(612),
    [sym_nullsafe_member_call_expression] = STATE(612),
    [sym__variable_subscript_expression] = STATE(610),
    [sym__dereferencable_subscript_expression] = STATE(612),
    [sym__dereferencable_expression] = STATE(1948),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(766),
    [sym_attribute_group] = STATE(1373),
    [sym_attribute_list] = STATE(1879),
    [sym_encapsed_string] = STATE(767),
    [sym_string] = STATE(767),
    [sym_heredoc] = STATE(767),
    [sym_nowdoc] = STATE(767),
    [sym_shell_command_expression] = STATE(1039),
    [sym_boolean] = STATE(1036),
    [sym_null] = STATE(1036),
    [sym__string] = STATE(768),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(595),
    [sym__new_variable] = STATE(683),
    [sym__callable_variable] = STATE(657),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1026),
    [sym_binary_expression] = STATE(1026),
    [sym_include_expression] = STATE(1026),
    [sym_include_once_expression] = STATE(1026),
    [sym_require_expression] = STATE(1026),
    [sym_require_once_expression] = STATE(1026),
    [sym__reserved_identifier] = STATE(717),
    [sym__identifier] = STATE(1496),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(697),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(701),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(703),
    [anon_sym_DASH] = ACTIONS(703),
    [anon_sym_TILDE] = ACTIONS(705),
    [anon_sym_BANG] = ACTIONS(705),
    [anon_sym_AT] = ACTIONS(707),
    [aux_sym_clone_expression_token1] = ACTIONS(709),
    [aux_sym_print_intrinsic_token1] = ACTIONS(711),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(713),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(5),
  },
  [305] = {
    [sym_text_interpolation] = STATE(305),
    [sym_qualified_name] = STATE(810),
    [sym__name] = STATE(1626),
    [sym_namespace_name] = STATE(2507),
    [sym_static_modifier] = STATE(2368),
    [sym_anonymous_function] = STATE(1039),
    [sym__anonymous_function_header] = STATE(2318),
    [sym__arrow_function_header] = STATE(2639),
    [sym_arrow_function] = STATE(1039),
    [sym_literal] = STATE(1039),
    [sym_throw_expression] = STATE(1039),
    [sym_match_expression] = STATE(1026),
    [sym_expression] = STATE(1244),
    [sym__unary_expression] = STATE(1010),
    [sym_unary_op_expression] = STATE(1022),
    [sym_error_suppression_expression] = STATE(1026),
    [sym_clone_expression] = STATE(1022),
    [sym_primary_expression] = STATE(1022),
    [sym_parenthesized_expression] = STATE(811),
    [sym_class_constant_access_expression] = STATE(859),
    [sym_print_intrinsic] = STATE(1039),
    [sym_object_creation_expression] = STATE(1039),
    [sym__new_non_dereferencable_expression] = STATE(1009),
    [sym__new_dereferencable_expression] = STATE(842),
    [sym_update_expression] = STATE(1039),
    [sym_cast_expression] = STATE(1022),
    [sym_cast_variable] = STATE(681),
    [sym_assignment_expression] = STATE(1026),
    [sym_reference_assignment_expression] = STATE(1026),
    [sym_conditional_expression] = STATE(1026),
    [sym_augmented_assignment_expression] = STATE(1026),
    [sym__variable_member_access_expression] = STATE(613),
    [sym_member_access_expression] = STATE(681),
    [sym__variable_nullsafe_member_access_expression] = STATE(619),
    [sym_nullsafe_member_access_expression] = STATE(681),
    [sym__variable_scoped_property_access_expression] = STATE(602),
    [sym_scoped_property_access_expression] = STATE(681),
    [sym_list_literal] = STATE(2640),
    [sym__list_destructing] = STATE(2405),
    [sym__array_destructing] = STATE(2405),
    [sym_function_call_expression] = STATE(612),
    [sym__callable_expression] = STATE(2324),
    [sym_scoped_call_expression] = STATE(612),
    [sym__scope_resolution_qualifier] = STATE(2522),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(612),
    [sym_nullsafe_member_call_expression] = STATE(612),
    [sym__variable_subscript_expression] = STATE(610),
    [sym__dereferencable_subscript_expression] = STATE(612),
    [sym__dereferencable_expression] = STATE(1948),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(766),
    [sym_attribute_group] = STATE(1373),
    [sym_attribute_list] = STATE(1879),
    [sym_encapsed_string] = STATE(767),
    [sym_string] = STATE(767),
    [sym_heredoc] = STATE(767),
    [sym_nowdoc] = STATE(767),
    [sym_shell_command_expression] = STATE(1039),
    [sym_boolean] = STATE(1036),
    [sym_null] = STATE(1036),
    [sym__string] = STATE(768),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(595),
    [sym__new_variable] = STATE(683),
    [sym__callable_variable] = STATE(657),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1026),
    [sym_binary_expression] = STATE(1026),
    [sym_include_expression] = STATE(1026),
    [sym_include_once_expression] = STATE(1026),
    [sym_require_expression] = STATE(1026),
    [sym_require_once_expression] = STATE(1026),
    [sym__reserved_identifier] = STATE(717),
    [sym__identifier] = STATE(1496),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(697),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(701),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(703),
    [anon_sym_DASH] = ACTIONS(703),
    [anon_sym_TILDE] = ACTIONS(705),
    [anon_sym_BANG] = ACTIONS(705),
    [anon_sym_AT] = ACTIONS(707),
    [aux_sym_clone_expression_token1] = ACTIONS(709),
    [aux_sym_print_intrinsic_token1] = ACTIONS(711),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(713),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(5),
  },
  [306] = {
    [sym_text_interpolation] = STATE(306),
    [sym_qualified_name] = STATE(1000),
    [sym__name] = STATE(1631),
    [sym_namespace_name] = STATE(2575),
    [sym_static_modifier] = STATE(2368),
    [sym_anonymous_function] = STATE(1148),
    [sym__anonymous_function_header] = STATE(2489),
    [sym__arrow_function_header] = STATE(2731),
    [sym_arrow_function] = STATE(1148),
    [sym_literal] = STATE(1148),
    [sym_throw_expression] = STATE(1148),
    [sym_match_expression] = STATE(1152),
    [sym_expression] = STATE(1114),
    [sym__unary_expression] = STATE(1159),
    [sym_unary_op_expression] = STATE(1172),
    [sym_error_suppression_expression] = STATE(1152),
    [sym_clone_expression] = STATE(1172),
    [sym_primary_expression] = STATE(1172),
    [sym_parenthesized_expression] = STATE(964),
    [sym_class_constant_access_expression] = STATE(1019),
    [sym_print_intrinsic] = STATE(1148),
    [sym_object_creation_expression] = STATE(1148),
    [sym__new_non_dereferencable_expression] = STATE(1168),
    [sym__new_dereferencable_expression] = STATE(966),
    [sym_update_expression] = STATE(1148),
    [sym_cast_expression] = STATE(1172),
    [sym_cast_variable] = STATE(661),
    [sym_assignment_expression] = STATE(1152),
    [sym_reference_assignment_expression] = STATE(1152),
    [sym_conditional_expression] = STATE(1152),
    [sym_augmented_assignment_expression] = STATE(1152),
    [sym__variable_member_access_expression] = STATE(674),
    [sym_member_access_expression] = STATE(661),
    [sym__variable_nullsafe_member_access_expression] = STATE(663),
    [sym_nullsafe_member_access_expression] = STATE(661),
    [sym__variable_scoped_property_access_expression] = STATE(664),
    [sym_scoped_property_access_expression] = STATE(661),
    [sym_list_literal] = STATE(2530),
    [sym__list_destructing] = STATE(2405),
    [sym__array_destructing] = STATE(2405),
    [sym_function_call_expression] = STATE(634),
    [sym__callable_expression] = STATE(2471),
    [sym_scoped_call_expression] = STATE(634),
    [sym__scope_resolution_qualifier] = STATE(2651),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(634),
    [sym_nullsafe_member_call_expression] = STATE(634),
    [sym__variable_subscript_expression] = STATE(665),
    [sym__dereferencable_subscript_expression] = STATE(634),
    [sym__dereferencable_expression] = STATE(1946),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(1005),
    [sym_attribute_group] = STATE(1373),
    [sym_attribute_list] = STATE(1879),
    [sym_encapsed_string] = STATE(927),
    [sym_string] = STATE(927),
    [sym_heredoc] = STATE(927),
    [sym_nowdoc] = STATE(927),
    [sym_shell_command_expression] = STATE(1148),
    [sym_boolean] = STATE(1162),
    [sym_null] = STATE(1162),
    [sym__string] = STATE(941),
    [sym_dynamic_variable_name] = STATE(650),
    [sym__simple_variable] = STATE(654),
    [sym__new_variable] = STATE(667),
    [sym__callable_variable] = STATE(629),
    [sym_variable_name] = STATE(650),
    [sym_yield_expression] = STATE(1152),
    [sym_binary_expression] = STATE(1152),
    [sym_include_expression] = STATE(1152),
    [sym_include_once_expression] = STATE(1152),
    [sym_require_expression] = STATE(1152),
    [sym_require_once_expression] = STATE(1152),
    [sym__reserved_identifier] = STATE(717),
    [sym__identifier] = STATE(1496),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(689),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LPAREN2] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [sym_float] = ACTIONS(266),
    [sym_integer] = ACTIONS(266),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [307] = {
    [sym_text_interpolation] = STATE(307),
    [sym_qualified_name] = STATE(1000),
    [sym__name] = STATE(1631),
    [sym_namespace_name] = STATE(2575),
    [sym_static_modifier] = STATE(2368),
    [sym_anonymous_function] = STATE(1148),
    [sym__anonymous_function_header] = STATE(2489),
    [sym__arrow_function_header] = STATE(2731),
    [sym_arrow_function] = STATE(1148),
    [sym_literal] = STATE(1148),
    [sym_throw_expression] = STATE(1148),
    [sym_match_expression] = STATE(1152),
    [sym_expression] = STATE(1174),
    [sym__unary_expression] = STATE(1159),
    [sym_unary_op_expression] = STATE(1172),
    [sym_error_suppression_expression] = STATE(1152),
    [sym_clone_expression] = STATE(1172),
    [sym_primary_expression] = STATE(1172),
    [sym_parenthesized_expression] = STATE(964),
    [sym_class_constant_access_expression] = STATE(1019),
    [sym_print_intrinsic] = STATE(1148),
    [sym_object_creation_expression] = STATE(1148),
    [sym__new_non_dereferencable_expression] = STATE(1168),
    [sym__new_dereferencable_expression] = STATE(966),
    [sym_update_expression] = STATE(1148),
    [sym_cast_expression] = STATE(1172),
    [sym_cast_variable] = STATE(661),
    [sym_assignment_expression] = STATE(1152),
    [sym_reference_assignment_expression] = STATE(1152),
    [sym_conditional_expression] = STATE(1152),
    [sym_augmented_assignment_expression] = STATE(1152),
    [sym__variable_member_access_expression] = STATE(674),
    [sym_member_access_expression] = STATE(661),
    [sym__variable_nullsafe_member_access_expression] = STATE(663),
    [sym_nullsafe_member_access_expression] = STATE(661),
    [sym__variable_scoped_property_access_expression] = STATE(664),
    [sym_scoped_property_access_expression] = STATE(661),
    [sym_list_literal] = STATE(2530),
    [sym__list_destructing] = STATE(2405),
    [sym__array_destructing] = STATE(2405),
    [sym_function_call_expression] = STATE(634),
    [sym__callable_expression] = STATE(2471),
    [sym_scoped_call_expression] = STATE(634),
    [sym__scope_resolution_qualifier] = STATE(2651),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(634),
    [sym_nullsafe_member_call_expression] = STATE(634),
    [sym__variable_subscript_expression] = STATE(665),
    [sym__dereferencable_subscript_expression] = STATE(634),
    [sym__dereferencable_expression] = STATE(1946),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(1005),
    [sym_attribute_group] = STATE(1373),
    [sym_attribute_list] = STATE(1879),
    [sym_encapsed_string] = STATE(927),
    [sym_string] = STATE(927),
    [sym_heredoc] = STATE(927),
    [sym_nowdoc] = STATE(927),
    [sym_shell_command_expression] = STATE(1148),
    [sym_boolean] = STATE(1162),
    [sym_null] = STATE(1162),
    [sym__string] = STATE(941),
    [sym_dynamic_variable_name] = STATE(650),
    [sym__simple_variable] = STATE(654),
    [sym__new_variable] = STATE(667),
    [sym__callable_variable] = STATE(629),
    [sym_variable_name] = STATE(650),
    [sym_yield_expression] = STATE(1152),
    [sym_binary_expression] = STATE(1152),
    [sym_include_expression] = STATE(1152),
    [sym_include_once_expression] = STATE(1152),
    [sym_require_expression] = STATE(1152),
    [sym_require_once_expression] = STATE(1152),
    [sym__reserved_identifier] = STATE(717),
    [sym__identifier] = STATE(1496),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(689),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LPAREN2] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [sym_float] = ACTIONS(266),
    [sym_integer] = ACTIONS(266),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [308] = {
    [sym_text_interpolation] = STATE(308),
    [sym_qualified_name] = STATE(1000),
    [sym__name] = STATE(1631),
    [sym_namespace_name] = STATE(2575),
    [sym_static_modifier] = STATE(2368),
    [sym_anonymous_function] = STATE(1148),
    [sym__anonymous_function_header] = STATE(2489),
    [sym__arrow_function_header] = STATE(2731),
    [sym_arrow_function] = STATE(1148),
    [sym_literal] = STATE(1148),
    [sym_throw_expression] = STATE(1148),
    [sym_match_expression] = STATE(1152),
    [sym_expression] = STATE(1089),
    [sym__unary_expression] = STATE(1159),
    [sym_unary_op_expression] = STATE(1172),
    [sym_error_suppression_expression] = STATE(1152),
    [sym_clone_expression] = STATE(1172),
    [sym_primary_expression] = STATE(1172),
    [sym_parenthesized_expression] = STATE(964),
    [sym_class_constant_access_expression] = STATE(1019),
    [sym_print_intrinsic] = STATE(1148),
    [sym_object_creation_expression] = STATE(1148),
    [sym__new_non_dereferencable_expression] = STATE(1168),
    [sym__new_dereferencable_expression] = STATE(966),
    [sym_update_expression] = STATE(1148),
    [sym_cast_expression] = STATE(1172),
    [sym_cast_variable] = STATE(661),
    [sym_assignment_expression] = STATE(1152),
    [sym_reference_assignment_expression] = STATE(1152),
    [sym_conditional_expression] = STATE(1152),
    [sym_augmented_assignment_expression] = STATE(1152),
    [sym__variable_member_access_expression] = STATE(674),
    [sym_member_access_expression] = STATE(661),
    [sym__variable_nullsafe_member_access_expression] = STATE(663),
    [sym_nullsafe_member_access_expression] = STATE(661),
    [sym__variable_scoped_property_access_expression] = STATE(664),
    [sym_scoped_property_access_expression] = STATE(661),
    [sym_list_literal] = STATE(2530),
    [sym__list_destructing] = STATE(2405),
    [sym__array_destructing] = STATE(2405),
    [sym_function_call_expression] = STATE(634),
    [sym__callable_expression] = STATE(2471),
    [sym_scoped_call_expression] = STATE(634),
    [sym__scope_resolution_qualifier] = STATE(2651),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(634),
    [sym_nullsafe_member_call_expression] = STATE(634),
    [sym__variable_subscript_expression] = STATE(665),
    [sym__dereferencable_subscript_expression] = STATE(634),
    [sym__dereferencable_expression] = STATE(1946),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(1005),
    [sym_attribute_group] = STATE(1373),
    [sym_attribute_list] = STATE(1879),
    [sym_encapsed_string] = STATE(927),
    [sym_string] = STATE(927),
    [sym_heredoc] = STATE(927),
    [sym_nowdoc] = STATE(927),
    [sym_shell_command_expression] = STATE(1148),
    [sym_boolean] = STATE(1162),
    [sym_null] = STATE(1162),
    [sym__string] = STATE(941),
    [sym_dynamic_variable_name] = STATE(650),
    [sym__simple_variable] = STATE(654),
    [sym__new_variable] = STATE(667),
    [sym__callable_variable] = STATE(629),
    [sym_variable_name] = STATE(650),
    [sym_yield_expression] = STATE(1152),
    [sym_binary_expression] = STATE(1152),
    [sym_include_expression] = STATE(1152),
    [sym_include_once_expression] = STATE(1152),
    [sym_require_expression] = STATE(1152),
    [sym_require_once_expression] = STATE(1152),
    [sym__reserved_identifier] = STATE(717),
    [sym__identifier] = STATE(1496),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(689),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LPAREN2] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [sym_float] = ACTIONS(266),
    [sym_integer] = ACTIONS(266),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [309] = {
    [sym_text_interpolation] = STATE(309),
    [sym_qualified_name] = STATE(1000),
    [sym__name] = STATE(1631),
    [sym_namespace_name] = STATE(2575),
    [sym_static_modifier] = STATE(2368),
    [sym_anonymous_function] = STATE(1148),
    [sym__anonymous_function_header] = STATE(2489),
    [sym__arrow_function_header] = STATE(2731),
    [sym_arrow_function] = STATE(1148),
    [sym_literal] = STATE(1148),
    [sym_throw_expression] = STATE(1148),
    [sym_match_expression] = STATE(1152),
    [sym_expression] = STATE(1129),
    [sym__unary_expression] = STATE(1159),
    [sym_unary_op_expression] = STATE(1172),
    [sym_error_suppression_expression] = STATE(1152),
    [sym_clone_expression] = STATE(1172),
    [sym_primary_expression] = STATE(1172),
    [sym_parenthesized_expression] = STATE(964),
    [sym_class_constant_access_expression] = STATE(1019),
    [sym_print_intrinsic] = STATE(1148),
    [sym_object_creation_expression] = STATE(1148),
    [sym__new_non_dereferencable_expression] = STATE(1168),
    [sym__new_dereferencable_expression] = STATE(966),
    [sym_update_expression] = STATE(1148),
    [sym_cast_expression] = STATE(1172),
    [sym_cast_variable] = STATE(661),
    [sym_assignment_expression] = STATE(1152),
    [sym_reference_assignment_expression] = STATE(1152),
    [sym_conditional_expression] = STATE(1152),
    [sym_augmented_assignment_expression] = STATE(1152),
    [sym__variable_member_access_expression] = STATE(674),
    [sym_member_access_expression] = STATE(661),
    [sym__variable_nullsafe_member_access_expression] = STATE(663),
    [sym_nullsafe_member_access_expression] = STATE(661),
    [sym__variable_scoped_property_access_expression] = STATE(664),
    [sym_scoped_property_access_expression] = STATE(661),
    [sym_list_literal] = STATE(2530),
    [sym__list_destructing] = STATE(2405),
    [sym__array_destructing] = STATE(2405),
    [sym_function_call_expression] = STATE(634),
    [sym__callable_expression] = STATE(2471),
    [sym_scoped_call_expression] = STATE(634),
    [sym__scope_resolution_qualifier] = STATE(2651),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(634),
    [sym_nullsafe_member_call_expression] = STATE(634),
    [sym__variable_subscript_expression] = STATE(665),
    [sym__dereferencable_subscript_expression] = STATE(634),
    [sym__dereferencable_expression] = STATE(1946),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(1005),
    [sym_attribute_group] = STATE(1373),
    [sym_attribute_list] = STATE(1879),
    [sym_encapsed_string] = STATE(927),
    [sym_string] = STATE(927),
    [sym_heredoc] = STATE(927),
    [sym_nowdoc] = STATE(927),
    [sym_shell_command_expression] = STATE(1148),
    [sym_boolean] = STATE(1162),
    [sym_null] = STATE(1162),
    [sym__string] = STATE(941),
    [sym_dynamic_variable_name] = STATE(650),
    [sym__simple_variable] = STATE(654),
    [sym__new_variable] = STATE(667),
    [sym__callable_variable] = STATE(629),
    [sym_variable_name] = STATE(650),
    [sym_yield_expression] = STATE(1152),
    [sym_binary_expression] = STATE(1152),
    [sym_include_expression] = STATE(1152),
    [sym_include_once_expression] = STATE(1152),
    [sym_require_expression] = STATE(1152),
    [sym_require_once_expression] = STATE(1152),
    [sym__reserved_identifier] = STATE(717),
    [sym__identifier] = STATE(1496),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(689),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LPAREN2] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [sym_float] = ACTIONS(266),
    [sym_integer] = ACTIONS(266),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [310] = {
    [sym_text_interpolation] = STATE(310),
    [sym_qualified_name] = STATE(810),
    [sym__name] = STATE(1626),
    [sym_namespace_name] = STATE(2507),
    [sym_static_modifier] = STATE(2368),
    [sym_anonymous_function] = STATE(1039),
    [sym__anonymous_function_header] = STATE(2318),
    [sym__arrow_function_header] = STATE(2679),
    [sym_arrow_function] = STATE(1039),
    [sym_literal] = STATE(1039),
    [sym_throw_expression] = STATE(1039),
    [sym_match_expression] = STATE(1026),
    [sym_expression] = STATE(1305),
    [sym__unary_expression] = STATE(1010),
    [sym_unary_op_expression] = STATE(1022),
    [sym_error_suppression_expression] = STATE(1026),
    [sym_clone_expression] = STATE(1022),
    [sym_primary_expression] = STATE(1022),
    [sym_parenthesized_expression] = STATE(811),
    [sym_class_constant_access_expression] = STATE(859),
    [sym_print_intrinsic] = STATE(1039),
    [sym_object_creation_expression] = STATE(1039),
    [sym__new_non_dereferencable_expression] = STATE(1009),
    [sym__new_dereferencable_expression] = STATE(842),
    [sym_update_expression] = STATE(1039),
    [sym_cast_expression] = STATE(1022),
    [sym_cast_variable] = STATE(630),
    [sym_assignment_expression] = STATE(1026),
    [sym_reference_assignment_expression] = STATE(1026),
    [sym_conditional_expression] = STATE(1026),
    [sym_augmented_assignment_expression] = STATE(1026),
    [sym__variable_member_access_expression] = STATE(613),
    [sym_member_access_expression] = STATE(630),
    [sym__variable_nullsafe_member_access_expression] = STATE(619),
    [sym_nullsafe_member_access_expression] = STATE(630),
    [sym__variable_scoped_property_access_expression] = STATE(602),
    [sym_scoped_property_access_expression] = STATE(630),
    [sym_list_literal] = STATE(2632),
    [sym__list_destructing] = STATE(2405),
    [sym__array_destructing] = STATE(2405),
    [sym_function_call_expression] = STATE(612),
    [sym__callable_expression] = STATE(2324),
    [sym_scoped_call_expression] = STATE(612),
    [sym__scope_resolution_qualifier] = STATE(2522),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(612),
    [sym_nullsafe_member_call_expression] = STATE(612),
    [sym__variable_subscript_expression] = STATE(610),
    [sym__dereferencable_subscript_expression] = STATE(612),
    [sym__dereferencable_expression] = STATE(1948),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(766),
    [sym_attribute_group] = STATE(1373),
    [sym_attribute_list] = STATE(1879),
    [sym_encapsed_string] = STATE(767),
    [sym_string] = STATE(767),
    [sym_heredoc] = STATE(767),
    [sym_nowdoc] = STATE(767),
    [sym_shell_command_expression] = STATE(1039),
    [sym_boolean] = STATE(1036),
    [sym_null] = STATE(1036),
    [sym__string] = STATE(768),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(595),
    [sym__new_variable] = STATE(653),
    [sym__callable_variable] = STATE(623),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1026),
    [sym_binary_expression] = STATE(1026),
    [sym_include_expression] = STATE(1026),
    [sym_include_once_expression] = STATE(1026),
    [sym_require_expression] = STATE(1026),
    [sym_require_once_expression] = STATE(1026),
    [sym__reserved_identifier] = STATE(717),
    [sym__identifier] = STATE(1496),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(605),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(613),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(617),
    [anon_sym_DASH] = ACTIONS(617),
    [anon_sym_TILDE] = ACTIONS(619),
    [anon_sym_BANG] = ACTIONS(619),
    [anon_sym_AT] = ACTIONS(621),
    [aux_sym_clone_expression_token1] = ACTIONS(623),
    [aux_sym_print_intrinsic_token1] = ACTIONS(625),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(631),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(647),
    [aux_sym_include_expression_token1] = ACTIONS(651),
    [aux_sym_include_once_expression_token1] = ACTIONS(653),
    [aux_sym_require_expression_token1] = ACTIONS(655),
    [aux_sym_require_once_expression_token1] = ACTIONS(657),
    [sym_comment] = ACTIONS(5),
  },
  [311] = {
    [sym_text_interpolation] = STATE(311),
    [sym_qualified_name] = STATE(810),
    [sym__name] = STATE(1626),
    [sym_namespace_name] = STATE(2507),
    [sym_static_modifier] = STATE(2368),
    [sym_anonymous_function] = STATE(1039),
    [sym__anonymous_function_header] = STATE(2318),
    [sym__arrow_function_header] = STATE(2679),
    [sym_arrow_function] = STATE(1039),
    [sym_literal] = STATE(1039),
    [sym_throw_expression] = STATE(1039),
    [sym_match_expression] = STATE(1026),
    [sym_expression] = STATE(1272),
    [sym__unary_expression] = STATE(1010),
    [sym_unary_op_expression] = STATE(1022),
    [sym_error_suppression_expression] = STATE(1026),
    [sym_clone_expression] = STATE(1022),
    [sym_primary_expression] = STATE(1022),
    [sym_parenthesized_expression] = STATE(811),
    [sym_class_constant_access_expression] = STATE(859),
    [sym_print_intrinsic] = STATE(1039),
    [sym_object_creation_expression] = STATE(1039),
    [sym__new_non_dereferencable_expression] = STATE(1009),
    [sym__new_dereferencable_expression] = STATE(842),
    [sym_update_expression] = STATE(1039),
    [sym_cast_expression] = STATE(1022),
    [sym_cast_variable] = STATE(630),
    [sym_assignment_expression] = STATE(1026),
    [sym_reference_assignment_expression] = STATE(1026),
    [sym_conditional_expression] = STATE(1026),
    [sym_augmented_assignment_expression] = STATE(1026),
    [sym__variable_member_access_expression] = STATE(613),
    [sym_member_access_expression] = STATE(630),
    [sym__variable_nullsafe_member_access_expression] = STATE(619),
    [sym_nullsafe_member_access_expression] = STATE(630),
    [sym__variable_scoped_property_access_expression] = STATE(602),
    [sym_scoped_property_access_expression] = STATE(630),
    [sym_list_literal] = STATE(2632),
    [sym__list_destructing] = STATE(2405),
    [sym__array_destructing] = STATE(2405),
    [sym_function_call_expression] = STATE(612),
    [sym__callable_expression] = STATE(2324),
    [sym_scoped_call_expression] = STATE(612),
    [sym__scope_resolution_qualifier] = STATE(2522),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(612),
    [sym_nullsafe_member_call_expression] = STATE(612),
    [sym__variable_subscript_expression] = STATE(610),
    [sym__dereferencable_subscript_expression] = STATE(612),
    [sym__dereferencable_expression] = STATE(1948),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(766),
    [sym_attribute_group] = STATE(1373),
    [sym_attribute_list] = STATE(1879),
    [sym_encapsed_string] = STATE(767),
    [sym_string] = STATE(767),
    [sym_heredoc] = STATE(767),
    [sym_nowdoc] = STATE(767),
    [sym_shell_command_expression] = STATE(1039),
    [sym_boolean] = STATE(1036),
    [sym_null] = STATE(1036),
    [sym__string] = STATE(768),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(595),
    [sym__new_variable] = STATE(653),
    [sym__callable_variable] = STATE(623),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1026),
    [sym_binary_expression] = STATE(1026),
    [sym_include_expression] = STATE(1026),
    [sym_include_once_expression] = STATE(1026),
    [sym_require_expression] = STATE(1026),
    [sym_require_once_expression] = STATE(1026),
    [sym__reserved_identifier] = STATE(717),
    [sym__identifier] = STATE(1496),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(605),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(613),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(617),
    [anon_sym_DASH] = ACTIONS(617),
    [anon_sym_TILDE] = ACTIONS(619),
    [anon_sym_BANG] = ACTIONS(619),
    [anon_sym_AT] = ACTIONS(621),
    [aux_sym_clone_expression_token1] = ACTIONS(623),
    [aux_sym_print_intrinsic_token1] = ACTIONS(625),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(631),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(647),
    [aux_sym_include_expression_token1] = ACTIONS(651),
    [aux_sym_include_once_expression_token1] = ACTIONS(653),
    [aux_sym_require_expression_token1] = ACTIONS(655),
    [aux_sym_require_once_expression_token1] = ACTIONS(657),
    [sym_comment] = ACTIONS(5),
  },
  [312] = {
    [sym_text_interpolation] = STATE(312),
    [sym_qualified_name] = STATE(810),
    [sym__name] = STATE(1626),
    [sym_namespace_name] = STATE(2507),
    [sym_static_modifier] = STATE(2368),
    [sym_anonymous_function] = STATE(1039),
    [sym__anonymous_function_header] = STATE(2318),
    [sym__arrow_function_header] = STATE(2639),
    [sym_arrow_function] = STATE(1039),
    [sym_literal] = STATE(1039),
    [sym_throw_expression] = STATE(1039),
    [sym_match_expression] = STATE(1026),
    [sym_expression] = STATE(1248),
    [sym__unary_expression] = STATE(1010),
    [sym_unary_op_expression] = STATE(1022),
    [sym_error_suppression_expression] = STATE(1026),
    [sym_clone_expression] = STATE(1022),
    [sym_primary_expression] = STATE(1022),
    [sym_parenthesized_expression] = STATE(811),
    [sym_class_constant_access_expression] = STATE(859),
    [sym_print_intrinsic] = STATE(1039),
    [sym_object_creation_expression] = STATE(1039),
    [sym__new_non_dereferencable_expression] = STATE(1009),
    [sym__new_dereferencable_expression] = STATE(842),
    [sym_update_expression] = STATE(1039),
    [sym_cast_expression] = STATE(1022),
    [sym_cast_variable] = STATE(681),
    [sym_assignment_expression] = STATE(1026),
    [sym_reference_assignment_expression] = STATE(1026),
    [sym_conditional_expression] = STATE(1026),
    [sym_augmented_assignment_expression] = STATE(1026),
    [sym__variable_member_access_expression] = STATE(613),
    [sym_member_access_expression] = STATE(681),
    [sym__variable_nullsafe_member_access_expression] = STATE(619),
    [sym_nullsafe_member_access_expression] = STATE(681),
    [sym__variable_scoped_property_access_expression] = STATE(602),
    [sym_scoped_property_access_expression] = STATE(681),
    [sym_list_literal] = STATE(2640),
    [sym__list_destructing] = STATE(2405),
    [sym__array_destructing] = STATE(2405),
    [sym_function_call_expression] = STATE(612),
    [sym__callable_expression] = STATE(2324),
    [sym_scoped_call_expression] = STATE(612),
    [sym__scope_resolution_qualifier] = STATE(2522),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(612),
    [sym_nullsafe_member_call_expression] = STATE(612),
    [sym__variable_subscript_expression] = STATE(610),
    [sym__dereferencable_subscript_expression] = STATE(612),
    [sym__dereferencable_expression] = STATE(1948),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(766),
    [sym_attribute_group] = STATE(1373),
    [sym_attribute_list] = STATE(1879),
    [sym_encapsed_string] = STATE(767),
    [sym_string] = STATE(767),
    [sym_heredoc] = STATE(767),
    [sym_nowdoc] = STATE(767),
    [sym_shell_command_expression] = STATE(1039),
    [sym_boolean] = STATE(1036),
    [sym_null] = STATE(1036),
    [sym__string] = STATE(768),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(595),
    [sym__new_variable] = STATE(683),
    [sym__callable_variable] = STATE(657),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1026),
    [sym_binary_expression] = STATE(1026),
    [sym_include_expression] = STATE(1026),
    [sym_include_once_expression] = STATE(1026),
    [sym_require_expression] = STATE(1026),
    [sym_require_once_expression] = STATE(1026),
    [sym__reserved_identifier] = STATE(717),
    [sym__identifier] = STATE(1496),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(697),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(701),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(703),
    [anon_sym_DASH] = ACTIONS(703),
    [anon_sym_TILDE] = ACTIONS(705),
    [anon_sym_BANG] = ACTIONS(705),
    [anon_sym_AT] = ACTIONS(707),
    [aux_sym_clone_expression_token1] = ACTIONS(709),
    [aux_sym_print_intrinsic_token1] = ACTIONS(711),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(713),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(5),
  },
  [313] = {
    [sym_text_interpolation] = STATE(313),
    [sym_qualified_name] = STATE(1000),
    [sym__name] = STATE(1631),
    [sym_namespace_name] = STATE(2575),
    [sym_static_modifier] = STATE(2368),
    [sym_anonymous_function] = STATE(1148),
    [sym__anonymous_function_header] = STATE(2489),
    [sym__arrow_function_header] = STATE(2731),
    [sym_arrow_function] = STATE(1148),
    [sym_literal] = STATE(1148),
    [sym_throw_expression] = STATE(1148),
    [sym_match_expression] = STATE(1152),
    [sym_expression] = STATE(1115),
    [sym__unary_expression] = STATE(1159),
    [sym_unary_op_expression] = STATE(1172),
    [sym_error_suppression_expression] = STATE(1152),
    [sym_clone_expression] = STATE(1172),
    [sym_primary_expression] = STATE(1172),
    [sym_parenthesized_expression] = STATE(964),
    [sym_class_constant_access_expression] = STATE(1019),
    [sym_print_intrinsic] = STATE(1148),
    [sym_object_creation_expression] = STATE(1148),
    [sym__new_non_dereferencable_expression] = STATE(1168),
    [sym__new_dereferencable_expression] = STATE(966),
    [sym_update_expression] = STATE(1148),
    [sym_cast_expression] = STATE(1172),
    [sym_cast_variable] = STATE(661),
    [sym_assignment_expression] = STATE(1152),
    [sym_reference_assignment_expression] = STATE(1152),
    [sym_conditional_expression] = STATE(1152),
    [sym_augmented_assignment_expression] = STATE(1152),
    [sym__variable_member_access_expression] = STATE(674),
    [sym_member_access_expression] = STATE(661),
    [sym__variable_nullsafe_member_access_expression] = STATE(663),
    [sym_nullsafe_member_access_expression] = STATE(661),
    [sym__variable_scoped_property_access_expression] = STATE(664),
    [sym_scoped_property_access_expression] = STATE(661),
    [sym_list_literal] = STATE(2530),
    [sym__list_destructing] = STATE(2405),
    [sym__array_destructing] = STATE(2405),
    [sym_function_call_expression] = STATE(634),
    [sym__callable_expression] = STATE(2471),
    [sym_scoped_call_expression] = STATE(634),
    [sym__scope_resolution_qualifier] = STATE(2651),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(634),
    [sym_nullsafe_member_call_expression] = STATE(634),
    [sym__variable_subscript_expression] = STATE(665),
    [sym__dereferencable_subscript_expression] = STATE(634),
    [sym__dereferencable_expression] = STATE(1946),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(1005),
    [sym_attribute_group] = STATE(1373),
    [sym_attribute_list] = STATE(1879),
    [sym_encapsed_string] = STATE(927),
    [sym_string] = STATE(927),
    [sym_heredoc] = STATE(927),
    [sym_nowdoc] = STATE(927),
    [sym_shell_command_expression] = STATE(1148),
    [sym_boolean] = STATE(1162),
    [sym_null] = STATE(1162),
    [sym__string] = STATE(941),
    [sym_dynamic_variable_name] = STATE(650),
    [sym__simple_variable] = STATE(654),
    [sym__new_variable] = STATE(667),
    [sym__callable_variable] = STATE(629),
    [sym_variable_name] = STATE(650),
    [sym_yield_expression] = STATE(1152),
    [sym_binary_expression] = STATE(1152),
    [sym_include_expression] = STATE(1152),
    [sym_include_once_expression] = STATE(1152),
    [sym_require_expression] = STATE(1152),
    [sym_require_once_expression] = STATE(1152),
    [sym__reserved_identifier] = STATE(717),
    [sym__identifier] = STATE(1496),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(689),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LPAREN2] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [sym_float] = ACTIONS(266),
    [sym_integer] = ACTIONS(266),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [314] = {
    [sym_text_interpolation] = STATE(314),
    [sym_qualified_name] = STATE(810),
    [sym__name] = STATE(1626),
    [sym_namespace_name] = STATE(2507),
    [sym_static_modifier] = STATE(2368),
    [sym_anonymous_function] = STATE(1039),
    [sym__anonymous_function_header] = STATE(2318),
    [sym__arrow_function_header] = STATE(2679),
    [sym_arrow_function] = STATE(1039),
    [sym_literal] = STATE(1039),
    [sym_throw_expression] = STATE(1039),
    [sym_match_expression] = STATE(1026),
    [sym_expression] = STATE(1306),
    [sym__unary_expression] = STATE(1010),
    [sym_unary_op_expression] = STATE(1022),
    [sym_error_suppression_expression] = STATE(1026),
    [sym_clone_expression] = STATE(1022),
    [sym_primary_expression] = STATE(1022),
    [sym_parenthesized_expression] = STATE(811),
    [sym_class_constant_access_expression] = STATE(859),
    [sym_print_intrinsic] = STATE(1039),
    [sym_object_creation_expression] = STATE(1039),
    [sym__new_non_dereferencable_expression] = STATE(1009),
    [sym__new_dereferencable_expression] = STATE(842),
    [sym_update_expression] = STATE(1039),
    [sym_cast_expression] = STATE(1022),
    [sym_cast_variable] = STATE(630),
    [sym_assignment_expression] = STATE(1026),
    [sym_reference_assignment_expression] = STATE(1026),
    [sym_conditional_expression] = STATE(1026),
    [sym_augmented_assignment_expression] = STATE(1026),
    [sym__variable_member_access_expression] = STATE(613),
    [sym_member_access_expression] = STATE(630),
    [sym__variable_nullsafe_member_access_expression] = STATE(619),
    [sym_nullsafe_member_access_expression] = STATE(630),
    [sym__variable_scoped_property_access_expression] = STATE(602),
    [sym_scoped_property_access_expression] = STATE(630),
    [sym_list_literal] = STATE(2632),
    [sym__list_destructing] = STATE(2405),
    [sym__array_destructing] = STATE(2405),
    [sym_function_call_expression] = STATE(612),
    [sym__callable_expression] = STATE(2324),
    [sym_scoped_call_expression] = STATE(612),
    [sym__scope_resolution_qualifier] = STATE(2522),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(612),
    [sym_nullsafe_member_call_expression] = STATE(612),
    [sym__variable_subscript_expression] = STATE(610),
    [sym__dereferencable_subscript_expression] = STATE(612),
    [sym__dereferencable_expression] = STATE(1948),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(766),
    [sym_attribute_group] = STATE(1373),
    [sym_attribute_list] = STATE(1879),
    [sym_encapsed_string] = STATE(767),
    [sym_string] = STATE(767),
    [sym_heredoc] = STATE(767),
    [sym_nowdoc] = STATE(767),
    [sym_shell_command_expression] = STATE(1039),
    [sym_boolean] = STATE(1036),
    [sym_null] = STATE(1036),
    [sym__string] = STATE(768),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(595),
    [sym__new_variable] = STATE(653),
    [sym__callable_variable] = STATE(623),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1026),
    [sym_binary_expression] = STATE(1026),
    [sym_include_expression] = STATE(1026),
    [sym_include_once_expression] = STATE(1026),
    [sym_require_expression] = STATE(1026),
    [sym_require_once_expression] = STATE(1026),
    [sym__reserved_identifier] = STATE(717),
    [sym__identifier] = STATE(1496),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(605),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(613),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(617),
    [anon_sym_DASH] = ACTIONS(617),
    [anon_sym_TILDE] = ACTIONS(619),
    [anon_sym_BANG] = ACTIONS(619),
    [anon_sym_AT] = ACTIONS(621),
    [aux_sym_clone_expression_token1] = ACTIONS(623),
    [aux_sym_print_intrinsic_token1] = ACTIONS(625),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(631),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(647),
    [aux_sym_include_expression_token1] = ACTIONS(651),
    [aux_sym_include_once_expression_token1] = ACTIONS(653),
    [aux_sym_require_expression_token1] = ACTIONS(655),
    [aux_sym_require_once_expression_token1] = ACTIONS(657),
    [sym_comment] = ACTIONS(5),
  },
  [315] = {
    [sym_text_interpolation] = STATE(315),
    [sym_qualified_name] = STATE(1000),
    [sym__name] = STATE(1631),
    [sym_namespace_name] = STATE(2575),
    [sym_static_modifier] = STATE(2368),
    [sym_anonymous_function] = STATE(1148),
    [sym__anonymous_function_header] = STATE(2489),
    [sym__arrow_function_header] = STATE(2731),
    [sym_arrow_function] = STATE(1148),
    [sym_literal] = STATE(1148),
    [sym_throw_expression] = STATE(1148),
    [sym_match_expression] = STATE(1152),
    [sym_expression] = STATE(1116),
    [sym__unary_expression] = STATE(1159),
    [sym_unary_op_expression] = STATE(1172),
    [sym_error_suppression_expression] = STATE(1152),
    [sym_clone_expression] = STATE(1172),
    [sym_primary_expression] = STATE(1172),
    [sym_parenthesized_expression] = STATE(964),
    [sym_class_constant_access_expression] = STATE(1019),
    [sym_print_intrinsic] = STATE(1148),
    [sym_object_creation_expression] = STATE(1148),
    [sym__new_non_dereferencable_expression] = STATE(1168),
    [sym__new_dereferencable_expression] = STATE(966),
    [sym_update_expression] = STATE(1148),
    [sym_cast_expression] = STATE(1172),
    [sym_cast_variable] = STATE(661),
    [sym_assignment_expression] = STATE(1152),
    [sym_reference_assignment_expression] = STATE(1152),
    [sym_conditional_expression] = STATE(1152),
    [sym_augmented_assignment_expression] = STATE(1152),
    [sym__variable_member_access_expression] = STATE(674),
    [sym_member_access_expression] = STATE(661),
    [sym__variable_nullsafe_member_access_expression] = STATE(663),
    [sym_nullsafe_member_access_expression] = STATE(661),
    [sym__variable_scoped_property_access_expression] = STATE(664),
    [sym_scoped_property_access_expression] = STATE(661),
    [sym_list_literal] = STATE(2530),
    [sym__list_destructing] = STATE(2405),
    [sym__array_destructing] = STATE(2405),
    [sym_function_call_expression] = STATE(634),
    [sym__callable_expression] = STATE(2471),
    [sym_scoped_call_expression] = STATE(634),
    [sym__scope_resolution_qualifier] = STATE(2651),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(634),
    [sym_nullsafe_member_call_expression] = STATE(634),
    [sym__variable_subscript_expression] = STATE(665),
    [sym__dereferencable_subscript_expression] = STATE(634),
    [sym__dereferencable_expression] = STATE(1946),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(1005),
    [sym_attribute_group] = STATE(1373),
    [sym_attribute_list] = STATE(1879),
    [sym_encapsed_string] = STATE(927),
    [sym_string] = STATE(927),
    [sym_heredoc] = STATE(927),
    [sym_nowdoc] = STATE(927),
    [sym_shell_command_expression] = STATE(1148),
    [sym_boolean] = STATE(1162),
    [sym_null] = STATE(1162),
    [sym__string] = STATE(941),
    [sym_dynamic_variable_name] = STATE(650),
    [sym__simple_variable] = STATE(654),
    [sym__new_variable] = STATE(667),
    [sym__callable_variable] = STATE(629),
    [sym_variable_name] = STATE(650),
    [sym_yield_expression] = STATE(1152),
    [sym_binary_expression] = STATE(1152),
    [sym_include_expression] = STATE(1152),
    [sym_include_once_expression] = STATE(1152),
    [sym_require_expression] = STATE(1152),
    [sym_require_once_expression] = STATE(1152),
    [sym__reserved_identifier] = STATE(717),
    [sym__identifier] = STATE(1496),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(689),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LPAREN2] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [sym_float] = ACTIONS(266),
    [sym_integer] = ACTIONS(266),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [316] = {
    [sym_text_interpolation] = STATE(316),
    [sym_qualified_name] = STATE(1000),
    [sym__name] = STATE(1631),
    [sym_namespace_name] = STATE(2575),
    [sym_static_modifier] = STATE(2368),
    [sym_anonymous_function] = STATE(1148),
    [sym__anonymous_function_header] = STATE(2489),
    [sym__arrow_function_header] = STATE(2731),
    [sym_arrow_function] = STATE(1148),
    [sym_literal] = STATE(1148),
    [sym_throw_expression] = STATE(1148),
    [sym_match_expression] = STATE(1152),
    [sym_expression] = STATE(1156),
    [sym__unary_expression] = STATE(1159),
    [sym_unary_op_expression] = STATE(1172),
    [sym_error_suppression_expression] = STATE(1152),
    [sym_clone_expression] = STATE(1172),
    [sym_primary_expression] = STATE(1172),
    [sym_parenthesized_expression] = STATE(964),
    [sym_class_constant_access_expression] = STATE(1019),
    [sym_print_intrinsic] = STATE(1148),
    [sym_object_creation_expression] = STATE(1148),
    [sym__new_non_dereferencable_expression] = STATE(1168),
    [sym__new_dereferencable_expression] = STATE(966),
    [sym_update_expression] = STATE(1148),
    [sym_cast_expression] = STATE(1172),
    [sym_cast_variable] = STATE(661),
    [sym_assignment_expression] = STATE(1152),
    [sym_reference_assignment_expression] = STATE(1152),
    [sym_conditional_expression] = STATE(1152),
    [sym_augmented_assignment_expression] = STATE(1152),
    [sym__variable_member_access_expression] = STATE(674),
    [sym_member_access_expression] = STATE(661),
    [sym__variable_nullsafe_member_access_expression] = STATE(663),
    [sym_nullsafe_member_access_expression] = STATE(661),
    [sym__variable_scoped_property_access_expression] = STATE(664),
    [sym_scoped_property_access_expression] = STATE(661),
    [sym_list_literal] = STATE(2530),
    [sym__list_destructing] = STATE(2405),
    [sym__array_destructing] = STATE(2405),
    [sym_function_call_expression] = STATE(634),
    [sym__callable_expression] = STATE(2471),
    [sym_scoped_call_expression] = STATE(634),
    [sym__scope_resolution_qualifier] = STATE(2651),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(634),
    [sym_nullsafe_member_call_expression] = STATE(634),
    [sym__variable_subscript_expression] = STATE(665),
    [sym__dereferencable_subscript_expression] = STATE(634),
    [sym__dereferencable_expression] = STATE(1946),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(1005),
    [sym_attribute_group] = STATE(1373),
    [sym_attribute_list] = STATE(1879),
    [sym_encapsed_string] = STATE(927),
    [sym_string] = STATE(927),
    [sym_heredoc] = STATE(927),
    [sym_nowdoc] = STATE(927),
    [sym_shell_command_expression] = STATE(1148),
    [sym_boolean] = STATE(1162),
    [sym_null] = STATE(1162),
    [sym__string] = STATE(941),
    [sym_dynamic_variable_name] = STATE(650),
    [sym__simple_variable] = STATE(654),
    [sym__new_variable] = STATE(667),
    [sym__callable_variable] = STATE(629),
    [sym_variable_name] = STATE(650),
    [sym_yield_expression] = STATE(1152),
    [sym_binary_expression] = STATE(1152),
    [sym_include_expression] = STATE(1152),
    [sym_include_once_expression] = STATE(1152),
    [sym_require_expression] = STATE(1152),
    [sym_require_once_expression] = STATE(1152),
    [sym__reserved_identifier] = STATE(717),
    [sym__identifier] = STATE(1496),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(689),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LPAREN2] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [sym_float] = ACTIONS(266),
    [sym_integer] = ACTIONS(266),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [317] = {
    [sym_text_interpolation] = STATE(317),
    [sym_qualified_name] = STATE(810),
    [sym__name] = STATE(1626),
    [sym_namespace_name] = STATE(2507),
    [sym_static_modifier] = STATE(2368),
    [sym_anonymous_function] = STATE(1039),
    [sym__anonymous_function_header] = STATE(2318),
    [sym__arrow_function_header] = STATE(2679),
    [sym_arrow_function] = STATE(1039),
    [sym_literal] = STATE(1039),
    [sym_throw_expression] = STATE(1039),
    [sym_match_expression] = STATE(1026),
    [sym_expression] = STATE(1255),
    [sym__unary_expression] = STATE(1010),
    [sym_unary_op_expression] = STATE(1022),
    [sym_error_suppression_expression] = STATE(1026),
    [sym_clone_expression] = STATE(1022),
    [sym_primary_expression] = STATE(1022),
    [sym_parenthesized_expression] = STATE(811),
    [sym_class_constant_access_expression] = STATE(859),
    [sym_print_intrinsic] = STATE(1039),
    [sym_object_creation_expression] = STATE(1039),
    [sym__new_non_dereferencable_expression] = STATE(1009),
    [sym__new_dereferencable_expression] = STATE(842),
    [sym_update_expression] = STATE(1039),
    [sym_cast_expression] = STATE(1022),
    [sym_cast_variable] = STATE(630),
    [sym_assignment_expression] = STATE(1026),
    [sym_reference_assignment_expression] = STATE(1026),
    [sym_conditional_expression] = STATE(1026),
    [sym_augmented_assignment_expression] = STATE(1026),
    [sym__variable_member_access_expression] = STATE(613),
    [sym_member_access_expression] = STATE(630),
    [sym__variable_nullsafe_member_access_expression] = STATE(619),
    [sym_nullsafe_member_access_expression] = STATE(630),
    [sym__variable_scoped_property_access_expression] = STATE(602),
    [sym_scoped_property_access_expression] = STATE(630),
    [sym_list_literal] = STATE(2632),
    [sym__list_destructing] = STATE(2405),
    [sym__array_destructing] = STATE(2405),
    [sym_function_call_expression] = STATE(612),
    [sym__callable_expression] = STATE(2324),
    [sym_scoped_call_expression] = STATE(612),
    [sym__scope_resolution_qualifier] = STATE(2522),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(612),
    [sym_nullsafe_member_call_expression] = STATE(612),
    [sym__variable_subscript_expression] = STATE(610),
    [sym__dereferencable_subscript_expression] = STATE(612),
    [sym__dereferencable_expression] = STATE(1948),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(766),
    [sym_attribute_group] = STATE(1373),
    [sym_attribute_list] = STATE(1879),
    [sym_encapsed_string] = STATE(767),
    [sym_string] = STATE(767),
    [sym_heredoc] = STATE(767),
    [sym_nowdoc] = STATE(767),
    [sym_shell_command_expression] = STATE(1039),
    [sym_boolean] = STATE(1036),
    [sym_null] = STATE(1036),
    [sym__string] = STATE(768),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(595),
    [sym__new_variable] = STATE(653),
    [sym__callable_variable] = STATE(623),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1026),
    [sym_binary_expression] = STATE(1026),
    [sym_include_expression] = STATE(1026),
    [sym_include_once_expression] = STATE(1026),
    [sym_require_expression] = STATE(1026),
    [sym_require_once_expression] = STATE(1026),
    [sym__reserved_identifier] = STATE(717),
    [sym__identifier] = STATE(1496),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(605),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(613),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(617),
    [anon_sym_DASH] = ACTIONS(617),
    [anon_sym_TILDE] = ACTIONS(619),
    [anon_sym_BANG] = ACTIONS(619),
    [anon_sym_AT] = ACTIONS(621),
    [aux_sym_clone_expression_token1] = ACTIONS(623),
    [aux_sym_print_intrinsic_token1] = ACTIONS(625),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(631),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(647),
    [aux_sym_include_expression_token1] = ACTIONS(651),
    [aux_sym_include_once_expression_token1] = ACTIONS(653),
    [aux_sym_require_expression_token1] = ACTIONS(655),
    [aux_sym_require_once_expression_token1] = ACTIONS(657),
    [sym_comment] = ACTIONS(5),
  },
  [318] = {
    [sym_text_interpolation] = STATE(318),
    [sym_qualified_name] = STATE(1000),
    [sym__name] = STATE(1631),
    [sym_namespace_name] = STATE(2575),
    [sym_static_modifier] = STATE(2368),
    [sym_anonymous_function] = STATE(1148),
    [sym__anonymous_function_header] = STATE(2489),
    [sym__arrow_function_header] = STATE(2731),
    [sym_arrow_function] = STATE(1148),
    [sym_literal] = STATE(1148),
    [sym_throw_expression] = STATE(1148),
    [sym_match_expression] = STATE(1152),
    [sym_expression] = STATE(1117),
    [sym__unary_expression] = STATE(1159),
    [sym_unary_op_expression] = STATE(1172),
    [sym_error_suppression_expression] = STATE(1152),
    [sym_clone_expression] = STATE(1172),
    [sym_primary_expression] = STATE(1172),
    [sym_parenthesized_expression] = STATE(964),
    [sym_class_constant_access_expression] = STATE(1019),
    [sym_print_intrinsic] = STATE(1148),
    [sym_object_creation_expression] = STATE(1148),
    [sym__new_non_dereferencable_expression] = STATE(1168),
    [sym__new_dereferencable_expression] = STATE(966),
    [sym_update_expression] = STATE(1148),
    [sym_cast_expression] = STATE(1172),
    [sym_cast_variable] = STATE(661),
    [sym_assignment_expression] = STATE(1152),
    [sym_reference_assignment_expression] = STATE(1152),
    [sym_conditional_expression] = STATE(1152),
    [sym_augmented_assignment_expression] = STATE(1152),
    [sym__variable_member_access_expression] = STATE(674),
    [sym_member_access_expression] = STATE(661),
    [sym__variable_nullsafe_member_access_expression] = STATE(663),
    [sym_nullsafe_member_access_expression] = STATE(661),
    [sym__variable_scoped_property_access_expression] = STATE(664),
    [sym_scoped_property_access_expression] = STATE(661),
    [sym_list_literal] = STATE(2530),
    [sym__list_destructing] = STATE(2405),
    [sym__array_destructing] = STATE(2405),
    [sym_function_call_expression] = STATE(634),
    [sym__callable_expression] = STATE(2471),
    [sym_scoped_call_expression] = STATE(634),
    [sym__scope_resolution_qualifier] = STATE(2651),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(634),
    [sym_nullsafe_member_call_expression] = STATE(634),
    [sym__variable_subscript_expression] = STATE(665),
    [sym__dereferencable_subscript_expression] = STATE(634),
    [sym__dereferencable_expression] = STATE(1946),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(1005),
    [sym_attribute_group] = STATE(1373),
    [sym_attribute_list] = STATE(1879),
    [sym_encapsed_string] = STATE(927),
    [sym_string] = STATE(927),
    [sym_heredoc] = STATE(927),
    [sym_nowdoc] = STATE(927),
    [sym_shell_command_expression] = STATE(1148),
    [sym_boolean] = STATE(1162),
    [sym_null] = STATE(1162),
    [sym__string] = STATE(941),
    [sym_dynamic_variable_name] = STATE(650),
    [sym__simple_variable] = STATE(654),
    [sym__new_variable] = STATE(667),
    [sym__callable_variable] = STATE(629),
    [sym_variable_name] = STATE(650),
    [sym_yield_expression] = STATE(1152),
    [sym_binary_expression] = STATE(1152),
    [sym_include_expression] = STATE(1152),
    [sym_include_once_expression] = STATE(1152),
    [sym_require_expression] = STATE(1152),
    [sym_require_once_expression] = STATE(1152),
    [sym__reserved_identifier] = STATE(717),
    [sym__identifier] = STATE(1496),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(689),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LPAREN2] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [sym_float] = ACTIONS(266),
    [sym_integer] = ACTIONS(266),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [319] = {
    [sym_text_interpolation] = STATE(319),
    [sym_qualified_name] = STATE(1000),
    [sym__name] = STATE(1631),
    [sym_namespace_name] = STATE(2575),
    [sym_static_modifier] = STATE(2368),
    [sym_anonymous_function] = STATE(1148),
    [sym__anonymous_function_header] = STATE(2489),
    [sym__arrow_function_header] = STATE(2731),
    [sym_arrow_function] = STATE(1148),
    [sym_literal] = STATE(1148),
    [sym_throw_expression] = STATE(1148),
    [sym_match_expression] = STATE(1152),
    [sym_expression] = STATE(1118),
    [sym__unary_expression] = STATE(1159),
    [sym_unary_op_expression] = STATE(1172),
    [sym_error_suppression_expression] = STATE(1152),
    [sym_clone_expression] = STATE(1172),
    [sym_primary_expression] = STATE(1172),
    [sym_parenthesized_expression] = STATE(964),
    [sym_class_constant_access_expression] = STATE(1019),
    [sym_print_intrinsic] = STATE(1148),
    [sym_object_creation_expression] = STATE(1148),
    [sym__new_non_dereferencable_expression] = STATE(1168),
    [sym__new_dereferencable_expression] = STATE(966),
    [sym_update_expression] = STATE(1148),
    [sym_cast_expression] = STATE(1172),
    [sym_cast_variable] = STATE(661),
    [sym_assignment_expression] = STATE(1152),
    [sym_reference_assignment_expression] = STATE(1152),
    [sym_conditional_expression] = STATE(1152),
    [sym_augmented_assignment_expression] = STATE(1152),
    [sym__variable_member_access_expression] = STATE(674),
    [sym_member_access_expression] = STATE(661),
    [sym__variable_nullsafe_member_access_expression] = STATE(663),
    [sym_nullsafe_member_access_expression] = STATE(661),
    [sym__variable_scoped_property_access_expression] = STATE(664),
    [sym_scoped_property_access_expression] = STATE(661),
    [sym_list_literal] = STATE(2530),
    [sym__list_destructing] = STATE(2405),
    [sym__array_destructing] = STATE(2405),
    [sym_function_call_expression] = STATE(634),
    [sym__callable_expression] = STATE(2471),
    [sym_scoped_call_expression] = STATE(634),
    [sym__scope_resolution_qualifier] = STATE(2651),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(634),
    [sym_nullsafe_member_call_expression] = STATE(634),
    [sym__variable_subscript_expression] = STATE(665),
    [sym__dereferencable_subscript_expression] = STATE(634),
    [sym__dereferencable_expression] = STATE(1946),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(1005),
    [sym_attribute_group] = STATE(1373),
    [sym_attribute_list] = STATE(1879),
    [sym_encapsed_string] = STATE(927),
    [sym_string] = STATE(927),
    [sym_heredoc] = STATE(927),
    [sym_nowdoc] = STATE(927),
    [sym_shell_command_expression] = STATE(1148),
    [sym_boolean] = STATE(1162),
    [sym_null] = STATE(1162),
    [sym__string] = STATE(941),
    [sym_dynamic_variable_name] = STATE(650),
    [sym__simple_variable] = STATE(654),
    [sym__new_variable] = STATE(667),
    [sym__callable_variable] = STATE(629),
    [sym_variable_name] = STATE(650),
    [sym_yield_expression] = STATE(1152),
    [sym_binary_expression] = STATE(1152),
    [sym_include_expression] = STATE(1152),
    [sym_include_once_expression] = STATE(1152),
    [sym_require_expression] = STATE(1152),
    [sym_require_once_expression] = STATE(1152),
    [sym__reserved_identifier] = STATE(717),
    [sym__identifier] = STATE(1496),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(689),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LPAREN2] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [sym_float] = ACTIONS(266),
    [sym_integer] = ACTIONS(266),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [320] = {
    [sym_text_interpolation] = STATE(320),
    [sym_qualified_name] = STATE(1000),
    [sym__name] = STATE(1631),
    [sym_namespace_name] = STATE(2575),
    [sym_static_modifier] = STATE(2368),
    [sym_anonymous_function] = STATE(1148),
    [sym__anonymous_function_header] = STATE(2489),
    [sym__arrow_function_header] = STATE(2731),
    [sym_arrow_function] = STATE(1148),
    [sym_literal] = STATE(1148),
    [sym_throw_expression] = STATE(1148),
    [sym_match_expression] = STATE(1152),
    [sym_expression] = STATE(1108),
    [sym__unary_expression] = STATE(1159),
    [sym_unary_op_expression] = STATE(1172),
    [sym_error_suppression_expression] = STATE(1152),
    [sym_clone_expression] = STATE(1172),
    [sym_primary_expression] = STATE(1172),
    [sym_parenthesized_expression] = STATE(964),
    [sym_class_constant_access_expression] = STATE(1019),
    [sym_print_intrinsic] = STATE(1148),
    [sym_object_creation_expression] = STATE(1148),
    [sym__new_non_dereferencable_expression] = STATE(1168),
    [sym__new_dereferencable_expression] = STATE(966),
    [sym_update_expression] = STATE(1148),
    [sym_cast_expression] = STATE(1172),
    [sym_cast_variable] = STATE(661),
    [sym_assignment_expression] = STATE(1152),
    [sym_reference_assignment_expression] = STATE(1152),
    [sym_conditional_expression] = STATE(1152),
    [sym_augmented_assignment_expression] = STATE(1152),
    [sym__variable_member_access_expression] = STATE(674),
    [sym_member_access_expression] = STATE(661),
    [sym__variable_nullsafe_member_access_expression] = STATE(663),
    [sym_nullsafe_member_access_expression] = STATE(661),
    [sym__variable_scoped_property_access_expression] = STATE(664),
    [sym_scoped_property_access_expression] = STATE(661),
    [sym_list_literal] = STATE(2530),
    [sym__list_destructing] = STATE(2405),
    [sym__array_destructing] = STATE(2405),
    [sym_function_call_expression] = STATE(634),
    [sym__callable_expression] = STATE(2471),
    [sym_scoped_call_expression] = STATE(634),
    [sym__scope_resolution_qualifier] = STATE(2651),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(634),
    [sym_nullsafe_member_call_expression] = STATE(634),
    [sym__variable_subscript_expression] = STATE(665),
    [sym__dereferencable_subscript_expression] = STATE(634),
    [sym__dereferencable_expression] = STATE(1946),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(1005),
    [sym_attribute_group] = STATE(1373),
    [sym_attribute_list] = STATE(1879),
    [sym_encapsed_string] = STATE(927),
    [sym_string] = STATE(927),
    [sym_heredoc] = STATE(927),
    [sym_nowdoc] = STATE(927),
    [sym_shell_command_expression] = STATE(1148),
    [sym_boolean] = STATE(1162),
    [sym_null] = STATE(1162),
    [sym__string] = STATE(941),
    [sym_dynamic_variable_name] = STATE(650),
    [sym__simple_variable] = STATE(654),
    [sym__new_variable] = STATE(667),
    [sym__callable_variable] = STATE(629),
    [sym_variable_name] = STATE(650),
    [sym_yield_expression] = STATE(1152),
    [sym_binary_expression] = STATE(1152),
    [sym_include_expression] = STATE(1152),
    [sym_include_once_expression] = STATE(1152),
    [sym_require_expression] = STATE(1152),
    [sym_require_once_expression] = STATE(1152),
    [sym__reserved_identifier] = STATE(717),
    [sym__identifier] = STATE(1496),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(689),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LPAREN2] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [sym_float] = ACTIONS(266),
    [sym_integer] = ACTIONS(266),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [321] = {
    [sym_text_interpolation] = STATE(321),
    [sym_qualified_name] = STATE(810),
    [sym__name] = STATE(1626),
    [sym_namespace_name] = STATE(2507),
    [sym_static_modifier] = STATE(2368),
    [sym_anonymous_function] = STATE(1039),
    [sym__anonymous_function_header] = STATE(2318),
    [sym__arrow_function_header] = STATE(2679),
    [sym_arrow_function] = STATE(1039),
    [sym_literal] = STATE(1039),
    [sym_throw_expression] = STATE(1039),
    [sym_match_expression] = STATE(1026),
    [sym_expression] = STATE(1321),
    [sym__unary_expression] = STATE(1010),
    [sym_unary_op_expression] = STATE(1022),
    [sym_error_suppression_expression] = STATE(1026),
    [sym_clone_expression] = STATE(1022),
    [sym_primary_expression] = STATE(1022),
    [sym_parenthesized_expression] = STATE(811),
    [sym_class_constant_access_expression] = STATE(859),
    [sym_print_intrinsic] = STATE(1039),
    [sym_object_creation_expression] = STATE(1039),
    [sym__new_non_dereferencable_expression] = STATE(1009),
    [sym__new_dereferencable_expression] = STATE(842),
    [sym_update_expression] = STATE(1039),
    [sym_cast_expression] = STATE(1022),
    [sym_cast_variable] = STATE(630),
    [sym_assignment_expression] = STATE(1026),
    [sym_reference_assignment_expression] = STATE(1026),
    [sym_conditional_expression] = STATE(1026),
    [sym_augmented_assignment_expression] = STATE(1026),
    [sym__variable_member_access_expression] = STATE(613),
    [sym_member_access_expression] = STATE(630),
    [sym__variable_nullsafe_member_access_expression] = STATE(619),
    [sym_nullsafe_member_access_expression] = STATE(630),
    [sym__variable_scoped_property_access_expression] = STATE(602),
    [sym_scoped_property_access_expression] = STATE(630),
    [sym_list_literal] = STATE(2632),
    [sym__list_destructing] = STATE(2405),
    [sym__array_destructing] = STATE(2405),
    [sym_function_call_expression] = STATE(612),
    [sym__callable_expression] = STATE(2324),
    [sym_scoped_call_expression] = STATE(612),
    [sym__scope_resolution_qualifier] = STATE(2522),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(612),
    [sym_nullsafe_member_call_expression] = STATE(612),
    [sym__variable_subscript_expression] = STATE(610),
    [sym__dereferencable_subscript_expression] = STATE(612),
    [sym__dereferencable_expression] = STATE(1948),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(766),
    [sym_attribute_group] = STATE(1373),
    [sym_attribute_list] = STATE(1879),
    [sym_encapsed_string] = STATE(767),
    [sym_string] = STATE(767),
    [sym_heredoc] = STATE(767),
    [sym_nowdoc] = STATE(767),
    [sym_shell_command_expression] = STATE(1039),
    [sym_boolean] = STATE(1036),
    [sym_null] = STATE(1036),
    [sym__string] = STATE(768),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(595),
    [sym__new_variable] = STATE(653),
    [sym__callable_variable] = STATE(623),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1026),
    [sym_binary_expression] = STATE(1026),
    [sym_include_expression] = STATE(1026),
    [sym_include_once_expression] = STATE(1026),
    [sym_require_expression] = STATE(1026),
    [sym_require_once_expression] = STATE(1026),
    [sym__reserved_identifier] = STATE(717),
    [sym__identifier] = STATE(1496),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(605),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(613),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(617),
    [anon_sym_DASH] = ACTIONS(617),
    [anon_sym_TILDE] = ACTIONS(619),
    [anon_sym_BANG] = ACTIONS(619),
    [anon_sym_AT] = ACTIONS(621),
    [aux_sym_clone_expression_token1] = ACTIONS(623),
    [aux_sym_print_intrinsic_token1] = ACTIONS(625),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(631),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(647),
    [aux_sym_include_expression_token1] = ACTIONS(651),
    [aux_sym_include_once_expression_token1] = ACTIONS(653),
    [aux_sym_require_expression_token1] = ACTIONS(655),
    [aux_sym_require_once_expression_token1] = ACTIONS(657),
    [sym_comment] = ACTIONS(5),
  },
  [322] = {
    [sym_text_interpolation] = STATE(322),
    [sym_qualified_name] = STATE(1000),
    [sym__name] = STATE(1631),
    [sym_namespace_name] = STATE(2575),
    [sym_static_modifier] = STATE(2368),
    [sym_anonymous_function] = STATE(1148),
    [sym__anonymous_function_header] = STATE(2489),
    [sym__arrow_function_header] = STATE(2731),
    [sym_arrow_function] = STATE(1148),
    [sym_literal] = STATE(1148),
    [sym_throw_expression] = STATE(1148),
    [sym_match_expression] = STATE(1152),
    [sym_expression] = STATE(1103),
    [sym__unary_expression] = STATE(1159),
    [sym_unary_op_expression] = STATE(1172),
    [sym_error_suppression_expression] = STATE(1152),
    [sym_clone_expression] = STATE(1172),
    [sym_primary_expression] = STATE(1172),
    [sym_parenthesized_expression] = STATE(964),
    [sym_class_constant_access_expression] = STATE(1019),
    [sym_print_intrinsic] = STATE(1148),
    [sym_object_creation_expression] = STATE(1148),
    [sym__new_non_dereferencable_expression] = STATE(1168),
    [sym__new_dereferencable_expression] = STATE(966),
    [sym_update_expression] = STATE(1148),
    [sym_cast_expression] = STATE(1172),
    [sym_cast_variable] = STATE(661),
    [sym_assignment_expression] = STATE(1152),
    [sym_reference_assignment_expression] = STATE(1152),
    [sym_conditional_expression] = STATE(1152),
    [sym_augmented_assignment_expression] = STATE(1152),
    [sym__variable_member_access_expression] = STATE(674),
    [sym_member_access_expression] = STATE(661),
    [sym__variable_nullsafe_member_access_expression] = STATE(663),
    [sym_nullsafe_member_access_expression] = STATE(661),
    [sym__variable_scoped_property_access_expression] = STATE(664),
    [sym_scoped_property_access_expression] = STATE(661),
    [sym_list_literal] = STATE(2530),
    [sym__list_destructing] = STATE(2405),
    [sym__array_destructing] = STATE(2405),
    [sym_function_call_expression] = STATE(634),
    [sym__callable_expression] = STATE(2471),
    [sym_scoped_call_expression] = STATE(634),
    [sym__scope_resolution_qualifier] = STATE(2651),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(634),
    [sym_nullsafe_member_call_expression] = STATE(634),
    [sym__variable_subscript_expression] = STATE(665),
    [sym__dereferencable_subscript_expression] = STATE(634),
    [sym__dereferencable_expression] = STATE(1946),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(1005),
    [sym_attribute_group] = STATE(1373),
    [sym_attribute_list] = STATE(1879),
    [sym_encapsed_string] = STATE(927),
    [sym_string] = STATE(927),
    [sym_heredoc] = STATE(927),
    [sym_nowdoc] = STATE(927),
    [sym_shell_command_expression] = STATE(1148),
    [sym_boolean] = STATE(1162),
    [sym_null] = STATE(1162),
    [sym__string] = STATE(941),
    [sym_dynamic_variable_name] = STATE(650),
    [sym__simple_variable] = STATE(654),
    [sym__new_variable] = STATE(667),
    [sym__callable_variable] = STATE(629),
    [sym_variable_name] = STATE(650),
    [sym_yield_expression] = STATE(1152),
    [sym_binary_expression] = STATE(1152),
    [sym_include_expression] = STATE(1152),
    [sym_include_once_expression] = STATE(1152),
    [sym_require_expression] = STATE(1152),
    [sym_require_once_expression] = STATE(1152),
    [sym__reserved_identifier] = STATE(717),
    [sym__identifier] = STATE(1496),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(689),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LPAREN2] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [sym_float] = ACTIONS(266),
    [sym_integer] = ACTIONS(266),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [323] = {
    [sym_text_interpolation] = STATE(323),
    [sym_qualified_name] = STATE(1000),
    [sym__name] = STATE(1631),
    [sym_namespace_name] = STATE(2575),
    [sym_static_modifier] = STATE(2368),
    [sym_anonymous_function] = STATE(1148),
    [sym__anonymous_function_header] = STATE(2489),
    [sym__arrow_function_header] = STATE(2731),
    [sym_arrow_function] = STATE(1148),
    [sym_literal] = STATE(1148),
    [sym_throw_expression] = STATE(1148),
    [sym_match_expression] = STATE(1152),
    [sym_expression] = STATE(1119),
    [sym__unary_expression] = STATE(1159),
    [sym_unary_op_expression] = STATE(1172),
    [sym_error_suppression_expression] = STATE(1152),
    [sym_clone_expression] = STATE(1172),
    [sym_primary_expression] = STATE(1172),
    [sym_parenthesized_expression] = STATE(964),
    [sym_class_constant_access_expression] = STATE(1019),
    [sym_print_intrinsic] = STATE(1148),
    [sym_object_creation_expression] = STATE(1148),
    [sym__new_non_dereferencable_expression] = STATE(1168),
    [sym__new_dereferencable_expression] = STATE(966),
    [sym_update_expression] = STATE(1148),
    [sym_cast_expression] = STATE(1172),
    [sym_cast_variable] = STATE(661),
    [sym_assignment_expression] = STATE(1152),
    [sym_reference_assignment_expression] = STATE(1152),
    [sym_conditional_expression] = STATE(1152),
    [sym_augmented_assignment_expression] = STATE(1152),
    [sym__variable_member_access_expression] = STATE(674),
    [sym_member_access_expression] = STATE(661),
    [sym__variable_nullsafe_member_access_expression] = STATE(663),
    [sym_nullsafe_member_access_expression] = STATE(661),
    [sym__variable_scoped_property_access_expression] = STATE(664),
    [sym_scoped_property_access_expression] = STATE(661),
    [sym_list_literal] = STATE(2530),
    [sym__list_destructing] = STATE(2405),
    [sym__array_destructing] = STATE(2405),
    [sym_function_call_expression] = STATE(634),
    [sym__callable_expression] = STATE(2471),
    [sym_scoped_call_expression] = STATE(634),
    [sym__scope_resolution_qualifier] = STATE(2651),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(634),
    [sym_nullsafe_member_call_expression] = STATE(634),
    [sym__variable_subscript_expression] = STATE(665),
    [sym__dereferencable_subscript_expression] = STATE(634),
    [sym__dereferencable_expression] = STATE(1946),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(1005),
    [sym_attribute_group] = STATE(1373),
    [sym_attribute_list] = STATE(1879),
    [sym_encapsed_string] = STATE(927),
    [sym_string] = STATE(927),
    [sym_heredoc] = STATE(927),
    [sym_nowdoc] = STATE(927),
    [sym_shell_command_expression] = STATE(1148),
    [sym_boolean] = STATE(1162),
    [sym_null] = STATE(1162),
    [sym__string] = STATE(941),
    [sym_dynamic_variable_name] = STATE(650),
    [sym__simple_variable] = STATE(654),
    [sym__new_variable] = STATE(667),
    [sym__callable_variable] = STATE(629),
    [sym_variable_name] = STATE(650),
    [sym_yield_expression] = STATE(1152),
    [sym_binary_expression] = STATE(1152),
    [sym_include_expression] = STATE(1152),
    [sym_include_once_expression] = STATE(1152),
    [sym_require_expression] = STATE(1152),
    [sym_require_once_expression] = STATE(1152),
    [sym__reserved_identifier] = STATE(717),
    [sym__identifier] = STATE(1496),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(689),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LPAREN2] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [sym_float] = ACTIONS(266),
    [sym_integer] = ACTIONS(266),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [324] = {
    [sym_text_interpolation] = STATE(324),
    [sym_qualified_name] = STATE(1000),
    [sym__name] = STATE(1631),
    [sym_namespace_name] = STATE(2575),
    [sym_static_modifier] = STATE(2368),
    [sym_anonymous_function] = STATE(1148),
    [sym__anonymous_function_header] = STATE(2489),
    [sym__arrow_function_header] = STATE(2731),
    [sym_arrow_function] = STATE(1148),
    [sym_literal] = STATE(1148),
    [sym_throw_expression] = STATE(1148),
    [sym_match_expression] = STATE(1152),
    [sym_expression] = STATE(1161),
    [sym__unary_expression] = STATE(1159),
    [sym_unary_op_expression] = STATE(1172),
    [sym_error_suppression_expression] = STATE(1152),
    [sym_clone_expression] = STATE(1172),
    [sym_primary_expression] = STATE(1172),
    [sym_parenthesized_expression] = STATE(964),
    [sym_class_constant_access_expression] = STATE(1019),
    [sym_print_intrinsic] = STATE(1148),
    [sym_object_creation_expression] = STATE(1148),
    [sym__new_non_dereferencable_expression] = STATE(1168),
    [sym__new_dereferencable_expression] = STATE(966),
    [sym_update_expression] = STATE(1148),
    [sym_cast_expression] = STATE(1172),
    [sym_cast_variable] = STATE(661),
    [sym_assignment_expression] = STATE(1152),
    [sym_reference_assignment_expression] = STATE(1152),
    [sym_conditional_expression] = STATE(1152),
    [sym_augmented_assignment_expression] = STATE(1152),
    [sym__variable_member_access_expression] = STATE(674),
    [sym_member_access_expression] = STATE(661),
    [sym__variable_nullsafe_member_access_expression] = STATE(663),
    [sym_nullsafe_member_access_expression] = STATE(661),
    [sym__variable_scoped_property_access_expression] = STATE(664),
    [sym_scoped_property_access_expression] = STATE(661),
    [sym_list_literal] = STATE(2530),
    [sym__list_destructing] = STATE(2405),
    [sym__array_destructing] = STATE(2405),
    [sym_function_call_expression] = STATE(634),
    [sym__callable_expression] = STATE(2471),
    [sym_scoped_call_expression] = STATE(634),
    [sym__scope_resolution_qualifier] = STATE(2651),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(634),
    [sym_nullsafe_member_call_expression] = STATE(634),
    [sym__variable_subscript_expression] = STATE(665),
    [sym__dereferencable_subscript_expression] = STATE(634),
    [sym__dereferencable_expression] = STATE(1946),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(1005),
    [sym_attribute_group] = STATE(1373),
    [sym_attribute_list] = STATE(1879),
    [sym_encapsed_string] = STATE(927),
    [sym_string] = STATE(927),
    [sym_heredoc] = STATE(927),
    [sym_nowdoc] = STATE(927),
    [sym_shell_command_expression] = STATE(1148),
    [sym_boolean] = STATE(1162),
    [sym_null] = STATE(1162),
    [sym__string] = STATE(941),
    [sym_dynamic_variable_name] = STATE(650),
    [sym__simple_variable] = STATE(654),
    [sym__new_variable] = STATE(667),
    [sym__callable_variable] = STATE(629),
    [sym_variable_name] = STATE(650),
    [sym_yield_expression] = STATE(1152),
    [sym_binary_expression] = STATE(1152),
    [sym_include_expression] = STATE(1152),
    [sym_include_once_expression] = STATE(1152),
    [sym_require_expression] = STATE(1152),
    [sym_require_once_expression] = STATE(1152),
    [sym__reserved_identifier] = STATE(717),
    [sym__identifier] = STATE(1496),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(689),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LPAREN2] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [sym_float] = ACTIONS(266),
    [sym_integer] = ACTIONS(266),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [325] = {
    [sym_text_interpolation] = STATE(325),
    [sym_qualified_name] = STATE(1000),
    [sym__name] = STATE(1631),
    [sym_namespace_name] = STATE(2575),
    [sym_static_modifier] = STATE(2368),
    [sym_anonymous_function] = STATE(1148),
    [sym__anonymous_function_header] = STATE(2489),
    [sym__arrow_function_header] = STATE(2731),
    [sym_arrow_function] = STATE(1148),
    [sym_literal] = STATE(1148),
    [sym_throw_expression] = STATE(1148),
    [sym_match_expression] = STATE(1152),
    [sym_expression] = STATE(1120),
    [sym__unary_expression] = STATE(1159),
    [sym_unary_op_expression] = STATE(1172),
    [sym_error_suppression_expression] = STATE(1152),
    [sym_clone_expression] = STATE(1172),
    [sym_primary_expression] = STATE(1172),
    [sym_parenthesized_expression] = STATE(964),
    [sym_class_constant_access_expression] = STATE(1019),
    [sym_print_intrinsic] = STATE(1148),
    [sym_object_creation_expression] = STATE(1148),
    [sym__new_non_dereferencable_expression] = STATE(1168),
    [sym__new_dereferencable_expression] = STATE(966),
    [sym_update_expression] = STATE(1148),
    [sym_cast_expression] = STATE(1172),
    [sym_cast_variable] = STATE(661),
    [sym_assignment_expression] = STATE(1152),
    [sym_reference_assignment_expression] = STATE(1152),
    [sym_conditional_expression] = STATE(1152),
    [sym_augmented_assignment_expression] = STATE(1152),
    [sym__variable_member_access_expression] = STATE(674),
    [sym_member_access_expression] = STATE(661),
    [sym__variable_nullsafe_member_access_expression] = STATE(663),
    [sym_nullsafe_member_access_expression] = STATE(661),
    [sym__variable_scoped_property_access_expression] = STATE(664),
    [sym_scoped_property_access_expression] = STATE(661),
    [sym_list_literal] = STATE(2530),
    [sym__list_destructing] = STATE(2405),
    [sym__array_destructing] = STATE(2405),
    [sym_function_call_expression] = STATE(634),
    [sym__callable_expression] = STATE(2471),
    [sym_scoped_call_expression] = STATE(634),
    [sym__scope_resolution_qualifier] = STATE(2651),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(634),
    [sym_nullsafe_member_call_expression] = STATE(634),
    [sym__variable_subscript_expression] = STATE(665),
    [sym__dereferencable_subscript_expression] = STATE(634),
    [sym__dereferencable_expression] = STATE(1946),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(1005),
    [sym_attribute_group] = STATE(1373),
    [sym_attribute_list] = STATE(1879),
    [sym_encapsed_string] = STATE(927),
    [sym_string] = STATE(927),
    [sym_heredoc] = STATE(927),
    [sym_nowdoc] = STATE(927),
    [sym_shell_command_expression] = STATE(1148),
    [sym_boolean] = STATE(1162),
    [sym_null] = STATE(1162),
    [sym__string] = STATE(941),
    [sym_dynamic_variable_name] = STATE(650),
    [sym__simple_variable] = STATE(654),
    [sym__new_variable] = STATE(667),
    [sym__callable_variable] = STATE(629),
    [sym_variable_name] = STATE(650),
    [sym_yield_expression] = STATE(1152),
    [sym_binary_expression] = STATE(1152),
    [sym_include_expression] = STATE(1152),
    [sym_include_once_expression] = STATE(1152),
    [sym_require_expression] = STATE(1152),
    [sym_require_once_expression] = STATE(1152),
    [sym__reserved_identifier] = STATE(717),
    [sym__identifier] = STATE(1496),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(689),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LPAREN2] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [sym_float] = ACTIONS(266),
    [sym_integer] = ACTIONS(266),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [326] = {
    [sym_text_interpolation] = STATE(326),
    [sym_qualified_name] = STATE(1000),
    [sym__name] = STATE(1631),
    [sym_namespace_name] = STATE(2575),
    [sym_static_modifier] = STATE(2368),
    [sym_anonymous_function] = STATE(1148),
    [sym__anonymous_function_header] = STATE(2489),
    [sym__arrow_function_header] = STATE(2731),
    [sym_arrow_function] = STATE(1148),
    [sym_literal] = STATE(1148),
    [sym_throw_expression] = STATE(1148),
    [sym_match_expression] = STATE(1152),
    [sym_expression] = STATE(1121),
    [sym__unary_expression] = STATE(1159),
    [sym_unary_op_expression] = STATE(1172),
    [sym_error_suppression_expression] = STATE(1152),
    [sym_clone_expression] = STATE(1172),
    [sym_primary_expression] = STATE(1172),
    [sym_parenthesized_expression] = STATE(964),
    [sym_class_constant_access_expression] = STATE(1019),
    [sym_print_intrinsic] = STATE(1148),
    [sym_object_creation_expression] = STATE(1148),
    [sym__new_non_dereferencable_expression] = STATE(1168),
    [sym__new_dereferencable_expression] = STATE(966),
    [sym_update_expression] = STATE(1148),
    [sym_cast_expression] = STATE(1172),
    [sym_cast_variable] = STATE(661),
    [sym_assignment_expression] = STATE(1152),
    [sym_reference_assignment_expression] = STATE(1152),
    [sym_conditional_expression] = STATE(1152),
    [sym_augmented_assignment_expression] = STATE(1152),
    [sym__variable_member_access_expression] = STATE(674),
    [sym_member_access_expression] = STATE(661),
    [sym__variable_nullsafe_member_access_expression] = STATE(663),
    [sym_nullsafe_member_access_expression] = STATE(661),
    [sym__variable_scoped_property_access_expression] = STATE(664),
    [sym_scoped_property_access_expression] = STATE(661),
    [sym_list_literal] = STATE(2530),
    [sym__list_destructing] = STATE(2405),
    [sym__array_destructing] = STATE(2405),
    [sym_function_call_expression] = STATE(634),
    [sym__callable_expression] = STATE(2471),
    [sym_scoped_call_expression] = STATE(634),
    [sym__scope_resolution_qualifier] = STATE(2651),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(634),
    [sym_nullsafe_member_call_expression] = STATE(634),
    [sym__variable_subscript_expression] = STATE(665),
    [sym__dereferencable_subscript_expression] = STATE(634),
    [sym__dereferencable_expression] = STATE(1946),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(1005),
    [sym_attribute_group] = STATE(1373),
    [sym_attribute_list] = STATE(1879),
    [sym_encapsed_string] = STATE(927),
    [sym_string] = STATE(927),
    [sym_heredoc] = STATE(927),
    [sym_nowdoc] = STATE(927),
    [sym_shell_command_expression] = STATE(1148),
    [sym_boolean] = STATE(1162),
    [sym_null] = STATE(1162),
    [sym__string] = STATE(941),
    [sym_dynamic_variable_name] = STATE(650),
    [sym__simple_variable] = STATE(654),
    [sym__new_variable] = STATE(667),
    [sym__callable_variable] = STATE(629),
    [sym_variable_name] = STATE(650),
    [sym_yield_expression] = STATE(1152),
    [sym_binary_expression] = STATE(1152),
    [sym_include_expression] = STATE(1152),
    [sym_include_once_expression] = STATE(1152),
    [sym_require_expression] = STATE(1152),
    [sym_require_once_expression] = STATE(1152),
    [sym__reserved_identifier] = STATE(717),
    [sym__identifier] = STATE(1496),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(689),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LPAREN2] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [sym_float] = ACTIONS(266),
    [sym_integer] = ACTIONS(266),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [327] = {
    [sym_text_interpolation] = STATE(327),
    [sym_qualified_name] = STATE(810),
    [sym__name] = STATE(1626),
    [sym_namespace_name] = STATE(2507),
    [sym_static_modifier] = STATE(2368),
    [sym_anonymous_function] = STATE(1039),
    [sym__anonymous_function_header] = STATE(2318),
    [sym__arrow_function_header] = STATE(2679),
    [sym_arrow_function] = STATE(1039),
    [sym_literal] = STATE(1039),
    [sym_throw_expression] = STATE(1039),
    [sym_match_expression] = STATE(1026),
    [sym_expression] = STATE(1285),
    [sym__unary_expression] = STATE(1010),
    [sym_unary_op_expression] = STATE(1022),
    [sym_error_suppression_expression] = STATE(1026),
    [sym_clone_expression] = STATE(1022),
    [sym_primary_expression] = STATE(1022),
    [sym_parenthesized_expression] = STATE(811),
    [sym_class_constant_access_expression] = STATE(859),
    [sym_print_intrinsic] = STATE(1039),
    [sym_object_creation_expression] = STATE(1039),
    [sym__new_non_dereferencable_expression] = STATE(1009),
    [sym__new_dereferencable_expression] = STATE(842),
    [sym_update_expression] = STATE(1039),
    [sym_cast_expression] = STATE(1022),
    [sym_cast_variable] = STATE(630),
    [sym_assignment_expression] = STATE(1026),
    [sym_reference_assignment_expression] = STATE(1026),
    [sym_conditional_expression] = STATE(1026),
    [sym_augmented_assignment_expression] = STATE(1026),
    [sym__variable_member_access_expression] = STATE(613),
    [sym_member_access_expression] = STATE(630),
    [sym__variable_nullsafe_member_access_expression] = STATE(619),
    [sym_nullsafe_member_access_expression] = STATE(630),
    [sym__variable_scoped_property_access_expression] = STATE(602),
    [sym_scoped_property_access_expression] = STATE(630),
    [sym_list_literal] = STATE(2632),
    [sym__list_destructing] = STATE(2405),
    [sym__array_destructing] = STATE(2405),
    [sym_function_call_expression] = STATE(612),
    [sym__callable_expression] = STATE(2324),
    [sym_scoped_call_expression] = STATE(612),
    [sym__scope_resolution_qualifier] = STATE(2522),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(612),
    [sym_nullsafe_member_call_expression] = STATE(612),
    [sym__variable_subscript_expression] = STATE(610),
    [sym__dereferencable_subscript_expression] = STATE(612),
    [sym__dereferencable_expression] = STATE(1948),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(766),
    [sym_attribute_group] = STATE(1373),
    [sym_attribute_list] = STATE(1879),
    [sym_encapsed_string] = STATE(767),
    [sym_string] = STATE(767),
    [sym_heredoc] = STATE(767),
    [sym_nowdoc] = STATE(767),
    [sym_shell_command_expression] = STATE(1039),
    [sym_boolean] = STATE(1036),
    [sym_null] = STATE(1036),
    [sym__string] = STATE(768),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(595),
    [sym__new_variable] = STATE(653),
    [sym__callable_variable] = STATE(623),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1026),
    [sym_binary_expression] = STATE(1026),
    [sym_include_expression] = STATE(1026),
    [sym_include_once_expression] = STATE(1026),
    [sym_require_expression] = STATE(1026),
    [sym_require_once_expression] = STATE(1026),
    [sym__reserved_identifier] = STATE(717),
    [sym__identifier] = STATE(1496),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(605),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(613),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(617),
    [anon_sym_DASH] = ACTIONS(617),
    [anon_sym_TILDE] = ACTIONS(619),
    [anon_sym_BANG] = ACTIONS(619),
    [anon_sym_AT] = ACTIONS(621),
    [aux_sym_clone_expression_token1] = ACTIONS(623),
    [aux_sym_print_intrinsic_token1] = ACTIONS(625),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(631),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(647),
    [aux_sym_include_expression_token1] = ACTIONS(651),
    [aux_sym_include_once_expression_token1] = ACTIONS(653),
    [aux_sym_require_expression_token1] = ACTIONS(655),
    [aux_sym_require_once_expression_token1] = ACTIONS(657),
    [sym_comment] = ACTIONS(5),
  },
  [328] = {
    [sym_text_interpolation] = STATE(328),
    [sym_qualified_name] = STATE(810),
    [sym__name] = STATE(1626),
    [sym_namespace_name] = STATE(2507),
    [sym_static_modifier] = STATE(2368),
    [sym_anonymous_function] = STATE(1039),
    [sym__anonymous_function_header] = STATE(2318),
    [sym__arrow_function_header] = STATE(2679),
    [sym_arrow_function] = STATE(1039),
    [sym_literal] = STATE(1039),
    [sym_throw_expression] = STATE(1039),
    [sym_match_expression] = STATE(1026),
    [sym_expression] = STATE(1074),
    [sym__unary_expression] = STATE(1010),
    [sym_unary_op_expression] = STATE(1022),
    [sym_error_suppression_expression] = STATE(1026),
    [sym_clone_expression] = STATE(1022),
    [sym_primary_expression] = STATE(1022),
    [sym_parenthesized_expression] = STATE(811),
    [sym_class_constant_access_expression] = STATE(859),
    [sym_print_intrinsic] = STATE(1039),
    [sym_object_creation_expression] = STATE(1039),
    [sym__new_non_dereferencable_expression] = STATE(1009),
    [sym__new_dereferencable_expression] = STATE(842),
    [sym_update_expression] = STATE(1039),
    [sym_cast_expression] = STATE(1022),
    [sym_cast_variable] = STATE(630),
    [sym_assignment_expression] = STATE(1026),
    [sym_reference_assignment_expression] = STATE(1026),
    [sym_conditional_expression] = STATE(1026),
    [sym_augmented_assignment_expression] = STATE(1026),
    [sym__variable_member_access_expression] = STATE(613),
    [sym_member_access_expression] = STATE(630),
    [sym__variable_nullsafe_member_access_expression] = STATE(619),
    [sym_nullsafe_member_access_expression] = STATE(630),
    [sym__variable_scoped_property_access_expression] = STATE(602),
    [sym_scoped_property_access_expression] = STATE(630),
    [sym_list_literal] = STATE(2632),
    [sym__list_destructing] = STATE(2405),
    [sym__array_destructing] = STATE(2405),
    [sym_function_call_expression] = STATE(612),
    [sym__callable_expression] = STATE(2324),
    [sym_scoped_call_expression] = STATE(612),
    [sym__scope_resolution_qualifier] = STATE(2522),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(612),
    [sym_nullsafe_member_call_expression] = STATE(612),
    [sym__variable_subscript_expression] = STATE(610),
    [sym__dereferencable_subscript_expression] = STATE(612),
    [sym__dereferencable_expression] = STATE(1948),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(766),
    [sym_attribute_group] = STATE(1373),
    [sym_attribute_list] = STATE(1879),
    [sym_encapsed_string] = STATE(767),
    [sym_string] = STATE(767),
    [sym_heredoc] = STATE(767),
    [sym_nowdoc] = STATE(767),
    [sym_shell_command_expression] = STATE(1039),
    [sym_boolean] = STATE(1036),
    [sym_null] = STATE(1036),
    [sym__string] = STATE(768),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(595),
    [sym__new_variable] = STATE(653),
    [sym__callable_variable] = STATE(623),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1026),
    [sym_binary_expression] = STATE(1026),
    [sym_include_expression] = STATE(1026),
    [sym_include_once_expression] = STATE(1026),
    [sym_require_expression] = STATE(1026),
    [sym_require_once_expression] = STATE(1026),
    [sym__reserved_identifier] = STATE(717),
    [sym__identifier] = STATE(1496),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(605),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(613),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(617),
    [anon_sym_DASH] = ACTIONS(617),
    [anon_sym_TILDE] = ACTIONS(619),
    [anon_sym_BANG] = ACTIONS(619),
    [anon_sym_AT] = ACTIONS(621),
    [aux_sym_clone_expression_token1] = ACTIONS(623),
    [aux_sym_print_intrinsic_token1] = ACTIONS(625),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(631),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(647),
    [aux_sym_include_expression_token1] = ACTIONS(651),
    [aux_sym_include_once_expression_token1] = ACTIONS(653),
    [aux_sym_require_expression_token1] = ACTIONS(655),
    [aux_sym_require_once_expression_token1] = ACTIONS(657),
    [sym_comment] = ACTIONS(5),
  },
  [329] = {
    [sym_text_interpolation] = STATE(329),
    [sym_qualified_name] = STATE(810),
    [sym__name] = STATE(1626),
    [sym_namespace_name] = STATE(2507),
    [sym_static_modifier] = STATE(2368),
    [sym_anonymous_function] = STATE(1039),
    [sym__anonymous_function_header] = STATE(2318),
    [sym__arrow_function_header] = STATE(2679),
    [sym_arrow_function] = STATE(1039),
    [sym_literal] = STATE(1039),
    [sym_throw_expression] = STATE(1039),
    [sym_match_expression] = STATE(1026),
    [sym_expression] = STATE(1293),
    [sym__unary_expression] = STATE(1010),
    [sym_unary_op_expression] = STATE(1022),
    [sym_error_suppression_expression] = STATE(1026),
    [sym_clone_expression] = STATE(1022),
    [sym_primary_expression] = STATE(1022),
    [sym_parenthesized_expression] = STATE(811),
    [sym_class_constant_access_expression] = STATE(859),
    [sym_print_intrinsic] = STATE(1039),
    [sym_object_creation_expression] = STATE(1039),
    [sym__new_non_dereferencable_expression] = STATE(1009),
    [sym__new_dereferencable_expression] = STATE(842),
    [sym_update_expression] = STATE(1039),
    [sym_cast_expression] = STATE(1022),
    [sym_cast_variable] = STATE(630),
    [sym_assignment_expression] = STATE(1026),
    [sym_reference_assignment_expression] = STATE(1026),
    [sym_conditional_expression] = STATE(1026),
    [sym_augmented_assignment_expression] = STATE(1026),
    [sym__variable_member_access_expression] = STATE(613),
    [sym_member_access_expression] = STATE(630),
    [sym__variable_nullsafe_member_access_expression] = STATE(619),
    [sym_nullsafe_member_access_expression] = STATE(630),
    [sym__variable_scoped_property_access_expression] = STATE(602),
    [sym_scoped_property_access_expression] = STATE(630),
    [sym_list_literal] = STATE(2632),
    [sym__list_destructing] = STATE(2405),
    [sym__array_destructing] = STATE(2405),
    [sym_function_call_expression] = STATE(612),
    [sym__callable_expression] = STATE(2324),
    [sym_scoped_call_expression] = STATE(612),
    [sym__scope_resolution_qualifier] = STATE(2522),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(612),
    [sym_nullsafe_member_call_expression] = STATE(612),
    [sym__variable_subscript_expression] = STATE(610),
    [sym__dereferencable_subscript_expression] = STATE(612),
    [sym__dereferencable_expression] = STATE(1948),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(766),
    [sym_attribute_group] = STATE(1373),
    [sym_attribute_list] = STATE(1879),
    [sym_encapsed_string] = STATE(767),
    [sym_string] = STATE(767),
    [sym_heredoc] = STATE(767),
    [sym_nowdoc] = STATE(767),
    [sym_shell_command_expression] = STATE(1039),
    [sym_boolean] = STATE(1036),
    [sym_null] = STATE(1036),
    [sym__string] = STATE(768),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(595),
    [sym__new_variable] = STATE(653),
    [sym__callable_variable] = STATE(623),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1026),
    [sym_binary_expression] = STATE(1026),
    [sym_include_expression] = STATE(1026),
    [sym_include_once_expression] = STATE(1026),
    [sym_require_expression] = STATE(1026),
    [sym_require_once_expression] = STATE(1026),
    [sym__reserved_identifier] = STATE(717),
    [sym__identifier] = STATE(1496),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(605),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(613),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(617),
    [anon_sym_DASH] = ACTIONS(617),
    [anon_sym_TILDE] = ACTIONS(619),
    [anon_sym_BANG] = ACTIONS(619),
    [anon_sym_AT] = ACTIONS(621),
    [aux_sym_clone_expression_token1] = ACTIONS(623),
    [aux_sym_print_intrinsic_token1] = ACTIONS(625),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(631),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(647),
    [aux_sym_include_expression_token1] = ACTIONS(651),
    [aux_sym_include_once_expression_token1] = ACTIONS(653),
    [aux_sym_require_expression_token1] = ACTIONS(655),
    [aux_sym_require_once_expression_token1] = ACTIONS(657),
    [sym_comment] = ACTIONS(5),
  },
  [330] = {
    [sym_text_interpolation] = STATE(330),
    [sym_qualified_name] = STATE(810),
    [sym__name] = STATE(1626),
    [sym_namespace_name] = STATE(2507),
    [sym_static_modifier] = STATE(2368),
    [sym_anonymous_function] = STATE(1039),
    [sym__anonymous_function_header] = STATE(2318),
    [sym__arrow_function_header] = STATE(2679),
    [sym_arrow_function] = STATE(1039),
    [sym_literal] = STATE(1039),
    [sym_throw_expression] = STATE(1039),
    [sym_match_expression] = STATE(1026),
    [sym_expression] = STATE(1294),
    [sym__unary_expression] = STATE(1010),
    [sym_unary_op_expression] = STATE(1022),
    [sym_error_suppression_expression] = STATE(1026),
    [sym_clone_expression] = STATE(1022),
    [sym_primary_expression] = STATE(1022),
    [sym_parenthesized_expression] = STATE(811),
    [sym_class_constant_access_expression] = STATE(859),
    [sym_print_intrinsic] = STATE(1039),
    [sym_object_creation_expression] = STATE(1039),
    [sym__new_non_dereferencable_expression] = STATE(1009),
    [sym__new_dereferencable_expression] = STATE(842),
    [sym_update_expression] = STATE(1039),
    [sym_cast_expression] = STATE(1022),
    [sym_cast_variable] = STATE(630),
    [sym_assignment_expression] = STATE(1026),
    [sym_reference_assignment_expression] = STATE(1026),
    [sym_conditional_expression] = STATE(1026),
    [sym_augmented_assignment_expression] = STATE(1026),
    [sym__variable_member_access_expression] = STATE(613),
    [sym_member_access_expression] = STATE(630),
    [sym__variable_nullsafe_member_access_expression] = STATE(619),
    [sym_nullsafe_member_access_expression] = STATE(630),
    [sym__variable_scoped_property_access_expression] = STATE(602),
    [sym_scoped_property_access_expression] = STATE(630),
    [sym_list_literal] = STATE(2632),
    [sym__list_destructing] = STATE(2405),
    [sym__array_destructing] = STATE(2405),
    [sym_function_call_expression] = STATE(612),
    [sym__callable_expression] = STATE(2324),
    [sym_scoped_call_expression] = STATE(612),
    [sym__scope_resolution_qualifier] = STATE(2522),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(612),
    [sym_nullsafe_member_call_expression] = STATE(612),
    [sym__variable_subscript_expression] = STATE(610),
    [sym__dereferencable_subscript_expression] = STATE(612),
    [sym__dereferencable_expression] = STATE(1948),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(766),
    [sym_attribute_group] = STATE(1373),
    [sym_attribute_list] = STATE(1879),
    [sym_encapsed_string] = STATE(767),
    [sym_string] = STATE(767),
    [sym_heredoc] = STATE(767),
    [sym_nowdoc] = STATE(767),
    [sym_shell_command_expression] = STATE(1039),
    [sym_boolean] = STATE(1036),
    [sym_null] = STATE(1036),
    [sym__string] = STATE(768),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(595),
    [sym__new_variable] = STATE(653),
    [sym__callable_variable] = STATE(623),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1026),
    [sym_binary_expression] = STATE(1026),
    [sym_include_expression] = STATE(1026),
    [sym_include_once_expression] = STATE(1026),
    [sym_require_expression] = STATE(1026),
    [sym_require_once_expression] = STATE(1026),
    [sym__reserved_identifier] = STATE(717),
    [sym__identifier] = STATE(1496),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(605),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(613),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(617),
    [anon_sym_DASH] = ACTIONS(617),
    [anon_sym_TILDE] = ACTIONS(619),
    [anon_sym_BANG] = ACTIONS(619),
    [anon_sym_AT] = ACTIONS(621),
    [aux_sym_clone_expression_token1] = ACTIONS(623),
    [aux_sym_print_intrinsic_token1] = ACTIONS(625),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(631),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(647),
    [aux_sym_include_expression_token1] = ACTIONS(651),
    [aux_sym_include_once_expression_token1] = ACTIONS(653),
    [aux_sym_require_expression_token1] = ACTIONS(655),
    [aux_sym_require_once_expression_token1] = ACTIONS(657),
    [sym_comment] = ACTIONS(5),
  },
  [331] = {
    [sym_text_interpolation] = STATE(331),
    [sym_qualified_name] = STATE(810),
    [sym__name] = STATE(1626),
    [sym_namespace_name] = STATE(2507),
    [sym_static_modifier] = STATE(2368),
    [sym_anonymous_function] = STATE(1039),
    [sym__anonymous_function_header] = STATE(2318),
    [sym__arrow_function_header] = STATE(2639),
    [sym_arrow_function] = STATE(1039),
    [sym_literal] = STATE(1039),
    [sym_throw_expression] = STATE(1039),
    [sym_match_expression] = STATE(1026),
    [sym_expression] = STATE(1263),
    [sym__unary_expression] = STATE(1010),
    [sym_unary_op_expression] = STATE(1022),
    [sym_error_suppression_expression] = STATE(1026),
    [sym_clone_expression] = STATE(1022),
    [sym_primary_expression] = STATE(1022),
    [sym_parenthesized_expression] = STATE(811),
    [sym_class_constant_access_expression] = STATE(859),
    [sym_print_intrinsic] = STATE(1039),
    [sym_object_creation_expression] = STATE(1039),
    [sym__new_non_dereferencable_expression] = STATE(1009),
    [sym__new_dereferencable_expression] = STATE(842),
    [sym_update_expression] = STATE(1039),
    [sym_cast_expression] = STATE(1022),
    [sym_cast_variable] = STATE(681),
    [sym_assignment_expression] = STATE(1026),
    [sym_reference_assignment_expression] = STATE(1026),
    [sym_conditional_expression] = STATE(1026),
    [sym_augmented_assignment_expression] = STATE(1026),
    [sym__variable_member_access_expression] = STATE(613),
    [sym_member_access_expression] = STATE(681),
    [sym__variable_nullsafe_member_access_expression] = STATE(619),
    [sym_nullsafe_member_access_expression] = STATE(681),
    [sym__variable_scoped_property_access_expression] = STATE(602),
    [sym_scoped_property_access_expression] = STATE(681),
    [sym_list_literal] = STATE(2640),
    [sym__list_destructing] = STATE(2405),
    [sym__array_destructing] = STATE(2405),
    [sym_function_call_expression] = STATE(612),
    [sym__callable_expression] = STATE(2324),
    [sym_scoped_call_expression] = STATE(612),
    [sym__scope_resolution_qualifier] = STATE(2522),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(612),
    [sym_nullsafe_member_call_expression] = STATE(612),
    [sym__variable_subscript_expression] = STATE(610),
    [sym__dereferencable_subscript_expression] = STATE(612),
    [sym__dereferencable_expression] = STATE(1948),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(766),
    [sym_attribute_group] = STATE(1373),
    [sym_attribute_list] = STATE(1879),
    [sym_encapsed_string] = STATE(767),
    [sym_string] = STATE(767),
    [sym_heredoc] = STATE(767),
    [sym_nowdoc] = STATE(767),
    [sym_shell_command_expression] = STATE(1039),
    [sym_boolean] = STATE(1036),
    [sym_null] = STATE(1036),
    [sym__string] = STATE(768),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(595),
    [sym__new_variable] = STATE(683),
    [sym__callable_variable] = STATE(657),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1026),
    [sym_binary_expression] = STATE(1026),
    [sym_include_expression] = STATE(1026),
    [sym_include_once_expression] = STATE(1026),
    [sym_require_expression] = STATE(1026),
    [sym_require_once_expression] = STATE(1026),
    [sym__reserved_identifier] = STATE(717),
    [sym__identifier] = STATE(1496),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(697),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(701),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(703),
    [anon_sym_DASH] = ACTIONS(703),
    [anon_sym_TILDE] = ACTIONS(705),
    [anon_sym_BANG] = ACTIONS(705),
    [anon_sym_AT] = ACTIONS(707),
    [aux_sym_clone_expression_token1] = ACTIONS(709),
    [aux_sym_print_intrinsic_token1] = ACTIONS(711),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(713),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(5),
  },
  [332] = {
    [sym_text_interpolation] = STATE(332),
    [sym_qualified_name] = STATE(810),
    [sym__name] = STATE(1626),
    [sym_namespace_name] = STATE(2507),
    [sym_static_modifier] = STATE(2368),
    [sym_anonymous_function] = STATE(1039),
    [sym__anonymous_function_header] = STATE(2318),
    [sym__arrow_function_header] = STATE(2679),
    [sym_arrow_function] = STATE(1039),
    [sym_literal] = STATE(1039),
    [sym_throw_expression] = STATE(1039),
    [sym_match_expression] = STATE(1026),
    [sym_expression] = STATE(1323),
    [sym__unary_expression] = STATE(1010),
    [sym_unary_op_expression] = STATE(1022),
    [sym_error_suppression_expression] = STATE(1026),
    [sym_clone_expression] = STATE(1022),
    [sym_primary_expression] = STATE(1022),
    [sym_parenthesized_expression] = STATE(811),
    [sym_class_constant_access_expression] = STATE(859),
    [sym_print_intrinsic] = STATE(1039),
    [sym_object_creation_expression] = STATE(1039),
    [sym__new_non_dereferencable_expression] = STATE(1009),
    [sym__new_dereferencable_expression] = STATE(842),
    [sym_update_expression] = STATE(1039),
    [sym_cast_expression] = STATE(1022),
    [sym_cast_variable] = STATE(630),
    [sym_assignment_expression] = STATE(1026),
    [sym_reference_assignment_expression] = STATE(1026),
    [sym_conditional_expression] = STATE(1026),
    [sym_augmented_assignment_expression] = STATE(1026),
    [sym__variable_member_access_expression] = STATE(613),
    [sym_member_access_expression] = STATE(630),
    [sym__variable_nullsafe_member_access_expression] = STATE(619),
    [sym_nullsafe_member_access_expression] = STATE(630),
    [sym__variable_scoped_property_access_expression] = STATE(602),
    [sym_scoped_property_access_expression] = STATE(630),
    [sym_list_literal] = STATE(2632),
    [sym__list_destructing] = STATE(2405),
    [sym__array_destructing] = STATE(2405),
    [sym_function_call_expression] = STATE(612),
    [sym__callable_expression] = STATE(2324),
    [sym_scoped_call_expression] = STATE(612),
    [sym__scope_resolution_qualifier] = STATE(2522),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(612),
    [sym_nullsafe_member_call_expression] = STATE(612),
    [sym__variable_subscript_expression] = STATE(610),
    [sym__dereferencable_subscript_expression] = STATE(612),
    [sym__dereferencable_expression] = STATE(1948),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(766),
    [sym_attribute_group] = STATE(1373),
    [sym_attribute_list] = STATE(1879),
    [sym_encapsed_string] = STATE(767),
    [sym_string] = STATE(767),
    [sym_heredoc] = STATE(767),
    [sym_nowdoc] = STATE(767),
    [sym_shell_command_expression] = STATE(1039),
    [sym_boolean] = STATE(1036),
    [sym_null] = STATE(1036),
    [sym__string] = STATE(768),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(595),
    [sym__new_variable] = STATE(653),
    [sym__callable_variable] = STATE(623),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1026),
    [sym_binary_expression] = STATE(1026),
    [sym_include_expression] = STATE(1026),
    [sym_include_once_expression] = STATE(1026),
    [sym_require_expression] = STATE(1026),
    [sym_require_once_expression] = STATE(1026),
    [sym__reserved_identifier] = STATE(717),
    [sym__identifier] = STATE(1496),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(605),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(613),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(617),
    [anon_sym_DASH] = ACTIONS(617),
    [anon_sym_TILDE] = ACTIONS(619),
    [anon_sym_BANG] = ACTIONS(619),
    [anon_sym_AT] = ACTIONS(621),
    [aux_sym_clone_expression_token1] = ACTIONS(623),
    [aux_sym_print_intrinsic_token1] = ACTIONS(625),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(631),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(647),
    [aux_sym_include_expression_token1] = ACTIONS(651),
    [aux_sym_include_once_expression_token1] = ACTIONS(653),
    [aux_sym_require_expression_token1] = ACTIONS(655),
    [aux_sym_require_once_expression_token1] = ACTIONS(657),
    [sym_comment] = ACTIONS(5),
  },
  [333] = {
    [sym_text_interpolation] = STATE(333),
    [sym_qualified_name] = STATE(810),
    [sym__name] = STATE(1626),
    [sym_namespace_name] = STATE(2507),
    [sym_static_modifier] = STATE(2368),
    [sym_anonymous_function] = STATE(1039),
    [sym__anonymous_function_header] = STATE(2318),
    [sym__arrow_function_header] = STATE(2679),
    [sym_arrow_function] = STATE(1039),
    [sym_literal] = STATE(1039),
    [sym_throw_expression] = STATE(1039),
    [sym_match_expression] = STATE(1026),
    [sym_expression] = STATE(1301),
    [sym__unary_expression] = STATE(1010),
    [sym_unary_op_expression] = STATE(1022),
    [sym_error_suppression_expression] = STATE(1026),
    [sym_clone_expression] = STATE(1022),
    [sym_primary_expression] = STATE(1022),
    [sym_parenthesized_expression] = STATE(811),
    [sym_class_constant_access_expression] = STATE(859),
    [sym_print_intrinsic] = STATE(1039),
    [sym_object_creation_expression] = STATE(1039),
    [sym__new_non_dereferencable_expression] = STATE(1009),
    [sym__new_dereferencable_expression] = STATE(842),
    [sym_update_expression] = STATE(1039),
    [sym_cast_expression] = STATE(1022),
    [sym_cast_variable] = STATE(630),
    [sym_assignment_expression] = STATE(1026),
    [sym_reference_assignment_expression] = STATE(1026),
    [sym_conditional_expression] = STATE(1026),
    [sym_augmented_assignment_expression] = STATE(1026),
    [sym__variable_member_access_expression] = STATE(613),
    [sym_member_access_expression] = STATE(630),
    [sym__variable_nullsafe_member_access_expression] = STATE(619),
    [sym_nullsafe_member_access_expression] = STATE(630),
    [sym__variable_scoped_property_access_expression] = STATE(602),
    [sym_scoped_property_access_expression] = STATE(630),
    [sym_list_literal] = STATE(2632),
    [sym__list_destructing] = STATE(2405),
    [sym__array_destructing] = STATE(2405),
    [sym_function_call_expression] = STATE(612),
    [sym__callable_expression] = STATE(2324),
    [sym_scoped_call_expression] = STATE(612),
    [sym__scope_resolution_qualifier] = STATE(2522),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(612),
    [sym_nullsafe_member_call_expression] = STATE(612),
    [sym__variable_subscript_expression] = STATE(610),
    [sym__dereferencable_subscript_expression] = STATE(612),
    [sym__dereferencable_expression] = STATE(1948),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(766),
    [sym_attribute_group] = STATE(1373),
    [sym_attribute_list] = STATE(1879),
    [sym_encapsed_string] = STATE(767),
    [sym_string] = STATE(767),
    [sym_heredoc] = STATE(767),
    [sym_nowdoc] = STATE(767),
    [sym_shell_command_expression] = STATE(1039),
    [sym_boolean] = STATE(1036),
    [sym_null] = STATE(1036),
    [sym__string] = STATE(768),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(595),
    [sym__new_variable] = STATE(653),
    [sym__callable_variable] = STATE(623),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1026),
    [sym_binary_expression] = STATE(1026),
    [sym_include_expression] = STATE(1026),
    [sym_include_once_expression] = STATE(1026),
    [sym_require_expression] = STATE(1026),
    [sym_require_once_expression] = STATE(1026),
    [sym__reserved_identifier] = STATE(717),
    [sym__identifier] = STATE(1496),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(605),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(613),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(617),
    [anon_sym_DASH] = ACTIONS(617),
    [anon_sym_TILDE] = ACTIONS(619),
    [anon_sym_BANG] = ACTIONS(619),
    [anon_sym_AT] = ACTIONS(621),
    [aux_sym_clone_expression_token1] = ACTIONS(623),
    [aux_sym_print_intrinsic_token1] = ACTIONS(625),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(631),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(647),
    [aux_sym_include_expression_token1] = ACTIONS(651),
    [aux_sym_include_once_expression_token1] = ACTIONS(653),
    [aux_sym_require_expression_token1] = ACTIONS(655),
    [aux_sym_require_once_expression_token1] = ACTIONS(657),
    [sym_comment] = ACTIONS(5),
  },
  [334] = {
    [sym_text_interpolation] = STATE(334),
    [sym_qualified_name] = STATE(810),
    [sym__name] = STATE(1626),
    [sym_namespace_name] = STATE(2507),
    [sym_static_modifier] = STATE(2368),
    [sym_anonymous_function] = STATE(1039),
    [sym__anonymous_function_header] = STATE(2318),
    [sym__arrow_function_header] = STATE(2639),
    [sym_arrow_function] = STATE(1039),
    [sym_literal] = STATE(1039),
    [sym_throw_expression] = STATE(1039),
    [sym_match_expression] = STATE(1026),
    [sym_expression] = STATE(1214),
    [sym__unary_expression] = STATE(1010),
    [sym_unary_op_expression] = STATE(1022),
    [sym_error_suppression_expression] = STATE(1026),
    [sym_clone_expression] = STATE(1022),
    [sym_primary_expression] = STATE(1022),
    [sym_parenthesized_expression] = STATE(811),
    [sym_class_constant_access_expression] = STATE(859),
    [sym_print_intrinsic] = STATE(1039),
    [sym_object_creation_expression] = STATE(1039),
    [sym__new_non_dereferencable_expression] = STATE(1009),
    [sym__new_dereferencable_expression] = STATE(842),
    [sym_update_expression] = STATE(1039),
    [sym_cast_expression] = STATE(1022),
    [sym_cast_variable] = STATE(681),
    [sym_assignment_expression] = STATE(1026),
    [sym_reference_assignment_expression] = STATE(1026),
    [sym_conditional_expression] = STATE(1026),
    [sym_augmented_assignment_expression] = STATE(1026),
    [sym__variable_member_access_expression] = STATE(613),
    [sym_member_access_expression] = STATE(681),
    [sym__variable_nullsafe_member_access_expression] = STATE(619),
    [sym_nullsafe_member_access_expression] = STATE(681),
    [sym__variable_scoped_property_access_expression] = STATE(602),
    [sym_scoped_property_access_expression] = STATE(681),
    [sym_list_literal] = STATE(2640),
    [sym__list_destructing] = STATE(2405),
    [sym__array_destructing] = STATE(2405),
    [sym_function_call_expression] = STATE(612),
    [sym__callable_expression] = STATE(2324),
    [sym_scoped_call_expression] = STATE(612),
    [sym__scope_resolution_qualifier] = STATE(2522),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(612),
    [sym_nullsafe_member_call_expression] = STATE(612),
    [sym__variable_subscript_expression] = STATE(610),
    [sym__dereferencable_subscript_expression] = STATE(612),
    [sym__dereferencable_expression] = STATE(1948),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(766),
    [sym_attribute_group] = STATE(1373),
    [sym_attribute_list] = STATE(1879),
    [sym_encapsed_string] = STATE(767),
    [sym_string] = STATE(767),
    [sym_heredoc] = STATE(767),
    [sym_nowdoc] = STATE(767),
    [sym_shell_command_expression] = STATE(1039),
    [sym_boolean] = STATE(1036),
    [sym_null] = STATE(1036),
    [sym__string] = STATE(768),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(595),
    [sym__new_variable] = STATE(683),
    [sym__callable_variable] = STATE(657),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1026),
    [sym_binary_expression] = STATE(1026),
    [sym_include_expression] = STATE(1026),
    [sym_include_once_expression] = STATE(1026),
    [sym_require_expression] = STATE(1026),
    [sym_require_once_expression] = STATE(1026),
    [sym__reserved_identifier] = STATE(717),
    [sym__identifier] = STATE(1496),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(697),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(701),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(703),
    [anon_sym_DASH] = ACTIONS(703),
    [anon_sym_TILDE] = ACTIONS(705),
    [anon_sym_BANG] = ACTIONS(705),
    [anon_sym_AT] = ACTIONS(707),
    [aux_sym_clone_expression_token1] = ACTIONS(709),
    [aux_sym_print_intrinsic_token1] = ACTIONS(711),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(713),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(5),
  },
  [335] = {
    [sym_text_interpolation] = STATE(335),
    [sym_qualified_name] = STATE(810),
    [sym__name] = STATE(1626),
    [sym_namespace_name] = STATE(2507),
    [sym_static_modifier] = STATE(2368),
    [sym_anonymous_function] = STATE(1039),
    [sym__anonymous_function_header] = STATE(2318),
    [sym__arrow_function_header] = STATE(2639),
    [sym_arrow_function] = STATE(1039),
    [sym_literal] = STATE(1039),
    [sym_throw_expression] = STATE(1039),
    [sym_match_expression] = STATE(1026),
    [sym_expression] = STATE(1243),
    [sym__unary_expression] = STATE(1010),
    [sym_unary_op_expression] = STATE(1022),
    [sym_error_suppression_expression] = STATE(1026),
    [sym_clone_expression] = STATE(1022),
    [sym_primary_expression] = STATE(1022),
    [sym_parenthesized_expression] = STATE(811),
    [sym_class_constant_access_expression] = STATE(859),
    [sym_print_intrinsic] = STATE(1039),
    [sym_object_creation_expression] = STATE(1039),
    [sym__new_non_dereferencable_expression] = STATE(1009),
    [sym__new_dereferencable_expression] = STATE(842),
    [sym_update_expression] = STATE(1039),
    [sym_cast_expression] = STATE(1022),
    [sym_cast_variable] = STATE(681),
    [sym_assignment_expression] = STATE(1026),
    [sym_reference_assignment_expression] = STATE(1026),
    [sym_conditional_expression] = STATE(1026),
    [sym_augmented_assignment_expression] = STATE(1026),
    [sym__variable_member_access_expression] = STATE(613),
    [sym_member_access_expression] = STATE(681),
    [sym__variable_nullsafe_member_access_expression] = STATE(619),
    [sym_nullsafe_member_access_expression] = STATE(681),
    [sym__variable_scoped_property_access_expression] = STATE(602),
    [sym_scoped_property_access_expression] = STATE(681),
    [sym_list_literal] = STATE(2640),
    [sym__list_destructing] = STATE(2405),
    [sym__array_destructing] = STATE(2405),
    [sym_function_call_expression] = STATE(612),
    [sym__callable_expression] = STATE(2324),
    [sym_scoped_call_expression] = STATE(612),
    [sym__scope_resolution_qualifier] = STATE(2522),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(612),
    [sym_nullsafe_member_call_expression] = STATE(612),
    [sym__variable_subscript_expression] = STATE(610),
    [sym__dereferencable_subscript_expression] = STATE(612),
    [sym__dereferencable_expression] = STATE(1948),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(766),
    [sym_attribute_group] = STATE(1373),
    [sym_attribute_list] = STATE(1879),
    [sym_encapsed_string] = STATE(767),
    [sym_string] = STATE(767),
    [sym_heredoc] = STATE(767),
    [sym_nowdoc] = STATE(767),
    [sym_shell_command_expression] = STATE(1039),
    [sym_boolean] = STATE(1036),
    [sym_null] = STATE(1036),
    [sym__string] = STATE(768),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(595),
    [sym__new_variable] = STATE(683),
    [sym__callable_variable] = STATE(657),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1026),
    [sym_binary_expression] = STATE(1026),
    [sym_include_expression] = STATE(1026),
    [sym_include_once_expression] = STATE(1026),
    [sym_require_expression] = STATE(1026),
    [sym_require_once_expression] = STATE(1026),
    [sym__reserved_identifier] = STATE(717),
    [sym__identifier] = STATE(1496),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(697),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(701),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(703),
    [anon_sym_DASH] = ACTIONS(703),
    [anon_sym_TILDE] = ACTIONS(705),
    [anon_sym_BANG] = ACTIONS(705),
    [anon_sym_AT] = ACTIONS(707),
    [aux_sym_clone_expression_token1] = ACTIONS(709),
    [aux_sym_print_intrinsic_token1] = ACTIONS(711),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(713),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(5),
  },
  [336] = {
    [sym_text_interpolation] = STATE(336),
    [sym_qualified_name] = STATE(810),
    [sym__name] = STATE(1626),
    [sym_namespace_name] = STATE(2507),
    [sym_static_modifier] = STATE(2368),
    [sym_anonymous_function] = STATE(1039),
    [sym__anonymous_function_header] = STATE(2318),
    [sym__arrow_function_header] = STATE(2639),
    [sym_arrow_function] = STATE(1039),
    [sym_literal] = STATE(1039),
    [sym_throw_expression] = STATE(1039),
    [sym_match_expression] = STATE(1026),
    [sym_expression] = STATE(1245),
    [sym__unary_expression] = STATE(1010),
    [sym_unary_op_expression] = STATE(1022),
    [sym_error_suppression_expression] = STATE(1026),
    [sym_clone_expression] = STATE(1022),
    [sym_primary_expression] = STATE(1022),
    [sym_parenthesized_expression] = STATE(811),
    [sym_class_constant_access_expression] = STATE(859),
    [sym_print_intrinsic] = STATE(1039),
    [sym_object_creation_expression] = STATE(1039),
    [sym__new_non_dereferencable_expression] = STATE(1009),
    [sym__new_dereferencable_expression] = STATE(842),
    [sym_update_expression] = STATE(1039),
    [sym_cast_expression] = STATE(1022),
    [sym_cast_variable] = STATE(681),
    [sym_assignment_expression] = STATE(1026),
    [sym_reference_assignment_expression] = STATE(1026),
    [sym_conditional_expression] = STATE(1026),
    [sym_augmented_assignment_expression] = STATE(1026),
    [sym__variable_member_access_expression] = STATE(613),
    [sym_member_access_expression] = STATE(681),
    [sym__variable_nullsafe_member_access_expression] = STATE(619),
    [sym_nullsafe_member_access_expression] = STATE(681),
    [sym__variable_scoped_property_access_expression] = STATE(602),
    [sym_scoped_property_access_expression] = STATE(681),
    [sym_list_literal] = STATE(2640),
    [sym__list_destructing] = STATE(2405),
    [sym__array_destructing] = STATE(2405),
    [sym_function_call_expression] = STATE(612),
    [sym__callable_expression] = STATE(2324),
    [sym_scoped_call_expression] = STATE(612),
    [sym__scope_resolution_qualifier] = STATE(2522),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(612),
    [sym_nullsafe_member_call_expression] = STATE(612),
    [sym__variable_subscript_expression] = STATE(610),
    [sym__dereferencable_subscript_expression] = STATE(612),
    [sym__dereferencable_expression] = STATE(1948),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(766),
    [sym_attribute_group] = STATE(1373),
    [sym_attribute_list] = STATE(1879),
    [sym_encapsed_string] = STATE(767),
    [sym_string] = STATE(767),
    [sym_heredoc] = STATE(767),
    [sym_nowdoc] = STATE(767),
    [sym_shell_command_expression] = STATE(1039),
    [sym_boolean] = STATE(1036),
    [sym_null] = STATE(1036),
    [sym__string] = STATE(768),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(595),
    [sym__new_variable] = STATE(683),
    [sym__callable_variable] = STATE(657),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1026),
    [sym_binary_expression] = STATE(1026),
    [sym_include_expression] = STATE(1026),
    [sym_include_once_expression] = STATE(1026),
    [sym_require_expression] = STATE(1026),
    [sym_require_once_expression] = STATE(1026),
    [sym__reserved_identifier] = STATE(717),
    [sym__identifier] = STATE(1496),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(697),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(701),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(703),
    [anon_sym_DASH] = ACTIONS(703),
    [anon_sym_TILDE] = ACTIONS(705),
    [anon_sym_BANG] = ACTIONS(705),
    [anon_sym_AT] = ACTIONS(707),
    [aux_sym_clone_expression_token1] = ACTIONS(709),
    [aux_sym_print_intrinsic_token1] = ACTIONS(711),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(713),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(5),
  },
  [337] = {
    [sym_text_interpolation] = STATE(337),
    [sym_qualified_name] = STATE(1000),
    [sym__name] = STATE(1631),
    [sym_namespace_name] = STATE(2575),
    [sym_static_modifier] = STATE(2368),
    [sym_anonymous_function] = STATE(1148),
    [sym__anonymous_function_header] = STATE(2489),
    [sym__arrow_function_header] = STATE(2731),
    [sym_arrow_function] = STATE(1148),
    [sym_literal] = STATE(1148),
    [sym_throw_expression] = STATE(1148),
    [sym_match_expression] = STATE(1152),
    [sym_expression] = STATE(1160),
    [sym__unary_expression] = STATE(1159),
    [sym_unary_op_expression] = STATE(1172),
    [sym_error_suppression_expression] = STATE(1152),
    [sym_clone_expression] = STATE(1172),
    [sym_primary_expression] = STATE(1172),
    [sym_parenthesized_expression] = STATE(964),
    [sym_class_constant_access_expression] = STATE(1019),
    [sym_print_intrinsic] = STATE(1148),
    [sym_object_creation_expression] = STATE(1148),
    [sym__new_non_dereferencable_expression] = STATE(1168),
    [sym__new_dereferencable_expression] = STATE(966),
    [sym_update_expression] = STATE(1148),
    [sym_cast_expression] = STATE(1172),
    [sym_cast_variable] = STATE(661),
    [sym_assignment_expression] = STATE(1152),
    [sym_reference_assignment_expression] = STATE(1152),
    [sym_conditional_expression] = STATE(1152),
    [sym_augmented_assignment_expression] = STATE(1152),
    [sym__variable_member_access_expression] = STATE(674),
    [sym_member_access_expression] = STATE(661),
    [sym__variable_nullsafe_member_access_expression] = STATE(663),
    [sym_nullsafe_member_access_expression] = STATE(661),
    [sym__variable_scoped_property_access_expression] = STATE(664),
    [sym_scoped_property_access_expression] = STATE(661),
    [sym_list_literal] = STATE(2530),
    [sym__list_destructing] = STATE(2405),
    [sym__array_destructing] = STATE(2405),
    [sym_function_call_expression] = STATE(634),
    [sym__callable_expression] = STATE(2471),
    [sym_scoped_call_expression] = STATE(634),
    [sym__scope_resolution_qualifier] = STATE(2651),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(634),
    [sym_nullsafe_member_call_expression] = STATE(634),
    [sym__variable_subscript_expression] = STATE(665),
    [sym__dereferencable_subscript_expression] = STATE(634),
    [sym__dereferencable_expression] = STATE(1946),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(1005),
    [sym_attribute_group] = STATE(1373),
    [sym_attribute_list] = STATE(1879),
    [sym_encapsed_string] = STATE(927),
    [sym_string] = STATE(927),
    [sym_heredoc] = STATE(927),
    [sym_nowdoc] = STATE(927),
    [sym_shell_command_expression] = STATE(1148),
    [sym_boolean] = STATE(1162),
    [sym_null] = STATE(1162),
    [sym__string] = STATE(941),
    [sym_dynamic_variable_name] = STATE(650),
    [sym__simple_variable] = STATE(654),
    [sym__new_variable] = STATE(667),
    [sym__callable_variable] = STATE(629),
    [sym_variable_name] = STATE(650),
    [sym_yield_expression] = STATE(1152),
    [sym_binary_expression] = STATE(1152),
    [sym_include_expression] = STATE(1152),
    [sym_include_once_expression] = STATE(1152),
    [sym_require_expression] = STATE(1152),
    [sym_require_once_expression] = STATE(1152),
    [sym__reserved_identifier] = STATE(717),
    [sym__identifier] = STATE(1496),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(689),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LPAREN2] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [sym_float] = ACTIONS(266),
    [sym_integer] = ACTIONS(266),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [338] = {
    [sym_text_interpolation] = STATE(338),
    [sym_qualified_name] = STATE(1000),
    [sym__name] = STATE(1631),
    [sym_namespace_name] = STATE(2575),
    [sym_static_modifier] = STATE(2368),
    [sym_anonymous_function] = STATE(1148),
    [sym__anonymous_function_header] = STATE(2489),
    [sym__arrow_function_header] = STATE(2731),
    [sym_arrow_function] = STATE(1148),
    [sym_literal] = STATE(1148),
    [sym_throw_expression] = STATE(1148),
    [sym_match_expression] = STATE(1152),
    [sym_expression] = STATE(1083),
    [sym__unary_expression] = STATE(1159),
    [sym_unary_op_expression] = STATE(1172),
    [sym_error_suppression_expression] = STATE(1152),
    [sym_clone_expression] = STATE(1172),
    [sym_primary_expression] = STATE(1172),
    [sym_parenthesized_expression] = STATE(964),
    [sym_class_constant_access_expression] = STATE(1019),
    [sym_print_intrinsic] = STATE(1148),
    [sym_object_creation_expression] = STATE(1148),
    [sym__new_non_dereferencable_expression] = STATE(1168),
    [sym__new_dereferencable_expression] = STATE(966),
    [sym_update_expression] = STATE(1148),
    [sym_cast_expression] = STATE(1172),
    [sym_cast_variable] = STATE(661),
    [sym_assignment_expression] = STATE(1152),
    [sym_reference_assignment_expression] = STATE(1152),
    [sym_conditional_expression] = STATE(1152),
    [sym_augmented_assignment_expression] = STATE(1152),
    [sym__variable_member_access_expression] = STATE(674),
    [sym_member_access_expression] = STATE(661),
    [sym__variable_nullsafe_member_access_expression] = STATE(663),
    [sym_nullsafe_member_access_expression] = STATE(661),
    [sym__variable_scoped_property_access_expression] = STATE(664),
    [sym_scoped_property_access_expression] = STATE(661),
    [sym_list_literal] = STATE(2530),
    [sym__list_destructing] = STATE(2405),
    [sym__array_destructing] = STATE(2405),
    [sym_function_call_expression] = STATE(634),
    [sym__callable_expression] = STATE(2471),
    [sym_scoped_call_expression] = STATE(634),
    [sym__scope_resolution_qualifier] = STATE(2651),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(634),
    [sym_nullsafe_member_call_expression] = STATE(634),
    [sym__variable_subscript_expression] = STATE(665),
    [sym__dereferencable_subscript_expression] = STATE(634),
    [sym__dereferencable_expression] = STATE(1946),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(1005),
    [sym_attribute_group] = STATE(1373),
    [sym_attribute_list] = STATE(1879),
    [sym_encapsed_string] = STATE(927),
    [sym_string] = STATE(927),
    [sym_heredoc] = STATE(927),
    [sym_nowdoc] = STATE(927),
    [sym_shell_command_expression] = STATE(1148),
    [sym_boolean] = STATE(1162),
    [sym_null] = STATE(1162),
    [sym__string] = STATE(941),
    [sym_dynamic_variable_name] = STATE(650),
    [sym__simple_variable] = STATE(654),
    [sym__new_variable] = STATE(667),
    [sym__callable_variable] = STATE(629),
    [sym_variable_name] = STATE(650),
    [sym_yield_expression] = STATE(1152),
    [sym_binary_expression] = STATE(1152),
    [sym_include_expression] = STATE(1152),
    [sym_include_once_expression] = STATE(1152),
    [sym_require_expression] = STATE(1152),
    [sym_require_once_expression] = STATE(1152),
    [sym__reserved_identifier] = STATE(717),
    [sym__identifier] = STATE(1496),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(689),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LPAREN2] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [sym_float] = ACTIONS(266),
    [sym_integer] = ACTIONS(266),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [339] = {
    [sym_text_interpolation] = STATE(339),
    [sym_qualified_name] = STATE(810),
    [sym__name] = STATE(1626),
    [sym_namespace_name] = STATE(2507),
    [sym_static_modifier] = STATE(2368),
    [sym_anonymous_function] = STATE(1039),
    [sym__anonymous_function_header] = STATE(2318),
    [sym__arrow_function_header] = STATE(2547),
    [sym_arrow_function] = STATE(1039),
    [sym_literal] = STATE(1039),
    [sym_throw_expression] = STATE(1039),
    [sym_match_expression] = STATE(1026),
    [sym_expression] = STATE(1165),
    [sym__unary_expression] = STATE(1010),
    [sym_unary_op_expression] = STATE(1022),
    [sym_error_suppression_expression] = STATE(1026),
    [sym_clone_expression] = STATE(1022),
    [sym_primary_expression] = STATE(1022),
    [sym_parenthesized_expression] = STATE(811),
    [sym_class_constant_access_expression] = STATE(859),
    [sym_print_intrinsic] = STATE(1039),
    [sym_object_creation_expression] = STATE(1039),
    [sym__new_non_dereferencable_expression] = STATE(1009),
    [sym__new_dereferencable_expression] = STATE(842),
    [sym_update_expression] = STATE(1039),
    [sym_cast_expression] = STATE(1022),
    [sym_cast_variable] = STATE(656),
    [sym_assignment_expression] = STATE(1026),
    [sym_reference_assignment_expression] = STATE(1026),
    [sym_conditional_expression] = STATE(1026),
    [sym_augmented_assignment_expression] = STATE(1026),
    [sym__variable_member_access_expression] = STATE(613),
    [sym_member_access_expression] = STATE(656),
    [sym__variable_nullsafe_member_access_expression] = STATE(619),
    [sym_nullsafe_member_access_expression] = STATE(656),
    [sym__variable_scoped_property_access_expression] = STATE(602),
    [sym_scoped_property_access_expression] = STATE(656),
    [sym_list_literal] = STATE(2548),
    [sym__list_destructing] = STATE(2405),
    [sym__array_destructing] = STATE(2405),
    [sym_function_call_expression] = STATE(612),
    [sym__callable_expression] = STATE(2324),
    [sym_scoped_call_expression] = STATE(612),
    [sym__scope_resolution_qualifier] = STATE(2522),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(612),
    [sym_nullsafe_member_call_expression] = STATE(612),
    [sym__variable_subscript_expression] = STATE(610),
    [sym__dereferencable_subscript_expression] = STATE(612),
    [sym__dereferencable_expression] = STATE(1948),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(766),
    [sym_attribute_group] = STATE(1373),
    [sym_attribute_list] = STATE(1879),
    [sym_encapsed_string] = STATE(767),
    [sym_string] = STATE(767),
    [sym_heredoc] = STATE(767),
    [sym_nowdoc] = STATE(767),
    [sym_shell_command_expression] = STATE(1039),
    [sym_boolean] = STATE(1036),
    [sym_null] = STATE(1036),
    [sym__string] = STATE(768),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(595),
    [sym__new_variable] = STATE(662),
    [sym__callable_variable] = STATE(646),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1026),
    [sym_binary_expression] = STATE(1026),
    [sym_include_expression] = STATE(1026),
    [sym_include_once_expression] = STATE(1026),
    [sym_require_expression] = STATE(1026),
    [sym_require_once_expression] = STATE(1026),
    [sym__reserved_identifier] = STATE(717),
    [sym__identifier] = STATE(1496),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(659),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(663),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(665),
    [anon_sym_DASH] = ACTIONS(665),
    [anon_sym_TILDE] = ACTIONS(667),
    [anon_sym_BANG] = ACTIONS(667),
    [anon_sym_AT] = ACTIONS(669),
    [aux_sym_clone_expression_token1] = ACTIONS(671),
    [aux_sym_print_intrinsic_token1] = ACTIONS(673),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(675),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(677),
    [aux_sym_include_expression_token1] = ACTIONS(681),
    [aux_sym_include_once_expression_token1] = ACTIONS(683),
    [aux_sym_require_expression_token1] = ACTIONS(685),
    [aux_sym_require_once_expression_token1] = ACTIONS(687),
    [sym_comment] = ACTIONS(5),
  },
  [340] = {
    [sym_text_interpolation] = STATE(340),
    [sym_qualified_name] = STATE(810),
    [sym__name] = STATE(1626),
    [sym_namespace_name] = STATE(2507),
    [sym_static_modifier] = STATE(2368),
    [sym_anonymous_function] = STATE(1039),
    [sym__anonymous_function_header] = STATE(2318),
    [sym__arrow_function_header] = STATE(2547),
    [sym_arrow_function] = STATE(1039),
    [sym_literal] = STATE(1039),
    [sym_throw_expression] = STATE(1039),
    [sym_match_expression] = STATE(1026),
    [sym_expression] = STATE(1252),
    [sym__unary_expression] = STATE(1010),
    [sym_unary_op_expression] = STATE(1022),
    [sym_error_suppression_expression] = STATE(1026),
    [sym_clone_expression] = STATE(1022),
    [sym_primary_expression] = STATE(1022),
    [sym_parenthesized_expression] = STATE(811),
    [sym_class_constant_access_expression] = STATE(859),
    [sym_print_intrinsic] = STATE(1039),
    [sym_object_creation_expression] = STATE(1039),
    [sym__new_non_dereferencable_expression] = STATE(1009),
    [sym__new_dereferencable_expression] = STATE(842),
    [sym_update_expression] = STATE(1039),
    [sym_cast_expression] = STATE(1022),
    [sym_cast_variable] = STATE(656),
    [sym_assignment_expression] = STATE(1026),
    [sym_reference_assignment_expression] = STATE(1026),
    [sym_conditional_expression] = STATE(1026),
    [sym_augmented_assignment_expression] = STATE(1026),
    [sym__variable_member_access_expression] = STATE(613),
    [sym_member_access_expression] = STATE(656),
    [sym__variable_nullsafe_member_access_expression] = STATE(619),
    [sym_nullsafe_member_access_expression] = STATE(656),
    [sym__variable_scoped_property_access_expression] = STATE(602),
    [sym_scoped_property_access_expression] = STATE(656),
    [sym_list_literal] = STATE(2548),
    [sym__list_destructing] = STATE(2405),
    [sym__array_destructing] = STATE(2405),
    [sym_function_call_expression] = STATE(612),
    [sym__callable_expression] = STATE(2324),
    [sym_scoped_call_expression] = STATE(612),
    [sym__scope_resolution_qualifier] = STATE(2522),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(612),
    [sym_nullsafe_member_call_expression] = STATE(612),
    [sym__variable_subscript_expression] = STATE(610),
    [sym__dereferencable_subscript_expression] = STATE(612),
    [sym__dereferencable_expression] = STATE(1948),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(766),
    [sym_attribute_group] = STATE(1373),
    [sym_attribute_list] = STATE(1879),
    [sym_encapsed_string] = STATE(767),
    [sym_string] = STATE(767),
    [sym_heredoc] = STATE(767),
    [sym_nowdoc] = STATE(767),
    [sym_shell_command_expression] = STATE(1039),
    [sym_boolean] = STATE(1036),
    [sym_null] = STATE(1036),
    [sym__string] = STATE(768),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(595),
    [sym__new_variable] = STATE(662),
    [sym__callable_variable] = STATE(646),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1026),
    [sym_binary_expression] = STATE(1026),
    [sym_include_expression] = STATE(1026),
    [sym_include_once_expression] = STATE(1026),
    [sym_require_expression] = STATE(1026),
    [sym_require_once_expression] = STATE(1026),
    [sym__reserved_identifier] = STATE(717),
    [sym__identifier] = STATE(1496),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(659),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(663),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(665),
    [anon_sym_DASH] = ACTIONS(665),
    [anon_sym_TILDE] = ACTIONS(667),
    [anon_sym_BANG] = ACTIONS(667),
    [anon_sym_AT] = ACTIONS(669),
    [aux_sym_clone_expression_token1] = ACTIONS(671),
    [aux_sym_print_intrinsic_token1] = ACTIONS(673),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(675),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(677),
    [aux_sym_include_expression_token1] = ACTIONS(681),
    [aux_sym_include_once_expression_token1] = ACTIONS(683),
    [aux_sym_require_expression_token1] = ACTIONS(685),
    [aux_sym_require_once_expression_token1] = ACTIONS(687),
    [sym_comment] = ACTIONS(5),
  },
  [341] = {
    [sym_text_interpolation] = STATE(341),
    [sym_qualified_name] = STATE(810),
    [sym__name] = STATE(1626),
    [sym_namespace_name] = STATE(2507),
    [sym_static_modifier] = STATE(2368),
    [sym_anonymous_function] = STATE(1039),
    [sym__anonymous_function_header] = STATE(2318),
    [sym__arrow_function_header] = STATE(2547),
    [sym_arrow_function] = STATE(1039),
    [sym_literal] = STATE(1039),
    [sym_throw_expression] = STATE(1039),
    [sym_match_expression] = STATE(1026),
    [sym_expression] = STATE(1015),
    [sym__unary_expression] = STATE(1010),
    [sym_unary_op_expression] = STATE(1022),
    [sym_error_suppression_expression] = STATE(1026),
    [sym_clone_expression] = STATE(1022),
    [sym_primary_expression] = STATE(1022),
    [sym_parenthesized_expression] = STATE(811),
    [sym_class_constant_access_expression] = STATE(859),
    [sym_print_intrinsic] = STATE(1039),
    [sym_object_creation_expression] = STATE(1039),
    [sym__new_non_dereferencable_expression] = STATE(1009),
    [sym__new_dereferencable_expression] = STATE(842),
    [sym_update_expression] = STATE(1039),
    [sym_cast_expression] = STATE(1022),
    [sym_cast_variable] = STATE(656),
    [sym_assignment_expression] = STATE(1026),
    [sym_reference_assignment_expression] = STATE(1026),
    [sym_conditional_expression] = STATE(1026),
    [sym_augmented_assignment_expression] = STATE(1026),
    [sym__variable_member_access_expression] = STATE(613),
    [sym_member_access_expression] = STATE(656),
    [sym__variable_nullsafe_member_access_expression] = STATE(619),
    [sym_nullsafe_member_access_expression] = STATE(656),
    [sym__variable_scoped_property_access_expression] = STATE(602),
    [sym_scoped_property_access_expression] = STATE(656),
    [sym_list_literal] = STATE(2548),
    [sym__list_destructing] = STATE(2405),
    [sym__array_destructing] = STATE(2405),
    [sym_function_call_expression] = STATE(612),
    [sym__callable_expression] = STATE(2324),
    [sym_scoped_call_expression] = STATE(612),
    [sym__scope_resolution_qualifier] = STATE(2522),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(612),
    [sym_nullsafe_member_call_expression] = STATE(612),
    [sym__variable_subscript_expression] = STATE(610),
    [sym__dereferencable_subscript_expression] = STATE(612),
    [sym__dereferencable_expression] = STATE(1948),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(766),
    [sym_attribute_group] = STATE(1373),
    [sym_attribute_list] = STATE(1879),
    [sym_encapsed_string] = STATE(767),
    [sym_string] = STATE(767),
    [sym_heredoc] = STATE(767),
    [sym_nowdoc] = STATE(767),
    [sym_shell_command_expression] = STATE(1039),
    [sym_boolean] = STATE(1036),
    [sym_null] = STATE(1036),
    [sym__string] = STATE(768),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(595),
    [sym__new_variable] = STATE(662),
    [sym__callable_variable] = STATE(646),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1026),
    [sym_binary_expression] = STATE(1026),
    [sym_include_expression] = STATE(1026),
    [sym_include_once_expression] = STATE(1026),
    [sym_require_expression] = STATE(1026),
    [sym_require_once_expression] = STATE(1026),
    [sym__reserved_identifier] = STATE(717),
    [sym__identifier] = STATE(1496),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(659),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(663),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(665),
    [anon_sym_DASH] = ACTIONS(665),
    [anon_sym_TILDE] = ACTIONS(667),
    [anon_sym_BANG] = ACTIONS(667),
    [anon_sym_AT] = ACTIONS(669),
    [aux_sym_clone_expression_token1] = ACTIONS(671),
    [aux_sym_print_intrinsic_token1] = ACTIONS(673),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(675),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(677),
    [aux_sym_include_expression_token1] = ACTIONS(681),
    [aux_sym_include_once_expression_token1] = ACTIONS(683),
    [aux_sym_require_expression_token1] = ACTIONS(685),
    [aux_sym_require_once_expression_token1] = ACTIONS(687),
    [sym_comment] = ACTIONS(5),
  },
  [342] = {
    [sym_text_interpolation] = STATE(342),
    [sym_qualified_name] = STATE(810),
    [sym__name] = STATE(1626),
    [sym_namespace_name] = STATE(2507),
    [sym_static_modifier] = STATE(2368),
    [sym_anonymous_function] = STATE(1039),
    [sym__anonymous_function_header] = STATE(2318),
    [sym__arrow_function_header] = STATE(2547),
    [sym_arrow_function] = STATE(1039),
    [sym_literal] = STATE(1039),
    [sym_throw_expression] = STATE(1039),
    [sym_match_expression] = STATE(1026),
    [sym_expression] = STATE(1166),
    [sym__unary_expression] = STATE(1010),
    [sym_unary_op_expression] = STATE(1022),
    [sym_error_suppression_expression] = STATE(1026),
    [sym_clone_expression] = STATE(1022),
    [sym_primary_expression] = STATE(1022),
    [sym_parenthesized_expression] = STATE(811),
    [sym_class_constant_access_expression] = STATE(859),
    [sym_print_intrinsic] = STATE(1039),
    [sym_object_creation_expression] = STATE(1039),
    [sym__new_non_dereferencable_expression] = STATE(1009),
    [sym__new_dereferencable_expression] = STATE(842),
    [sym_update_expression] = STATE(1039),
    [sym_cast_expression] = STATE(1022),
    [sym_cast_variable] = STATE(656),
    [sym_assignment_expression] = STATE(1026),
    [sym_reference_assignment_expression] = STATE(1026),
    [sym_conditional_expression] = STATE(1026),
    [sym_augmented_assignment_expression] = STATE(1026),
    [sym__variable_member_access_expression] = STATE(613),
    [sym_member_access_expression] = STATE(656),
    [sym__variable_nullsafe_member_access_expression] = STATE(619),
    [sym_nullsafe_member_access_expression] = STATE(656),
    [sym__variable_scoped_property_access_expression] = STATE(602),
    [sym_scoped_property_access_expression] = STATE(656),
    [sym_list_literal] = STATE(2548),
    [sym__list_destructing] = STATE(2405),
    [sym__array_destructing] = STATE(2405),
    [sym_function_call_expression] = STATE(612),
    [sym__callable_expression] = STATE(2324),
    [sym_scoped_call_expression] = STATE(612),
    [sym__scope_resolution_qualifier] = STATE(2522),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(612),
    [sym_nullsafe_member_call_expression] = STATE(612),
    [sym__variable_subscript_expression] = STATE(610),
    [sym__dereferencable_subscript_expression] = STATE(612),
    [sym__dereferencable_expression] = STATE(1948),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(766),
    [sym_attribute_group] = STATE(1373),
    [sym_attribute_list] = STATE(1879),
    [sym_encapsed_string] = STATE(767),
    [sym_string] = STATE(767),
    [sym_heredoc] = STATE(767),
    [sym_nowdoc] = STATE(767),
    [sym_shell_command_expression] = STATE(1039),
    [sym_boolean] = STATE(1036),
    [sym_null] = STATE(1036),
    [sym__string] = STATE(768),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(595),
    [sym__new_variable] = STATE(662),
    [sym__callable_variable] = STATE(646),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1026),
    [sym_binary_expression] = STATE(1026),
    [sym_include_expression] = STATE(1026),
    [sym_include_once_expression] = STATE(1026),
    [sym_require_expression] = STATE(1026),
    [sym_require_once_expression] = STATE(1026),
    [sym__reserved_identifier] = STATE(717),
    [sym__identifier] = STATE(1496),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(659),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(663),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(665),
    [anon_sym_DASH] = ACTIONS(665),
    [anon_sym_TILDE] = ACTIONS(667),
    [anon_sym_BANG] = ACTIONS(667),
    [anon_sym_AT] = ACTIONS(669),
    [aux_sym_clone_expression_token1] = ACTIONS(671),
    [aux_sym_print_intrinsic_token1] = ACTIONS(673),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(675),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(677),
    [aux_sym_include_expression_token1] = ACTIONS(681),
    [aux_sym_include_once_expression_token1] = ACTIONS(683),
    [aux_sym_require_expression_token1] = ACTIONS(685),
    [aux_sym_require_once_expression_token1] = ACTIONS(687),
    [sym_comment] = ACTIONS(5),
  },
  [343] = {
    [sym_text_interpolation] = STATE(343),
    [sym_qualified_name] = STATE(810),
    [sym__name] = STATE(1626),
    [sym_namespace_name] = STATE(2507),
    [sym_static_modifier] = STATE(2368),
    [sym_anonymous_function] = STATE(1039),
    [sym__anonymous_function_header] = STATE(2318),
    [sym__arrow_function_header] = STATE(2547),
    [sym_arrow_function] = STATE(1039),
    [sym_literal] = STATE(1039),
    [sym_throw_expression] = STATE(1039),
    [sym_match_expression] = STATE(1026),
    [sym_expression] = STATE(1081),
    [sym__unary_expression] = STATE(1010),
    [sym_unary_op_expression] = STATE(1022),
    [sym_error_suppression_expression] = STATE(1026),
    [sym_clone_expression] = STATE(1022),
    [sym_primary_expression] = STATE(1022),
    [sym_parenthesized_expression] = STATE(811),
    [sym_class_constant_access_expression] = STATE(859),
    [sym_print_intrinsic] = STATE(1039),
    [sym_object_creation_expression] = STATE(1039),
    [sym__new_non_dereferencable_expression] = STATE(1009),
    [sym__new_dereferencable_expression] = STATE(842),
    [sym_update_expression] = STATE(1039),
    [sym_cast_expression] = STATE(1022),
    [sym_cast_variable] = STATE(656),
    [sym_assignment_expression] = STATE(1026),
    [sym_reference_assignment_expression] = STATE(1026),
    [sym_conditional_expression] = STATE(1026),
    [sym_augmented_assignment_expression] = STATE(1026),
    [sym__variable_member_access_expression] = STATE(613),
    [sym_member_access_expression] = STATE(656),
    [sym__variable_nullsafe_member_access_expression] = STATE(619),
    [sym_nullsafe_member_access_expression] = STATE(656),
    [sym__variable_scoped_property_access_expression] = STATE(602),
    [sym_scoped_property_access_expression] = STATE(656),
    [sym_list_literal] = STATE(2548),
    [sym__list_destructing] = STATE(2405),
    [sym__array_destructing] = STATE(2405),
    [sym_function_call_expression] = STATE(612),
    [sym__callable_expression] = STATE(2324),
    [sym_scoped_call_expression] = STATE(612),
    [sym__scope_resolution_qualifier] = STATE(2522),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(612),
    [sym_nullsafe_member_call_expression] = STATE(612),
    [sym__variable_subscript_expression] = STATE(610),
    [sym__dereferencable_subscript_expression] = STATE(612),
    [sym__dereferencable_expression] = STATE(1948),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(766),
    [sym_attribute_group] = STATE(1373),
    [sym_attribute_list] = STATE(1879),
    [sym_encapsed_string] = STATE(767),
    [sym_string] = STATE(767),
    [sym_heredoc] = STATE(767),
    [sym_nowdoc] = STATE(767),
    [sym_shell_command_expression] = STATE(1039),
    [sym_boolean] = STATE(1036),
    [sym_null] = STATE(1036),
    [sym__string] = STATE(768),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(595),
    [sym__new_variable] = STATE(662),
    [sym__callable_variable] = STATE(646),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1026),
    [sym_binary_expression] = STATE(1026),
    [sym_include_expression] = STATE(1026),
    [sym_include_once_expression] = STATE(1026),
    [sym_require_expression] = STATE(1026),
    [sym_require_once_expression] = STATE(1026),
    [sym__reserved_identifier] = STATE(717),
    [sym__identifier] = STATE(1496),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(659),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(663),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(665),
    [anon_sym_DASH] = ACTIONS(665),
    [anon_sym_TILDE] = ACTIONS(667),
    [anon_sym_BANG] = ACTIONS(667),
    [anon_sym_AT] = ACTIONS(669),
    [aux_sym_clone_expression_token1] = ACTIONS(671),
    [aux_sym_print_intrinsic_token1] = ACTIONS(673),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(675),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(677),
    [aux_sym_include_expression_token1] = ACTIONS(681),
    [aux_sym_include_once_expression_token1] = ACTIONS(683),
    [aux_sym_require_expression_token1] = ACTIONS(685),
    [aux_sym_require_once_expression_token1] = ACTIONS(687),
    [sym_comment] = ACTIONS(5),
  },
  [344] = {
    [sym_text_interpolation] = STATE(344),
    [sym_qualified_name] = STATE(810),
    [sym__name] = STATE(1626),
    [sym_namespace_name] = STATE(2507),
    [sym_static_modifier] = STATE(2368),
    [sym_anonymous_function] = STATE(1039),
    [sym__anonymous_function_header] = STATE(2318),
    [sym__arrow_function_header] = STATE(2547),
    [sym_arrow_function] = STATE(1039),
    [sym_literal] = STATE(1039),
    [sym_throw_expression] = STATE(1039),
    [sym_match_expression] = STATE(1026),
    [sym_expression] = STATE(1169),
    [sym__unary_expression] = STATE(1010),
    [sym_unary_op_expression] = STATE(1022),
    [sym_error_suppression_expression] = STATE(1026),
    [sym_clone_expression] = STATE(1022),
    [sym_primary_expression] = STATE(1022),
    [sym_parenthesized_expression] = STATE(811),
    [sym_class_constant_access_expression] = STATE(859),
    [sym_print_intrinsic] = STATE(1039),
    [sym_object_creation_expression] = STATE(1039),
    [sym__new_non_dereferencable_expression] = STATE(1009),
    [sym__new_dereferencable_expression] = STATE(842),
    [sym_update_expression] = STATE(1039),
    [sym_cast_expression] = STATE(1022),
    [sym_cast_variable] = STATE(656),
    [sym_assignment_expression] = STATE(1026),
    [sym_reference_assignment_expression] = STATE(1026),
    [sym_conditional_expression] = STATE(1026),
    [sym_augmented_assignment_expression] = STATE(1026),
    [sym__variable_member_access_expression] = STATE(613),
    [sym_member_access_expression] = STATE(656),
    [sym__variable_nullsafe_member_access_expression] = STATE(619),
    [sym_nullsafe_member_access_expression] = STATE(656),
    [sym__variable_scoped_property_access_expression] = STATE(602),
    [sym_scoped_property_access_expression] = STATE(656),
    [sym_list_literal] = STATE(2548),
    [sym__list_destructing] = STATE(2405),
    [sym__array_destructing] = STATE(2405),
    [sym_function_call_expression] = STATE(612),
    [sym__callable_expression] = STATE(2324),
    [sym_scoped_call_expression] = STATE(612),
    [sym__scope_resolution_qualifier] = STATE(2522),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(612),
    [sym_nullsafe_member_call_expression] = STATE(612),
    [sym__variable_subscript_expression] = STATE(610),
    [sym__dereferencable_subscript_expression] = STATE(612),
    [sym__dereferencable_expression] = STATE(1948),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(766),
    [sym_attribute_group] = STATE(1373),
    [sym_attribute_list] = STATE(1879),
    [sym_encapsed_string] = STATE(767),
    [sym_string] = STATE(767),
    [sym_heredoc] = STATE(767),
    [sym_nowdoc] = STATE(767),
    [sym_shell_command_expression] = STATE(1039),
    [sym_boolean] = STATE(1036),
    [sym_null] = STATE(1036),
    [sym__string] = STATE(768),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(595),
    [sym__new_variable] = STATE(662),
    [sym__callable_variable] = STATE(646),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1026),
    [sym_binary_expression] = STATE(1026),
    [sym_include_expression] = STATE(1026),
    [sym_include_once_expression] = STATE(1026),
    [sym_require_expression] = STATE(1026),
    [sym_require_once_expression] = STATE(1026),
    [sym__reserved_identifier] = STATE(717),
    [sym__identifier] = STATE(1496),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(659),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(663),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(665),
    [anon_sym_DASH] = ACTIONS(665),
    [anon_sym_TILDE] = ACTIONS(667),
    [anon_sym_BANG] = ACTIONS(667),
    [anon_sym_AT] = ACTIONS(669),
    [aux_sym_clone_expression_token1] = ACTIONS(671),
    [aux_sym_print_intrinsic_token1] = ACTIONS(673),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(675),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(677),
    [aux_sym_include_expression_token1] = ACTIONS(681),
    [aux_sym_include_once_expression_token1] = ACTIONS(683),
    [aux_sym_require_expression_token1] = ACTIONS(685),
    [aux_sym_require_once_expression_token1] = ACTIONS(687),
    [sym_comment] = ACTIONS(5),
  },
  [345] = {
    [sym_text_interpolation] = STATE(345),
    [sym_qualified_name] = STATE(810),
    [sym__name] = STATE(1626),
    [sym_namespace_name] = STATE(2507),
    [sym_static_modifier] = STATE(2368),
    [sym_anonymous_function] = STATE(1039),
    [sym__anonymous_function_header] = STATE(2318),
    [sym__arrow_function_header] = STATE(2547),
    [sym_arrow_function] = STATE(1039),
    [sym_literal] = STATE(1039),
    [sym_throw_expression] = STATE(1039),
    [sym_match_expression] = STATE(1026),
    [sym_expression] = STATE(1170),
    [sym__unary_expression] = STATE(1010),
    [sym_unary_op_expression] = STATE(1022),
    [sym_error_suppression_expression] = STATE(1026),
    [sym_clone_expression] = STATE(1022),
    [sym_primary_expression] = STATE(1022),
    [sym_parenthesized_expression] = STATE(811),
    [sym_class_constant_access_expression] = STATE(859),
    [sym_print_intrinsic] = STATE(1039),
    [sym_object_creation_expression] = STATE(1039),
    [sym__new_non_dereferencable_expression] = STATE(1009),
    [sym__new_dereferencable_expression] = STATE(842),
    [sym_update_expression] = STATE(1039),
    [sym_cast_expression] = STATE(1022),
    [sym_cast_variable] = STATE(656),
    [sym_assignment_expression] = STATE(1026),
    [sym_reference_assignment_expression] = STATE(1026),
    [sym_conditional_expression] = STATE(1026),
    [sym_augmented_assignment_expression] = STATE(1026),
    [sym__variable_member_access_expression] = STATE(613),
    [sym_member_access_expression] = STATE(656),
    [sym__variable_nullsafe_member_access_expression] = STATE(619),
    [sym_nullsafe_member_access_expression] = STATE(656),
    [sym__variable_scoped_property_access_expression] = STATE(602),
    [sym_scoped_property_access_expression] = STATE(656),
    [sym_list_literal] = STATE(2548),
    [sym__list_destructing] = STATE(2405),
    [sym__array_destructing] = STATE(2405),
    [sym_function_call_expression] = STATE(612),
    [sym__callable_expression] = STATE(2324),
    [sym_scoped_call_expression] = STATE(612),
    [sym__scope_resolution_qualifier] = STATE(2522),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(612),
    [sym_nullsafe_member_call_expression] = STATE(612),
    [sym__variable_subscript_expression] = STATE(610),
    [sym__dereferencable_subscript_expression] = STATE(612),
    [sym__dereferencable_expression] = STATE(1948),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(766),
    [sym_attribute_group] = STATE(1373),
    [sym_attribute_list] = STATE(1879),
    [sym_encapsed_string] = STATE(767),
    [sym_string] = STATE(767),
    [sym_heredoc] = STATE(767),
    [sym_nowdoc] = STATE(767),
    [sym_shell_command_expression] = STATE(1039),
    [sym_boolean] = STATE(1036),
    [sym_null] = STATE(1036),
    [sym__string] = STATE(768),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(595),
    [sym__new_variable] = STATE(662),
    [sym__callable_variable] = STATE(646),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1026),
    [sym_binary_expression] = STATE(1026),
    [sym_include_expression] = STATE(1026),
    [sym_include_once_expression] = STATE(1026),
    [sym_require_expression] = STATE(1026),
    [sym_require_once_expression] = STATE(1026),
    [sym__reserved_identifier] = STATE(717),
    [sym__identifier] = STATE(1496),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(659),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(663),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(665),
    [anon_sym_DASH] = ACTIONS(665),
    [anon_sym_TILDE] = ACTIONS(667),
    [anon_sym_BANG] = ACTIONS(667),
    [anon_sym_AT] = ACTIONS(669),
    [aux_sym_clone_expression_token1] = ACTIONS(671),
    [aux_sym_print_intrinsic_token1] = ACTIONS(673),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(675),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(677),
    [aux_sym_include_expression_token1] = ACTIONS(681),
    [aux_sym_include_once_expression_token1] = ACTIONS(683),
    [aux_sym_require_expression_token1] = ACTIONS(685),
    [aux_sym_require_once_expression_token1] = ACTIONS(687),
    [sym_comment] = ACTIONS(5),
  },
  [346] = {
    [sym_text_interpolation] = STATE(346),
    [sym_qualified_name] = STATE(810),
    [sym__name] = STATE(1626),
    [sym_namespace_name] = STATE(2507),
    [sym_static_modifier] = STATE(2368),
    [sym_anonymous_function] = STATE(1039),
    [sym__anonymous_function_header] = STATE(2318),
    [sym__arrow_function_header] = STATE(2547),
    [sym_arrow_function] = STATE(1039),
    [sym_literal] = STATE(1039),
    [sym_throw_expression] = STATE(1039),
    [sym_match_expression] = STATE(1026),
    [sym_expression] = STATE(1171),
    [sym__unary_expression] = STATE(1010),
    [sym_unary_op_expression] = STATE(1022),
    [sym_error_suppression_expression] = STATE(1026),
    [sym_clone_expression] = STATE(1022),
    [sym_primary_expression] = STATE(1022),
    [sym_parenthesized_expression] = STATE(811),
    [sym_class_constant_access_expression] = STATE(859),
    [sym_print_intrinsic] = STATE(1039),
    [sym_object_creation_expression] = STATE(1039),
    [sym__new_non_dereferencable_expression] = STATE(1009),
    [sym__new_dereferencable_expression] = STATE(842),
    [sym_update_expression] = STATE(1039),
    [sym_cast_expression] = STATE(1022),
    [sym_cast_variable] = STATE(656),
    [sym_assignment_expression] = STATE(1026),
    [sym_reference_assignment_expression] = STATE(1026),
    [sym_conditional_expression] = STATE(1026),
    [sym_augmented_assignment_expression] = STATE(1026),
    [sym__variable_member_access_expression] = STATE(613),
    [sym_member_access_expression] = STATE(656),
    [sym__variable_nullsafe_member_access_expression] = STATE(619),
    [sym_nullsafe_member_access_expression] = STATE(656),
    [sym__variable_scoped_property_access_expression] = STATE(602),
    [sym_scoped_property_access_expression] = STATE(656),
    [sym_list_literal] = STATE(2548),
    [sym__list_destructing] = STATE(2405),
    [sym__array_destructing] = STATE(2405),
    [sym_function_call_expression] = STATE(612),
    [sym__callable_expression] = STATE(2324),
    [sym_scoped_call_expression] = STATE(612),
    [sym__scope_resolution_qualifier] = STATE(2522),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(612),
    [sym_nullsafe_member_call_expression] = STATE(612),
    [sym__variable_subscript_expression] = STATE(610),
    [sym__dereferencable_subscript_expression] = STATE(612),
    [sym__dereferencable_expression] = STATE(1948),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(766),
    [sym_attribute_group] = STATE(1373),
    [sym_attribute_list] = STATE(1879),
    [sym_encapsed_string] = STATE(767),
    [sym_string] = STATE(767),
    [sym_heredoc] = STATE(767),
    [sym_nowdoc] = STATE(767),
    [sym_shell_command_expression] = STATE(1039),
    [sym_boolean] = STATE(1036),
    [sym_null] = STATE(1036),
    [sym__string] = STATE(768),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(595),
    [sym__new_variable] = STATE(662),
    [sym__callable_variable] = STATE(646),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1026),
    [sym_binary_expression] = STATE(1026),
    [sym_include_expression] = STATE(1026),
    [sym_include_once_expression] = STATE(1026),
    [sym_require_expression] = STATE(1026),
    [sym_require_once_expression] = STATE(1026),
    [sym__reserved_identifier] = STATE(717),
    [sym__identifier] = STATE(1496),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(659),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(663),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(665),
    [anon_sym_DASH] = ACTIONS(665),
    [anon_sym_TILDE] = ACTIONS(667),
    [anon_sym_BANG] = ACTIONS(667),
    [anon_sym_AT] = ACTIONS(669),
    [aux_sym_clone_expression_token1] = ACTIONS(671),
    [aux_sym_print_intrinsic_token1] = ACTIONS(673),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(675),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(677),
    [aux_sym_include_expression_token1] = ACTIONS(681),
    [aux_sym_include_once_expression_token1] = ACTIONS(683),
    [aux_sym_require_expression_token1] = ACTIONS(685),
    [aux_sym_require_once_expression_token1] = ACTIONS(687),
    [sym_comment] = ACTIONS(5),
  },
  [347] = {
    [sym_text_interpolation] = STATE(347),
    [sym_qualified_name] = STATE(1000),
    [sym__name] = STATE(1631),
    [sym_namespace_name] = STATE(2575),
    [sym_static_modifier] = STATE(2368),
    [sym_anonymous_function] = STATE(1148),
    [sym__anonymous_function_header] = STATE(2489),
    [sym__arrow_function_header] = STATE(2731),
    [sym_arrow_function] = STATE(1148),
    [sym_literal] = STATE(1148),
    [sym_throw_expression] = STATE(1148),
    [sym_match_expression] = STATE(1152),
    [sym_expression] = STATE(1084),
    [sym__unary_expression] = STATE(1159),
    [sym_unary_op_expression] = STATE(1172),
    [sym_error_suppression_expression] = STATE(1152),
    [sym_clone_expression] = STATE(1172),
    [sym_primary_expression] = STATE(1172),
    [sym_parenthesized_expression] = STATE(964),
    [sym_class_constant_access_expression] = STATE(1019),
    [sym_print_intrinsic] = STATE(1148),
    [sym_object_creation_expression] = STATE(1148),
    [sym__new_non_dereferencable_expression] = STATE(1168),
    [sym__new_dereferencable_expression] = STATE(966),
    [sym_update_expression] = STATE(1148),
    [sym_cast_expression] = STATE(1172),
    [sym_cast_variable] = STATE(661),
    [sym_assignment_expression] = STATE(1152),
    [sym_reference_assignment_expression] = STATE(1152),
    [sym_conditional_expression] = STATE(1152),
    [sym_augmented_assignment_expression] = STATE(1152),
    [sym__variable_member_access_expression] = STATE(674),
    [sym_member_access_expression] = STATE(661),
    [sym__variable_nullsafe_member_access_expression] = STATE(663),
    [sym_nullsafe_member_access_expression] = STATE(661),
    [sym__variable_scoped_property_access_expression] = STATE(664),
    [sym_scoped_property_access_expression] = STATE(661),
    [sym_list_literal] = STATE(2530),
    [sym__list_destructing] = STATE(2405),
    [sym__array_destructing] = STATE(2405),
    [sym_function_call_expression] = STATE(634),
    [sym__callable_expression] = STATE(2471),
    [sym_scoped_call_expression] = STATE(634),
    [sym__scope_resolution_qualifier] = STATE(2651),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(634),
    [sym_nullsafe_member_call_expression] = STATE(634),
    [sym__variable_subscript_expression] = STATE(665),
    [sym__dereferencable_subscript_expression] = STATE(634),
    [sym__dereferencable_expression] = STATE(1946),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(1005),
    [sym_attribute_group] = STATE(1373),
    [sym_attribute_list] = STATE(1879),
    [sym_encapsed_string] = STATE(927),
    [sym_string] = STATE(927),
    [sym_heredoc] = STATE(927),
    [sym_nowdoc] = STATE(927),
    [sym_shell_command_expression] = STATE(1148),
    [sym_boolean] = STATE(1162),
    [sym_null] = STATE(1162),
    [sym__string] = STATE(941),
    [sym_dynamic_variable_name] = STATE(650),
    [sym__simple_variable] = STATE(654),
    [sym__new_variable] = STATE(667),
    [sym__callable_variable] = STATE(629),
    [sym_variable_name] = STATE(650),
    [sym_yield_expression] = STATE(1152),
    [sym_binary_expression] = STATE(1152),
    [sym_include_expression] = STATE(1152),
    [sym_include_once_expression] = STATE(1152),
    [sym_require_expression] = STATE(1152),
    [sym_require_once_expression] = STATE(1152),
    [sym__reserved_identifier] = STATE(717),
    [sym__identifier] = STATE(1496),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(689),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LPAREN2] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [sym_float] = ACTIONS(266),
    [sym_integer] = ACTIONS(266),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [348] = {
    [sym_text_interpolation] = STATE(348),
    [sym_qualified_name] = STATE(810),
    [sym__name] = STATE(1626),
    [sym_namespace_name] = STATE(2507),
    [sym_static_modifier] = STATE(2368),
    [sym_anonymous_function] = STATE(1039),
    [sym__anonymous_function_header] = STATE(2318),
    [sym__arrow_function_header] = STATE(2547),
    [sym_arrow_function] = STATE(1039),
    [sym_literal] = STATE(1039),
    [sym_throw_expression] = STATE(1039),
    [sym_match_expression] = STATE(1026),
    [sym_expression] = STATE(1175),
    [sym__unary_expression] = STATE(1010),
    [sym_unary_op_expression] = STATE(1022),
    [sym_error_suppression_expression] = STATE(1026),
    [sym_clone_expression] = STATE(1022),
    [sym_primary_expression] = STATE(1022),
    [sym_parenthesized_expression] = STATE(811),
    [sym_class_constant_access_expression] = STATE(859),
    [sym_print_intrinsic] = STATE(1039),
    [sym_object_creation_expression] = STATE(1039),
    [sym__new_non_dereferencable_expression] = STATE(1009),
    [sym__new_dereferencable_expression] = STATE(842),
    [sym_update_expression] = STATE(1039),
    [sym_cast_expression] = STATE(1022),
    [sym_cast_variable] = STATE(656),
    [sym_assignment_expression] = STATE(1026),
    [sym_reference_assignment_expression] = STATE(1026),
    [sym_conditional_expression] = STATE(1026),
    [sym_augmented_assignment_expression] = STATE(1026),
    [sym__variable_member_access_expression] = STATE(613),
    [sym_member_access_expression] = STATE(656),
    [sym__variable_nullsafe_member_access_expression] = STATE(619),
    [sym_nullsafe_member_access_expression] = STATE(656),
    [sym__variable_scoped_property_access_expression] = STATE(602),
    [sym_scoped_property_access_expression] = STATE(656),
    [sym_list_literal] = STATE(2548),
    [sym__list_destructing] = STATE(2405),
    [sym__array_destructing] = STATE(2405),
    [sym_function_call_expression] = STATE(612),
    [sym__callable_expression] = STATE(2324),
    [sym_scoped_call_expression] = STATE(612),
    [sym__scope_resolution_qualifier] = STATE(2522),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(612),
    [sym_nullsafe_member_call_expression] = STATE(612),
    [sym__variable_subscript_expression] = STATE(610),
    [sym__dereferencable_subscript_expression] = STATE(612),
    [sym__dereferencable_expression] = STATE(1948),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(766),
    [sym_attribute_group] = STATE(1373),
    [sym_attribute_list] = STATE(1879),
    [sym_encapsed_string] = STATE(767),
    [sym_string] = STATE(767),
    [sym_heredoc] = STATE(767),
    [sym_nowdoc] = STATE(767),
    [sym_shell_command_expression] = STATE(1039),
    [sym_boolean] = STATE(1036),
    [sym_null] = STATE(1036),
    [sym__string] = STATE(768),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(595),
    [sym__new_variable] = STATE(662),
    [sym__callable_variable] = STATE(646),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1026),
    [sym_binary_expression] = STATE(1026),
    [sym_include_expression] = STATE(1026),
    [sym_include_once_expression] = STATE(1026),
    [sym_require_expression] = STATE(1026),
    [sym_require_once_expression] = STATE(1026),
    [sym__reserved_identifier] = STATE(717),
    [sym__identifier] = STATE(1496),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(659),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(663),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(665),
    [anon_sym_DASH] = ACTIONS(665),
    [anon_sym_TILDE] = ACTIONS(667),
    [anon_sym_BANG] = ACTIONS(667),
    [anon_sym_AT] = ACTIONS(669),
    [aux_sym_clone_expression_token1] = ACTIONS(671),
    [aux_sym_print_intrinsic_token1] = ACTIONS(673),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(675),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(677),
    [aux_sym_include_expression_token1] = ACTIONS(681),
    [aux_sym_include_once_expression_token1] = ACTIONS(683),
    [aux_sym_require_expression_token1] = ACTIONS(685),
    [aux_sym_require_once_expression_token1] = ACTIONS(687),
    [sym_comment] = ACTIONS(5),
  },
  [349] = {
    [sym_text_interpolation] = STATE(349),
    [sym_qualified_name] = STATE(810),
    [sym__name] = STATE(1626),
    [sym_namespace_name] = STATE(2507),
    [sym_static_modifier] = STATE(2368),
    [sym_anonymous_function] = STATE(1039),
    [sym__anonymous_function_header] = STATE(2318),
    [sym__arrow_function_header] = STATE(2547),
    [sym_arrow_function] = STATE(1039),
    [sym_literal] = STATE(1039),
    [sym_throw_expression] = STATE(1039),
    [sym_match_expression] = STATE(1026),
    [sym_expression] = STATE(1131),
    [sym__unary_expression] = STATE(1010),
    [sym_unary_op_expression] = STATE(1022),
    [sym_error_suppression_expression] = STATE(1026),
    [sym_clone_expression] = STATE(1022),
    [sym_primary_expression] = STATE(1022),
    [sym_parenthesized_expression] = STATE(811),
    [sym_class_constant_access_expression] = STATE(859),
    [sym_print_intrinsic] = STATE(1039),
    [sym_object_creation_expression] = STATE(1039),
    [sym__new_non_dereferencable_expression] = STATE(1009),
    [sym__new_dereferencable_expression] = STATE(842),
    [sym_update_expression] = STATE(1039),
    [sym_cast_expression] = STATE(1022),
    [sym_cast_variable] = STATE(656),
    [sym_assignment_expression] = STATE(1026),
    [sym_reference_assignment_expression] = STATE(1026),
    [sym_conditional_expression] = STATE(1026),
    [sym_augmented_assignment_expression] = STATE(1026),
    [sym__variable_member_access_expression] = STATE(613),
    [sym_member_access_expression] = STATE(656),
    [sym__variable_nullsafe_member_access_expression] = STATE(619),
    [sym_nullsafe_member_access_expression] = STATE(656),
    [sym__variable_scoped_property_access_expression] = STATE(602),
    [sym_scoped_property_access_expression] = STATE(656),
    [sym_list_literal] = STATE(2548),
    [sym__list_destructing] = STATE(2405),
    [sym__array_destructing] = STATE(2405),
    [sym_function_call_expression] = STATE(612),
    [sym__callable_expression] = STATE(2324),
    [sym_scoped_call_expression] = STATE(612),
    [sym__scope_resolution_qualifier] = STATE(2522),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(612),
    [sym_nullsafe_member_call_expression] = STATE(612),
    [sym__variable_subscript_expression] = STATE(610),
    [sym__dereferencable_subscript_expression] = STATE(612),
    [sym__dereferencable_expression] = STATE(1948),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(766),
    [sym_attribute_group] = STATE(1373),
    [sym_attribute_list] = STATE(1879),
    [sym_encapsed_string] = STATE(767),
    [sym_string] = STATE(767),
    [sym_heredoc] = STATE(767),
    [sym_nowdoc] = STATE(767),
    [sym_shell_command_expression] = STATE(1039),
    [sym_boolean] = STATE(1036),
    [sym_null] = STATE(1036),
    [sym__string] = STATE(768),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(595),
    [sym__new_variable] = STATE(662),
    [sym__callable_variable] = STATE(646),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1026),
    [sym_binary_expression] = STATE(1026),
    [sym_include_expression] = STATE(1026),
    [sym_include_once_expression] = STATE(1026),
    [sym_require_expression] = STATE(1026),
    [sym_require_once_expression] = STATE(1026),
    [sym__reserved_identifier] = STATE(717),
    [sym__identifier] = STATE(1496),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(659),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(663),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(665),
    [anon_sym_DASH] = ACTIONS(665),
    [anon_sym_TILDE] = ACTIONS(667),
    [anon_sym_BANG] = ACTIONS(667),
    [anon_sym_AT] = ACTIONS(669),
    [aux_sym_clone_expression_token1] = ACTIONS(671),
    [aux_sym_print_intrinsic_token1] = ACTIONS(673),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(675),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(677),
    [aux_sym_include_expression_token1] = ACTIONS(681),
    [aux_sym_include_once_expression_token1] = ACTIONS(683),
    [aux_sym_require_expression_token1] = ACTIONS(685),
    [aux_sym_require_once_expression_token1] = ACTIONS(687),
    [sym_comment] = ACTIONS(5),
  },
  [350] = {
    [sym_text_interpolation] = STATE(350),
    [sym_qualified_name] = STATE(810),
    [sym__name] = STATE(1626),
    [sym_namespace_name] = STATE(2507),
    [sym_static_modifier] = STATE(2368),
    [sym_anonymous_function] = STATE(1039),
    [sym__anonymous_function_header] = STATE(2318),
    [sym__arrow_function_header] = STATE(2547),
    [sym_arrow_function] = STATE(1039),
    [sym_literal] = STATE(1039),
    [sym_throw_expression] = STATE(1039),
    [sym_match_expression] = STATE(1026),
    [sym_expression] = STATE(1132),
    [sym__unary_expression] = STATE(1010),
    [sym_unary_op_expression] = STATE(1022),
    [sym_error_suppression_expression] = STATE(1026),
    [sym_clone_expression] = STATE(1022),
    [sym_primary_expression] = STATE(1022),
    [sym_parenthesized_expression] = STATE(811),
    [sym_class_constant_access_expression] = STATE(859),
    [sym_print_intrinsic] = STATE(1039),
    [sym_object_creation_expression] = STATE(1039),
    [sym__new_non_dereferencable_expression] = STATE(1009),
    [sym__new_dereferencable_expression] = STATE(842),
    [sym_update_expression] = STATE(1039),
    [sym_cast_expression] = STATE(1022),
    [sym_cast_variable] = STATE(656),
    [sym_assignment_expression] = STATE(1026),
    [sym_reference_assignment_expression] = STATE(1026),
    [sym_conditional_expression] = STATE(1026),
    [sym_augmented_assignment_expression] = STATE(1026),
    [sym__variable_member_access_expression] = STATE(613),
    [sym_member_access_expression] = STATE(656),
    [sym__variable_nullsafe_member_access_expression] = STATE(619),
    [sym_nullsafe_member_access_expression] = STATE(656),
    [sym__variable_scoped_property_access_expression] = STATE(602),
    [sym_scoped_property_access_expression] = STATE(656),
    [sym_list_literal] = STATE(2548),
    [sym__list_destructing] = STATE(2405),
    [sym__array_destructing] = STATE(2405),
    [sym_function_call_expression] = STATE(612),
    [sym__callable_expression] = STATE(2324),
    [sym_scoped_call_expression] = STATE(612),
    [sym__scope_resolution_qualifier] = STATE(2522),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(612),
    [sym_nullsafe_member_call_expression] = STATE(612),
    [sym__variable_subscript_expression] = STATE(610),
    [sym__dereferencable_subscript_expression] = STATE(612),
    [sym__dereferencable_expression] = STATE(1948),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(766),
    [sym_attribute_group] = STATE(1373),
    [sym_attribute_list] = STATE(1879),
    [sym_encapsed_string] = STATE(767),
    [sym_string] = STATE(767),
    [sym_heredoc] = STATE(767),
    [sym_nowdoc] = STATE(767),
    [sym_shell_command_expression] = STATE(1039),
    [sym_boolean] = STATE(1036),
    [sym_null] = STATE(1036),
    [sym__string] = STATE(768),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(595),
    [sym__new_variable] = STATE(662),
    [sym__callable_variable] = STATE(646),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1026),
    [sym_binary_expression] = STATE(1026),
    [sym_include_expression] = STATE(1026),
    [sym_include_once_expression] = STATE(1026),
    [sym_require_expression] = STATE(1026),
    [sym_require_once_expression] = STATE(1026),
    [sym__reserved_identifier] = STATE(717),
    [sym__identifier] = STATE(1496),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(659),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(663),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(665),
    [anon_sym_DASH] = ACTIONS(665),
    [anon_sym_TILDE] = ACTIONS(667),
    [anon_sym_BANG] = ACTIONS(667),
    [anon_sym_AT] = ACTIONS(669),
    [aux_sym_clone_expression_token1] = ACTIONS(671),
    [aux_sym_print_intrinsic_token1] = ACTIONS(673),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(675),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(677),
    [aux_sym_include_expression_token1] = ACTIONS(681),
    [aux_sym_include_once_expression_token1] = ACTIONS(683),
    [aux_sym_require_expression_token1] = ACTIONS(685),
    [aux_sym_require_once_expression_token1] = ACTIONS(687),
    [sym_comment] = ACTIONS(5),
  },
  [351] = {
    [sym_text_interpolation] = STATE(351),
    [sym_qualified_name] = STATE(810),
    [sym__name] = STATE(1626),
    [sym_namespace_name] = STATE(2507),
    [sym_static_modifier] = STATE(2368),
    [sym_anonymous_function] = STATE(1039),
    [sym__anonymous_function_header] = STATE(2318),
    [sym__arrow_function_header] = STATE(2547),
    [sym_arrow_function] = STATE(1039),
    [sym_literal] = STATE(1039),
    [sym_throw_expression] = STATE(1039),
    [sym_match_expression] = STATE(1026),
    [sym_expression] = STATE(1133),
    [sym__unary_expression] = STATE(1010),
    [sym_unary_op_expression] = STATE(1022),
    [sym_error_suppression_expression] = STATE(1026),
    [sym_clone_expression] = STATE(1022),
    [sym_primary_expression] = STATE(1022),
    [sym_parenthesized_expression] = STATE(811),
    [sym_class_constant_access_expression] = STATE(859),
    [sym_print_intrinsic] = STATE(1039),
    [sym_object_creation_expression] = STATE(1039),
    [sym__new_non_dereferencable_expression] = STATE(1009),
    [sym__new_dereferencable_expression] = STATE(842),
    [sym_update_expression] = STATE(1039),
    [sym_cast_expression] = STATE(1022),
    [sym_cast_variable] = STATE(656),
    [sym_assignment_expression] = STATE(1026),
    [sym_reference_assignment_expression] = STATE(1026),
    [sym_conditional_expression] = STATE(1026),
    [sym_augmented_assignment_expression] = STATE(1026),
    [sym__variable_member_access_expression] = STATE(613),
    [sym_member_access_expression] = STATE(656),
    [sym__variable_nullsafe_member_access_expression] = STATE(619),
    [sym_nullsafe_member_access_expression] = STATE(656),
    [sym__variable_scoped_property_access_expression] = STATE(602),
    [sym_scoped_property_access_expression] = STATE(656),
    [sym_list_literal] = STATE(2548),
    [sym__list_destructing] = STATE(2405),
    [sym__array_destructing] = STATE(2405),
    [sym_function_call_expression] = STATE(612),
    [sym__callable_expression] = STATE(2324),
    [sym_scoped_call_expression] = STATE(612),
    [sym__scope_resolution_qualifier] = STATE(2522),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(612),
    [sym_nullsafe_member_call_expression] = STATE(612),
    [sym__variable_subscript_expression] = STATE(610),
    [sym__dereferencable_subscript_expression] = STATE(612),
    [sym__dereferencable_expression] = STATE(1948),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(766),
    [sym_attribute_group] = STATE(1373),
    [sym_attribute_list] = STATE(1879),
    [sym_encapsed_string] = STATE(767),
    [sym_string] = STATE(767),
    [sym_heredoc] = STATE(767),
    [sym_nowdoc] = STATE(767),
    [sym_shell_command_expression] = STATE(1039),
    [sym_boolean] = STATE(1036),
    [sym_null] = STATE(1036),
    [sym__string] = STATE(768),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(595),
    [sym__new_variable] = STATE(662),
    [sym__callable_variable] = STATE(646),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1026),
    [sym_binary_expression] = STATE(1026),
    [sym_include_expression] = STATE(1026),
    [sym_include_once_expression] = STATE(1026),
    [sym_require_expression] = STATE(1026),
    [sym_require_once_expression] = STATE(1026),
    [sym__reserved_identifier] = STATE(717),
    [sym__identifier] = STATE(1496),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(659),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(663),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(665),
    [anon_sym_DASH] = ACTIONS(665),
    [anon_sym_TILDE] = ACTIONS(667),
    [anon_sym_BANG] = ACTIONS(667),
    [anon_sym_AT] = ACTIONS(669),
    [aux_sym_clone_expression_token1] = ACTIONS(671),
    [aux_sym_print_intrinsic_token1] = ACTIONS(673),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(675),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(677),
    [aux_sym_include_expression_token1] = ACTIONS(681),
    [aux_sym_include_once_expression_token1] = ACTIONS(683),
    [aux_sym_require_expression_token1] = ACTIONS(685),
    [aux_sym_require_once_expression_token1] = ACTIONS(687),
    [sym_comment] = ACTIONS(5),
  },
  [352] = {
    [sym_text_interpolation] = STATE(352),
    [sym_qualified_name] = STATE(810),
    [sym__name] = STATE(1626),
    [sym_namespace_name] = STATE(2507),
    [sym_static_modifier] = STATE(2368),
    [sym_anonymous_function] = STATE(1039),
    [sym__anonymous_function_header] = STATE(2318),
    [sym__arrow_function_header] = STATE(2547),
    [sym_arrow_function] = STATE(1039),
    [sym_literal] = STATE(1039),
    [sym_throw_expression] = STATE(1039),
    [sym_match_expression] = STATE(1026),
    [sym_expression] = STATE(1134),
    [sym__unary_expression] = STATE(1010),
    [sym_unary_op_expression] = STATE(1022),
    [sym_error_suppression_expression] = STATE(1026),
    [sym_clone_expression] = STATE(1022),
    [sym_primary_expression] = STATE(1022),
    [sym_parenthesized_expression] = STATE(811),
    [sym_class_constant_access_expression] = STATE(859),
    [sym_print_intrinsic] = STATE(1039),
    [sym_object_creation_expression] = STATE(1039),
    [sym__new_non_dereferencable_expression] = STATE(1009),
    [sym__new_dereferencable_expression] = STATE(842),
    [sym_update_expression] = STATE(1039),
    [sym_cast_expression] = STATE(1022),
    [sym_cast_variable] = STATE(656),
    [sym_assignment_expression] = STATE(1026),
    [sym_reference_assignment_expression] = STATE(1026),
    [sym_conditional_expression] = STATE(1026),
    [sym_augmented_assignment_expression] = STATE(1026),
    [sym__variable_member_access_expression] = STATE(613),
    [sym_member_access_expression] = STATE(656),
    [sym__variable_nullsafe_member_access_expression] = STATE(619),
    [sym_nullsafe_member_access_expression] = STATE(656),
    [sym__variable_scoped_property_access_expression] = STATE(602),
    [sym_scoped_property_access_expression] = STATE(656),
    [sym_list_literal] = STATE(2548),
    [sym__list_destructing] = STATE(2405),
    [sym__array_destructing] = STATE(2405),
    [sym_function_call_expression] = STATE(612),
    [sym__callable_expression] = STATE(2324),
    [sym_scoped_call_expression] = STATE(612),
    [sym__scope_resolution_qualifier] = STATE(2522),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(612),
    [sym_nullsafe_member_call_expression] = STATE(612),
    [sym__variable_subscript_expression] = STATE(610),
    [sym__dereferencable_subscript_expression] = STATE(612),
    [sym__dereferencable_expression] = STATE(1948),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(766),
    [sym_attribute_group] = STATE(1373),
    [sym_attribute_list] = STATE(1879),
    [sym_encapsed_string] = STATE(767),
    [sym_string] = STATE(767),
    [sym_heredoc] = STATE(767),
    [sym_nowdoc] = STATE(767),
    [sym_shell_command_expression] = STATE(1039),
    [sym_boolean] = STATE(1036),
    [sym_null] = STATE(1036),
    [sym__string] = STATE(768),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(595),
    [sym__new_variable] = STATE(662),
    [sym__callable_variable] = STATE(646),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1026),
    [sym_binary_expression] = STATE(1026),
    [sym_include_expression] = STATE(1026),
    [sym_include_once_expression] = STATE(1026),
    [sym_require_expression] = STATE(1026),
    [sym_require_once_expression] = STATE(1026),
    [sym__reserved_identifier] = STATE(717),
    [sym__identifier] = STATE(1496),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(659),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(663),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(665),
    [anon_sym_DASH] = ACTIONS(665),
    [anon_sym_TILDE] = ACTIONS(667),
    [anon_sym_BANG] = ACTIONS(667),
    [anon_sym_AT] = ACTIONS(669),
    [aux_sym_clone_expression_token1] = ACTIONS(671),
    [aux_sym_print_intrinsic_token1] = ACTIONS(673),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(675),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(677),
    [aux_sym_include_expression_token1] = ACTIONS(681),
    [aux_sym_include_once_expression_token1] = ACTIONS(683),
    [aux_sym_require_expression_token1] = ACTIONS(685),
    [aux_sym_require_once_expression_token1] = ACTIONS(687),
    [sym_comment] = ACTIONS(5),
  },
  [353] = {
    [sym_text_interpolation] = STATE(353),
    [sym_qualified_name] = STATE(810),
    [sym__name] = STATE(1626),
    [sym_namespace_name] = STATE(2507),
    [sym_static_modifier] = STATE(2368),
    [sym_anonymous_function] = STATE(1039),
    [sym__anonymous_function_header] = STATE(2318),
    [sym__arrow_function_header] = STATE(2547),
    [sym_arrow_function] = STATE(1039),
    [sym_literal] = STATE(1039),
    [sym_throw_expression] = STATE(1039),
    [sym_match_expression] = STATE(1026),
    [sym_expression] = STATE(1135),
    [sym__unary_expression] = STATE(1010),
    [sym_unary_op_expression] = STATE(1022),
    [sym_error_suppression_expression] = STATE(1026),
    [sym_clone_expression] = STATE(1022),
    [sym_primary_expression] = STATE(1022),
    [sym_parenthesized_expression] = STATE(811),
    [sym_class_constant_access_expression] = STATE(859),
    [sym_print_intrinsic] = STATE(1039),
    [sym_object_creation_expression] = STATE(1039),
    [sym__new_non_dereferencable_expression] = STATE(1009),
    [sym__new_dereferencable_expression] = STATE(842),
    [sym_update_expression] = STATE(1039),
    [sym_cast_expression] = STATE(1022),
    [sym_cast_variable] = STATE(656),
    [sym_assignment_expression] = STATE(1026),
    [sym_reference_assignment_expression] = STATE(1026),
    [sym_conditional_expression] = STATE(1026),
    [sym_augmented_assignment_expression] = STATE(1026),
    [sym__variable_member_access_expression] = STATE(613),
    [sym_member_access_expression] = STATE(656),
    [sym__variable_nullsafe_member_access_expression] = STATE(619),
    [sym_nullsafe_member_access_expression] = STATE(656),
    [sym__variable_scoped_property_access_expression] = STATE(602),
    [sym_scoped_property_access_expression] = STATE(656),
    [sym_list_literal] = STATE(2548),
    [sym__list_destructing] = STATE(2405),
    [sym__array_destructing] = STATE(2405),
    [sym_function_call_expression] = STATE(612),
    [sym__callable_expression] = STATE(2324),
    [sym_scoped_call_expression] = STATE(612),
    [sym__scope_resolution_qualifier] = STATE(2522),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(612),
    [sym_nullsafe_member_call_expression] = STATE(612),
    [sym__variable_subscript_expression] = STATE(610),
    [sym__dereferencable_subscript_expression] = STATE(612),
    [sym__dereferencable_expression] = STATE(1948),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(766),
    [sym_attribute_group] = STATE(1373),
    [sym_attribute_list] = STATE(1879),
    [sym_encapsed_string] = STATE(767),
    [sym_string] = STATE(767),
    [sym_heredoc] = STATE(767),
    [sym_nowdoc] = STATE(767),
    [sym_shell_command_expression] = STATE(1039),
    [sym_boolean] = STATE(1036),
    [sym_null] = STATE(1036),
    [sym__string] = STATE(768),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(595),
    [sym__new_variable] = STATE(662),
    [sym__callable_variable] = STATE(646),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1026),
    [sym_binary_expression] = STATE(1026),
    [sym_include_expression] = STATE(1026),
    [sym_include_once_expression] = STATE(1026),
    [sym_require_expression] = STATE(1026),
    [sym_require_once_expression] = STATE(1026),
    [sym__reserved_identifier] = STATE(717),
    [sym__identifier] = STATE(1496),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(659),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(663),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(665),
    [anon_sym_DASH] = ACTIONS(665),
    [anon_sym_TILDE] = ACTIONS(667),
    [anon_sym_BANG] = ACTIONS(667),
    [anon_sym_AT] = ACTIONS(669),
    [aux_sym_clone_expression_token1] = ACTIONS(671),
    [aux_sym_print_intrinsic_token1] = ACTIONS(673),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(675),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(677),
    [aux_sym_include_expression_token1] = ACTIONS(681),
    [aux_sym_include_once_expression_token1] = ACTIONS(683),
    [aux_sym_require_expression_token1] = ACTIONS(685),
    [aux_sym_require_once_expression_token1] = ACTIONS(687),
    [sym_comment] = ACTIONS(5),
  },
  [354] = {
    [sym_text_interpolation] = STATE(354),
    [sym_qualified_name] = STATE(1000),
    [sym__name] = STATE(1631),
    [sym_namespace_name] = STATE(2575),
    [sym_static_modifier] = STATE(2368),
    [sym_anonymous_function] = STATE(1148),
    [sym__anonymous_function_header] = STATE(2489),
    [sym__arrow_function_header] = STATE(2731),
    [sym_arrow_function] = STATE(1148),
    [sym_literal] = STATE(1148),
    [sym_throw_expression] = STATE(1148),
    [sym_match_expression] = STATE(1152),
    [sym_expression] = STATE(1109),
    [sym__unary_expression] = STATE(1159),
    [sym_unary_op_expression] = STATE(1172),
    [sym_error_suppression_expression] = STATE(1152),
    [sym_clone_expression] = STATE(1172),
    [sym_primary_expression] = STATE(1172),
    [sym_parenthesized_expression] = STATE(964),
    [sym_class_constant_access_expression] = STATE(1019),
    [sym_print_intrinsic] = STATE(1148),
    [sym_object_creation_expression] = STATE(1148),
    [sym__new_non_dereferencable_expression] = STATE(1168),
    [sym__new_dereferencable_expression] = STATE(966),
    [sym_update_expression] = STATE(1148),
    [sym_cast_expression] = STATE(1172),
    [sym_cast_variable] = STATE(661),
    [sym_assignment_expression] = STATE(1152),
    [sym_reference_assignment_expression] = STATE(1152),
    [sym_conditional_expression] = STATE(1152),
    [sym_augmented_assignment_expression] = STATE(1152),
    [sym__variable_member_access_expression] = STATE(674),
    [sym_member_access_expression] = STATE(661),
    [sym__variable_nullsafe_member_access_expression] = STATE(663),
    [sym_nullsafe_member_access_expression] = STATE(661),
    [sym__variable_scoped_property_access_expression] = STATE(664),
    [sym_scoped_property_access_expression] = STATE(661),
    [sym_list_literal] = STATE(2530),
    [sym__list_destructing] = STATE(2405),
    [sym__array_destructing] = STATE(2405),
    [sym_function_call_expression] = STATE(634),
    [sym__callable_expression] = STATE(2471),
    [sym_scoped_call_expression] = STATE(634),
    [sym__scope_resolution_qualifier] = STATE(2651),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(634),
    [sym_nullsafe_member_call_expression] = STATE(634),
    [sym__variable_subscript_expression] = STATE(665),
    [sym__dereferencable_subscript_expression] = STATE(634),
    [sym__dereferencable_expression] = STATE(1946),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(1005),
    [sym_attribute_group] = STATE(1373),
    [sym_attribute_list] = STATE(1879),
    [sym_encapsed_string] = STATE(927),
    [sym_string] = STATE(927),
    [sym_heredoc] = STATE(927),
    [sym_nowdoc] = STATE(927),
    [sym_shell_command_expression] = STATE(1148),
    [sym_boolean] = STATE(1162),
    [sym_null] = STATE(1162),
    [sym__string] = STATE(941),
    [sym_dynamic_variable_name] = STATE(650),
    [sym__simple_variable] = STATE(654),
    [sym__new_variable] = STATE(667),
    [sym__callable_variable] = STATE(629),
    [sym_variable_name] = STATE(650),
    [sym_yield_expression] = STATE(1152),
    [sym_binary_expression] = STATE(1152),
    [sym_include_expression] = STATE(1152),
    [sym_include_once_expression] = STATE(1152),
    [sym_require_expression] = STATE(1152),
    [sym_require_once_expression] = STATE(1152),
    [sym__reserved_identifier] = STATE(717),
    [sym__identifier] = STATE(1496),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(689),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LPAREN2] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [sym_float] = ACTIONS(266),
    [sym_integer] = ACTIONS(266),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [355] = {
    [sym_text_interpolation] = STATE(355),
    [sym_qualified_name] = STATE(810),
    [sym__name] = STATE(1626),
    [sym_namespace_name] = STATE(2507),
    [sym_static_modifier] = STATE(2368),
    [sym_anonymous_function] = STATE(1039),
    [sym__anonymous_function_header] = STATE(2318),
    [sym__arrow_function_header] = STATE(2547),
    [sym_arrow_function] = STATE(1039),
    [sym_literal] = STATE(1039),
    [sym_throw_expression] = STATE(1039),
    [sym_match_expression] = STATE(1026),
    [sym_expression] = STATE(1137),
    [sym__unary_expression] = STATE(1010),
    [sym_unary_op_expression] = STATE(1022),
    [sym_error_suppression_expression] = STATE(1026),
    [sym_clone_expression] = STATE(1022),
    [sym_primary_expression] = STATE(1022),
    [sym_parenthesized_expression] = STATE(811),
    [sym_class_constant_access_expression] = STATE(859),
    [sym_print_intrinsic] = STATE(1039),
    [sym_object_creation_expression] = STATE(1039),
    [sym__new_non_dereferencable_expression] = STATE(1009),
    [sym__new_dereferencable_expression] = STATE(842),
    [sym_update_expression] = STATE(1039),
    [sym_cast_expression] = STATE(1022),
    [sym_cast_variable] = STATE(656),
    [sym_assignment_expression] = STATE(1026),
    [sym_reference_assignment_expression] = STATE(1026),
    [sym_conditional_expression] = STATE(1026),
    [sym_augmented_assignment_expression] = STATE(1026),
    [sym__variable_member_access_expression] = STATE(613),
    [sym_member_access_expression] = STATE(656),
    [sym__variable_nullsafe_member_access_expression] = STATE(619),
    [sym_nullsafe_member_access_expression] = STATE(656),
    [sym__variable_scoped_property_access_expression] = STATE(602),
    [sym_scoped_property_access_expression] = STATE(656),
    [sym_list_literal] = STATE(2548),
    [sym__list_destructing] = STATE(2405),
    [sym__array_destructing] = STATE(2405),
    [sym_function_call_expression] = STATE(612),
    [sym__callable_expression] = STATE(2324),
    [sym_scoped_call_expression] = STATE(612),
    [sym__scope_resolution_qualifier] = STATE(2522),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(612),
    [sym_nullsafe_member_call_expression] = STATE(612),
    [sym__variable_subscript_expression] = STATE(610),
    [sym__dereferencable_subscript_expression] = STATE(612),
    [sym__dereferencable_expression] = STATE(1948),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(766),
    [sym_attribute_group] = STATE(1373),
    [sym_attribute_list] = STATE(1879),
    [sym_encapsed_string] = STATE(767),
    [sym_string] = STATE(767),
    [sym_heredoc] = STATE(767),
    [sym_nowdoc] = STATE(767),
    [sym_shell_command_expression] = STATE(1039),
    [sym_boolean] = STATE(1036),
    [sym_null] = STATE(1036),
    [sym__string] = STATE(768),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(595),
    [sym__new_variable] = STATE(662),
    [sym__callable_variable] = STATE(646),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1026),
    [sym_binary_expression] = STATE(1026),
    [sym_include_expression] = STATE(1026),
    [sym_include_once_expression] = STATE(1026),
    [sym_require_expression] = STATE(1026),
    [sym_require_once_expression] = STATE(1026),
    [sym__reserved_identifier] = STATE(717),
    [sym__identifier] = STATE(1496),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(659),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(663),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(665),
    [anon_sym_DASH] = ACTIONS(665),
    [anon_sym_TILDE] = ACTIONS(667),
    [anon_sym_BANG] = ACTIONS(667),
    [anon_sym_AT] = ACTIONS(669),
    [aux_sym_clone_expression_token1] = ACTIONS(671),
    [aux_sym_print_intrinsic_token1] = ACTIONS(673),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(675),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(677),
    [aux_sym_include_expression_token1] = ACTIONS(681),
    [aux_sym_include_once_expression_token1] = ACTIONS(683),
    [aux_sym_require_expression_token1] = ACTIONS(685),
    [aux_sym_require_once_expression_token1] = ACTIONS(687),
    [sym_comment] = ACTIONS(5),
  },
  [356] = {
    [sym_text_interpolation] = STATE(356),
    [sym_qualified_name] = STATE(810),
    [sym__name] = STATE(1626),
    [sym_namespace_name] = STATE(2507),
    [sym_static_modifier] = STATE(2368),
    [sym_anonymous_function] = STATE(1039),
    [sym__anonymous_function_header] = STATE(2318),
    [sym__arrow_function_header] = STATE(2547),
    [sym_arrow_function] = STATE(1039),
    [sym_literal] = STATE(1039),
    [sym_throw_expression] = STATE(1039),
    [sym_match_expression] = STATE(1026),
    [sym_expression] = STATE(1138),
    [sym__unary_expression] = STATE(1010),
    [sym_unary_op_expression] = STATE(1022),
    [sym_error_suppression_expression] = STATE(1026),
    [sym_clone_expression] = STATE(1022),
    [sym_primary_expression] = STATE(1022),
    [sym_parenthesized_expression] = STATE(811),
    [sym_class_constant_access_expression] = STATE(859),
    [sym_print_intrinsic] = STATE(1039),
    [sym_object_creation_expression] = STATE(1039),
    [sym__new_non_dereferencable_expression] = STATE(1009),
    [sym__new_dereferencable_expression] = STATE(842),
    [sym_update_expression] = STATE(1039),
    [sym_cast_expression] = STATE(1022),
    [sym_cast_variable] = STATE(656),
    [sym_assignment_expression] = STATE(1026),
    [sym_reference_assignment_expression] = STATE(1026),
    [sym_conditional_expression] = STATE(1026),
    [sym_augmented_assignment_expression] = STATE(1026),
    [sym__variable_member_access_expression] = STATE(613),
    [sym_member_access_expression] = STATE(656),
    [sym__variable_nullsafe_member_access_expression] = STATE(619),
    [sym_nullsafe_member_access_expression] = STATE(656),
    [sym__variable_scoped_property_access_expression] = STATE(602),
    [sym_scoped_property_access_expression] = STATE(656),
    [sym_list_literal] = STATE(2548),
    [sym__list_destructing] = STATE(2405),
    [sym__array_destructing] = STATE(2405),
    [sym_function_call_expression] = STATE(612),
    [sym__callable_expression] = STATE(2324),
    [sym_scoped_call_expression] = STATE(612),
    [sym__scope_resolution_qualifier] = STATE(2522),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(612),
    [sym_nullsafe_member_call_expression] = STATE(612),
    [sym__variable_subscript_expression] = STATE(610),
    [sym__dereferencable_subscript_expression] = STATE(612),
    [sym__dereferencable_expression] = STATE(1948),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(766),
    [sym_attribute_group] = STATE(1373),
    [sym_attribute_list] = STATE(1879),
    [sym_encapsed_string] = STATE(767),
    [sym_string] = STATE(767),
    [sym_heredoc] = STATE(767),
    [sym_nowdoc] = STATE(767),
    [sym_shell_command_expression] = STATE(1039),
    [sym_boolean] = STATE(1036),
    [sym_null] = STATE(1036),
    [sym__string] = STATE(768),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(595),
    [sym__new_variable] = STATE(662),
    [sym__callable_variable] = STATE(646),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1026),
    [sym_binary_expression] = STATE(1026),
    [sym_include_expression] = STATE(1026),
    [sym_include_once_expression] = STATE(1026),
    [sym_require_expression] = STATE(1026),
    [sym_require_once_expression] = STATE(1026),
    [sym__reserved_identifier] = STATE(717),
    [sym__identifier] = STATE(1496),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(659),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(663),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(665),
    [anon_sym_DASH] = ACTIONS(665),
    [anon_sym_TILDE] = ACTIONS(667),
    [anon_sym_BANG] = ACTIONS(667),
    [anon_sym_AT] = ACTIONS(669),
    [aux_sym_clone_expression_token1] = ACTIONS(671),
    [aux_sym_print_intrinsic_token1] = ACTIONS(673),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(675),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(677),
    [aux_sym_include_expression_token1] = ACTIONS(681),
    [aux_sym_include_once_expression_token1] = ACTIONS(683),
    [aux_sym_require_expression_token1] = ACTIONS(685),
    [aux_sym_require_once_expression_token1] = ACTIONS(687),
    [sym_comment] = ACTIONS(5),
  },
  [357] = {
    [sym_text_interpolation] = STATE(357),
    [sym_qualified_name] = STATE(810),
    [sym__name] = STATE(1626),
    [sym_namespace_name] = STATE(2507),
    [sym_static_modifier] = STATE(2368),
    [sym_anonymous_function] = STATE(1039),
    [sym__anonymous_function_header] = STATE(2318),
    [sym__arrow_function_header] = STATE(2547),
    [sym_arrow_function] = STATE(1039),
    [sym_literal] = STATE(1039),
    [sym_throw_expression] = STATE(1039),
    [sym_match_expression] = STATE(1026),
    [sym_expression] = STATE(1139),
    [sym__unary_expression] = STATE(1010),
    [sym_unary_op_expression] = STATE(1022),
    [sym_error_suppression_expression] = STATE(1026),
    [sym_clone_expression] = STATE(1022),
    [sym_primary_expression] = STATE(1022),
    [sym_parenthesized_expression] = STATE(811),
    [sym_class_constant_access_expression] = STATE(859),
    [sym_print_intrinsic] = STATE(1039),
    [sym_object_creation_expression] = STATE(1039),
    [sym__new_non_dereferencable_expression] = STATE(1009),
    [sym__new_dereferencable_expression] = STATE(842),
    [sym_update_expression] = STATE(1039),
    [sym_cast_expression] = STATE(1022),
    [sym_cast_variable] = STATE(656),
    [sym_assignment_expression] = STATE(1026),
    [sym_reference_assignment_expression] = STATE(1026),
    [sym_conditional_expression] = STATE(1026),
    [sym_augmented_assignment_expression] = STATE(1026),
    [sym__variable_member_access_expression] = STATE(613),
    [sym_member_access_expression] = STATE(656),
    [sym__variable_nullsafe_member_access_expression] = STATE(619),
    [sym_nullsafe_member_access_expression] = STATE(656),
    [sym__variable_scoped_property_access_expression] = STATE(602),
    [sym_scoped_property_access_expression] = STATE(656),
    [sym_list_literal] = STATE(2548),
    [sym__list_destructing] = STATE(2405),
    [sym__array_destructing] = STATE(2405),
    [sym_function_call_expression] = STATE(612),
    [sym__callable_expression] = STATE(2324),
    [sym_scoped_call_expression] = STATE(612),
    [sym__scope_resolution_qualifier] = STATE(2522),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(612),
    [sym_nullsafe_member_call_expression] = STATE(612),
    [sym__variable_subscript_expression] = STATE(610),
    [sym__dereferencable_subscript_expression] = STATE(612),
    [sym__dereferencable_expression] = STATE(1948),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(766),
    [sym_attribute_group] = STATE(1373),
    [sym_attribute_list] = STATE(1879),
    [sym_encapsed_string] = STATE(767),
    [sym_string] = STATE(767),
    [sym_heredoc] = STATE(767),
    [sym_nowdoc] = STATE(767),
    [sym_shell_command_expression] = STATE(1039),
    [sym_boolean] = STATE(1036),
    [sym_null] = STATE(1036),
    [sym__string] = STATE(768),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(595),
    [sym__new_variable] = STATE(662),
    [sym__callable_variable] = STATE(646),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1026),
    [sym_binary_expression] = STATE(1026),
    [sym_include_expression] = STATE(1026),
    [sym_include_once_expression] = STATE(1026),
    [sym_require_expression] = STATE(1026),
    [sym_require_once_expression] = STATE(1026),
    [sym__reserved_identifier] = STATE(717),
    [sym__identifier] = STATE(1496),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(659),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(663),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(665),
    [anon_sym_DASH] = ACTIONS(665),
    [anon_sym_TILDE] = ACTIONS(667),
    [anon_sym_BANG] = ACTIONS(667),
    [anon_sym_AT] = ACTIONS(669),
    [aux_sym_clone_expression_token1] = ACTIONS(671),
    [aux_sym_print_intrinsic_token1] = ACTIONS(673),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(675),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(677),
    [aux_sym_include_expression_token1] = ACTIONS(681),
    [aux_sym_include_once_expression_token1] = ACTIONS(683),
    [aux_sym_require_expression_token1] = ACTIONS(685),
    [aux_sym_require_once_expression_token1] = ACTIONS(687),
    [sym_comment] = ACTIONS(5),
  },
  [358] = {
    [sym_text_interpolation] = STATE(358),
    [sym_qualified_name] = STATE(810),
    [sym__name] = STATE(1626),
    [sym_namespace_name] = STATE(2507),
    [sym_static_modifier] = STATE(2368),
    [sym_anonymous_function] = STATE(1039),
    [sym__anonymous_function_header] = STATE(2318),
    [sym__arrow_function_header] = STATE(2547),
    [sym_arrow_function] = STATE(1039),
    [sym_literal] = STATE(1039),
    [sym_throw_expression] = STATE(1039),
    [sym_match_expression] = STATE(1026),
    [sym_expression] = STATE(1140),
    [sym__unary_expression] = STATE(1010),
    [sym_unary_op_expression] = STATE(1022),
    [sym_error_suppression_expression] = STATE(1026),
    [sym_clone_expression] = STATE(1022),
    [sym_primary_expression] = STATE(1022),
    [sym_parenthesized_expression] = STATE(811),
    [sym_class_constant_access_expression] = STATE(859),
    [sym_print_intrinsic] = STATE(1039),
    [sym_object_creation_expression] = STATE(1039),
    [sym__new_non_dereferencable_expression] = STATE(1009),
    [sym__new_dereferencable_expression] = STATE(842),
    [sym_update_expression] = STATE(1039),
    [sym_cast_expression] = STATE(1022),
    [sym_cast_variable] = STATE(656),
    [sym_assignment_expression] = STATE(1026),
    [sym_reference_assignment_expression] = STATE(1026),
    [sym_conditional_expression] = STATE(1026),
    [sym_augmented_assignment_expression] = STATE(1026),
    [sym__variable_member_access_expression] = STATE(613),
    [sym_member_access_expression] = STATE(656),
    [sym__variable_nullsafe_member_access_expression] = STATE(619),
    [sym_nullsafe_member_access_expression] = STATE(656),
    [sym__variable_scoped_property_access_expression] = STATE(602),
    [sym_scoped_property_access_expression] = STATE(656),
    [sym_list_literal] = STATE(2548),
    [sym__list_destructing] = STATE(2405),
    [sym__array_destructing] = STATE(2405),
    [sym_function_call_expression] = STATE(612),
    [sym__callable_expression] = STATE(2324),
    [sym_scoped_call_expression] = STATE(612),
    [sym__scope_resolution_qualifier] = STATE(2522),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(612),
    [sym_nullsafe_member_call_expression] = STATE(612),
    [sym__variable_subscript_expression] = STATE(610),
    [sym__dereferencable_subscript_expression] = STATE(612),
    [sym__dereferencable_expression] = STATE(1948),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(766),
    [sym_attribute_group] = STATE(1373),
    [sym_attribute_list] = STATE(1879),
    [sym_encapsed_string] = STATE(767),
    [sym_string] = STATE(767),
    [sym_heredoc] = STATE(767),
    [sym_nowdoc] = STATE(767),
    [sym_shell_command_expression] = STATE(1039),
    [sym_boolean] = STATE(1036),
    [sym_null] = STATE(1036),
    [sym__string] = STATE(768),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(595),
    [sym__new_variable] = STATE(662),
    [sym__callable_variable] = STATE(646),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1026),
    [sym_binary_expression] = STATE(1026),
    [sym_include_expression] = STATE(1026),
    [sym_include_once_expression] = STATE(1026),
    [sym_require_expression] = STATE(1026),
    [sym_require_once_expression] = STATE(1026),
    [sym__reserved_identifier] = STATE(717),
    [sym__identifier] = STATE(1496),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(659),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(663),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(665),
    [anon_sym_DASH] = ACTIONS(665),
    [anon_sym_TILDE] = ACTIONS(667),
    [anon_sym_BANG] = ACTIONS(667),
    [anon_sym_AT] = ACTIONS(669),
    [aux_sym_clone_expression_token1] = ACTIONS(671),
    [aux_sym_print_intrinsic_token1] = ACTIONS(673),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(675),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(677),
    [aux_sym_include_expression_token1] = ACTIONS(681),
    [aux_sym_include_once_expression_token1] = ACTIONS(683),
    [aux_sym_require_expression_token1] = ACTIONS(685),
    [aux_sym_require_once_expression_token1] = ACTIONS(687),
    [sym_comment] = ACTIONS(5),
  },
  [359] = {
    [sym_text_interpolation] = STATE(359),
    [sym_qualified_name] = STATE(810),
    [sym__name] = STATE(1626),
    [sym_namespace_name] = STATE(2507),
    [sym_static_modifier] = STATE(2368),
    [sym_anonymous_function] = STATE(1039),
    [sym__anonymous_function_header] = STATE(2318),
    [sym__arrow_function_header] = STATE(2547),
    [sym_arrow_function] = STATE(1039),
    [sym_literal] = STATE(1039),
    [sym_throw_expression] = STATE(1039),
    [sym_match_expression] = STATE(1026),
    [sym_expression] = STATE(1141),
    [sym__unary_expression] = STATE(1010),
    [sym_unary_op_expression] = STATE(1022),
    [sym_error_suppression_expression] = STATE(1026),
    [sym_clone_expression] = STATE(1022),
    [sym_primary_expression] = STATE(1022),
    [sym_parenthesized_expression] = STATE(811),
    [sym_class_constant_access_expression] = STATE(859),
    [sym_print_intrinsic] = STATE(1039),
    [sym_object_creation_expression] = STATE(1039),
    [sym__new_non_dereferencable_expression] = STATE(1009),
    [sym__new_dereferencable_expression] = STATE(842),
    [sym_update_expression] = STATE(1039),
    [sym_cast_expression] = STATE(1022),
    [sym_cast_variable] = STATE(656),
    [sym_assignment_expression] = STATE(1026),
    [sym_reference_assignment_expression] = STATE(1026),
    [sym_conditional_expression] = STATE(1026),
    [sym_augmented_assignment_expression] = STATE(1026),
    [sym__variable_member_access_expression] = STATE(613),
    [sym_member_access_expression] = STATE(656),
    [sym__variable_nullsafe_member_access_expression] = STATE(619),
    [sym_nullsafe_member_access_expression] = STATE(656),
    [sym__variable_scoped_property_access_expression] = STATE(602),
    [sym_scoped_property_access_expression] = STATE(656),
    [sym_list_literal] = STATE(2548),
    [sym__list_destructing] = STATE(2405),
    [sym__array_destructing] = STATE(2405),
    [sym_function_call_expression] = STATE(612),
    [sym__callable_expression] = STATE(2324),
    [sym_scoped_call_expression] = STATE(612),
    [sym__scope_resolution_qualifier] = STATE(2522),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(612),
    [sym_nullsafe_member_call_expression] = STATE(612),
    [sym__variable_subscript_expression] = STATE(610),
    [sym__dereferencable_subscript_expression] = STATE(612),
    [sym__dereferencable_expression] = STATE(1948),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(766),
    [sym_attribute_group] = STATE(1373),
    [sym_attribute_list] = STATE(1879),
    [sym_encapsed_string] = STATE(767),
    [sym_string] = STATE(767),
    [sym_heredoc] = STATE(767),
    [sym_nowdoc] = STATE(767),
    [sym_shell_command_expression] = STATE(1039),
    [sym_boolean] = STATE(1036),
    [sym_null] = STATE(1036),
    [sym__string] = STATE(768),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(595),
    [sym__new_variable] = STATE(662),
    [sym__callable_variable] = STATE(646),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1026),
    [sym_binary_expression] = STATE(1026),
    [sym_include_expression] = STATE(1026),
    [sym_include_once_expression] = STATE(1026),
    [sym_require_expression] = STATE(1026),
    [sym_require_once_expression] = STATE(1026),
    [sym__reserved_identifier] = STATE(717),
    [sym__identifier] = STATE(1496),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(659),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(663),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(665),
    [anon_sym_DASH] = ACTIONS(665),
    [anon_sym_TILDE] = ACTIONS(667),
    [anon_sym_BANG] = ACTIONS(667),
    [anon_sym_AT] = ACTIONS(669),
    [aux_sym_clone_expression_token1] = ACTIONS(671),
    [aux_sym_print_intrinsic_token1] = ACTIONS(673),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(675),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(677),
    [aux_sym_include_expression_token1] = ACTIONS(681),
    [aux_sym_include_once_expression_token1] = ACTIONS(683),
    [aux_sym_require_expression_token1] = ACTIONS(685),
    [aux_sym_require_once_expression_token1] = ACTIONS(687),
    [sym_comment] = ACTIONS(5),
  },
  [360] = {
    [sym_text_interpolation] = STATE(360),
    [sym_qualified_name] = STATE(810),
    [sym__name] = STATE(1626),
    [sym_namespace_name] = STATE(2507),
    [sym_static_modifier] = STATE(2368),
    [sym_anonymous_function] = STATE(1039),
    [sym__anonymous_function_header] = STATE(2318),
    [sym__arrow_function_header] = STATE(2547),
    [sym_arrow_function] = STATE(1039),
    [sym_literal] = STATE(1039),
    [sym_throw_expression] = STATE(1039),
    [sym_match_expression] = STATE(1026),
    [sym_expression] = STATE(1142),
    [sym__unary_expression] = STATE(1010),
    [sym_unary_op_expression] = STATE(1022),
    [sym_error_suppression_expression] = STATE(1026),
    [sym_clone_expression] = STATE(1022),
    [sym_primary_expression] = STATE(1022),
    [sym_parenthesized_expression] = STATE(811),
    [sym_class_constant_access_expression] = STATE(859),
    [sym_print_intrinsic] = STATE(1039),
    [sym_object_creation_expression] = STATE(1039),
    [sym__new_non_dereferencable_expression] = STATE(1009),
    [sym__new_dereferencable_expression] = STATE(842),
    [sym_update_expression] = STATE(1039),
    [sym_cast_expression] = STATE(1022),
    [sym_cast_variable] = STATE(656),
    [sym_assignment_expression] = STATE(1026),
    [sym_reference_assignment_expression] = STATE(1026),
    [sym_conditional_expression] = STATE(1026),
    [sym_augmented_assignment_expression] = STATE(1026),
    [sym__variable_member_access_expression] = STATE(613),
    [sym_member_access_expression] = STATE(656),
    [sym__variable_nullsafe_member_access_expression] = STATE(619),
    [sym_nullsafe_member_access_expression] = STATE(656),
    [sym__variable_scoped_property_access_expression] = STATE(602),
    [sym_scoped_property_access_expression] = STATE(656),
    [sym_list_literal] = STATE(2548),
    [sym__list_destructing] = STATE(2405),
    [sym__array_destructing] = STATE(2405),
    [sym_function_call_expression] = STATE(612),
    [sym__callable_expression] = STATE(2324),
    [sym_scoped_call_expression] = STATE(612),
    [sym__scope_resolution_qualifier] = STATE(2522),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(612),
    [sym_nullsafe_member_call_expression] = STATE(612),
    [sym__variable_subscript_expression] = STATE(610),
    [sym__dereferencable_subscript_expression] = STATE(612),
    [sym__dereferencable_expression] = STATE(1948),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(766),
    [sym_attribute_group] = STATE(1373),
    [sym_attribute_list] = STATE(1879),
    [sym_encapsed_string] = STATE(767),
    [sym_string] = STATE(767),
    [sym_heredoc] = STATE(767),
    [sym_nowdoc] = STATE(767),
    [sym_shell_command_expression] = STATE(1039),
    [sym_boolean] = STATE(1036),
    [sym_null] = STATE(1036),
    [sym__string] = STATE(768),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(595),
    [sym__new_variable] = STATE(662),
    [sym__callable_variable] = STATE(646),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1026),
    [sym_binary_expression] = STATE(1026),
    [sym_include_expression] = STATE(1026),
    [sym_include_once_expression] = STATE(1026),
    [sym_require_expression] = STATE(1026),
    [sym_require_once_expression] = STATE(1026),
    [sym__reserved_identifier] = STATE(717),
    [sym__identifier] = STATE(1496),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(659),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(663),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(665),
    [anon_sym_DASH] = ACTIONS(665),
    [anon_sym_TILDE] = ACTIONS(667),
    [anon_sym_BANG] = ACTIONS(667),
    [anon_sym_AT] = ACTIONS(669),
    [aux_sym_clone_expression_token1] = ACTIONS(671),
    [aux_sym_print_intrinsic_token1] = ACTIONS(673),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(675),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(677),
    [aux_sym_include_expression_token1] = ACTIONS(681),
    [aux_sym_include_once_expression_token1] = ACTIONS(683),
    [aux_sym_require_expression_token1] = ACTIONS(685),
    [aux_sym_require_once_expression_token1] = ACTIONS(687),
    [sym_comment] = ACTIONS(5),
  },
  [361] = {
    [sym_text_interpolation] = STATE(361),
    [sym_qualified_name] = STATE(810),
    [sym__name] = STATE(1626),
    [sym_namespace_name] = STATE(2507),
    [sym_static_modifier] = STATE(2368),
    [sym_anonymous_function] = STATE(1039),
    [sym__anonymous_function_header] = STATE(2318),
    [sym__arrow_function_header] = STATE(2547),
    [sym_arrow_function] = STATE(1039),
    [sym_literal] = STATE(1039),
    [sym_throw_expression] = STATE(1039),
    [sym_match_expression] = STATE(1026),
    [sym_expression] = STATE(1143),
    [sym__unary_expression] = STATE(1010),
    [sym_unary_op_expression] = STATE(1022),
    [sym_error_suppression_expression] = STATE(1026),
    [sym_clone_expression] = STATE(1022),
    [sym_primary_expression] = STATE(1022),
    [sym_parenthesized_expression] = STATE(811),
    [sym_class_constant_access_expression] = STATE(859),
    [sym_print_intrinsic] = STATE(1039),
    [sym_object_creation_expression] = STATE(1039),
    [sym__new_non_dereferencable_expression] = STATE(1009),
    [sym__new_dereferencable_expression] = STATE(842),
    [sym_update_expression] = STATE(1039),
    [sym_cast_expression] = STATE(1022),
    [sym_cast_variable] = STATE(656),
    [sym_assignment_expression] = STATE(1026),
    [sym_reference_assignment_expression] = STATE(1026),
    [sym_conditional_expression] = STATE(1026),
    [sym_augmented_assignment_expression] = STATE(1026),
    [sym__variable_member_access_expression] = STATE(613),
    [sym_member_access_expression] = STATE(656),
    [sym__variable_nullsafe_member_access_expression] = STATE(619),
    [sym_nullsafe_member_access_expression] = STATE(656),
    [sym__variable_scoped_property_access_expression] = STATE(602),
    [sym_scoped_property_access_expression] = STATE(656),
    [sym_list_literal] = STATE(2548),
    [sym__list_destructing] = STATE(2405),
    [sym__array_destructing] = STATE(2405),
    [sym_function_call_expression] = STATE(612),
    [sym__callable_expression] = STATE(2324),
    [sym_scoped_call_expression] = STATE(612),
    [sym__scope_resolution_qualifier] = STATE(2522),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(612),
    [sym_nullsafe_member_call_expression] = STATE(612),
    [sym__variable_subscript_expression] = STATE(610),
    [sym__dereferencable_subscript_expression] = STATE(612),
    [sym__dereferencable_expression] = STATE(1948),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(766),
    [sym_attribute_group] = STATE(1373),
    [sym_attribute_list] = STATE(1879),
    [sym_encapsed_string] = STATE(767),
    [sym_string] = STATE(767),
    [sym_heredoc] = STATE(767),
    [sym_nowdoc] = STATE(767),
    [sym_shell_command_expression] = STATE(1039),
    [sym_boolean] = STATE(1036),
    [sym_null] = STATE(1036),
    [sym__string] = STATE(768),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(595),
    [sym__new_variable] = STATE(662),
    [sym__callable_variable] = STATE(646),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1026),
    [sym_binary_expression] = STATE(1026),
    [sym_include_expression] = STATE(1026),
    [sym_include_once_expression] = STATE(1026),
    [sym_require_expression] = STATE(1026),
    [sym_require_once_expression] = STATE(1026),
    [sym__reserved_identifier] = STATE(717),
    [sym__identifier] = STATE(1496),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(659),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(663),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(665),
    [anon_sym_DASH] = ACTIONS(665),
    [anon_sym_TILDE] = ACTIONS(667),
    [anon_sym_BANG] = ACTIONS(667),
    [anon_sym_AT] = ACTIONS(669),
    [aux_sym_clone_expression_token1] = ACTIONS(671),
    [aux_sym_print_intrinsic_token1] = ACTIONS(673),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(675),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(677),
    [aux_sym_include_expression_token1] = ACTIONS(681),
    [aux_sym_include_once_expression_token1] = ACTIONS(683),
    [aux_sym_require_expression_token1] = ACTIONS(685),
    [aux_sym_require_once_expression_token1] = ACTIONS(687),
    [sym_comment] = ACTIONS(5),
  },
  [362] = {
    [sym_text_interpolation] = STATE(362),
    [sym_qualified_name] = STATE(810),
    [sym__name] = STATE(1626),
    [sym_namespace_name] = STATE(2507),
    [sym_static_modifier] = STATE(2368),
    [sym_anonymous_function] = STATE(1039),
    [sym__anonymous_function_header] = STATE(2318),
    [sym__arrow_function_header] = STATE(2547),
    [sym_arrow_function] = STATE(1039),
    [sym_literal] = STATE(1039),
    [sym_throw_expression] = STATE(1039),
    [sym_match_expression] = STATE(1026),
    [sym_expression] = STATE(1144),
    [sym__unary_expression] = STATE(1010),
    [sym_unary_op_expression] = STATE(1022),
    [sym_error_suppression_expression] = STATE(1026),
    [sym_clone_expression] = STATE(1022),
    [sym_primary_expression] = STATE(1022),
    [sym_parenthesized_expression] = STATE(811),
    [sym_class_constant_access_expression] = STATE(859),
    [sym_print_intrinsic] = STATE(1039),
    [sym_object_creation_expression] = STATE(1039),
    [sym__new_non_dereferencable_expression] = STATE(1009),
    [sym__new_dereferencable_expression] = STATE(842),
    [sym_update_expression] = STATE(1039),
    [sym_cast_expression] = STATE(1022),
    [sym_cast_variable] = STATE(656),
    [sym_assignment_expression] = STATE(1026),
    [sym_reference_assignment_expression] = STATE(1026),
    [sym_conditional_expression] = STATE(1026),
    [sym_augmented_assignment_expression] = STATE(1026),
    [sym__variable_member_access_expression] = STATE(613),
    [sym_member_access_expression] = STATE(656),
    [sym__variable_nullsafe_member_access_expression] = STATE(619),
    [sym_nullsafe_member_access_expression] = STATE(656),
    [sym__variable_scoped_property_access_expression] = STATE(602),
    [sym_scoped_property_access_expression] = STATE(656),
    [sym_list_literal] = STATE(2548),
    [sym__list_destructing] = STATE(2405),
    [sym__array_destructing] = STATE(2405),
    [sym_function_call_expression] = STATE(612),
    [sym__callable_expression] = STATE(2324),
    [sym_scoped_call_expression] = STATE(612),
    [sym__scope_resolution_qualifier] = STATE(2522),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(612),
    [sym_nullsafe_member_call_expression] = STATE(612),
    [sym__variable_subscript_expression] = STATE(610),
    [sym__dereferencable_subscript_expression] = STATE(612),
    [sym__dereferencable_expression] = STATE(1948),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(766),
    [sym_attribute_group] = STATE(1373),
    [sym_attribute_list] = STATE(1879),
    [sym_encapsed_string] = STATE(767),
    [sym_string] = STATE(767),
    [sym_heredoc] = STATE(767),
    [sym_nowdoc] = STATE(767),
    [sym_shell_command_expression] = STATE(1039),
    [sym_boolean] = STATE(1036),
    [sym_null] = STATE(1036),
    [sym__string] = STATE(768),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(595),
    [sym__new_variable] = STATE(662),
    [sym__callable_variable] = STATE(646),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1026),
    [sym_binary_expression] = STATE(1026),
    [sym_include_expression] = STATE(1026),
    [sym_include_once_expression] = STATE(1026),
    [sym_require_expression] = STATE(1026),
    [sym_require_once_expression] = STATE(1026),
    [sym__reserved_identifier] = STATE(717),
    [sym__identifier] = STATE(1496),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(659),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(663),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(665),
    [anon_sym_DASH] = ACTIONS(665),
    [anon_sym_TILDE] = ACTIONS(667),
    [anon_sym_BANG] = ACTIONS(667),
    [anon_sym_AT] = ACTIONS(669),
    [aux_sym_clone_expression_token1] = ACTIONS(671),
    [aux_sym_print_intrinsic_token1] = ACTIONS(673),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(675),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(677),
    [aux_sym_include_expression_token1] = ACTIONS(681),
    [aux_sym_include_once_expression_token1] = ACTIONS(683),
    [aux_sym_require_expression_token1] = ACTIONS(685),
    [aux_sym_require_once_expression_token1] = ACTIONS(687),
    [sym_comment] = ACTIONS(5),
  },
  [363] = {
    [sym_text_interpolation] = STATE(363),
    [sym_qualified_name] = STATE(810),
    [sym__name] = STATE(1626),
    [sym_namespace_name] = STATE(2507),
    [sym_static_modifier] = STATE(2368),
    [sym_anonymous_function] = STATE(1039),
    [sym__anonymous_function_header] = STATE(2318),
    [sym__arrow_function_header] = STATE(2547),
    [sym_arrow_function] = STATE(1039),
    [sym_literal] = STATE(1039),
    [sym_throw_expression] = STATE(1039),
    [sym_match_expression] = STATE(1026),
    [sym_expression] = STATE(1145),
    [sym__unary_expression] = STATE(1010),
    [sym_unary_op_expression] = STATE(1022),
    [sym_error_suppression_expression] = STATE(1026),
    [sym_clone_expression] = STATE(1022),
    [sym_primary_expression] = STATE(1022),
    [sym_parenthesized_expression] = STATE(811),
    [sym_class_constant_access_expression] = STATE(859),
    [sym_print_intrinsic] = STATE(1039),
    [sym_object_creation_expression] = STATE(1039),
    [sym__new_non_dereferencable_expression] = STATE(1009),
    [sym__new_dereferencable_expression] = STATE(842),
    [sym_update_expression] = STATE(1039),
    [sym_cast_expression] = STATE(1022),
    [sym_cast_variable] = STATE(656),
    [sym_assignment_expression] = STATE(1026),
    [sym_reference_assignment_expression] = STATE(1026),
    [sym_conditional_expression] = STATE(1026),
    [sym_augmented_assignment_expression] = STATE(1026),
    [sym__variable_member_access_expression] = STATE(613),
    [sym_member_access_expression] = STATE(656),
    [sym__variable_nullsafe_member_access_expression] = STATE(619),
    [sym_nullsafe_member_access_expression] = STATE(656),
    [sym__variable_scoped_property_access_expression] = STATE(602),
    [sym_scoped_property_access_expression] = STATE(656),
    [sym_list_literal] = STATE(2548),
    [sym__list_destructing] = STATE(2405),
    [sym__array_destructing] = STATE(2405),
    [sym_function_call_expression] = STATE(612),
    [sym__callable_expression] = STATE(2324),
    [sym_scoped_call_expression] = STATE(612),
    [sym__scope_resolution_qualifier] = STATE(2522),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(612),
    [sym_nullsafe_member_call_expression] = STATE(612),
    [sym__variable_subscript_expression] = STATE(610),
    [sym__dereferencable_subscript_expression] = STATE(612),
    [sym__dereferencable_expression] = STATE(1948),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(766),
    [sym_attribute_group] = STATE(1373),
    [sym_attribute_list] = STATE(1879),
    [sym_encapsed_string] = STATE(767),
    [sym_string] = STATE(767),
    [sym_heredoc] = STATE(767),
    [sym_nowdoc] = STATE(767),
    [sym_shell_command_expression] = STATE(1039),
    [sym_boolean] = STATE(1036),
    [sym_null] = STATE(1036),
    [sym__string] = STATE(768),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(595),
    [sym__new_variable] = STATE(662),
    [sym__callable_variable] = STATE(646),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1026),
    [sym_binary_expression] = STATE(1026),
    [sym_include_expression] = STATE(1026),
    [sym_include_once_expression] = STATE(1026),
    [sym_require_expression] = STATE(1026),
    [sym_require_once_expression] = STATE(1026),
    [sym__reserved_identifier] = STATE(717),
    [sym__identifier] = STATE(1496),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(659),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(663),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(665),
    [anon_sym_DASH] = ACTIONS(665),
    [anon_sym_TILDE] = ACTIONS(667),
    [anon_sym_BANG] = ACTIONS(667),
    [anon_sym_AT] = ACTIONS(669),
    [aux_sym_clone_expression_token1] = ACTIONS(671),
    [aux_sym_print_intrinsic_token1] = ACTIONS(673),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(675),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(677),
    [aux_sym_include_expression_token1] = ACTIONS(681),
    [aux_sym_include_once_expression_token1] = ACTIONS(683),
    [aux_sym_require_expression_token1] = ACTIONS(685),
    [aux_sym_require_once_expression_token1] = ACTIONS(687),
    [sym_comment] = ACTIONS(5),
  },
  [364] = {
    [sym_text_interpolation] = STATE(364),
    [sym_qualified_name] = STATE(810),
    [sym__name] = STATE(1626),
    [sym_namespace_name] = STATE(2507),
    [sym_static_modifier] = STATE(2368),
    [sym_anonymous_function] = STATE(1039),
    [sym__anonymous_function_header] = STATE(2318),
    [sym__arrow_function_header] = STATE(2547),
    [sym_arrow_function] = STATE(1039),
    [sym_literal] = STATE(1039),
    [sym_throw_expression] = STATE(1039),
    [sym_match_expression] = STATE(1026),
    [sym_expression] = STATE(1146),
    [sym__unary_expression] = STATE(1010),
    [sym_unary_op_expression] = STATE(1022),
    [sym_error_suppression_expression] = STATE(1026),
    [sym_clone_expression] = STATE(1022),
    [sym_primary_expression] = STATE(1022),
    [sym_parenthesized_expression] = STATE(811),
    [sym_class_constant_access_expression] = STATE(859),
    [sym_print_intrinsic] = STATE(1039),
    [sym_object_creation_expression] = STATE(1039),
    [sym__new_non_dereferencable_expression] = STATE(1009),
    [sym__new_dereferencable_expression] = STATE(842),
    [sym_update_expression] = STATE(1039),
    [sym_cast_expression] = STATE(1022),
    [sym_cast_variable] = STATE(656),
    [sym_assignment_expression] = STATE(1026),
    [sym_reference_assignment_expression] = STATE(1026),
    [sym_conditional_expression] = STATE(1026),
    [sym_augmented_assignment_expression] = STATE(1026),
    [sym__variable_member_access_expression] = STATE(613),
    [sym_member_access_expression] = STATE(656),
    [sym__variable_nullsafe_member_access_expression] = STATE(619),
    [sym_nullsafe_member_access_expression] = STATE(656),
    [sym__variable_scoped_property_access_expression] = STATE(602),
    [sym_scoped_property_access_expression] = STATE(656),
    [sym_list_literal] = STATE(2548),
    [sym__list_destructing] = STATE(2405),
    [sym__array_destructing] = STATE(2405),
    [sym_function_call_expression] = STATE(612),
    [sym__callable_expression] = STATE(2324),
    [sym_scoped_call_expression] = STATE(612),
    [sym__scope_resolution_qualifier] = STATE(2522),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(612),
    [sym_nullsafe_member_call_expression] = STATE(612),
    [sym__variable_subscript_expression] = STATE(610),
    [sym__dereferencable_subscript_expression] = STATE(612),
    [sym__dereferencable_expression] = STATE(1948),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(766),
    [sym_attribute_group] = STATE(1373),
    [sym_attribute_list] = STATE(1879),
    [sym_encapsed_string] = STATE(767),
    [sym_string] = STATE(767),
    [sym_heredoc] = STATE(767),
    [sym_nowdoc] = STATE(767),
    [sym_shell_command_expression] = STATE(1039),
    [sym_boolean] = STATE(1036),
    [sym_null] = STATE(1036),
    [sym__string] = STATE(768),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(595),
    [sym__new_variable] = STATE(662),
    [sym__callable_variable] = STATE(646),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1026),
    [sym_binary_expression] = STATE(1026),
    [sym_include_expression] = STATE(1026),
    [sym_include_once_expression] = STATE(1026),
    [sym_require_expression] = STATE(1026),
    [sym_require_once_expression] = STATE(1026),
    [sym__reserved_identifier] = STATE(717),
    [sym__identifier] = STATE(1496),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(659),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(663),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(665),
    [anon_sym_DASH] = ACTIONS(665),
    [anon_sym_TILDE] = ACTIONS(667),
    [anon_sym_BANG] = ACTIONS(667),
    [anon_sym_AT] = ACTIONS(669),
    [aux_sym_clone_expression_token1] = ACTIONS(671),
    [aux_sym_print_intrinsic_token1] = ACTIONS(673),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(675),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(677),
    [aux_sym_include_expression_token1] = ACTIONS(681),
    [aux_sym_include_once_expression_token1] = ACTIONS(683),
    [aux_sym_require_expression_token1] = ACTIONS(685),
    [aux_sym_require_once_expression_token1] = ACTIONS(687),
    [sym_comment] = ACTIONS(5),
  },
  [365] = {
    [sym_text_interpolation] = STATE(365),
    [sym_qualified_name] = STATE(810),
    [sym__name] = STATE(1626),
    [sym_namespace_name] = STATE(2507),
    [sym_static_modifier] = STATE(2368),
    [sym_anonymous_function] = STATE(1039),
    [sym__anonymous_function_header] = STATE(2318),
    [sym__arrow_function_header] = STATE(2547),
    [sym_arrow_function] = STATE(1039),
    [sym_literal] = STATE(1039),
    [sym_throw_expression] = STATE(1039),
    [sym_match_expression] = STATE(1026),
    [sym_expression] = STATE(1147),
    [sym__unary_expression] = STATE(1010),
    [sym_unary_op_expression] = STATE(1022),
    [sym_error_suppression_expression] = STATE(1026),
    [sym_clone_expression] = STATE(1022),
    [sym_primary_expression] = STATE(1022),
    [sym_parenthesized_expression] = STATE(811),
    [sym_class_constant_access_expression] = STATE(859),
    [sym_print_intrinsic] = STATE(1039),
    [sym_object_creation_expression] = STATE(1039),
    [sym__new_non_dereferencable_expression] = STATE(1009),
    [sym__new_dereferencable_expression] = STATE(842),
    [sym_update_expression] = STATE(1039),
    [sym_cast_expression] = STATE(1022),
    [sym_cast_variable] = STATE(656),
    [sym_assignment_expression] = STATE(1026),
    [sym_reference_assignment_expression] = STATE(1026),
    [sym_conditional_expression] = STATE(1026),
    [sym_augmented_assignment_expression] = STATE(1026),
    [sym__variable_member_access_expression] = STATE(613),
    [sym_member_access_expression] = STATE(656),
    [sym__variable_nullsafe_member_access_expression] = STATE(619),
    [sym_nullsafe_member_access_expression] = STATE(656),
    [sym__variable_scoped_property_access_expression] = STATE(602),
    [sym_scoped_property_access_expression] = STATE(656),
    [sym_list_literal] = STATE(2548),
    [sym__list_destructing] = STATE(2405),
    [sym__array_destructing] = STATE(2405),
    [sym_function_call_expression] = STATE(612),
    [sym__callable_expression] = STATE(2324),
    [sym_scoped_call_expression] = STATE(612),
    [sym__scope_resolution_qualifier] = STATE(2522),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(612),
    [sym_nullsafe_member_call_expression] = STATE(612),
    [sym__variable_subscript_expression] = STATE(610),
    [sym__dereferencable_subscript_expression] = STATE(612),
    [sym__dereferencable_expression] = STATE(1948),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(766),
    [sym_attribute_group] = STATE(1373),
    [sym_attribute_list] = STATE(1879),
    [sym_encapsed_string] = STATE(767),
    [sym_string] = STATE(767),
    [sym_heredoc] = STATE(767),
    [sym_nowdoc] = STATE(767),
    [sym_shell_command_expression] = STATE(1039),
    [sym_boolean] = STATE(1036),
    [sym_null] = STATE(1036),
    [sym__string] = STATE(768),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(595),
    [sym__new_variable] = STATE(662),
    [sym__callable_variable] = STATE(646),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1026),
    [sym_binary_expression] = STATE(1026),
    [sym_include_expression] = STATE(1026),
    [sym_include_once_expression] = STATE(1026),
    [sym_require_expression] = STATE(1026),
    [sym_require_once_expression] = STATE(1026),
    [sym__reserved_identifier] = STATE(717),
    [sym__identifier] = STATE(1496),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(659),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(663),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(665),
    [anon_sym_DASH] = ACTIONS(665),
    [anon_sym_TILDE] = ACTIONS(667),
    [anon_sym_BANG] = ACTIONS(667),
    [anon_sym_AT] = ACTIONS(669),
    [aux_sym_clone_expression_token1] = ACTIONS(671),
    [aux_sym_print_intrinsic_token1] = ACTIONS(673),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(675),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(677),
    [aux_sym_include_expression_token1] = ACTIONS(681),
    [aux_sym_include_once_expression_token1] = ACTIONS(683),
    [aux_sym_require_expression_token1] = ACTIONS(685),
    [aux_sym_require_once_expression_token1] = ACTIONS(687),
    [sym_comment] = ACTIONS(5),
  },
  [366] = {
    [sym_text_interpolation] = STATE(366),
    [sym_qualified_name] = STATE(1000),
    [sym__name] = STATE(1631),
    [sym_namespace_name] = STATE(2575),
    [sym_static_modifier] = STATE(2368),
    [sym_anonymous_function] = STATE(1148),
    [sym__anonymous_function_header] = STATE(2489),
    [sym__arrow_function_header] = STATE(2731),
    [sym_arrow_function] = STATE(1148),
    [sym_literal] = STATE(1148),
    [sym_throw_expression] = STATE(1148),
    [sym_match_expression] = STATE(1152),
    [sym_expression] = STATE(1122),
    [sym__unary_expression] = STATE(1159),
    [sym_unary_op_expression] = STATE(1172),
    [sym_error_suppression_expression] = STATE(1152),
    [sym_clone_expression] = STATE(1172),
    [sym_primary_expression] = STATE(1172),
    [sym_parenthesized_expression] = STATE(964),
    [sym_class_constant_access_expression] = STATE(1019),
    [sym_print_intrinsic] = STATE(1148),
    [sym_object_creation_expression] = STATE(1148),
    [sym__new_non_dereferencable_expression] = STATE(1168),
    [sym__new_dereferencable_expression] = STATE(966),
    [sym_update_expression] = STATE(1148),
    [sym_cast_expression] = STATE(1172),
    [sym_cast_variable] = STATE(661),
    [sym_assignment_expression] = STATE(1152),
    [sym_reference_assignment_expression] = STATE(1152),
    [sym_conditional_expression] = STATE(1152),
    [sym_augmented_assignment_expression] = STATE(1152),
    [sym__variable_member_access_expression] = STATE(674),
    [sym_member_access_expression] = STATE(661),
    [sym__variable_nullsafe_member_access_expression] = STATE(663),
    [sym_nullsafe_member_access_expression] = STATE(661),
    [sym__variable_scoped_property_access_expression] = STATE(664),
    [sym_scoped_property_access_expression] = STATE(661),
    [sym_list_literal] = STATE(2530),
    [sym__list_destructing] = STATE(2405),
    [sym__array_destructing] = STATE(2405),
    [sym_function_call_expression] = STATE(634),
    [sym__callable_expression] = STATE(2471),
    [sym_scoped_call_expression] = STATE(634),
    [sym__scope_resolution_qualifier] = STATE(2651),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(634),
    [sym_nullsafe_member_call_expression] = STATE(634),
    [sym__variable_subscript_expression] = STATE(665),
    [sym__dereferencable_subscript_expression] = STATE(634),
    [sym__dereferencable_expression] = STATE(1946),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(1005),
    [sym_attribute_group] = STATE(1373),
    [sym_attribute_list] = STATE(1879),
    [sym_encapsed_string] = STATE(927),
    [sym_string] = STATE(927),
    [sym_heredoc] = STATE(927),
    [sym_nowdoc] = STATE(927),
    [sym_shell_command_expression] = STATE(1148),
    [sym_boolean] = STATE(1162),
    [sym_null] = STATE(1162),
    [sym__string] = STATE(941),
    [sym_dynamic_variable_name] = STATE(650),
    [sym__simple_variable] = STATE(654),
    [sym__new_variable] = STATE(667),
    [sym__callable_variable] = STATE(629),
    [sym_variable_name] = STATE(650),
    [sym_yield_expression] = STATE(1152),
    [sym_binary_expression] = STATE(1152),
    [sym_include_expression] = STATE(1152),
    [sym_include_once_expression] = STATE(1152),
    [sym_require_expression] = STATE(1152),
    [sym_require_once_expression] = STATE(1152),
    [sym__reserved_identifier] = STATE(717),
    [sym__identifier] = STATE(1496),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(689),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LPAREN2] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [sym_float] = ACTIONS(266),
    [sym_integer] = ACTIONS(266),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [367] = {
    [sym_text_interpolation] = STATE(367),
    [sym_qualified_name] = STATE(810),
    [sym__name] = STATE(1626),
    [sym_namespace_name] = STATE(2507),
    [sym_static_modifier] = STATE(2368),
    [sym_anonymous_function] = STATE(1039),
    [sym__anonymous_function_header] = STATE(2318),
    [sym__arrow_function_header] = STATE(2547),
    [sym_arrow_function] = STATE(1039),
    [sym_literal] = STATE(1039),
    [sym_throw_expression] = STATE(1039),
    [sym_match_expression] = STATE(1026),
    [sym_expression] = STATE(1150),
    [sym__unary_expression] = STATE(1010),
    [sym_unary_op_expression] = STATE(1022),
    [sym_error_suppression_expression] = STATE(1026),
    [sym_clone_expression] = STATE(1022),
    [sym_primary_expression] = STATE(1022),
    [sym_parenthesized_expression] = STATE(811),
    [sym_class_constant_access_expression] = STATE(859),
    [sym_print_intrinsic] = STATE(1039),
    [sym_object_creation_expression] = STATE(1039),
    [sym__new_non_dereferencable_expression] = STATE(1009),
    [sym__new_dereferencable_expression] = STATE(842),
    [sym_update_expression] = STATE(1039),
    [sym_cast_expression] = STATE(1022),
    [sym_cast_variable] = STATE(656),
    [sym_assignment_expression] = STATE(1026),
    [sym_reference_assignment_expression] = STATE(1026),
    [sym_conditional_expression] = STATE(1026),
    [sym_augmented_assignment_expression] = STATE(1026),
    [sym__variable_member_access_expression] = STATE(613),
    [sym_member_access_expression] = STATE(656),
    [sym__variable_nullsafe_member_access_expression] = STATE(619),
    [sym_nullsafe_member_access_expression] = STATE(656),
    [sym__variable_scoped_property_access_expression] = STATE(602),
    [sym_scoped_property_access_expression] = STATE(656),
    [sym_list_literal] = STATE(2548),
    [sym__list_destructing] = STATE(2405),
    [sym__array_destructing] = STATE(2405),
    [sym_function_call_expression] = STATE(612),
    [sym__callable_expression] = STATE(2324),
    [sym_scoped_call_expression] = STATE(612),
    [sym__scope_resolution_qualifier] = STATE(2522),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(612),
    [sym_nullsafe_member_call_expression] = STATE(612),
    [sym__variable_subscript_expression] = STATE(610),
    [sym__dereferencable_subscript_expression] = STATE(612),
    [sym__dereferencable_expression] = STATE(1948),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(766),
    [sym_attribute_group] = STATE(1373),
    [sym_attribute_list] = STATE(1879),
    [sym_encapsed_string] = STATE(767),
    [sym_string] = STATE(767),
    [sym_heredoc] = STATE(767),
    [sym_nowdoc] = STATE(767),
    [sym_shell_command_expression] = STATE(1039),
    [sym_boolean] = STATE(1036),
    [sym_null] = STATE(1036),
    [sym__string] = STATE(768),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(595),
    [sym__new_variable] = STATE(662),
    [sym__callable_variable] = STATE(646),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1026),
    [sym_binary_expression] = STATE(1026),
    [sym_include_expression] = STATE(1026),
    [sym_include_once_expression] = STATE(1026),
    [sym_require_expression] = STATE(1026),
    [sym_require_once_expression] = STATE(1026),
    [sym__reserved_identifier] = STATE(717),
    [sym__identifier] = STATE(1496),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(659),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(663),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(665),
    [anon_sym_DASH] = ACTIONS(665),
    [anon_sym_TILDE] = ACTIONS(667),
    [anon_sym_BANG] = ACTIONS(667),
    [anon_sym_AT] = ACTIONS(669),
    [aux_sym_clone_expression_token1] = ACTIONS(671),
    [aux_sym_print_intrinsic_token1] = ACTIONS(673),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(675),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(677),
    [aux_sym_include_expression_token1] = ACTIONS(681),
    [aux_sym_include_once_expression_token1] = ACTIONS(683),
    [aux_sym_require_expression_token1] = ACTIONS(685),
    [aux_sym_require_once_expression_token1] = ACTIONS(687),
    [sym_comment] = ACTIONS(5),
  },
  [368] = {
    [sym_text_interpolation] = STATE(368),
    [sym_qualified_name] = STATE(810),
    [sym__name] = STATE(1626),
    [sym_namespace_name] = STATE(2507),
    [sym_static_modifier] = STATE(2368),
    [sym_anonymous_function] = STATE(1039),
    [sym__anonymous_function_header] = STATE(2318),
    [sym__arrow_function_header] = STATE(2639),
    [sym_arrow_function] = STATE(1039),
    [sym_literal] = STATE(1039),
    [sym_throw_expression] = STATE(1039),
    [sym_match_expression] = STATE(1026),
    [sym_expression] = STATE(1213),
    [sym__unary_expression] = STATE(1010),
    [sym_unary_op_expression] = STATE(1022),
    [sym_error_suppression_expression] = STATE(1026),
    [sym_clone_expression] = STATE(1022),
    [sym_primary_expression] = STATE(1022),
    [sym_parenthesized_expression] = STATE(811),
    [sym_class_constant_access_expression] = STATE(859),
    [sym_print_intrinsic] = STATE(1039),
    [sym_object_creation_expression] = STATE(1039),
    [sym__new_non_dereferencable_expression] = STATE(1009),
    [sym__new_dereferencable_expression] = STATE(842),
    [sym_update_expression] = STATE(1039),
    [sym_cast_expression] = STATE(1022),
    [sym_cast_variable] = STATE(681),
    [sym_assignment_expression] = STATE(1026),
    [sym_reference_assignment_expression] = STATE(1026),
    [sym_conditional_expression] = STATE(1026),
    [sym_augmented_assignment_expression] = STATE(1026),
    [sym__variable_member_access_expression] = STATE(613),
    [sym_member_access_expression] = STATE(681),
    [sym__variable_nullsafe_member_access_expression] = STATE(619),
    [sym_nullsafe_member_access_expression] = STATE(681),
    [sym__variable_scoped_property_access_expression] = STATE(602),
    [sym_scoped_property_access_expression] = STATE(681),
    [sym_list_literal] = STATE(2640),
    [sym__list_destructing] = STATE(2405),
    [sym__array_destructing] = STATE(2405),
    [sym_function_call_expression] = STATE(612),
    [sym__callable_expression] = STATE(2324),
    [sym_scoped_call_expression] = STATE(612),
    [sym__scope_resolution_qualifier] = STATE(2522),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(612),
    [sym_nullsafe_member_call_expression] = STATE(612),
    [sym__variable_subscript_expression] = STATE(610),
    [sym__dereferencable_subscript_expression] = STATE(612),
    [sym__dereferencable_expression] = STATE(1948),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(766),
    [sym_attribute_group] = STATE(1373),
    [sym_attribute_list] = STATE(1879),
    [sym_encapsed_string] = STATE(767),
    [sym_string] = STATE(767),
    [sym_heredoc] = STATE(767),
    [sym_nowdoc] = STATE(767),
    [sym_shell_command_expression] = STATE(1039),
    [sym_boolean] = STATE(1036),
    [sym_null] = STATE(1036),
    [sym__string] = STATE(768),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(595),
    [sym__new_variable] = STATE(683),
    [sym__callable_variable] = STATE(657),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1026),
    [sym_binary_expression] = STATE(1026),
    [sym_include_expression] = STATE(1026),
    [sym_include_once_expression] = STATE(1026),
    [sym_require_expression] = STATE(1026),
    [sym_require_once_expression] = STATE(1026),
    [sym__reserved_identifier] = STATE(717),
    [sym__identifier] = STATE(1496),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(697),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(701),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(703),
    [anon_sym_DASH] = ACTIONS(703),
    [anon_sym_TILDE] = ACTIONS(705),
    [anon_sym_BANG] = ACTIONS(705),
    [anon_sym_AT] = ACTIONS(707),
    [aux_sym_clone_expression_token1] = ACTIONS(709),
    [aux_sym_print_intrinsic_token1] = ACTIONS(711),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(713),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(5),
  },
  [369] = {
    [sym_text_interpolation] = STATE(369),
    [sym_qualified_name] = STATE(810),
    [sym__name] = STATE(1626),
    [sym_namespace_name] = STATE(2507),
    [sym_static_modifier] = STATE(2368),
    [sym_anonymous_function] = STATE(1039),
    [sym__anonymous_function_header] = STATE(2318),
    [sym__arrow_function_header] = STATE(2547),
    [sym_arrow_function] = STATE(1039),
    [sym_literal] = STATE(1039),
    [sym_throw_expression] = STATE(1039),
    [sym_match_expression] = STATE(1026),
    [sym_expression] = STATE(1153),
    [sym__unary_expression] = STATE(1010),
    [sym_unary_op_expression] = STATE(1022),
    [sym_error_suppression_expression] = STATE(1026),
    [sym_clone_expression] = STATE(1022),
    [sym_primary_expression] = STATE(1022),
    [sym_parenthesized_expression] = STATE(811),
    [sym_class_constant_access_expression] = STATE(859),
    [sym_print_intrinsic] = STATE(1039),
    [sym_object_creation_expression] = STATE(1039),
    [sym__new_non_dereferencable_expression] = STATE(1009),
    [sym__new_dereferencable_expression] = STATE(842),
    [sym_update_expression] = STATE(1039),
    [sym_cast_expression] = STATE(1022),
    [sym_cast_variable] = STATE(656),
    [sym_assignment_expression] = STATE(1026),
    [sym_reference_assignment_expression] = STATE(1026),
    [sym_conditional_expression] = STATE(1026),
    [sym_augmented_assignment_expression] = STATE(1026),
    [sym__variable_member_access_expression] = STATE(613),
    [sym_member_access_expression] = STATE(656),
    [sym__variable_nullsafe_member_access_expression] = STATE(619),
    [sym_nullsafe_member_access_expression] = STATE(656),
    [sym__variable_scoped_property_access_expression] = STATE(602),
    [sym_scoped_property_access_expression] = STATE(656),
    [sym_list_literal] = STATE(2548),
    [sym__list_destructing] = STATE(2405),
    [sym__array_destructing] = STATE(2405),
    [sym_function_call_expression] = STATE(612),
    [sym__callable_expression] = STATE(2324),
    [sym_scoped_call_expression] = STATE(612),
    [sym__scope_resolution_qualifier] = STATE(2522),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(612),
    [sym_nullsafe_member_call_expression] = STATE(612),
    [sym__variable_subscript_expression] = STATE(610),
    [sym__dereferencable_subscript_expression] = STATE(612),
    [sym__dereferencable_expression] = STATE(1948),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(766),
    [sym_attribute_group] = STATE(1373),
    [sym_attribute_list] = STATE(1879),
    [sym_encapsed_string] = STATE(767),
    [sym_string] = STATE(767),
    [sym_heredoc] = STATE(767),
    [sym_nowdoc] = STATE(767),
    [sym_shell_command_expression] = STATE(1039),
    [sym_boolean] = STATE(1036),
    [sym_null] = STATE(1036),
    [sym__string] = STATE(768),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(595),
    [sym__new_variable] = STATE(662),
    [sym__callable_variable] = STATE(646),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1026),
    [sym_binary_expression] = STATE(1026),
    [sym_include_expression] = STATE(1026),
    [sym_include_once_expression] = STATE(1026),
    [sym_require_expression] = STATE(1026),
    [sym_require_once_expression] = STATE(1026),
    [sym__reserved_identifier] = STATE(717),
    [sym__identifier] = STATE(1496),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(659),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(663),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(665),
    [anon_sym_DASH] = ACTIONS(665),
    [anon_sym_TILDE] = ACTIONS(667),
    [anon_sym_BANG] = ACTIONS(667),
    [anon_sym_AT] = ACTIONS(669),
    [aux_sym_clone_expression_token1] = ACTIONS(671),
    [aux_sym_print_intrinsic_token1] = ACTIONS(673),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(675),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(677),
    [aux_sym_include_expression_token1] = ACTIONS(681),
    [aux_sym_include_once_expression_token1] = ACTIONS(683),
    [aux_sym_require_expression_token1] = ACTIONS(685),
    [aux_sym_require_once_expression_token1] = ACTIONS(687),
    [sym_comment] = ACTIONS(5),
  },
  [370] = {
    [sym_text_interpolation] = STATE(370),
    [sym_qualified_name] = STATE(810),
    [sym__name] = STATE(1626),
    [sym_namespace_name] = STATE(2507),
    [sym_static_modifier] = STATE(2368),
    [sym_anonymous_function] = STATE(1039),
    [sym__anonymous_function_header] = STATE(2318),
    [sym__arrow_function_header] = STATE(2547),
    [sym_arrow_function] = STATE(1039),
    [sym_literal] = STATE(1039),
    [sym_throw_expression] = STATE(1039),
    [sym_match_expression] = STATE(1026),
    [sym_expression] = STATE(1154),
    [sym__unary_expression] = STATE(1010),
    [sym_unary_op_expression] = STATE(1022),
    [sym_error_suppression_expression] = STATE(1026),
    [sym_clone_expression] = STATE(1022),
    [sym_primary_expression] = STATE(1022),
    [sym_parenthesized_expression] = STATE(811),
    [sym_class_constant_access_expression] = STATE(859),
    [sym_print_intrinsic] = STATE(1039),
    [sym_object_creation_expression] = STATE(1039),
    [sym__new_non_dereferencable_expression] = STATE(1009),
    [sym__new_dereferencable_expression] = STATE(842),
    [sym_update_expression] = STATE(1039),
    [sym_cast_expression] = STATE(1022),
    [sym_cast_variable] = STATE(656),
    [sym_assignment_expression] = STATE(1026),
    [sym_reference_assignment_expression] = STATE(1026),
    [sym_conditional_expression] = STATE(1026),
    [sym_augmented_assignment_expression] = STATE(1026),
    [sym__variable_member_access_expression] = STATE(613),
    [sym_member_access_expression] = STATE(656),
    [sym__variable_nullsafe_member_access_expression] = STATE(619),
    [sym_nullsafe_member_access_expression] = STATE(656),
    [sym__variable_scoped_property_access_expression] = STATE(602),
    [sym_scoped_property_access_expression] = STATE(656),
    [sym_list_literal] = STATE(2548),
    [sym__list_destructing] = STATE(2405),
    [sym__array_destructing] = STATE(2405),
    [sym_function_call_expression] = STATE(612),
    [sym__callable_expression] = STATE(2324),
    [sym_scoped_call_expression] = STATE(612),
    [sym__scope_resolution_qualifier] = STATE(2522),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(612),
    [sym_nullsafe_member_call_expression] = STATE(612),
    [sym__variable_subscript_expression] = STATE(610),
    [sym__dereferencable_subscript_expression] = STATE(612),
    [sym__dereferencable_expression] = STATE(1948),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(766),
    [sym_attribute_group] = STATE(1373),
    [sym_attribute_list] = STATE(1879),
    [sym_encapsed_string] = STATE(767),
    [sym_string] = STATE(767),
    [sym_heredoc] = STATE(767),
    [sym_nowdoc] = STATE(767),
    [sym_shell_command_expression] = STATE(1039),
    [sym_boolean] = STATE(1036),
    [sym_null] = STATE(1036),
    [sym__string] = STATE(768),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(595),
    [sym__new_variable] = STATE(662),
    [sym__callable_variable] = STATE(646),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1026),
    [sym_binary_expression] = STATE(1026),
    [sym_include_expression] = STATE(1026),
    [sym_include_once_expression] = STATE(1026),
    [sym_require_expression] = STATE(1026),
    [sym_require_once_expression] = STATE(1026),
    [sym__reserved_identifier] = STATE(717),
    [sym__identifier] = STATE(1496),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(659),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(663),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(665),
    [anon_sym_DASH] = ACTIONS(665),
    [anon_sym_TILDE] = ACTIONS(667),
    [anon_sym_BANG] = ACTIONS(667),
    [anon_sym_AT] = ACTIONS(669),
    [aux_sym_clone_expression_token1] = ACTIONS(671),
    [aux_sym_print_intrinsic_token1] = ACTIONS(673),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(675),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(677),
    [aux_sym_include_expression_token1] = ACTIONS(681),
    [aux_sym_include_once_expression_token1] = ACTIONS(683),
    [aux_sym_require_expression_token1] = ACTIONS(685),
    [aux_sym_require_once_expression_token1] = ACTIONS(687),
    [sym_comment] = ACTIONS(5),
  },
  [371] = {
    [sym_text_interpolation] = STATE(371),
    [sym_qualified_name] = STATE(810),
    [sym__name] = STATE(1626),
    [sym_namespace_name] = STATE(2507),
    [sym_static_modifier] = STATE(2368),
    [sym_anonymous_function] = STATE(1039),
    [sym__anonymous_function_header] = STATE(2318),
    [sym__arrow_function_header] = STATE(2547),
    [sym_arrow_function] = STATE(1039),
    [sym_literal] = STATE(1039),
    [sym_throw_expression] = STATE(1039),
    [sym_match_expression] = STATE(1026),
    [sym_expression] = STATE(1092),
    [sym__unary_expression] = STATE(1010),
    [sym_unary_op_expression] = STATE(1022),
    [sym_error_suppression_expression] = STATE(1026),
    [sym_clone_expression] = STATE(1022),
    [sym_primary_expression] = STATE(1022),
    [sym_parenthesized_expression] = STATE(811),
    [sym_class_constant_access_expression] = STATE(859),
    [sym_print_intrinsic] = STATE(1039),
    [sym_object_creation_expression] = STATE(1039),
    [sym__new_non_dereferencable_expression] = STATE(1009),
    [sym__new_dereferencable_expression] = STATE(842),
    [sym_update_expression] = STATE(1039),
    [sym_cast_expression] = STATE(1022),
    [sym_cast_variable] = STATE(656),
    [sym_assignment_expression] = STATE(1026),
    [sym_reference_assignment_expression] = STATE(1026),
    [sym_conditional_expression] = STATE(1026),
    [sym_augmented_assignment_expression] = STATE(1026),
    [sym__variable_member_access_expression] = STATE(613),
    [sym_member_access_expression] = STATE(656),
    [sym__variable_nullsafe_member_access_expression] = STATE(619),
    [sym_nullsafe_member_access_expression] = STATE(656),
    [sym__variable_scoped_property_access_expression] = STATE(602),
    [sym_scoped_property_access_expression] = STATE(656),
    [sym_list_literal] = STATE(2548),
    [sym__list_destructing] = STATE(2405),
    [sym__array_destructing] = STATE(2405),
    [sym_function_call_expression] = STATE(612),
    [sym__callable_expression] = STATE(2324),
    [sym_scoped_call_expression] = STATE(612),
    [sym__scope_resolution_qualifier] = STATE(2522),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(612),
    [sym_nullsafe_member_call_expression] = STATE(612),
    [sym__variable_subscript_expression] = STATE(610),
    [sym__dereferencable_subscript_expression] = STATE(612),
    [sym__dereferencable_expression] = STATE(1948),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(766),
    [sym_attribute_group] = STATE(1373),
    [sym_attribute_list] = STATE(1879),
    [sym_encapsed_string] = STATE(767),
    [sym_string] = STATE(767),
    [sym_heredoc] = STATE(767),
    [sym_nowdoc] = STATE(767),
    [sym_shell_command_expression] = STATE(1039),
    [sym_boolean] = STATE(1036),
    [sym_null] = STATE(1036),
    [sym__string] = STATE(768),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(595),
    [sym__new_variable] = STATE(662),
    [sym__callable_variable] = STATE(646),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1026),
    [sym_binary_expression] = STATE(1026),
    [sym_include_expression] = STATE(1026),
    [sym_include_once_expression] = STATE(1026),
    [sym_require_expression] = STATE(1026),
    [sym_require_once_expression] = STATE(1026),
    [sym__reserved_identifier] = STATE(717),
    [sym__identifier] = STATE(1496),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(659),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(663),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(665),
    [anon_sym_DASH] = ACTIONS(665),
    [anon_sym_TILDE] = ACTIONS(667),
    [anon_sym_BANG] = ACTIONS(667),
    [anon_sym_AT] = ACTIONS(669),
    [aux_sym_clone_expression_token1] = ACTIONS(671),
    [aux_sym_print_intrinsic_token1] = ACTIONS(673),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(675),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(677),
    [aux_sym_include_expression_token1] = ACTIONS(681),
    [aux_sym_include_once_expression_token1] = ACTIONS(683),
    [aux_sym_require_expression_token1] = ACTIONS(685),
    [aux_sym_require_once_expression_token1] = ACTIONS(687),
    [sym_comment] = ACTIONS(5),
  },
  [372] = {
    [sym_text_interpolation] = STATE(372),
    [sym_qualified_name] = STATE(810),
    [sym__name] = STATE(1626),
    [sym_namespace_name] = STATE(2507),
    [sym_static_modifier] = STATE(2368),
    [sym_anonymous_function] = STATE(1039),
    [sym__anonymous_function_header] = STATE(2318),
    [sym__arrow_function_header] = STATE(2679),
    [sym_arrow_function] = STATE(1039),
    [sym_literal] = STATE(1039),
    [sym_throw_expression] = STATE(1039),
    [sym_match_expression] = STATE(1026),
    [sym_expression] = STATE(1304),
    [sym__unary_expression] = STATE(1010),
    [sym_unary_op_expression] = STATE(1022),
    [sym_error_suppression_expression] = STATE(1026),
    [sym_clone_expression] = STATE(1022),
    [sym_primary_expression] = STATE(1022),
    [sym_parenthesized_expression] = STATE(811),
    [sym_class_constant_access_expression] = STATE(859),
    [sym_print_intrinsic] = STATE(1039),
    [sym_object_creation_expression] = STATE(1039),
    [sym__new_non_dereferencable_expression] = STATE(1009),
    [sym__new_dereferencable_expression] = STATE(842),
    [sym_update_expression] = STATE(1039),
    [sym_cast_expression] = STATE(1022),
    [sym_cast_variable] = STATE(630),
    [sym_assignment_expression] = STATE(1026),
    [sym_reference_assignment_expression] = STATE(1026),
    [sym_conditional_expression] = STATE(1026),
    [sym_augmented_assignment_expression] = STATE(1026),
    [sym__variable_member_access_expression] = STATE(613),
    [sym_member_access_expression] = STATE(630),
    [sym__variable_nullsafe_member_access_expression] = STATE(619),
    [sym_nullsafe_member_access_expression] = STATE(630),
    [sym__variable_scoped_property_access_expression] = STATE(602),
    [sym_scoped_property_access_expression] = STATE(630),
    [sym_list_literal] = STATE(2632),
    [sym__list_destructing] = STATE(2405),
    [sym__array_destructing] = STATE(2405),
    [sym_function_call_expression] = STATE(612),
    [sym__callable_expression] = STATE(2324),
    [sym_scoped_call_expression] = STATE(612),
    [sym__scope_resolution_qualifier] = STATE(2522),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(612),
    [sym_nullsafe_member_call_expression] = STATE(612),
    [sym__variable_subscript_expression] = STATE(610),
    [sym__dereferencable_subscript_expression] = STATE(612),
    [sym__dereferencable_expression] = STATE(1948),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(766),
    [sym_attribute_group] = STATE(1373),
    [sym_attribute_list] = STATE(1879),
    [sym_encapsed_string] = STATE(767),
    [sym_string] = STATE(767),
    [sym_heredoc] = STATE(767),
    [sym_nowdoc] = STATE(767),
    [sym_shell_command_expression] = STATE(1039),
    [sym_boolean] = STATE(1036),
    [sym_null] = STATE(1036),
    [sym__string] = STATE(768),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(595),
    [sym__new_variable] = STATE(653),
    [sym__callable_variable] = STATE(623),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1026),
    [sym_binary_expression] = STATE(1026),
    [sym_include_expression] = STATE(1026),
    [sym_include_once_expression] = STATE(1026),
    [sym_require_expression] = STATE(1026),
    [sym_require_once_expression] = STATE(1026),
    [sym__reserved_identifier] = STATE(717),
    [sym__identifier] = STATE(1496),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(605),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(613),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(617),
    [anon_sym_DASH] = ACTIONS(617),
    [anon_sym_TILDE] = ACTIONS(619),
    [anon_sym_BANG] = ACTIONS(619),
    [anon_sym_AT] = ACTIONS(621),
    [aux_sym_clone_expression_token1] = ACTIONS(623),
    [aux_sym_print_intrinsic_token1] = ACTIONS(625),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(631),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(647),
    [aux_sym_include_expression_token1] = ACTIONS(651),
    [aux_sym_include_once_expression_token1] = ACTIONS(653),
    [aux_sym_require_expression_token1] = ACTIONS(655),
    [aux_sym_require_once_expression_token1] = ACTIONS(657),
    [sym_comment] = ACTIONS(5),
  },
  [373] = {
    [sym_text_interpolation] = STATE(373),
    [sym_qualified_name] = STATE(810),
    [sym__name] = STATE(1626),
    [sym_namespace_name] = STATE(2507),
    [sym_static_modifier] = STATE(2368),
    [sym_anonymous_function] = STATE(1039),
    [sym__anonymous_function_header] = STATE(2318),
    [sym__arrow_function_header] = STATE(2547),
    [sym_arrow_function] = STATE(1039),
    [sym_literal] = STATE(1039),
    [sym_throw_expression] = STATE(1039),
    [sym_match_expression] = STATE(1026),
    [sym_expression] = STATE(1155),
    [sym__unary_expression] = STATE(1010),
    [sym_unary_op_expression] = STATE(1022),
    [sym_error_suppression_expression] = STATE(1026),
    [sym_clone_expression] = STATE(1022),
    [sym_primary_expression] = STATE(1022),
    [sym_parenthesized_expression] = STATE(811),
    [sym_class_constant_access_expression] = STATE(859),
    [sym_print_intrinsic] = STATE(1039),
    [sym_object_creation_expression] = STATE(1039),
    [sym__new_non_dereferencable_expression] = STATE(1009),
    [sym__new_dereferencable_expression] = STATE(842),
    [sym_update_expression] = STATE(1039),
    [sym_cast_expression] = STATE(1022),
    [sym_cast_variable] = STATE(656),
    [sym_assignment_expression] = STATE(1026),
    [sym_reference_assignment_expression] = STATE(1026),
    [sym_conditional_expression] = STATE(1026),
    [sym_augmented_assignment_expression] = STATE(1026),
    [sym__variable_member_access_expression] = STATE(613),
    [sym_member_access_expression] = STATE(656),
    [sym__variable_nullsafe_member_access_expression] = STATE(619),
    [sym_nullsafe_member_access_expression] = STATE(656),
    [sym__variable_scoped_property_access_expression] = STATE(602),
    [sym_scoped_property_access_expression] = STATE(656),
    [sym_list_literal] = STATE(2548),
    [sym__list_destructing] = STATE(2405),
    [sym__array_destructing] = STATE(2405),
    [sym_function_call_expression] = STATE(612),
    [sym__callable_expression] = STATE(2324),
    [sym_scoped_call_expression] = STATE(612),
    [sym__scope_resolution_qualifier] = STATE(2522),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(612),
    [sym_nullsafe_member_call_expression] = STATE(612),
    [sym__variable_subscript_expression] = STATE(610),
    [sym__dereferencable_subscript_expression] = STATE(612),
    [sym__dereferencable_expression] = STATE(1948),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(766),
    [sym_attribute_group] = STATE(1373),
    [sym_attribute_list] = STATE(1879),
    [sym_encapsed_string] = STATE(767),
    [sym_string] = STATE(767),
    [sym_heredoc] = STATE(767),
    [sym_nowdoc] = STATE(767),
    [sym_shell_command_expression] = STATE(1039),
    [sym_boolean] = STATE(1036),
    [sym_null] = STATE(1036),
    [sym__string] = STATE(768),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(595),
    [sym__new_variable] = STATE(662),
    [sym__callable_variable] = STATE(646),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1026),
    [sym_binary_expression] = STATE(1026),
    [sym_include_expression] = STATE(1026),
    [sym_include_once_expression] = STATE(1026),
    [sym_require_expression] = STATE(1026),
    [sym_require_once_expression] = STATE(1026),
    [sym__reserved_identifier] = STATE(717),
    [sym__identifier] = STATE(1496),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(659),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(663),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(665),
    [anon_sym_DASH] = ACTIONS(665),
    [anon_sym_TILDE] = ACTIONS(667),
    [anon_sym_BANG] = ACTIONS(667),
    [anon_sym_AT] = ACTIONS(669),
    [aux_sym_clone_expression_token1] = ACTIONS(671),
    [aux_sym_print_intrinsic_token1] = ACTIONS(673),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(675),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(677),
    [aux_sym_include_expression_token1] = ACTIONS(681),
    [aux_sym_include_once_expression_token1] = ACTIONS(683),
    [aux_sym_require_expression_token1] = ACTIONS(685),
    [aux_sym_require_once_expression_token1] = ACTIONS(687),
    [sym_comment] = ACTIONS(5),
  },
  [374] = {
    [sym_text_interpolation] = STATE(374),
    [sym_qualified_name] = STATE(810),
    [sym__name] = STATE(1626),
    [sym_namespace_name] = STATE(2507),
    [sym_static_modifier] = STATE(2368),
    [sym_anonymous_function] = STATE(1039),
    [sym__anonymous_function_header] = STATE(2318),
    [sym__arrow_function_header] = STATE(2547),
    [sym_arrow_function] = STATE(1039),
    [sym_literal] = STATE(1039),
    [sym_throw_expression] = STATE(1039),
    [sym_match_expression] = STATE(1026),
    [sym_expression] = STATE(1249),
    [sym__unary_expression] = STATE(1010),
    [sym_unary_op_expression] = STATE(1022),
    [sym_error_suppression_expression] = STATE(1026),
    [sym_clone_expression] = STATE(1022),
    [sym_primary_expression] = STATE(1022),
    [sym_parenthesized_expression] = STATE(811),
    [sym_class_constant_access_expression] = STATE(859),
    [sym_print_intrinsic] = STATE(1039),
    [sym_object_creation_expression] = STATE(1039),
    [sym__new_non_dereferencable_expression] = STATE(1009),
    [sym__new_dereferencable_expression] = STATE(842),
    [sym_update_expression] = STATE(1039),
    [sym_cast_expression] = STATE(1022),
    [sym_cast_variable] = STATE(656),
    [sym_assignment_expression] = STATE(1026),
    [sym_reference_assignment_expression] = STATE(1026),
    [sym_conditional_expression] = STATE(1026),
    [sym_augmented_assignment_expression] = STATE(1026),
    [sym__variable_member_access_expression] = STATE(613),
    [sym_member_access_expression] = STATE(656),
    [sym__variable_nullsafe_member_access_expression] = STATE(619),
    [sym_nullsafe_member_access_expression] = STATE(656),
    [sym__variable_scoped_property_access_expression] = STATE(602),
    [sym_scoped_property_access_expression] = STATE(656),
    [sym_list_literal] = STATE(2548),
    [sym__list_destructing] = STATE(2405),
    [sym__array_destructing] = STATE(2405),
    [sym_function_call_expression] = STATE(612),
    [sym__callable_expression] = STATE(2324),
    [sym_scoped_call_expression] = STATE(612),
    [sym__scope_resolution_qualifier] = STATE(2522),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(612),
    [sym_nullsafe_member_call_expression] = STATE(612),
    [sym__variable_subscript_expression] = STATE(610),
    [sym__dereferencable_subscript_expression] = STATE(612),
    [sym__dereferencable_expression] = STATE(1948),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(766),
    [sym_attribute_group] = STATE(1373),
    [sym_attribute_list] = STATE(1879),
    [sym_encapsed_string] = STATE(767),
    [sym_string] = STATE(767),
    [sym_heredoc] = STATE(767),
    [sym_nowdoc] = STATE(767),
    [sym_shell_command_expression] = STATE(1039),
    [sym_boolean] = STATE(1036),
    [sym_null] = STATE(1036),
    [sym__string] = STATE(768),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(595),
    [sym__new_variable] = STATE(662),
    [sym__callable_variable] = STATE(646),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1026),
    [sym_binary_expression] = STATE(1026),
    [sym_include_expression] = STATE(1026),
    [sym_include_once_expression] = STATE(1026),
    [sym_require_expression] = STATE(1026),
    [sym_require_once_expression] = STATE(1026),
    [sym__reserved_identifier] = STATE(717),
    [sym__identifier] = STATE(1496),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(659),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(663),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(665),
    [anon_sym_DASH] = ACTIONS(665),
    [anon_sym_TILDE] = ACTIONS(667),
    [anon_sym_BANG] = ACTIONS(667),
    [anon_sym_AT] = ACTIONS(669),
    [aux_sym_clone_expression_token1] = ACTIONS(671),
    [aux_sym_print_intrinsic_token1] = ACTIONS(673),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(675),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(677),
    [aux_sym_include_expression_token1] = ACTIONS(681),
    [aux_sym_include_once_expression_token1] = ACTIONS(683),
    [aux_sym_require_expression_token1] = ACTIONS(685),
    [aux_sym_require_once_expression_token1] = ACTIONS(687),
    [sym_comment] = ACTIONS(5),
  },
  [375] = {
    [sym_text_interpolation] = STATE(375),
    [sym_qualified_name] = STATE(810),
    [sym__name] = STATE(1626),
    [sym_namespace_name] = STATE(2507),
    [sym_static_modifier] = STATE(2368),
    [sym_anonymous_function] = STATE(1039),
    [sym__anonymous_function_header] = STATE(2318),
    [sym__arrow_function_header] = STATE(2547),
    [sym_arrow_function] = STATE(1039),
    [sym_literal] = STATE(1039),
    [sym_throw_expression] = STATE(1039),
    [sym_match_expression] = STATE(1026),
    [sym_expression] = STATE(1250),
    [sym__unary_expression] = STATE(1010),
    [sym_unary_op_expression] = STATE(1022),
    [sym_error_suppression_expression] = STATE(1026),
    [sym_clone_expression] = STATE(1022),
    [sym_primary_expression] = STATE(1022),
    [sym_parenthesized_expression] = STATE(811),
    [sym_class_constant_access_expression] = STATE(859),
    [sym_print_intrinsic] = STATE(1039),
    [sym_object_creation_expression] = STATE(1039),
    [sym__new_non_dereferencable_expression] = STATE(1009),
    [sym__new_dereferencable_expression] = STATE(842),
    [sym_update_expression] = STATE(1039),
    [sym_cast_expression] = STATE(1022),
    [sym_cast_variable] = STATE(656),
    [sym_assignment_expression] = STATE(1026),
    [sym_reference_assignment_expression] = STATE(1026),
    [sym_conditional_expression] = STATE(1026),
    [sym_augmented_assignment_expression] = STATE(1026),
    [sym__variable_member_access_expression] = STATE(613),
    [sym_member_access_expression] = STATE(656),
    [sym__variable_nullsafe_member_access_expression] = STATE(619),
    [sym_nullsafe_member_access_expression] = STATE(656),
    [sym__variable_scoped_property_access_expression] = STATE(602),
    [sym_scoped_property_access_expression] = STATE(656),
    [sym_list_literal] = STATE(2548),
    [sym__list_destructing] = STATE(2405),
    [sym__array_destructing] = STATE(2405),
    [sym_function_call_expression] = STATE(612),
    [sym__callable_expression] = STATE(2324),
    [sym_scoped_call_expression] = STATE(612),
    [sym__scope_resolution_qualifier] = STATE(2522),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(612),
    [sym_nullsafe_member_call_expression] = STATE(612),
    [sym__variable_subscript_expression] = STATE(610),
    [sym__dereferencable_subscript_expression] = STATE(612),
    [sym__dereferencable_expression] = STATE(1948),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(766),
    [sym_attribute_group] = STATE(1373),
    [sym_attribute_list] = STATE(1879),
    [sym_encapsed_string] = STATE(767),
    [sym_string] = STATE(767),
    [sym_heredoc] = STATE(767),
    [sym_nowdoc] = STATE(767),
    [sym_shell_command_expression] = STATE(1039),
    [sym_boolean] = STATE(1036),
    [sym_null] = STATE(1036),
    [sym__string] = STATE(768),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(595),
    [sym__new_variable] = STATE(662),
    [sym__callable_variable] = STATE(646),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1026),
    [sym_binary_expression] = STATE(1026),
    [sym_include_expression] = STATE(1026),
    [sym_include_once_expression] = STATE(1026),
    [sym_require_expression] = STATE(1026),
    [sym_require_once_expression] = STATE(1026),
    [sym__reserved_identifier] = STATE(717),
    [sym__identifier] = STATE(1496),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(659),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(663),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(665),
    [anon_sym_DASH] = ACTIONS(665),
    [anon_sym_TILDE] = ACTIONS(667),
    [anon_sym_BANG] = ACTIONS(667),
    [anon_sym_AT] = ACTIONS(669),
    [aux_sym_clone_expression_token1] = ACTIONS(671),
    [aux_sym_print_intrinsic_token1] = ACTIONS(673),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(675),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(677),
    [aux_sym_include_expression_token1] = ACTIONS(681),
    [aux_sym_include_once_expression_token1] = ACTIONS(683),
    [aux_sym_require_expression_token1] = ACTIONS(685),
    [aux_sym_require_once_expression_token1] = ACTIONS(687),
    [sym_comment] = ACTIONS(5),
  },
  [376] = {
    [sym_text_interpolation] = STATE(376),
    [sym_qualified_name] = STATE(810),
    [sym__name] = STATE(1626),
    [sym_namespace_name] = STATE(2507),
    [sym_static_modifier] = STATE(2368),
    [sym_anonymous_function] = STATE(1039),
    [sym__anonymous_function_header] = STATE(2318),
    [sym__arrow_function_header] = STATE(2679),
    [sym_arrow_function] = STATE(1039),
    [sym_literal] = STATE(1039),
    [sym_throw_expression] = STATE(1039),
    [sym_match_expression] = STATE(1026),
    [sym_expression] = STATE(1300),
    [sym__unary_expression] = STATE(1010),
    [sym_unary_op_expression] = STATE(1022),
    [sym_error_suppression_expression] = STATE(1026),
    [sym_clone_expression] = STATE(1022),
    [sym_primary_expression] = STATE(1022),
    [sym_parenthesized_expression] = STATE(811),
    [sym_class_constant_access_expression] = STATE(859),
    [sym_print_intrinsic] = STATE(1039),
    [sym_object_creation_expression] = STATE(1039),
    [sym__new_non_dereferencable_expression] = STATE(1009),
    [sym__new_dereferencable_expression] = STATE(842),
    [sym_update_expression] = STATE(1039),
    [sym_cast_expression] = STATE(1022),
    [sym_cast_variable] = STATE(630),
    [sym_assignment_expression] = STATE(1026),
    [sym_reference_assignment_expression] = STATE(1026),
    [sym_conditional_expression] = STATE(1026),
    [sym_augmented_assignment_expression] = STATE(1026),
    [sym__variable_member_access_expression] = STATE(613),
    [sym_member_access_expression] = STATE(630),
    [sym__variable_nullsafe_member_access_expression] = STATE(619),
    [sym_nullsafe_member_access_expression] = STATE(630),
    [sym__variable_scoped_property_access_expression] = STATE(602),
    [sym_scoped_property_access_expression] = STATE(630),
    [sym_list_literal] = STATE(2632),
    [sym__list_destructing] = STATE(2405),
    [sym__array_destructing] = STATE(2405),
    [sym_function_call_expression] = STATE(612),
    [sym__callable_expression] = STATE(2324),
    [sym_scoped_call_expression] = STATE(612),
    [sym__scope_resolution_qualifier] = STATE(2522),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(612),
    [sym_nullsafe_member_call_expression] = STATE(612),
    [sym__variable_subscript_expression] = STATE(610),
    [sym__dereferencable_subscript_expression] = STATE(612),
    [sym__dereferencable_expression] = STATE(1948),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(766),
    [sym_attribute_group] = STATE(1373),
    [sym_attribute_list] = STATE(1879),
    [sym_encapsed_string] = STATE(767),
    [sym_string] = STATE(767),
    [sym_heredoc] = STATE(767),
    [sym_nowdoc] = STATE(767),
    [sym_shell_command_expression] = STATE(1039),
    [sym_boolean] = STATE(1036),
    [sym_null] = STATE(1036),
    [sym__string] = STATE(768),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(595),
    [sym__new_variable] = STATE(653),
    [sym__callable_variable] = STATE(623),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1026),
    [sym_binary_expression] = STATE(1026),
    [sym_include_expression] = STATE(1026),
    [sym_include_once_expression] = STATE(1026),
    [sym_require_expression] = STATE(1026),
    [sym_require_once_expression] = STATE(1026),
    [sym__reserved_identifier] = STATE(717),
    [sym__identifier] = STATE(1496),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(605),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(613),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(617),
    [anon_sym_DASH] = ACTIONS(617),
    [anon_sym_TILDE] = ACTIONS(619),
    [anon_sym_BANG] = ACTIONS(619),
    [anon_sym_AT] = ACTIONS(621),
    [aux_sym_clone_expression_token1] = ACTIONS(623),
    [aux_sym_print_intrinsic_token1] = ACTIONS(625),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(631),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(647),
    [aux_sym_include_expression_token1] = ACTIONS(651),
    [aux_sym_include_once_expression_token1] = ACTIONS(653),
    [aux_sym_require_expression_token1] = ACTIONS(655),
    [aux_sym_require_once_expression_token1] = ACTIONS(657),
    [sym_comment] = ACTIONS(5),
  },
  [377] = {
    [sym_text_interpolation] = STATE(377),
    [sym_qualified_name] = STATE(1000),
    [sym__name] = STATE(1631),
    [sym_namespace_name] = STATE(2575),
    [sym_static_modifier] = STATE(2368),
    [sym_anonymous_function] = STATE(1148),
    [sym__anonymous_function_header] = STATE(2489),
    [sym__arrow_function_header] = STATE(2731),
    [sym_arrow_function] = STATE(1148),
    [sym_literal] = STATE(1148),
    [sym_throw_expression] = STATE(1148),
    [sym_match_expression] = STATE(1152),
    [sym_expression] = STATE(1101),
    [sym__unary_expression] = STATE(1159),
    [sym_unary_op_expression] = STATE(1172),
    [sym_error_suppression_expression] = STATE(1152),
    [sym_clone_expression] = STATE(1172),
    [sym_primary_expression] = STATE(1172),
    [sym_parenthesized_expression] = STATE(964),
    [sym_class_constant_access_expression] = STATE(1019),
    [sym_print_intrinsic] = STATE(1148),
    [sym_object_creation_expression] = STATE(1148),
    [sym__new_non_dereferencable_expression] = STATE(1168),
    [sym__new_dereferencable_expression] = STATE(966),
    [sym_update_expression] = STATE(1148),
    [sym_cast_expression] = STATE(1172),
    [sym_cast_variable] = STATE(661),
    [sym_assignment_expression] = STATE(1152),
    [sym_reference_assignment_expression] = STATE(1152),
    [sym_conditional_expression] = STATE(1152),
    [sym_augmented_assignment_expression] = STATE(1152),
    [sym__variable_member_access_expression] = STATE(674),
    [sym_member_access_expression] = STATE(661),
    [sym__variable_nullsafe_member_access_expression] = STATE(663),
    [sym_nullsafe_member_access_expression] = STATE(661),
    [sym__variable_scoped_property_access_expression] = STATE(664),
    [sym_scoped_property_access_expression] = STATE(661),
    [sym_list_literal] = STATE(2530),
    [sym__list_destructing] = STATE(2405),
    [sym__array_destructing] = STATE(2405),
    [sym_function_call_expression] = STATE(634),
    [sym__callable_expression] = STATE(2471),
    [sym_scoped_call_expression] = STATE(634),
    [sym__scope_resolution_qualifier] = STATE(2651),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(634),
    [sym_nullsafe_member_call_expression] = STATE(634),
    [sym__variable_subscript_expression] = STATE(665),
    [sym__dereferencable_subscript_expression] = STATE(634),
    [sym__dereferencable_expression] = STATE(1946),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(1005),
    [sym_attribute_group] = STATE(1373),
    [sym_attribute_list] = STATE(1879),
    [sym_encapsed_string] = STATE(927),
    [sym_string] = STATE(927),
    [sym_heredoc] = STATE(927),
    [sym_nowdoc] = STATE(927),
    [sym_shell_command_expression] = STATE(1148),
    [sym_boolean] = STATE(1162),
    [sym_null] = STATE(1162),
    [sym__string] = STATE(941),
    [sym_dynamic_variable_name] = STATE(650),
    [sym__simple_variable] = STATE(654),
    [sym__new_variable] = STATE(667),
    [sym__callable_variable] = STATE(629),
    [sym_variable_name] = STATE(650),
    [sym_yield_expression] = STATE(1152),
    [sym_binary_expression] = STATE(1152),
    [sym_include_expression] = STATE(1152),
    [sym_include_once_expression] = STATE(1152),
    [sym_require_expression] = STATE(1152),
    [sym_require_once_expression] = STATE(1152),
    [sym__reserved_identifier] = STATE(717),
    [sym__identifier] = STATE(1496),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(689),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LPAREN2] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [sym_float] = ACTIONS(266),
    [sym_integer] = ACTIONS(266),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [378] = {
    [sym_text_interpolation] = STATE(378),
    [sym_qualified_name] = STATE(810),
    [sym__name] = STATE(1626),
    [sym_namespace_name] = STATE(2507),
    [sym_static_modifier] = STATE(2368),
    [sym_anonymous_function] = STATE(1039),
    [sym__anonymous_function_header] = STATE(2318),
    [sym__arrow_function_header] = STATE(2679),
    [sym_arrow_function] = STATE(1039),
    [sym_literal] = STATE(1039),
    [sym_throw_expression] = STATE(1039),
    [sym_match_expression] = STATE(1026),
    [sym_expression] = STATE(1317),
    [sym__unary_expression] = STATE(1010),
    [sym_unary_op_expression] = STATE(1022),
    [sym_error_suppression_expression] = STATE(1026),
    [sym_clone_expression] = STATE(1022),
    [sym_primary_expression] = STATE(1022),
    [sym_parenthesized_expression] = STATE(811),
    [sym_class_constant_access_expression] = STATE(859),
    [sym_print_intrinsic] = STATE(1039),
    [sym_object_creation_expression] = STATE(1039),
    [sym__new_non_dereferencable_expression] = STATE(1009),
    [sym__new_dereferencable_expression] = STATE(842),
    [sym_update_expression] = STATE(1039),
    [sym_cast_expression] = STATE(1022),
    [sym_cast_variable] = STATE(630),
    [sym_assignment_expression] = STATE(1026),
    [sym_reference_assignment_expression] = STATE(1026),
    [sym_conditional_expression] = STATE(1026),
    [sym_augmented_assignment_expression] = STATE(1026),
    [sym__variable_member_access_expression] = STATE(613),
    [sym_member_access_expression] = STATE(630),
    [sym__variable_nullsafe_member_access_expression] = STATE(619),
    [sym_nullsafe_member_access_expression] = STATE(630),
    [sym__variable_scoped_property_access_expression] = STATE(602),
    [sym_scoped_property_access_expression] = STATE(630),
    [sym_list_literal] = STATE(2632),
    [sym__list_destructing] = STATE(2405),
    [sym__array_destructing] = STATE(2405),
    [sym_function_call_expression] = STATE(612),
    [sym__callable_expression] = STATE(2324),
    [sym_scoped_call_expression] = STATE(612),
    [sym__scope_resolution_qualifier] = STATE(2522),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(612),
    [sym_nullsafe_member_call_expression] = STATE(612),
    [sym__variable_subscript_expression] = STATE(610),
    [sym__dereferencable_subscript_expression] = STATE(612),
    [sym__dereferencable_expression] = STATE(1948),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(766),
    [sym_attribute_group] = STATE(1373),
    [sym_attribute_list] = STATE(1879),
    [sym_encapsed_string] = STATE(767),
    [sym_string] = STATE(767),
    [sym_heredoc] = STATE(767),
    [sym_nowdoc] = STATE(767),
    [sym_shell_command_expression] = STATE(1039),
    [sym_boolean] = STATE(1036),
    [sym_null] = STATE(1036),
    [sym__string] = STATE(768),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(595),
    [sym__new_variable] = STATE(653),
    [sym__callable_variable] = STATE(623),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1026),
    [sym_binary_expression] = STATE(1026),
    [sym_include_expression] = STATE(1026),
    [sym_include_once_expression] = STATE(1026),
    [sym_require_expression] = STATE(1026),
    [sym_require_once_expression] = STATE(1026),
    [sym__reserved_identifier] = STATE(717),
    [sym__identifier] = STATE(1496),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(605),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(613),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(617),
    [anon_sym_DASH] = ACTIONS(617),
    [anon_sym_TILDE] = ACTIONS(619),
    [anon_sym_BANG] = ACTIONS(619),
    [anon_sym_AT] = ACTIONS(621),
    [aux_sym_clone_expression_token1] = ACTIONS(623),
    [aux_sym_print_intrinsic_token1] = ACTIONS(625),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(631),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(647),
    [aux_sym_include_expression_token1] = ACTIONS(651),
    [aux_sym_include_once_expression_token1] = ACTIONS(653),
    [aux_sym_require_expression_token1] = ACTIONS(655),
    [aux_sym_require_once_expression_token1] = ACTIONS(657),
    [sym_comment] = ACTIONS(5),
  },
  [379] = {
    [sym_text_interpolation] = STATE(379),
    [sym_qualified_name] = STATE(810),
    [sym__name] = STATE(1626),
    [sym_namespace_name] = STATE(2507),
    [sym_static_modifier] = STATE(2368),
    [sym_anonymous_function] = STATE(1039),
    [sym__anonymous_function_header] = STATE(2318),
    [sym__arrow_function_header] = STATE(2639),
    [sym_arrow_function] = STATE(1039),
    [sym_literal] = STATE(1039),
    [sym_throw_expression] = STATE(1039),
    [sym_match_expression] = STATE(1026),
    [sym_expression] = STATE(1201),
    [sym__unary_expression] = STATE(1010),
    [sym_unary_op_expression] = STATE(1022),
    [sym_error_suppression_expression] = STATE(1026),
    [sym_clone_expression] = STATE(1022),
    [sym_primary_expression] = STATE(1022),
    [sym_parenthesized_expression] = STATE(811),
    [sym_class_constant_access_expression] = STATE(859),
    [sym_print_intrinsic] = STATE(1039),
    [sym_object_creation_expression] = STATE(1039),
    [sym__new_non_dereferencable_expression] = STATE(1009),
    [sym__new_dereferencable_expression] = STATE(842),
    [sym_update_expression] = STATE(1039),
    [sym_cast_expression] = STATE(1022),
    [sym_cast_variable] = STATE(681),
    [sym_assignment_expression] = STATE(1026),
    [sym_reference_assignment_expression] = STATE(1026),
    [sym_conditional_expression] = STATE(1026),
    [sym_augmented_assignment_expression] = STATE(1026),
    [sym__variable_member_access_expression] = STATE(613),
    [sym_member_access_expression] = STATE(681),
    [sym__variable_nullsafe_member_access_expression] = STATE(619),
    [sym_nullsafe_member_access_expression] = STATE(681),
    [sym__variable_scoped_property_access_expression] = STATE(602),
    [sym_scoped_property_access_expression] = STATE(681),
    [sym_list_literal] = STATE(2640),
    [sym__list_destructing] = STATE(2405),
    [sym__array_destructing] = STATE(2405),
    [sym_function_call_expression] = STATE(612),
    [sym__callable_expression] = STATE(2324),
    [sym_scoped_call_expression] = STATE(612),
    [sym__scope_resolution_qualifier] = STATE(2522),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(612),
    [sym_nullsafe_member_call_expression] = STATE(612),
    [sym__variable_subscript_expression] = STATE(610),
    [sym__dereferencable_subscript_expression] = STATE(612),
    [sym__dereferencable_expression] = STATE(1948),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(766),
    [sym_attribute_group] = STATE(1373),
    [sym_attribute_list] = STATE(1879),
    [sym_encapsed_string] = STATE(767),
    [sym_string] = STATE(767),
    [sym_heredoc] = STATE(767),
    [sym_nowdoc] = STATE(767),
    [sym_shell_command_expression] = STATE(1039),
    [sym_boolean] = STATE(1036),
    [sym_null] = STATE(1036),
    [sym__string] = STATE(768),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(595),
    [sym__new_variable] = STATE(683),
    [sym__callable_variable] = STATE(657),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1026),
    [sym_binary_expression] = STATE(1026),
    [sym_include_expression] = STATE(1026),
    [sym_include_once_expression] = STATE(1026),
    [sym_require_expression] = STATE(1026),
    [sym_require_once_expression] = STATE(1026),
    [sym__reserved_identifier] = STATE(717),
    [sym__identifier] = STATE(1496),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(697),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(701),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(703),
    [anon_sym_DASH] = ACTIONS(703),
    [anon_sym_TILDE] = ACTIONS(705),
    [anon_sym_BANG] = ACTIONS(705),
    [anon_sym_AT] = ACTIONS(707),
    [aux_sym_clone_expression_token1] = ACTIONS(709),
    [aux_sym_print_intrinsic_token1] = ACTIONS(711),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(713),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(5),
  },
  [380] = {
    [sym_text_interpolation] = STATE(380),
    [sym_qualified_name] = STATE(810),
    [sym__name] = STATE(1626),
    [sym_namespace_name] = STATE(2507),
    [sym_static_modifier] = STATE(2368),
    [sym_anonymous_function] = STATE(1039),
    [sym__anonymous_function_header] = STATE(2318),
    [sym__arrow_function_header] = STATE(2679),
    [sym_arrow_function] = STATE(1039),
    [sym_literal] = STATE(1039),
    [sym_throw_expression] = STATE(1039),
    [sym_match_expression] = STATE(1026),
    [sym_expression] = STATE(1307),
    [sym__unary_expression] = STATE(1010),
    [sym_unary_op_expression] = STATE(1022),
    [sym_error_suppression_expression] = STATE(1026),
    [sym_clone_expression] = STATE(1022),
    [sym_primary_expression] = STATE(1022),
    [sym_parenthesized_expression] = STATE(811),
    [sym_class_constant_access_expression] = STATE(859),
    [sym_print_intrinsic] = STATE(1039),
    [sym_object_creation_expression] = STATE(1039),
    [sym__new_non_dereferencable_expression] = STATE(1009),
    [sym__new_dereferencable_expression] = STATE(842),
    [sym_update_expression] = STATE(1039),
    [sym_cast_expression] = STATE(1022),
    [sym_cast_variable] = STATE(630),
    [sym_assignment_expression] = STATE(1026),
    [sym_reference_assignment_expression] = STATE(1026),
    [sym_conditional_expression] = STATE(1026),
    [sym_augmented_assignment_expression] = STATE(1026),
    [sym__variable_member_access_expression] = STATE(613),
    [sym_member_access_expression] = STATE(630),
    [sym__variable_nullsafe_member_access_expression] = STATE(619),
    [sym_nullsafe_member_access_expression] = STATE(630),
    [sym__variable_scoped_property_access_expression] = STATE(602),
    [sym_scoped_property_access_expression] = STATE(630),
    [sym_list_literal] = STATE(2632),
    [sym__list_destructing] = STATE(2405),
    [sym__array_destructing] = STATE(2405),
    [sym_function_call_expression] = STATE(612),
    [sym__callable_expression] = STATE(2324),
    [sym_scoped_call_expression] = STATE(612),
    [sym__scope_resolution_qualifier] = STATE(2522),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(612),
    [sym_nullsafe_member_call_expression] = STATE(612),
    [sym__variable_subscript_expression] = STATE(610),
    [sym__dereferencable_subscript_expression] = STATE(612),
    [sym__dereferencable_expression] = STATE(1948),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(766),
    [sym_attribute_group] = STATE(1373),
    [sym_attribute_list] = STATE(1879),
    [sym_encapsed_string] = STATE(767),
    [sym_string] = STATE(767),
    [sym_heredoc] = STATE(767),
    [sym_nowdoc] = STATE(767),
    [sym_shell_command_expression] = STATE(1039),
    [sym_boolean] = STATE(1036),
    [sym_null] = STATE(1036),
    [sym__string] = STATE(768),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(595),
    [sym__new_variable] = STATE(653),
    [sym__callable_variable] = STATE(623),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1026),
    [sym_binary_expression] = STATE(1026),
    [sym_include_expression] = STATE(1026),
    [sym_include_once_expression] = STATE(1026),
    [sym_require_expression] = STATE(1026),
    [sym_require_once_expression] = STATE(1026),
    [sym__reserved_identifier] = STATE(717),
    [sym__identifier] = STATE(1496),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(605),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(613),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(617),
    [anon_sym_DASH] = ACTIONS(617),
    [anon_sym_TILDE] = ACTIONS(619),
    [anon_sym_BANG] = ACTIONS(619),
    [anon_sym_AT] = ACTIONS(621),
    [aux_sym_clone_expression_token1] = ACTIONS(623),
    [aux_sym_print_intrinsic_token1] = ACTIONS(625),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(631),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(647),
    [aux_sym_include_expression_token1] = ACTIONS(651),
    [aux_sym_include_once_expression_token1] = ACTIONS(653),
    [aux_sym_require_expression_token1] = ACTIONS(655),
    [aux_sym_require_once_expression_token1] = ACTIONS(657),
    [sym_comment] = ACTIONS(5),
  },
  [381] = {
    [sym_text_interpolation] = STATE(381),
    [sym_qualified_name] = STATE(810),
    [sym__name] = STATE(1626),
    [sym_namespace_name] = STATE(2507),
    [sym_static_modifier] = STATE(2368),
    [sym_anonymous_function] = STATE(1039),
    [sym__anonymous_function_header] = STATE(2318),
    [sym__arrow_function_header] = STATE(2679),
    [sym_arrow_function] = STATE(1039),
    [sym_literal] = STATE(1039),
    [sym_throw_expression] = STATE(1039),
    [sym_match_expression] = STATE(1026),
    [sym_expression] = STATE(1308),
    [sym__unary_expression] = STATE(1010),
    [sym_unary_op_expression] = STATE(1022),
    [sym_error_suppression_expression] = STATE(1026),
    [sym_clone_expression] = STATE(1022),
    [sym_primary_expression] = STATE(1022),
    [sym_parenthesized_expression] = STATE(811),
    [sym_class_constant_access_expression] = STATE(859),
    [sym_print_intrinsic] = STATE(1039),
    [sym_object_creation_expression] = STATE(1039),
    [sym__new_non_dereferencable_expression] = STATE(1009),
    [sym__new_dereferencable_expression] = STATE(842),
    [sym_update_expression] = STATE(1039),
    [sym_cast_expression] = STATE(1022),
    [sym_cast_variable] = STATE(630),
    [sym_assignment_expression] = STATE(1026),
    [sym_reference_assignment_expression] = STATE(1026),
    [sym_conditional_expression] = STATE(1026),
    [sym_augmented_assignment_expression] = STATE(1026),
    [sym__variable_member_access_expression] = STATE(613),
    [sym_member_access_expression] = STATE(630),
    [sym__variable_nullsafe_member_access_expression] = STATE(619),
    [sym_nullsafe_member_access_expression] = STATE(630),
    [sym__variable_scoped_property_access_expression] = STATE(602),
    [sym_scoped_property_access_expression] = STATE(630),
    [sym_list_literal] = STATE(2632),
    [sym__list_destructing] = STATE(2405),
    [sym__array_destructing] = STATE(2405),
    [sym_function_call_expression] = STATE(612),
    [sym__callable_expression] = STATE(2324),
    [sym_scoped_call_expression] = STATE(612),
    [sym__scope_resolution_qualifier] = STATE(2522),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(612),
    [sym_nullsafe_member_call_expression] = STATE(612),
    [sym__variable_subscript_expression] = STATE(610),
    [sym__dereferencable_subscript_expression] = STATE(612),
    [sym__dereferencable_expression] = STATE(1948),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(766),
    [sym_attribute_group] = STATE(1373),
    [sym_attribute_list] = STATE(1879),
    [sym_encapsed_string] = STATE(767),
    [sym_string] = STATE(767),
    [sym_heredoc] = STATE(767),
    [sym_nowdoc] = STATE(767),
    [sym_shell_command_expression] = STATE(1039),
    [sym_boolean] = STATE(1036),
    [sym_null] = STATE(1036),
    [sym__string] = STATE(768),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(595),
    [sym__new_variable] = STATE(653),
    [sym__callable_variable] = STATE(623),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1026),
    [sym_binary_expression] = STATE(1026),
    [sym_include_expression] = STATE(1026),
    [sym_include_once_expression] = STATE(1026),
    [sym_require_expression] = STATE(1026),
    [sym_require_once_expression] = STATE(1026),
    [sym__reserved_identifier] = STATE(717),
    [sym__identifier] = STATE(1496),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(605),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(613),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(617),
    [anon_sym_DASH] = ACTIONS(617),
    [anon_sym_TILDE] = ACTIONS(619),
    [anon_sym_BANG] = ACTIONS(619),
    [anon_sym_AT] = ACTIONS(621),
    [aux_sym_clone_expression_token1] = ACTIONS(623),
    [aux_sym_print_intrinsic_token1] = ACTIONS(625),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(631),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(647),
    [aux_sym_include_expression_token1] = ACTIONS(651),
    [aux_sym_include_once_expression_token1] = ACTIONS(653),
    [aux_sym_require_expression_token1] = ACTIONS(655),
    [aux_sym_require_once_expression_token1] = ACTIONS(657),
    [sym_comment] = ACTIONS(5),
  },
  [382] = {
    [sym_text_interpolation] = STATE(382),
    [sym_qualified_name] = STATE(810),
    [sym__name] = STATE(1626),
    [sym_namespace_name] = STATE(2507),
    [sym_static_modifier] = STATE(2368),
    [sym_anonymous_function] = STATE(1039),
    [sym__anonymous_function_header] = STATE(2318),
    [sym__arrow_function_header] = STATE(2679),
    [sym_arrow_function] = STATE(1039),
    [sym_literal] = STATE(1039),
    [sym_throw_expression] = STATE(1039),
    [sym_match_expression] = STATE(1026),
    [sym_expression] = STATE(1316),
    [sym__unary_expression] = STATE(1010),
    [sym_unary_op_expression] = STATE(1022),
    [sym_error_suppression_expression] = STATE(1026),
    [sym_clone_expression] = STATE(1022),
    [sym_primary_expression] = STATE(1022),
    [sym_parenthesized_expression] = STATE(811),
    [sym_class_constant_access_expression] = STATE(859),
    [sym_print_intrinsic] = STATE(1039),
    [sym_object_creation_expression] = STATE(1039),
    [sym__new_non_dereferencable_expression] = STATE(1009),
    [sym__new_dereferencable_expression] = STATE(842),
    [sym_update_expression] = STATE(1039),
    [sym_cast_expression] = STATE(1022),
    [sym_cast_variable] = STATE(630),
    [sym_assignment_expression] = STATE(1026),
    [sym_reference_assignment_expression] = STATE(1026),
    [sym_conditional_expression] = STATE(1026),
    [sym_augmented_assignment_expression] = STATE(1026),
    [sym__variable_member_access_expression] = STATE(613),
    [sym_member_access_expression] = STATE(630),
    [sym__variable_nullsafe_member_access_expression] = STATE(619),
    [sym_nullsafe_member_access_expression] = STATE(630),
    [sym__variable_scoped_property_access_expression] = STATE(602),
    [sym_scoped_property_access_expression] = STATE(630),
    [sym_list_literal] = STATE(2632),
    [sym__list_destructing] = STATE(2405),
    [sym__array_destructing] = STATE(2405),
    [sym_function_call_expression] = STATE(612),
    [sym__callable_expression] = STATE(2324),
    [sym_scoped_call_expression] = STATE(612),
    [sym__scope_resolution_qualifier] = STATE(2522),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(612),
    [sym_nullsafe_member_call_expression] = STATE(612),
    [sym__variable_subscript_expression] = STATE(610),
    [sym__dereferencable_subscript_expression] = STATE(612),
    [sym__dereferencable_expression] = STATE(1948),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(766),
    [sym_attribute_group] = STATE(1373),
    [sym_attribute_list] = STATE(1879),
    [sym_encapsed_string] = STATE(767),
    [sym_string] = STATE(767),
    [sym_heredoc] = STATE(767),
    [sym_nowdoc] = STATE(767),
    [sym_shell_command_expression] = STATE(1039),
    [sym_boolean] = STATE(1036),
    [sym_null] = STATE(1036),
    [sym__string] = STATE(768),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(595),
    [sym__new_variable] = STATE(653),
    [sym__callable_variable] = STATE(623),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1026),
    [sym_binary_expression] = STATE(1026),
    [sym_include_expression] = STATE(1026),
    [sym_include_once_expression] = STATE(1026),
    [sym_require_expression] = STATE(1026),
    [sym_require_once_expression] = STATE(1026),
    [sym__reserved_identifier] = STATE(717),
    [sym__identifier] = STATE(1496),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(605),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(613),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(617),
    [anon_sym_DASH] = ACTIONS(617),
    [anon_sym_TILDE] = ACTIONS(619),
    [anon_sym_BANG] = ACTIONS(619),
    [anon_sym_AT] = ACTIONS(621),
    [aux_sym_clone_expression_token1] = ACTIONS(623),
    [aux_sym_print_intrinsic_token1] = ACTIONS(625),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(631),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(647),
    [aux_sym_include_expression_token1] = ACTIONS(651),
    [aux_sym_include_once_expression_token1] = ACTIONS(653),
    [aux_sym_require_expression_token1] = ACTIONS(655),
    [aux_sym_require_once_expression_token1] = ACTIONS(657),
    [sym_comment] = ACTIONS(5),
  },
  [383] = {
    [sym_text_interpolation] = STATE(383),
    [sym_qualified_name] = STATE(810),
    [sym__name] = STATE(1626),
    [sym_namespace_name] = STATE(2507),
    [sym_static_modifier] = STATE(2368),
    [sym_anonymous_function] = STATE(1039),
    [sym__anonymous_function_header] = STATE(2318),
    [sym__arrow_function_header] = STATE(2639),
    [sym_arrow_function] = STATE(1039),
    [sym_literal] = STATE(1039),
    [sym_throw_expression] = STATE(1039),
    [sym_match_expression] = STATE(1026),
    [sym_expression] = STATE(1203),
    [sym__unary_expression] = STATE(1010),
    [sym_unary_op_expression] = STATE(1022),
    [sym_error_suppression_expression] = STATE(1026),
    [sym_clone_expression] = STATE(1022),
    [sym_primary_expression] = STATE(1022),
    [sym_parenthesized_expression] = STATE(811),
    [sym_class_constant_access_expression] = STATE(859),
    [sym_print_intrinsic] = STATE(1039),
    [sym_object_creation_expression] = STATE(1039),
    [sym__new_non_dereferencable_expression] = STATE(1009),
    [sym__new_dereferencable_expression] = STATE(842),
    [sym_update_expression] = STATE(1039),
    [sym_cast_expression] = STATE(1022),
    [sym_cast_variable] = STATE(681),
    [sym_assignment_expression] = STATE(1026),
    [sym_reference_assignment_expression] = STATE(1026),
    [sym_conditional_expression] = STATE(1026),
    [sym_augmented_assignment_expression] = STATE(1026),
    [sym__variable_member_access_expression] = STATE(613),
    [sym_member_access_expression] = STATE(681),
    [sym__variable_nullsafe_member_access_expression] = STATE(619),
    [sym_nullsafe_member_access_expression] = STATE(681),
    [sym__variable_scoped_property_access_expression] = STATE(602),
    [sym_scoped_property_access_expression] = STATE(681),
    [sym_list_literal] = STATE(2640),
    [sym__list_destructing] = STATE(2405),
    [sym__array_destructing] = STATE(2405),
    [sym_function_call_expression] = STATE(612),
    [sym__callable_expression] = STATE(2324),
    [sym_scoped_call_expression] = STATE(612),
    [sym__scope_resolution_qualifier] = STATE(2522),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(612),
    [sym_nullsafe_member_call_expression] = STATE(612),
    [sym__variable_subscript_expression] = STATE(610),
    [sym__dereferencable_subscript_expression] = STATE(612),
    [sym__dereferencable_expression] = STATE(1948),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(766),
    [sym_attribute_group] = STATE(1373),
    [sym_attribute_list] = STATE(1879),
    [sym_encapsed_string] = STATE(767),
    [sym_string] = STATE(767),
    [sym_heredoc] = STATE(767),
    [sym_nowdoc] = STATE(767),
    [sym_shell_command_expression] = STATE(1039),
    [sym_boolean] = STATE(1036),
    [sym_null] = STATE(1036),
    [sym__string] = STATE(768),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(595),
    [sym__new_variable] = STATE(683),
    [sym__callable_variable] = STATE(657),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1026),
    [sym_binary_expression] = STATE(1026),
    [sym_include_expression] = STATE(1026),
    [sym_include_once_expression] = STATE(1026),
    [sym_require_expression] = STATE(1026),
    [sym_require_once_expression] = STATE(1026),
    [sym__reserved_identifier] = STATE(717),
    [sym__identifier] = STATE(1496),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(697),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(701),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(703),
    [anon_sym_DASH] = ACTIONS(703),
    [anon_sym_TILDE] = ACTIONS(705),
    [anon_sym_BANG] = ACTIONS(705),
    [anon_sym_AT] = ACTIONS(707),
    [aux_sym_clone_expression_token1] = ACTIONS(709),
    [aux_sym_print_intrinsic_token1] = ACTIONS(711),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(713),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(5),
  },
  [384] = {
    [sym_text_interpolation] = STATE(384),
    [sym_qualified_name] = STATE(810),
    [sym__name] = STATE(1626),
    [sym_namespace_name] = STATE(2507),
    [sym_static_modifier] = STATE(2368),
    [sym_anonymous_function] = STATE(1039),
    [sym__anonymous_function_header] = STATE(2318),
    [sym__arrow_function_header] = STATE(2639),
    [sym_arrow_function] = STATE(1039),
    [sym_literal] = STATE(1039),
    [sym_throw_expression] = STATE(1039),
    [sym_match_expression] = STATE(1026),
    [sym_expression] = STATE(1007),
    [sym__unary_expression] = STATE(1010),
    [sym_unary_op_expression] = STATE(1022),
    [sym_error_suppression_expression] = STATE(1026),
    [sym_clone_expression] = STATE(1022),
    [sym_primary_expression] = STATE(1022),
    [sym_parenthesized_expression] = STATE(811),
    [sym_class_constant_access_expression] = STATE(859),
    [sym_print_intrinsic] = STATE(1039),
    [sym_object_creation_expression] = STATE(1039),
    [sym__new_non_dereferencable_expression] = STATE(1009),
    [sym__new_dereferencable_expression] = STATE(842),
    [sym_update_expression] = STATE(1039),
    [sym_cast_expression] = STATE(1022),
    [sym_cast_variable] = STATE(681),
    [sym_assignment_expression] = STATE(1026),
    [sym_reference_assignment_expression] = STATE(1026),
    [sym_conditional_expression] = STATE(1026),
    [sym_augmented_assignment_expression] = STATE(1026),
    [sym__variable_member_access_expression] = STATE(613),
    [sym_member_access_expression] = STATE(681),
    [sym__variable_nullsafe_member_access_expression] = STATE(619),
    [sym_nullsafe_member_access_expression] = STATE(681),
    [sym__variable_scoped_property_access_expression] = STATE(602),
    [sym_scoped_property_access_expression] = STATE(681),
    [sym_list_literal] = STATE(2640),
    [sym__list_destructing] = STATE(2405),
    [sym__array_destructing] = STATE(2405),
    [sym_function_call_expression] = STATE(612),
    [sym__callable_expression] = STATE(2324),
    [sym_scoped_call_expression] = STATE(612),
    [sym__scope_resolution_qualifier] = STATE(2522),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(612),
    [sym_nullsafe_member_call_expression] = STATE(612),
    [sym__variable_subscript_expression] = STATE(610),
    [sym__dereferencable_subscript_expression] = STATE(612),
    [sym__dereferencable_expression] = STATE(1948),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(766),
    [sym_attribute_group] = STATE(1373),
    [sym_attribute_list] = STATE(1879),
    [sym_encapsed_string] = STATE(767),
    [sym_string] = STATE(767),
    [sym_heredoc] = STATE(767),
    [sym_nowdoc] = STATE(767),
    [sym_shell_command_expression] = STATE(1039),
    [sym_boolean] = STATE(1036),
    [sym_null] = STATE(1036),
    [sym__string] = STATE(768),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(595),
    [sym__new_variable] = STATE(683),
    [sym__callable_variable] = STATE(657),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1026),
    [sym_binary_expression] = STATE(1026),
    [sym_include_expression] = STATE(1026),
    [sym_include_once_expression] = STATE(1026),
    [sym_require_expression] = STATE(1026),
    [sym_require_once_expression] = STATE(1026),
    [sym__reserved_identifier] = STATE(717),
    [sym__identifier] = STATE(1496),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(697),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(701),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(703),
    [anon_sym_DASH] = ACTIONS(703),
    [anon_sym_TILDE] = ACTIONS(705),
    [anon_sym_BANG] = ACTIONS(705),
    [anon_sym_AT] = ACTIONS(707),
    [aux_sym_clone_expression_token1] = ACTIONS(709),
    [aux_sym_print_intrinsic_token1] = ACTIONS(711),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(713),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(5),
  },
  [385] = {
    [sym_text_interpolation] = STATE(385),
    [sym_qualified_name] = STATE(810),
    [sym__name] = STATE(1626),
    [sym_namespace_name] = STATE(2507),
    [sym_static_modifier] = STATE(2368),
    [sym_anonymous_function] = STATE(1039),
    [sym__anonymous_function_header] = STATE(2318),
    [sym__arrow_function_header] = STATE(2639),
    [sym_arrow_function] = STATE(1039),
    [sym_literal] = STATE(1039),
    [sym_throw_expression] = STATE(1039),
    [sym_match_expression] = STATE(1026),
    [sym_expression] = STATE(1015),
    [sym__unary_expression] = STATE(1010),
    [sym_unary_op_expression] = STATE(1022),
    [sym_error_suppression_expression] = STATE(1026),
    [sym_clone_expression] = STATE(1022),
    [sym_primary_expression] = STATE(1022),
    [sym_parenthesized_expression] = STATE(811),
    [sym_class_constant_access_expression] = STATE(859),
    [sym_print_intrinsic] = STATE(1039),
    [sym_object_creation_expression] = STATE(1039),
    [sym__new_non_dereferencable_expression] = STATE(1009),
    [sym__new_dereferencable_expression] = STATE(842),
    [sym_update_expression] = STATE(1039),
    [sym_cast_expression] = STATE(1022),
    [sym_cast_variable] = STATE(681),
    [sym_assignment_expression] = STATE(1026),
    [sym_reference_assignment_expression] = STATE(1026),
    [sym_conditional_expression] = STATE(1026),
    [sym_augmented_assignment_expression] = STATE(1026),
    [sym__variable_member_access_expression] = STATE(613),
    [sym_member_access_expression] = STATE(681),
    [sym__variable_nullsafe_member_access_expression] = STATE(619),
    [sym_nullsafe_member_access_expression] = STATE(681),
    [sym__variable_scoped_property_access_expression] = STATE(602),
    [sym_scoped_property_access_expression] = STATE(681),
    [sym_list_literal] = STATE(2640),
    [sym__list_destructing] = STATE(2405),
    [sym__array_destructing] = STATE(2405),
    [sym_function_call_expression] = STATE(612),
    [sym__callable_expression] = STATE(2324),
    [sym_scoped_call_expression] = STATE(612),
    [sym__scope_resolution_qualifier] = STATE(2522),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(612),
    [sym_nullsafe_member_call_expression] = STATE(612),
    [sym__variable_subscript_expression] = STATE(610),
    [sym__dereferencable_subscript_expression] = STATE(612),
    [sym__dereferencable_expression] = STATE(1948),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(766),
    [sym_attribute_group] = STATE(1373),
    [sym_attribute_list] = STATE(1879),
    [sym_encapsed_string] = STATE(767),
    [sym_string] = STATE(767),
    [sym_heredoc] = STATE(767),
    [sym_nowdoc] = STATE(767),
    [sym_shell_command_expression] = STATE(1039),
    [sym_boolean] = STATE(1036),
    [sym_null] = STATE(1036),
    [sym__string] = STATE(768),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(595),
    [sym__new_variable] = STATE(683),
    [sym__callable_variable] = STATE(657),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1026),
    [sym_binary_expression] = STATE(1026),
    [sym_include_expression] = STATE(1026),
    [sym_include_once_expression] = STATE(1026),
    [sym_require_expression] = STATE(1026),
    [sym_require_once_expression] = STATE(1026),
    [sym__reserved_identifier] = STATE(717),
    [sym__identifier] = STATE(1496),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(697),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(701),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(703),
    [anon_sym_DASH] = ACTIONS(703),
    [anon_sym_TILDE] = ACTIONS(705),
    [anon_sym_BANG] = ACTIONS(705),
    [anon_sym_AT] = ACTIONS(707),
    [aux_sym_clone_expression_token1] = ACTIONS(709),
    [aux_sym_print_intrinsic_token1] = ACTIONS(711),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(713),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(5),
  },
  [386] = {
    [sym_text_interpolation] = STATE(386),
    [sym_qualified_name] = STATE(810),
    [sym__name] = STATE(1626),
    [sym_namespace_name] = STATE(2507),
    [sym_static_modifier] = STATE(2368),
    [sym_anonymous_function] = STATE(1039),
    [sym__anonymous_function_header] = STATE(2318),
    [sym__arrow_function_header] = STATE(2639),
    [sym_arrow_function] = STATE(1039),
    [sym_literal] = STATE(1039),
    [sym_throw_expression] = STATE(1039),
    [sym_match_expression] = STATE(1026),
    [sym_expression] = STATE(1204),
    [sym__unary_expression] = STATE(1010),
    [sym_unary_op_expression] = STATE(1022),
    [sym_error_suppression_expression] = STATE(1026),
    [sym_clone_expression] = STATE(1022),
    [sym_primary_expression] = STATE(1022),
    [sym_parenthesized_expression] = STATE(811),
    [sym_class_constant_access_expression] = STATE(859),
    [sym_print_intrinsic] = STATE(1039),
    [sym_object_creation_expression] = STATE(1039),
    [sym__new_non_dereferencable_expression] = STATE(1009),
    [sym__new_dereferencable_expression] = STATE(842),
    [sym_update_expression] = STATE(1039),
    [sym_cast_expression] = STATE(1022),
    [sym_cast_variable] = STATE(681),
    [sym_assignment_expression] = STATE(1026),
    [sym_reference_assignment_expression] = STATE(1026),
    [sym_conditional_expression] = STATE(1026),
    [sym_augmented_assignment_expression] = STATE(1026),
    [sym__variable_member_access_expression] = STATE(613),
    [sym_member_access_expression] = STATE(681),
    [sym__variable_nullsafe_member_access_expression] = STATE(619),
    [sym_nullsafe_member_access_expression] = STATE(681),
    [sym__variable_scoped_property_access_expression] = STATE(602),
    [sym_scoped_property_access_expression] = STATE(681),
    [sym_list_literal] = STATE(2640),
    [sym__list_destructing] = STATE(2405),
    [sym__array_destructing] = STATE(2405),
    [sym_function_call_expression] = STATE(612),
    [sym__callable_expression] = STATE(2324),
    [sym_scoped_call_expression] = STATE(612),
    [sym__scope_resolution_qualifier] = STATE(2522),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(612),
    [sym_nullsafe_member_call_expression] = STATE(612),
    [sym__variable_subscript_expression] = STATE(610),
    [sym__dereferencable_subscript_expression] = STATE(612),
    [sym__dereferencable_expression] = STATE(1948),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(766),
    [sym_attribute_group] = STATE(1373),
    [sym_attribute_list] = STATE(1879),
    [sym_encapsed_string] = STATE(767),
    [sym_string] = STATE(767),
    [sym_heredoc] = STATE(767),
    [sym_nowdoc] = STATE(767),
    [sym_shell_command_expression] = STATE(1039),
    [sym_boolean] = STATE(1036),
    [sym_null] = STATE(1036),
    [sym__string] = STATE(768),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(595),
    [sym__new_variable] = STATE(683),
    [sym__callable_variable] = STATE(657),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1026),
    [sym_binary_expression] = STATE(1026),
    [sym_include_expression] = STATE(1026),
    [sym_include_once_expression] = STATE(1026),
    [sym_require_expression] = STATE(1026),
    [sym_require_once_expression] = STATE(1026),
    [sym__reserved_identifier] = STATE(717),
    [sym__identifier] = STATE(1496),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(697),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(701),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(703),
    [anon_sym_DASH] = ACTIONS(703),
    [anon_sym_TILDE] = ACTIONS(705),
    [anon_sym_BANG] = ACTIONS(705),
    [anon_sym_AT] = ACTIONS(707),
    [aux_sym_clone_expression_token1] = ACTIONS(709),
    [aux_sym_print_intrinsic_token1] = ACTIONS(711),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(713),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(5),
  },
  [387] = {
    [sym_text_interpolation] = STATE(387),
    [sym_qualified_name] = STATE(810),
    [sym__name] = STATE(1626),
    [sym_namespace_name] = STATE(2507),
    [sym_static_modifier] = STATE(2368),
    [sym_anonymous_function] = STATE(1039),
    [sym__anonymous_function_header] = STATE(2318),
    [sym__arrow_function_header] = STATE(2639),
    [sym_arrow_function] = STATE(1039),
    [sym_literal] = STATE(1039),
    [sym_throw_expression] = STATE(1039),
    [sym_match_expression] = STATE(1026),
    [sym_expression] = STATE(1176),
    [sym__unary_expression] = STATE(1010),
    [sym_unary_op_expression] = STATE(1022),
    [sym_error_suppression_expression] = STATE(1026),
    [sym_clone_expression] = STATE(1022),
    [sym_primary_expression] = STATE(1022),
    [sym_parenthesized_expression] = STATE(811),
    [sym_class_constant_access_expression] = STATE(859),
    [sym_print_intrinsic] = STATE(1039),
    [sym_object_creation_expression] = STATE(1039),
    [sym__new_non_dereferencable_expression] = STATE(1009),
    [sym__new_dereferencable_expression] = STATE(842),
    [sym_update_expression] = STATE(1039),
    [sym_cast_expression] = STATE(1022),
    [sym_cast_variable] = STATE(681),
    [sym_assignment_expression] = STATE(1026),
    [sym_reference_assignment_expression] = STATE(1026),
    [sym_conditional_expression] = STATE(1026),
    [sym_augmented_assignment_expression] = STATE(1026),
    [sym__variable_member_access_expression] = STATE(613),
    [sym_member_access_expression] = STATE(681),
    [sym__variable_nullsafe_member_access_expression] = STATE(619),
    [sym_nullsafe_member_access_expression] = STATE(681),
    [sym__variable_scoped_property_access_expression] = STATE(602),
    [sym_scoped_property_access_expression] = STATE(681),
    [sym_list_literal] = STATE(2640),
    [sym__list_destructing] = STATE(2405),
    [sym__array_destructing] = STATE(2405),
    [sym_function_call_expression] = STATE(612),
    [sym__callable_expression] = STATE(2324),
    [sym_scoped_call_expression] = STATE(612),
    [sym__scope_resolution_qualifier] = STATE(2522),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(612),
    [sym_nullsafe_member_call_expression] = STATE(612),
    [sym__variable_subscript_expression] = STATE(610),
    [sym__dereferencable_subscript_expression] = STATE(612),
    [sym__dereferencable_expression] = STATE(1948),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(766),
    [sym_attribute_group] = STATE(1373),
    [sym_attribute_list] = STATE(1879),
    [sym_encapsed_string] = STATE(767),
    [sym_string] = STATE(767),
    [sym_heredoc] = STATE(767),
    [sym_nowdoc] = STATE(767),
    [sym_shell_command_expression] = STATE(1039),
    [sym_boolean] = STATE(1036),
    [sym_null] = STATE(1036),
    [sym__string] = STATE(768),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(595),
    [sym__new_variable] = STATE(683),
    [sym__callable_variable] = STATE(657),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1026),
    [sym_binary_expression] = STATE(1026),
    [sym_include_expression] = STATE(1026),
    [sym_include_once_expression] = STATE(1026),
    [sym_require_expression] = STATE(1026),
    [sym_require_once_expression] = STATE(1026),
    [sym__reserved_identifier] = STATE(717),
    [sym__identifier] = STATE(1496),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(697),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(701),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(703),
    [anon_sym_DASH] = ACTIONS(703),
    [anon_sym_TILDE] = ACTIONS(705),
    [anon_sym_BANG] = ACTIONS(705),
    [anon_sym_AT] = ACTIONS(707),
    [aux_sym_clone_expression_token1] = ACTIONS(709),
    [aux_sym_print_intrinsic_token1] = ACTIONS(711),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(713),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(5),
  },
  [388] = {
    [sym_text_interpolation] = STATE(388),
    [sym_qualified_name] = STATE(810),
    [sym__name] = STATE(1626),
    [sym_namespace_name] = STATE(2507),
    [sym_static_modifier] = STATE(2368),
    [sym_anonymous_function] = STATE(1039),
    [sym__anonymous_function_header] = STATE(2318),
    [sym__arrow_function_header] = STATE(2639),
    [sym_arrow_function] = STATE(1039),
    [sym_literal] = STATE(1039),
    [sym_throw_expression] = STATE(1039),
    [sym_match_expression] = STATE(1026),
    [sym_expression] = STATE(1206),
    [sym__unary_expression] = STATE(1010),
    [sym_unary_op_expression] = STATE(1022),
    [sym_error_suppression_expression] = STATE(1026),
    [sym_clone_expression] = STATE(1022),
    [sym_primary_expression] = STATE(1022),
    [sym_parenthesized_expression] = STATE(811),
    [sym_class_constant_access_expression] = STATE(859),
    [sym_print_intrinsic] = STATE(1039),
    [sym_object_creation_expression] = STATE(1039),
    [sym__new_non_dereferencable_expression] = STATE(1009),
    [sym__new_dereferencable_expression] = STATE(842),
    [sym_update_expression] = STATE(1039),
    [sym_cast_expression] = STATE(1022),
    [sym_cast_variable] = STATE(681),
    [sym_assignment_expression] = STATE(1026),
    [sym_reference_assignment_expression] = STATE(1026),
    [sym_conditional_expression] = STATE(1026),
    [sym_augmented_assignment_expression] = STATE(1026),
    [sym__variable_member_access_expression] = STATE(613),
    [sym_member_access_expression] = STATE(681),
    [sym__variable_nullsafe_member_access_expression] = STATE(619),
    [sym_nullsafe_member_access_expression] = STATE(681),
    [sym__variable_scoped_property_access_expression] = STATE(602),
    [sym_scoped_property_access_expression] = STATE(681),
    [sym_list_literal] = STATE(2640),
    [sym__list_destructing] = STATE(2405),
    [sym__array_destructing] = STATE(2405),
    [sym_function_call_expression] = STATE(612),
    [sym__callable_expression] = STATE(2324),
    [sym_scoped_call_expression] = STATE(612),
    [sym__scope_resolution_qualifier] = STATE(2522),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(612),
    [sym_nullsafe_member_call_expression] = STATE(612),
    [sym__variable_subscript_expression] = STATE(610),
    [sym__dereferencable_subscript_expression] = STATE(612),
    [sym__dereferencable_expression] = STATE(1948),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(766),
    [sym_attribute_group] = STATE(1373),
    [sym_attribute_list] = STATE(1879),
    [sym_encapsed_string] = STATE(767),
    [sym_string] = STATE(767),
    [sym_heredoc] = STATE(767),
    [sym_nowdoc] = STATE(767),
    [sym_shell_command_expression] = STATE(1039),
    [sym_boolean] = STATE(1036),
    [sym_null] = STATE(1036),
    [sym__string] = STATE(768),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(595),
    [sym__new_variable] = STATE(683),
    [sym__callable_variable] = STATE(657),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1026),
    [sym_binary_expression] = STATE(1026),
    [sym_include_expression] = STATE(1026),
    [sym_include_once_expression] = STATE(1026),
    [sym_require_expression] = STATE(1026),
    [sym_require_once_expression] = STATE(1026),
    [sym__reserved_identifier] = STATE(717),
    [sym__identifier] = STATE(1496),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(697),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(701),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(703),
    [anon_sym_DASH] = ACTIONS(703),
    [anon_sym_TILDE] = ACTIONS(705),
    [anon_sym_BANG] = ACTIONS(705),
    [anon_sym_AT] = ACTIONS(707),
    [aux_sym_clone_expression_token1] = ACTIONS(709),
    [aux_sym_print_intrinsic_token1] = ACTIONS(711),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(713),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(5),
  },
  [389] = {
    [sym_text_interpolation] = STATE(389),
    [sym_qualified_name] = STATE(810),
    [sym__name] = STATE(1626),
    [sym_namespace_name] = STATE(2507),
    [sym_static_modifier] = STATE(2368),
    [sym_anonymous_function] = STATE(1039),
    [sym__anonymous_function_header] = STATE(2318),
    [sym__arrow_function_header] = STATE(2639),
    [sym_arrow_function] = STATE(1039),
    [sym_literal] = STATE(1039),
    [sym_throw_expression] = STATE(1039),
    [sym_match_expression] = STATE(1026),
    [sym_expression] = STATE(1177),
    [sym__unary_expression] = STATE(1010),
    [sym_unary_op_expression] = STATE(1022),
    [sym_error_suppression_expression] = STATE(1026),
    [sym_clone_expression] = STATE(1022),
    [sym_primary_expression] = STATE(1022),
    [sym_parenthesized_expression] = STATE(811),
    [sym_class_constant_access_expression] = STATE(859),
    [sym_print_intrinsic] = STATE(1039),
    [sym_object_creation_expression] = STATE(1039),
    [sym__new_non_dereferencable_expression] = STATE(1009),
    [sym__new_dereferencable_expression] = STATE(842),
    [sym_update_expression] = STATE(1039),
    [sym_cast_expression] = STATE(1022),
    [sym_cast_variable] = STATE(681),
    [sym_assignment_expression] = STATE(1026),
    [sym_reference_assignment_expression] = STATE(1026),
    [sym_conditional_expression] = STATE(1026),
    [sym_augmented_assignment_expression] = STATE(1026),
    [sym__variable_member_access_expression] = STATE(613),
    [sym_member_access_expression] = STATE(681),
    [sym__variable_nullsafe_member_access_expression] = STATE(619),
    [sym_nullsafe_member_access_expression] = STATE(681),
    [sym__variable_scoped_property_access_expression] = STATE(602),
    [sym_scoped_property_access_expression] = STATE(681),
    [sym_list_literal] = STATE(2640),
    [sym__list_destructing] = STATE(2405),
    [sym__array_destructing] = STATE(2405),
    [sym_function_call_expression] = STATE(612),
    [sym__callable_expression] = STATE(2324),
    [sym_scoped_call_expression] = STATE(612),
    [sym__scope_resolution_qualifier] = STATE(2522),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(612),
    [sym_nullsafe_member_call_expression] = STATE(612),
    [sym__variable_subscript_expression] = STATE(610),
    [sym__dereferencable_subscript_expression] = STATE(612),
    [sym__dereferencable_expression] = STATE(1948),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(766),
    [sym_attribute_group] = STATE(1373),
    [sym_attribute_list] = STATE(1879),
    [sym_encapsed_string] = STATE(767),
    [sym_string] = STATE(767),
    [sym_heredoc] = STATE(767),
    [sym_nowdoc] = STATE(767),
    [sym_shell_command_expression] = STATE(1039),
    [sym_boolean] = STATE(1036),
    [sym_null] = STATE(1036),
    [sym__string] = STATE(768),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(595),
    [sym__new_variable] = STATE(683),
    [sym__callable_variable] = STATE(657),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1026),
    [sym_binary_expression] = STATE(1026),
    [sym_include_expression] = STATE(1026),
    [sym_include_once_expression] = STATE(1026),
    [sym_require_expression] = STATE(1026),
    [sym_require_once_expression] = STATE(1026),
    [sym__reserved_identifier] = STATE(717),
    [sym__identifier] = STATE(1496),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(697),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(701),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(703),
    [anon_sym_DASH] = ACTIONS(703),
    [anon_sym_TILDE] = ACTIONS(705),
    [anon_sym_BANG] = ACTIONS(705),
    [anon_sym_AT] = ACTIONS(707),
    [aux_sym_clone_expression_token1] = ACTIONS(709),
    [aux_sym_print_intrinsic_token1] = ACTIONS(711),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(713),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(5),
  },
  [390] = {
    [sym_text_interpolation] = STATE(390),
    [sym_qualified_name] = STATE(810),
    [sym__name] = STATE(1626),
    [sym_namespace_name] = STATE(2507),
    [sym_static_modifier] = STATE(2368),
    [sym_anonymous_function] = STATE(1039),
    [sym__anonymous_function_header] = STATE(2318),
    [sym__arrow_function_header] = STATE(2639),
    [sym_arrow_function] = STATE(1039),
    [sym_literal] = STATE(1039),
    [sym_throw_expression] = STATE(1039),
    [sym_match_expression] = STATE(1026),
    [sym_expression] = STATE(1181),
    [sym__unary_expression] = STATE(1010),
    [sym_unary_op_expression] = STATE(1022),
    [sym_error_suppression_expression] = STATE(1026),
    [sym_clone_expression] = STATE(1022),
    [sym_primary_expression] = STATE(1022),
    [sym_parenthesized_expression] = STATE(811),
    [sym_class_constant_access_expression] = STATE(859),
    [sym_print_intrinsic] = STATE(1039),
    [sym_object_creation_expression] = STATE(1039),
    [sym__new_non_dereferencable_expression] = STATE(1009),
    [sym__new_dereferencable_expression] = STATE(842),
    [sym_update_expression] = STATE(1039),
    [sym_cast_expression] = STATE(1022),
    [sym_cast_variable] = STATE(681),
    [sym_assignment_expression] = STATE(1026),
    [sym_reference_assignment_expression] = STATE(1026),
    [sym_conditional_expression] = STATE(1026),
    [sym_augmented_assignment_expression] = STATE(1026),
    [sym__variable_member_access_expression] = STATE(613),
    [sym_member_access_expression] = STATE(681),
    [sym__variable_nullsafe_member_access_expression] = STATE(619),
    [sym_nullsafe_member_access_expression] = STATE(681),
    [sym__variable_scoped_property_access_expression] = STATE(602),
    [sym_scoped_property_access_expression] = STATE(681),
    [sym_list_literal] = STATE(2640),
    [sym__list_destructing] = STATE(2405),
    [sym__array_destructing] = STATE(2405),
    [sym_function_call_expression] = STATE(612),
    [sym__callable_expression] = STATE(2324),
    [sym_scoped_call_expression] = STATE(612),
    [sym__scope_resolution_qualifier] = STATE(2522),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(612),
    [sym_nullsafe_member_call_expression] = STATE(612),
    [sym__variable_subscript_expression] = STATE(610),
    [sym__dereferencable_subscript_expression] = STATE(612),
    [sym__dereferencable_expression] = STATE(1948),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(766),
    [sym_attribute_group] = STATE(1373),
    [sym_attribute_list] = STATE(1879),
    [sym_encapsed_string] = STATE(767),
    [sym_string] = STATE(767),
    [sym_heredoc] = STATE(767),
    [sym_nowdoc] = STATE(767),
    [sym_shell_command_expression] = STATE(1039),
    [sym_boolean] = STATE(1036),
    [sym_null] = STATE(1036),
    [sym__string] = STATE(768),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(595),
    [sym__new_variable] = STATE(683),
    [sym__callable_variable] = STATE(657),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1026),
    [sym_binary_expression] = STATE(1026),
    [sym_include_expression] = STATE(1026),
    [sym_include_once_expression] = STATE(1026),
    [sym_require_expression] = STATE(1026),
    [sym_require_once_expression] = STATE(1026),
    [sym__reserved_identifier] = STATE(717),
    [sym__identifier] = STATE(1496),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(697),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(701),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(703),
    [anon_sym_DASH] = ACTIONS(703),
    [anon_sym_TILDE] = ACTIONS(705),
    [anon_sym_BANG] = ACTIONS(705),
    [anon_sym_AT] = ACTIONS(707),
    [aux_sym_clone_expression_token1] = ACTIONS(709),
    [aux_sym_print_intrinsic_token1] = ACTIONS(711),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(713),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(5),
  },
  [391] = {
    [sym_text_interpolation] = STATE(391),
    [sym_qualified_name] = STATE(810),
    [sym__name] = STATE(1626),
    [sym_namespace_name] = STATE(2507),
    [sym_static_modifier] = STATE(2368),
    [sym_anonymous_function] = STATE(1039),
    [sym__anonymous_function_header] = STATE(2318),
    [sym__arrow_function_header] = STATE(2639),
    [sym_arrow_function] = STATE(1039),
    [sym_literal] = STATE(1039),
    [sym_throw_expression] = STATE(1039),
    [sym_match_expression] = STATE(1026),
    [sym_expression] = STATE(1178),
    [sym__unary_expression] = STATE(1010),
    [sym_unary_op_expression] = STATE(1022),
    [sym_error_suppression_expression] = STATE(1026),
    [sym_clone_expression] = STATE(1022),
    [sym_primary_expression] = STATE(1022),
    [sym_parenthesized_expression] = STATE(811),
    [sym_class_constant_access_expression] = STATE(859),
    [sym_print_intrinsic] = STATE(1039),
    [sym_object_creation_expression] = STATE(1039),
    [sym__new_non_dereferencable_expression] = STATE(1009),
    [sym__new_dereferencable_expression] = STATE(842),
    [sym_update_expression] = STATE(1039),
    [sym_cast_expression] = STATE(1022),
    [sym_cast_variable] = STATE(681),
    [sym_assignment_expression] = STATE(1026),
    [sym_reference_assignment_expression] = STATE(1026),
    [sym_conditional_expression] = STATE(1026),
    [sym_augmented_assignment_expression] = STATE(1026),
    [sym__variable_member_access_expression] = STATE(613),
    [sym_member_access_expression] = STATE(681),
    [sym__variable_nullsafe_member_access_expression] = STATE(619),
    [sym_nullsafe_member_access_expression] = STATE(681),
    [sym__variable_scoped_property_access_expression] = STATE(602),
    [sym_scoped_property_access_expression] = STATE(681),
    [sym_list_literal] = STATE(2640),
    [sym__list_destructing] = STATE(2405),
    [sym__array_destructing] = STATE(2405),
    [sym_function_call_expression] = STATE(612),
    [sym__callable_expression] = STATE(2324),
    [sym_scoped_call_expression] = STATE(612),
    [sym__scope_resolution_qualifier] = STATE(2522),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(612),
    [sym_nullsafe_member_call_expression] = STATE(612),
    [sym__variable_subscript_expression] = STATE(610),
    [sym__dereferencable_subscript_expression] = STATE(612),
    [sym__dereferencable_expression] = STATE(1948),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(766),
    [sym_attribute_group] = STATE(1373),
    [sym_attribute_list] = STATE(1879),
    [sym_encapsed_string] = STATE(767),
    [sym_string] = STATE(767),
    [sym_heredoc] = STATE(767),
    [sym_nowdoc] = STATE(767),
    [sym_shell_command_expression] = STATE(1039),
    [sym_boolean] = STATE(1036),
    [sym_null] = STATE(1036),
    [sym__string] = STATE(768),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(595),
    [sym__new_variable] = STATE(683),
    [sym__callable_variable] = STATE(657),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1026),
    [sym_binary_expression] = STATE(1026),
    [sym_include_expression] = STATE(1026),
    [sym_include_once_expression] = STATE(1026),
    [sym_require_expression] = STATE(1026),
    [sym_require_once_expression] = STATE(1026),
    [sym__reserved_identifier] = STATE(717),
    [sym__identifier] = STATE(1496),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(697),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(701),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(703),
    [anon_sym_DASH] = ACTIONS(703),
    [anon_sym_TILDE] = ACTIONS(705),
    [anon_sym_BANG] = ACTIONS(705),
    [anon_sym_AT] = ACTIONS(707),
    [aux_sym_clone_expression_token1] = ACTIONS(709),
    [aux_sym_print_intrinsic_token1] = ACTIONS(711),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(713),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(5),
  },
  [392] = {
    [sym_text_interpolation] = STATE(392),
    [sym_qualified_name] = STATE(810),
    [sym__name] = STATE(1626),
    [sym_namespace_name] = STATE(2507),
    [sym_static_modifier] = STATE(2368),
    [sym_anonymous_function] = STATE(1039),
    [sym__anonymous_function_header] = STATE(2318),
    [sym__arrow_function_header] = STATE(2639),
    [sym_arrow_function] = STATE(1039),
    [sym_literal] = STATE(1039),
    [sym_throw_expression] = STATE(1039),
    [sym_match_expression] = STATE(1026),
    [sym_expression] = STATE(1179),
    [sym__unary_expression] = STATE(1010),
    [sym_unary_op_expression] = STATE(1022),
    [sym_error_suppression_expression] = STATE(1026),
    [sym_clone_expression] = STATE(1022),
    [sym_primary_expression] = STATE(1022),
    [sym_parenthesized_expression] = STATE(811),
    [sym_class_constant_access_expression] = STATE(859),
    [sym_print_intrinsic] = STATE(1039),
    [sym_object_creation_expression] = STATE(1039),
    [sym__new_non_dereferencable_expression] = STATE(1009),
    [sym__new_dereferencable_expression] = STATE(842),
    [sym_update_expression] = STATE(1039),
    [sym_cast_expression] = STATE(1022),
    [sym_cast_variable] = STATE(681),
    [sym_assignment_expression] = STATE(1026),
    [sym_reference_assignment_expression] = STATE(1026),
    [sym_conditional_expression] = STATE(1026),
    [sym_augmented_assignment_expression] = STATE(1026),
    [sym__variable_member_access_expression] = STATE(613),
    [sym_member_access_expression] = STATE(681),
    [sym__variable_nullsafe_member_access_expression] = STATE(619),
    [sym_nullsafe_member_access_expression] = STATE(681),
    [sym__variable_scoped_property_access_expression] = STATE(602),
    [sym_scoped_property_access_expression] = STATE(681),
    [sym_list_literal] = STATE(2640),
    [sym__list_destructing] = STATE(2405),
    [sym__array_destructing] = STATE(2405),
    [sym_function_call_expression] = STATE(612),
    [sym__callable_expression] = STATE(2324),
    [sym_scoped_call_expression] = STATE(612),
    [sym__scope_resolution_qualifier] = STATE(2522),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(612),
    [sym_nullsafe_member_call_expression] = STATE(612),
    [sym__variable_subscript_expression] = STATE(610),
    [sym__dereferencable_subscript_expression] = STATE(612),
    [sym__dereferencable_expression] = STATE(1948),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(766),
    [sym_attribute_group] = STATE(1373),
    [sym_attribute_list] = STATE(1879),
    [sym_encapsed_string] = STATE(767),
    [sym_string] = STATE(767),
    [sym_heredoc] = STATE(767),
    [sym_nowdoc] = STATE(767),
    [sym_shell_command_expression] = STATE(1039),
    [sym_boolean] = STATE(1036),
    [sym_null] = STATE(1036),
    [sym__string] = STATE(768),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(595),
    [sym__new_variable] = STATE(683),
    [sym__callable_variable] = STATE(657),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1026),
    [sym_binary_expression] = STATE(1026),
    [sym_include_expression] = STATE(1026),
    [sym_include_once_expression] = STATE(1026),
    [sym_require_expression] = STATE(1026),
    [sym_require_once_expression] = STATE(1026),
    [sym__reserved_identifier] = STATE(717),
    [sym__identifier] = STATE(1496),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(697),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(701),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(703),
    [anon_sym_DASH] = ACTIONS(703),
    [anon_sym_TILDE] = ACTIONS(705),
    [anon_sym_BANG] = ACTIONS(705),
    [anon_sym_AT] = ACTIONS(707),
    [aux_sym_clone_expression_token1] = ACTIONS(709),
    [aux_sym_print_intrinsic_token1] = ACTIONS(711),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(713),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(5),
  },
  [393] = {
    [sym_text_interpolation] = STATE(393),
    [sym_qualified_name] = STATE(810),
    [sym__name] = STATE(1626),
    [sym_namespace_name] = STATE(2507),
    [sym_static_modifier] = STATE(2368),
    [sym_anonymous_function] = STATE(1039),
    [sym__anonymous_function_header] = STATE(2318),
    [sym__arrow_function_header] = STATE(2639),
    [sym_arrow_function] = STATE(1039),
    [sym_literal] = STATE(1039),
    [sym_throw_expression] = STATE(1039),
    [sym_match_expression] = STATE(1026),
    [sym_expression] = STATE(1180),
    [sym__unary_expression] = STATE(1010),
    [sym_unary_op_expression] = STATE(1022),
    [sym_error_suppression_expression] = STATE(1026),
    [sym_clone_expression] = STATE(1022),
    [sym_primary_expression] = STATE(1022),
    [sym_parenthesized_expression] = STATE(811),
    [sym_class_constant_access_expression] = STATE(859),
    [sym_print_intrinsic] = STATE(1039),
    [sym_object_creation_expression] = STATE(1039),
    [sym__new_non_dereferencable_expression] = STATE(1009),
    [sym__new_dereferencable_expression] = STATE(842),
    [sym_update_expression] = STATE(1039),
    [sym_cast_expression] = STATE(1022),
    [sym_cast_variable] = STATE(681),
    [sym_assignment_expression] = STATE(1026),
    [sym_reference_assignment_expression] = STATE(1026),
    [sym_conditional_expression] = STATE(1026),
    [sym_augmented_assignment_expression] = STATE(1026),
    [sym__variable_member_access_expression] = STATE(613),
    [sym_member_access_expression] = STATE(681),
    [sym__variable_nullsafe_member_access_expression] = STATE(619),
    [sym_nullsafe_member_access_expression] = STATE(681),
    [sym__variable_scoped_property_access_expression] = STATE(602),
    [sym_scoped_property_access_expression] = STATE(681),
    [sym_list_literal] = STATE(2640),
    [sym__list_destructing] = STATE(2405),
    [sym__array_destructing] = STATE(2405),
    [sym_function_call_expression] = STATE(612),
    [sym__callable_expression] = STATE(2324),
    [sym_scoped_call_expression] = STATE(612),
    [sym__scope_resolution_qualifier] = STATE(2522),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(612),
    [sym_nullsafe_member_call_expression] = STATE(612),
    [sym__variable_subscript_expression] = STATE(610),
    [sym__dereferencable_subscript_expression] = STATE(612),
    [sym__dereferencable_expression] = STATE(1948),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(766),
    [sym_attribute_group] = STATE(1373),
    [sym_attribute_list] = STATE(1879),
    [sym_encapsed_string] = STATE(767),
    [sym_string] = STATE(767),
    [sym_heredoc] = STATE(767),
    [sym_nowdoc] = STATE(767),
    [sym_shell_command_expression] = STATE(1039),
    [sym_boolean] = STATE(1036),
    [sym_null] = STATE(1036),
    [sym__string] = STATE(768),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(595),
    [sym__new_variable] = STATE(683),
    [sym__callable_variable] = STATE(657),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1026),
    [sym_binary_expression] = STATE(1026),
    [sym_include_expression] = STATE(1026),
    [sym_include_once_expression] = STATE(1026),
    [sym_require_expression] = STATE(1026),
    [sym_require_once_expression] = STATE(1026),
    [sym__reserved_identifier] = STATE(717),
    [sym__identifier] = STATE(1496),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(697),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(701),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(703),
    [anon_sym_DASH] = ACTIONS(703),
    [anon_sym_TILDE] = ACTIONS(705),
    [anon_sym_BANG] = ACTIONS(705),
    [anon_sym_AT] = ACTIONS(707),
    [aux_sym_clone_expression_token1] = ACTIONS(709),
    [aux_sym_print_intrinsic_token1] = ACTIONS(711),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(713),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(5),
  },
  [394] = {
    [sym_text_interpolation] = STATE(394),
    [sym_qualified_name] = STATE(810),
    [sym__name] = STATE(1626),
    [sym_namespace_name] = STATE(2507),
    [sym_static_modifier] = STATE(2368),
    [sym_anonymous_function] = STATE(1039),
    [sym__anonymous_function_header] = STATE(2318),
    [sym__arrow_function_header] = STATE(2639),
    [sym_arrow_function] = STATE(1039),
    [sym_literal] = STATE(1039),
    [sym_throw_expression] = STATE(1039),
    [sym_match_expression] = STATE(1026),
    [sym_expression] = STATE(1207),
    [sym__unary_expression] = STATE(1010),
    [sym_unary_op_expression] = STATE(1022),
    [sym_error_suppression_expression] = STATE(1026),
    [sym_clone_expression] = STATE(1022),
    [sym_primary_expression] = STATE(1022),
    [sym_parenthesized_expression] = STATE(811),
    [sym_class_constant_access_expression] = STATE(859),
    [sym_print_intrinsic] = STATE(1039),
    [sym_object_creation_expression] = STATE(1039),
    [sym__new_non_dereferencable_expression] = STATE(1009),
    [sym__new_dereferencable_expression] = STATE(842),
    [sym_update_expression] = STATE(1039),
    [sym_cast_expression] = STATE(1022),
    [sym_cast_variable] = STATE(681),
    [sym_assignment_expression] = STATE(1026),
    [sym_reference_assignment_expression] = STATE(1026),
    [sym_conditional_expression] = STATE(1026),
    [sym_augmented_assignment_expression] = STATE(1026),
    [sym__variable_member_access_expression] = STATE(613),
    [sym_member_access_expression] = STATE(681),
    [sym__variable_nullsafe_member_access_expression] = STATE(619),
    [sym_nullsafe_member_access_expression] = STATE(681),
    [sym__variable_scoped_property_access_expression] = STATE(602),
    [sym_scoped_property_access_expression] = STATE(681),
    [sym_list_literal] = STATE(2640),
    [sym__list_destructing] = STATE(2405),
    [sym__array_destructing] = STATE(2405),
    [sym_function_call_expression] = STATE(612),
    [sym__callable_expression] = STATE(2324),
    [sym_scoped_call_expression] = STATE(612),
    [sym__scope_resolution_qualifier] = STATE(2522),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(612),
    [sym_nullsafe_member_call_expression] = STATE(612),
    [sym__variable_subscript_expression] = STATE(610),
    [sym__dereferencable_subscript_expression] = STATE(612),
    [sym__dereferencable_expression] = STATE(1948),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(766),
    [sym_attribute_group] = STATE(1373),
    [sym_attribute_list] = STATE(1879),
    [sym_encapsed_string] = STATE(767),
    [sym_string] = STATE(767),
    [sym_heredoc] = STATE(767),
    [sym_nowdoc] = STATE(767),
    [sym_shell_command_expression] = STATE(1039),
    [sym_boolean] = STATE(1036),
    [sym_null] = STATE(1036),
    [sym__string] = STATE(768),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(595),
    [sym__new_variable] = STATE(683),
    [sym__callable_variable] = STATE(657),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1026),
    [sym_binary_expression] = STATE(1026),
    [sym_include_expression] = STATE(1026),
    [sym_include_once_expression] = STATE(1026),
    [sym_require_expression] = STATE(1026),
    [sym_require_once_expression] = STATE(1026),
    [sym__reserved_identifier] = STATE(717),
    [sym__identifier] = STATE(1496),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(697),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(701),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(703),
    [anon_sym_DASH] = ACTIONS(703),
    [anon_sym_TILDE] = ACTIONS(705),
    [anon_sym_BANG] = ACTIONS(705),
    [anon_sym_AT] = ACTIONS(707),
    [aux_sym_clone_expression_token1] = ACTIONS(709),
    [aux_sym_print_intrinsic_token1] = ACTIONS(711),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(713),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(5),
  },
  [395] = {
    [sym_text_interpolation] = STATE(395),
    [sym_qualified_name] = STATE(810),
    [sym__name] = STATE(1626),
    [sym_namespace_name] = STATE(2507),
    [sym_static_modifier] = STATE(2368),
    [sym_anonymous_function] = STATE(1039),
    [sym__anonymous_function_header] = STATE(2318),
    [sym__arrow_function_header] = STATE(2639),
    [sym_arrow_function] = STATE(1039),
    [sym_literal] = STATE(1039),
    [sym_throw_expression] = STATE(1039),
    [sym_match_expression] = STATE(1026),
    [sym_expression] = STATE(1182),
    [sym__unary_expression] = STATE(1010),
    [sym_unary_op_expression] = STATE(1022),
    [sym_error_suppression_expression] = STATE(1026),
    [sym_clone_expression] = STATE(1022),
    [sym_primary_expression] = STATE(1022),
    [sym_parenthesized_expression] = STATE(811),
    [sym_class_constant_access_expression] = STATE(859),
    [sym_print_intrinsic] = STATE(1039),
    [sym_object_creation_expression] = STATE(1039),
    [sym__new_non_dereferencable_expression] = STATE(1009),
    [sym__new_dereferencable_expression] = STATE(842),
    [sym_update_expression] = STATE(1039),
    [sym_cast_expression] = STATE(1022),
    [sym_cast_variable] = STATE(681),
    [sym_assignment_expression] = STATE(1026),
    [sym_reference_assignment_expression] = STATE(1026),
    [sym_conditional_expression] = STATE(1026),
    [sym_augmented_assignment_expression] = STATE(1026),
    [sym__variable_member_access_expression] = STATE(613),
    [sym_member_access_expression] = STATE(681),
    [sym__variable_nullsafe_member_access_expression] = STATE(619),
    [sym_nullsafe_member_access_expression] = STATE(681),
    [sym__variable_scoped_property_access_expression] = STATE(602),
    [sym_scoped_property_access_expression] = STATE(681),
    [sym_list_literal] = STATE(2640),
    [sym__list_destructing] = STATE(2405),
    [sym__array_destructing] = STATE(2405),
    [sym_function_call_expression] = STATE(612),
    [sym__callable_expression] = STATE(2324),
    [sym_scoped_call_expression] = STATE(612),
    [sym__scope_resolution_qualifier] = STATE(2522),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(612),
    [sym_nullsafe_member_call_expression] = STATE(612),
    [sym__variable_subscript_expression] = STATE(610),
    [sym__dereferencable_subscript_expression] = STATE(612),
    [sym__dereferencable_expression] = STATE(1948),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(766),
    [sym_attribute_group] = STATE(1373),
    [sym_attribute_list] = STATE(1879),
    [sym_encapsed_string] = STATE(767),
    [sym_string] = STATE(767),
    [sym_heredoc] = STATE(767),
    [sym_nowdoc] = STATE(767),
    [sym_shell_command_expression] = STATE(1039),
    [sym_boolean] = STATE(1036),
    [sym_null] = STATE(1036),
    [sym__string] = STATE(768),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(595),
    [sym__new_variable] = STATE(683),
    [sym__callable_variable] = STATE(657),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1026),
    [sym_binary_expression] = STATE(1026),
    [sym_include_expression] = STATE(1026),
    [sym_include_once_expression] = STATE(1026),
    [sym_require_expression] = STATE(1026),
    [sym_require_once_expression] = STATE(1026),
    [sym__reserved_identifier] = STATE(717),
    [sym__identifier] = STATE(1496),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(697),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(701),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(703),
    [anon_sym_DASH] = ACTIONS(703),
    [anon_sym_TILDE] = ACTIONS(705),
    [anon_sym_BANG] = ACTIONS(705),
    [anon_sym_AT] = ACTIONS(707),
    [aux_sym_clone_expression_token1] = ACTIONS(709),
    [aux_sym_print_intrinsic_token1] = ACTIONS(711),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(713),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(5),
  },
  [396] = {
    [sym_text_interpolation] = STATE(396),
    [sym_qualified_name] = STATE(810),
    [sym__name] = STATE(1626),
    [sym_namespace_name] = STATE(2507),
    [sym_static_modifier] = STATE(2368),
    [sym_anonymous_function] = STATE(1039),
    [sym__anonymous_function_header] = STATE(2318),
    [sym__arrow_function_header] = STATE(2639),
    [sym_arrow_function] = STATE(1039),
    [sym_literal] = STATE(1039),
    [sym_throw_expression] = STATE(1039),
    [sym_match_expression] = STATE(1026),
    [sym_expression] = STATE(1183),
    [sym__unary_expression] = STATE(1010),
    [sym_unary_op_expression] = STATE(1022),
    [sym_error_suppression_expression] = STATE(1026),
    [sym_clone_expression] = STATE(1022),
    [sym_primary_expression] = STATE(1022),
    [sym_parenthesized_expression] = STATE(811),
    [sym_class_constant_access_expression] = STATE(859),
    [sym_print_intrinsic] = STATE(1039),
    [sym_object_creation_expression] = STATE(1039),
    [sym__new_non_dereferencable_expression] = STATE(1009),
    [sym__new_dereferencable_expression] = STATE(842),
    [sym_update_expression] = STATE(1039),
    [sym_cast_expression] = STATE(1022),
    [sym_cast_variable] = STATE(681),
    [sym_assignment_expression] = STATE(1026),
    [sym_reference_assignment_expression] = STATE(1026),
    [sym_conditional_expression] = STATE(1026),
    [sym_augmented_assignment_expression] = STATE(1026),
    [sym__variable_member_access_expression] = STATE(613),
    [sym_member_access_expression] = STATE(681),
    [sym__variable_nullsafe_member_access_expression] = STATE(619),
    [sym_nullsafe_member_access_expression] = STATE(681),
    [sym__variable_scoped_property_access_expression] = STATE(602),
    [sym_scoped_property_access_expression] = STATE(681),
    [sym_list_literal] = STATE(2640),
    [sym__list_destructing] = STATE(2405),
    [sym__array_destructing] = STATE(2405),
    [sym_function_call_expression] = STATE(612),
    [sym__callable_expression] = STATE(2324),
    [sym_scoped_call_expression] = STATE(612),
    [sym__scope_resolution_qualifier] = STATE(2522),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(612),
    [sym_nullsafe_member_call_expression] = STATE(612),
    [sym__variable_subscript_expression] = STATE(610),
    [sym__dereferencable_subscript_expression] = STATE(612),
    [sym__dereferencable_expression] = STATE(1948),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(766),
    [sym_attribute_group] = STATE(1373),
    [sym_attribute_list] = STATE(1879),
    [sym_encapsed_string] = STATE(767),
    [sym_string] = STATE(767),
    [sym_heredoc] = STATE(767),
    [sym_nowdoc] = STATE(767),
    [sym_shell_command_expression] = STATE(1039),
    [sym_boolean] = STATE(1036),
    [sym_null] = STATE(1036),
    [sym__string] = STATE(768),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(595),
    [sym__new_variable] = STATE(683),
    [sym__callable_variable] = STATE(657),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1026),
    [sym_binary_expression] = STATE(1026),
    [sym_include_expression] = STATE(1026),
    [sym_include_once_expression] = STATE(1026),
    [sym_require_expression] = STATE(1026),
    [sym_require_once_expression] = STATE(1026),
    [sym__reserved_identifier] = STATE(717),
    [sym__identifier] = STATE(1496),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(697),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(701),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(703),
    [anon_sym_DASH] = ACTIONS(703),
    [anon_sym_TILDE] = ACTIONS(705),
    [anon_sym_BANG] = ACTIONS(705),
    [anon_sym_AT] = ACTIONS(707),
    [aux_sym_clone_expression_token1] = ACTIONS(709),
    [aux_sym_print_intrinsic_token1] = ACTIONS(711),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(713),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(5),
  },
  [397] = {
    [sym_text_interpolation] = STATE(397),
    [sym_qualified_name] = STATE(810),
    [sym__name] = STATE(1626),
    [sym_namespace_name] = STATE(2507),
    [sym_static_modifier] = STATE(2368),
    [sym_anonymous_function] = STATE(1039),
    [sym__anonymous_function_header] = STATE(2318),
    [sym__arrow_function_header] = STATE(2639),
    [sym_arrow_function] = STATE(1039),
    [sym_literal] = STATE(1039),
    [sym_throw_expression] = STATE(1039),
    [sym_match_expression] = STATE(1026),
    [sym_expression] = STATE(1184),
    [sym__unary_expression] = STATE(1010),
    [sym_unary_op_expression] = STATE(1022),
    [sym_error_suppression_expression] = STATE(1026),
    [sym_clone_expression] = STATE(1022),
    [sym_primary_expression] = STATE(1022),
    [sym_parenthesized_expression] = STATE(811),
    [sym_class_constant_access_expression] = STATE(859),
    [sym_print_intrinsic] = STATE(1039),
    [sym_object_creation_expression] = STATE(1039),
    [sym__new_non_dereferencable_expression] = STATE(1009),
    [sym__new_dereferencable_expression] = STATE(842),
    [sym_update_expression] = STATE(1039),
    [sym_cast_expression] = STATE(1022),
    [sym_cast_variable] = STATE(681),
    [sym_assignment_expression] = STATE(1026),
    [sym_reference_assignment_expression] = STATE(1026),
    [sym_conditional_expression] = STATE(1026),
    [sym_augmented_assignment_expression] = STATE(1026),
    [sym__variable_member_access_expression] = STATE(613),
    [sym_member_access_expression] = STATE(681),
    [sym__variable_nullsafe_member_access_expression] = STATE(619),
    [sym_nullsafe_member_access_expression] = STATE(681),
    [sym__variable_scoped_property_access_expression] = STATE(602),
    [sym_scoped_property_access_expression] = STATE(681),
    [sym_list_literal] = STATE(2640),
    [sym__list_destructing] = STATE(2405),
    [sym__array_destructing] = STATE(2405),
    [sym_function_call_expression] = STATE(612),
    [sym__callable_expression] = STATE(2324),
    [sym_scoped_call_expression] = STATE(612),
    [sym__scope_resolution_qualifier] = STATE(2522),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(612),
    [sym_nullsafe_member_call_expression] = STATE(612),
    [sym__variable_subscript_expression] = STATE(610),
    [sym__dereferencable_subscript_expression] = STATE(612),
    [sym__dereferencable_expression] = STATE(1948),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(766),
    [sym_attribute_group] = STATE(1373),
    [sym_attribute_list] = STATE(1879),
    [sym_encapsed_string] = STATE(767),
    [sym_string] = STATE(767),
    [sym_heredoc] = STATE(767),
    [sym_nowdoc] = STATE(767),
    [sym_shell_command_expression] = STATE(1039),
    [sym_boolean] = STATE(1036),
    [sym_null] = STATE(1036),
    [sym__string] = STATE(768),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(595),
    [sym__new_variable] = STATE(683),
    [sym__callable_variable] = STATE(657),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1026),
    [sym_binary_expression] = STATE(1026),
    [sym_include_expression] = STATE(1026),
    [sym_include_once_expression] = STATE(1026),
    [sym_require_expression] = STATE(1026),
    [sym_require_once_expression] = STATE(1026),
    [sym__reserved_identifier] = STATE(717),
    [sym__identifier] = STATE(1496),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(697),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(701),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(703),
    [anon_sym_DASH] = ACTIONS(703),
    [anon_sym_TILDE] = ACTIONS(705),
    [anon_sym_BANG] = ACTIONS(705),
    [anon_sym_AT] = ACTIONS(707),
    [aux_sym_clone_expression_token1] = ACTIONS(709),
    [aux_sym_print_intrinsic_token1] = ACTIONS(711),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(713),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(5),
  },
  [398] = {
    [sym_text_interpolation] = STATE(398),
    [sym_qualified_name] = STATE(810),
    [sym__name] = STATE(1626),
    [sym_namespace_name] = STATE(2507),
    [sym_static_modifier] = STATE(2368),
    [sym_anonymous_function] = STATE(1039),
    [sym__anonymous_function_header] = STATE(2318),
    [sym__arrow_function_header] = STATE(2639),
    [sym_arrow_function] = STATE(1039),
    [sym_literal] = STATE(1039),
    [sym_throw_expression] = STATE(1039),
    [sym_match_expression] = STATE(1026),
    [sym_expression] = STATE(1185),
    [sym__unary_expression] = STATE(1010),
    [sym_unary_op_expression] = STATE(1022),
    [sym_error_suppression_expression] = STATE(1026),
    [sym_clone_expression] = STATE(1022),
    [sym_primary_expression] = STATE(1022),
    [sym_parenthesized_expression] = STATE(811),
    [sym_class_constant_access_expression] = STATE(859),
    [sym_print_intrinsic] = STATE(1039),
    [sym_object_creation_expression] = STATE(1039),
    [sym__new_non_dereferencable_expression] = STATE(1009),
    [sym__new_dereferencable_expression] = STATE(842),
    [sym_update_expression] = STATE(1039),
    [sym_cast_expression] = STATE(1022),
    [sym_cast_variable] = STATE(681),
    [sym_assignment_expression] = STATE(1026),
    [sym_reference_assignment_expression] = STATE(1026),
    [sym_conditional_expression] = STATE(1026),
    [sym_augmented_assignment_expression] = STATE(1026),
    [sym__variable_member_access_expression] = STATE(613),
    [sym_member_access_expression] = STATE(681),
    [sym__variable_nullsafe_member_access_expression] = STATE(619),
    [sym_nullsafe_member_access_expression] = STATE(681),
    [sym__variable_scoped_property_access_expression] = STATE(602),
    [sym_scoped_property_access_expression] = STATE(681),
    [sym_list_literal] = STATE(2640),
    [sym__list_destructing] = STATE(2405),
    [sym__array_destructing] = STATE(2405),
    [sym_function_call_expression] = STATE(612),
    [sym__callable_expression] = STATE(2324),
    [sym_scoped_call_expression] = STATE(612),
    [sym__scope_resolution_qualifier] = STATE(2522),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(612),
    [sym_nullsafe_member_call_expression] = STATE(612),
    [sym__variable_subscript_expression] = STATE(610),
    [sym__dereferencable_subscript_expression] = STATE(612),
    [sym__dereferencable_expression] = STATE(1948),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(766),
    [sym_attribute_group] = STATE(1373),
    [sym_attribute_list] = STATE(1879),
    [sym_encapsed_string] = STATE(767),
    [sym_string] = STATE(767),
    [sym_heredoc] = STATE(767),
    [sym_nowdoc] = STATE(767),
    [sym_shell_command_expression] = STATE(1039),
    [sym_boolean] = STATE(1036),
    [sym_null] = STATE(1036),
    [sym__string] = STATE(768),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(595),
    [sym__new_variable] = STATE(683),
    [sym__callable_variable] = STATE(657),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1026),
    [sym_binary_expression] = STATE(1026),
    [sym_include_expression] = STATE(1026),
    [sym_include_once_expression] = STATE(1026),
    [sym_require_expression] = STATE(1026),
    [sym_require_once_expression] = STATE(1026),
    [sym__reserved_identifier] = STATE(717),
    [sym__identifier] = STATE(1496),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(697),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(701),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(703),
    [anon_sym_DASH] = ACTIONS(703),
    [anon_sym_TILDE] = ACTIONS(705),
    [anon_sym_BANG] = ACTIONS(705),
    [anon_sym_AT] = ACTIONS(707),
    [aux_sym_clone_expression_token1] = ACTIONS(709),
    [aux_sym_print_intrinsic_token1] = ACTIONS(711),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(713),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(5),
  },
  [399] = {
    [sym_text_interpolation] = STATE(399),
    [sym_qualified_name] = STATE(810),
    [sym__name] = STATE(1626),
    [sym_namespace_name] = STATE(2507),
    [sym_static_modifier] = STATE(2368),
    [sym_anonymous_function] = STATE(1039),
    [sym__anonymous_function_header] = STATE(2318),
    [sym__arrow_function_header] = STATE(2639),
    [sym_arrow_function] = STATE(1039),
    [sym_literal] = STATE(1039),
    [sym_throw_expression] = STATE(1039),
    [sym_match_expression] = STATE(1026),
    [sym_expression] = STATE(1186),
    [sym__unary_expression] = STATE(1010),
    [sym_unary_op_expression] = STATE(1022),
    [sym_error_suppression_expression] = STATE(1026),
    [sym_clone_expression] = STATE(1022),
    [sym_primary_expression] = STATE(1022),
    [sym_parenthesized_expression] = STATE(811),
    [sym_class_constant_access_expression] = STATE(859),
    [sym_print_intrinsic] = STATE(1039),
    [sym_object_creation_expression] = STATE(1039),
    [sym__new_non_dereferencable_expression] = STATE(1009),
    [sym__new_dereferencable_expression] = STATE(842),
    [sym_update_expression] = STATE(1039),
    [sym_cast_expression] = STATE(1022),
    [sym_cast_variable] = STATE(681),
    [sym_assignment_expression] = STATE(1026),
    [sym_reference_assignment_expression] = STATE(1026),
    [sym_conditional_expression] = STATE(1026),
    [sym_augmented_assignment_expression] = STATE(1026),
    [sym__variable_member_access_expression] = STATE(613),
    [sym_member_access_expression] = STATE(681),
    [sym__variable_nullsafe_member_access_expression] = STATE(619),
    [sym_nullsafe_member_access_expression] = STATE(681),
    [sym__variable_scoped_property_access_expression] = STATE(602),
    [sym_scoped_property_access_expression] = STATE(681),
    [sym_list_literal] = STATE(2640),
    [sym__list_destructing] = STATE(2405),
    [sym__array_destructing] = STATE(2405),
    [sym_function_call_expression] = STATE(612),
    [sym__callable_expression] = STATE(2324),
    [sym_scoped_call_expression] = STATE(612),
    [sym__scope_resolution_qualifier] = STATE(2522),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(612),
    [sym_nullsafe_member_call_expression] = STATE(612),
    [sym__variable_subscript_expression] = STATE(610),
    [sym__dereferencable_subscript_expression] = STATE(612),
    [sym__dereferencable_expression] = STATE(1948),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(766),
    [sym_attribute_group] = STATE(1373),
    [sym_attribute_list] = STATE(1879),
    [sym_encapsed_string] = STATE(767),
    [sym_string] = STATE(767),
    [sym_heredoc] = STATE(767),
    [sym_nowdoc] = STATE(767),
    [sym_shell_command_expression] = STATE(1039),
    [sym_boolean] = STATE(1036),
    [sym_null] = STATE(1036),
    [sym__string] = STATE(768),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(595),
    [sym__new_variable] = STATE(683),
    [sym__callable_variable] = STATE(657),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1026),
    [sym_binary_expression] = STATE(1026),
    [sym_include_expression] = STATE(1026),
    [sym_include_once_expression] = STATE(1026),
    [sym_require_expression] = STATE(1026),
    [sym_require_once_expression] = STATE(1026),
    [sym__reserved_identifier] = STATE(717),
    [sym__identifier] = STATE(1496),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(697),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(701),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(703),
    [anon_sym_DASH] = ACTIONS(703),
    [anon_sym_TILDE] = ACTIONS(705),
    [anon_sym_BANG] = ACTIONS(705),
    [anon_sym_AT] = ACTIONS(707),
    [aux_sym_clone_expression_token1] = ACTIONS(709),
    [aux_sym_print_intrinsic_token1] = ACTIONS(711),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(713),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(5),
  },
  [400] = {
    [sym_text_interpolation] = STATE(400),
    [sym_qualified_name] = STATE(810),
    [sym__name] = STATE(1626),
    [sym_namespace_name] = STATE(2507),
    [sym_static_modifier] = STATE(2368),
    [sym_anonymous_function] = STATE(1039),
    [sym__anonymous_function_header] = STATE(2318),
    [sym__arrow_function_header] = STATE(2639),
    [sym_arrow_function] = STATE(1039),
    [sym_literal] = STATE(1039),
    [sym_throw_expression] = STATE(1039),
    [sym_match_expression] = STATE(1026),
    [sym_expression] = STATE(1187),
    [sym__unary_expression] = STATE(1010),
    [sym_unary_op_expression] = STATE(1022),
    [sym_error_suppression_expression] = STATE(1026),
    [sym_clone_expression] = STATE(1022),
    [sym_primary_expression] = STATE(1022),
    [sym_parenthesized_expression] = STATE(811),
    [sym_class_constant_access_expression] = STATE(859),
    [sym_print_intrinsic] = STATE(1039),
    [sym_object_creation_expression] = STATE(1039),
    [sym__new_non_dereferencable_expression] = STATE(1009),
    [sym__new_dereferencable_expression] = STATE(842),
    [sym_update_expression] = STATE(1039),
    [sym_cast_expression] = STATE(1022),
    [sym_cast_variable] = STATE(681),
    [sym_assignment_expression] = STATE(1026),
    [sym_reference_assignment_expression] = STATE(1026),
    [sym_conditional_expression] = STATE(1026),
    [sym_augmented_assignment_expression] = STATE(1026),
    [sym__variable_member_access_expression] = STATE(613),
    [sym_member_access_expression] = STATE(681),
    [sym__variable_nullsafe_member_access_expression] = STATE(619),
    [sym_nullsafe_member_access_expression] = STATE(681),
    [sym__variable_scoped_property_access_expression] = STATE(602),
    [sym_scoped_property_access_expression] = STATE(681),
    [sym_list_literal] = STATE(2640),
    [sym__list_destructing] = STATE(2405),
    [sym__array_destructing] = STATE(2405),
    [sym_function_call_expression] = STATE(612),
    [sym__callable_expression] = STATE(2324),
    [sym_scoped_call_expression] = STATE(612),
    [sym__scope_resolution_qualifier] = STATE(2522),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(612),
    [sym_nullsafe_member_call_expression] = STATE(612),
    [sym__variable_subscript_expression] = STATE(610),
    [sym__dereferencable_subscript_expression] = STATE(612),
    [sym__dereferencable_expression] = STATE(1948),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(766),
    [sym_attribute_group] = STATE(1373),
    [sym_attribute_list] = STATE(1879),
    [sym_encapsed_string] = STATE(767),
    [sym_string] = STATE(767),
    [sym_heredoc] = STATE(767),
    [sym_nowdoc] = STATE(767),
    [sym_shell_command_expression] = STATE(1039),
    [sym_boolean] = STATE(1036),
    [sym_null] = STATE(1036),
    [sym__string] = STATE(768),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(595),
    [sym__new_variable] = STATE(683),
    [sym__callable_variable] = STATE(657),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1026),
    [sym_binary_expression] = STATE(1026),
    [sym_include_expression] = STATE(1026),
    [sym_include_once_expression] = STATE(1026),
    [sym_require_expression] = STATE(1026),
    [sym_require_once_expression] = STATE(1026),
    [sym__reserved_identifier] = STATE(717),
    [sym__identifier] = STATE(1496),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(697),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(701),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(703),
    [anon_sym_DASH] = ACTIONS(703),
    [anon_sym_TILDE] = ACTIONS(705),
    [anon_sym_BANG] = ACTIONS(705),
    [anon_sym_AT] = ACTIONS(707),
    [aux_sym_clone_expression_token1] = ACTIONS(709),
    [aux_sym_print_intrinsic_token1] = ACTIONS(711),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(713),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(5),
  },
  [401] = {
    [sym_text_interpolation] = STATE(401),
    [sym_qualified_name] = STATE(810),
    [sym__name] = STATE(1626),
    [sym_namespace_name] = STATE(2507),
    [sym_static_modifier] = STATE(2368),
    [sym_anonymous_function] = STATE(1039),
    [sym__anonymous_function_header] = STATE(2318),
    [sym__arrow_function_header] = STATE(2639),
    [sym_arrow_function] = STATE(1039),
    [sym_literal] = STATE(1039),
    [sym_throw_expression] = STATE(1039),
    [sym_match_expression] = STATE(1026),
    [sym_expression] = STATE(1188),
    [sym__unary_expression] = STATE(1010),
    [sym_unary_op_expression] = STATE(1022),
    [sym_error_suppression_expression] = STATE(1026),
    [sym_clone_expression] = STATE(1022),
    [sym_primary_expression] = STATE(1022),
    [sym_parenthesized_expression] = STATE(811),
    [sym_class_constant_access_expression] = STATE(859),
    [sym_print_intrinsic] = STATE(1039),
    [sym_object_creation_expression] = STATE(1039),
    [sym__new_non_dereferencable_expression] = STATE(1009),
    [sym__new_dereferencable_expression] = STATE(842),
    [sym_update_expression] = STATE(1039),
    [sym_cast_expression] = STATE(1022),
    [sym_cast_variable] = STATE(681),
    [sym_assignment_expression] = STATE(1026),
    [sym_reference_assignment_expression] = STATE(1026),
    [sym_conditional_expression] = STATE(1026),
    [sym_augmented_assignment_expression] = STATE(1026),
    [sym__variable_member_access_expression] = STATE(613),
    [sym_member_access_expression] = STATE(681),
    [sym__variable_nullsafe_member_access_expression] = STATE(619),
    [sym_nullsafe_member_access_expression] = STATE(681),
    [sym__variable_scoped_property_access_expression] = STATE(602),
    [sym_scoped_property_access_expression] = STATE(681),
    [sym_list_literal] = STATE(2640),
    [sym__list_destructing] = STATE(2405),
    [sym__array_destructing] = STATE(2405),
    [sym_function_call_expression] = STATE(612),
    [sym__callable_expression] = STATE(2324),
    [sym_scoped_call_expression] = STATE(612),
    [sym__scope_resolution_qualifier] = STATE(2522),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(612),
    [sym_nullsafe_member_call_expression] = STATE(612),
    [sym__variable_subscript_expression] = STATE(610),
    [sym__dereferencable_subscript_expression] = STATE(612),
    [sym__dereferencable_expression] = STATE(1948),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(766),
    [sym_attribute_group] = STATE(1373),
    [sym_attribute_list] = STATE(1879),
    [sym_encapsed_string] = STATE(767),
    [sym_string] = STATE(767),
    [sym_heredoc] = STATE(767),
    [sym_nowdoc] = STATE(767),
    [sym_shell_command_expression] = STATE(1039),
    [sym_boolean] = STATE(1036),
    [sym_null] = STATE(1036),
    [sym__string] = STATE(768),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(595),
    [sym__new_variable] = STATE(683),
    [sym__callable_variable] = STATE(657),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1026),
    [sym_binary_expression] = STATE(1026),
    [sym_include_expression] = STATE(1026),
    [sym_include_once_expression] = STATE(1026),
    [sym_require_expression] = STATE(1026),
    [sym_require_once_expression] = STATE(1026),
    [sym__reserved_identifier] = STATE(717),
    [sym__identifier] = STATE(1496),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(697),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(701),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(703),
    [anon_sym_DASH] = ACTIONS(703),
    [anon_sym_TILDE] = ACTIONS(705),
    [anon_sym_BANG] = ACTIONS(705),
    [anon_sym_AT] = ACTIONS(707),
    [aux_sym_clone_expression_token1] = ACTIONS(709),
    [aux_sym_print_intrinsic_token1] = ACTIONS(711),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(713),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(5),
  },
  [402] = {
    [sym_text_interpolation] = STATE(402),
    [sym_qualified_name] = STATE(810),
    [sym__name] = STATE(1626),
    [sym_namespace_name] = STATE(2507),
    [sym_static_modifier] = STATE(2368),
    [sym_anonymous_function] = STATE(1039),
    [sym__anonymous_function_header] = STATE(2318),
    [sym__arrow_function_header] = STATE(2639),
    [sym_arrow_function] = STATE(1039),
    [sym_literal] = STATE(1039),
    [sym_throw_expression] = STATE(1039),
    [sym_match_expression] = STATE(1026),
    [sym_expression] = STATE(1189),
    [sym__unary_expression] = STATE(1010),
    [sym_unary_op_expression] = STATE(1022),
    [sym_error_suppression_expression] = STATE(1026),
    [sym_clone_expression] = STATE(1022),
    [sym_primary_expression] = STATE(1022),
    [sym_parenthesized_expression] = STATE(811),
    [sym_class_constant_access_expression] = STATE(859),
    [sym_print_intrinsic] = STATE(1039),
    [sym_object_creation_expression] = STATE(1039),
    [sym__new_non_dereferencable_expression] = STATE(1009),
    [sym__new_dereferencable_expression] = STATE(842),
    [sym_update_expression] = STATE(1039),
    [sym_cast_expression] = STATE(1022),
    [sym_cast_variable] = STATE(681),
    [sym_assignment_expression] = STATE(1026),
    [sym_reference_assignment_expression] = STATE(1026),
    [sym_conditional_expression] = STATE(1026),
    [sym_augmented_assignment_expression] = STATE(1026),
    [sym__variable_member_access_expression] = STATE(613),
    [sym_member_access_expression] = STATE(681),
    [sym__variable_nullsafe_member_access_expression] = STATE(619),
    [sym_nullsafe_member_access_expression] = STATE(681),
    [sym__variable_scoped_property_access_expression] = STATE(602),
    [sym_scoped_property_access_expression] = STATE(681),
    [sym_list_literal] = STATE(2640),
    [sym__list_destructing] = STATE(2405),
    [sym__array_destructing] = STATE(2405),
    [sym_function_call_expression] = STATE(612),
    [sym__callable_expression] = STATE(2324),
    [sym_scoped_call_expression] = STATE(612),
    [sym__scope_resolution_qualifier] = STATE(2522),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(612),
    [sym_nullsafe_member_call_expression] = STATE(612),
    [sym__variable_subscript_expression] = STATE(610),
    [sym__dereferencable_subscript_expression] = STATE(612),
    [sym__dereferencable_expression] = STATE(1948),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(766),
    [sym_attribute_group] = STATE(1373),
    [sym_attribute_list] = STATE(1879),
    [sym_encapsed_string] = STATE(767),
    [sym_string] = STATE(767),
    [sym_heredoc] = STATE(767),
    [sym_nowdoc] = STATE(767),
    [sym_shell_command_expression] = STATE(1039),
    [sym_boolean] = STATE(1036),
    [sym_null] = STATE(1036),
    [sym__string] = STATE(768),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(595),
    [sym__new_variable] = STATE(683),
    [sym__callable_variable] = STATE(657),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1026),
    [sym_binary_expression] = STATE(1026),
    [sym_include_expression] = STATE(1026),
    [sym_include_once_expression] = STATE(1026),
    [sym_require_expression] = STATE(1026),
    [sym_require_once_expression] = STATE(1026),
    [sym__reserved_identifier] = STATE(717),
    [sym__identifier] = STATE(1496),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(697),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(701),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(703),
    [anon_sym_DASH] = ACTIONS(703),
    [anon_sym_TILDE] = ACTIONS(705),
    [anon_sym_BANG] = ACTIONS(705),
    [anon_sym_AT] = ACTIONS(707),
    [aux_sym_clone_expression_token1] = ACTIONS(709),
    [aux_sym_print_intrinsic_token1] = ACTIONS(711),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(713),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(5),
  },
  [403] = {
    [sym_text_interpolation] = STATE(403),
    [sym_qualified_name] = STATE(810),
    [sym__name] = STATE(1626),
    [sym_namespace_name] = STATE(2507),
    [sym_static_modifier] = STATE(2368),
    [sym_anonymous_function] = STATE(1039),
    [sym__anonymous_function_header] = STATE(2318),
    [sym__arrow_function_header] = STATE(2639),
    [sym_arrow_function] = STATE(1039),
    [sym_literal] = STATE(1039),
    [sym_throw_expression] = STATE(1039),
    [sym_match_expression] = STATE(1026),
    [sym_expression] = STATE(1190),
    [sym__unary_expression] = STATE(1010),
    [sym_unary_op_expression] = STATE(1022),
    [sym_error_suppression_expression] = STATE(1026),
    [sym_clone_expression] = STATE(1022),
    [sym_primary_expression] = STATE(1022),
    [sym_parenthesized_expression] = STATE(811),
    [sym_class_constant_access_expression] = STATE(859),
    [sym_print_intrinsic] = STATE(1039),
    [sym_object_creation_expression] = STATE(1039),
    [sym__new_non_dereferencable_expression] = STATE(1009),
    [sym__new_dereferencable_expression] = STATE(842),
    [sym_update_expression] = STATE(1039),
    [sym_cast_expression] = STATE(1022),
    [sym_cast_variable] = STATE(681),
    [sym_assignment_expression] = STATE(1026),
    [sym_reference_assignment_expression] = STATE(1026),
    [sym_conditional_expression] = STATE(1026),
    [sym_augmented_assignment_expression] = STATE(1026),
    [sym__variable_member_access_expression] = STATE(613),
    [sym_member_access_expression] = STATE(681),
    [sym__variable_nullsafe_member_access_expression] = STATE(619),
    [sym_nullsafe_member_access_expression] = STATE(681),
    [sym__variable_scoped_property_access_expression] = STATE(602),
    [sym_scoped_property_access_expression] = STATE(681),
    [sym_list_literal] = STATE(2640),
    [sym__list_destructing] = STATE(2405),
    [sym__array_destructing] = STATE(2405),
    [sym_function_call_expression] = STATE(612),
    [sym__callable_expression] = STATE(2324),
    [sym_scoped_call_expression] = STATE(612),
    [sym__scope_resolution_qualifier] = STATE(2522),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(612),
    [sym_nullsafe_member_call_expression] = STATE(612),
    [sym__variable_subscript_expression] = STATE(610),
    [sym__dereferencable_subscript_expression] = STATE(612),
    [sym__dereferencable_expression] = STATE(1948),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(766),
    [sym_attribute_group] = STATE(1373),
    [sym_attribute_list] = STATE(1879),
    [sym_encapsed_string] = STATE(767),
    [sym_string] = STATE(767),
    [sym_heredoc] = STATE(767),
    [sym_nowdoc] = STATE(767),
    [sym_shell_command_expression] = STATE(1039),
    [sym_boolean] = STATE(1036),
    [sym_null] = STATE(1036),
    [sym__string] = STATE(768),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(595),
    [sym__new_variable] = STATE(683),
    [sym__callable_variable] = STATE(657),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1026),
    [sym_binary_expression] = STATE(1026),
    [sym_include_expression] = STATE(1026),
    [sym_include_once_expression] = STATE(1026),
    [sym_require_expression] = STATE(1026),
    [sym_require_once_expression] = STATE(1026),
    [sym__reserved_identifier] = STATE(717),
    [sym__identifier] = STATE(1496),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(697),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(701),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(703),
    [anon_sym_DASH] = ACTIONS(703),
    [anon_sym_TILDE] = ACTIONS(705),
    [anon_sym_BANG] = ACTIONS(705),
    [anon_sym_AT] = ACTIONS(707),
    [aux_sym_clone_expression_token1] = ACTIONS(709),
    [aux_sym_print_intrinsic_token1] = ACTIONS(711),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(713),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(5),
  },
  [404] = {
    [sym_text_interpolation] = STATE(404),
    [sym_qualified_name] = STATE(810),
    [sym__name] = STATE(1626),
    [sym_namespace_name] = STATE(2507),
    [sym_static_modifier] = STATE(2368),
    [sym_anonymous_function] = STATE(1039),
    [sym__anonymous_function_header] = STATE(2318),
    [sym__arrow_function_header] = STATE(2639),
    [sym_arrow_function] = STATE(1039),
    [sym_literal] = STATE(1039),
    [sym_throw_expression] = STATE(1039),
    [sym_match_expression] = STATE(1026),
    [sym_expression] = STATE(1191),
    [sym__unary_expression] = STATE(1010),
    [sym_unary_op_expression] = STATE(1022),
    [sym_error_suppression_expression] = STATE(1026),
    [sym_clone_expression] = STATE(1022),
    [sym_primary_expression] = STATE(1022),
    [sym_parenthesized_expression] = STATE(811),
    [sym_class_constant_access_expression] = STATE(859),
    [sym_print_intrinsic] = STATE(1039),
    [sym_object_creation_expression] = STATE(1039),
    [sym__new_non_dereferencable_expression] = STATE(1009),
    [sym__new_dereferencable_expression] = STATE(842),
    [sym_update_expression] = STATE(1039),
    [sym_cast_expression] = STATE(1022),
    [sym_cast_variable] = STATE(681),
    [sym_assignment_expression] = STATE(1026),
    [sym_reference_assignment_expression] = STATE(1026),
    [sym_conditional_expression] = STATE(1026),
    [sym_augmented_assignment_expression] = STATE(1026),
    [sym__variable_member_access_expression] = STATE(613),
    [sym_member_access_expression] = STATE(681),
    [sym__variable_nullsafe_member_access_expression] = STATE(619),
    [sym_nullsafe_member_access_expression] = STATE(681),
    [sym__variable_scoped_property_access_expression] = STATE(602),
    [sym_scoped_property_access_expression] = STATE(681),
    [sym_list_literal] = STATE(2640),
    [sym__list_destructing] = STATE(2405),
    [sym__array_destructing] = STATE(2405),
    [sym_function_call_expression] = STATE(612),
    [sym__callable_expression] = STATE(2324),
    [sym_scoped_call_expression] = STATE(612),
    [sym__scope_resolution_qualifier] = STATE(2522),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(612),
    [sym_nullsafe_member_call_expression] = STATE(612),
    [sym__variable_subscript_expression] = STATE(610),
    [sym__dereferencable_subscript_expression] = STATE(612),
    [sym__dereferencable_expression] = STATE(1948),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(766),
    [sym_attribute_group] = STATE(1373),
    [sym_attribute_list] = STATE(1879),
    [sym_encapsed_string] = STATE(767),
    [sym_string] = STATE(767),
    [sym_heredoc] = STATE(767),
    [sym_nowdoc] = STATE(767),
    [sym_shell_command_expression] = STATE(1039),
    [sym_boolean] = STATE(1036),
    [sym_null] = STATE(1036),
    [sym__string] = STATE(768),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(595),
    [sym__new_variable] = STATE(683),
    [sym__callable_variable] = STATE(657),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1026),
    [sym_binary_expression] = STATE(1026),
    [sym_include_expression] = STATE(1026),
    [sym_include_once_expression] = STATE(1026),
    [sym_require_expression] = STATE(1026),
    [sym_require_once_expression] = STATE(1026),
    [sym__reserved_identifier] = STATE(717),
    [sym__identifier] = STATE(1496),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(697),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(701),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(703),
    [anon_sym_DASH] = ACTIONS(703),
    [anon_sym_TILDE] = ACTIONS(705),
    [anon_sym_BANG] = ACTIONS(705),
    [anon_sym_AT] = ACTIONS(707),
    [aux_sym_clone_expression_token1] = ACTIONS(709),
    [aux_sym_print_intrinsic_token1] = ACTIONS(711),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(713),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(5),
  },
  [405] = {
    [sym_text_interpolation] = STATE(405),
    [sym_qualified_name] = STATE(810),
    [sym__name] = STATE(1626),
    [sym_namespace_name] = STATE(2507),
    [sym_static_modifier] = STATE(2368),
    [sym_anonymous_function] = STATE(1039),
    [sym__anonymous_function_header] = STATE(2318),
    [sym__arrow_function_header] = STATE(2639),
    [sym_arrow_function] = STATE(1039),
    [sym_literal] = STATE(1039),
    [sym_throw_expression] = STATE(1039),
    [sym_match_expression] = STATE(1026),
    [sym_expression] = STATE(1192),
    [sym__unary_expression] = STATE(1010),
    [sym_unary_op_expression] = STATE(1022),
    [sym_error_suppression_expression] = STATE(1026),
    [sym_clone_expression] = STATE(1022),
    [sym_primary_expression] = STATE(1022),
    [sym_parenthesized_expression] = STATE(811),
    [sym_class_constant_access_expression] = STATE(859),
    [sym_print_intrinsic] = STATE(1039),
    [sym_object_creation_expression] = STATE(1039),
    [sym__new_non_dereferencable_expression] = STATE(1009),
    [sym__new_dereferencable_expression] = STATE(842),
    [sym_update_expression] = STATE(1039),
    [sym_cast_expression] = STATE(1022),
    [sym_cast_variable] = STATE(681),
    [sym_assignment_expression] = STATE(1026),
    [sym_reference_assignment_expression] = STATE(1026),
    [sym_conditional_expression] = STATE(1026),
    [sym_augmented_assignment_expression] = STATE(1026),
    [sym__variable_member_access_expression] = STATE(613),
    [sym_member_access_expression] = STATE(681),
    [sym__variable_nullsafe_member_access_expression] = STATE(619),
    [sym_nullsafe_member_access_expression] = STATE(681),
    [sym__variable_scoped_property_access_expression] = STATE(602),
    [sym_scoped_property_access_expression] = STATE(681),
    [sym_list_literal] = STATE(2640),
    [sym__list_destructing] = STATE(2405),
    [sym__array_destructing] = STATE(2405),
    [sym_function_call_expression] = STATE(612),
    [sym__callable_expression] = STATE(2324),
    [sym_scoped_call_expression] = STATE(612),
    [sym__scope_resolution_qualifier] = STATE(2522),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(612),
    [sym_nullsafe_member_call_expression] = STATE(612),
    [sym__variable_subscript_expression] = STATE(610),
    [sym__dereferencable_subscript_expression] = STATE(612),
    [sym__dereferencable_expression] = STATE(1948),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(766),
    [sym_attribute_group] = STATE(1373),
    [sym_attribute_list] = STATE(1879),
    [sym_encapsed_string] = STATE(767),
    [sym_string] = STATE(767),
    [sym_heredoc] = STATE(767),
    [sym_nowdoc] = STATE(767),
    [sym_shell_command_expression] = STATE(1039),
    [sym_boolean] = STATE(1036),
    [sym_null] = STATE(1036),
    [sym__string] = STATE(768),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(595),
    [sym__new_variable] = STATE(683),
    [sym__callable_variable] = STATE(657),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1026),
    [sym_binary_expression] = STATE(1026),
    [sym_include_expression] = STATE(1026),
    [sym_include_once_expression] = STATE(1026),
    [sym_require_expression] = STATE(1026),
    [sym_require_once_expression] = STATE(1026),
    [sym__reserved_identifier] = STATE(717),
    [sym__identifier] = STATE(1496),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(697),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(701),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(703),
    [anon_sym_DASH] = ACTIONS(703),
    [anon_sym_TILDE] = ACTIONS(705),
    [anon_sym_BANG] = ACTIONS(705),
    [anon_sym_AT] = ACTIONS(707),
    [aux_sym_clone_expression_token1] = ACTIONS(709),
    [aux_sym_print_intrinsic_token1] = ACTIONS(711),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(713),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(5),
  },
  [406] = {
    [sym_text_interpolation] = STATE(406),
    [sym_qualified_name] = STATE(810),
    [sym__name] = STATE(1626),
    [sym_namespace_name] = STATE(2507),
    [sym_static_modifier] = STATE(2368),
    [sym_anonymous_function] = STATE(1039),
    [sym__anonymous_function_header] = STATE(2318),
    [sym__arrow_function_header] = STATE(2639),
    [sym_arrow_function] = STATE(1039),
    [sym_literal] = STATE(1039),
    [sym_throw_expression] = STATE(1039),
    [sym_match_expression] = STATE(1026),
    [sym_expression] = STATE(1193),
    [sym__unary_expression] = STATE(1010),
    [sym_unary_op_expression] = STATE(1022),
    [sym_error_suppression_expression] = STATE(1026),
    [sym_clone_expression] = STATE(1022),
    [sym_primary_expression] = STATE(1022),
    [sym_parenthesized_expression] = STATE(811),
    [sym_class_constant_access_expression] = STATE(859),
    [sym_print_intrinsic] = STATE(1039),
    [sym_object_creation_expression] = STATE(1039),
    [sym__new_non_dereferencable_expression] = STATE(1009),
    [sym__new_dereferencable_expression] = STATE(842),
    [sym_update_expression] = STATE(1039),
    [sym_cast_expression] = STATE(1022),
    [sym_cast_variable] = STATE(681),
    [sym_assignment_expression] = STATE(1026),
    [sym_reference_assignment_expression] = STATE(1026),
    [sym_conditional_expression] = STATE(1026),
    [sym_augmented_assignment_expression] = STATE(1026),
    [sym__variable_member_access_expression] = STATE(613),
    [sym_member_access_expression] = STATE(681),
    [sym__variable_nullsafe_member_access_expression] = STATE(619),
    [sym_nullsafe_member_access_expression] = STATE(681),
    [sym__variable_scoped_property_access_expression] = STATE(602),
    [sym_scoped_property_access_expression] = STATE(681),
    [sym_list_literal] = STATE(2640),
    [sym__list_destructing] = STATE(2405),
    [sym__array_destructing] = STATE(2405),
    [sym_function_call_expression] = STATE(612),
    [sym__callable_expression] = STATE(2324),
    [sym_scoped_call_expression] = STATE(612),
    [sym__scope_resolution_qualifier] = STATE(2522),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(612),
    [sym_nullsafe_member_call_expression] = STATE(612),
    [sym__variable_subscript_expression] = STATE(610),
    [sym__dereferencable_subscript_expression] = STATE(612),
    [sym__dereferencable_expression] = STATE(1948),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(766),
    [sym_attribute_group] = STATE(1373),
    [sym_attribute_list] = STATE(1879),
    [sym_encapsed_string] = STATE(767),
    [sym_string] = STATE(767),
    [sym_heredoc] = STATE(767),
    [sym_nowdoc] = STATE(767),
    [sym_shell_command_expression] = STATE(1039),
    [sym_boolean] = STATE(1036),
    [sym_null] = STATE(1036),
    [sym__string] = STATE(768),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(595),
    [sym__new_variable] = STATE(683),
    [sym__callable_variable] = STATE(657),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1026),
    [sym_binary_expression] = STATE(1026),
    [sym_include_expression] = STATE(1026),
    [sym_include_once_expression] = STATE(1026),
    [sym_require_expression] = STATE(1026),
    [sym_require_once_expression] = STATE(1026),
    [sym__reserved_identifier] = STATE(717),
    [sym__identifier] = STATE(1496),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(697),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(701),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(703),
    [anon_sym_DASH] = ACTIONS(703),
    [anon_sym_TILDE] = ACTIONS(705),
    [anon_sym_BANG] = ACTIONS(705),
    [anon_sym_AT] = ACTIONS(707),
    [aux_sym_clone_expression_token1] = ACTIONS(709),
    [aux_sym_print_intrinsic_token1] = ACTIONS(711),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(713),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(5),
  },
  [407] = {
    [sym_text_interpolation] = STATE(407),
    [sym_qualified_name] = STATE(810),
    [sym__name] = STATE(1626),
    [sym_namespace_name] = STATE(2507),
    [sym_static_modifier] = STATE(2368),
    [sym_anonymous_function] = STATE(1039),
    [sym__anonymous_function_header] = STATE(2318),
    [sym__arrow_function_header] = STATE(2639),
    [sym_arrow_function] = STATE(1039),
    [sym_literal] = STATE(1039),
    [sym_throw_expression] = STATE(1039),
    [sym_match_expression] = STATE(1026),
    [sym_expression] = STATE(1194),
    [sym__unary_expression] = STATE(1010),
    [sym_unary_op_expression] = STATE(1022),
    [sym_error_suppression_expression] = STATE(1026),
    [sym_clone_expression] = STATE(1022),
    [sym_primary_expression] = STATE(1022),
    [sym_parenthesized_expression] = STATE(811),
    [sym_class_constant_access_expression] = STATE(859),
    [sym_print_intrinsic] = STATE(1039),
    [sym_object_creation_expression] = STATE(1039),
    [sym__new_non_dereferencable_expression] = STATE(1009),
    [sym__new_dereferencable_expression] = STATE(842),
    [sym_update_expression] = STATE(1039),
    [sym_cast_expression] = STATE(1022),
    [sym_cast_variable] = STATE(681),
    [sym_assignment_expression] = STATE(1026),
    [sym_reference_assignment_expression] = STATE(1026),
    [sym_conditional_expression] = STATE(1026),
    [sym_augmented_assignment_expression] = STATE(1026),
    [sym__variable_member_access_expression] = STATE(613),
    [sym_member_access_expression] = STATE(681),
    [sym__variable_nullsafe_member_access_expression] = STATE(619),
    [sym_nullsafe_member_access_expression] = STATE(681),
    [sym__variable_scoped_property_access_expression] = STATE(602),
    [sym_scoped_property_access_expression] = STATE(681),
    [sym_list_literal] = STATE(2640),
    [sym__list_destructing] = STATE(2405),
    [sym__array_destructing] = STATE(2405),
    [sym_function_call_expression] = STATE(612),
    [sym__callable_expression] = STATE(2324),
    [sym_scoped_call_expression] = STATE(612),
    [sym__scope_resolution_qualifier] = STATE(2522),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(612),
    [sym_nullsafe_member_call_expression] = STATE(612),
    [sym__variable_subscript_expression] = STATE(610),
    [sym__dereferencable_subscript_expression] = STATE(612),
    [sym__dereferencable_expression] = STATE(1948),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(766),
    [sym_attribute_group] = STATE(1373),
    [sym_attribute_list] = STATE(1879),
    [sym_encapsed_string] = STATE(767),
    [sym_string] = STATE(767),
    [sym_heredoc] = STATE(767),
    [sym_nowdoc] = STATE(767),
    [sym_shell_command_expression] = STATE(1039),
    [sym_boolean] = STATE(1036),
    [sym_null] = STATE(1036),
    [sym__string] = STATE(768),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(595),
    [sym__new_variable] = STATE(683),
    [sym__callable_variable] = STATE(657),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1026),
    [sym_binary_expression] = STATE(1026),
    [sym_include_expression] = STATE(1026),
    [sym_include_once_expression] = STATE(1026),
    [sym_require_expression] = STATE(1026),
    [sym_require_once_expression] = STATE(1026),
    [sym__reserved_identifier] = STATE(717),
    [sym__identifier] = STATE(1496),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(697),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(701),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(703),
    [anon_sym_DASH] = ACTIONS(703),
    [anon_sym_TILDE] = ACTIONS(705),
    [anon_sym_BANG] = ACTIONS(705),
    [anon_sym_AT] = ACTIONS(707),
    [aux_sym_clone_expression_token1] = ACTIONS(709),
    [aux_sym_print_intrinsic_token1] = ACTIONS(711),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(713),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(5),
  },
  [408] = {
    [sym_text_interpolation] = STATE(408),
    [sym_qualified_name] = STATE(810),
    [sym__name] = STATE(1626),
    [sym_namespace_name] = STATE(2507),
    [sym_static_modifier] = STATE(2368),
    [sym_anonymous_function] = STATE(1039),
    [sym__anonymous_function_header] = STATE(2318),
    [sym__arrow_function_header] = STATE(2639),
    [sym_arrow_function] = STATE(1039),
    [sym_literal] = STATE(1039),
    [sym_throw_expression] = STATE(1039),
    [sym_match_expression] = STATE(1026),
    [sym_expression] = STATE(1195),
    [sym__unary_expression] = STATE(1010),
    [sym_unary_op_expression] = STATE(1022),
    [sym_error_suppression_expression] = STATE(1026),
    [sym_clone_expression] = STATE(1022),
    [sym_primary_expression] = STATE(1022),
    [sym_parenthesized_expression] = STATE(811),
    [sym_class_constant_access_expression] = STATE(859),
    [sym_print_intrinsic] = STATE(1039),
    [sym_object_creation_expression] = STATE(1039),
    [sym__new_non_dereferencable_expression] = STATE(1009),
    [sym__new_dereferencable_expression] = STATE(842),
    [sym_update_expression] = STATE(1039),
    [sym_cast_expression] = STATE(1022),
    [sym_cast_variable] = STATE(681),
    [sym_assignment_expression] = STATE(1026),
    [sym_reference_assignment_expression] = STATE(1026),
    [sym_conditional_expression] = STATE(1026),
    [sym_augmented_assignment_expression] = STATE(1026),
    [sym__variable_member_access_expression] = STATE(613),
    [sym_member_access_expression] = STATE(681),
    [sym__variable_nullsafe_member_access_expression] = STATE(619),
    [sym_nullsafe_member_access_expression] = STATE(681),
    [sym__variable_scoped_property_access_expression] = STATE(602),
    [sym_scoped_property_access_expression] = STATE(681),
    [sym_list_literal] = STATE(2640),
    [sym__list_destructing] = STATE(2405),
    [sym__array_destructing] = STATE(2405),
    [sym_function_call_expression] = STATE(612),
    [sym__callable_expression] = STATE(2324),
    [sym_scoped_call_expression] = STATE(612),
    [sym__scope_resolution_qualifier] = STATE(2522),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(612),
    [sym_nullsafe_member_call_expression] = STATE(612),
    [sym__variable_subscript_expression] = STATE(610),
    [sym__dereferencable_subscript_expression] = STATE(612),
    [sym__dereferencable_expression] = STATE(1948),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(766),
    [sym_attribute_group] = STATE(1373),
    [sym_attribute_list] = STATE(1879),
    [sym_encapsed_string] = STATE(767),
    [sym_string] = STATE(767),
    [sym_heredoc] = STATE(767),
    [sym_nowdoc] = STATE(767),
    [sym_shell_command_expression] = STATE(1039),
    [sym_boolean] = STATE(1036),
    [sym_null] = STATE(1036),
    [sym__string] = STATE(768),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(595),
    [sym__new_variable] = STATE(683),
    [sym__callable_variable] = STATE(657),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1026),
    [sym_binary_expression] = STATE(1026),
    [sym_include_expression] = STATE(1026),
    [sym_include_once_expression] = STATE(1026),
    [sym_require_expression] = STATE(1026),
    [sym_require_once_expression] = STATE(1026),
    [sym__reserved_identifier] = STATE(717),
    [sym__identifier] = STATE(1496),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(697),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(701),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(703),
    [anon_sym_DASH] = ACTIONS(703),
    [anon_sym_TILDE] = ACTIONS(705),
    [anon_sym_BANG] = ACTIONS(705),
    [anon_sym_AT] = ACTIONS(707),
    [aux_sym_clone_expression_token1] = ACTIONS(709),
    [aux_sym_print_intrinsic_token1] = ACTIONS(711),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(713),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(5),
  },
  [409] = {
    [sym_text_interpolation] = STATE(409),
    [sym_qualified_name] = STATE(1000),
    [sym__name] = STATE(1631),
    [sym_namespace_name] = STATE(2575),
    [sym_static_modifier] = STATE(2368),
    [sym_anonymous_function] = STATE(1148),
    [sym__anonymous_function_header] = STATE(2489),
    [sym__arrow_function_header] = STATE(2731),
    [sym_arrow_function] = STATE(1148),
    [sym_literal] = STATE(1148),
    [sym_throw_expression] = STATE(1148),
    [sym_match_expression] = STATE(1152),
    [sym_expression] = STATE(1123),
    [sym__unary_expression] = STATE(1159),
    [sym_unary_op_expression] = STATE(1172),
    [sym_error_suppression_expression] = STATE(1152),
    [sym_clone_expression] = STATE(1172),
    [sym_primary_expression] = STATE(1172),
    [sym_parenthesized_expression] = STATE(964),
    [sym_class_constant_access_expression] = STATE(1019),
    [sym_print_intrinsic] = STATE(1148),
    [sym_object_creation_expression] = STATE(1148),
    [sym__new_non_dereferencable_expression] = STATE(1168),
    [sym__new_dereferencable_expression] = STATE(966),
    [sym_update_expression] = STATE(1148),
    [sym_cast_expression] = STATE(1172),
    [sym_cast_variable] = STATE(661),
    [sym_assignment_expression] = STATE(1152),
    [sym_reference_assignment_expression] = STATE(1152),
    [sym_conditional_expression] = STATE(1152),
    [sym_augmented_assignment_expression] = STATE(1152),
    [sym__variable_member_access_expression] = STATE(674),
    [sym_member_access_expression] = STATE(661),
    [sym__variable_nullsafe_member_access_expression] = STATE(663),
    [sym_nullsafe_member_access_expression] = STATE(661),
    [sym__variable_scoped_property_access_expression] = STATE(664),
    [sym_scoped_property_access_expression] = STATE(661),
    [sym_list_literal] = STATE(2530),
    [sym__list_destructing] = STATE(2405),
    [sym__array_destructing] = STATE(2405),
    [sym_function_call_expression] = STATE(634),
    [sym__callable_expression] = STATE(2471),
    [sym_scoped_call_expression] = STATE(634),
    [sym__scope_resolution_qualifier] = STATE(2651),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(634),
    [sym_nullsafe_member_call_expression] = STATE(634),
    [sym__variable_subscript_expression] = STATE(665),
    [sym__dereferencable_subscript_expression] = STATE(634),
    [sym__dereferencable_expression] = STATE(1946),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(1005),
    [sym_attribute_group] = STATE(1373),
    [sym_attribute_list] = STATE(1879),
    [sym_encapsed_string] = STATE(927),
    [sym_string] = STATE(927),
    [sym_heredoc] = STATE(927),
    [sym_nowdoc] = STATE(927),
    [sym_shell_command_expression] = STATE(1148),
    [sym_boolean] = STATE(1162),
    [sym_null] = STATE(1162),
    [sym__string] = STATE(941),
    [sym_dynamic_variable_name] = STATE(650),
    [sym__simple_variable] = STATE(654),
    [sym__new_variable] = STATE(667),
    [sym__callable_variable] = STATE(629),
    [sym_variable_name] = STATE(650),
    [sym_yield_expression] = STATE(1152),
    [sym_binary_expression] = STATE(1152),
    [sym_include_expression] = STATE(1152),
    [sym_include_once_expression] = STATE(1152),
    [sym_require_expression] = STATE(1152),
    [sym_require_once_expression] = STATE(1152),
    [sym__reserved_identifier] = STATE(717),
    [sym__identifier] = STATE(1496),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(689),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LPAREN2] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [sym_float] = ACTIONS(266),
    [sym_integer] = ACTIONS(266),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [410] = {
    [sym_text_interpolation] = STATE(410),
    [sym_qualified_name] = STATE(810),
    [sym__name] = STATE(1626),
    [sym_namespace_name] = STATE(2507),
    [sym_static_modifier] = STATE(2368),
    [sym_anonymous_function] = STATE(1039),
    [sym__anonymous_function_header] = STATE(2318),
    [sym__arrow_function_header] = STATE(2639),
    [sym_arrow_function] = STATE(1039),
    [sym_literal] = STATE(1039),
    [sym_throw_expression] = STATE(1039),
    [sym_match_expression] = STATE(1026),
    [sym_expression] = STATE(1197),
    [sym__unary_expression] = STATE(1010),
    [sym_unary_op_expression] = STATE(1022),
    [sym_error_suppression_expression] = STATE(1026),
    [sym_clone_expression] = STATE(1022),
    [sym_primary_expression] = STATE(1022),
    [sym_parenthesized_expression] = STATE(811),
    [sym_class_constant_access_expression] = STATE(859),
    [sym_print_intrinsic] = STATE(1039),
    [sym_object_creation_expression] = STATE(1039),
    [sym__new_non_dereferencable_expression] = STATE(1009),
    [sym__new_dereferencable_expression] = STATE(842),
    [sym_update_expression] = STATE(1039),
    [sym_cast_expression] = STATE(1022),
    [sym_cast_variable] = STATE(681),
    [sym_assignment_expression] = STATE(1026),
    [sym_reference_assignment_expression] = STATE(1026),
    [sym_conditional_expression] = STATE(1026),
    [sym_augmented_assignment_expression] = STATE(1026),
    [sym__variable_member_access_expression] = STATE(613),
    [sym_member_access_expression] = STATE(681),
    [sym__variable_nullsafe_member_access_expression] = STATE(619),
    [sym_nullsafe_member_access_expression] = STATE(681),
    [sym__variable_scoped_property_access_expression] = STATE(602),
    [sym_scoped_property_access_expression] = STATE(681),
    [sym_list_literal] = STATE(2640),
    [sym__list_destructing] = STATE(2405),
    [sym__array_destructing] = STATE(2405),
    [sym_function_call_expression] = STATE(612),
    [sym__callable_expression] = STATE(2324),
    [sym_scoped_call_expression] = STATE(612),
    [sym__scope_resolution_qualifier] = STATE(2522),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(612),
    [sym_nullsafe_member_call_expression] = STATE(612),
    [sym__variable_subscript_expression] = STATE(610),
    [sym__dereferencable_subscript_expression] = STATE(612),
    [sym__dereferencable_expression] = STATE(1948),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(766),
    [sym_attribute_group] = STATE(1373),
    [sym_attribute_list] = STATE(1879),
    [sym_encapsed_string] = STATE(767),
    [sym_string] = STATE(767),
    [sym_heredoc] = STATE(767),
    [sym_nowdoc] = STATE(767),
    [sym_shell_command_expression] = STATE(1039),
    [sym_boolean] = STATE(1036),
    [sym_null] = STATE(1036),
    [sym__string] = STATE(768),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(595),
    [sym__new_variable] = STATE(683),
    [sym__callable_variable] = STATE(657),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1026),
    [sym_binary_expression] = STATE(1026),
    [sym_include_expression] = STATE(1026),
    [sym_include_once_expression] = STATE(1026),
    [sym_require_expression] = STATE(1026),
    [sym_require_once_expression] = STATE(1026),
    [sym__reserved_identifier] = STATE(717),
    [sym__identifier] = STATE(1496),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(697),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(701),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(703),
    [anon_sym_DASH] = ACTIONS(703),
    [anon_sym_TILDE] = ACTIONS(705),
    [anon_sym_BANG] = ACTIONS(705),
    [anon_sym_AT] = ACTIONS(707),
    [aux_sym_clone_expression_token1] = ACTIONS(709),
    [aux_sym_print_intrinsic_token1] = ACTIONS(711),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(713),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(5),
  },
  [411] = {
    [sym_text_interpolation] = STATE(411),
    [sym_qualified_name] = STATE(810),
    [sym__name] = STATE(1626),
    [sym_namespace_name] = STATE(2507),
    [sym_static_modifier] = STATE(2368),
    [sym_anonymous_function] = STATE(1039),
    [sym__anonymous_function_header] = STATE(2318),
    [sym__arrow_function_header] = STATE(2639),
    [sym_arrow_function] = STATE(1039),
    [sym_literal] = STATE(1039),
    [sym_throw_expression] = STATE(1039),
    [sym_match_expression] = STATE(1026),
    [sym_expression] = STATE(1198),
    [sym__unary_expression] = STATE(1010),
    [sym_unary_op_expression] = STATE(1022),
    [sym_error_suppression_expression] = STATE(1026),
    [sym_clone_expression] = STATE(1022),
    [sym_primary_expression] = STATE(1022),
    [sym_parenthesized_expression] = STATE(811),
    [sym_class_constant_access_expression] = STATE(859),
    [sym_print_intrinsic] = STATE(1039),
    [sym_object_creation_expression] = STATE(1039),
    [sym__new_non_dereferencable_expression] = STATE(1009),
    [sym__new_dereferencable_expression] = STATE(842),
    [sym_update_expression] = STATE(1039),
    [sym_cast_expression] = STATE(1022),
    [sym_cast_variable] = STATE(681),
    [sym_assignment_expression] = STATE(1026),
    [sym_reference_assignment_expression] = STATE(1026),
    [sym_conditional_expression] = STATE(1026),
    [sym_augmented_assignment_expression] = STATE(1026),
    [sym__variable_member_access_expression] = STATE(613),
    [sym_member_access_expression] = STATE(681),
    [sym__variable_nullsafe_member_access_expression] = STATE(619),
    [sym_nullsafe_member_access_expression] = STATE(681),
    [sym__variable_scoped_property_access_expression] = STATE(602),
    [sym_scoped_property_access_expression] = STATE(681),
    [sym_list_literal] = STATE(2640),
    [sym__list_destructing] = STATE(2405),
    [sym__array_destructing] = STATE(2405),
    [sym_function_call_expression] = STATE(612),
    [sym__callable_expression] = STATE(2324),
    [sym_scoped_call_expression] = STATE(612),
    [sym__scope_resolution_qualifier] = STATE(2522),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(612),
    [sym_nullsafe_member_call_expression] = STATE(612),
    [sym__variable_subscript_expression] = STATE(610),
    [sym__dereferencable_subscript_expression] = STATE(612),
    [sym__dereferencable_expression] = STATE(1948),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(766),
    [sym_attribute_group] = STATE(1373),
    [sym_attribute_list] = STATE(1879),
    [sym_encapsed_string] = STATE(767),
    [sym_string] = STATE(767),
    [sym_heredoc] = STATE(767),
    [sym_nowdoc] = STATE(767),
    [sym_shell_command_expression] = STATE(1039),
    [sym_boolean] = STATE(1036),
    [sym_null] = STATE(1036),
    [sym__string] = STATE(768),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(595),
    [sym__new_variable] = STATE(683),
    [sym__callable_variable] = STATE(657),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1026),
    [sym_binary_expression] = STATE(1026),
    [sym_include_expression] = STATE(1026),
    [sym_include_once_expression] = STATE(1026),
    [sym_require_expression] = STATE(1026),
    [sym_require_once_expression] = STATE(1026),
    [sym__reserved_identifier] = STATE(717),
    [sym__identifier] = STATE(1496),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(697),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(701),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(703),
    [anon_sym_DASH] = ACTIONS(703),
    [anon_sym_TILDE] = ACTIONS(705),
    [anon_sym_BANG] = ACTIONS(705),
    [anon_sym_AT] = ACTIONS(707),
    [aux_sym_clone_expression_token1] = ACTIONS(709),
    [aux_sym_print_intrinsic_token1] = ACTIONS(711),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(713),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(5),
  },
  [412] = {
    [sym_text_interpolation] = STATE(412),
    [sym_qualified_name] = STATE(810),
    [sym__name] = STATE(1626),
    [sym_namespace_name] = STATE(2507),
    [sym_static_modifier] = STATE(2368),
    [sym_anonymous_function] = STATE(1039),
    [sym__anonymous_function_header] = STATE(2318),
    [sym__arrow_function_header] = STATE(2639),
    [sym_arrow_function] = STATE(1039),
    [sym_literal] = STATE(1039),
    [sym_throw_expression] = STATE(1039),
    [sym_match_expression] = STATE(1026),
    [sym_expression] = STATE(1199),
    [sym__unary_expression] = STATE(1010),
    [sym_unary_op_expression] = STATE(1022),
    [sym_error_suppression_expression] = STATE(1026),
    [sym_clone_expression] = STATE(1022),
    [sym_primary_expression] = STATE(1022),
    [sym_parenthesized_expression] = STATE(811),
    [sym_class_constant_access_expression] = STATE(859),
    [sym_print_intrinsic] = STATE(1039),
    [sym_object_creation_expression] = STATE(1039),
    [sym__new_non_dereferencable_expression] = STATE(1009),
    [sym__new_dereferencable_expression] = STATE(842),
    [sym_update_expression] = STATE(1039),
    [sym_cast_expression] = STATE(1022),
    [sym_cast_variable] = STATE(681),
    [sym_assignment_expression] = STATE(1026),
    [sym_reference_assignment_expression] = STATE(1026),
    [sym_conditional_expression] = STATE(1026),
    [sym_augmented_assignment_expression] = STATE(1026),
    [sym__variable_member_access_expression] = STATE(613),
    [sym_member_access_expression] = STATE(681),
    [sym__variable_nullsafe_member_access_expression] = STATE(619),
    [sym_nullsafe_member_access_expression] = STATE(681),
    [sym__variable_scoped_property_access_expression] = STATE(602),
    [sym_scoped_property_access_expression] = STATE(681),
    [sym_list_literal] = STATE(2640),
    [sym__list_destructing] = STATE(2405),
    [sym__array_destructing] = STATE(2405),
    [sym_function_call_expression] = STATE(612),
    [sym__callable_expression] = STATE(2324),
    [sym_scoped_call_expression] = STATE(612),
    [sym__scope_resolution_qualifier] = STATE(2522),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(612),
    [sym_nullsafe_member_call_expression] = STATE(612),
    [sym__variable_subscript_expression] = STATE(610),
    [sym__dereferencable_subscript_expression] = STATE(612),
    [sym__dereferencable_expression] = STATE(1948),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(766),
    [sym_attribute_group] = STATE(1373),
    [sym_attribute_list] = STATE(1879),
    [sym_encapsed_string] = STATE(767),
    [sym_string] = STATE(767),
    [sym_heredoc] = STATE(767),
    [sym_nowdoc] = STATE(767),
    [sym_shell_command_expression] = STATE(1039),
    [sym_boolean] = STATE(1036),
    [sym_null] = STATE(1036),
    [sym__string] = STATE(768),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(595),
    [sym__new_variable] = STATE(683),
    [sym__callable_variable] = STATE(657),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1026),
    [sym_binary_expression] = STATE(1026),
    [sym_include_expression] = STATE(1026),
    [sym_include_once_expression] = STATE(1026),
    [sym_require_expression] = STATE(1026),
    [sym_require_once_expression] = STATE(1026),
    [sym__reserved_identifier] = STATE(717),
    [sym__identifier] = STATE(1496),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(697),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(701),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(703),
    [anon_sym_DASH] = ACTIONS(703),
    [anon_sym_TILDE] = ACTIONS(705),
    [anon_sym_BANG] = ACTIONS(705),
    [anon_sym_AT] = ACTIONS(707),
    [aux_sym_clone_expression_token1] = ACTIONS(709),
    [aux_sym_print_intrinsic_token1] = ACTIONS(711),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(713),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(5),
  },
  [413] = {
    [sym_text_interpolation] = STATE(413),
    [sym_qualified_name] = STATE(810),
    [sym__name] = STATE(1626),
    [sym_namespace_name] = STATE(2507),
    [sym_static_modifier] = STATE(2368),
    [sym_anonymous_function] = STATE(1039),
    [sym__anonymous_function_header] = STATE(2318),
    [sym__arrow_function_header] = STATE(2639),
    [sym_arrow_function] = STATE(1039),
    [sym_literal] = STATE(1039),
    [sym_throw_expression] = STATE(1039),
    [sym_match_expression] = STATE(1026),
    [sym_expression] = STATE(1200),
    [sym__unary_expression] = STATE(1010),
    [sym_unary_op_expression] = STATE(1022),
    [sym_error_suppression_expression] = STATE(1026),
    [sym_clone_expression] = STATE(1022),
    [sym_primary_expression] = STATE(1022),
    [sym_parenthesized_expression] = STATE(811),
    [sym_class_constant_access_expression] = STATE(859),
    [sym_print_intrinsic] = STATE(1039),
    [sym_object_creation_expression] = STATE(1039),
    [sym__new_non_dereferencable_expression] = STATE(1009),
    [sym__new_dereferencable_expression] = STATE(842),
    [sym_update_expression] = STATE(1039),
    [sym_cast_expression] = STATE(1022),
    [sym_cast_variable] = STATE(681),
    [sym_assignment_expression] = STATE(1026),
    [sym_reference_assignment_expression] = STATE(1026),
    [sym_conditional_expression] = STATE(1026),
    [sym_augmented_assignment_expression] = STATE(1026),
    [sym__variable_member_access_expression] = STATE(613),
    [sym_member_access_expression] = STATE(681),
    [sym__variable_nullsafe_member_access_expression] = STATE(619),
    [sym_nullsafe_member_access_expression] = STATE(681),
    [sym__variable_scoped_property_access_expression] = STATE(602),
    [sym_scoped_property_access_expression] = STATE(681),
    [sym_list_literal] = STATE(2640),
    [sym__list_destructing] = STATE(2405),
    [sym__array_destructing] = STATE(2405),
    [sym_function_call_expression] = STATE(612),
    [sym__callable_expression] = STATE(2324),
    [sym_scoped_call_expression] = STATE(612),
    [sym__scope_resolution_qualifier] = STATE(2522),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(612),
    [sym_nullsafe_member_call_expression] = STATE(612),
    [sym__variable_subscript_expression] = STATE(610),
    [sym__dereferencable_subscript_expression] = STATE(612),
    [sym__dereferencable_expression] = STATE(1948),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(766),
    [sym_attribute_group] = STATE(1373),
    [sym_attribute_list] = STATE(1879),
    [sym_encapsed_string] = STATE(767),
    [sym_string] = STATE(767),
    [sym_heredoc] = STATE(767),
    [sym_nowdoc] = STATE(767),
    [sym_shell_command_expression] = STATE(1039),
    [sym_boolean] = STATE(1036),
    [sym_null] = STATE(1036),
    [sym__string] = STATE(768),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(595),
    [sym__new_variable] = STATE(683),
    [sym__callable_variable] = STATE(657),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1026),
    [sym_binary_expression] = STATE(1026),
    [sym_include_expression] = STATE(1026),
    [sym_include_once_expression] = STATE(1026),
    [sym_require_expression] = STATE(1026),
    [sym_require_once_expression] = STATE(1026),
    [sym__reserved_identifier] = STATE(717),
    [sym__identifier] = STATE(1496),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(697),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(701),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(703),
    [anon_sym_DASH] = ACTIONS(703),
    [anon_sym_TILDE] = ACTIONS(705),
    [anon_sym_BANG] = ACTIONS(705),
    [anon_sym_AT] = ACTIONS(707),
    [aux_sym_clone_expression_token1] = ACTIONS(709),
    [aux_sym_print_intrinsic_token1] = ACTIONS(711),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(713),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(5),
  },
  [414] = {
    [sym_text_interpolation] = STATE(414),
    [sym_qualified_name] = STATE(1000),
    [sym__name] = STATE(1631),
    [sym_namespace_name] = STATE(2575),
    [sym_static_modifier] = STATE(2368),
    [sym_anonymous_function] = STATE(1148),
    [sym__anonymous_function_header] = STATE(2489),
    [sym__arrow_function_header] = STATE(2731),
    [sym_arrow_function] = STATE(1148),
    [sym_literal] = STATE(1148),
    [sym_throw_expression] = STATE(1148),
    [sym_match_expression] = STATE(1152),
    [sym_expression] = STATE(1110),
    [sym__unary_expression] = STATE(1159),
    [sym_unary_op_expression] = STATE(1172),
    [sym_error_suppression_expression] = STATE(1152),
    [sym_clone_expression] = STATE(1172),
    [sym_primary_expression] = STATE(1172),
    [sym_parenthesized_expression] = STATE(964),
    [sym_class_constant_access_expression] = STATE(1019),
    [sym_print_intrinsic] = STATE(1148),
    [sym_object_creation_expression] = STATE(1148),
    [sym__new_non_dereferencable_expression] = STATE(1168),
    [sym__new_dereferencable_expression] = STATE(966),
    [sym_update_expression] = STATE(1148),
    [sym_cast_expression] = STATE(1172),
    [sym_cast_variable] = STATE(661),
    [sym_assignment_expression] = STATE(1152),
    [sym_reference_assignment_expression] = STATE(1152),
    [sym_conditional_expression] = STATE(1152),
    [sym_augmented_assignment_expression] = STATE(1152),
    [sym__variable_member_access_expression] = STATE(674),
    [sym_member_access_expression] = STATE(661),
    [sym__variable_nullsafe_member_access_expression] = STATE(663),
    [sym_nullsafe_member_access_expression] = STATE(661),
    [sym__variable_scoped_property_access_expression] = STATE(664),
    [sym_scoped_property_access_expression] = STATE(661),
    [sym_list_literal] = STATE(2530),
    [sym__list_destructing] = STATE(2405),
    [sym__array_destructing] = STATE(2405),
    [sym_function_call_expression] = STATE(634),
    [sym__callable_expression] = STATE(2471),
    [sym_scoped_call_expression] = STATE(634),
    [sym__scope_resolution_qualifier] = STATE(2651),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(634),
    [sym_nullsafe_member_call_expression] = STATE(634),
    [sym__variable_subscript_expression] = STATE(665),
    [sym__dereferencable_subscript_expression] = STATE(634),
    [sym__dereferencable_expression] = STATE(1946),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(1005),
    [sym_attribute_group] = STATE(1373),
    [sym_attribute_list] = STATE(1879),
    [sym_encapsed_string] = STATE(927),
    [sym_string] = STATE(927),
    [sym_heredoc] = STATE(927),
    [sym_nowdoc] = STATE(927),
    [sym_shell_command_expression] = STATE(1148),
    [sym_boolean] = STATE(1162),
    [sym_null] = STATE(1162),
    [sym__string] = STATE(941),
    [sym_dynamic_variable_name] = STATE(650),
    [sym__simple_variable] = STATE(654),
    [sym__new_variable] = STATE(667),
    [sym__callable_variable] = STATE(629),
    [sym_variable_name] = STATE(650),
    [sym_yield_expression] = STATE(1152),
    [sym_binary_expression] = STATE(1152),
    [sym_include_expression] = STATE(1152),
    [sym_include_once_expression] = STATE(1152),
    [sym_require_expression] = STATE(1152),
    [sym_require_once_expression] = STATE(1152),
    [sym__reserved_identifier] = STATE(717),
    [sym__identifier] = STATE(1496),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(689),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LPAREN2] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [sym_float] = ACTIONS(266),
    [sym_integer] = ACTIONS(266),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [415] = {
    [sym_text_interpolation] = STATE(415),
    [sym_qualified_name] = STATE(810),
    [sym__name] = STATE(1626),
    [sym_namespace_name] = STATE(2507),
    [sym_static_modifier] = STATE(2368),
    [sym_anonymous_function] = STATE(1039),
    [sym__anonymous_function_header] = STATE(2318),
    [sym__arrow_function_header] = STATE(2639),
    [sym_arrow_function] = STATE(1039),
    [sym_literal] = STATE(1039),
    [sym_throw_expression] = STATE(1039),
    [sym_match_expression] = STATE(1026),
    [sym_expression] = STATE(1218),
    [sym__unary_expression] = STATE(1010),
    [sym_unary_op_expression] = STATE(1022),
    [sym_error_suppression_expression] = STATE(1026),
    [sym_clone_expression] = STATE(1022),
    [sym_primary_expression] = STATE(1022),
    [sym_parenthesized_expression] = STATE(811),
    [sym_class_constant_access_expression] = STATE(859),
    [sym_print_intrinsic] = STATE(1039),
    [sym_object_creation_expression] = STATE(1039),
    [sym__new_non_dereferencable_expression] = STATE(1009),
    [sym__new_dereferencable_expression] = STATE(842),
    [sym_update_expression] = STATE(1039),
    [sym_cast_expression] = STATE(1022),
    [sym_cast_variable] = STATE(681),
    [sym_assignment_expression] = STATE(1026),
    [sym_reference_assignment_expression] = STATE(1026),
    [sym_conditional_expression] = STATE(1026),
    [sym_augmented_assignment_expression] = STATE(1026),
    [sym__variable_member_access_expression] = STATE(613),
    [sym_member_access_expression] = STATE(681),
    [sym__variable_nullsafe_member_access_expression] = STATE(619),
    [sym_nullsafe_member_access_expression] = STATE(681),
    [sym__variable_scoped_property_access_expression] = STATE(602),
    [sym_scoped_property_access_expression] = STATE(681),
    [sym_list_literal] = STATE(2640),
    [sym__list_destructing] = STATE(2405),
    [sym__array_destructing] = STATE(2405),
    [sym_function_call_expression] = STATE(612),
    [sym__callable_expression] = STATE(2324),
    [sym_scoped_call_expression] = STATE(612),
    [sym__scope_resolution_qualifier] = STATE(2522),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(612),
    [sym_nullsafe_member_call_expression] = STATE(612),
    [sym__variable_subscript_expression] = STATE(610),
    [sym__dereferencable_subscript_expression] = STATE(612),
    [sym__dereferencable_expression] = STATE(1948),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(766),
    [sym_attribute_group] = STATE(1373),
    [sym_attribute_list] = STATE(1879),
    [sym_encapsed_string] = STATE(767),
    [sym_string] = STATE(767),
    [sym_heredoc] = STATE(767),
    [sym_nowdoc] = STATE(767),
    [sym_shell_command_expression] = STATE(1039),
    [sym_boolean] = STATE(1036),
    [sym_null] = STATE(1036),
    [sym__string] = STATE(768),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(595),
    [sym__new_variable] = STATE(683),
    [sym__callable_variable] = STATE(657),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1026),
    [sym_binary_expression] = STATE(1026),
    [sym_include_expression] = STATE(1026),
    [sym_include_once_expression] = STATE(1026),
    [sym_require_expression] = STATE(1026),
    [sym_require_once_expression] = STATE(1026),
    [sym__reserved_identifier] = STATE(717),
    [sym__identifier] = STATE(1496),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(697),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(701),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(703),
    [anon_sym_DASH] = ACTIONS(703),
    [anon_sym_TILDE] = ACTIONS(705),
    [anon_sym_BANG] = ACTIONS(705),
    [anon_sym_AT] = ACTIONS(707),
    [aux_sym_clone_expression_token1] = ACTIONS(709),
    [aux_sym_print_intrinsic_token1] = ACTIONS(711),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(713),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(5),
  },
  [416] = {
    [sym_text_interpolation] = STATE(416),
    [sym_qualified_name] = STATE(810),
    [sym__name] = STATE(1626),
    [sym_namespace_name] = STATE(2507),
    [sym_static_modifier] = STATE(2368),
    [sym_anonymous_function] = STATE(1039),
    [sym__anonymous_function_header] = STATE(2318),
    [sym__arrow_function_header] = STATE(2679),
    [sym_arrow_function] = STATE(1039),
    [sym_literal] = STATE(1039),
    [sym_throw_expression] = STATE(1039),
    [sym_match_expression] = STATE(1026),
    [sym_expression] = STATE(1291),
    [sym__unary_expression] = STATE(1010),
    [sym_unary_op_expression] = STATE(1022),
    [sym_error_suppression_expression] = STATE(1026),
    [sym_clone_expression] = STATE(1022),
    [sym_primary_expression] = STATE(1022),
    [sym_parenthesized_expression] = STATE(811),
    [sym_class_constant_access_expression] = STATE(859),
    [sym_print_intrinsic] = STATE(1039),
    [sym_object_creation_expression] = STATE(1039),
    [sym__new_non_dereferencable_expression] = STATE(1009),
    [sym__new_dereferencable_expression] = STATE(842),
    [sym_update_expression] = STATE(1039),
    [sym_cast_expression] = STATE(1022),
    [sym_cast_variable] = STATE(630),
    [sym_assignment_expression] = STATE(1026),
    [sym_reference_assignment_expression] = STATE(1026),
    [sym_conditional_expression] = STATE(1026),
    [sym_augmented_assignment_expression] = STATE(1026),
    [sym__variable_member_access_expression] = STATE(613),
    [sym_member_access_expression] = STATE(630),
    [sym__variable_nullsafe_member_access_expression] = STATE(619),
    [sym_nullsafe_member_access_expression] = STATE(630),
    [sym__variable_scoped_property_access_expression] = STATE(602),
    [sym_scoped_property_access_expression] = STATE(630),
    [sym_list_literal] = STATE(2632),
    [sym__list_destructing] = STATE(2405),
    [sym__array_destructing] = STATE(2405),
    [sym_function_call_expression] = STATE(612),
    [sym__callable_expression] = STATE(2324),
    [sym_scoped_call_expression] = STATE(612),
    [sym__scope_resolution_qualifier] = STATE(2522),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(612),
    [sym_nullsafe_member_call_expression] = STATE(612),
    [sym__variable_subscript_expression] = STATE(610),
    [sym__dereferencable_subscript_expression] = STATE(612),
    [sym__dereferencable_expression] = STATE(1948),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(766),
    [sym_attribute_group] = STATE(1373),
    [sym_attribute_list] = STATE(1879),
    [sym_encapsed_string] = STATE(767),
    [sym_string] = STATE(767),
    [sym_heredoc] = STATE(767),
    [sym_nowdoc] = STATE(767),
    [sym_shell_command_expression] = STATE(1039),
    [sym_boolean] = STATE(1036),
    [sym_null] = STATE(1036),
    [sym__string] = STATE(768),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(595),
    [sym__new_variable] = STATE(653),
    [sym__callable_variable] = STATE(623),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1026),
    [sym_binary_expression] = STATE(1026),
    [sym_include_expression] = STATE(1026),
    [sym_include_once_expression] = STATE(1026),
    [sym_require_expression] = STATE(1026),
    [sym_require_once_expression] = STATE(1026),
    [sym__reserved_identifier] = STATE(717),
    [sym__identifier] = STATE(1496),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(605),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(613),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(617),
    [anon_sym_DASH] = ACTIONS(617),
    [anon_sym_TILDE] = ACTIONS(619),
    [anon_sym_BANG] = ACTIONS(619),
    [anon_sym_AT] = ACTIONS(621),
    [aux_sym_clone_expression_token1] = ACTIONS(623),
    [aux_sym_print_intrinsic_token1] = ACTIONS(625),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(631),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(647),
    [aux_sym_include_expression_token1] = ACTIONS(651),
    [aux_sym_include_once_expression_token1] = ACTIONS(653),
    [aux_sym_require_expression_token1] = ACTIONS(655),
    [aux_sym_require_once_expression_token1] = ACTIONS(657),
    [sym_comment] = ACTIONS(5),
  },
  [417] = {
    [sym_text_interpolation] = STATE(417),
    [sym_qualified_name] = STATE(810),
    [sym__name] = STATE(1626),
    [sym_namespace_name] = STATE(2507),
    [sym_static_modifier] = STATE(2368),
    [sym_anonymous_function] = STATE(1039),
    [sym__anonymous_function_header] = STATE(2318),
    [sym__arrow_function_header] = STATE(2679),
    [sym_arrow_function] = STATE(1039),
    [sym_literal] = STATE(1039),
    [sym_throw_expression] = STATE(1039),
    [sym_match_expression] = STATE(1026),
    [sym_expression] = STATE(1318),
    [sym__unary_expression] = STATE(1010),
    [sym_unary_op_expression] = STATE(1022),
    [sym_error_suppression_expression] = STATE(1026),
    [sym_clone_expression] = STATE(1022),
    [sym_primary_expression] = STATE(1022),
    [sym_parenthesized_expression] = STATE(811),
    [sym_class_constant_access_expression] = STATE(859),
    [sym_print_intrinsic] = STATE(1039),
    [sym_object_creation_expression] = STATE(1039),
    [sym__new_non_dereferencable_expression] = STATE(1009),
    [sym__new_dereferencable_expression] = STATE(842),
    [sym_update_expression] = STATE(1039),
    [sym_cast_expression] = STATE(1022),
    [sym_cast_variable] = STATE(630),
    [sym_assignment_expression] = STATE(1026),
    [sym_reference_assignment_expression] = STATE(1026),
    [sym_conditional_expression] = STATE(1026),
    [sym_augmented_assignment_expression] = STATE(1026),
    [sym__variable_member_access_expression] = STATE(613),
    [sym_member_access_expression] = STATE(630),
    [sym__variable_nullsafe_member_access_expression] = STATE(619),
    [sym_nullsafe_member_access_expression] = STATE(630),
    [sym__variable_scoped_property_access_expression] = STATE(602),
    [sym_scoped_property_access_expression] = STATE(630),
    [sym_list_literal] = STATE(2632),
    [sym__list_destructing] = STATE(2405),
    [sym__array_destructing] = STATE(2405),
    [sym_function_call_expression] = STATE(612),
    [sym__callable_expression] = STATE(2324),
    [sym_scoped_call_expression] = STATE(612),
    [sym__scope_resolution_qualifier] = STATE(2522),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(612),
    [sym_nullsafe_member_call_expression] = STATE(612),
    [sym__variable_subscript_expression] = STATE(610),
    [sym__dereferencable_subscript_expression] = STATE(612),
    [sym__dereferencable_expression] = STATE(1948),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(766),
    [sym_attribute_group] = STATE(1373),
    [sym_attribute_list] = STATE(1879),
    [sym_encapsed_string] = STATE(767),
    [sym_string] = STATE(767),
    [sym_heredoc] = STATE(767),
    [sym_nowdoc] = STATE(767),
    [sym_shell_command_expression] = STATE(1039),
    [sym_boolean] = STATE(1036),
    [sym_null] = STATE(1036),
    [sym__string] = STATE(768),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(595),
    [sym__new_variable] = STATE(653),
    [sym__callable_variable] = STATE(623),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1026),
    [sym_binary_expression] = STATE(1026),
    [sym_include_expression] = STATE(1026),
    [sym_include_once_expression] = STATE(1026),
    [sym_require_expression] = STATE(1026),
    [sym_require_once_expression] = STATE(1026),
    [sym__reserved_identifier] = STATE(717),
    [sym__identifier] = STATE(1496),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(605),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(613),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(617),
    [anon_sym_DASH] = ACTIONS(617),
    [anon_sym_TILDE] = ACTIONS(619),
    [anon_sym_BANG] = ACTIONS(619),
    [anon_sym_AT] = ACTIONS(621),
    [aux_sym_clone_expression_token1] = ACTIONS(623),
    [aux_sym_print_intrinsic_token1] = ACTIONS(625),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(631),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(647),
    [aux_sym_include_expression_token1] = ACTIONS(651),
    [aux_sym_include_once_expression_token1] = ACTIONS(653),
    [aux_sym_require_expression_token1] = ACTIONS(655),
    [aux_sym_require_once_expression_token1] = ACTIONS(657),
    [sym_comment] = ACTIONS(5),
  },
  [418] = {
    [sym_text_interpolation] = STATE(418),
    [sym_qualified_name] = STATE(810),
    [sym__name] = STATE(1626),
    [sym_namespace_name] = STATE(2507),
    [sym_static_modifier] = STATE(2368),
    [sym_anonymous_function] = STATE(1039),
    [sym__anonymous_function_header] = STATE(2318),
    [sym__arrow_function_header] = STATE(2679),
    [sym_arrow_function] = STATE(1039),
    [sym_literal] = STATE(1039),
    [sym_throw_expression] = STATE(1039),
    [sym_match_expression] = STATE(1026),
    [sym_expression] = STATE(1290),
    [sym__unary_expression] = STATE(1010),
    [sym_unary_op_expression] = STATE(1022),
    [sym_error_suppression_expression] = STATE(1026),
    [sym_clone_expression] = STATE(1022),
    [sym_primary_expression] = STATE(1022),
    [sym_parenthesized_expression] = STATE(811),
    [sym_class_constant_access_expression] = STATE(859),
    [sym_print_intrinsic] = STATE(1039),
    [sym_object_creation_expression] = STATE(1039),
    [sym__new_non_dereferencable_expression] = STATE(1009),
    [sym__new_dereferencable_expression] = STATE(842),
    [sym_update_expression] = STATE(1039),
    [sym_cast_expression] = STATE(1022),
    [sym_cast_variable] = STATE(630),
    [sym_assignment_expression] = STATE(1026),
    [sym_reference_assignment_expression] = STATE(1026),
    [sym_conditional_expression] = STATE(1026),
    [sym_augmented_assignment_expression] = STATE(1026),
    [sym__variable_member_access_expression] = STATE(613),
    [sym_member_access_expression] = STATE(630),
    [sym__variable_nullsafe_member_access_expression] = STATE(619),
    [sym_nullsafe_member_access_expression] = STATE(630),
    [sym__variable_scoped_property_access_expression] = STATE(602),
    [sym_scoped_property_access_expression] = STATE(630),
    [sym_list_literal] = STATE(2632),
    [sym__list_destructing] = STATE(2405),
    [sym__array_destructing] = STATE(2405),
    [sym_function_call_expression] = STATE(612),
    [sym__callable_expression] = STATE(2324),
    [sym_scoped_call_expression] = STATE(612),
    [sym__scope_resolution_qualifier] = STATE(2522),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(612),
    [sym_nullsafe_member_call_expression] = STATE(612),
    [sym__variable_subscript_expression] = STATE(610),
    [sym__dereferencable_subscript_expression] = STATE(612),
    [sym__dereferencable_expression] = STATE(1948),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(766),
    [sym_attribute_group] = STATE(1373),
    [sym_attribute_list] = STATE(1879),
    [sym_encapsed_string] = STATE(767),
    [sym_string] = STATE(767),
    [sym_heredoc] = STATE(767),
    [sym_nowdoc] = STATE(767),
    [sym_shell_command_expression] = STATE(1039),
    [sym_boolean] = STATE(1036),
    [sym_null] = STATE(1036),
    [sym__string] = STATE(768),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(595),
    [sym__new_variable] = STATE(653),
    [sym__callable_variable] = STATE(623),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1026),
    [sym_binary_expression] = STATE(1026),
    [sym_include_expression] = STATE(1026),
    [sym_include_once_expression] = STATE(1026),
    [sym_require_expression] = STATE(1026),
    [sym_require_once_expression] = STATE(1026),
    [sym__reserved_identifier] = STATE(717),
    [sym__identifier] = STATE(1496),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(605),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(613),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(617),
    [anon_sym_DASH] = ACTIONS(617),
    [anon_sym_TILDE] = ACTIONS(619),
    [anon_sym_BANG] = ACTIONS(619),
    [anon_sym_AT] = ACTIONS(621),
    [aux_sym_clone_expression_token1] = ACTIONS(623),
    [aux_sym_print_intrinsic_token1] = ACTIONS(625),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(631),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(647),
    [aux_sym_include_expression_token1] = ACTIONS(651),
    [aux_sym_include_once_expression_token1] = ACTIONS(653),
    [aux_sym_require_expression_token1] = ACTIONS(655),
    [aux_sym_require_once_expression_token1] = ACTIONS(657),
    [sym_comment] = ACTIONS(5),
  },
  [419] = {
    [sym_text_interpolation] = STATE(419),
    [sym_qualified_name] = STATE(810),
    [sym__name] = STATE(1626),
    [sym_namespace_name] = STATE(2507),
    [sym_static_modifier] = STATE(2368),
    [sym_anonymous_function] = STATE(1039),
    [sym__anonymous_function_header] = STATE(2318),
    [sym__arrow_function_header] = STATE(2639),
    [sym_arrow_function] = STATE(1039),
    [sym_literal] = STATE(1039),
    [sym_throw_expression] = STATE(1039),
    [sym_match_expression] = STATE(1026),
    [sym_expression] = STATE(1209),
    [sym__unary_expression] = STATE(1010),
    [sym_unary_op_expression] = STATE(1022),
    [sym_error_suppression_expression] = STATE(1026),
    [sym_clone_expression] = STATE(1022),
    [sym_primary_expression] = STATE(1022),
    [sym_parenthesized_expression] = STATE(811),
    [sym_class_constant_access_expression] = STATE(859),
    [sym_print_intrinsic] = STATE(1039),
    [sym_object_creation_expression] = STATE(1039),
    [sym__new_non_dereferencable_expression] = STATE(1009),
    [sym__new_dereferencable_expression] = STATE(842),
    [sym_update_expression] = STATE(1039),
    [sym_cast_expression] = STATE(1022),
    [sym_cast_variable] = STATE(681),
    [sym_assignment_expression] = STATE(1026),
    [sym_reference_assignment_expression] = STATE(1026),
    [sym_conditional_expression] = STATE(1026),
    [sym_augmented_assignment_expression] = STATE(1026),
    [sym__variable_member_access_expression] = STATE(613),
    [sym_member_access_expression] = STATE(681),
    [sym__variable_nullsafe_member_access_expression] = STATE(619),
    [sym_nullsafe_member_access_expression] = STATE(681),
    [sym__variable_scoped_property_access_expression] = STATE(602),
    [sym_scoped_property_access_expression] = STATE(681),
    [sym_list_literal] = STATE(2640),
    [sym__list_destructing] = STATE(2405),
    [sym__array_destructing] = STATE(2405),
    [sym_function_call_expression] = STATE(612),
    [sym__callable_expression] = STATE(2324),
    [sym_scoped_call_expression] = STATE(612),
    [sym__scope_resolution_qualifier] = STATE(2522),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(612),
    [sym_nullsafe_member_call_expression] = STATE(612),
    [sym__variable_subscript_expression] = STATE(610),
    [sym__dereferencable_subscript_expression] = STATE(612),
    [sym__dereferencable_expression] = STATE(1948),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(766),
    [sym_attribute_group] = STATE(1373),
    [sym_attribute_list] = STATE(1879),
    [sym_encapsed_string] = STATE(767),
    [sym_string] = STATE(767),
    [sym_heredoc] = STATE(767),
    [sym_nowdoc] = STATE(767),
    [sym_shell_command_expression] = STATE(1039),
    [sym_boolean] = STATE(1036),
    [sym_null] = STATE(1036),
    [sym__string] = STATE(768),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(595),
    [sym__new_variable] = STATE(683),
    [sym__callable_variable] = STATE(657),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1026),
    [sym_binary_expression] = STATE(1026),
    [sym_include_expression] = STATE(1026),
    [sym_include_once_expression] = STATE(1026),
    [sym_require_expression] = STATE(1026),
    [sym_require_once_expression] = STATE(1026),
    [sym__reserved_identifier] = STATE(717),
    [sym__identifier] = STATE(1496),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(697),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(701),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(703),
    [anon_sym_DASH] = ACTIONS(703),
    [anon_sym_TILDE] = ACTIONS(705),
    [anon_sym_BANG] = ACTIONS(705),
    [anon_sym_AT] = ACTIONS(707),
    [aux_sym_clone_expression_token1] = ACTIONS(709),
    [aux_sym_print_intrinsic_token1] = ACTIONS(711),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(713),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(5),
  },
  [420] = {
    [sym_text_interpolation] = STATE(420),
    [sym_qualified_name] = STATE(810),
    [sym__name] = STATE(1626),
    [sym_namespace_name] = STATE(2507),
    [sym_static_modifier] = STATE(2368),
    [sym_anonymous_function] = STATE(1039),
    [sym__anonymous_function_header] = STATE(2318),
    [sym__arrow_function_header] = STATE(2679),
    [sym_arrow_function] = STATE(1039),
    [sym_literal] = STATE(1039),
    [sym_throw_expression] = STATE(1039),
    [sym_match_expression] = STATE(1026),
    [sym_expression] = STATE(1298),
    [sym__unary_expression] = STATE(1010),
    [sym_unary_op_expression] = STATE(1022),
    [sym_error_suppression_expression] = STATE(1026),
    [sym_clone_expression] = STATE(1022),
    [sym_primary_expression] = STATE(1022),
    [sym_parenthesized_expression] = STATE(811),
    [sym_class_constant_access_expression] = STATE(859),
    [sym_print_intrinsic] = STATE(1039),
    [sym_object_creation_expression] = STATE(1039),
    [sym__new_non_dereferencable_expression] = STATE(1009),
    [sym__new_dereferencable_expression] = STATE(842),
    [sym_update_expression] = STATE(1039),
    [sym_cast_expression] = STATE(1022),
    [sym_cast_variable] = STATE(630),
    [sym_assignment_expression] = STATE(1026),
    [sym_reference_assignment_expression] = STATE(1026),
    [sym_conditional_expression] = STATE(1026),
    [sym_augmented_assignment_expression] = STATE(1026),
    [sym__variable_member_access_expression] = STATE(613),
    [sym_member_access_expression] = STATE(630),
    [sym__variable_nullsafe_member_access_expression] = STATE(619),
    [sym_nullsafe_member_access_expression] = STATE(630),
    [sym__variable_scoped_property_access_expression] = STATE(602),
    [sym_scoped_property_access_expression] = STATE(630),
    [sym_list_literal] = STATE(2632),
    [sym__list_destructing] = STATE(2405),
    [sym__array_destructing] = STATE(2405),
    [sym_function_call_expression] = STATE(612),
    [sym__callable_expression] = STATE(2324),
    [sym_scoped_call_expression] = STATE(612),
    [sym__scope_resolution_qualifier] = STATE(2522),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(612),
    [sym_nullsafe_member_call_expression] = STATE(612),
    [sym__variable_subscript_expression] = STATE(610),
    [sym__dereferencable_subscript_expression] = STATE(612),
    [sym__dereferencable_expression] = STATE(1948),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(766),
    [sym_attribute_group] = STATE(1373),
    [sym_attribute_list] = STATE(1879),
    [sym_encapsed_string] = STATE(767),
    [sym_string] = STATE(767),
    [sym_heredoc] = STATE(767),
    [sym_nowdoc] = STATE(767),
    [sym_shell_command_expression] = STATE(1039),
    [sym_boolean] = STATE(1036),
    [sym_null] = STATE(1036),
    [sym__string] = STATE(768),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(595),
    [sym__new_variable] = STATE(653),
    [sym__callable_variable] = STATE(623),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1026),
    [sym_binary_expression] = STATE(1026),
    [sym_include_expression] = STATE(1026),
    [sym_include_once_expression] = STATE(1026),
    [sym_require_expression] = STATE(1026),
    [sym_require_once_expression] = STATE(1026),
    [sym__reserved_identifier] = STATE(717),
    [sym__identifier] = STATE(1496),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(605),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(613),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(617),
    [anon_sym_DASH] = ACTIONS(617),
    [anon_sym_TILDE] = ACTIONS(619),
    [anon_sym_BANG] = ACTIONS(619),
    [anon_sym_AT] = ACTIONS(621),
    [aux_sym_clone_expression_token1] = ACTIONS(623),
    [aux_sym_print_intrinsic_token1] = ACTIONS(625),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(631),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(647),
    [aux_sym_include_expression_token1] = ACTIONS(651),
    [aux_sym_include_once_expression_token1] = ACTIONS(653),
    [aux_sym_require_expression_token1] = ACTIONS(655),
    [aux_sym_require_once_expression_token1] = ACTIONS(657),
    [sym_comment] = ACTIONS(5),
  },
  [421] = {
    [sym_text_interpolation] = STATE(421),
    [sym_qualified_name] = STATE(810),
    [sym__name] = STATE(1626),
    [sym_namespace_name] = STATE(2507),
    [sym_static_modifier] = STATE(2368),
    [sym_anonymous_function] = STATE(1039),
    [sym__anonymous_function_header] = STATE(2318),
    [sym__arrow_function_header] = STATE(2679),
    [sym_arrow_function] = STATE(1039),
    [sym_literal] = STATE(1039),
    [sym_throw_expression] = STATE(1039),
    [sym_match_expression] = STATE(1026),
    [sym_expression] = STATE(1275),
    [sym__unary_expression] = STATE(1010),
    [sym_unary_op_expression] = STATE(1022),
    [sym_error_suppression_expression] = STATE(1026),
    [sym_clone_expression] = STATE(1022),
    [sym_primary_expression] = STATE(1022),
    [sym_parenthesized_expression] = STATE(811),
    [sym_class_constant_access_expression] = STATE(859),
    [sym_print_intrinsic] = STATE(1039),
    [sym_object_creation_expression] = STATE(1039),
    [sym__new_non_dereferencable_expression] = STATE(1009),
    [sym__new_dereferencable_expression] = STATE(842),
    [sym_update_expression] = STATE(1039),
    [sym_cast_expression] = STATE(1022),
    [sym_cast_variable] = STATE(630),
    [sym_assignment_expression] = STATE(1026),
    [sym_reference_assignment_expression] = STATE(1026),
    [sym_conditional_expression] = STATE(1026),
    [sym_augmented_assignment_expression] = STATE(1026),
    [sym__variable_member_access_expression] = STATE(613),
    [sym_member_access_expression] = STATE(630),
    [sym__variable_nullsafe_member_access_expression] = STATE(619),
    [sym_nullsafe_member_access_expression] = STATE(630),
    [sym__variable_scoped_property_access_expression] = STATE(602),
    [sym_scoped_property_access_expression] = STATE(630),
    [sym_list_literal] = STATE(2632),
    [sym__list_destructing] = STATE(2405),
    [sym__array_destructing] = STATE(2405),
    [sym_function_call_expression] = STATE(612),
    [sym__callable_expression] = STATE(2324),
    [sym_scoped_call_expression] = STATE(612),
    [sym__scope_resolution_qualifier] = STATE(2522),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(612),
    [sym_nullsafe_member_call_expression] = STATE(612),
    [sym__variable_subscript_expression] = STATE(610),
    [sym__dereferencable_subscript_expression] = STATE(612),
    [sym__dereferencable_expression] = STATE(1948),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(766),
    [sym_attribute_group] = STATE(1373),
    [sym_attribute_list] = STATE(1879),
    [sym_encapsed_string] = STATE(767),
    [sym_string] = STATE(767),
    [sym_heredoc] = STATE(767),
    [sym_nowdoc] = STATE(767),
    [sym_shell_command_expression] = STATE(1039),
    [sym_boolean] = STATE(1036),
    [sym_null] = STATE(1036),
    [sym__string] = STATE(768),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(595),
    [sym__new_variable] = STATE(653),
    [sym__callable_variable] = STATE(623),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1026),
    [sym_binary_expression] = STATE(1026),
    [sym_include_expression] = STATE(1026),
    [sym_include_once_expression] = STATE(1026),
    [sym_require_expression] = STATE(1026),
    [sym_require_once_expression] = STATE(1026),
    [sym__reserved_identifier] = STATE(717),
    [sym__identifier] = STATE(1496),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(605),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(613),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(617),
    [anon_sym_DASH] = ACTIONS(617),
    [anon_sym_TILDE] = ACTIONS(619),
    [anon_sym_BANG] = ACTIONS(619),
    [anon_sym_AT] = ACTIONS(621),
    [aux_sym_clone_expression_token1] = ACTIONS(623),
    [aux_sym_print_intrinsic_token1] = ACTIONS(625),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(631),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(647),
    [aux_sym_include_expression_token1] = ACTIONS(651),
    [aux_sym_include_once_expression_token1] = ACTIONS(653),
    [aux_sym_require_expression_token1] = ACTIONS(655),
    [aux_sym_require_once_expression_token1] = ACTIONS(657),
    [sym_comment] = ACTIONS(5),
  },
  [422] = {
    [sym_text_interpolation] = STATE(422),
    [sym_qualified_name] = STATE(810),
    [sym__name] = STATE(1626),
    [sym_namespace_name] = STATE(2507),
    [sym_static_modifier] = STATE(2368),
    [sym_anonymous_function] = STATE(1039),
    [sym__anonymous_function_header] = STATE(2318),
    [sym__arrow_function_header] = STATE(2679),
    [sym_arrow_function] = STATE(1039),
    [sym_literal] = STATE(1039),
    [sym_throw_expression] = STATE(1039),
    [sym_match_expression] = STATE(1026),
    [sym_expression] = STATE(1276),
    [sym__unary_expression] = STATE(1010),
    [sym_unary_op_expression] = STATE(1022),
    [sym_error_suppression_expression] = STATE(1026),
    [sym_clone_expression] = STATE(1022),
    [sym_primary_expression] = STATE(1022),
    [sym_parenthesized_expression] = STATE(811),
    [sym_class_constant_access_expression] = STATE(859),
    [sym_print_intrinsic] = STATE(1039),
    [sym_object_creation_expression] = STATE(1039),
    [sym__new_non_dereferencable_expression] = STATE(1009),
    [sym__new_dereferencable_expression] = STATE(842),
    [sym_update_expression] = STATE(1039),
    [sym_cast_expression] = STATE(1022),
    [sym_cast_variable] = STATE(630),
    [sym_assignment_expression] = STATE(1026),
    [sym_reference_assignment_expression] = STATE(1026),
    [sym_conditional_expression] = STATE(1026),
    [sym_augmented_assignment_expression] = STATE(1026),
    [sym__variable_member_access_expression] = STATE(613),
    [sym_member_access_expression] = STATE(630),
    [sym__variable_nullsafe_member_access_expression] = STATE(619),
    [sym_nullsafe_member_access_expression] = STATE(630),
    [sym__variable_scoped_property_access_expression] = STATE(602),
    [sym_scoped_property_access_expression] = STATE(630),
    [sym_list_literal] = STATE(2632),
    [sym__list_destructing] = STATE(2405),
    [sym__array_destructing] = STATE(2405),
    [sym_function_call_expression] = STATE(612),
    [sym__callable_expression] = STATE(2324),
    [sym_scoped_call_expression] = STATE(612),
    [sym__scope_resolution_qualifier] = STATE(2522),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(612),
    [sym_nullsafe_member_call_expression] = STATE(612),
    [sym__variable_subscript_expression] = STATE(610),
    [sym__dereferencable_subscript_expression] = STATE(612),
    [sym__dereferencable_expression] = STATE(1948),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(766),
    [sym_attribute_group] = STATE(1373),
    [sym_attribute_list] = STATE(1879),
    [sym_encapsed_string] = STATE(767),
    [sym_string] = STATE(767),
    [sym_heredoc] = STATE(767),
    [sym_nowdoc] = STATE(767),
    [sym_shell_command_expression] = STATE(1039),
    [sym_boolean] = STATE(1036),
    [sym_null] = STATE(1036),
    [sym__string] = STATE(768),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(595),
    [sym__new_variable] = STATE(653),
    [sym__callable_variable] = STATE(623),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1026),
    [sym_binary_expression] = STATE(1026),
    [sym_include_expression] = STATE(1026),
    [sym_include_once_expression] = STATE(1026),
    [sym_require_expression] = STATE(1026),
    [sym_require_once_expression] = STATE(1026),
    [sym__reserved_identifier] = STATE(717),
    [sym__identifier] = STATE(1496),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(605),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(613),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(617),
    [anon_sym_DASH] = ACTIONS(617),
    [anon_sym_TILDE] = ACTIONS(619),
    [anon_sym_BANG] = ACTIONS(619),
    [anon_sym_AT] = ACTIONS(621),
    [aux_sym_clone_expression_token1] = ACTIONS(623),
    [aux_sym_print_intrinsic_token1] = ACTIONS(625),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(631),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(647),
    [aux_sym_include_expression_token1] = ACTIONS(651),
    [aux_sym_include_once_expression_token1] = ACTIONS(653),
    [aux_sym_require_expression_token1] = ACTIONS(655),
    [aux_sym_require_once_expression_token1] = ACTIONS(657),
    [sym_comment] = ACTIONS(5),
  },
  [423] = {
    [sym_text_interpolation] = STATE(423),
    [sym_qualified_name] = STATE(810),
    [sym__name] = STATE(1626),
    [sym_namespace_name] = STATE(2507),
    [sym_static_modifier] = STATE(2368),
    [sym_anonymous_function] = STATE(1039),
    [sym__anonymous_function_header] = STATE(2318),
    [sym__arrow_function_header] = STATE(2679),
    [sym_arrow_function] = STATE(1039),
    [sym_literal] = STATE(1039),
    [sym_throw_expression] = STATE(1039),
    [sym_match_expression] = STATE(1026),
    [sym_expression] = STATE(1279),
    [sym__unary_expression] = STATE(1010),
    [sym_unary_op_expression] = STATE(1022),
    [sym_error_suppression_expression] = STATE(1026),
    [sym_clone_expression] = STATE(1022),
    [sym_primary_expression] = STATE(1022),
    [sym_parenthesized_expression] = STATE(811),
    [sym_class_constant_access_expression] = STATE(859),
    [sym_print_intrinsic] = STATE(1039),
    [sym_object_creation_expression] = STATE(1039),
    [sym__new_non_dereferencable_expression] = STATE(1009),
    [sym__new_dereferencable_expression] = STATE(842),
    [sym_update_expression] = STATE(1039),
    [sym_cast_expression] = STATE(1022),
    [sym_cast_variable] = STATE(630),
    [sym_assignment_expression] = STATE(1026),
    [sym_reference_assignment_expression] = STATE(1026),
    [sym_conditional_expression] = STATE(1026),
    [sym_augmented_assignment_expression] = STATE(1026),
    [sym__variable_member_access_expression] = STATE(613),
    [sym_member_access_expression] = STATE(630),
    [sym__variable_nullsafe_member_access_expression] = STATE(619),
    [sym_nullsafe_member_access_expression] = STATE(630),
    [sym__variable_scoped_property_access_expression] = STATE(602),
    [sym_scoped_property_access_expression] = STATE(630),
    [sym_list_literal] = STATE(2632),
    [sym__list_destructing] = STATE(2405),
    [sym__array_destructing] = STATE(2405),
    [sym_function_call_expression] = STATE(612),
    [sym__callable_expression] = STATE(2324),
    [sym_scoped_call_expression] = STATE(612),
    [sym__scope_resolution_qualifier] = STATE(2522),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(612),
    [sym_nullsafe_member_call_expression] = STATE(612),
    [sym__variable_subscript_expression] = STATE(610),
    [sym__dereferencable_subscript_expression] = STATE(612),
    [sym__dereferencable_expression] = STATE(1948),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(766),
    [sym_attribute_group] = STATE(1373),
    [sym_attribute_list] = STATE(1879),
    [sym_encapsed_string] = STATE(767),
    [sym_string] = STATE(767),
    [sym_heredoc] = STATE(767),
    [sym_nowdoc] = STATE(767),
    [sym_shell_command_expression] = STATE(1039),
    [sym_boolean] = STATE(1036),
    [sym_null] = STATE(1036),
    [sym__string] = STATE(768),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(595),
    [sym__new_variable] = STATE(653),
    [sym__callable_variable] = STATE(623),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1026),
    [sym_binary_expression] = STATE(1026),
    [sym_include_expression] = STATE(1026),
    [sym_include_once_expression] = STATE(1026),
    [sym_require_expression] = STATE(1026),
    [sym_require_once_expression] = STATE(1026),
    [sym__reserved_identifier] = STATE(717),
    [sym__identifier] = STATE(1496),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(605),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(613),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(617),
    [anon_sym_DASH] = ACTIONS(617),
    [anon_sym_TILDE] = ACTIONS(619),
    [anon_sym_BANG] = ACTIONS(619),
    [anon_sym_AT] = ACTIONS(621),
    [aux_sym_clone_expression_token1] = ACTIONS(623),
    [aux_sym_print_intrinsic_token1] = ACTIONS(625),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(631),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(647),
    [aux_sym_include_expression_token1] = ACTIONS(651),
    [aux_sym_include_once_expression_token1] = ACTIONS(653),
    [aux_sym_require_expression_token1] = ACTIONS(655),
    [aux_sym_require_once_expression_token1] = ACTIONS(657),
    [sym_comment] = ACTIONS(5),
  },
  [424] = {
    [sym_text_interpolation] = STATE(424),
    [sym_qualified_name] = STATE(810),
    [sym__name] = STATE(1626),
    [sym_namespace_name] = STATE(2507),
    [sym_static_modifier] = STATE(2368),
    [sym_anonymous_function] = STATE(1039),
    [sym__anonymous_function_header] = STATE(2318),
    [sym__arrow_function_header] = STATE(2679),
    [sym_arrow_function] = STATE(1039),
    [sym_literal] = STATE(1039),
    [sym_throw_expression] = STATE(1039),
    [sym_match_expression] = STATE(1026),
    [sym_expression] = STATE(1280),
    [sym__unary_expression] = STATE(1010),
    [sym_unary_op_expression] = STATE(1022),
    [sym_error_suppression_expression] = STATE(1026),
    [sym_clone_expression] = STATE(1022),
    [sym_primary_expression] = STATE(1022),
    [sym_parenthesized_expression] = STATE(811),
    [sym_class_constant_access_expression] = STATE(859),
    [sym_print_intrinsic] = STATE(1039),
    [sym_object_creation_expression] = STATE(1039),
    [sym__new_non_dereferencable_expression] = STATE(1009),
    [sym__new_dereferencable_expression] = STATE(842),
    [sym_update_expression] = STATE(1039),
    [sym_cast_expression] = STATE(1022),
    [sym_cast_variable] = STATE(630),
    [sym_assignment_expression] = STATE(1026),
    [sym_reference_assignment_expression] = STATE(1026),
    [sym_conditional_expression] = STATE(1026),
    [sym_augmented_assignment_expression] = STATE(1026),
    [sym__variable_member_access_expression] = STATE(613),
    [sym_member_access_expression] = STATE(630),
    [sym__variable_nullsafe_member_access_expression] = STATE(619),
    [sym_nullsafe_member_access_expression] = STATE(630),
    [sym__variable_scoped_property_access_expression] = STATE(602),
    [sym_scoped_property_access_expression] = STATE(630),
    [sym_list_literal] = STATE(2632),
    [sym__list_destructing] = STATE(2405),
    [sym__array_destructing] = STATE(2405),
    [sym_function_call_expression] = STATE(612),
    [sym__callable_expression] = STATE(2324),
    [sym_scoped_call_expression] = STATE(612),
    [sym__scope_resolution_qualifier] = STATE(2522),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(612),
    [sym_nullsafe_member_call_expression] = STATE(612),
    [sym__variable_subscript_expression] = STATE(610),
    [sym__dereferencable_subscript_expression] = STATE(612),
    [sym__dereferencable_expression] = STATE(1948),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(766),
    [sym_attribute_group] = STATE(1373),
    [sym_attribute_list] = STATE(1879),
    [sym_encapsed_string] = STATE(767),
    [sym_string] = STATE(767),
    [sym_heredoc] = STATE(767),
    [sym_nowdoc] = STATE(767),
    [sym_shell_command_expression] = STATE(1039),
    [sym_boolean] = STATE(1036),
    [sym_null] = STATE(1036),
    [sym__string] = STATE(768),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(595),
    [sym__new_variable] = STATE(653),
    [sym__callable_variable] = STATE(623),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1026),
    [sym_binary_expression] = STATE(1026),
    [sym_include_expression] = STATE(1026),
    [sym_include_once_expression] = STATE(1026),
    [sym_require_expression] = STATE(1026),
    [sym_require_once_expression] = STATE(1026),
    [sym__reserved_identifier] = STATE(717),
    [sym__identifier] = STATE(1496),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(605),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(613),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(617),
    [anon_sym_DASH] = ACTIONS(617),
    [anon_sym_TILDE] = ACTIONS(619),
    [anon_sym_BANG] = ACTIONS(619),
    [anon_sym_AT] = ACTIONS(621),
    [aux_sym_clone_expression_token1] = ACTIONS(623),
    [aux_sym_print_intrinsic_token1] = ACTIONS(625),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(631),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(647),
    [aux_sym_include_expression_token1] = ACTIONS(651),
    [aux_sym_include_once_expression_token1] = ACTIONS(653),
    [aux_sym_require_expression_token1] = ACTIONS(655),
    [aux_sym_require_once_expression_token1] = ACTIONS(657),
    [sym_comment] = ACTIONS(5),
  },
  [425] = {
    [sym_text_interpolation] = STATE(425),
    [sym_qualified_name] = STATE(810),
    [sym__name] = STATE(1626),
    [sym_namespace_name] = STATE(2507),
    [sym_static_modifier] = STATE(2368),
    [sym_anonymous_function] = STATE(1039),
    [sym__anonymous_function_header] = STATE(2318),
    [sym__arrow_function_header] = STATE(2679),
    [sym_arrow_function] = STATE(1039),
    [sym_literal] = STATE(1039),
    [sym_throw_expression] = STATE(1039),
    [sym_match_expression] = STATE(1026),
    [sym_expression] = STATE(1282),
    [sym__unary_expression] = STATE(1010),
    [sym_unary_op_expression] = STATE(1022),
    [sym_error_suppression_expression] = STATE(1026),
    [sym_clone_expression] = STATE(1022),
    [sym_primary_expression] = STATE(1022),
    [sym_parenthesized_expression] = STATE(811),
    [sym_class_constant_access_expression] = STATE(859),
    [sym_print_intrinsic] = STATE(1039),
    [sym_object_creation_expression] = STATE(1039),
    [sym__new_non_dereferencable_expression] = STATE(1009),
    [sym__new_dereferencable_expression] = STATE(842),
    [sym_update_expression] = STATE(1039),
    [sym_cast_expression] = STATE(1022),
    [sym_cast_variable] = STATE(630),
    [sym_assignment_expression] = STATE(1026),
    [sym_reference_assignment_expression] = STATE(1026),
    [sym_conditional_expression] = STATE(1026),
    [sym_augmented_assignment_expression] = STATE(1026),
    [sym__variable_member_access_expression] = STATE(613),
    [sym_member_access_expression] = STATE(630),
    [sym__variable_nullsafe_member_access_expression] = STATE(619),
    [sym_nullsafe_member_access_expression] = STATE(630),
    [sym__variable_scoped_property_access_expression] = STATE(602),
    [sym_scoped_property_access_expression] = STATE(630),
    [sym_list_literal] = STATE(2632),
    [sym__list_destructing] = STATE(2405),
    [sym__array_destructing] = STATE(2405),
    [sym_function_call_expression] = STATE(612),
    [sym__callable_expression] = STATE(2324),
    [sym_scoped_call_expression] = STATE(612),
    [sym__scope_resolution_qualifier] = STATE(2522),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(612),
    [sym_nullsafe_member_call_expression] = STATE(612),
    [sym__variable_subscript_expression] = STATE(610),
    [sym__dereferencable_subscript_expression] = STATE(612),
    [sym__dereferencable_expression] = STATE(1948),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(766),
    [sym_attribute_group] = STATE(1373),
    [sym_attribute_list] = STATE(1879),
    [sym_encapsed_string] = STATE(767),
    [sym_string] = STATE(767),
    [sym_heredoc] = STATE(767),
    [sym_nowdoc] = STATE(767),
    [sym_shell_command_expression] = STATE(1039),
    [sym_boolean] = STATE(1036),
    [sym_null] = STATE(1036),
    [sym__string] = STATE(768),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(595),
    [sym__new_variable] = STATE(653),
    [sym__callable_variable] = STATE(623),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1026),
    [sym_binary_expression] = STATE(1026),
    [sym_include_expression] = STATE(1026),
    [sym_include_once_expression] = STATE(1026),
    [sym_require_expression] = STATE(1026),
    [sym_require_once_expression] = STATE(1026),
    [sym__reserved_identifier] = STATE(717),
    [sym__identifier] = STATE(1496),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(605),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(613),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(617),
    [anon_sym_DASH] = ACTIONS(617),
    [anon_sym_TILDE] = ACTIONS(619),
    [anon_sym_BANG] = ACTIONS(619),
    [anon_sym_AT] = ACTIONS(621),
    [aux_sym_clone_expression_token1] = ACTIONS(623),
    [aux_sym_print_intrinsic_token1] = ACTIONS(625),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(631),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(647),
    [aux_sym_include_expression_token1] = ACTIONS(651),
    [aux_sym_include_once_expression_token1] = ACTIONS(653),
    [aux_sym_require_expression_token1] = ACTIONS(655),
    [aux_sym_require_once_expression_token1] = ACTIONS(657),
    [sym_comment] = ACTIONS(5),
  },
  [426] = {
    [sym_text_interpolation] = STATE(426),
    [sym_qualified_name] = STATE(810),
    [sym__name] = STATE(1626),
    [sym_namespace_name] = STATE(2507),
    [sym_static_modifier] = STATE(2368),
    [sym_anonymous_function] = STATE(1039),
    [sym__anonymous_function_header] = STATE(2318),
    [sym__arrow_function_header] = STATE(2679),
    [sym_arrow_function] = STATE(1039),
    [sym_literal] = STATE(1039),
    [sym_throw_expression] = STATE(1039),
    [sym_match_expression] = STATE(1026),
    [sym_expression] = STATE(1287),
    [sym__unary_expression] = STATE(1010),
    [sym_unary_op_expression] = STATE(1022),
    [sym_error_suppression_expression] = STATE(1026),
    [sym_clone_expression] = STATE(1022),
    [sym_primary_expression] = STATE(1022),
    [sym_parenthesized_expression] = STATE(811),
    [sym_class_constant_access_expression] = STATE(859),
    [sym_print_intrinsic] = STATE(1039),
    [sym_object_creation_expression] = STATE(1039),
    [sym__new_non_dereferencable_expression] = STATE(1009),
    [sym__new_dereferencable_expression] = STATE(842),
    [sym_update_expression] = STATE(1039),
    [sym_cast_expression] = STATE(1022),
    [sym_cast_variable] = STATE(630),
    [sym_assignment_expression] = STATE(1026),
    [sym_reference_assignment_expression] = STATE(1026),
    [sym_conditional_expression] = STATE(1026),
    [sym_augmented_assignment_expression] = STATE(1026),
    [sym__variable_member_access_expression] = STATE(613),
    [sym_member_access_expression] = STATE(630),
    [sym__variable_nullsafe_member_access_expression] = STATE(619),
    [sym_nullsafe_member_access_expression] = STATE(630),
    [sym__variable_scoped_property_access_expression] = STATE(602),
    [sym_scoped_property_access_expression] = STATE(630),
    [sym_list_literal] = STATE(2632),
    [sym__list_destructing] = STATE(2405),
    [sym__array_destructing] = STATE(2405),
    [sym_function_call_expression] = STATE(612),
    [sym__callable_expression] = STATE(2324),
    [sym_scoped_call_expression] = STATE(612),
    [sym__scope_resolution_qualifier] = STATE(2522),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(612),
    [sym_nullsafe_member_call_expression] = STATE(612),
    [sym__variable_subscript_expression] = STATE(610),
    [sym__dereferencable_subscript_expression] = STATE(612),
    [sym__dereferencable_expression] = STATE(1948),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(766),
    [sym_attribute_group] = STATE(1373),
    [sym_attribute_list] = STATE(1879),
    [sym_encapsed_string] = STATE(767),
    [sym_string] = STATE(767),
    [sym_heredoc] = STATE(767),
    [sym_nowdoc] = STATE(767),
    [sym_shell_command_expression] = STATE(1039),
    [sym_boolean] = STATE(1036),
    [sym_null] = STATE(1036),
    [sym__string] = STATE(768),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(595),
    [sym__new_variable] = STATE(653),
    [sym__callable_variable] = STATE(623),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1026),
    [sym_binary_expression] = STATE(1026),
    [sym_include_expression] = STATE(1026),
    [sym_include_once_expression] = STATE(1026),
    [sym_require_expression] = STATE(1026),
    [sym_require_once_expression] = STATE(1026),
    [sym__reserved_identifier] = STATE(717),
    [sym__identifier] = STATE(1496),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(605),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(613),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(617),
    [anon_sym_DASH] = ACTIONS(617),
    [anon_sym_TILDE] = ACTIONS(619),
    [anon_sym_BANG] = ACTIONS(619),
    [anon_sym_AT] = ACTIONS(621),
    [aux_sym_clone_expression_token1] = ACTIONS(623),
    [aux_sym_print_intrinsic_token1] = ACTIONS(625),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(631),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(647),
    [aux_sym_include_expression_token1] = ACTIONS(651),
    [aux_sym_include_once_expression_token1] = ACTIONS(653),
    [aux_sym_require_expression_token1] = ACTIONS(655),
    [aux_sym_require_once_expression_token1] = ACTIONS(657),
    [sym_comment] = ACTIONS(5),
  },
  [427] = {
    [sym_text_interpolation] = STATE(427),
    [sym_qualified_name] = STATE(810),
    [sym__name] = STATE(1626),
    [sym_namespace_name] = STATE(2507),
    [sym_static_modifier] = STATE(2368),
    [sym_anonymous_function] = STATE(1039),
    [sym__anonymous_function_header] = STATE(2318),
    [sym__arrow_function_header] = STATE(2639),
    [sym_arrow_function] = STATE(1039),
    [sym_literal] = STATE(1039),
    [sym_throw_expression] = STATE(1039),
    [sym_match_expression] = STATE(1026),
    [sym_expression] = STATE(1260),
    [sym__unary_expression] = STATE(1010),
    [sym_unary_op_expression] = STATE(1022),
    [sym_error_suppression_expression] = STATE(1026),
    [sym_clone_expression] = STATE(1022),
    [sym_primary_expression] = STATE(1022),
    [sym_parenthesized_expression] = STATE(811),
    [sym_class_constant_access_expression] = STATE(859),
    [sym_print_intrinsic] = STATE(1039),
    [sym_object_creation_expression] = STATE(1039),
    [sym__new_non_dereferencable_expression] = STATE(1009),
    [sym__new_dereferencable_expression] = STATE(842),
    [sym_update_expression] = STATE(1039),
    [sym_cast_expression] = STATE(1022),
    [sym_cast_variable] = STATE(681),
    [sym_assignment_expression] = STATE(1026),
    [sym_reference_assignment_expression] = STATE(1026),
    [sym_conditional_expression] = STATE(1026),
    [sym_augmented_assignment_expression] = STATE(1026),
    [sym__variable_member_access_expression] = STATE(613),
    [sym_member_access_expression] = STATE(681),
    [sym__variable_nullsafe_member_access_expression] = STATE(619),
    [sym_nullsafe_member_access_expression] = STATE(681),
    [sym__variable_scoped_property_access_expression] = STATE(602),
    [sym_scoped_property_access_expression] = STATE(681),
    [sym_list_literal] = STATE(2640),
    [sym__list_destructing] = STATE(2405),
    [sym__array_destructing] = STATE(2405),
    [sym_function_call_expression] = STATE(612),
    [sym__callable_expression] = STATE(2324),
    [sym_scoped_call_expression] = STATE(612),
    [sym__scope_resolution_qualifier] = STATE(2522),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(612),
    [sym_nullsafe_member_call_expression] = STATE(612),
    [sym__variable_subscript_expression] = STATE(610),
    [sym__dereferencable_subscript_expression] = STATE(612),
    [sym__dereferencable_expression] = STATE(1948),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(766),
    [sym_attribute_group] = STATE(1373),
    [sym_attribute_list] = STATE(1879),
    [sym_encapsed_string] = STATE(767),
    [sym_string] = STATE(767),
    [sym_heredoc] = STATE(767),
    [sym_nowdoc] = STATE(767),
    [sym_shell_command_expression] = STATE(1039),
    [sym_boolean] = STATE(1036),
    [sym_null] = STATE(1036),
    [sym__string] = STATE(768),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(595),
    [sym__new_variable] = STATE(683),
    [sym__callable_variable] = STATE(657),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1026),
    [sym_binary_expression] = STATE(1026),
    [sym_include_expression] = STATE(1026),
    [sym_include_once_expression] = STATE(1026),
    [sym_require_expression] = STATE(1026),
    [sym_require_once_expression] = STATE(1026),
    [sym__reserved_identifier] = STATE(717),
    [sym__identifier] = STATE(1496),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(697),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(701),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(703),
    [anon_sym_DASH] = ACTIONS(703),
    [anon_sym_TILDE] = ACTIONS(705),
    [anon_sym_BANG] = ACTIONS(705),
    [anon_sym_AT] = ACTIONS(707),
    [aux_sym_clone_expression_token1] = ACTIONS(709),
    [aux_sym_print_intrinsic_token1] = ACTIONS(711),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(713),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(5),
  },
  [428] = {
    [sym_text_interpolation] = STATE(428),
    [sym_qualified_name] = STATE(810),
    [sym__name] = STATE(1626),
    [sym_namespace_name] = STATE(2507),
    [sym_static_modifier] = STATE(2368),
    [sym_anonymous_function] = STATE(1039),
    [sym__anonymous_function_header] = STATE(2318),
    [sym__arrow_function_header] = STATE(2639),
    [sym_arrow_function] = STATE(1039),
    [sym_literal] = STATE(1039),
    [sym_throw_expression] = STATE(1039),
    [sym_match_expression] = STATE(1026),
    [sym_expression] = STATE(1265),
    [sym__unary_expression] = STATE(1010),
    [sym_unary_op_expression] = STATE(1022),
    [sym_error_suppression_expression] = STATE(1026),
    [sym_clone_expression] = STATE(1022),
    [sym_primary_expression] = STATE(1022),
    [sym_parenthesized_expression] = STATE(811),
    [sym_class_constant_access_expression] = STATE(859),
    [sym_print_intrinsic] = STATE(1039),
    [sym_object_creation_expression] = STATE(1039),
    [sym__new_non_dereferencable_expression] = STATE(1009),
    [sym__new_dereferencable_expression] = STATE(842),
    [sym_update_expression] = STATE(1039),
    [sym_cast_expression] = STATE(1022),
    [sym_cast_variable] = STATE(681),
    [sym_assignment_expression] = STATE(1026),
    [sym_reference_assignment_expression] = STATE(1026),
    [sym_conditional_expression] = STATE(1026),
    [sym_augmented_assignment_expression] = STATE(1026),
    [sym__variable_member_access_expression] = STATE(613),
    [sym_member_access_expression] = STATE(681),
    [sym__variable_nullsafe_member_access_expression] = STATE(619),
    [sym_nullsafe_member_access_expression] = STATE(681),
    [sym__variable_scoped_property_access_expression] = STATE(602),
    [sym_scoped_property_access_expression] = STATE(681),
    [sym_list_literal] = STATE(2640),
    [sym__list_destructing] = STATE(2405),
    [sym__array_destructing] = STATE(2405),
    [sym_function_call_expression] = STATE(612),
    [sym__callable_expression] = STATE(2324),
    [sym_scoped_call_expression] = STATE(612),
    [sym__scope_resolution_qualifier] = STATE(2522),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(612),
    [sym_nullsafe_member_call_expression] = STATE(612),
    [sym__variable_subscript_expression] = STATE(610),
    [sym__dereferencable_subscript_expression] = STATE(612),
    [sym__dereferencable_expression] = STATE(1948),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(766),
    [sym_attribute_group] = STATE(1373),
    [sym_attribute_list] = STATE(1879),
    [sym_encapsed_string] = STATE(767),
    [sym_string] = STATE(767),
    [sym_heredoc] = STATE(767),
    [sym_nowdoc] = STATE(767),
    [sym_shell_command_expression] = STATE(1039),
    [sym_boolean] = STATE(1036),
    [sym_null] = STATE(1036),
    [sym__string] = STATE(768),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(595),
    [sym__new_variable] = STATE(683),
    [sym__callable_variable] = STATE(657),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1026),
    [sym_binary_expression] = STATE(1026),
    [sym_include_expression] = STATE(1026),
    [sym_include_once_expression] = STATE(1026),
    [sym_require_expression] = STATE(1026),
    [sym_require_once_expression] = STATE(1026),
    [sym__reserved_identifier] = STATE(717),
    [sym__identifier] = STATE(1496),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(697),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(701),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(703),
    [anon_sym_DASH] = ACTIONS(703),
    [anon_sym_TILDE] = ACTIONS(705),
    [anon_sym_BANG] = ACTIONS(705),
    [anon_sym_AT] = ACTIONS(707),
    [aux_sym_clone_expression_token1] = ACTIONS(709),
    [aux_sym_print_intrinsic_token1] = ACTIONS(711),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(713),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(5),
  },
  [429] = {
    [sym_text_interpolation] = STATE(429),
    [sym_qualified_name] = STATE(810),
    [sym__name] = STATE(1626),
    [sym_namespace_name] = STATE(2507),
    [sym_static_modifier] = STATE(2368),
    [sym_anonymous_function] = STATE(1039),
    [sym__anonymous_function_header] = STATE(2318),
    [sym__arrow_function_header] = STATE(2639),
    [sym_arrow_function] = STATE(1039),
    [sym_literal] = STATE(1039),
    [sym_throw_expression] = STATE(1039),
    [sym_match_expression] = STATE(1026),
    [sym_expression] = STATE(1217),
    [sym__unary_expression] = STATE(1010),
    [sym_unary_op_expression] = STATE(1022),
    [sym_error_suppression_expression] = STATE(1026),
    [sym_clone_expression] = STATE(1022),
    [sym_primary_expression] = STATE(1022),
    [sym_parenthesized_expression] = STATE(811),
    [sym_class_constant_access_expression] = STATE(859),
    [sym_print_intrinsic] = STATE(1039),
    [sym_object_creation_expression] = STATE(1039),
    [sym__new_non_dereferencable_expression] = STATE(1009),
    [sym__new_dereferencable_expression] = STATE(842),
    [sym_update_expression] = STATE(1039),
    [sym_cast_expression] = STATE(1022),
    [sym_cast_variable] = STATE(681),
    [sym_assignment_expression] = STATE(1026),
    [sym_reference_assignment_expression] = STATE(1026),
    [sym_conditional_expression] = STATE(1026),
    [sym_augmented_assignment_expression] = STATE(1026),
    [sym__variable_member_access_expression] = STATE(613),
    [sym_member_access_expression] = STATE(681),
    [sym__variable_nullsafe_member_access_expression] = STATE(619),
    [sym_nullsafe_member_access_expression] = STATE(681),
    [sym__variable_scoped_property_access_expression] = STATE(602),
    [sym_scoped_property_access_expression] = STATE(681),
    [sym_list_literal] = STATE(2640),
    [sym__list_destructing] = STATE(2405),
    [sym__array_destructing] = STATE(2405),
    [sym_function_call_expression] = STATE(612),
    [sym__callable_expression] = STATE(2324),
    [sym_scoped_call_expression] = STATE(612),
    [sym__scope_resolution_qualifier] = STATE(2522),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(612),
    [sym_nullsafe_member_call_expression] = STATE(612),
    [sym__variable_subscript_expression] = STATE(610),
    [sym__dereferencable_subscript_expression] = STATE(612),
    [sym__dereferencable_expression] = STATE(1948),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(766),
    [sym_attribute_group] = STATE(1373),
    [sym_attribute_list] = STATE(1879),
    [sym_encapsed_string] = STATE(767),
    [sym_string] = STATE(767),
    [sym_heredoc] = STATE(767),
    [sym_nowdoc] = STATE(767),
    [sym_shell_command_expression] = STATE(1039),
    [sym_boolean] = STATE(1036),
    [sym_null] = STATE(1036),
    [sym__string] = STATE(768),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(595),
    [sym__new_variable] = STATE(683),
    [sym__callable_variable] = STATE(657),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1026),
    [sym_binary_expression] = STATE(1026),
    [sym_include_expression] = STATE(1026),
    [sym_include_once_expression] = STATE(1026),
    [sym_require_expression] = STATE(1026),
    [sym_require_once_expression] = STATE(1026),
    [sym__reserved_identifier] = STATE(717),
    [sym__identifier] = STATE(1496),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(697),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(701),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(703),
    [anon_sym_DASH] = ACTIONS(703),
    [anon_sym_TILDE] = ACTIONS(705),
    [anon_sym_BANG] = ACTIONS(705),
    [anon_sym_AT] = ACTIONS(707),
    [aux_sym_clone_expression_token1] = ACTIONS(709),
    [aux_sym_print_intrinsic_token1] = ACTIONS(711),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(713),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(5),
  },
  [430] = {
    [sym_text_interpolation] = STATE(430),
    [sym_qualified_name] = STATE(810),
    [sym__name] = STATE(1626),
    [sym_namespace_name] = STATE(2507),
    [sym_static_modifier] = STATE(2368),
    [sym_anonymous_function] = STATE(1039),
    [sym__anonymous_function_header] = STATE(2318),
    [sym__arrow_function_header] = STATE(2639),
    [sym_arrow_function] = STATE(1039),
    [sym_literal] = STATE(1039),
    [sym_throw_expression] = STATE(1039),
    [sym_match_expression] = STATE(1026),
    [sym_expression] = STATE(1257),
    [sym__unary_expression] = STATE(1010),
    [sym_unary_op_expression] = STATE(1022),
    [sym_error_suppression_expression] = STATE(1026),
    [sym_clone_expression] = STATE(1022),
    [sym_primary_expression] = STATE(1022),
    [sym_parenthesized_expression] = STATE(811),
    [sym_class_constant_access_expression] = STATE(859),
    [sym_print_intrinsic] = STATE(1039),
    [sym_object_creation_expression] = STATE(1039),
    [sym__new_non_dereferencable_expression] = STATE(1009),
    [sym__new_dereferencable_expression] = STATE(842),
    [sym_update_expression] = STATE(1039),
    [sym_cast_expression] = STATE(1022),
    [sym_cast_variable] = STATE(681),
    [sym_assignment_expression] = STATE(1026),
    [sym_reference_assignment_expression] = STATE(1026),
    [sym_conditional_expression] = STATE(1026),
    [sym_augmented_assignment_expression] = STATE(1026),
    [sym__variable_member_access_expression] = STATE(613),
    [sym_member_access_expression] = STATE(681),
    [sym__variable_nullsafe_member_access_expression] = STATE(619),
    [sym_nullsafe_member_access_expression] = STATE(681),
    [sym__variable_scoped_property_access_expression] = STATE(602),
    [sym_scoped_property_access_expression] = STATE(681),
    [sym_list_literal] = STATE(2640),
    [sym__list_destructing] = STATE(2405),
    [sym__array_destructing] = STATE(2405),
    [sym_function_call_expression] = STATE(612),
    [sym__callable_expression] = STATE(2324),
    [sym_scoped_call_expression] = STATE(612),
    [sym__scope_resolution_qualifier] = STATE(2522),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(612),
    [sym_nullsafe_member_call_expression] = STATE(612),
    [sym__variable_subscript_expression] = STATE(610),
    [sym__dereferencable_subscript_expression] = STATE(612),
    [sym__dereferencable_expression] = STATE(1948),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(766),
    [sym_attribute_group] = STATE(1373),
    [sym_attribute_list] = STATE(1879),
    [sym_encapsed_string] = STATE(767),
    [sym_string] = STATE(767),
    [sym_heredoc] = STATE(767),
    [sym_nowdoc] = STATE(767),
    [sym_shell_command_expression] = STATE(1039),
    [sym_boolean] = STATE(1036),
    [sym_null] = STATE(1036),
    [sym__string] = STATE(768),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(595),
    [sym__new_variable] = STATE(683),
    [sym__callable_variable] = STATE(657),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1026),
    [sym_binary_expression] = STATE(1026),
    [sym_include_expression] = STATE(1026),
    [sym_include_once_expression] = STATE(1026),
    [sym_require_expression] = STATE(1026),
    [sym_require_once_expression] = STATE(1026),
    [sym__reserved_identifier] = STATE(717),
    [sym__identifier] = STATE(1496),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(697),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(701),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(703),
    [anon_sym_DASH] = ACTIONS(703),
    [anon_sym_TILDE] = ACTIONS(705),
    [anon_sym_BANG] = ACTIONS(705),
    [anon_sym_AT] = ACTIONS(707),
    [aux_sym_clone_expression_token1] = ACTIONS(709),
    [aux_sym_print_intrinsic_token1] = ACTIONS(711),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(713),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(5),
  },
  [431] = {
    [sym_text_interpolation] = STATE(431),
    [sym_qualified_name] = STATE(1000),
    [sym__name] = STATE(1631),
    [sym_namespace_name] = STATE(2575),
    [sym_static_modifier] = STATE(2368),
    [sym_anonymous_function] = STATE(1148),
    [sym__anonymous_function_header] = STATE(2489),
    [sym__arrow_function_header] = STATE(2731),
    [sym_arrow_function] = STATE(1148),
    [sym_literal] = STATE(1148),
    [sym_throw_expression] = STATE(1148),
    [sym_match_expression] = STATE(1152),
    [sym_expression] = STATE(1208),
    [sym__unary_expression] = STATE(1159),
    [sym_unary_op_expression] = STATE(1172),
    [sym_error_suppression_expression] = STATE(1152),
    [sym_clone_expression] = STATE(1172),
    [sym_primary_expression] = STATE(1172),
    [sym_parenthesized_expression] = STATE(964),
    [sym_class_constant_access_expression] = STATE(1019),
    [sym_print_intrinsic] = STATE(1148),
    [sym_object_creation_expression] = STATE(1148),
    [sym__new_non_dereferencable_expression] = STATE(1168),
    [sym__new_dereferencable_expression] = STATE(966),
    [sym_update_expression] = STATE(1148),
    [sym_cast_expression] = STATE(1172),
    [sym_cast_variable] = STATE(661),
    [sym_assignment_expression] = STATE(1152),
    [sym_reference_assignment_expression] = STATE(1152),
    [sym_conditional_expression] = STATE(1152),
    [sym_augmented_assignment_expression] = STATE(1152),
    [sym__variable_member_access_expression] = STATE(674),
    [sym_member_access_expression] = STATE(661),
    [sym__variable_nullsafe_member_access_expression] = STATE(663),
    [sym_nullsafe_member_access_expression] = STATE(661),
    [sym__variable_scoped_property_access_expression] = STATE(664),
    [sym_scoped_property_access_expression] = STATE(661),
    [sym_list_literal] = STATE(2530),
    [sym__list_destructing] = STATE(2405),
    [sym__array_destructing] = STATE(2405),
    [sym_function_call_expression] = STATE(634),
    [sym__callable_expression] = STATE(2471),
    [sym_scoped_call_expression] = STATE(634),
    [sym__scope_resolution_qualifier] = STATE(2651),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(634),
    [sym_nullsafe_member_call_expression] = STATE(634),
    [sym__variable_subscript_expression] = STATE(665),
    [sym__dereferencable_subscript_expression] = STATE(634),
    [sym__dereferencable_expression] = STATE(1946),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(1005),
    [sym_attribute_group] = STATE(1373),
    [sym_attribute_list] = STATE(1879),
    [sym_encapsed_string] = STATE(927),
    [sym_string] = STATE(927),
    [sym_heredoc] = STATE(927),
    [sym_nowdoc] = STATE(927),
    [sym_shell_command_expression] = STATE(1148),
    [sym_boolean] = STATE(1162),
    [sym_null] = STATE(1162),
    [sym__string] = STATE(941),
    [sym_dynamic_variable_name] = STATE(650),
    [sym__simple_variable] = STATE(654),
    [sym__new_variable] = STATE(667),
    [sym__callable_variable] = STATE(629),
    [sym_variable_name] = STATE(650),
    [sym_yield_expression] = STATE(1152),
    [sym_binary_expression] = STATE(1152),
    [sym_include_expression] = STATE(1152),
    [sym_include_once_expression] = STATE(1152),
    [sym_require_expression] = STATE(1152),
    [sym_require_once_expression] = STATE(1152),
    [sym__reserved_identifier] = STATE(717),
    [sym__identifier] = STATE(1496),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(689),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LPAREN2] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [sym_float] = ACTIONS(266),
    [sym_integer] = ACTIONS(266),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [432] = {
    [sym_text_interpolation] = STATE(432),
    [sym_qualified_name] = STATE(810),
    [sym__name] = STATE(1626),
    [sym_namespace_name] = STATE(2507),
    [sym_static_modifier] = STATE(2368),
    [sym_anonymous_function] = STATE(1039),
    [sym__anonymous_function_header] = STATE(2318),
    [sym__arrow_function_header] = STATE(2679),
    [sym_arrow_function] = STATE(1039),
    [sym_literal] = STATE(1039),
    [sym_throw_expression] = STATE(1039),
    [sym_match_expression] = STATE(1026),
    [sym_expression] = STATE(1312),
    [sym__unary_expression] = STATE(1010),
    [sym_unary_op_expression] = STATE(1022),
    [sym_error_suppression_expression] = STATE(1026),
    [sym_clone_expression] = STATE(1022),
    [sym_primary_expression] = STATE(1022),
    [sym_parenthesized_expression] = STATE(811),
    [sym_class_constant_access_expression] = STATE(859),
    [sym_print_intrinsic] = STATE(1039),
    [sym_object_creation_expression] = STATE(1039),
    [sym__new_non_dereferencable_expression] = STATE(1009),
    [sym__new_dereferencable_expression] = STATE(842),
    [sym_update_expression] = STATE(1039),
    [sym_cast_expression] = STATE(1022),
    [sym_cast_variable] = STATE(630),
    [sym_assignment_expression] = STATE(1026),
    [sym_reference_assignment_expression] = STATE(1026),
    [sym_conditional_expression] = STATE(1026),
    [sym_augmented_assignment_expression] = STATE(1026),
    [sym__variable_member_access_expression] = STATE(613),
    [sym_member_access_expression] = STATE(630),
    [sym__variable_nullsafe_member_access_expression] = STATE(619),
    [sym_nullsafe_member_access_expression] = STATE(630),
    [sym__variable_scoped_property_access_expression] = STATE(602),
    [sym_scoped_property_access_expression] = STATE(630),
    [sym_list_literal] = STATE(2632),
    [sym__list_destructing] = STATE(2405),
    [sym__array_destructing] = STATE(2405),
    [sym_function_call_expression] = STATE(612),
    [sym__callable_expression] = STATE(2324),
    [sym_scoped_call_expression] = STATE(612),
    [sym__scope_resolution_qualifier] = STATE(2522),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(612),
    [sym_nullsafe_member_call_expression] = STATE(612),
    [sym__variable_subscript_expression] = STATE(610),
    [sym__dereferencable_subscript_expression] = STATE(612),
    [sym__dereferencable_expression] = STATE(1948),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(766),
    [sym_attribute_group] = STATE(1373),
    [sym_attribute_list] = STATE(1879),
    [sym_encapsed_string] = STATE(767),
    [sym_string] = STATE(767),
    [sym_heredoc] = STATE(767),
    [sym_nowdoc] = STATE(767),
    [sym_shell_command_expression] = STATE(1039),
    [sym_boolean] = STATE(1036),
    [sym_null] = STATE(1036),
    [sym__string] = STATE(768),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(595),
    [sym__new_variable] = STATE(653),
    [sym__callable_variable] = STATE(623),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1026),
    [sym_binary_expression] = STATE(1026),
    [sym_include_expression] = STATE(1026),
    [sym_include_once_expression] = STATE(1026),
    [sym_require_expression] = STATE(1026),
    [sym_require_once_expression] = STATE(1026),
    [sym__reserved_identifier] = STATE(717),
    [sym__identifier] = STATE(1496),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(605),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(613),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(617),
    [anon_sym_DASH] = ACTIONS(617),
    [anon_sym_TILDE] = ACTIONS(619),
    [anon_sym_BANG] = ACTIONS(619),
    [anon_sym_AT] = ACTIONS(621),
    [aux_sym_clone_expression_token1] = ACTIONS(623),
    [aux_sym_print_intrinsic_token1] = ACTIONS(625),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(631),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(647),
    [aux_sym_include_expression_token1] = ACTIONS(651),
    [aux_sym_include_once_expression_token1] = ACTIONS(653),
    [aux_sym_require_expression_token1] = ACTIONS(655),
    [aux_sym_require_once_expression_token1] = ACTIONS(657),
    [sym_comment] = ACTIONS(5),
  },
  [433] = {
    [sym_text_interpolation] = STATE(433),
    [sym_qualified_name] = STATE(810),
    [sym__name] = STATE(1626),
    [sym_namespace_name] = STATE(2507),
    [sym_static_modifier] = STATE(2368),
    [sym_anonymous_function] = STATE(1039),
    [sym__anonymous_function_header] = STATE(2318),
    [sym__arrow_function_header] = STATE(2679),
    [sym_arrow_function] = STATE(1039),
    [sym_literal] = STATE(1039),
    [sym_throw_expression] = STATE(1039),
    [sym_match_expression] = STATE(1026),
    [sym_expression] = STATE(1315),
    [sym__unary_expression] = STATE(1010),
    [sym_unary_op_expression] = STATE(1022),
    [sym_error_suppression_expression] = STATE(1026),
    [sym_clone_expression] = STATE(1022),
    [sym_primary_expression] = STATE(1022),
    [sym_parenthesized_expression] = STATE(811),
    [sym_class_constant_access_expression] = STATE(859),
    [sym_print_intrinsic] = STATE(1039),
    [sym_object_creation_expression] = STATE(1039),
    [sym__new_non_dereferencable_expression] = STATE(1009),
    [sym__new_dereferencable_expression] = STATE(842),
    [sym_update_expression] = STATE(1039),
    [sym_cast_expression] = STATE(1022),
    [sym_cast_variable] = STATE(630),
    [sym_assignment_expression] = STATE(1026),
    [sym_reference_assignment_expression] = STATE(1026),
    [sym_conditional_expression] = STATE(1026),
    [sym_augmented_assignment_expression] = STATE(1026),
    [sym__variable_member_access_expression] = STATE(613),
    [sym_member_access_expression] = STATE(630),
    [sym__variable_nullsafe_member_access_expression] = STATE(619),
    [sym_nullsafe_member_access_expression] = STATE(630),
    [sym__variable_scoped_property_access_expression] = STATE(602),
    [sym_scoped_property_access_expression] = STATE(630),
    [sym_list_literal] = STATE(2632),
    [sym__list_destructing] = STATE(2405),
    [sym__array_destructing] = STATE(2405),
    [sym_function_call_expression] = STATE(612),
    [sym__callable_expression] = STATE(2324),
    [sym_scoped_call_expression] = STATE(612),
    [sym__scope_resolution_qualifier] = STATE(2522),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(612),
    [sym_nullsafe_member_call_expression] = STATE(612),
    [sym__variable_subscript_expression] = STATE(610),
    [sym__dereferencable_subscript_expression] = STATE(612),
    [sym__dereferencable_expression] = STATE(1948),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(766),
    [sym_attribute_group] = STATE(1373),
    [sym_attribute_list] = STATE(1879),
    [sym_encapsed_string] = STATE(767),
    [sym_string] = STATE(767),
    [sym_heredoc] = STATE(767),
    [sym_nowdoc] = STATE(767),
    [sym_shell_command_expression] = STATE(1039),
    [sym_boolean] = STATE(1036),
    [sym_null] = STATE(1036),
    [sym__string] = STATE(768),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(595),
    [sym__new_variable] = STATE(653),
    [sym__callable_variable] = STATE(623),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1026),
    [sym_binary_expression] = STATE(1026),
    [sym_include_expression] = STATE(1026),
    [sym_include_once_expression] = STATE(1026),
    [sym_require_expression] = STATE(1026),
    [sym_require_once_expression] = STATE(1026),
    [sym__reserved_identifier] = STATE(717),
    [sym__identifier] = STATE(1496),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(605),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(613),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(617),
    [anon_sym_DASH] = ACTIONS(617),
    [anon_sym_TILDE] = ACTIONS(619),
    [anon_sym_BANG] = ACTIONS(619),
    [anon_sym_AT] = ACTIONS(621),
    [aux_sym_clone_expression_token1] = ACTIONS(623),
    [aux_sym_print_intrinsic_token1] = ACTIONS(625),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(631),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(647),
    [aux_sym_include_expression_token1] = ACTIONS(651),
    [aux_sym_include_once_expression_token1] = ACTIONS(653),
    [aux_sym_require_expression_token1] = ACTIONS(655),
    [aux_sym_require_once_expression_token1] = ACTIONS(657),
    [sym_comment] = ACTIONS(5),
  },
  [434] = {
    [sym_text_interpolation] = STATE(434),
    [sym_qualified_name] = STATE(1000),
    [sym__name] = STATE(1631),
    [sym_namespace_name] = STATE(2575),
    [sym_static_modifier] = STATE(2368),
    [sym_anonymous_function] = STATE(1148),
    [sym__anonymous_function_header] = STATE(2489),
    [sym__arrow_function_header] = STATE(2731),
    [sym_arrow_function] = STATE(1148),
    [sym_literal] = STATE(1148),
    [sym_throw_expression] = STATE(1148),
    [sym_match_expression] = STATE(1152),
    [sym_expression] = STATE(1107),
    [sym__unary_expression] = STATE(1159),
    [sym_unary_op_expression] = STATE(1172),
    [sym_error_suppression_expression] = STATE(1152),
    [sym_clone_expression] = STATE(1172),
    [sym_primary_expression] = STATE(1172),
    [sym_parenthesized_expression] = STATE(964),
    [sym_class_constant_access_expression] = STATE(1019),
    [sym_print_intrinsic] = STATE(1148),
    [sym_object_creation_expression] = STATE(1148),
    [sym__new_non_dereferencable_expression] = STATE(1168),
    [sym__new_dereferencable_expression] = STATE(966),
    [sym_update_expression] = STATE(1148),
    [sym_cast_expression] = STATE(1172),
    [sym_cast_variable] = STATE(661),
    [sym_assignment_expression] = STATE(1152),
    [sym_reference_assignment_expression] = STATE(1152),
    [sym_conditional_expression] = STATE(1152),
    [sym_augmented_assignment_expression] = STATE(1152),
    [sym__variable_member_access_expression] = STATE(674),
    [sym_member_access_expression] = STATE(661),
    [sym__variable_nullsafe_member_access_expression] = STATE(663),
    [sym_nullsafe_member_access_expression] = STATE(661),
    [sym__variable_scoped_property_access_expression] = STATE(664),
    [sym_scoped_property_access_expression] = STATE(661),
    [sym_list_literal] = STATE(2530),
    [sym__list_destructing] = STATE(2405),
    [sym__array_destructing] = STATE(2405),
    [sym_function_call_expression] = STATE(634),
    [sym__callable_expression] = STATE(2471),
    [sym_scoped_call_expression] = STATE(634),
    [sym__scope_resolution_qualifier] = STATE(2651),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(634),
    [sym_nullsafe_member_call_expression] = STATE(634),
    [sym__variable_subscript_expression] = STATE(665),
    [sym__dereferencable_subscript_expression] = STATE(634),
    [sym__dereferencable_expression] = STATE(1946),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(1005),
    [sym_attribute_group] = STATE(1373),
    [sym_attribute_list] = STATE(1879),
    [sym_encapsed_string] = STATE(927),
    [sym_string] = STATE(927),
    [sym_heredoc] = STATE(927),
    [sym_nowdoc] = STATE(927),
    [sym_shell_command_expression] = STATE(1148),
    [sym_boolean] = STATE(1162),
    [sym_null] = STATE(1162),
    [sym__string] = STATE(941),
    [sym_dynamic_variable_name] = STATE(650),
    [sym__simple_variable] = STATE(654),
    [sym__new_variable] = STATE(667),
    [sym__callable_variable] = STATE(629),
    [sym_variable_name] = STATE(650),
    [sym_yield_expression] = STATE(1152),
    [sym_binary_expression] = STATE(1152),
    [sym_include_expression] = STATE(1152),
    [sym_include_once_expression] = STATE(1152),
    [sym_require_expression] = STATE(1152),
    [sym_require_once_expression] = STATE(1152),
    [sym__reserved_identifier] = STATE(717),
    [sym__identifier] = STATE(1496),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(689),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LPAREN2] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [sym_float] = ACTIONS(266),
    [sym_integer] = ACTIONS(266),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [435] = {
    [sym_text_interpolation] = STATE(435),
    [sym_qualified_name] = STATE(810),
    [sym__name] = STATE(1626),
    [sym_namespace_name] = STATE(2507),
    [sym_static_modifier] = STATE(2368),
    [sym_anonymous_function] = STATE(1039),
    [sym__anonymous_function_header] = STATE(2318),
    [sym__arrow_function_header] = STATE(2679),
    [sym_arrow_function] = STATE(1039),
    [sym_literal] = STATE(1039),
    [sym_throw_expression] = STATE(1039),
    [sym_match_expression] = STATE(1026),
    [sym_expression] = STATE(1322),
    [sym__unary_expression] = STATE(1010),
    [sym_unary_op_expression] = STATE(1022),
    [sym_error_suppression_expression] = STATE(1026),
    [sym_clone_expression] = STATE(1022),
    [sym_primary_expression] = STATE(1022),
    [sym_parenthesized_expression] = STATE(811),
    [sym_class_constant_access_expression] = STATE(859),
    [sym_print_intrinsic] = STATE(1039),
    [sym_object_creation_expression] = STATE(1039),
    [sym__new_non_dereferencable_expression] = STATE(1009),
    [sym__new_dereferencable_expression] = STATE(842),
    [sym_update_expression] = STATE(1039),
    [sym_cast_expression] = STATE(1022),
    [sym_cast_variable] = STATE(630),
    [sym_assignment_expression] = STATE(1026),
    [sym_reference_assignment_expression] = STATE(1026),
    [sym_conditional_expression] = STATE(1026),
    [sym_augmented_assignment_expression] = STATE(1026),
    [sym__variable_member_access_expression] = STATE(613),
    [sym_member_access_expression] = STATE(630),
    [sym__variable_nullsafe_member_access_expression] = STATE(619),
    [sym_nullsafe_member_access_expression] = STATE(630),
    [sym__variable_scoped_property_access_expression] = STATE(602),
    [sym_scoped_property_access_expression] = STATE(630),
    [sym_list_literal] = STATE(2632),
    [sym__list_destructing] = STATE(2405),
    [sym__array_destructing] = STATE(2405),
    [sym_function_call_expression] = STATE(612),
    [sym__callable_expression] = STATE(2324),
    [sym_scoped_call_expression] = STATE(612),
    [sym__scope_resolution_qualifier] = STATE(2522),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(612),
    [sym_nullsafe_member_call_expression] = STATE(612),
    [sym__variable_subscript_expression] = STATE(610),
    [sym__dereferencable_subscript_expression] = STATE(612),
    [sym__dereferencable_expression] = STATE(1948),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(766),
    [sym_attribute_group] = STATE(1373),
    [sym_attribute_list] = STATE(1879),
    [sym_encapsed_string] = STATE(767),
    [sym_string] = STATE(767),
    [sym_heredoc] = STATE(767),
    [sym_nowdoc] = STATE(767),
    [sym_shell_command_expression] = STATE(1039),
    [sym_boolean] = STATE(1036),
    [sym_null] = STATE(1036),
    [sym__string] = STATE(768),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(595),
    [sym__new_variable] = STATE(653),
    [sym__callable_variable] = STATE(623),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1026),
    [sym_binary_expression] = STATE(1026),
    [sym_include_expression] = STATE(1026),
    [sym_include_once_expression] = STATE(1026),
    [sym_require_expression] = STATE(1026),
    [sym_require_once_expression] = STATE(1026),
    [sym__reserved_identifier] = STATE(717),
    [sym__identifier] = STATE(1496),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(605),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(613),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(617),
    [anon_sym_DASH] = ACTIONS(617),
    [anon_sym_TILDE] = ACTIONS(619),
    [anon_sym_BANG] = ACTIONS(619),
    [anon_sym_AT] = ACTIONS(621),
    [aux_sym_clone_expression_token1] = ACTIONS(623),
    [aux_sym_print_intrinsic_token1] = ACTIONS(625),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(631),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(647),
    [aux_sym_include_expression_token1] = ACTIONS(651),
    [aux_sym_include_once_expression_token1] = ACTIONS(653),
    [aux_sym_require_expression_token1] = ACTIONS(655),
    [aux_sym_require_once_expression_token1] = ACTIONS(657),
    [sym_comment] = ACTIONS(5),
  },
  [436] = {
    [sym_text_interpolation] = STATE(436),
    [sym_qualified_name] = STATE(810),
    [sym__name] = STATE(1626),
    [sym_namespace_name] = STATE(2507),
    [sym_static_modifier] = STATE(2368),
    [sym_anonymous_function] = STATE(1039),
    [sym__anonymous_function_header] = STATE(2318),
    [sym__arrow_function_header] = STATE(2547),
    [sym_arrow_function] = STATE(1039),
    [sym_literal] = STATE(1039),
    [sym_throw_expression] = STATE(1039),
    [sym_match_expression] = STATE(1026),
    [sym_expression] = STATE(1136),
    [sym__unary_expression] = STATE(1010),
    [sym_unary_op_expression] = STATE(1022),
    [sym_error_suppression_expression] = STATE(1026),
    [sym_clone_expression] = STATE(1022),
    [sym_primary_expression] = STATE(1022),
    [sym_parenthesized_expression] = STATE(811),
    [sym_class_constant_access_expression] = STATE(859),
    [sym_print_intrinsic] = STATE(1039),
    [sym_object_creation_expression] = STATE(1039),
    [sym__new_non_dereferencable_expression] = STATE(1009),
    [sym__new_dereferencable_expression] = STATE(842),
    [sym_update_expression] = STATE(1039),
    [sym_cast_expression] = STATE(1022),
    [sym_cast_variable] = STATE(656),
    [sym_assignment_expression] = STATE(1026),
    [sym_reference_assignment_expression] = STATE(1026),
    [sym_conditional_expression] = STATE(1026),
    [sym_augmented_assignment_expression] = STATE(1026),
    [sym__variable_member_access_expression] = STATE(613),
    [sym_member_access_expression] = STATE(656),
    [sym__variable_nullsafe_member_access_expression] = STATE(619),
    [sym_nullsafe_member_access_expression] = STATE(656),
    [sym__variable_scoped_property_access_expression] = STATE(602),
    [sym_scoped_property_access_expression] = STATE(656),
    [sym_list_literal] = STATE(2548),
    [sym__list_destructing] = STATE(2405),
    [sym__array_destructing] = STATE(2405),
    [sym_function_call_expression] = STATE(612),
    [sym__callable_expression] = STATE(2324),
    [sym_scoped_call_expression] = STATE(612),
    [sym__scope_resolution_qualifier] = STATE(2522),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(612),
    [sym_nullsafe_member_call_expression] = STATE(612),
    [sym__variable_subscript_expression] = STATE(610),
    [sym__dereferencable_subscript_expression] = STATE(612),
    [sym__dereferencable_expression] = STATE(1948),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(766),
    [sym_attribute_group] = STATE(1373),
    [sym_attribute_list] = STATE(1879),
    [sym_encapsed_string] = STATE(767),
    [sym_string] = STATE(767),
    [sym_heredoc] = STATE(767),
    [sym_nowdoc] = STATE(767),
    [sym_shell_command_expression] = STATE(1039),
    [sym_boolean] = STATE(1036),
    [sym_null] = STATE(1036),
    [sym__string] = STATE(768),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(595),
    [sym__new_variable] = STATE(662),
    [sym__callable_variable] = STATE(646),
    [sym_variable_name] = STATE(618),
    [sym_yield_expression] = STATE(1026),
    [sym_binary_expression] = STATE(1026),
    [sym_include_expression] = STATE(1026),
    [sym_include_once_expression] = STATE(1026),
    [sym_require_expression] = STATE(1026),
    [sym_require_once_expression] = STATE(1026),
    [sym__reserved_identifier] = STATE(717),
    [sym__identifier] = STATE(1496),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(659),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(663),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(665),
    [anon_sym_DASH] = ACTIONS(665),
    [anon_sym_TILDE] = ACTIONS(667),
    [anon_sym_BANG] = ACTIONS(667),
    [anon_sym_AT] = ACTIONS(669),
    [aux_sym_clone_expression_token1] = ACTIONS(671),
    [aux_sym_print_intrinsic_token1] = ACTIONS(673),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(675),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(677),
    [aux_sym_include_expression_token1] = ACTIONS(681),
    [aux_sym_include_once_expression_token1] = ACTIONS(683),
    [aux_sym_require_expression_token1] = ACTIONS(685),
    [aux_sym_require_once_expression_token1] = ACTIONS(687),
    [sym_comment] = ACTIONS(5),
  },
  [437] = {
    [sym_text_interpolation] = STATE(437),
    [sym_qualified_name] = STATE(810),
    [sym__name] = STATE(1626),
    [sym_namespace_name] = STATE(2507),
    [sym_static_modifier] = STATE(2368),
    [sym_anonymous_function] = STATE(1039),
    [sym__anonymous_function_header] = STATE(2318),
    [sym__arrow_function_header] = STATE(2679),
    [sym_arrow_function] = STATE(1039),
    [sym_literal] = STATE(1039),
    [sym_throw_expression] = STATE(1039),
    [sym__unary_expression] = STATE(1040),
    [sym_unary_op_expression] = STATE(1022),
    [sym_error_suppression_expression] = STATE(1040),
    [sym_clone_expression] = STATE(1022),
    [sym_primary_expression] = STATE(1022),
    [sym_parenthesized_expression] = STATE(811),
    [sym_class_constant_access_expression] = STATE(859),
    [sym_print_intrinsic] = STATE(1039),
    [sym_object_creation_expression] = STATE(1039),
    [sym__new_non_dereferencable_expression] = STATE(1009),
    [sym__new_dereferencable_expression] = STATE(842),
    [sym_update_expression] = STATE(1039),
    [sym_cast_expression] = STATE(1022),
    [sym_cast_variable] = STATE(621),
    [sym__variable_member_access_expression] = STATE(613),
    [sym_member_access_expression] = STATE(621),
    [sym__variable_nullsafe_member_access_expression] = STATE(619),
    [sym_nullsafe_member_access_expression] = STATE(621),
    [sym__variable_scoped_property_access_expression] = STATE(602),
    [sym_scoped_property_access_expression] = STATE(621),
    [sym_function_call_expression] = STATE(612),
    [sym__callable_expression] = STATE(2324),
    [sym_scoped_call_expression] = STATE(612),
    [sym__scope_resolution_qualifier] = STATE(2522),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(612),
    [sym_nullsafe_member_call_expression] = STATE(612),
    [sym__variable_subscript_expression] = STATE(610),
    [sym__dereferencable_subscript_expression] = STATE(612),
    [sym__dereferencable_expression] = STATE(1948),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(766),
    [sym_attribute_group] = STATE(1373),
    [sym_attribute_list] = STATE(1879),
    [sym_encapsed_string] = STATE(767),
    [sym_string] = STATE(767),
    [sym_heredoc] = STATE(767),
    [sym_nowdoc] = STATE(767),
    [sym_shell_command_expression] = STATE(1039),
    [sym_boolean] = STATE(1036),
    [sym_null] = STATE(1036),
    [sym__string] = STATE(768),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(595),
    [sym__new_variable] = STATE(620),
    [sym__callable_variable] = STATE(611),
    [sym_variable_name] = STATE(618),
    [sym_include_expression] = STATE(1040),
    [sym_include_once_expression] = STATE(1040),
    [sym__reserved_identifier] = STATE(717),
    [sym__identifier] = STATE(1496),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(605),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(613),
    [anon_sym_PLUS] = ACTIONS(617),
    [anon_sym_DASH] = ACTIONS(617),
    [anon_sym_TILDE] = ACTIONS(619),
    [anon_sym_BANG] = ACTIONS(619),
    [anon_sym_AT] = ACTIONS(621),
    [aux_sym_clone_expression_token1] = ACTIONS(623),
    [aux_sym_print_intrinsic_token1] = ACTIONS(625),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [anon_sym_LBRACK] = ACTIONS(983),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_include_expression_token1] = ACTIONS(651),
    [aux_sym_include_once_expression_token1] = ACTIONS(653),
    [sym_comment] = ACTIONS(5),
  },
  [438] = {
    [sym_text_interpolation] = STATE(438),
    [sym_qualified_name] = STATE(1000),
    [sym__name] = STATE(1631),
    [sym_namespace_name] = STATE(2575),
    [sym_static_modifier] = STATE(2368),
    [sym_anonymous_function] = STATE(1148),
    [sym__anonymous_function_header] = STATE(2489),
    [sym__arrow_function_header] = STATE(2731),
    [sym_arrow_function] = STATE(1148),
    [sym_literal] = STATE(1148),
    [sym_throw_expression] = STATE(1148),
    [sym__unary_expression] = STATE(1173),
    [sym_unary_op_expression] = STATE(1172),
    [sym_error_suppression_expression] = STATE(1173),
    [sym_clone_expression] = STATE(1172),
    [sym_primary_expression] = STATE(1172),
    [sym_parenthesized_expression] = STATE(964),
    [sym_class_constant_access_expression] = STATE(1019),
    [sym_print_intrinsic] = STATE(1148),
    [sym_object_creation_expression] = STATE(1148),
    [sym__new_non_dereferencable_expression] = STATE(1168),
    [sym__new_dereferencable_expression] = STATE(966),
    [sym_update_expression] = STATE(1148),
    [sym_cast_expression] = STATE(1172),
    [sym_cast_variable] = STATE(669),
    [sym__variable_member_access_expression] = STATE(674),
    [sym_member_access_expression] = STATE(669),
    [sym__variable_nullsafe_member_access_expression] = STATE(663),
    [sym_nullsafe_member_access_expression] = STATE(669),
    [sym__variable_scoped_property_access_expression] = STATE(664),
    [sym_scoped_property_access_expression] = STATE(669),
    [sym_function_call_expression] = STATE(634),
    [sym__callable_expression] = STATE(2471),
    [sym_scoped_call_expression] = STATE(634),
    [sym__scope_resolution_qualifier] = STATE(2651),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(634),
    [sym_nullsafe_member_call_expression] = STATE(634),
    [sym__variable_subscript_expression] = STATE(665),
    [sym__dereferencable_subscript_expression] = STATE(634),
    [sym__dereferencable_expression] = STATE(1946),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(1005),
    [sym_attribute_group] = STATE(1373),
    [sym_attribute_list] = STATE(1879),
    [sym_encapsed_string] = STATE(927),
    [sym_string] = STATE(927),
    [sym_heredoc] = STATE(927),
    [sym_nowdoc] = STATE(927),
    [sym_shell_command_expression] = STATE(1148),
    [sym_boolean] = STATE(1162),
    [sym_null] = STATE(1162),
    [sym__string] = STATE(941),
    [sym_dynamic_variable_name] = STATE(650),
    [sym__simple_variable] = STATE(654),
    [sym__new_variable] = STATE(660),
    [sym__callable_variable] = STATE(625),
    [sym_variable_name] = STATE(650),
    [sym_include_expression] = STATE(1173),
    [sym_include_once_expression] = STATE(1173),
    [sym__reserved_identifier] = STATE(717),
    [sym__identifier] = STATE(1496),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(689),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LPAREN2] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [sym_float] = ACTIONS(266),
    [sym_integer] = ACTIONS(266),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [anon_sym_LBRACK] = ACTIONS(985),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [sym_comment] = ACTIONS(5),
  },
  [439] = {
    [sym_text_interpolation] = STATE(439),
    [sym_qualified_name] = STATE(810),
    [sym__name] = STATE(1626),
    [sym_namespace_name] = STATE(2507),
    [sym_static_modifier] = STATE(2368),
    [sym_anonymous_function] = STATE(1039),
    [sym__anonymous_function_header] = STATE(2318),
    [sym__arrow_function_header] = STATE(2547),
    [sym_arrow_function] = STATE(1039),
    [sym_literal] = STATE(1039),
    [sym_throw_expression] = STATE(1039),
    [sym__unary_expression] = STATE(1040),
    [sym_unary_op_expression] = STATE(1022),
    [sym_error_suppression_expression] = STATE(1040),
    [sym_clone_expression] = STATE(1022),
    [sym_primary_expression] = STATE(1022),
    [sym_parenthesized_expression] = STATE(811),
    [sym_class_constant_access_expression] = STATE(859),
    [sym_print_intrinsic] = STATE(1039),
    [sym_object_creation_expression] = STATE(1039),
    [sym__new_non_dereferencable_expression] = STATE(1009),
    [sym__new_dereferencable_expression] = STATE(842),
    [sym_update_expression] = STATE(1039),
    [sym_cast_expression] = STATE(1022),
    [sym_cast_variable] = STATE(621),
    [sym__variable_member_access_expression] = STATE(613),
    [sym_member_access_expression] = STATE(621),
    [sym__variable_nullsafe_member_access_expression] = STATE(619),
    [sym_nullsafe_member_access_expression] = STATE(621),
    [sym__variable_scoped_property_access_expression] = STATE(602),
    [sym_scoped_property_access_expression] = STATE(621),
    [sym_function_call_expression] = STATE(612),
    [sym__callable_expression] = STATE(2324),
    [sym_scoped_call_expression] = STATE(612),
    [sym__scope_resolution_qualifier] = STATE(2522),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(612),
    [sym_nullsafe_member_call_expression] = STATE(612),
    [sym__variable_subscript_expression] = STATE(610),
    [sym__dereferencable_subscript_expression] = STATE(612),
    [sym__dereferencable_expression] = STATE(1948),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(766),
    [sym_attribute_group] = STATE(1373),
    [sym_attribute_list] = STATE(1879),
    [sym_encapsed_string] = STATE(767),
    [sym_string] = STATE(767),
    [sym_heredoc] = STATE(767),
    [sym_nowdoc] = STATE(767),
    [sym_shell_command_expression] = STATE(1039),
    [sym_boolean] = STATE(1036),
    [sym_null] = STATE(1036),
    [sym__string] = STATE(768),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(595),
    [sym__new_variable] = STATE(620),
    [sym__callable_variable] = STATE(611),
    [sym_variable_name] = STATE(618),
    [sym_include_expression] = STATE(1040),
    [sym_include_once_expression] = STATE(1040),
    [sym__reserved_identifier] = STATE(717),
    [sym__identifier] = STATE(1496),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(659),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(663),
    [anon_sym_PLUS] = ACTIONS(665),
    [anon_sym_DASH] = ACTIONS(665),
    [anon_sym_TILDE] = ACTIONS(667),
    [anon_sym_BANG] = ACTIONS(667),
    [anon_sym_AT] = ACTIONS(669),
    [aux_sym_clone_expression_token1] = ACTIONS(671),
    [aux_sym_print_intrinsic_token1] = ACTIONS(673),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [anon_sym_LBRACK] = ACTIONS(983),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_include_expression_token1] = ACTIONS(681),
    [aux_sym_include_once_expression_token1] = ACTIONS(683),
    [sym_comment] = ACTIONS(5),
  },
  [440] = {
    [sym_text_interpolation] = STATE(440),
    [sym_qualified_name] = STATE(810),
    [sym__name] = STATE(1626),
    [sym_namespace_name] = STATE(2507),
    [sym_static_modifier] = STATE(2368),
    [sym_anonymous_function] = STATE(1039),
    [sym__anonymous_function_header] = STATE(2318),
    [sym__arrow_function_header] = STATE(2639),
    [sym_arrow_function] = STATE(1039),
    [sym_literal] = STATE(1039),
    [sym_throw_expression] = STATE(1039),
    [sym__unary_expression] = STATE(1040),
    [sym_unary_op_expression] = STATE(1022),
    [sym_error_suppression_expression] = STATE(1040),
    [sym_clone_expression] = STATE(1022),
    [sym_primary_expression] = STATE(1022),
    [sym_parenthesized_expression] = STATE(811),
    [sym_class_constant_access_expression] = STATE(859),
    [sym_print_intrinsic] = STATE(1039),
    [sym_object_creation_expression] = STATE(1039),
    [sym__new_non_dereferencable_expression] = STATE(1009),
    [sym__new_dereferencable_expression] = STATE(842),
    [sym_update_expression] = STATE(1039),
    [sym_cast_expression] = STATE(1022),
    [sym_cast_variable] = STATE(621),
    [sym__variable_member_access_expression] = STATE(613),
    [sym_member_access_expression] = STATE(621),
    [sym__variable_nullsafe_member_access_expression] = STATE(619),
    [sym_nullsafe_member_access_expression] = STATE(621),
    [sym__variable_scoped_property_access_expression] = STATE(602),
    [sym_scoped_property_access_expression] = STATE(621),
    [sym_function_call_expression] = STATE(612),
    [sym__callable_expression] = STATE(2324),
    [sym_scoped_call_expression] = STATE(612),
    [sym__scope_resolution_qualifier] = STATE(2522),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(612),
    [sym_nullsafe_member_call_expression] = STATE(612),
    [sym__variable_subscript_expression] = STATE(610),
    [sym__dereferencable_subscript_expression] = STATE(612),
    [sym__dereferencable_expression] = STATE(1948),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(766),
    [sym_attribute_group] = STATE(1373),
    [sym_attribute_list] = STATE(1879),
    [sym_encapsed_string] = STATE(767),
    [sym_string] = STATE(767),
    [sym_heredoc] = STATE(767),
    [sym_nowdoc] = STATE(767),
    [sym_shell_command_expression] = STATE(1039),
    [sym_boolean] = STATE(1036),
    [sym_null] = STATE(1036),
    [sym__string] = STATE(768),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(595),
    [sym__new_variable] = STATE(620),
    [sym__callable_variable] = STATE(611),
    [sym_variable_name] = STATE(618),
    [sym_include_expression] = STATE(1040),
    [sym_include_once_expression] = STATE(1040),
    [sym__reserved_identifier] = STATE(717),
    [sym__identifier] = STATE(1496),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(697),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(701),
    [anon_sym_PLUS] = ACTIONS(703),
    [anon_sym_DASH] = ACTIONS(703),
    [anon_sym_TILDE] = ACTIONS(705),
    [anon_sym_BANG] = ACTIONS(705),
    [anon_sym_AT] = ACTIONS(707),
    [aux_sym_clone_expression_token1] = ACTIONS(709),
    [aux_sym_print_intrinsic_token1] = ACTIONS(711),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [anon_sym_LBRACK] = ACTIONS(983),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [sym_comment] = ACTIONS(5),
  },
  [441] = {
    [sym_text_interpolation] = STATE(441),
    [sym_qualified_name] = STATE(810),
    [sym__name] = STATE(1626),
    [sym_namespace_name] = STATE(2507),
    [sym_static_modifier] = STATE(2368),
    [sym_anonymous_function] = STATE(1039),
    [sym__anonymous_function_header] = STATE(2318),
    [sym__arrow_function_header] = STATE(2679),
    [sym_arrow_function] = STATE(1039),
    [sym_literal] = STATE(1039),
    [sym_throw_expression] = STATE(1039),
    [sym__unary_expression] = STATE(1040),
    [sym_unary_op_expression] = STATE(1022),
    [sym_error_suppression_expression] = STATE(1040),
    [sym_clone_expression] = STATE(1022),
    [sym_primary_expression] = STATE(1022),
    [sym_parenthesized_expression] = STATE(811),
    [sym_class_constant_access_expression] = STATE(859),
    [sym_print_intrinsic] = STATE(1039),
    [sym_object_creation_expression] = STATE(1039),
    [sym__new_non_dereferencable_expression] = STATE(1009),
    [sym__new_dereferencable_expression] = STATE(842),
    [sym_update_expression] = STATE(1039),
    [sym_cast_expression] = STATE(1022),
    [sym_cast_variable] = STATE(677),
    [sym__variable_member_access_expression] = STATE(613),
    [sym_member_access_expression] = STATE(677),
    [sym__variable_nullsafe_member_access_expression] = STATE(619),
    [sym_nullsafe_member_access_expression] = STATE(677),
    [sym__variable_scoped_property_access_expression] = STATE(602),
    [sym_scoped_property_access_expression] = STATE(677),
    [sym_function_call_expression] = STATE(612),
    [sym__callable_expression] = STATE(2324),
    [sym_scoped_call_expression] = STATE(612),
    [sym__scope_resolution_qualifier] = STATE(2522),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(612),
    [sym_nullsafe_member_call_expression] = STATE(612),
    [sym__variable_subscript_expression] = STATE(610),
    [sym__dereferencable_subscript_expression] = STATE(612),
    [sym__dereferencable_expression] = STATE(1948),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(766),
    [sym_attribute_group] = STATE(1373),
    [sym_attribute_list] = STATE(1879),
    [sym_encapsed_string] = STATE(767),
    [sym_string] = STATE(767),
    [sym_heredoc] = STATE(767),
    [sym_nowdoc] = STATE(767),
    [sym_shell_command_expression] = STATE(1039),
    [sym_boolean] = STATE(1036),
    [sym_null] = STATE(1036),
    [sym__string] = STATE(768),
    [sym_dynamic_variable_name] = STATE(618),
    [sym__simple_variable] = STATE(595),
    [sym__new_variable] = STATE(675),
    [sym__callable_variable] = STATE(666),
    [sym_variable_name] = STATE(618),
    [sym_include_expression] = STATE(1040),
    [sym_include_once_expression] = STATE(1040),
    [sym__reserved_identifier] = STATE(717),
    [sym__identifier] = STATE(1496),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(853),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(613),
    [anon_sym_PLUS] = ACTIONS(617),
    [anon_sym_DASH] = ACTIONS(617),
    [anon_sym_TILDE] = ACTIONS(619),
    [anon_sym_BANG] = ACTIONS(619),
    [anon_sym_AT] = ACTIONS(621),
    [aux_sym_clone_expression_token1] = ACTIONS(623),
    [aux_sym_print_intrinsic_token1] = ACTIONS(625),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [anon_sym_LBRACK] = ACTIONS(983),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_include_expression_token1] = ACTIONS(651),
    [aux_sym_include_once_expression_token1] = ACTIONS(653),
    [sym_comment] = ACTIONS(5),
  },
  [442] = {
    [sym_text_interpolation] = STATE(442),
    [sym_catch_clause] = STATE(452),
    [sym_finally_clause] = STATE(452),
    [aux_sym_try_statement_repeat1] = STATE(442),
    [ts_builtin_sym_end] = ACTIONS(987),
    [sym_name] = ACTIONS(989),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(987),
    [aux_sym_function_static_declaration_token1] = ACTIONS(989),
    [aux_sym_global_declaration_token1] = ACTIONS(989),
    [aux_sym_namespace_definition_token1] = ACTIONS(989),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(989),
    [aux_sym__namespace_use_type_token1] = ACTIONS(989),
    [aux_sym__namespace_use_type_token2] = ACTIONS(989),
    [anon_sym_BSLASH] = ACTIONS(987),
    [anon_sym_LBRACE] = ACTIONS(987),
    [anon_sym_RBRACE] = ACTIONS(987),
    [aux_sym_trait_declaration_token1] = ACTIONS(989),
    [aux_sym_interface_declaration_token1] = ACTIONS(989),
    [aux_sym_enum_declaration_token1] = ACTIONS(989),
    [aux_sym_enum_case_token1] = ACTIONS(989),
    [aux_sym_class_declaration_token1] = ACTIONS(989),
    [aux_sym_final_modifier_token1] = ACTIONS(989),
    [aux_sym_abstract_modifier_token1] = ACTIONS(989),
    [aux_sym_readonly_modifier_token1] = ACTIONS(989),
    [sym_var_modifier] = ACTIONS(989),
    [aux_sym_visibility_modifier_token1] = ACTIONS(989),
    [aux_sym_visibility_modifier_token2] = ACTIONS(989),
    [aux_sym_visibility_modifier_token3] = ACTIONS(989),
    [anon_sym_LPAREN2] = ACTIONS(987),
    [aux_sym__arrow_function_header_token1] = ACTIONS(989),
    [aux_sym_cast_type_token1] = ACTIONS(989),
    [aux_sym_echo_statement_token1] = ACTIONS(989),
    [aux_sym_exit_statement_token1] = ACTIONS(989),
    [anon_sym_unset] = ACTIONS(989),
    [aux_sym_declare_statement_token1] = ACTIONS(989),
    [aux_sym_declare_statement_token2] = ACTIONS(989),
    [sym_float] = ACTIONS(989),
    [aux_sym_try_statement_token1] = ACTIONS(989),
    [aux_sym_catch_clause_token1] = ACTIONS(991),
    [aux_sym_finally_clause_token1] = ACTIONS(994),
    [aux_sym_goto_statement_token1] = ACTIONS(989),
    [aux_sym_continue_statement_token1] = ACTIONS(989),
    [aux_sym_break_statement_token1] = ACTIONS(989),
    [sym_integer] = ACTIONS(989),
    [aux_sym_return_statement_token1] = ACTIONS(989),
    [aux_sym_throw_expression_token1] = ACTIONS(989),
    [aux_sym_while_statement_token1] = ACTIONS(989),
    [aux_sym_while_statement_token2] = ACTIONS(989),
    [aux_sym_do_statement_token1] = ACTIONS(989),
    [aux_sym_for_statement_token1] = ACTIONS(989),
    [aux_sym_for_statement_token2] = ACTIONS(989),
    [aux_sym_foreach_statement_token1] = ACTIONS(989),
    [aux_sym_foreach_statement_token2] = ACTIONS(989),
    [aux_sym_if_statement_token1] = ACTIONS(989),
    [aux_sym_if_statement_token2] = ACTIONS(989),
    [aux_sym_else_if_clause_token1] = ACTIONS(989),
    [aux_sym_else_clause_token1] = ACTIONS(989),
    [aux_sym_match_expression_token1] = ACTIONS(989),
    [aux_sym_match_default_expression_token1] = ACTIONS(989),
    [aux_sym_switch_statement_token1] = ACTIONS(989),
    [aux_sym_switch_block_token1] = ACTIONS(989),
    [anon_sym_PLUS] = ACTIONS(989),
    [anon_sym_DASH] = ACTIONS(989),
    [anon_sym_TILDE] = ACTIONS(987),
    [anon_sym_BANG] = ACTIONS(987),
    [anon_sym_AT] = ACTIONS(987),
    [aux_sym_clone_expression_token1] = ACTIONS(989),
    [aux_sym_print_intrinsic_token1] = ACTIONS(989),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(989),
    [anon_sym_DASH_DASH] = ACTIONS(987),
    [anon_sym_PLUS_PLUS] = ACTIONS(987),
    [aux_sym__list_destructing_token1] = ACTIONS(989),
    [anon_sym_LBRACK] = ACTIONS(987),
    [anon_sym_self] = ACTIONS(989),
    [anon_sym_parent] = ACTIONS(989),
    [aux_sym__argument_name_token1] = ACTIONS(989),
    [aux_sym__argument_name_token2] = ACTIONS(989),
    [anon_sym_POUND_LBRACK] = ACTIONS(987),
    [aux_sym_encapsed_string_token1] = ACTIONS(987),
    [anon_sym_DQUOTE] = ACTIONS(987),
    [aux_sym_string_token1] = ACTIONS(987),
    [anon_sym_SQUOTE] = ACTIONS(987),
    [anon_sym_LT_LT_LT] = ACTIONS(987),
    [anon_sym_BQUOTE] = ACTIONS(987),
    [anon_sym_DOLLAR] = ACTIONS(987),
    [aux_sym_yield_expression_token1] = ACTIONS(989),
    [aux_sym_include_expression_token1] = ACTIONS(989),
    [aux_sym_include_once_expression_token1] = ACTIONS(989),
    [aux_sym_require_expression_token1] = ACTIONS(989),
    [aux_sym_require_once_expression_token1] = ACTIONS(989),
    [sym_comment] = ACTIONS(5),
  },
  [443] = {
    [sym_text_interpolation] = STATE(443),
    [sym_catch_clause] = STATE(452),
    [sym_finally_clause] = STATE(452),
    [aux_sym_try_statement_repeat1] = STATE(442),
    [ts_builtin_sym_end] = ACTIONS(997),
    [sym_name] = ACTIONS(999),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(997),
    [aux_sym_function_static_declaration_token1] = ACTIONS(999),
    [aux_sym_global_declaration_token1] = ACTIONS(999),
    [aux_sym_namespace_definition_token1] = ACTIONS(999),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(999),
    [aux_sym__namespace_use_type_token1] = ACTIONS(999),
    [aux_sym__namespace_use_type_token2] = ACTIONS(999),
    [anon_sym_BSLASH] = ACTIONS(997),
    [anon_sym_LBRACE] = ACTIONS(997),
    [anon_sym_RBRACE] = ACTIONS(997),
    [aux_sym_trait_declaration_token1] = ACTIONS(999),
    [aux_sym_interface_declaration_token1] = ACTIONS(999),
    [aux_sym_enum_declaration_token1] = ACTIONS(999),
    [aux_sym_enum_case_token1] = ACTIONS(999),
    [aux_sym_class_declaration_token1] = ACTIONS(999),
    [aux_sym_final_modifier_token1] = ACTIONS(999),
    [aux_sym_abstract_modifier_token1] = ACTIONS(999),
    [aux_sym_readonly_modifier_token1] = ACTIONS(999),
    [sym_var_modifier] = ACTIONS(999),
    [aux_sym_visibility_modifier_token1] = ACTIONS(999),
    [aux_sym_visibility_modifier_token2] = ACTIONS(999),
    [aux_sym_visibility_modifier_token3] = ACTIONS(999),
    [anon_sym_LPAREN2] = ACTIONS(997),
    [aux_sym__arrow_function_header_token1] = ACTIONS(999),
    [aux_sym_cast_type_token1] = ACTIONS(999),
    [aux_sym_echo_statement_token1] = ACTIONS(999),
    [aux_sym_exit_statement_token1] = ACTIONS(999),
    [anon_sym_unset] = ACTIONS(999),
    [aux_sym_declare_statement_token1] = ACTIONS(999),
    [aux_sym_declare_statement_token2] = ACTIONS(999),
    [sym_float] = ACTIONS(999),
    [aux_sym_try_statement_token1] = ACTIONS(999),
    [aux_sym_catch_clause_token1] = ACTIONS(1001),
    [aux_sym_finally_clause_token1] = ACTIONS(1003),
    [aux_sym_goto_statement_token1] = ACTIONS(999),
    [aux_sym_continue_statement_token1] = ACTIONS(999),
    [aux_sym_break_statement_token1] = ACTIONS(999),
    [sym_integer] = ACTIONS(999),
    [aux_sym_return_statement_token1] = ACTIONS(999),
    [aux_sym_throw_expression_token1] = ACTIONS(999),
    [aux_sym_while_statement_token1] = ACTIONS(999),
    [aux_sym_while_statement_token2] = ACTIONS(999),
    [aux_sym_do_statement_token1] = ACTIONS(999),
    [aux_sym_for_statement_token1] = ACTIONS(999),
    [aux_sym_for_statement_token2] = ACTIONS(999),
    [aux_sym_foreach_statement_token1] = ACTIONS(999),
    [aux_sym_foreach_statement_token2] = ACTIONS(999),
    [aux_sym_if_statement_token1] = ACTIONS(999),
    [aux_sym_if_statement_token2] = ACTIONS(999),
    [aux_sym_else_if_clause_token1] = ACTIONS(999),
    [aux_sym_else_clause_token1] = ACTIONS(999),
    [aux_sym_match_expression_token1] = ACTIONS(999),
    [aux_sym_match_default_expression_token1] = ACTIONS(999),
    [aux_sym_switch_statement_token1] = ACTIONS(999),
    [aux_sym_switch_block_token1] = ACTIONS(999),
    [anon_sym_PLUS] = ACTIONS(999),
    [anon_sym_DASH] = ACTIONS(999),
    [anon_sym_TILDE] = ACTIONS(997),
    [anon_sym_BANG] = ACTIONS(997),
    [anon_sym_AT] = ACTIONS(997),
    [aux_sym_clone_expression_token1] = ACTIONS(999),
    [aux_sym_print_intrinsic_token1] = ACTIONS(999),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(999),
    [anon_sym_DASH_DASH] = ACTIONS(997),
    [anon_sym_PLUS_PLUS] = ACTIONS(997),
    [aux_sym__list_destructing_token1] = ACTIONS(999),
    [anon_sym_LBRACK] = ACTIONS(997),
    [anon_sym_self] = ACTIONS(999),
    [anon_sym_parent] = ACTIONS(999),
    [aux_sym__argument_name_token1] = ACTIONS(999),
    [aux_sym__argument_name_token2] = ACTIONS(999),
    [anon_sym_POUND_LBRACK] = ACTIONS(997),
    [aux_sym_encapsed_string_token1] = ACTIONS(997),
    [anon_sym_DQUOTE] = ACTIONS(997),
    [aux_sym_string_token1] = ACTIONS(997),
    [anon_sym_SQUOTE] = ACTIONS(997),
    [anon_sym_LT_LT_LT] = ACTIONS(997),
    [anon_sym_BQUOTE] = ACTIONS(997),
    [anon_sym_DOLLAR] = ACTIONS(997),
    [aux_sym_yield_expression_token1] = ACTIONS(999),
    [aux_sym_include_expression_token1] = ACTIONS(999),
    [aux_sym_include_once_expression_token1] = ACTIONS(999),
    [aux_sym_require_expression_token1] = ACTIONS(999),
    [aux_sym_require_once_expression_token1] = ACTIONS(999),
    [sym_comment] = ACTIONS(5),
  },
  [444] = {
    [sym_text_interpolation] = STATE(444),
    [sym_else_if_clause] = STATE(474),
    [sym_else_clause] = STATE(524),
    [aux_sym_if_statement_repeat1] = STATE(450),
    [ts_builtin_sym_end] = ACTIONS(1005),
    [sym_name] = ACTIONS(1007),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1005),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1007),
    [aux_sym_global_declaration_token1] = ACTIONS(1007),
    [aux_sym_namespace_definition_token1] = ACTIONS(1007),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1007),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1007),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1007),
    [anon_sym_BSLASH] = ACTIONS(1005),
    [anon_sym_LBRACE] = ACTIONS(1005),
    [anon_sym_RBRACE] = ACTIONS(1005),
    [aux_sym_trait_declaration_token1] = ACTIONS(1007),
    [aux_sym_interface_declaration_token1] = ACTIONS(1007),
    [aux_sym_enum_declaration_token1] = ACTIONS(1007),
    [aux_sym_enum_case_token1] = ACTIONS(1007),
    [aux_sym_class_declaration_token1] = ACTIONS(1007),
    [aux_sym_final_modifier_token1] = ACTIONS(1007),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1007),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1007),
    [sym_var_modifier] = ACTIONS(1007),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1007),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1007),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1007),
    [anon_sym_LPAREN2] = ACTIONS(1005),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1007),
    [aux_sym_cast_type_token1] = ACTIONS(1007),
    [aux_sym_echo_statement_token1] = ACTIONS(1007),
    [aux_sym_exit_statement_token1] = ACTIONS(1007),
    [anon_sym_unset] = ACTIONS(1007),
    [aux_sym_declare_statement_token1] = ACTIONS(1007),
    [aux_sym_declare_statement_token2] = ACTIONS(1007),
    [sym_float] = ACTIONS(1007),
    [aux_sym_try_statement_token1] = ACTIONS(1007),
    [aux_sym_goto_statement_token1] = ACTIONS(1007),
    [aux_sym_continue_statement_token1] = ACTIONS(1007),
    [aux_sym_break_statement_token1] = ACTIONS(1007),
    [sym_integer] = ACTIONS(1007),
    [aux_sym_return_statement_token1] = ACTIONS(1007),
    [aux_sym_throw_expression_token1] = ACTIONS(1007),
    [aux_sym_while_statement_token1] = ACTIONS(1007),
    [aux_sym_while_statement_token2] = ACTIONS(1007),
    [aux_sym_do_statement_token1] = ACTIONS(1007),
    [aux_sym_for_statement_token1] = ACTIONS(1007),
    [aux_sym_for_statement_token2] = ACTIONS(1007),
    [aux_sym_foreach_statement_token1] = ACTIONS(1007),
    [aux_sym_foreach_statement_token2] = ACTIONS(1007),
    [aux_sym_if_statement_token1] = ACTIONS(1007),
    [aux_sym_if_statement_token2] = ACTIONS(1007),
    [aux_sym_else_if_clause_token1] = ACTIONS(1009),
    [aux_sym_else_clause_token1] = ACTIONS(1011),
    [aux_sym_match_expression_token1] = ACTIONS(1007),
    [aux_sym_match_default_expression_token1] = ACTIONS(1007),
    [aux_sym_switch_statement_token1] = ACTIONS(1007),
    [aux_sym_switch_block_token1] = ACTIONS(1007),
    [anon_sym_PLUS] = ACTIONS(1007),
    [anon_sym_DASH] = ACTIONS(1007),
    [anon_sym_TILDE] = ACTIONS(1005),
    [anon_sym_BANG] = ACTIONS(1005),
    [anon_sym_AT] = ACTIONS(1005),
    [aux_sym_clone_expression_token1] = ACTIONS(1007),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1007),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1007),
    [anon_sym_DASH_DASH] = ACTIONS(1005),
    [anon_sym_PLUS_PLUS] = ACTIONS(1005),
    [aux_sym__list_destructing_token1] = ACTIONS(1007),
    [anon_sym_LBRACK] = ACTIONS(1005),
    [anon_sym_self] = ACTIONS(1007),
    [anon_sym_parent] = ACTIONS(1007),
    [aux_sym__argument_name_token1] = ACTIONS(1007),
    [aux_sym__argument_name_token2] = ACTIONS(1007),
    [anon_sym_POUND_LBRACK] = ACTIONS(1005),
    [aux_sym_encapsed_string_token1] = ACTIONS(1005),
    [anon_sym_DQUOTE] = ACTIONS(1005),
    [aux_sym_string_token1] = ACTIONS(1005),
    [anon_sym_SQUOTE] = ACTIONS(1005),
    [anon_sym_LT_LT_LT] = ACTIONS(1005),
    [anon_sym_BQUOTE] = ACTIONS(1005),
    [anon_sym_DOLLAR] = ACTIONS(1005),
    [aux_sym_yield_expression_token1] = ACTIONS(1007),
    [aux_sym_include_expression_token1] = ACTIONS(1007),
    [aux_sym_include_once_expression_token1] = ACTIONS(1007),
    [aux_sym_require_expression_token1] = ACTIONS(1007),
    [aux_sym_require_once_expression_token1] = ACTIONS(1007),
    [sym_comment] = ACTIONS(5),
  },
  [445] = {
    [sym_text_interpolation] = STATE(445),
    [sym_else_if_clause] = STATE(474),
    [sym_else_clause] = STATE(475),
    [aux_sym_if_statement_repeat1] = STATE(444),
    [ts_builtin_sym_end] = ACTIONS(1013),
    [sym_name] = ACTIONS(1015),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1013),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1015),
    [aux_sym_global_declaration_token1] = ACTIONS(1015),
    [aux_sym_namespace_definition_token1] = ACTIONS(1015),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1015),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1015),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1015),
    [anon_sym_BSLASH] = ACTIONS(1013),
    [anon_sym_LBRACE] = ACTIONS(1013),
    [anon_sym_RBRACE] = ACTIONS(1013),
    [aux_sym_trait_declaration_token1] = ACTIONS(1015),
    [aux_sym_interface_declaration_token1] = ACTIONS(1015),
    [aux_sym_enum_declaration_token1] = ACTIONS(1015),
    [aux_sym_enum_case_token1] = ACTIONS(1015),
    [aux_sym_class_declaration_token1] = ACTIONS(1015),
    [aux_sym_final_modifier_token1] = ACTIONS(1015),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1015),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1015),
    [sym_var_modifier] = ACTIONS(1015),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1015),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1015),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1015),
    [anon_sym_LPAREN2] = ACTIONS(1013),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1015),
    [aux_sym_cast_type_token1] = ACTIONS(1015),
    [aux_sym_echo_statement_token1] = ACTIONS(1015),
    [aux_sym_exit_statement_token1] = ACTIONS(1015),
    [anon_sym_unset] = ACTIONS(1015),
    [aux_sym_declare_statement_token1] = ACTIONS(1015),
    [aux_sym_declare_statement_token2] = ACTIONS(1015),
    [sym_float] = ACTIONS(1015),
    [aux_sym_try_statement_token1] = ACTIONS(1015),
    [aux_sym_goto_statement_token1] = ACTIONS(1015),
    [aux_sym_continue_statement_token1] = ACTIONS(1015),
    [aux_sym_break_statement_token1] = ACTIONS(1015),
    [sym_integer] = ACTIONS(1015),
    [aux_sym_return_statement_token1] = ACTIONS(1015),
    [aux_sym_throw_expression_token1] = ACTIONS(1015),
    [aux_sym_while_statement_token1] = ACTIONS(1015),
    [aux_sym_while_statement_token2] = ACTIONS(1015),
    [aux_sym_do_statement_token1] = ACTIONS(1015),
    [aux_sym_for_statement_token1] = ACTIONS(1015),
    [aux_sym_for_statement_token2] = ACTIONS(1015),
    [aux_sym_foreach_statement_token1] = ACTIONS(1015),
    [aux_sym_foreach_statement_token2] = ACTIONS(1015),
    [aux_sym_if_statement_token1] = ACTIONS(1015),
    [aux_sym_if_statement_token2] = ACTIONS(1015),
    [aux_sym_else_if_clause_token1] = ACTIONS(1009),
    [aux_sym_else_clause_token1] = ACTIONS(1011),
    [aux_sym_match_expression_token1] = ACTIONS(1015),
    [aux_sym_match_default_expression_token1] = ACTIONS(1015),
    [aux_sym_switch_statement_token1] = ACTIONS(1015),
    [aux_sym_switch_block_token1] = ACTIONS(1015),
    [anon_sym_PLUS] = ACTIONS(1015),
    [anon_sym_DASH] = ACTIONS(1015),
    [anon_sym_TILDE] = ACTIONS(1013),
    [anon_sym_BANG] = ACTIONS(1013),
    [anon_sym_AT] = ACTIONS(1013),
    [aux_sym_clone_expression_token1] = ACTIONS(1015),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1015),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1015),
    [anon_sym_DASH_DASH] = ACTIONS(1013),
    [anon_sym_PLUS_PLUS] = ACTIONS(1013),
    [aux_sym__list_destructing_token1] = ACTIONS(1015),
    [anon_sym_LBRACK] = ACTIONS(1013),
    [anon_sym_self] = ACTIONS(1015),
    [anon_sym_parent] = ACTIONS(1015),
    [aux_sym__argument_name_token1] = ACTIONS(1015),
    [aux_sym__argument_name_token2] = ACTIONS(1015),
    [anon_sym_POUND_LBRACK] = ACTIONS(1013),
    [aux_sym_encapsed_string_token1] = ACTIONS(1013),
    [anon_sym_DQUOTE] = ACTIONS(1013),
    [aux_sym_string_token1] = ACTIONS(1013),
    [anon_sym_SQUOTE] = ACTIONS(1013),
    [anon_sym_LT_LT_LT] = ACTIONS(1013),
    [anon_sym_BQUOTE] = ACTIONS(1013),
    [anon_sym_DOLLAR] = ACTIONS(1013),
    [aux_sym_yield_expression_token1] = ACTIONS(1015),
    [aux_sym_include_expression_token1] = ACTIONS(1015),
    [aux_sym_include_once_expression_token1] = ACTIONS(1015),
    [aux_sym_require_expression_token1] = ACTIONS(1015),
    [aux_sym_require_once_expression_token1] = ACTIONS(1015),
    [sym_comment] = ACTIONS(5),
  },
  [446] = {
    [sym_text_interpolation] = STATE(446),
    [sym_else_if_clause] = STATE(474),
    [sym_else_clause] = STATE(524),
    [aux_sym_if_statement_repeat1] = STATE(450),
    [ts_builtin_sym_end] = ACTIONS(1005),
    [sym_name] = ACTIONS(1007),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1005),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1007),
    [aux_sym_global_declaration_token1] = ACTIONS(1007),
    [aux_sym_namespace_definition_token1] = ACTIONS(1007),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1007),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1007),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1007),
    [anon_sym_BSLASH] = ACTIONS(1005),
    [anon_sym_LBRACE] = ACTIONS(1005),
    [anon_sym_RBRACE] = ACTIONS(1005),
    [aux_sym_trait_declaration_token1] = ACTIONS(1007),
    [aux_sym_interface_declaration_token1] = ACTIONS(1007),
    [aux_sym_enum_declaration_token1] = ACTIONS(1007),
    [aux_sym_enum_case_token1] = ACTIONS(1007),
    [aux_sym_class_declaration_token1] = ACTIONS(1007),
    [aux_sym_final_modifier_token1] = ACTIONS(1007),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1007),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1007),
    [sym_var_modifier] = ACTIONS(1007),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1007),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1007),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1007),
    [anon_sym_LPAREN2] = ACTIONS(1005),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1007),
    [aux_sym_cast_type_token1] = ACTIONS(1007),
    [aux_sym_echo_statement_token1] = ACTIONS(1007),
    [aux_sym_exit_statement_token1] = ACTIONS(1007),
    [anon_sym_unset] = ACTIONS(1007),
    [aux_sym_declare_statement_token1] = ACTIONS(1007),
    [aux_sym_declare_statement_token2] = ACTIONS(1007),
    [sym_float] = ACTIONS(1007),
    [aux_sym_try_statement_token1] = ACTIONS(1007),
    [aux_sym_goto_statement_token1] = ACTIONS(1007),
    [aux_sym_continue_statement_token1] = ACTIONS(1007),
    [aux_sym_break_statement_token1] = ACTIONS(1007),
    [sym_integer] = ACTIONS(1007),
    [aux_sym_return_statement_token1] = ACTIONS(1007),
    [aux_sym_throw_expression_token1] = ACTIONS(1007),
    [aux_sym_while_statement_token1] = ACTIONS(1007),
    [aux_sym_while_statement_token2] = ACTIONS(1007),
    [aux_sym_do_statement_token1] = ACTIONS(1007),
    [aux_sym_for_statement_token1] = ACTIONS(1007),
    [aux_sym_for_statement_token2] = ACTIONS(1007),
    [aux_sym_foreach_statement_token1] = ACTIONS(1007),
    [aux_sym_foreach_statement_token2] = ACTIONS(1007),
    [aux_sym_if_statement_token1] = ACTIONS(1007),
    [aux_sym_if_statement_token2] = ACTIONS(1007),
    [aux_sym_else_if_clause_token1] = ACTIONS(1017),
    [aux_sym_else_clause_token1] = ACTIONS(1020),
    [aux_sym_match_expression_token1] = ACTIONS(1007),
    [aux_sym_match_default_expression_token1] = ACTIONS(1007),
    [aux_sym_switch_statement_token1] = ACTIONS(1007),
    [aux_sym_switch_block_token1] = ACTIONS(1007),
    [anon_sym_PLUS] = ACTIONS(1007),
    [anon_sym_DASH] = ACTIONS(1007),
    [anon_sym_TILDE] = ACTIONS(1005),
    [anon_sym_BANG] = ACTIONS(1005),
    [anon_sym_AT] = ACTIONS(1005),
    [aux_sym_clone_expression_token1] = ACTIONS(1007),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1007),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1007),
    [anon_sym_DASH_DASH] = ACTIONS(1005),
    [anon_sym_PLUS_PLUS] = ACTIONS(1005),
    [aux_sym__list_destructing_token1] = ACTIONS(1007),
    [anon_sym_LBRACK] = ACTIONS(1005),
    [anon_sym_self] = ACTIONS(1007),
    [anon_sym_parent] = ACTIONS(1007),
    [aux_sym__argument_name_token1] = ACTIONS(1007),
    [aux_sym__argument_name_token2] = ACTIONS(1007),
    [anon_sym_POUND_LBRACK] = ACTIONS(1005),
    [aux_sym_encapsed_string_token1] = ACTIONS(1005),
    [anon_sym_DQUOTE] = ACTIONS(1005),
    [aux_sym_string_token1] = ACTIONS(1005),
    [anon_sym_SQUOTE] = ACTIONS(1005),
    [anon_sym_LT_LT_LT] = ACTIONS(1005),
    [anon_sym_BQUOTE] = ACTIONS(1005),
    [anon_sym_DOLLAR] = ACTIONS(1005),
    [aux_sym_yield_expression_token1] = ACTIONS(1007),
    [aux_sym_include_expression_token1] = ACTIONS(1007),
    [aux_sym_include_once_expression_token1] = ACTIONS(1007),
    [aux_sym_require_expression_token1] = ACTIONS(1007),
    [aux_sym_require_once_expression_token1] = ACTIONS(1007),
    [sym_comment] = ACTIONS(5),
  },
  [447] = {
    [sym_text_interpolation] = STATE(447),
    [sym_else_if_clause] = STATE(474),
    [sym_else_clause] = STATE(475),
    [aux_sym_if_statement_repeat1] = STATE(446),
    [ts_builtin_sym_end] = ACTIONS(1013),
    [sym_name] = ACTIONS(1015),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1013),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1015),
    [aux_sym_global_declaration_token1] = ACTIONS(1015),
    [aux_sym_namespace_definition_token1] = ACTIONS(1015),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1015),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1015),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1015),
    [anon_sym_BSLASH] = ACTIONS(1013),
    [anon_sym_LBRACE] = ACTIONS(1013),
    [anon_sym_RBRACE] = ACTIONS(1013),
    [aux_sym_trait_declaration_token1] = ACTIONS(1015),
    [aux_sym_interface_declaration_token1] = ACTIONS(1015),
    [aux_sym_enum_declaration_token1] = ACTIONS(1015),
    [aux_sym_enum_case_token1] = ACTIONS(1015),
    [aux_sym_class_declaration_token1] = ACTIONS(1015),
    [aux_sym_final_modifier_token1] = ACTIONS(1015),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1015),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1015),
    [sym_var_modifier] = ACTIONS(1015),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1015),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1015),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1015),
    [anon_sym_LPAREN2] = ACTIONS(1013),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1015),
    [aux_sym_cast_type_token1] = ACTIONS(1015),
    [aux_sym_echo_statement_token1] = ACTIONS(1015),
    [aux_sym_exit_statement_token1] = ACTIONS(1015),
    [anon_sym_unset] = ACTIONS(1015),
    [aux_sym_declare_statement_token1] = ACTIONS(1015),
    [aux_sym_declare_statement_token2] = ACTIONS(1015),
    [sym_float] = ACTIONS(1015),
    [aux_sym_try_statement_token1] = ACTIONS(1015),
    [aux_sym_goto_statement_token1] = ACTIONS(1015),
    [aux_sym_continue_statement_token1] = ACTIONS(1015),
    [aux_sym_break_statement_token1] = ACTIONS(1015),
    [sym_integer] = ACTIONS(1015),
    [aux_sym_return_statement_token1] = ACTIONS(1015),
    [aux_sym_throw_expression_token1] = ACTIONS(1015),
    [aux_sym_while_statement_token1] = ACTIONS(1015),
    [aux_sym_while_statement_token2] = ACTIONS(1015),
    [aux_sym_do_statement_token1] = ACTIONS(1015),
    [aux_sym_for_statement_token1] = ACTIONS(1015),
    [aux_sym_for_statement_token2] = ACTIONS(1015),
    [aux_sym_foreach_statement_token1] = ACTIONS(1015),
    [aux_sym_foreach_statement_token2] = ACTIONS(1015),
    [aux_sym_if_statement_token1] = ACTIONS(1015),
    [aux_sym_if_statement_token2] = ACTIONS(1015),
    [aux_sym_else_if_clause_token1] = ACTIONS(1023),
    [aux_sym_else_clause_token1] = ACTIONS(1026),
    [aux_sym_match_expression_token1] = ACTIONS(1015),
    [aux_sym_match_default_expression_token1] = ACTIONS(1015),
    [aux_sym_switch_statement_token1] = ACTIONS(1015),
    [aux_sym_switch_block_token1] = ACTIONS(1015),
    [anon_sym_PLUS] = ACTIONS(1015),
    [anon_sym_DASH] = ACTIONS(1015),
    [anon_sym_TILDE] = ACTIONS(1013),
    [anon_sym_BANG] = ACTIONS(1013),
    [anon_sym_AT] = ACTIONS(1013),
    [aux_sym_clone_expression_token1] = ACTIONS(1015),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1015),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1015),
    [anon_sym_DASH_DASH] = ACTIONS(1013),
    [anon_sym_PLUS_PLUS] = ACTIONS(1013),
    [aux_sym__list_destructing_token1] = ACTIONS(1015),
    [anon_sym_LBRACK] = ACTIONS(1013),
    [anon_sym_self] = ACTIONS(1015),
    [anon_sym_parent] = ACTIONS(1015),
    [aux_sym__argument_name_token1] = ACTIONS(1015),
    [aux_sym__argument_name_token2] = ACTIONS(1015),
    [anon_sym_POUND_LBRACK] = ACTIONS(1013),
    [aux_sym_encapsed_string_token1] = ACTIONS(1013),
    [anon_sym_DQUOTE] = ACTIONS(1013),
    [aux_sym_string_token1] = ACTIONS(1013),
    [anon_sym_SQUOTE] = ACTIONS(1013),
    [anon_sym_LT_LT_LT] = ACTIONS(1013),
    [anon_sym_BQUOTE] = ACTIONS(1013),
    [anon_sym_DOLLAR] = ACTIONS(1013),
    [aux_sym_yield_expression_token1] = ACTIONS(1015),
    [aux_sym_include_expression_token1] = ACTIONS(1015),
    [aux_sym_include_once_expression_token1] = ACTIONS(1015),
    [aux_sym_require_expression_token1] = ACTIONS(1015),
    [aux_sym_require_once_expression_token1] = ACTIONS(1015),
    [sym_comment] = ACTIONS(5),
  },
  [448] = {
    [sym_text_interpolation] = STATE(448),
    [ts_builtin_sym_end] = ACTIONS(1029),
    [sym_name] = ACTIONS(1031),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1029),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1031),
    [aux_sym_global_declaration_token1] = ACTIONS(1031),
    [aux_sym_namespace_definition_token1] = ACTIONS(1031),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1031),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1031),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1031),
    [anon_sym_BSLASH] = ACTIONS(1029),
    [anon_sym_LBRACE] = ACTIONS(1029),
    [anon_sym_RBRACE] = ACTIONS(1029),
    [aux_sym_trait_declaration_token1] = ACTIONS(1031),
    [aux_sym_interface_declaration_token1] = ACTIONS(1031),
    [aux_sym_enum_declaration_token1] = ACTIONS(1031),
    [aux_sym_enum_case_token1] = ACTIONS(1031),
    [aux_sym_class_declaration_token1] = ACTIONS(1031),
    [aux_sym_final_modifier_token1] = ACTIONS(1031),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1031),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1031),
    [sym_var_modifier] = ACTIONS(1031),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1031),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1031),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1031),
    [anon_sym_LPAREN2] = ACTIONS(1029),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1031),
    [aux_sym_cast_type_token1] = ACTIONS(1031),
    [aux_sym_echo_statement_token1] = ACTIONS(1031),
    [aux_sym_exit_statement_token1] = ACTIONS(1031),
    [anon_sym_unset] = ACTIONS(1031),
    [aux_sym_declare_statement_token1] = ACTIONS(1031),
    [aux_sym_declare_statement_token2] = ACTIONS(1031),
    [sym_float] = ACTIONS(1031),
    [aux_sym_try_statement_token1] = ACTIONS(1031),
    [aux_sym_catch_clause_token1] = ACTIONS(1031),
    [aux_sym_finally_clause_token1] = ACTIONS(1031),
    [aux_sym_goto_statement_token1] = ACTIONS(1031),
    [aux_sym_continue_statement_token1] = ACTIONS(1031),
    [aux_sym_break_statement_token1] = ACTIONS(1031),
    [sym_integer] = ACTIONS(1031),
    [aux_sym_return_statement_token1] = ACTIONS(1031),
    [aux_sym_throw_expression_token1] = ACTIONS(1031),
    [aux_sym_while_statement_token1] = ACTIONS(1031),
    [aux_sym_while_statement_token2] = ACTIONS(1031),
    [aux_sym_do_statement_token1] = ACTIONS(1031),
    [aux_sym_for_statement_token1] = ACTIONS(1031),
    [aux_sym_for_statement_token2] = ACTIONS(1031),
    [aux_sym_foreach_statement_token1] = ACTIONS(1031),
    [aux_sym_foreach_statement_token2] = ACTIONS(1031),
    [aux_sym_if_statement_token1] = ACTIONS(1031),
    [aux_sym_if_statement_token2] = ACTIONS(1031),
    [aux_sym_else_if_clause_token1] = ACTIONS(1031),
    [aux_sym_else_clause_token1] = ACTIONS(1031),
    [aux_sym_match_expression_token1] = ACTIONS(1031),
    [aux_sym_match_default_expression_token1] = ACTIONS(1031),
    [aux_sym_switch_statement_token1] = ACTIONS(1031),
    [aux_sym_switch_block_token1] = ACTIONS(1031),
    [anon_sym_PLUS] = ACTIONS(1031),
    [anon_sym_DASH] = ACTIONS(1031),
    [anon_sym_TILDE] = ACTIONS(1029),
    [anon_sym_BANG] = ACTIONS(1029),
    [anon_sym_AT] = ACTIONS(1029),
    [aux_sym_clone_expression_token1] = ACTIONS(1031),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1031),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1031),
    [anon_sym_DASH_DASH] = ACTIONS(1029),
    [anon_sym_PLUS_PLUS] = ACTIONS(1029),
    [aux_sym__list_destructing_token1] = ACTIONS(1031),
    [anon_sym_LBRACK] = ACTIONS(1029),
    [anon_sym_self] = ACTIONS(1031),
    [anon_sym_parent] = ACTIONS(1031),
    [aux_sym__argument_name_token1] = ACTIONS(1031),
    [aux_sym__argument_name_token2] = ACTIONS(1031),
    [anon_sym_POUND_LBRACK] = ACTIONS(1029),
    [aux_sym_encapsed_string_token1] = ACTIONS(1029),
    [anon_sym_DQUOTE] = ACTIONS(1029),
    [aux_sym_string_token1] = ACTIONS(1029),
    [anon_sym_SQUOTE] = ACTIONS(1029),
    [anon_sym_LT_LT_LT] = ACTIONS(1029),
    [anon_sym_BQUOTE] = ACTIONS(1029),
    [anon_sym_DOLLAR] = ACTIONS(1029),
    [aux_sym_yield_expression_token1] = ACTIONS(1031),
    [aux_sym_include_expression_token1] = ACTIONS(1031),
    [aux_sym_include_once_expression_token1] = ACTIONS(1031),
    [aux_sym_require_expression_token1] = ACTIONS(1031),
    [aux_sym_require_once_expression_token1] = ACTIONS(1031),
    [sym_comment] = ACTIONS(5),
  },
  [449] = {
    [sym_text_interpolation] = STATE(449),
    [ts_builtin_sym_end] = ACTIONS(1033),
    [sym_name] = ACTIONS(1035),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1033),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1035),
    [aux_sym_global_declaration_token1] = ACTIONS(1035),
    [aux_sym_namespace_definition_token1] = ACTIONS(1035),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1035),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1035),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1035),
    [anon_sym_BSLASH] = ACTIONS(1033),
    [anon_sym_LBRACE] = ACTIONS(1033),
    [anon_sym_RBRACE] = ACTIONS(1033),
    [aux_sym_trait_declaration_token1] = ACTIONS(1035),
    [aux_sym_interface_declaration_token1] = ACTIONS(1035),
    [aux_sym_enum_declaration_token1] = ACTIONS(1035),
    [aux_sym_enum_case_token1] = ACTIONS(1035),
    [aux_sym_class_declaration_token1] = ACTIONS(1035),
    [aux_sym_final_modifier_token1] = ACTIONS(1035),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1035),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1035),
    [sym_var_modifier] = ACTIONS(1035),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1035),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1035),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1035),
    [anon_sym_LPAREN2] = ACTIONS(1033),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1035),
    [aux_sym_cast_type_token1] = ACTIONS(1035),
    [aux_sym_echo_statement_token1] = ACTIONS(1035),
    [aux_sym_exit_statement_token1] = ACTIONS(1035),
    [anon_sym_unset] = ACTIONS(1035),
    [aux_sym_declare_statement_token1] = ACTIONS(1035),
    [aux_sym_declare_statement_token2] = ACTIONS(1035),
    [sym_float] = ACTIONS(1035),
    [aux_sym_try_statement_token1] = ACTIONS(1035),
    [aux_sym_catch_clause_token1] = ACTIONS(1035),
    [aux_sym_finally_clause_token1] = ACTIONS(1035),
    [aux_sym_goto_statement_token1] = ACTIONS(1035),
    [aux_sym_continue_statement_token1] = ACTIONS(1035),
    [aux_sym_break_statement_token1] = ACTIONS(1035),
    [sym_integer] = ACTIONS(1035),
    [aux_sym_return_statement_token1] = ACTIONS(1035),
    [aux_sym_throw_expression_token1] = ACTIONS(1035),
    [aux_sym_while_statement_token1] = ACTIONS(1035),
    [aux_sym_while_statement_token2] = ACTIONS(1035),
    [aux_sym_do_statement_token1] = ACTIONS(1035),
    [aux_sym_for_statement_token1] = ACTIONS(1035),
    [aux_sym_for_statement_token2] = ACTIONS(1035),
    [aux_sym_foreach_statement_token1] = ACTIONS(1035),
    [aux_sym_foreach_statement_token2] = ACTIONS(1035),
    [aux_sym_if_statement_token1] = ACTIONS(1035),
    [aux_sym_if_statement_token2] = ACTIONS(1035),
    [aux_sym_else_if_clause_token1] = ACTIONS(1035),
    [aux_sym_else_clause_token1] = ACTIONS(1035),
    [aux_sym_match_expression_token1] = ACTIONS(1035),
    [aux_sym_match_default_expression_token1] = ACTIONS(1035),
    [aux_sym_switch_statement_token1] = ACTIONS(1035),
    [aux_sym_switch_block_token1] = ACTIONS(1035),
    [anon_sym_PLUS] = ACTIONS(1035),
    [anon_sym_DASH] = ACTIONS(1035),
    [anon_sym_TILDE] = ACTIONS(1033),
    [anon_sym_BANG] = ACTIONS(1033),
    [anon_sym_AT] = ACTIONS(1033),
    [aux_sym_clone_expression_token1] = ACTIONS(1035),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1035),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1035),
    [anon_sym_DASH_DASH] = ACTIONS(1033),
    [anon_sym_PLUS_PLUS] = ACTIONS(1033),
    [aux_sym__list_destructing_token1] = ACTIONS(1035),
    [anon_sym_LBRACK] = ACTIONS(1033),
    [anon_sym_self] = ACTIONS(1035),
    [anon_sym_parent] = ACTIONS(1035),
    [aux_sym__argument_name_token1] = ACTIONS(1035),
    [aux_sym__argument_name_token2] = ACTIONS(1035),
    [anon_sym_POUND_LBRACK] = ACTIONS(1033),
    [aux_sym_encapsed_string_token1] = ACTIONS(1033),
    [anon_sym_DQUOTE] = ACTIONS(1033),
    [aux_sym_string_token1] = ACTIONS(1033),
    [anon_sym_SQUOTE] = ACTIONS(1033),
    [anon_sym_LT_LT_LT] = ACTIONS(1033),
    [anon_sym_BQUOTE] = ACTIONS(1033),
    [anon_sym_DOLLAR] = ACTIONS(1033),
    [aux_sym_yield_expression_token1] = ACTIONS(1035),
    [aux_sym_include_expression_token1] = ACTIONS(1035),
    [aux_sym_include_once_expression_token1] = ACTIONS(1035),
    [aux_sym_require_expression_token1] = ACTIONS(1035),
    [aux_sym_require_once_expression_token1] = ACTIONS(1035),
    [sym_comment] = ACTIONS(5),
  },
  [450] = {
    [sym_text_interpolation] = STATE(450),
    [sym_else_if_clause] = STATE(474),
    [aux_sym_if_statement_repeat1] = STATE(450),
    [ts_builtin_sym_end] = ACTIONS(1037),
    [sym_name] = ACTIONS(1039),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1037),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1039),
    [aux_sym_global_declaration_token1] = ACTIONS(1039),
    [aux_sym_namespace_definition_token1] = ACTIONS(1039),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1039),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1039),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1039),
    [anon_sym_BSLASH] = ACTIONS(1037),
    [anon_sym_LBRACE] = ACTIONS(1037),
    [anon_sym_RBRACE] = ACTIONS(1037),
    [aux_sym_trait_declaration_token1] = ACTIONS(1039),
    [aux_sym_interface_declaration_token1] = ACTIONS(1039),
    [aux_sym_enum_declaration_token1] = ACTIONS(1039),
    [aux_sym_enum_case_token1] = ACTIONS(1039),
    [aux_sym_class_declaration_token1] = ACTIONS(1039),
    [aux_sym_final_modifier_token1] = ACTIONS(1039),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1039),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1039),
    [sym_var_modifier] = ACTIONS(1039),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1039),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1039),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1039),
    [anon_sym_LPAREN2] = ACTIONS(1037),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1039),
    [aux_sym_cast_type_token1] = ACTIONS(1039),
    [aux_sym_echo_statement_token1] = ACTIONS(1039),
    [aux_sym_exit_statement_token1] = ACTIONS(1039),
    [anon_sym_unset] = ACTIONS(1039),
    [aux_sym_declare_statement_token1] = ACTIONS(1039),
    [aux_sym_declare_statement_token2] = ACTIONS(1039),
    [sym_float] = ACTIONS(1039),
    [aux_sym_try_statement_token1] = ACTIONS(1039),
    [aux_sym_goto_statement_token1] = ACTIONS(1039),
    [aux_sym_continue_statement_token1] = ACTIONS(1039),
    [aux_sym_break_statement_token1] = ACTIONS(1039),
    [sym_integer] = ACTIONS(1039),
    [aux_sym_return_statement_token1] = ACTIONS(1039),
    [aux_sym_throw_expression_token1] = ACTIONS(1039),
    [aux_sym_while_statement_token1] = ACTIONS(1039),
    [aux_sym_while_statement_token2] = ACTIONS(1039),
    [aux_sym_do_statement_token1] = ACTIONS(1039),
    [aux_sym_for_statement_token1] = ACTIONS(1039),
    [aux_sym_for_statement_token2] = ACTIONS(1039),
    [aux_sym_foreach_statement_token1] = ACTIONS(1039),
    [aux_sym_foreach_statement_token2] = ACTIONS(1039),
    [aux_sym_if_statement_token1] = ACTIONS(1039),
    [aux_sym_if_statement_token2] = ACTIONS(1039),
    [aux_sym_else_if_clause_token1] = ACTIONS(1041),
    [aux_sym_else_clause_token1] = ACTIONS(1039),
    [aux_sym_match_expression_token1] = ACTIONS(1039),
    [aux_sym_match_default_expression_token1] = ACTIONS(1039),
    [aux_sym_switch_statement_token1] = ACTIONS(1039),
    [aux_sym_switch_block_token1] = ACTIONS(1039),
    [anon_sym_PLUS] = ACTIONS(1039),
    [anon_sym_DASH] = ACTIONS(1039),
    [anon_sym_TILDE] = ACTIONS(1037),
    [anon_sym_BANG] = ACTIONS(1037),
    [anon_sym_AT] = ACTIONS(1037),
    [aux_sym_clone_expression_token1] = ACTIONS(1039),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1039),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1039),
    [anon_sym_DASH_DASH] = ACTIONS(1037),
    [anon_sym_PLUS_PLUS] = ACTIONS(1037),
    [aux_sym__list_destructing_token1] = ACTIONS(1039),
    [anon_sym_LBRACK] = ACTIONS(1037),
    [anon_sym_self] = ACTIONS(1039),
    [anon_sym_parent] = ACTIONS(1039),
    [aux_sym__argument_name_token1] = ACTIONS(1039),
    [aux_sym__argument_name_token2] = ACTIONS(1039),
    [anon_sym_POUND_LBRACK] = ACTIONS(1037),
    [aux_sym_encapsed_string_token1] = ACTIONS(1037),
    [anon_sym_DQUOTE] = ACTIONS(1037),
    [aux_sym_string_token1] = ACTIONS(1037),
    [anon_sym_SQUOTE] = ACTIONS(1037),
    [anon_sym_LT_LT_LT] = ACTIONS(1037),
    [anon_sym_BQUOTE] = ACTIONS(1037),
    [anon_sym_DOLLAR] = ACTIONS(1037),
    [aux_sym_yield_expression_token1] = ACTIONS(1039),
    [aux_sym_include_expression_token1] = ACTIONS(1039),
    [aux_sym_include_once_expression_token1] = ACTIONS(1039),
    [aux_sym_require_expression_token1] = ACTIONS(1039),
    [aux_sym_require_once_expression_token1] = ACTIONS(1039),
    [sym_comment] = ACTIONS(5),
  },
  [451] = {
    [sym_text_interpolation] = STATE(451),
    [ts_builtin_sym_end] = ACTIONS(1044),
    [sym_name] = ACTIONS(1046),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1044),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1046),
    [aux_sym_global_declaration_token1] = ACTIONS(1046),
    [aux_sym_namespace_definition_token1] = ACTIONS(1046),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1046),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1046),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1046),
    [anon_sym_BSLASH] = ACTIONS(1044),
    [anon_sym_LBRACE] = ACTIONS(1044),
    [anon_sym_RBRACE] = ACTIONS(1044),
    [aux_sym_trait_declaration_token1] = ACTIONS(1046),
    [aux_sym_interface_declaration_token1] = ACTIONS(1046),
    [aux_sym_enum_declaration_token1] = ACTIONS(1046),
    [aux_sym_enum_case_token1] = ACTIONS(1046),
    [aux_sym_class_declaration_token1] = ACTIONS(1046),
    [aux_sym_final_modifier_token1] = ACTIONS(1046),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1046),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1046),
    [sym_var_modifier] = ACTIONS(1046),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1046),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1046),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1046),
    [anon_sym_LPAREN2] = ACTIONS(1044),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1046),
    [aux_sym_cast_type_token1] = ACTIONS(1046),
    [aux_sym_echo_statement_token1] = ACTIONS(1046),
    [aux_sym_exit_statement_token1] = ACTIONS(1046),
    [anon_sym_unset] = ACTIONS(1046),
    [aux_sym_declare_statement_token1] = ACTIONS(1046),
    [aux_sym_declare_statement_token2] = ACTIONS(1046),
    [sym_float] = ACTIONS(1046),
    [aux_sym_try_statement_token1] = ACTIONS(1046),
    [aux_sym_catch_clause_token1] = ACTIONS(1046),
    [aux_sym_finally_clause_token1] = ACTIONS(1046),
    [aux_sym_goto_statement_token1] = ACTIONS(1046),
    [aux_sym_continue_statement_token1] = ACTIONS(1046),
    [aux_sym_break_statement_token1] = ACTIONS(1046),
    [sym_integer] = ACTIONS(1046),
    [aux_sym_return_statement_token1] = ACTIONS(1046),
    [aux_sym_throw_expression_token1] = ACTIONS(1046),
    [aux_sym_while_statement_token1] = ACTIONS(1046),
    [aux_sym_while_statement_token2] = ACTIONS(1046),
    [aux_sym_do_statement_token1] = ACTIONS(1046),
    [aux_sym_for_statement_token1] = ACTIONS(1046),
    [aux_sym_for_statement_token2] = ACTIONS(1046),
    [aux_sym_foreach_statement_token1] = ACTIONS(1046),
    [aux_sym_foreach_statement_token2] = ACTIONS(1046),
    [aux_sym_if_statement_token1] = ACTIONS(1046),
    [aux_sym_if_statement_token2] = ACTIONS(1046),
    [aux_sym_else_if_clause_token1] = ACTIONS(1046),
    [aux_sym_else_clause_token1] = ACTIONS(1046),
    [aux_sym_match_expression_token1] = ACTIONS(1046),
    [aux_sym_match_default_expression_token1] = ACTIONS(1046),
    [aux_sym_switch_statement_token1] = ACTIONS(1046),
    [aux_sym_switch_block_token1] = ACTIONS(1046),
    [anon_sym_PLUS] = ACTIONS(1046),
    [anon_sym_DASH] = ACTIONS(1046),
    [anon_sym_TILDE] = ACTIONS(1044),
    [anon_sym_BANG] = ACTIONS(1044),
    [anon_sym_AT] = ACTIONS(1044),
    [aux_sym_clone_expression_token1] = ACTIONS(1046),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1046),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1046),
    [anon_sym_DASH_DASH] = ACTIONS(1044),
    [anon_sym_PLUS_PLUS] = ACTIONS(1044),
    [aux_sym__list_destructing_token1] = ACTIONS(1046),
    [anon_sym_LBRACK] = ACTIONS(1044),
    [anon_sym_self] = ACTIONS(1046),
    [anon_sym_parent] = ACTIONS(1046),
    [aux_sym__argument_name_token1] = ACTIONS(1046),
    [aux_sym__argument_name_token2] = ACTIONS(1046),
    [anon_sym_POUND_LBRACK] = ACTIONS(1044),
    [aux_sym_encapsed_string_token1] = ACTIONS(1044),
    [anon_sym_DQUOTE] = ACTIONS(1044),
    [aux_sym_string_token1] = ACTIONS(1044),
    [anon_sym_SQUOTE] = ACTIONS(1044),
    [anon_sym_LT_LT_LT] = ACTIONS(1044),
    [anon_sym_BQUOTE] = ACTIONS(1044),
    [anon_sym_DOLLAR] = ACTIONS(1044),
    [aux_sym_yield_expression_token1] = ACTIONS(1046),
    [aux_sym_include_expression_token1] = ACTIONS(1046),
    [aux_sym_include_once_expression_token1] = ACTIONS(1046),
    [aux_sym_require_expression_token1] = ACTIONS(1046),
    [aux_sym_require_once_expression_token1] = ACTIONS(1046),
    [sym_comment] = ACTIONS(5),
  },
  [452] = {
    [sym_text_interpolation] = STATE(452),
    [ts_builtin_sym_end] = ACTIONS(1048),
    [sym_name] = ACTIONS(1050),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1048),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1050),
    [aux_sym_global_declaration_token1] = ACTIONS(1050),
    [aux_sym_namespace_definition_token1] = ACTIONS(1050),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1050),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1050),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1050),
    [anon_sym_BSLASH] = ACTIONS(1048),
    [anon_sym_LBRACE] = ACTIONS(1048),
    [anon_sym_RBRACE] = ACTIONS(1048),
    [aux_sym_trait_declaration_token1] = ACTIONS(1050),
    [aux_sym_interface_declaration_token1] = ACTIONS(1050),
    [aux_sym_enum_declaration_token1] = ACTIONS(1050),
    [aux_sym_enum_case_token1] = ACTIONS(1050),
    [aux_sym_class_declaration_token1] = ACTIONS(1050),
    [aux_sym_final_modifier_token1] = ACTIONS(1050),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1050),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1050),
    [sym_var_modifier] = ACTIONS(1050),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1050),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1050),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1050),
    [anon_sym_LPAREN2] = ACTIONS(1048),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1050),
    [aux_sym_cast_type_token1] = ACTIONS(1050),
    [aux_sym_echo_statement_token1] = ACTIONS(1050),
    [aux_sym_exit_statement_token1] = ACTIONS(1050),
    [anon_sym_unset] = ACTIONS(1050),
    [aux_sym_declare_statement_token1] = ACTIONS(1050),
    [aux_sym_declare_statement_token2] = ACTIONS(1050),
    [sym_float] = ACTIONS(1050),
    [aux_sym_try_statement_token1] = ACTIONS(1050),
    [aux_sym_catch_clause_token1] = ACTIONS(1050),
    [aux_sym_finally_clause_token1] = ACTIONS(1050),
    [aux_sym_goto_statement_token1] = ACTIONS(1050),
    [aux_sym_continue_statement_token1] = ACTIONS(1050),
    [aux_sym_break_statement_token1] = ACTIONS(1050),
    [sym_integer] = ACTIONS(1050),
    [aux_sym_return_statement_token1] = ACTIONS(1050),
    [aux_sym_throw_expression_token1] = ACTIONS(1050),
    [aux_sym_while_statement_token1] = ACTIONS(1050),
    [aux_sym_while_statement_token2] = ACTIONS(1050),
    [aux_sym_do_statement_token1] = ACTIONS(1050),
    [aux_sym_for_statement_token1] = ACTIONS(1050),
    [aux_sym_for_statement_token2] = ACTIONS(1050),
    [aux_sym_foreach_statement_token1] = ACTIONS(1050),
    [aux_sym_foreach_statement_token2] = ACTIONS(1050),
    [aux_sym_if_statement_token1] = ACTIONS(1050),
    [aux_sym_if_statement_token2] = ACTIONS(1050),
    [aux_sym_else_if_clause_token1] = ACTIONS(1050),
    [aux_sym_else_clause_token1] = ACTIONS(1050),
    [aux_sym_match_expression_token1] = ACTIONS(1050),
    [aux_sym_match_default_expression_token1] = ACTIONS(1050),
    [aux_sym_switch_statement_token1] = ACTIONS(1050),
    [aux_sym_switch_block_token1] = ACTIONS(1050),
    [anon_sym_PLUS] = ACTIONS(1050),
    [anon_sym_DASH] = ACTIONS(1050),
    [anon_sym_TILDE] = ACTIONS(1048),
    [anon_sym_BANG] = ACTIONS(1048),
    [anon_sym_AT] = ACTIONS(1048),
    [aux_sym_clone_expression_token1] = ACTIONS(1050),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1050),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1050),
    [anon_sym_DASH_DASH] = ACTIONS(1048),
    [anon_sym_PLUS_PLUS] = ACTIONS(1048),
    [aux_sym__list_destructing_token1] = ACTIONS(1050),
    [anon_sym_LBRACK] = ACTIONS(1048),
    [anon_sym_self] = ACTIONS(1050),
    [anon_sym_parent] = ACTIONS(1050),
    [aux_sym__argument_name_token1] = ACTIONS(1050),
    [aux_sym__argument_name_token2] = ACTIONS(1050),
    [anon_sym_POUND_LBRACK] = ACTIONS(1048),
    [aux_sym_encapsed_string_token1] = ACTIONS(1048),
    [anon_sym_DQUOTE] = ACTIONS(1048),
    [aux_sym_string_token1] = ACTIONS(1048),
    [anon_sym_SQUOTE] = ACTIONS(1048),
    [anon_sym_LT_LT_LT] = ACTIONS(1048),
    [anon_sym_BQUOTE] = ACTIONS(1048),
    [anon_sym_DOLLAR] = ACTIONS(1048),
    [aux_sym_yield_expression_token1] = ACTIONS(1050),
    [aux_sym_include_expression_token1] = ACTIONS(1050),
    [aux_sym_include_once_expression_token1] = ACTIONS(1050),
    [aux_sym_require_expression_token1] = ACTIONS(1050),
    [aux_sym_require_once_expression_token1] = ACTIONS(1050),
    [sym_comment] = ACTIONS(5),
  },
  [453] = {
    [sym_text_interpolation] = STATE(453),
    [ts_builtin_sym_end] = ACTIONS(1052),
    [sym_name] = ACTIONS(1054),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1052),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1054),
    [aux_sym_global_declaration_token1] = ACTIONS(1054),
    [aux_sym_namespace_definition_token1] = ACTIONS(1054),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1054),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1054),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1054),
    [anon_sym_BSLASH] = ACTIONS(1052),
    [anon_sym_LBRACE] = ACTIONS(1052),
    [anon_sym_RBRACE] = ACTIONS(1052),
    [aux_sym_trait_declaration_token1] = ACTIONS(1054),
    [aux_sym_interface_declaration_token1] = ACTIONS(1054),
    [aux_sym_enum_declaration_token1] = ACTIONS(1054),
    [aux_sym_enum_case_token1] = ACTIONS(1054),
    [aux_sym_class_declaration_token1] = ACTIONS(1054),
    [aux_sym_final_modifier_token1] = ACTIONS(1054),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1054),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1054),
    [sym_var_modifier] = ACTIONS(1054),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1054),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1054),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1054),
    [anon_sym_LPAREN2] = ACTIONS(1052),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1054),
    [aux_sym_cast_type_token1] = ACTIONS(1054),
    [aux_sym_echo_statement_token1] = ACTIONS(1054),
    [aux_sym_exit_statement_token1] = ACTIONS(1054),
    [anon_sym_unset] = ACTIONS(1054),
    [aux_sym_declare_statement_token1] = ACTIONS(1054),
    [aux_sym_declare_statement_token2] = ACTIONS(1054),
    [sym_float] = ACTIONS(1054),
    [aux_sym_try_statement_token1] = ACTIONS(1054),
    [aux_sym_catch_clause_token1] = ACTIONS(1054),
    [aux_sym_finally_clause_token1] = ACTIONS(1054),
    [aux_sym_goto_statement_token1] = ACTIONS(1054),
    [aux_sym_continue_statement_token1] = ACTIONS(1054),
    [aux_sym_break_statement_token1] = ACTIONS(1054),
    [sym_integer] = ACTIONS(1054),
    [aux_sym_return_statement_token1] = ACTIONS(1054),
    [aux_sym_throw_expression_token1] = ACTIONS(1054),
    [aux_sym_while_statement_token1] = ACTIONS(1054),
    [aux_sym_while_statement_token2] = ACTIONS(1054),
    [aux_sym_do_statement_token1] = ACTIONS(1054),
    [aux_sym_for_statement_token1] = ACTIONS(1054),
    [aux_sym_for_statement_token2] = ACTIONS(1054),
    [aux_sym_foreach_statement_token1] = ACTIONS(1054),
    [aux_sym_foreach_statement_token2] = ACTIONS(1054),
    [aux_sym_if_statement_token1] = ACTIONS(1054),
    [aux_sym_if_statement_token2] = ACTIONS(1054),
    [aux_sym_else_if_clause_token1] = ACTIONS(1054),
    [aux_sym_else_clause_token1] = ACTIONS(1054),
    [aux_sym_match_expression_token1] = ACTIONS(1054),
    [aux_sym_match_default_expression_token1] = ACTIONS(1054),
    [aux_sym_switch_statement_token1] = ACTIONS(1054),
    [aux_sym_switch_block_token1] = ACTIONS(1054),
    [anon_sym_PLUS] = ACTIONS(1054),
    [anon_sym_DASH] = ACTIONS(1054),
    [anon_sym_TILDE] = ACTIONS(1052),
    [anon_sym_BANG] = ACTIONS(1052),
    [anon_sym_AT] = ACTIONS(1052),
    [aux_sym_clone_expression_token1] = ACTIONS(1054),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1054),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1054),
    [anon_sym_DASH_DASH] = ACTIONS(1052),
    [anon_sym_PLUS_PLUS] = ACTIONS(1052),
    [aux_sym__list_destructing_token1] = ACTIONS(1054),
    [anon_sym_LBRACK] = ACTIONS(1052),
    [anon_sym_self] = ACTIONS(1054),
    [anon_sym_parent] = ACTIONS(1054),
    [aux_sym__argument_name_token1] = ACTIONS(1054),
    [aux_sym__argument_name_token2] = ACTIONS(1054),
    [anon_sym_POUND_LBRACK] = ACTIONS(1052),
    [aux_sym_encapsed_string_token1] = ACTIONS(1052),
    [anon_sym_DQUOTE] = ACTIONS(1052),
    [aux_sym_string_token1] = ACTIONS(1052),
    [anon_sym_SQUOTE] = ACTIONS(1052),
    [anon_sym_LT_LT_LT] = ACTIONS(1052),
    [anon_sym_BQUOTE] = ACTIONS(1052),
    [anon_sym_DOLLAR] = ACTIONS(1052),
    [aux_sym_yield_expression_token1] = ACTIONS(1054),
    [aux_sym_include_expression_token1] = ACTIONS(1054),
    [aux_sym_include_once_expression_token1] = ACTIONS(1054),
    [aux_sym_require_expression_token1] = ACTIONS(1054),
    [aux_sym_require_once_expression_token1] = ACTIONS(1054),
    [sym_comment] = ACTIONS(5),
  },
  [454] = {
    [sym_text_interpolation] = STATE(454),
    [ts_builtin_sym_end] = ACTIONS(1056),
    [sym_name] = ACTIONS(1058),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1056),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1058),
    [aux_sym_global_declaration_token1] = ACTIONS(1058),
    [aux_sym_namespace_definition_token1] = ACTIONS(1058),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1058),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1058),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1058),
    [anon_sym_BSLASH] = ACTIONS(1056),
    [anon_sym_LBRACE] = ACTIONS(1056),
    [anon_sym_RBRACE] = ACTIONS(1056),
    [aux_sym_trait_declaration_token1] = ACTIONS(1058),
    [aux_sym_interface_declaration_token1] = ACTIONS(1058),
    [aux_sym_enum_declaration_token1] = ACTIONS(1058),
    [aux_sym_enum_case_token1] = ACTIONS(1058),
    [aux_sym_class_declaration_token1] = ACTIONS(1058),
    [aux_sym_final_modifier_token1] = ACTIONS(1058),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1058),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1058),
    [sym_var_modifier] = ACTIONS(1058),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1058),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1058),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1058),
    [anon_sym_LPAREN2] = ACTIONS(1056),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1058),
    [aux_sym_cast_type_token1] = ACTIONS(1058),
    [aux_sym_echo_statement_token1] = ACTIONS(1058),
    [aux_sym_exit_statement_token1] = ACTIONS(1058),
    [anon_sym_unset] = ACTIONS(1058),
    [aux_sym_declare_statement_token1] = ACTIONS(1058),
    [aux_sym_declare_statement_token2] = ACTIONS(1058),
    [sym_float] = ACTIONS(1058),
    [aux_sym_try_statement_token1] = ACTIONS(1058),
    [aux_sym_catch_clause_token1] = ACTIONS(1058),
    [aux_sym_finally_clause_token1] = ACTIONS(1058),
    [aux_sym_goto_statement_token1] = ACTIONS(1058),
    [aux_sym_continue_statement_token1] = ACTIONS(1058),
    [aux_sym_break_statement_token1] = ACTIONS(1058),
    [sym_integer] = ACTIONS(1058),
    [aux_sym_return_statement_token1] = ACTIONS(1058),
    [aux_sym_throw_expression_token1] = ACTIONS(1058),
    [aux_sym_while_statement_token1] = ACTIONS(1058),
    [aux_sym_while_statement_token2] = ACTIONS(1058),
    [aux_sym_do_statement_token1] = ACTIONS(1058),
    [aux_sym_for_statement_token1] = ACTIONS(1058),
    [aux_sym_for_statement_token2] = ACTIONS(1058),
    [aux_sym_foreach_statement_token1] = ACTIONS(1058),
    [aux_sym_foreach_statement_token2] = ACTIONS(1058),
    [aux_sym_if_statement_token1] = ACTIONS(1058),
    [aux_sym_if_statement_token2] = ACTIONS(1058),
    [aux_sym_else_if_clause_token1] = ACTIONS(1058),
    [aux_sym_else_clause_token1] = ACTIONS(1058),
    [aux_sym_match_expression_token1] = ACTIONS(1058),
    [aux_sym_match_default_expression_token1] = ACTIONS(1058),
    [aux_sym_switch_statement_token1] = ACTIONS(1058),
    [aux_sym_switch_block_token1] = ACTIONS(1058),
    [anon_sym_PLUS] = ACTIONS(1058),
    [anon_sym_DASH] = ACTIONS(1058),
    [anon_sym_TILDE] = ACTIONS(1056),
    [anon_sym_BANG] = ACTIONS(1056),
    [anon_sym_AT] = ACTIONS(1056),
    [aux_sym_clone_expression_token1] = ACTIONS(1058),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1058),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1058),
    [anon_sym_DASH_DASH] = ACTIONS(1056),
    [anon_sym_PLUS_PLUS] = ACTIONS(1056),
    [aux_sym__list_destructing_token1] = ACTIONS(1058),
    [anon_sym_LBRACK] = ACTIONS(1056),
    [anon_sym_self] = ACTIONS(1058),
    [anon_sym_parent] = ACTIONS(1058),
    [aux_sym__argument_name_token1] = ACTIONS(1058),
    [aux_sym__argument_name_token2] = ACTIONS(1058),
    [anon_sym_POUND_LBRACK] = ACTIONS(1056),
    [aux_sym_encapsed_string_token1] = ACTIONS(1056),
    [anon_sym_DQUOTE] = ACTIONS(1056),
    [aux_sym_string_token1] = ACTIONS(1056),
    [anon_sym_SQUOTE] = ACTIONS(1056),
    [anon_sym_LT_LT_LT] = ACTIONS(1056),
    [anon_sym_BQUOTE] = ACTIONS(1056),
    [anon_sym_DOLLAR] = ACTIONS(1056),
    [aux_sym_yield_expression_token1] = ACTIONS(1058),
    [aux_sym_include_expression_token1] = ACTIONS(1058),
    [aux_sym_include_once_expression_token1] = ACTIONS(1058),
    [aux_sym_require_expression_token1] = ACTIONS(1058),
    [aux_sym_require_once_expression_token1] = ACTIONS(1058),
    [sym_comment] = ACTIONS(5),
  },
  [455] = {
    [sym_text_interpolation] = STATE(455),
    [ts_builtin_sym_end] = ACTIONS(1060),
    [sym_name] = ACTIONS(1062),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1060),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1062),
    [aux_sym_global_declaration_token1] = ACTIONS(1062),
    [aux_sym_namespace_definition_token1] = ACTIONS(1062),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1062),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1062),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1062),
    [anon_sym_BSLASH] = ACTIONS(1060),
    [anon_sym_LBRACE] = ACTIONS(1060),
    [anon_sym_RBRACE] = ACTIONS(1060),
    [aux_sym_trait_declaration_token1] = ACTIONS(1062),
    [aux_sym_interface_declaration_token1] = ACTIONS(1062),
    [aux_sym_enum_declaration_token1] = ACTIONS(1062),
    [aux_sym_enum_case_token1] = ACTIONS(1062),
    [aux_sym_class_declaration_token1] = ACTIONS(1062),
    [aux_sym_final_modifier_token1] = ACTIONS(1062),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1062),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1062),
    [sym_var_modifier] = ACTIONS(1062),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1062),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1062),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1062),
    [anon_sym_LPAREN2] = ACTIONS(1060),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1062),
    [aux_sym_cast_type_token1] = ACTIONS(1062),
    [aux_sym_echo_statement_token1] = ACTIONS(1062),
    [aux_sym_exit_statement_token1] = ACTIONS(1062),
    [anon_sym_unset] = ACTIONS(1062),
    [aux_sym_declare_statement_token1] = ACTIONS(1062),
    [aux_sym_declare_statement_token2] = ACTIONS(1062),
    [sym_float] = ACTIONS(1062),
    [aux_sym_try_statement_token1] = ACTIONS(1062),
    [aux_sym_goto_statement_token1] = ACTIONS(1062),
    [aux_sym_continue_statement_token1] = ACTIONS(1062),
    [aux_sym_break_statement_token1] = ACTIONS(1062),
    [sym_integer] = ACTIONS(1062),
    [aux_sym_return_statement_token1] = ACTIONS(1062),
    [aux_sym_throw_expression_token1] = ACTIONS(1062),
    [aux_sym_while_statement_token1] = ACTIONS(1062),
    [aux_sym_while_statement_token2] = ACTIONS(1062),
    [aux_sym_do_statement_token1] = ACTIONS(1062),
    [aux_sym_for_statement_token1] = ACTIONS(1062),
    [aux_sym_for_statement_token2] = ACTIONS(1062),
    [aux_sym_foreach_statement_token1] = ACTIONS(1062),
    [aux_sym_foreach_statement_token2] = ACTIONS(1062),
    [aux_sym_if_statement_token1] = ACTIONS(1062),
    [aux_sym_if_statement_token2] = ACTIONS(1062),
    [aux_sym_else_if_clause_token1] = ACTIONS(1062),
    [aux_sym_else_clause_token1] = ACTIONS(1062),
    [aux_sym_match_expression_token1] = ACTIONS(1062),
    [aux_sym_match_default_expression_token1] = ACTIONS(1062),
    [aux_sym_switch_statement_token1] = ACTIONS(1062),
    [aux_sym_switch_block_token1] = ACTIONS(1062),
    [anon_sym_PLUS] = ACTIONS(1062),
    [anon_sym_DASH] = ACTIONS(1062),
    [anon_sym_TILDE] = ACTIONS(1060),
    [anon_sym_BANG] = ACTIONS(1060),
    [anon_sym_AT] = ACTIONS(1060),
    [aux_sym_clone_expression_token1] = ACTIONS(1062),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1062),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1062),
    [anon_sym_DASH_DASH] = ACTIONS(1060),
    [anon_sym_PLUS_PLUS] = ACTIONS(1060),
    [aux_sym__list_destructing_token1] = ACTIONS(1062),
    [anon_sym_LBRACK] = ACTIONS(1060),
    [anon_sym_self] = ACTIONS(1062),
    [anon_sym_parent] = ACTIONS(1062),
    [aux_sym__argument_name_token1] = ACTIONS(1062),
    [aux_sym__argument_name_token2] = ACTIONS(1062),
    [anon_sym_POUND_LBRACK] = ACTIONS(1060),
    [aux_sym_encapsed_string_token1] = ACTIONS(1060),
    [anon_sym_DQUOTE] = ACTIONS(1060),
    [aux_sym_string_token1] = ACTIONS(1060),
    [anon_sym_SQUOTE] = ACTIONS(1060),
    [anon_sym_LT_LT_LT] = ACTIONS(1060),
    [anon_sym_BQUOTE] = ACTIONS(1060),
    [anon_sym_DOLLAR] = ACTIONS(1060),
    [aux_sym_yield_expression_token1] = ACTIONS(1062),
    [aux_sym_include_expression_token1] = ACTIONS(1062),
    [aux_sym_include_once_expression_token1] = ACTIONS(1062),
    [aux_sym_require_expression_token1] = ACTIONS(1062),
    [aux_sym_require_once_expression_token1] = ACTIONS(1062),
    [sym_comment] = ACTIONS(5),
  },
  [456] = {
    [sym_text_interpolation] = STATE(456),
    [ts_builtin_sym_end] = ACTIONS(1064),
    [sym_name] = ACTIONS(1066),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1064),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1066),
    [aux_sym_global_declaration_token1] = ACTIONS(1066),
    [aux_sym_namespace_definition_token1] = ACTIONS(1066),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1066),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1066),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1066),
    [anon_sym_BSLASH] = ACTIONS(1064),
    [anon_sym_LBRACE] = ACTIONS(1064),
    [anon_sym_RBRACE] = ACTIONS(1064),
    [aux_sym_trait_declaration_token1] = ACTIONS(1066),
    [aux_sym_interface_declaration_token1] = ACTIONS(1066),
    [aux_sym_enum_declaration_token1] = ACTIONS(1066),
    [aux_sym_enum_case_token1] = ACTIONS(1066),
    [aux_sym_class_declaration_token1] = ACTIONS(1066),
    [aux_sym_final_modifier_token1] = ACTIONS(1066),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1066),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1066),
    [sym_var_modifier] = ACTIONS(1066),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1066),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1066),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1066),
    [anon_sym_LPAREN2] = ACTIONS(1064),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1066),
    [aux_sym_cast_type_token1] = ACTIONS(1066),
    [aux_sym_echo_statement_token1] = ACTIONS(1066),
    [aux_sym_exit_statement_token1] = ACTIONS(1066),
    [anon_sym_unset] = ACTIONS(1066),
    [aux_sym_declare_statement_token1] = ACTIONS(1066),
    [aux_sym_declare_statement_token2] = ACTIONS(1066),
    [sym_float] = ACTIONS(1066),
    [aux_sym_try_statement_token1] = ACTIONS(1066),
    [aux_sym_goto_statement_token1] = ACTIONS(1066),
    [aux_sym_continue_statement_token1] = ACTIONS(1066),
    [aux_sym_break_statement_token1] = ACTIONS(1066),
    [sym_integer] = ACTIONS(1066),
    [aux_sym_return_statement_token1] = ACTIONS(1066),
    [aux_sym_throw_expression_token1] = ACTIONS(1066),
    [aux_sym_while_statement_token1] = ACTIONS(1066),
    [aux_sym_while_statement_token2] = ACTIONS(1066),
    [aux_sym_do_statement_token1] = ACTIONS(1066),
    [aux_sym_for_statement_token1] = ACTIONS(1066),
    [aux_sym_for_statement_token2] = ACTIONS(1066),
    [aux_sym_foreach_statement_token1] = ACTIONS(1066),
    [aux_sym_foreach_statement_token2] = ACTIONS(1066),
    [aux_sym_if_statement_token1] = ACTIONS(1066),
    [aux_sym_if_statement_token2] = ACTIONS(1066),
    [aux_sym_else_if_clause_token1] = ACTIONS(1066),
    [aux_sym_else_clause_token1] = ACTIONS(1066),
    [aux_sym_match_expression_token1] = ACTIONS(1066),
    [aux_sym_match_default_expression_token1] = ACTIONS(1066),
    [aux_sym_switch_statement_token1] = ACTIONS(1066),
    [aux_sym_switch_block_token1] = ACTIONS(1066),
    [anon_sym_PLUS] = ACTIONS(1066),
    [anon_sym_DASH] = ACTIONS(1066),
    [anon_sym_TILDE] = ACTIONS(1064),
    [anon_sym_BANG] = ACTIONS(1064),
    [anon_sym_AT] = ACTIONS(1064),
    [aux_sym_clone_expression_token1] = ACTIONS(1066),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1066),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1066),
    [anon_sym_DASH_DASH] = ACTIONS(1064),
    [anon_sym_PLUS_PLUS] = ACTIONS(1064),
    [aux_sym__list_destructing_token1] = ACTIONS(1066),
    [anon_sym_LBRACK] = ACTIONS(1064),
    [anon_sym_self] = ACTIONS(1066),
    [anon_sym_parent] = ACTIONS(1066),
    [aux_sym__argument_name_token1] = ACTIONS(1066),
    [aux_sym__argument_name_token2] = ACTIONS(1066),
    [anon_sym_POUND_LBRACK] = ACTIONS(1064),
    [aux_sym_encapsed_string_token1] = ACTIONS(1064),
    [anon_sym_DQUOTE] = ACTIONS(1064),
    [aux_sym_string_token1] = ACTIONS(1064),
    [anon_sym_SQUOTE] = ACTIONS(1064),
    [anon_sym_LT_LT_LT] = ACTIONS(1064),
    [anon_sym_BQUOTE] = ACTIONS(1064),
    [anon_sym_DOLLAR] = ACTIONS(1064),
    [aux_sym_yield_expression_token1] = ACTIONS(1066),
    [aux_sym_include_expression_token1] = ACTIONS(1066),
    [aux_sym_include_once_expression_token1] = ACTIONS(1066),
    [aux_sym_require_expression_token1] = ACTIONS(1066),
    [aux_sym_require_once_expression_token1] = ACTIONS(1066),
    [sym_comment] = ACTIONS(5),
  },
  [457] = {
    [sym_text_interpolation] = STATE(457),
    [ts_builtin_sym_end] = ACTIONS(1068),
    [sym_name] = ACTIONS(1070),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1068),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1070),
    [aux_sym_global_declaration_token1] = ACTIONS(1070),
    [aux_sym_namespace_definition_token1] = ACTIONS(1070),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1070),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1070),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1070),
    [anon_sym_BSLASH] = ACTIONS(1068),
    [anon_sym_LBRACE] = ACTIONS(1068),
    [anon_sym_RBRACE] = ACTIONS(1068),
    [aux_sym_trait_declaration_token1] = ACTIONS(1070),
    [aux_sym_interface_declaration_token1] = ACTIONS(1070),
    [aux_sym_enum_declaration_token1] = ACTIONS(1070),
    [aux_sym_enum_case_token1] = ACTIONS(1070),
    [aux_sym_class_declaration_token1] = ACTIONS(1070),
    [aux_sym_final_modifier_token1] = ACTIONS(1070),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1070),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1070),
    [sym_var_modifier] = ACTIONS(1070),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1070),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1070),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1070),
    [anon_sym_LPAREN2] = ACTIONS(1068),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1070),
    [aux_sym_cast_type_token1] = ACTIONS(1070),
    [aux_sym_echo_statement_token1] = ACTIONS(1070),
    [aux_sym_exit_statement_token1] = ACTIONS(1070),
    [anon_sym_unset] = ACTIONS(1070),
    [aux_sym_declare_statement_token1] = ACTIONS(1070),
    [aux_sym_declare_statement_token2] = ACTIONS(1070),
    [sym_float] = ACTIONS(1070),
    [aux_sym_try_statement_token1] = ACTIONS(1070),
    [aux_sym_goto_statement_token1] = ACTIONS(1070),
    [aux_sym_continue_statement_token1] = ACTIONS(1070),
    [aux_sym_break_statement_token1] = ACTIONS(1070),
    [sym_integer] = ACTIONS(1070),
    [aux_sym_return_statement_token1] = ACTIONS(1070),
    [aux_sym_throw_expression_token1] = ACTIONS(1070),
    [aux_sym_while_statement_token1] = ACTIONS(1070),
    [aux_sym_while_statement_token2] = ACTIONS(1070),
    [aux_sym_do_statement_token1] = ACTIONS(1070),
    [aux_sym_for_statement_token1] = ACTIONS(1070),
    [aux_sym_for_statement_token2] = ACTIONS(1070),
    [aux_sym_foreach_statement_token1] = ACTIONS(1070),
    [aux_sym_foreach_statement_token2] = ACTIONS(1070),
    [aux_sym_if_statement_token1] = ACTIONS(1070),
    [aux_sym_if_statement_token2] = ACTIONS(1070),
    [aux_sym_else_if_clause_token1] = ACTIONS(1070),
    [aux_sym_else_clause_token1] = ACTIONS(1070),
    [aux_sym_match_expression_token1] = ACTIONS(1070),
    [aux_sym_match_default_expression_token1] = ACTIONS(1070),
    [aux_sym_switch_statement_token1] = ACTIONS(1070),
    [aux_sym_switch_block_token1] = ACTIONS(1070),
    [anon_sym_PLUS] = ACTIONS(1070),
    [anon_sym_DASH] = ACTIONS(1070),
    [anon_sym_TILDE] = ACTIONS(1068),
    [anon_sym_BANG] = ACTIONS(1068),
    [anon_sym_AT] = ACTIONS(1068),
    [aux_sym_clone_expression_token1] = ACTIONS(1070),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1070),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1070),
    [anon_sym_DASH_DASH] = ACTIONS(1068),
    [anon_sym_PLUS_PLUS] = ACTIONS(1068),
    [aux_sym__list_destructing_token1] = ACTIONS(1070),
    [anon_sym_LBRACK] = ACTIONS(1068),
    [anon_sym_self] = ACTIONS(1070),
    [anon_sym_parent] = ACTIONS(1070),
    [aux_sym__argument_name_token1] = ACTIONS(1070),
    [aux_sym__argument_name_token2] = ACTIONS(1070),
    [anon_sym_POUND_LBRACK] = ACTIONS(1068),
    [aux_sym_encapsed_string_token1] = ACTIONS(1068),
    [anon_sym_DQUOTE] = ACTIONS(1068),
    [aux_sym_string_token1] = ACTIONS(1068),
    [anon_sym_SQUOTE] = ACTIONS(1068),
    [anon_sym_LT_LT_LT] = ACTIONS(1068),
    [anon_sym_BQUOTE] = ACTIONS(1068),
    [anon_sym_DOLLAR] = ACTIONS(1068),
    [aux_sym_yield_expression_token1] = ACTIONS(1070),
    [aux_sym_include_expression_token1] = ACTIONS(1070),
    [aux_sym_include_once_expression_token1] = ACTIONS(1070),
    [aux_sym_require_expression_token1] = ACTIONS(1070),
    [aux_sym_require_once_expression_token1] = ACTIONS(1070),
    [sym_comment] = ACTIONS(5),
  },
  [458] = {
    [sym_text_interpolation] = STATE(458),
    [ts_builtin_sym_end] = ACTIONS(1072),
    [sym_name] = ACTIONS(1074),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1072),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1074),
    [aux_sym_global_declaration_token1] = ACTIONS(1074),
    [aux_sym_namespace_definition_token1] = ACTIONS(1074),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1074),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1074),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1074),
    [anon_sym_BSLASH] = ACTIONS(1072),
    [anon_sym_LBRACE] = ACTIONS(1072),
    [anon_sym_RBRACE] = ACTIONS(1072),
    [aux_sym_trait_declaration_token1] = ACTIONS(1074),
    [aux_sym_interface_declaration_token1] = ACTIONS(1074),
    [aux_sym_enum_declaration_token1] = ACTIONS(1074),
    [aux_sym_enum_case_token1] = ACTIONS(1074),
    [aux_sym_class_declaration_token1] = ACTIONS(1074),
    [aux_sym_final_modifier_token1] = ACTIONS(1074),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1074),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1074),
    [sym_var_modifier] = ACTIONS(1074),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1074),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1074),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1074),
    [anon_sym_LPAREN2] = ACTIONS(1072),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1074),
    [aux_sym_cast_type_token1] = ACTIONS(1074),
    [aux_sym_echo_statement_token1] = ACTIONS(1074),
    [aux_sym_exit_statement_token1] = ACTIONS(1074),
    [anon_sym_unset] = ACTIONS(1074),
    [aux_sym_declare_statement_token1] = ACTIONS(1074),
    [aux_sym_declare_statement_token2] = ACTIONS(1074),
    [sym_float] = ACTIONS(1074),
    [aux_sym_try_statement_token1] = ACTIONS(1074),
    [aux_sym_goto_statement_token1] = ACTIONS(1074),
    [aux_sym_continue_statement_token1] = ACTIONS(1074),
    [aux_sym_break_statement_token1] = ACTIONS(1074),
    [sym_integer] = ACTIONS(1074),
    [aux_sym_return_statement_token1] = ACTIONS(1074),
    [aux_sym_throw_expression_token1] = ACTIONS(1074),
    [aux_sym_while_statement_token1] = ACTIONS(1074),
    [aux_sym_while_statement_token2] = ACTIONS(1074),
    [aux_sym_do_statement_token1] = ACTIONS(1074),
    [aux_sym_for_statement_token1] = ACTIONS(1074),
    [aux_sym_for_statement_token2] = ACTIONS(1074),
    [aux_sym_foreach_statement_token1] = ACTIONS(1074),
    [aux_sym_foreach_statement_token2] = ACTIONS(1074),
    [aux_sym_if_statement_token1] = ACTIONS(1074),
    [aux_sym_if_statement_token2] = ACTIONS(1074),
    [aux_sym_else_if_clause_token1] = ACTIONS(1074),
    [aux_sym_else_clause_token1] = ACTIONS(1074),
    [aux_sym_match_expression_token1] = ACTIONS(1074),
    [aux_sym_match_default_expression_token1] = ACTIONS(1074),
    [aux_sym_switch_statement_token1] = ACTIONS(1074),
    [aux_sym_switch_block_token1] = ACTIONS(1074),
    [anon_sym_PLUS] = ACTIONS(1074),
    [anon_sym_DASH] = ACTIONS(1074),
    [anon_sym_TILDE] = ACTIONS(1072),
    [anon_sym_BANG] = ACTIONS(1072),
    [anon_sym_AT] = ACTIONS(1072),
    [aux_sym_clone_expression_token1] = ACTIONS(1074),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1074),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1074),
    [anon_sym_DASH_DASH] = ACTIONS(1072),
    [anon_sym_PLUS_PLUS] = ACTIONS(1072),
    [aux_sym__list_destructing_token1] = ACTIONS(1074),
    [anon_sym_LBRACK] = ACTIONS(1072),
    [anon_sym_self] = ACTIONS(1074),
    [anon_sym_parent] = ACTIONS(1074),
    [aux_sym__argument_name_token1] = ACTIONS(1074),
    [aux_sym__argument_name_token2] = ACTIONS(1074),
    [anon_sym_POUND_LBRACK] = ACTIONS(1072),
    [aux_sym_encapsed_string_token1] = ACTIONS(1072),
    [anon_sym_DQUOTE] = ACTIONS(1072),
    [aux_sym_string_token1] = ACTIONS(1072),
    [anon_sym_SQUOTE] = ACTIONS(1072),
    [anon_sym_LT_LT_LT] = ACTIONS(1072),
    [anon_sym_BQUOTE] = ACTIONS(1072),
    [anon_sym_DOLLAR] = ACTIONS(1072),
    [aux_sym_yield_expression_token1] = ACTIONS(1074),
    [aux_sym_include_expression_token1] = ACTIONS(1074),
    [aux_sym_include_once_expression_token1] = ACTIONS(1074),
    [aux_sym_require_expression_token1] = ACTIONS(1074),
    [aux_sym_require_once_expression_token1] = ACTIONS(1074),
    [sym_comment] = ACTIONS(5),
  },
  [459] = {
    [sym_text_interpolation] = STATE(459),
    [ts_builtin_sym_end] = ACTIONS(1076),
    [sym_name] = ACTIONS(1078),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1076),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1078),
    [aux_sym_global_declaration_token1] = ACTIONS(1078),
    [aux_sym_namespace_definition_token1] = ACTIONS(1078),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1078),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1078),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1078),
    [anon_sym_BSLASH] = ACTIONS(1076),
    [anon_sym_LBRACE] = ACTIONS(1076),
    [anon_sym_RBRACE] = ACTIONS(1076),
    [aux_sym_trait_declaration_token1] = ACTIONS(1078),
    [aux_sym_interface_declaration_token1] = ACTIONS(1078),
    [aux_sym_enum_declaration_token1] = ACTIONS(1078),
    [aux_sym_enum_case_token1] = ACTIONS(1078),
    [aux_sym_class_declaration_token1] = ACTIONS(1078),
    [aux_sym_final_modifier_token1] = ACTIONS(1078),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1078),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1078),
    [sym_var_modifier] = ACTIONS(1078),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1078),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1078),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1078),
    [anon_sym_LPAREN2] = ACTIONS(1076),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1078),
    [aux_sym_cast_type_token1] = ACTIONS(1078),
    [aux_sym_echo_statement_token1] = ACTIONS(1078),
    [aux_sym_exit_statement_token1] = ACTIONS(1078),
    [anon_sym_unset] = ACTIONS(1078),
    [aux_sym_declare_statement_token1] = ACTIONS(1078),
    [aux_sym_declare_statement_token2] = ACTIONS(1078),
    [sym_float] = ACTIONS(1078),
    [aux_sym_try_statement_token1] = ACTIONS(1078),
    [aux_sym_goto_statement_token1] = ACTIONS(1078),
    [aux_sym_continue_statement_token1] = ACTIONS(1078),
    [aux_sym_break_statement_token1] = ACTIONS(1078),
    [sym_integer] = ACTIONS(1078),
    [aux_sym_return_statement_token1] = ACTIONS(1078),
    [aux_sym_throw_expression_token1] = ACTIONS(1078),
    [aux_sym_while_statement_token1] = ACTIONS(1078),
    [aux_sym_while_statement_token2] = ACTIONS(1078),
    [aux_sym_do_statement_token1] = ACTIONS(1078),
    [aux_sym_for_statement_token1] = ACTIONS(1078),
    [aux_sym_for_statement_token2] = ACTIONS(1078),
    [aux_sym_foreach_statement_token1] = ACTIONS(1078),
    [aux_sym_foreach_statement_token2] = ACTIONS(1078),
    [aux_sym_if_statement_token1] = ACTIONS(1078),
    [aux_sym_if_statement_token2] = ACTIONS(1078),
    [aux_sym_else_if_clause_token1] = ACTIONS(1078),
    [aux_sym_else_clause_token1] = ACTIONS(1078),
    [aux_sym_match_expression_token1] = ACTIONS(1078),
    [aux_sym_match_default_expression_token1] = ACTIONS(1078),
    [aux_sym_switch_statement_token1] = ACTIONS(1078),
    [aux_sym_switch_block_token1] = ACTIONS(1078),
    [anon_sym_PLUS] = ACTIONS(1078),
    [anon_sym_DASH] = ACTIONS(1078),
    [anon_sym_TILDE] = ACTIONS(1076),
    [anon_sym_BANG] = ACTIONS(1076),
    [anon_sym_AT] = ACTIONS(1076),
    [aux_sym_clone_expression_token1] = ACTIONS(1078),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1078),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1078),
    [anon_sym_DASH_DASH] = ACTIONS(1076),
    [anon_sym_PLUS_PLUS] = ACTIONS(1076),
    [aux_sym__list_destructing_token1] = ACTIONS(1078),
    [anon_sym_LBRACK] = ACTIONS(1076),
    [anon_sym_self] = ACTIONS(1078),
    [anon_sym_parent] = ACTIONS(1078),
    [aux_sym__argument_name_token1] = ACTIONS(1078),
    [aux_sym__argument_name_token2] = ACTIONS(1078),
    [anon_sym_POUND_LBRACK] = ACTIONS(1076),
    [aux_sym_encapsed_string_token1] = ACTIONS(1076),
    [anon_sym_DQUOTE] = ACTIONS(1076),
    [aux_sym_string_token1] = ACTIONS(1076),
    [anon_sym_SQUOTE] = ACTIONS(1076),
    [anon_sym_LT_LT_LT] = ACTIONS(1076),
    [anon_sym_BQUOTE] = ACTIONS(1076),
    [anon_sym_DOLLAR] = ACTIONS(1076),
    [aux_sym_yield_expression_token1] = ACTIONS(1078),
    [aux_sym_include_expression_token1] = ACTIONS(1078),
    [aux_sym_include_once_expression_token1] = ACTIONS(1078),
    [aux_sym_require_expression_token1] = ACTIONS(1078),
    [aux_sym_require_once_expression_token1] = ACTIONS(1078),
    [sym_comment] = ACTIONS(5),
  },
  [460] = {
    [sym_text_interpolation] = STATE(460),
    [ts_builtin_sym_end] = ACTIONS(1080),
    [sym_name] = ACTIONS(1082),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1080),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1082),
    [aux_sym_global_declaration_token1] = ACTIONS(1082),
    [aux_sym_namespace_definition_token1] = ACTIONS(1082),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1082),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1082),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1082),
    [anon_sym_BSLASH] = ACTIONS(1080),
    [anon_sym_LBRACE] = ACTIONS(1080),
    [anon_sym_RBRACE] = ACTIONS(1080),
    [aux_sym_trait_declaration_token1] = ACTIONS(1082),
    [aux_sym_interface_declaration_token1] = ACTIONS(1082),
    [aux_sym_enum_declaration_token1] = ACTIONS(1082),
    [aux_sym_enum_case_token1] = ACTIONS(1082),
    [aux_sym_class_declaration_token1] = ACTIONS(1082),
    [aux_sym_final_modifier_token1] = ACTIONS(1082),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1082),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1082),
    [sym_var_modifier] = ACTIONS(1082),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1082),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1082),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1082),
    [anon_sym_LPAREN2] = ACTIONS(1080),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1082),
    [aux_sym_cast_type_token1] = ACTIONS(1082),
    [aux_sym_echo_statement_token1] = ACTIONS(1082),
    [aux_sym_exit_statement_token1] = ACTIONS(1082),
    [anon_sym_unset] = ACTIONS(1082),
    [aux_sym_declare_statement_token1] = ACTIONS(1082),
    [aux_sym_declare_statement_token2] = ACTIONS(1082),
    [sym_float] = ACTIONS(1082),
    [aux_sym_try_statement_token1] = ACTIONS(1082),
    [aux_sym_goto_statement_token1] = ACTIONS(1082),
    [aux_sym_continue_statement_token1] = ACTIONS(1082),
    [aux_sym_break_statement_token1] = ACTIONS(1082),
    [sym_integer] = ACTIONS(1082),
    [aux_sym_return_statement_token1] = ACTIONS(1082),
    [aux_sym_throw_expression_token1] = ACTIONS(1082),
    [aux_sym_while_statement_token1] = ACTIONS(1082),
    [aux_sym_while_statement_token2] = ACTIONS(1082),
    [aux_sym_do_statement_token1] = ACTIONS(1082),
    [aux_sym_for_statement_token1] = ACTIONS(1082),
    [aux_sym_for_statement_token2] = ACTIONS(1082),
    [aux_sym_foreach_statement_token1] = ACTIONS(1082),
    [aux_sym_foreach_statement_token2] = ACTIONS(1082),
    [aux_sym_if_statement_token1] = ACTIONS(1082),
    [aux_sym_if_statement_token2] = ACTIONS(1082),
    [aux_sym_else_if_clause_token1] = ACTIONS(1082),
    [aux_sym_else_clause_token1] = ACTIONS(1082),
    [aux_sym_match_expression_token1] = ACTIONS(1082),
    [aux_sym_match_default_expression_token1] = ACTIONS(1082),
    [aux_sym_switch_statement_token1] = ACTIONS(1082),
    [aux_sym_switch_block_token1] = ACTIONS(1082),
    [anon_sym_PLUS] = ACTIONS(1082),
    [anon_sym_DASH] = ACTIONS(1082),
    [anon_sym_TILDE] = ACTIONS(1080),
    [anon_sym_BANG] = ACTIONS(1080),
    [anon_sym_AT] = ACTIONS(1080),
    [aux_sym_clone_expression_token1] = ACTIONS(1082),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1082),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1082),
    [anon_sym_DASH_DASH] = ACTIONS(1080),
    [anon_sym_PLUS_PLUS] = ACTIONS(1080),
    [aux_sym__list_destructing_token1] = ACTIONS(1082),
    [anon_sym_LBRACK] = ACTIONS(1080),
    [anon_sym_self] = ACTIONS(1082),
    [anon_sym_parent] = ACTIONS(1082),
    [aux_sym__argument_name_token1] = ACTIONS(1082),
    [aux_sym__argument_name_token2] = ACTIONS(1082),
    [anon_sym_POUND_LBRACK] = ACTIONS(1080),
    [aux_sym_encapsed_string_token1] = ACTIONS(1080),
    [anon_sym_DQUOTE] = ACTIONS(1080),
    [aux_sym_string_token1] = ACTIONS(1080),
    [anon_sym_SQUOTE] = ACTIONS(1080),
    [anon_sym_LT_LT_LT] = ACTIONS(1080),
    [anon_sym_BQUOTE] = ACTIONS(1080),
    [anon_sym_DOLLAR] = ACTIONS(1080),
    [aux_sym_yield_expression_token1] = ACTIONS(1082),
    [aux_sym_include_expression_token1] = ACTIONS(1082),
    [aux_sym_include_once_expression_token1] = ACTIONS(1082),
    [aux_sym_require_expression_token1] = ACTIONS(1082),
    [aux_sym_require_once_expression_token1] = ACTIONS(1082),
    [sym_comment] = ACTIONS(5),
  },
  [461] = {
    [sym_text_interpolation] = STATE(461),
    [ts_builtin_sym_end] = ACTIONS(1084),
    [sym_name] = ACTIONS(1086),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1084),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1086),
    [aux_sym_global_declaration_token1] = ACTIONS(1086),
    [aux_sym_namespace_definition_token1] = ACTIONS(1086),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1086),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1086),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1086),
    [anon_sym_BSLASH] = ACTIONS(1084),
    [anon_sym_LBRACE] = ACTIONS(1084),
    [anon_sym_RBRACE] = ACTIONS(1084),
    [aux_sym_trait_declaration_token1] = ACTIONS(1086),
    [aux_sym_interface_declaration_token1] = ACTIONS(1086),
    [aux_sym_enum_declaration_token1] = ACTIONS(1086),
    [aux_sym_enum_case_token1] = ACTIONS(1086),
    [aux_sym_class_declaration_token1] = ACTIONS(1086),
    [aux_sym_final_modifier_token1] = ACTIONS(1086),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1086),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1086),
    [sym_var_modifier] = ACTIONS(1086),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1086),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1086),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1086),
    [anon_sym_LPAREN2] = ACTIONS(1084),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1086),
    [aux_sym_cast_type_token1] = ACTIONS(1086),
    [aux_sym_echo_statement_token1] = ACTIONS(1086),
    [aux_sym_exit_statement_token1] = ACTIONS(1086),
    [anon_sym_unset] = ACTIONS(1086),
    [aux_sym_declare_statement_token1] = ACTIONS(1086),
    [aux_sym_declare_statement_token2] = ACTIONS(1086),
    [sym_float] = ACTIONS(1086),
    [aux_sym_try_statement_token1] = ACTIONS(1086),
    [aux_sym_goto_statement_token1] = ACTIONS(1086),
    [aux_sym_continue_statement_token1] = ACTIONS(1086),
    [aux_sym_break_statement_token1] = ACTIONS(1086),
    [sym_integer] = ACTIONS(1086),
    [aux_sym_return_statement_token1] = ACTIONS(1086),
    [aux_sym_throw_expression_token1] = ACTIONS(1086),
    [aux_sym_while_statement_token1] = ACTIONS(1086),
    [aux_sym_while_statement_token2] = ACTIONS(1086),
    [aux_sym_do_statement_token1] = ACTIONS(1086),
    [aux_sym_for_statement_token1] = ACTIONS(1086),
    [aux_sym_for_statement_token2] = ACTIONS(1086),
    [aux_sym_foreach_statement_token1] = ACTIONS(1086),
    [aux_sym_foreach_statement_token2] = ACTIONS(1086),
    [aux_sym_if_statement_token1] = ACTIONS(1086),
    [aux_sym_if_statement_token2] = ACTIONS(1086),
    [aux_sym_else_if_clause_token1] = ACTIONS(1086),
    [aux_sym_else_clause_token1] = ACTIONS(1086),
    [aux_sym_match_expression_token1] = ACTIONS(1086),
    [aux_sym_match_default_expression_token1] = ACTIONS(1086),
    [aux_sym_switch_statement_token1] = ACTIONS(1086),
    [aux_sym_switch_block_token1] = ACTIONS(1086),
    [anon_sym_PLUS] = ACTIONS(1086),
    [anon_sym_DASH] = ACTIONS(1086),
    [anon_sym_TILDE] = ACTIONS(1084),
    [anon_sym_BANG] = ACTIONS(1084),
    [anon_sym_AT] = ACTIONS(1084),
    [aux_sym_clone_expression_token1] = ACTIONS(1086),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1086),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1086),
    [anon_sym_DASH_DASH] = ACTIONS(1084),
    [anon_sym_PLUS_PLUS] = ACTIONS(1084),
    [aux_sym__list_destructing_token1] = ACTIONS(1086),
    [anon_sym_LBRACK] = ACTIONS(1084),
    [anon_sym_self] = ACTIONS(1086),
    [anon_sym_parent] = ACTIONS(1086),
    [aux_sym__argument_name_token1] = ACTIONS(1086),
    [aux_sym__argument_name_token2] = ACTIONS(1086),
    [anon_sym_POUND_LBRACK] = ACTIONS(1084),
    [aux_sym_encapsed_string_token1] = ACTIONS(1084),
    [anon_sym_DQUOTE] = ACTIONS(1084),
    [aux_sym_string_token1] = ACTIONS(1084),
    [anon_sym_SQUOTE] = ACTIONS(1084),
    [anon_sym_LT_LT_LT] = ACTIONS(1084),
    [anon_sym_BQUOTE] = ACTIONS(1084),
    [anon_sym_DOLLAR] = ACTIONS(1084),
    [aux_sym_yield_expression_token1] = ACTIONS(1086),
    [aux_sym_include_expression_token1] = ACTIONS(1086),
    [aux_sym_include_once_expression_token1] = ACTIONS(1086),
    [aux_sym_require_expression_token1] = ACTIONS(1086),
    [aux_sym_require_once_expression_token1] = ACTIONS(1086),
    [sym_comment] = ACTIONS(5),
  },
  [462] = {
    [sym_text_interpolation] = STATE(462),
    [ts_builtin_sym_end] = ACTIONS(1088),
    [sym_name] = ACTIONS(1090),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1088),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1090),
    [aux_sym_global_declaration_token1] = ACTIONS(1090),
    [aux_sym_namespace_definition_token1] = ACTIONS(1090),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1090),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1090),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1090),
    [anon_sym_BSLASH] = ACTIONS(1088),
    [anon_sym_LBRACE] = ACTIONS(1088),
    [anon_sym_RBRACE] = ACTIONS(1088),
    [aux_sym_trait_declaration_token1] = ACTIONS(1090),
    [aux_sym_interface_declaration_token1] = ACTIONS(1090),
    [aux_sym_enum_declaration_token1] = ACTIONS(1090),
    [aux_sym_enum_case_token1] = ACTIONS(1090),
    [aux_sym_class_declaration_token1] = ACTIONS(1090),
    [aux_sym_final_modifier_token1] = ACTIONS(1090),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1090),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1090),
    [sym_var_modifier] = ACTIONS(1090),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1090),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1090),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1090),
    [anon_sym_LPAREN2] = ACTIONS(1088),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1090),
    [aux_sym_cast_type_token1] = ACTIONS(1090),
    [aux_sym_echo_statement_token1] = ACTIONS(1090),
    [aux_sym_exit_statement_token1] = ACTIONS(1090),
    [anon_sym_unset] = ACTIONS(1090),
    [aux_sym_declare_statement_token1] = ACTIONS(1090),
    [aux_sym_declare_statement_token2] = ACTIONS(1090),
    [sym_float] = ACTIONS(1090),
    [aux_sym_try_statement_token1] = ACTIONS(1090),
    [aux_sym_goto_statement_token1] = ACTIONS(1090),
    [aux_sym_continue_statement_token1] = ACTIONS(1090),
    [aux_sym_break_statement_token1] = ACTIONS(1090),
    [sym_integer] = ACTIONS(1090),
    [aux_sym_return_statement_token1] = ACTIONS(1090),
    [aux_sym_throw_expression_token1] = ACTIONS(1090),
    [aux_sym_while_statement_token1] = ACTIONS(1090),
    [aux_sym_while_statement_token2] = ACTIONS(1090),
    [aux_sym_do_statement_token1] = ACTIONS(1090),
    [aux_sym_for_statement_token1] = ACTIONS(1090),
    [aux_sym_for_statement_token2] = ACTIONS(1090),
    [aux_sym_foreach_statement_token1] = ACTIONS(1090),
    [aux_sym_foreach_statement_token2] = ACTIONS(1090),
    [aux_sym_if_statement_token1] = ACTIONS(1090),
    [aux_sym_if_statement_token2] = ACTIONS(1090),
    [aux_sym_else_if_clause_token1] = ACTIONS(1090),
    [aux_sym_else_clause_token1] = ACTIONS(1090),
    [aux_sym_match_expression_token1] = ACTIONS(1090),
    [aux_sym_match_default_expression_token1] = ACTIONS(1090),
    [aux_sym_switch_statement_token1] = ACTIONS(1090),
    [aux_sym_switch_block_token1] = ACTIONS(1090),
    [anon_sym_PLUS] = ACTIONS(1090),
    [anon_sym_DASH] = ACTIONS(1090),
    [anon_sym_TILDE] = ACTIONS(1088),
    [anon_sym_BANG] = ACTIONS(1088),
    [anon_sym_AT] = ACTIONS(1088),
    [aux_sym_clone_expression_token1] = ACTIONS(1090),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1090),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1090),
    [anon_sym_DASH_DASH] = ACTIONS(1088),
    [anon_sym_PLUS_PLUS] = ACTIONS(1088),
    [aux_sym__list_destructing_token1] = ACTIONS(1090),
    [anon_sym_LBRACK] = ACTIONS(1088),
    [anon_sym_self] = ACTIONS(1090),
    [anon_sym_parent] = ACTIONS(1090),
    [aux_sym__argument_name_token1] = ACTIONS(1090),
    [aux_sym__argument_name_token2] = ACTIONS(1090),
    [anon_sym_POUND_LBRACK] = ACTIONS(1088),
    [aux_sym_encapsed_string_token1] = ACTIONS(1088),
    [anon_sym_DQUOTE] = ACTIONS(1088),
    [aux_sym_string_token1] = ACTIONS(1088),
    [anon_sym_SQUOTE] = ACTIONS(1088),
    [anon_sym_LT_LT_LT] = ACTIONS(1088),
    [anon_sym_BQUOTE] = ACTIONS(1088),
    [anon_sym_DOLLAR] = ACTIONS(1088),
    [aux_sym_yield_expression_token1] = ACTIONS(1090),
    [aux_sym_include_expression_token1] = ACTIONS(1090),
    [aux_sym_include_once_expression_token1] = ACTIONS(1090),
    [aux_sym_require_expression_token1] = ACTIONS(1090),
    [aux_sym_require_once_expression_token1] = ACTIONS(1090),
    [sym_comment] = ACTIONS(5),
  },
  [463] = {
    [sym_text_interpolation] = STATE(463),
    [ts_builtin_sym_end] = ACTIONS(1092),
    [sym_name] = ACTIONS(1094),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1092),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1094),
    [aux_sym_global_declaration_token1] = ACTIONS(1094),
    [aux_sym_namespace_definition_token1] = ACTIONS(1094),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1094),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1094),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1094),
    [anon_sym_BSLASH] = ACTIONS(1092),
    [anon_sym_LBRACE] = ACTIONS(1092),
    [anon_sym_RBRACE] = ACTIONS(1092),
    [aux_sym_trait_declaration_token1] = ACTIONS(1094),
    [aux_sym_interface_declaration_token1] = ACTIONS(1094),
    [aux_sym_enum_declaration_token1] = ACTIONS(1094),
    [aux_sym_enum_case_token1] = ACTIONS(1094),
    [aux_sym_class_declaration_token1] = ACTIONS(1094),
    [aux_sym_final_modifier_token1] = ACTIONS(1094),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1094),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1094),
    [sym_var_modifier] = ACTIONS(1094),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1094),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1094),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1094),
    [anon_sym_LPAREN2] = ACTIONS(1092),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1094),
    [aux_sym_cast_type_token1] = ACTIONS(1094),
    [aux_sym_echo_statement_token1] = ACTIONS(1094),
    [aux_sym_exit_statement_token1] = ACTIONS(1094),
    [anon_sym_unset] = ACTIONS(1094),
    [aux_sym_declare_statement_token1] = ACTIONS(1094),
    [aux_sym_declare_statement_token2] = ACTIONS(1094),
    [sym_float] = ACTIONS(1094),
    [aux_sym_try_statement_token1] = ACTIONS(1094),
    [aux_sym_goto_statement_token1] = ACTIONS(1094),
    [aux_sym_continue_statement_token1] = ACTIONS(1094),
    [aux_sym_break_statement_token1] = ACTIONS(1094),
    [sym_integer] = ACTIONS(1094),
    [aux_sym_return_statement_token1] = ACTIONS(1094),
    [aux_sym_throw_expression_token1] = ACTIONS(1094),
    [aux_sym_while_statement_token1] = ACTIONS(1094),
    [aux_sym_while_statement_token2] = ACTIONS(1094),
    [aux_sym_do_statement_token1] = ACTIONS(1094),
    [aux_sym_for_statement_token1] = ACTIONS(1094),
    [aux_sym_for_statement_token2] = ACTIONS(1094),
    [aux_sym_foreach_statement_token1] = ACTIONS(1094),
    [aux_sym_foreach_statement_token2] = ACTIONS(1094),
    [aux_sym_if_statement_token1] = ACTIONS(1094),
    [aux_sym_if_statement_token2] = ACTIONS(1094),
    [aux_sym_else_if_clause_token1] = ACTIONS(1094),
    [aux_sym_else_clause_token1] = ACTIONS(1094),
    [aux_sym_match_expression_token1] = ACTIONS(1094),
    [aux_sym_match_default_expression_token1] = ACTIONS(1094),
    [aux_sym_switch_statement_token1] = ACTIONS(1094),
    [aux_sym_switch_block_token1] = ACTIONS(1094),
    [anon_sym_PLUS] = ACTIONS(1094),
    [anon_sym_DASH] = ACTIONS(1094),
    [anon_sym_TILDE] = ACTIONS(1092),
    [anon_sym_BANG] = ACTIONS(1092),
    [anon_sym_AT] = ACTIONS(1092),
    [aux_sym_clone_expression_token1] = ACTIONS(1094),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1094),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1094),
    [anon_sym_DASH_DASH] = ACTIONS(1092),
    [anon_sym_PLUS_PLUS] = ACTIONS(1092),
    [aux_sym__list_destructing_token1] = ACTIONS(1094),
    [anon_sym_LBRACK] = ACTIONS(1092),
    [anon_sym_self] = ACTIONS(1094),
    [anon_sym_parent] = ACTIONS(1094),
    [aux_sym__argument_name_token1] = ACTIONS(1094),
    [aux_sym__argument_name_token2] = ACTIONS(1094),
    [anon_sym_POUND_LBRACK] = ACTIONS(1092),
    [aux_sym_encapsed_string_token1] = ACTIONS(1092),
    [anon_sym_DQUOTE] = ACTIONS(1092),
    [aux_sym_string_token1] = ACTIONS(1092),
    [anon_sym_SQUOTE] = ACTIONS(1092),
    [anon_sym_LT_LT_LT] = ACTIONS(1092),
    [anon_sym_BQUOTE] = ACTIONS(1092),
    [anon_sym_DOLLAR] = ACTIONS(1092),
    [aux_sym_yield_expression_token1] = ACTIONS(1094),
    [aux_sym_include_expression_token1] = ACTIONS(1094),
    [aux_sym_include_once_expression_token1] = ACTIONS(1094),
    [aux_sym_require_expression_token1] = ACTIONS(1094),
    [aux_sym_require_once_expression_token1] = ACTIONS(1094),
    [sym_comment] = ACTIONS(5),
  },
  [464] = {
    [sym_text_interpolation] = STATE(464),
    [ts_builtin_sym_end] = ACTIONS(1096),
    [sym_name] = ACTIONS(1098),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1096),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1098),
    [aux_sym_global_declaration_token1] = ACTIONS(1098),
    [aux_sym_namespace_definition_token1] = ACTIONS(1098),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1098),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1098),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1098),
    [anon_sym_BSLASH] = ACTIONS(1096),
    [anon_sym_LBRACE] = ACTIONS(1096),
    [anon_sym_RBRACE] = ACTIONS(1096),
    [aux_sym_trait_declaration_token1] = ACTIONS(1098),
    [aux_sym_interface_declaration_token1] = ACTIONS(1098),
    [aux_sym_enum_declaration_token1] = ACTIONS(1098),
    [aux_sym_enum_case_token1] = ACTIONS(1098),
    [aux_sym_class_declaration_token1] = ACTIONS(1098),
    [aux_sym_final_modifier_token1] = ACTIONS(1098),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1098),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1098),
    [sym_var_modifier] = ACTIONS(1098),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1098),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1098),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1098),
    [anon_sym_LPAREN2] = ACTIONS(1096),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1098),
    [aux_sym_cast_type_token1] = ACTIONS(1098),
    [aux_sym_echo_statement_token1] = ACTIONS(1098),
    [aux_sym_exit_statement_token1] = ACTIONS(1098),
    [anon_sym_unset] = ACTIONS(1098),
    [aux_sym_declare_statement_token1] = ACTIONS(1098),
    [aux_sym_declare_statement_token2] = ACTIONS(1098),
    [sym_float] = ACTIONS(1098),
    [aux_sym_try_statement_token1] = ACTIONS(1098),
    [aux_sym_goto_statement_token1] = ACTIONS(1098),
    [aux_sym_continue_statement_token1] = ACTIONS(1098),
    [aux_sym_break_statement_token1] = ACTIONS(1098),
    [sym_integer] = ACTIONS(1098),
    [aux_sym_return_statement_token1] = ACTIONS(1098),
    [aux_sym_throw_expression_token1] = ACTIONS(1098),
    [aux_sym_while_statement_token1] = ACTIONS(1098),
    [aux_sym_while_statement_token2] = ACTIONS(1098),
    [aux_sym_do_statement_token1] = ACTIONS(1098),
    [aux_sym_for_statement_token1] = ACTIONS(1098),
    [aux_sym_for_statement_token2] = ACTIONS(1098),
    [aux_sym_foreach_statement_token1] = ACTIONS(1098),
    [aux_sym_foreach_statement_token2] = ACTIONS(1098),
    [aux_sym_if_statement_token1] = ACTIONS(1098),
    [aux_sym_if_statement_token2] = ACTIONS(1098),
    [aux_sym_else_if_clause_token1] = ACTIONS(1098),
    [aux_sym_else_clause_token1] = ACTIONS(1098),
    [aux_sym_match_expression_token1] = ACTIONS(1098),
    [aux_sym_match_default_expression_token1] = ACTIONS(1098),
    [aux_sym_switch_statement_token1] = ACTIONS(1098),
    [aux_sym_switch_block_token1] = ACTIONS(1098),
    [anon_sym_PLUS] = ACTIONS(1098),
    [anon_sym_DASH] = ACTIONS(1098),
    [anon_sym_TILDE] = ACTIONS(1096),
    [anon_sym_BANG] = ACTIONS(1096),
    [anon_sym_AT] = ACTIONS(1096),
    [aux_sym_clone_expression_token1] = ACTIONS(1098),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1098),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1098),
    [anon_sym_DASH_DASH] = ACTIONS(1096),
    [anon_sym_PLUS_PLUS] = ACTIONS(1096),
    [aux_sym__list_destructing_token1] = ACTIONS(1098),
    [anon_sym_LBRACK] = ACTIONS(1096),
    [anon_sym_self] = ACTIONS(1098),
    [anon_sym_parent] = ACTIONS(1098),
    [aux_sym__argument_name_token1] = ACTIONS(1098),
    [aux_sym__argument_name_token2] = ACTIONS(1098),
    [anon_sym_POUND_LBRACK] = ACTIONS(1096),
    [aux_sym_encapsed_string_token1] = ACTIONS(1096),
    [anon_sym_DQUOTE] = ACTIONS(1096),
    [aux_sym_string_token1] = ACTIONS(1096),
    [anon_sym_SQUOTE] = ACTIONS(1096),
    [anon_sym_LT_LT_LT] = ACTIONS(1096),
    [anon_sym_BQUOTE] = ACTIONS(1096),
    [anon_sym_DOLLAR] = ACTIONS(1096),
    [aux_sym_yield_expression_token1] = ACTIONS(1098),
    [aux_sym_include_expression_token1] = ACTIONS(1098),
    [aux_sym_include_once_expression_token1] = ACTIONS(1098),
    [aux_sym_require_expression_token1] = ACTIONS(1098),
    [aux_sym_require_once_expression_token1] = ACTIONS(1098),
    [sym_comment] = ACTIONS(5),
  },
  [465] = {
    [sym_text_interpolation] = STATE(465),
    [ts_builtin_sym_end] = ACTIONS(1100),
    [sym_name] = ACTIONS(1102),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1100),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1102),
    [aux_sym_global_declaration_token1] = ACTIONS(1102),
    [aux_sym_namespace_definition_token1] = ACTIONS(1102),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1102),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1102),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1102),
    [anon_sym_BSLASH] = ACTIONS(1100),
    [anon_sym_LBRACE] = ACTIONS(1100),
    [anon_sym_RBRACE] = ACTIONS(1100),
    [aux_sym_trait_declaration_token1] = ACTIONS(1102),
    [aux_sym_interface_declaration_token1] = ACTIONS(1102),
    [aux_sym_enum_declaration_token1] = ACTIONS(1102),
    [aux_sym_enum_case_token1] = ACTIONS(1102),
    [aux_sym_class_declaration_token1] = ACTIONS(1102),
    [aux_sym_final_modifier_token1] = ACTIONS(1102),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1102),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1102),
    [sym_var_modifier] = ACTIONS(1102),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1102),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1102),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1102),
    [anon_sym_LPAREN2] = ACTIONS(1100),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1102),
    [aux_sym_cast_type_token1] = ACTIONS(1102),
    [aux_sym_echo_statement_token1] = ACTIONS(1102),
    [aux_sym_exit_statement_token1] = ACTIONS(1102),
    [anon_sym_unset] = ACTIONS(1102),
    [aux_sym_declare_statement_token1] = ACTIONS(1102),
    [aux_sym_declare_statement_token2] = ACTIONS(1102),
    [sym_float] = ACTIONS(1102),
    [aux_sym_try_statement_token1] = ACTIONS(1102),
    [aux_sym_goto_statement_token1] = ACTIONS(1102),
    [aux_sym_continue_statement_token1] = ACTIONS(1102),
    [aux_sym_break_statement_token1] = ACTIONS(1102),
    [sym_integer] = ACTIONS(1102),
    [aux_sym_return_statement_token1] = ACTIONS(1102),
    [aux_sym_throw_expression_token1] = ACTIONS(1102),
    [aux_sym_while_statement_token1] = ACTIONS(1102),
    [aux_sym_while_statement_token2] = ACTIONS(1102),
    [aux_sym_do_statement_token1] = ACTIONS(1102),
    [aux_sym_for_statement_token1] = ACTIONS(1102),
    [aux_sym_for_statement_token2] = ACTIONS(1102),
    [aux_sym_foreach_statement_token1] = ACTIONS(1102),
    [aux_sym_foreach_statement_token2] = ACTIONS(1102),
    [aux_sym_if_statement_token1] = ACTIONS(1102),
    [aux_sym_if_statement_token2] = ACTIONS(1102),
    [aux_sym_else_if_clause_token1] = ACTIONS(1102),
    [aux_sym_else_clause_token1] = ACTIONS(1102),
    [aux_sym_match_expression_token1] = ACTIONS(1102),
    [aux_sym_match_default_expression_token1] = ACTIONS(1102),
    [aux_sym_switch_statement_token1] = ACTIONS(1102),
    [aux_sym_switch_block_token1] = ACTIONS(1102),
    [anon_sym_PLUS] = ACTIONS(1102),
    [anon_sym_DASH] = ACTIONS(1102),
    [anon_sym_TILDE] = ACTIONS(1100),
    [anon_sym_BANG] = ACTIONS(1100),
    [anon_sym_AT] = ACTIONS(1100),
    [aux_sym_clone_expression_token1] = ACTIONS(1102),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1102),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1102),
    [anon_sym_DASH_DASH] = ACTIONS(1100),
    [anon_sym_PLUS_PLUS] = ACTIONS(1100),
    [aux_sym__list_destructing_token1] = ACTIONS(1102),
    [anon_sym_LBRACK] = ACTIONS(1100),
    [anon_sym_self] = ACTIONS(1102),
    [anon_sym_parent] = ACTIONS(1102),
    [aux_sym__argument_name_token1] = ACTIONS(1102),
    [aux_sym__argument_name_token2] = ACTIONS(1102),
    [anon_sym_POUND_LBRACK] = ACTIONS(1100),
    [aux_sym_encapsed_string_token1] = ACTIONS(1100),
    [anon_sym_DQUOTE] = ACTIONS(1100),
    [aux_sym_string_token1] = ACTIONS(1100),
    [anon_sym_SQUOTE] = ACTIONS(1100),
    [anon_sym_LT_LT_LT] = ACTIONS(1100),
    [anon_sym_BQUOTE] = ACTIONS(1100),
    [anon_sym_DOLLAR] = ACTIONS(1100),
    [aux_sym_yield_expression_token1] = ACTIONS(1102),
    [aux_sym_include_expression_token1] = ACTIONS(1102),
    [aux_sym_include_once_expression_token1] = ACTIONS(1102),
    [aux_sym_require_expression_token1] = ACTIONS(1102),
    [aux_sym_require_once_expression_token1] = ACTIONS(1102),
    [sym_comment] = ACTIONS(5),
  },
  [466] = {
    [sym_text_interpolation] = STATE(466),
    [ts_builtin_sym_end] = ACTIONS(1104),
    [sym_name] = ACTIONS(1106),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1104),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1106),
    [aux_sym_global_declaration_token1] = ACTIONS(1106),
    [aux_sym_namespace_definition_token1] = ACTIONS(1106),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1106),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1106),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1106),
    [anon_sym_BSLASH] = ACTIONS(1104),
    [anon_sym_LBRACE] = ACTIONS(1104),
    [anon_sym_RBRACE] = ACTIONS(1104),
    [aux_sym_trait_declaration_token1] = ACTIONS(1106),
    [aux_sym_interface_declaration_token1] = ACTIONS(1106),
    [aux_sym_enum_declaration_token1] = ACTIONS(1106),
    [aux_sym_enum_case_token1] = ACTIONS(1106),
    [aux_sym_class_declaration_token1] = ACTIONS(1106),
    [aux_sym_final_modifier_token1] = ACTIONS(1106),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1106),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1106),
    [sym_var_modifier] = ACTIONS(1106),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1106),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1106),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1106),
    [anon_sym_LPAREN2] = ACTIONS(1104),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1106),
    [aux_sym_cast_type_token1] = ACTIONS(1106),
    [aux_sym_echo_statement_token1] = ACTIONS(1106),
    [aux_sym_exit_statement_token1] = ACTIONS(1106),
    [anon_sym_unset] = ACTIONS(1106),
    [aux_sym_declare_statement_token1] = ACTIONS(1106),
    [aux_sym_declare_statement_token2] = ACTIONS(1106),
    [sym_float] = ACTIONS(1106),
    [aux_sym_try_statement_token1] = ACTIONS(1106),
    [aux_sym_goto_statement_token1] = ACTIONS(1106),
    [aux_sym_continue_statement_token1] = ACTIONS(1106),
    [aux_sym_break_statement_token1] = ACTIONS(1106),
    [sym_integer] = ACTIONS(1106),
    [aux_sym_return_statement_token1] = ACTIONS(1106),
    [aux_sym_throw_expression_token1] = ACTIONS(1106),
    [aux_sym_while_statement_token1] = ACTIONS(1106),
    [aux_sym_while_statement_token2] = ACTIONS(1106),
    [aux_sym_do_statement_token1] = ACTIONS(1106),
    [aux_sym_for_statement_token1] = ACTIONS(1106),
    [aux_sym_for_statement_token2] = ACTIONS(1106),
    [aux_sym_foreach_statement_token1] = ACTIONS(1106),
    [aux_sym_foreach_statement_token2] = ACTIONS(1106),
    [aux_sym_if_statement_token1] = ACTIONS(1106),
    [aux_sym_if_statement_token2] = ACTIONS(1106),
    [aux_sym_else_if_clause_token1] = ACTIONS(1106),
    [aux_sym_else_clause_token1] = ACTIONS(1106),
    [aux_sym_match_expression_token1] = ACTIONS(1106),
    [aux_sym_match_default_expression_token1] = ACTIONS(1106),
    [aux_sym_switch_statement_token1] = ACTIONS(1106),
    [aux_sym_switch_block_token1] = ACTIONS(1106),
    [anon_sym_PLUS] = ACTIONS(1106),
    [anon_sym_DASH] = ACTIONS(1106),
    [anon_sym_TILDE] = ACTIONS(1104),
    [anon_sym_BANG] = ACTIONS(1104),
    [anon_sym_AT] = ACTIONS(1104),
    [aux_sym_clone_expression_token1] = ACTIONS(1106),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1106),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1106),
    [anon_sym_DASH_DASH] = ACTIONS(1104),
    [anon_sym_PLUS_PLUS] = ACTIONS(1104),
    [aux_sym__list_destructing_token1] = ACTIONS(1106),
    [anon_sym_LBRACK] = ACTIONS(1104),
    [anon_sym_self] = ACTIONS(1106),
    [anon_sym_parent] = ACTIONS(1106),
    [aux_sym__argument_name_token1] = ACTIONS(1106),
    [aux_sym__argument_name_token2] = ACTIONS(1106),
    [anon_sym_POUND_LBRACK] = ACTIONS(1104),
    [aux_sym_encapsed_string_token1] = ACTIONS(1104),
    [anon_sym_DQUOTE] = ACTIONS(1104),
    [aux_sym_string_token1] = ACTIONS(1104),
    [anon_sym_SQUOTE] = ACTIONS(1104),
    [anon_sym_LT_LT_LT] = ACTIONS(1104),
    [anon_sym_BQUOTE] = ACTIONS(1104),
    [anon_sym_DOLLAR] = ACTIONS(1104),
    [aux_sym_yield_expression_token1] = ACTIONS(1106),
    [aux_sym_include_expression_token1] = ACTIONS(1106),
    [aux_sym_include_once_expression_token1] = ACTIONS(1106),
    [aux_sym_require_expression_token1] = ACTIONS(1106),
    [aux_sym_require_once_expression_token1] = ACTIONS(1106),
    [sym_comment] = ACTIONS(5),
  },
  [467] = {
    [sym_text_interpolation] = STATE(467),
    [ts_builtin_sym_end] = ACTIONS(1108),
    [sym_name] = ACTIONS(1110),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1108),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1110),
    [aux_sym_global_declaration_token1] = ACTIONS(1110),
    [aux_sym_namespace_definition_token1] = ACTIONS(1110),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1110),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1110),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1110),
    [anon_sym_BSLASH] = ACTIONS(1108),
    [anon_sym_LBRACE] = ACTIONS(1108),
    [anon_sym_RBRACE] = ACTIONS(1108),
    [aux_sym_trait_declaration_token1] = ACTIONS(1110),
    [aux_sym_interface_declaration_token1] = ACTIONS(1110),
    [aux_sym_enum_declaration_token1] = ACTIONS(1110),
    [aux_sym_enum_case_token1] = ACTIONS(1110),
    [aux_sym_class_declaration_token1] = ACTIONS(1110),
    [aux_sym_final_modifier_token1] = ACTIONS(1110),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1110),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1110),
    [sym_var_modifier] = ACTIONS(1110),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1110),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1110),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1110),
    [anon_sym_LPAREN2] = ACTIONS(1108),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1110),
    [aux_sym_cast_type_token1] = ACTIONS(1110),
    [aux_sym_echo_statement_token1] = ACTIONS(1110),
    [aux_sym_exit_statement_token1] = ACTIONS(1110),
    [anon_sym_unset] = ACTIONS(1110),
    [aux_sym_declare_statement_token1] = ACTIONS(1110),
    [aux_sym_declare_statement_token2] = ACTIONS(1110),
    [sym_float] = ACTIONS(1110),
    [aux_sym_try_statement_token1] = ACTIONS(1110),
    [aux_sym_goto_statement_token1] = ACTIONS(1110),
    [aux_sym_continue_statement_token1] = ACTIONS(1110),
    [aux_sym_break_statement_token1] = ACTIONS(1110),
    [sym_integer] = ACTIONS(1110),
    [aux_sym_return_statement_token1] = ACTIONS(1110),
    [aux_sym_throw_expression_token1] = ACTIONS(1110),
    [aux_sym_while_statement_token1] = ACTIONS(1110),
    [aux_sym_while_statement_token2] = ACTIONS(1110),
    [aux_sym_do_statement_token1] = ACTIONS(1110),
    [aux_sym_for_statement_token1] = ACTIONS(1110),
    [aux_sym_for_statement_token2] = ACTIONS(1110),
    [aux_sym_foreach_statement_token1] = ACTIONS(1110),
    [aux_sym_foreach_statement_token2] = ACTIONS(1110),
    [aux_sym_if_statement_token1] = ACTIONS(1110),
    [aux_sym_if_statement_token2] = ACTIONS(1110),
    [aux_sym_else_if_clause_token1] = ACTIONS(1110),
    [aux_sym_else_clause_token1] = ACTIONS(1110),
    [aux_sym_match_expression_token1] = ACTIONS(1110),
    [aux_sym_match_default_expression_token1] = ACTIONS(1110),
    [aux_sym_switch_statement_token1] = ACTIONS(1110),
    [aux_sym_switch_block_token1] = ACTIONS(1110),
    [anon_sym_PLUS] = ACTIONS(1110),
    [anon_sym_DASH] = ACTIONS(1110),
    [anon_sym_TILDE] = ACTIONS(1108),
    [anon_sym_BANG] = ACTIONS(1108),
    [anon_sym_AT] = ACTIONS(1108),
    [aux_sym_clone_expression_token1] = ACTIONS(1110),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1110),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1110),
    [anon_sym_DASH_DASH] = ACTIONS(1108),
    [anon_sym_PLUS_PLUS] = ACTIONS(1108),
    [aux_sym__list_destructing_token1] = ACTIONS(1110),
    [anon_sym_LBRACK] = ACTIONS(1108),
    [anon_sym_self] = ACTIONS(1110),
    [anon_sym_parent] = ACTIONS(1110),
    [aux_sym__argument_name_token1] = ACTIONS(1110),
    [aux_sym__argument_name_token2] = ACTIONS(1110),
    [anon_sym_POUND_LBRACK] = ACTIONS(1108),
    [aux_sym_encapsed_string_token1] = ACTIONS(1108),
    [anon_sym_DQUOTE] = ACTIONS(1108),
    [aux_sym_string_token1] = ACTIONS(1108),
    [anon_sym_SQUOTE] = ACTIONS(1108),
    [anon_sym_LT_LT_LT] = ACTIONS(1108),
    [anon_sym_BQUOTE] = ACTIONS(1108),
    [anon_sym_DOLLAR] = ACTIONS(1108),
    [aux_sym_yield_expression_token1] = ACTIONS(1110),
    [aux_sym_include_expression_token1] = ACTIONS(1110),
    [aux_sym_include_once_expression_token1] = ACTIONS(1110),
    [aux_sym_require_expression_token1] = ACTIONS(1110),
    [aux_sym_require_once_expression_token1] = ACTIONS(1110),
    [sym_comment] = ACTIONS(5),
  },
  [468] = {
    [sym_text_interpolation] = STATE(468),
    [ts_builtin_sym_end] = ACTIONS(1112),
    [sym_name] = ACTIONS(1114),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1112),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1114),
    [aux_sym_global_declaration_token1] = ACTIONS(1114),
    [aux_sym_namespace_definition_token1] = ACTIONS(1114),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1114),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1114),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1114),
    [anon_sym_BSLASH] = ACTIONS(1112),
    [anon_sym_LBRACE] = ACTIONS(1112),
    [anon_sym_RBRACE] = ACTIONS(1112),
    [aux_sym_trait_declaration_token1] = ACTIONS(1114),
    [aux_sym_interface_declaration_token1] = ACTIONS(1114),
    [aux_sym_enum_declaration_token1] = ACTIONS(1114),
    [aux_sym_enum_case_token1] = ACTIONS(1114),
    [aux_sym_class_declaration_token1] = ACTIONS(1114),
    [aux_sym_final_modifier_token1] = ACTIONS(1114),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1114),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1114),
    [sym_var_modifier] = ACTIONS(1114),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1114),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1114),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1114),
    [anon_sym_LPAREN2] = ACTIONS(1112),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1114),
    [aux_sym_cast_type_token1] = ACTIONS(1114),
    [aux_sym_echo_statement_token1] = ACTIONS(1114),
    [aux_sym_exit_statement_token1] = ACTIONS(1114),
    [anon_sym_unset] = ACTIONS(1114),
    [aux_sym_declare_statement_token1] = ACTIONS(1114),
    [aux_sym_declare_statement_token2] = ACTIONS(1114),
    [sym_float] = ACTIONS(1114),
    [aux_sym_try_statement_token1] = ACTIONS(1114),
    [aux_sym_goto_statement_token1] = ACTIONS(1114),
    [aux_sym_continue_statement_token1] = ACTIONS(1114),
    [aux_sym_break_statement_token1] = ACTIONS(1114),
    [sym_integer] = ACTIONS(1114),
    [aux_sym_return_statement_token1] = ACTIONS(1114),
    [aux_sym_throw_expression_token1] = ACTIONS(1114),
    [aux_sym_while_statement_token1] = ACTIONS(1114),
    [aux_sym_while_statement_token2] = ACTIONS(1114),
    [aux_sym_do_statement_token1] = ACTIONS(1114),
    [aux_sym_for_statement_token1] = ACTIONS(1114),
    [aux_sym_for_statement_token2] = ACTIONS(1114),
    [aux_sym_foreach_statement_token1] = ACTIONS(1114),
    [aux_sym_foreach_statement_token2] = ACTIONS(1114),
    [aux_sym_if_statement_token1] = ACTIONS(1114),
    [aux_sym_if_statement_token2] = ACTIONS(1114),
    [aux_sym_else_if_clause_token1] = ACTIONS(1114),
    [aux_sym_else_clause_token1] = ACTIONS(1114),
    [aux_sym_match_expression_token1] = ACTIONS(1114),
    [aux_sym_match_default_expression_token1] = ACTIONS(1114),
    [aux_sym_switch_statement_token1] = ACTIONS(1114),
    [aux_sym_switch_block_token1] = ACTIONS(1114),
    [anon_sym_PLUS] = ACTIONS(1114),
    [anon_sym_DASH] = ACTIONS(1114),
    [anon_sym_TILDE] = ACTIONS(1112),
    [anon_sym_BANG] = ACTIONS(1112),
    [anon_sym_AT] = ACTIONS(1112),
    [aux_sym_clone_expression_token1] = ACTIONS(1114),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1114),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1114),
    [anon_sym_DASH_DASH] = ACTIONS(1112),
    [anon_sym_PLUS_PLUS] = ACTIONS(1112),
    [aux_sym__list_destructing_token1] = ACTIONS(1114),
    [anon_sym_LBRACK] = ACTIONS(1112),
    [anon_sym_self] = ACTIONS(1114),
    [anon_sym_parent] = ACTIONS(1114),
    [aux_sym__argument_name_token1] = ACTIONS(1114),
    [aux_sym__argument_name_token2] = ACTIONS(1114),
    [anon_sym_POUND_LBRACK] = ACTIONS(1112),
    [aux_sym_encapsed_string_token1] = ACTIONS(1112),
    [anon_sym_DQUOTE] = ACTIONS(1112),
    [aux_sym_string_token1] = ACTIONS(1112),
    [anon_sym_SQUOTE] = ACTIONS(1112),
    [anon_sym_LT_LT_LT] = ACTIONS(1112),
    [anon_sym_BQUOTE] = ACTIONS(1112),
    [anon_sym_DOLLAR] = ACTIONS(1112),
    [aux_sym_yield_expression_token1] = ACTIONS(1114),
    [aux_sym_include_expression_token1] = ACTIONS(1114),
    [aux_sym_include_once_expression_token1] = ACTIONS(1114),
    [aux_sym_require_expression_token1] = ACTIONS(1114),
    [aux_sym_require_once_expression_token1] = ACTIONS(1114),
    [sym_comment] = ACTIONS(5),
  },
  [469] = {
    [sym_text_interpolation] = STATE(469),
    [ts_builtin_sym_end] = ACTIONS(1116),
    [sym_name] = ACTIONS(1118),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1116),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1118),
    [aux_sym_global_declaration_token1] = ACTIONS(1118),
    [aux_sym_namespace_definition_token1] = ACTIONS(1118),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1118),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1118),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1118),
    [anon_sym_BSLASH] = ACTIONS(1116),
    [anon_sym_LBRACE] = ACTIONS(1116),
    [anon_sym_RBRACE] = ACTIONS(1116),
    [aux_sym_trait_declaration_token1] = ACTIONS(1118),
    [aux_sym_interface_declaration_token1] = ACTIONS(1118),
    [aux_sym_enum_declaration_token1] = ACTIONS(1118),
    [aux_sym_enum_case_token1] = ACTIONS(1118),
    [aux_sym_class_declaration_token1] = ACTIONS(1118),
    [aux_sym_final_modifier_token1] = ACTIONS(1118),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1118),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1118),
    [sym_var_modifier] = ACTIONS(1118),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1118),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1118),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1118),
    [anon_sym_LPAREN2] = ACTIONS(1116),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1118),
    [aux_sym_cast_type_token1] = ACTIONS(1118),
    [aux_sym_echo_statement_token1] = ACTIONS(1118),
    [aux_sym_exit_statement_token1] = ACTIONS(1118),
    [anon_sym_unset] = ACTIONS(1118),
    [aux_sym_declare_statement_token1] = ACTIONS(1118),
    [aux_sym_declare_statement_token2] = ACTIONS(1118),
    [sym_float] = ACTIONS(1118),
    [aux_sym_try_statement_token1] = ACTIONS(1118),
    [aux_sym_goto_statement_token1] = ACTIONS(1118),
    [aux_sym_continue_statement_token1] = ACTIONS(1118),
    [aux_sym_break_statement_token1] = ACTIONS(1118),
    [sym_integer] = ACTIONS(1118),
    [aux_sym_return_statement_token1] = ACTIONS(1118),
    [aux_sym_throw_expression_token1] = ACTIONS(1118),
    [aux_sym_while_statement_token1] = ACTIONS(1118),
    [aux_sym_while_statement_token2] = ACTIONS(1118),
    [aux_sym_do_statement_token1] = ACTIONS(1118),
    [aux_sym_for_statement_token1] = ACTIONS(1118),
    [aux_sym_for_statement_token2] = ACTIONS(1118),
    [aux_sym_foreach_statement_token1] = ACTIONS(1118),
    [aux_sym_foreach_statement_token2] = ACTIONS(1118),
    [aux_sym_if_statement_token1] = ACTIONS(1118),
    [aux_sym_if_statement_token2] = ACTIONS(1118),
    [aux_sym_else_if_clause_token1] = ACTIONS(1118),
    [aux_sym_else_clause_token1] = ACTIONS(1118),
    [aux_sym_match_expression_token1] = ACTIONS(1118),
    [aux_sym_match_default_expression_token1] = ACTIONS(1118),
    [aux_sym_switch_statement_token1] = ACTIONS(1118),
    [aux_sym_switch_block_token1] = ACTIONS(1118),
    [anon_sym_PLUS] = ACTIONS(1118),
    [anon_sym_DASH] = ACTIONS(1118),
    [anon_sym_TILDE] = ACTIONS(1116),
    [anon_sym_BANG] = ACTIONS(1116),
    [anon_sym_AT] = ACTIONS(1116),
    [aux_sym_clone_expression_token1] = ACTIONS(1118),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1118),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1118),
    [anon_sym_DASH_DASH] = ACTIONS(1116),
    [anon_sym_PLUS_PLUS] = ACTIONS(1116),
    [aux_sym__list_destructing_token1] = ACTIONS(1118),
    [anon_sym_LBRACK] = ACTIONS(1116),
    [anon_sym_self] = ACTIONS(1118),
    [anon_sym_parent] = ACTIONS(1118),
    [aux_sym__argument_name_token1] = ACTIONS(1118),
    [aux_sym__argument_name_token2] = ACTIONS(1118),
    [anon_sym_POUND_LBRACK] = ACTIONS(1116),
    [aux_sym_encapsed_string_token1] = ACTIONS(1116),
    [anon_sym_DQUOTE] = ACTIONS(1116),
    [aux_sym_string_token1] = ACTIONS(1116),
    [anon_sym_SQUOTE] = ACTIONS(1116),
    [anon_sym_LT_LT_LT] = ACTIONS(1116),
    [anon_sym_BQUOTE] = ACTIONS(1116),
    [anon_sym_DOLLAR] = ACTIONS(1116),
    [aux_sym_yield_expression_token1] = ACTIONS(1118),
    [aux_sym_include_expression_token1] = ACTIONS(1118),
    [aux_sym_include_once_expression_token1] = ACTIONS(1118),
    [aux_sym_require_expression_token1] = ACTIONS(1118),
    [aux_sym_require_once_expression_token1] = ACTIONS(1118),
    [sym_comment] = ACTIONS(5),
  },
  [470] = {
    [sym_text_interpolation] = STATE(470),
    [ts_builtin_sym_end] = ACTIONS(1120),
    [sym_name] = ACTIONS(1122),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1120),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1122),
    [aux_sym_global_declaration_token1] = ACTIONS(1122),
    [aux_sym_namespace_definition_token1] = ACTIONS(1122),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1122),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1122),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1122),
    [anon_sym_BSLASH] = ACTIONS(1120),
    [anon_sym_LBRACE] = ACTIONS(1120),
    [anon_sym_RBRACE] = ACTIONS(1120),
    [aux_sym_trait_declaration_token1] = ACTIONS(1122),
    [aux_sym_interface_declaration_token1] = ACTIONS(1122),
    [aux_sym_enum_declaration_token1] = ACTIONS(1122),
    [aux_sym_enum_case_token1] = ACTIONS(1122),
    [aux_sym_class_declaration_token1] = ACTIONS(1122),
    [aux_sym_final_modifier_token1] = ACTIONS(1122),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1122),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1122),
    [sym_var_modifier] = ACTIONS(1122),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1122),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1122),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1122),
    [anon_sym_LPAREN2] = ACTIONS(1120),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1122),
    [aux_sym_cast_type_token1] = ACTIONS(1122),
    [aux_sym_echo_statement_token1] = ACTIONS(1122),
    [aux_sym_exit_statement_token1] = ACTIONS(1122),
    [anon_sym_unset] = ACTIONS(1122),
    [aux_sym_declare_statement_token1] = ACTIONS(1122),
    [aux_sym_declare_statement_token2] = ACTIONS(1122),
    [sym_float] = ACTIONS(1122),
    [aux_sym_try_statement_token1] = ACTIONS(1122),
    [aux_sym_goto_statement_token1] = ACTIONS(1122),
    [aux_sym_continue_statement_token1] = ACTIONS(1122),
    [aux_sym_break_statement_token1] = ACTIONS(1122),
    [sym_integer] = ACTIONS(1122),
    [aux_sym_return_statement_token1] = ACTIONS(1122),
    [aux_sym_throw_expression_token1] = ACTIONS(1122),
    [aux_sym_while_statement_token1] = ACTIONS(1122),
    [aux_sym_while_statement_token2] = ACTIONS(1122),
    [aux_sym_do_statement_token1] = ACTIONS(1122),
    [aux_sym_for_statement_token1] = ACTIONS(1122),
    [aux_sym_for_statement_token2] = ACTIONS(1122),
    [aux_sym_foreach_statement_token1] = ACTIONS(1122),
    [aux_sym_foreach_statement_token2] = ACTIONS(1122),
    [aux_sym_if_statement_token1] = ACTIONS(1122),
    [aux_sym_if_statement_token2] = ACTIONS(1122),
    [aux_sym_else_if_clause_token1] = ACTIONS(1122),
    [aux_sym_else_clause_token1] = ACTIONS(1122),
    [aux_sym_match_expression_token1] = ACTIONS(1122),
    [aux_sym_match_default_expression_token1] = ACTIONS(1122),
    [aux_sym_switch_statement_token1] = ACTIONS(1122),
    [aux_sym_switch_block_token1] = ACTIONS(1122),
    [anon_sym_PLUS] = ACTIONS(1122),
    [anon_sym_DASH] = ACTIONS(1122),
    [anon_sym_TILDE] = ACTIONS(1120),
    [anon_sym_BANG] = ACTIONS(1120),
    [anon_sym_AT] = ACTIONS(1120),
    [aux_sym_clone_expression_token1] = ACTIONS(1122),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1122),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1122),
    [anon_sym_DASH_DASH] = ACTIONS(1120),
    [anon_sym_PLUS_PLUS] = ACTIONS(1120),
    [aux_sym__list_destructing_token1] = ACTIONS(1122),
    [anon_sym_LBRACK] = ACTIONS(1120),
    [anon_sym_self] = ACTIONS(1122),
    [anon_sym_parent] = ACTIONS(1122),
    [aux_sym__argument_name_token1] = ACTIONS(1122),
    [aux_sym__argument_name_token2] = ACTIONS(1122),
    [anon_sym_POUND_LBRACK] = ACTIONS(1120),
    [aux_sym_encapsed_string_token1] = ACTIONS(1120),
    [anon_sym_DQUOTE] = ACTIONS(1120),
    [aux_sym_string_token1] = ACTIONS(1120),
    [anon_sym_SQUOTE] = ACTIONS(1120),
    [anon_sym_LT_LT_LT] = ACTIONS(1120),
    [anon_sym_BQUOTE] = ACTIONS(1120),
    [anon_sym_DOLLAR] = ACTIONS(1120),
    [aux_sym_yield_expression_token1] = ACTIONS(1122),
    [aux_sym_include_expression_token1] = ACTIONS(1122),
    [aux_sym_include_once_expression_token1] = ACTIONS(1122),
    [aux_sym_require_expression_token1] = ACTIONS(1122),
    [aux_sym_require_once_expression_token1] = ACTIONS(1122),
    [sym_comment] = ACTIONS(5),
  },
  [471] = {
    [sym_text_interpolation] = STATE(471),
    [ts_builtin_sym_end] = ACTIONS(1124),
    [sym_name] = ACTIONS(1126),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1124),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1126),
    [aux_sym_global_declaration_token1] = ACTIONS(1126),
    [aux_sym_namespace_definition_token1] = ACTIONS(1126),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1126),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1126),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1126),
    [anon_sym_BSLASH] = ACTIONS(1124),
    [anon_sym_LBRACE] = ACTIONS(1124),
    [anon_sym_RBRACE] = ACTIONS(1124),
    [aux_sym_trait_declaration_token1] = ACTIONS(1126),
    [aux_sym_interface_declaration_token1] = ACTIONS(1126),
    [aux_sym_enum_declaration_token1] = ACTIONS(1126),
    [aux_sym_enum_case_token1] = ACTIONS(1126),
    [aux_sym_class_declaration_token1] = ACTIONS(1126),
    [aux_sym_final_modifier_token1] = ACTIONS(1126),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1126),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1126),
    [sym_var_modifier] = ACTIONS(1126),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1126),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1126),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1126),
    [anon_sym_LPAREN2] = ACTIONS(1124),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1126),
    [aux_sym_cast_type_token1] = ACTIONS(1126),
    [aux_sym_echo_statement_token1] = ACTIONS(1126),
    [aux_sym_exit_statement_token1] = ACTIONS(1126),
    [anon_sym_unset] = ACTIONS(1126),
    [aux_sym_declare_statement_token1] = ACTIONS(1126),
    [aux_sym_declare_statement_token2] = ACTIONS(1126),
    [sym_float] = ACTIONS(1126),
    [aux_sym_try_statement_token1] = ACTIONS(1126),
    [aux_sym_goto_statement_token1] = ACTIONS(1126),
    [aux_sym_continue_statement_token1] = ACTIONS(1126),
    [aux_sym_break_statement_token1] = ACTIONS(1126),
    [sym_integer] = ACTIONS(1126),
    [aux_sym_return_statement_token1] = ACTIONS(1126),
    [aux_sym_throw_expression_token1] = ACTIONS(1126),
    [aux_sym_while_statement_token1] = ACTIONS(1126),
    [aux_sym_while_statement_token2] = ACTIONS(1126),
    [aux_sym_do_statement_token1] = ACTIONS(1126),
    [aux_sym_for_statement_token1] = ACTIONS(1126),
    [aux_sym_for_statement_token2] = ACTIONS(1126),
    [aux_sym_foreach_statement_token1] = ACTIONS(1126),
    [aux_sym_foreach_statement_token2] = ACTIONS(1126),
    [aux_sym_if_statement_token1] = ACTIONS(1126),
    [aux_sym_if_statement_token2] = ACTIONS(1126),
    [aux_sym_else_if_clause_token1] = ACTIONS(1126),
    [aux_sym_else_clause_token1] = ACTIONS(1126),
    [aux_sym_match_expression_token1] = ACTIONS(1126),
    [aux_sym_match_default_expression_token1] = ACTIONS(1126),
    [aux_sym_switch_statement_token1] = ACTIONS(1126),
    [aux_sym_switch_block_token1] = ACTIONS(1126),
    [anon_sym_PLUS] = ACTIONS(1126),
    [anon_sym_DASH] = ACTIONS(1126),
    [anon_sym_TILDE] = ACTIONS(1124),
    [anon_sym_BANG] = ACTIONS(1124),
    [anon_sym_AT] = ACTIONS(1124),
    [aux_sym_clone_expression_token1] = ACTIONS(1126),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1126),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1126),
    [anon_sym_DASH_DASH] = ACTIONS(1124),
    [anon_sym_PLUS_PLUS] = ACTIONS(1124),
    [aux_sym__list_destructing_token1] = ACTIONS(1126),
    [anon_sym_LBRACK] = ACTIONS(1124),
    [anon_sym_self] = ACTIONS(1126),
    [anon_sym_parent] = ACTIONS(1126),
    [aux_sym__argument_name_token1] = ACTIONS(1126),
    [aux_sym__argument_name_token2] = ACTIONS(1126),
    [anon_sym_POUND_LBRACK] = ACTIONS(1124),
    [aux_sym_encapsed_string_token1] = ACTIONS(1124),
    [anon_sym_DQUOTE] = ACTIONS(1124),
    [aux_sym_string_token1] = ACTIONS(1124),
    [anon_sym_SQUOTE] = ACTIONS(1124),
    [anon_sym_LT_LT_LT] = ACTIONS(1124),
    [anon_sym_BQUOTE] = ACTIONS(1124),
    [anon_sym_DOLLAR] = ACTIONS(1124),
    [aux_sym_yield_expression_token1] = ACTIONS(1126),
    [aux_sym_include_expression_token1] = ACTIONS(1126),
    [aux_sym_include_once_expression_token1] = ACTIONS(1126),
    [aux_sym_require_expression_token1] = ACTIONS(1126),
    [aux_sym_require_once_expression_token1] = ACTIONS(1126),
    [sym_comment] = ACTIONS(5),
  },
  [472] = {
    [sym_text_interpolation] = STATE(472),
    [ts_builtin_sym_end] = ACTIONS(1128),
    [sym_name] = ACTIONS(1130),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1128),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1130),
    [aux_sym_global_declaration_token1] = ACTIONS(1130),
    [aux_sym_namespace_definition_token1] = ACTIONS(1130),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1130),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1130),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1130),
    [anon_sym_BSLASH] = ACTIONS(1128),
    [anon_sym_LBRACE] = ACTIONS(1128),
    [anon_sym_RBRACE] = ACTIONS(1128),
    [aux_sym_trait_declaration_token1] = ACTIONS(1130),
    [aux_sym_interface_declaration_token1] = ACTIONS(1130),
    [aux_sym_enum_declaration_token1] = ACTIONS(1130),
    [aux_sym_enum_case_token1] = ACTIONS(1130),
    [aux_sym_class_declaration_token1] = ACTIONS(1130),
    [aux_sym_final_modifier_token1] = ACTIONS(1130),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1130),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1130),
    [sym_var_modifier] = ACTIONS(1130),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1130),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1130),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1130),
    [anon_sym_LPAREN2] = ACTIONS(1128),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1130),
    [aux_sym_cast_type_token1] = ACTIONS(1130),
    [aux_sym_echo_statement_token1] = ACTIONS(1130),
    [aux_sym_exit_statement_token1] = ACTIONS(1130),
    [anon_sym_unset] = ACTIONS(1130),
    [aux_sym_declare_statement_token1] = ACTIONS(1130),
    [aux_sym_declare_statement_token2] = ACTIONS(1130),
    [sym_float] = ACTIONS(1130),
    [aux_sym_try_statement_token1] = ACTIONS(1130),
    [aux_sym_goto_statement_token1] = ACTIONS(1130),
    [aux_sym_continue_statement_token1] = ACTIONS(1130),
    [aux_sym_break_statement_token1] = ACTIONS(1130),
    [sym_integer] = ACTIONS(1130),
    [aux_sym_return_statement_token1] = ACTIONS(1130),
    [aux_sym_throw_expression_token1] = ACTIONS(1130),
    [aux_sym_while_statement_token1] = ACTIONS(1130),
    [aux_sym_while_statement_token2] = ACTIONS(1130),
    [aux_sym_do_statement_token1] = ACTIONS(1130),
    [aux_sym_for_statement_token1] = ACTIONS(1130),
    [aux_sym_for_statement_token2] = ACTIONS(1130),
    [aux_sym_foreach_statement_token1] = ACTIONS(1130),
    [aux_sym_foreach_statement_token2] = ACTIONS(1130),
    [aux_sym_if_statement_token1] = ACTIONS(1130),
    [aux_sym_if_statement_token2] = ACTIONS(1130),
    [aux_sym_else_if_clause_token1] = ACTIONS(1130),
    [aux_sym_else_clause_token1] = ACTIONS(1130),
    [aux_sym_match_expression_token1] = ACTIONS(1130),
    [aux_sym_match_default_expression_token1] = ACTIONS(1130),
    [aux_sym_switch_statement_token1] = ACTIONS(1130),
    [aux_sym_switch_block_token1] = ACTIONS(1130),
    [anon_sym_PLUS] = ACTIONS(1130),
    [anon_sym_DASH] = ACTIONS(1130),
    [anon_sym_TILDE] = ACTIONS(1128),
    [anon_sym_BANG] = ACTIONS(1128),
    [anon_sym_AT] = ACTIONS(1128),
    [aux_sym_clone_expression_token1] = ACTIONS(1130),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1130),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1130),
    [anon_sym_DASH_DASH] = ACTIONS(1128),
    [anon_sym_PLUS_PLUS] = ACTIONS(1128),
    [aux_sym__list_destructing_token1] = ACTIONS(1130),
    [anon_sym_LBRACK] = ACTIONS(1128),
    [anon_sym_self] = ACTIONS(1130),
    [anon_sym_parent] = ACTIONS(1130),
    [aux_sym__argument_name_token1] = ACTIONS(1130),
    [aux_sym__argument_name_token2] = ACTIONS(1130),
    [anon_sym_POUND_LBRACK] = ACTIONS(1128),
    [aux_sym_encapsed_string_token1] = ACTIONS(1128),
    [anon_sym_DQUOTE] = ACTIONS(1128),
    [aux_sym_string_token1] = ACTIONS(1128),
    [anon_sym_SQUOTE] = ACTIONS(1128),
    [anon_sym_LT_LT_LT] = ACTIONS(1128),
    [anon_sym_BQUOTE] = ACTIONS(1128),
    [anon_sym_DOLLAR] = ACTIONS(1128),
    [aux_sym_yield_expression_token1] = ACTIONS(1130),
    [aux_sym_include_expression_token1] = ACTIONS(1130),
    [aux_sym_include_once_expression_token1] = ACTIONS(1130),
    [aux_sym_require_expression_token1] = ACTIONS(1130),
    [aux_sym_require_once_expression_token1] = ACTIONS(1130),
    [sym_comment] = ACTIONS(5),
  },
  [473] = {
    [sym_text_interpolation] = STATE(473),
    [ts_builtin_sym_end] = ACTIONS(1132),
    [sym_name] = ACTIONS(1134),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1132),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1134),
    [aux_sym_global_declaration_token1] = ACTIONS(1134),
    [aux_sym_namespace_definition_token1] = ACTIONS(1134),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1134),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1134),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1134),
    [anon_sym_BSLASH] = ACTIONS(1132),
    [anon_sym_LBRACE] = ACTIONS(1132),
    [anon_sym_RBRACE] = ACTIONS(1132),
    [aux_sym_trait_declaration_token1] = ACTIONS(1134),
    [aux_sym_interface_declaration_token1] = ACTIONS(1134),
    [aux_sym_enum_declaration_token1] = ACTIONS(1134),
    [aux_sym_enum_case_token1] = ACTIONS(1134),
    [aux_sym_class_declaration_token1] = ACTIONS(1134),
    [aux_sym_final_modifier_token1] = ACTIONS(1134),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1134),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1134),
    [sym_var_modifier] = ACTIONS(1134),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1134),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1134),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1134),
    [anon_sym_LPAREN2] = ACTIONS(1132),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1134),
    [aux_sym_cast_type_token1] = ACTIONS(1134),
    [aux_sym_echo_statement_token1] = ACTIONS(1134),
    [aux_sym_exit_statement_token1] = ACTIONS(1134),
    [anon_sym_unset] = ACTIONS(1134),
    [aux_sym_declare_statement_token1] = ACTIONS(1134),
    [aux_sym_declare_statement_token2] = ACTIONS(1134),
    [sym_float] = ACTIONS(1134),
    [aux_sym_try_statement_token1] = ACTIONS(1134),
    [aux_sym_goto_statement_token1] = ACTIONS(1134),
    [aux_sym_continue_statement_token1] = ACTIONS(1134),
    [aux_sym_break_statement_token1] = ACTIONS(1134),
    [sym_integer] = ACTIONS(1134),
    [aux_sym_return_statement_token1] = ACTIONS(1134),
    [aux_sym_throw_expression_token1] = ACTIONS(1134),
    [aux_sym_while_statement_token1] = ACTIONS(1134),
    [aux_sym_while_statement_token2] = ACTIONS(1134),
    [aux_sym_do_statement_token1] = ACTIONS(1134),
    [aux_sym_for_statement_token1] = ACTIONS(1134),
    [aux_sym_for_statement_token2] = ACTIONS(1134),
    [aux_sym_foreach_statement_token1] = ACTIONS(1134),
    [aux_sym_foreach_statement_token2] = ACTIONS(1134),
    [aux_sym_if_statement_token1] = ACTIONS(1134),
    [aux_sym_if_statement_token2] = ACTIONS(1134),
    [aux_sym_else_if_clause_token1] = ACTIONS(1134),
    [aux_sym_else_clause_token1] = ACTIONS(1134),
    [aux_sym_match_expression_token1] = ACTIONS(1134),
    [aux_sym_match_default_expression_token1] = ACTIONS(1134),
    [aux_sym_switch_statement_token1] = ACTIONS(1134),
    [aux_sym_switch_block_token1] = ACTIONS(1134),
    [anon_sym_PLUS] = ACTIONS(1134),
    [anon_sym_DASH] = ACTIONS(1134),
    [anon_sym_TILDE] = ACTIONS(1132),
    [anon_sym_BANG] = ACTIONS(1132),
    [anon_sym_AT] = ACTIONS(1132),
    [aux_sym_clone_expression_token1] = ACTIONS(1134),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1134),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1134),
    [anon_sym_DASH_DASH] = ACTIONS(1132),
    [anon_sym_PLUS_PLUS] = ACTIONS(1132),
    [aux_sym__list_destructing_token1] = ACTIONS(1134),
    [anon_sym_LBRACK] = ACTIONS(1132),
    [anon_sym_self] = ACTIONS(1134),
    [anon_sym_parent] = ACTIONS(1134),
    [aux_sym__argument_name_token1] = ACTIONS(1134),
    [aux_sym__argument_name_token2] = ACTIONS(1134),
    [anon_sym_POUND_LBRACK] = ACTIONS(1132),
    [aux_sym_encapsed_string_token1] = ACTIONS(1132),
    [anon_sym_DQUOTE] = ACTIONS(1132),
    [aux_sym_string_token1] = ACTIONS(1132),
    [anon_sym_SQUOTE] = ACTIONS(1132),
    [anon_sym_LT_LT_LT] = ACTIONS(1132),
    [anon_sym_BQUOTE] = ACTIONS(1132),
    [anon_sym_DOLLAR] = ACTIONS(1132),
    [aux_sym_yield_expression_token1] = ACTIONS(1134),
    [aux_sym_include_expression_token1] = ACTIONS(1134),
    [aux_sym_include_once_expression_token1] = ACTIONS(1134),
    [aux_sym_require_expression_token1] = ACTIONS(1134),
    [aux_sym_require_once_expression_token1] = ACTIONS(1134),
    [sym_comment] = ACTIONS(5),
  },
  [474] = {
    [sym_text_interpolation] = STATE(474),
    [ts_builtin_sym_end] = ACTIONS(1136),
    [sym_name] = ACTIONS(1138),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1136),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1138),
    [aux_sym_global_declaration_token1] = ACTIONS(1138),
    [aux_sym_namespace_definition_token1] = ACTIONS(1138),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1138),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1138),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1138),
    [anon_sym_BSLASH] = ACTIONS(1136),
    [anon_sym_LBRACE] = ACTIONS(1136),
    [anon_sym_RBRACE] = ACTIONS(1136),
    [aux_sym_trait_declaration_token1] = ACTIONS(1138),
    [aux_sym_interface_declaration_token1] = ACTIONS(1138),
    [aux_sym_enum_declaration_token1] = ACTIONS(1138),
    [aux_sym_enum_case_token1] = ACTIONS(1138),
    [aux_sym_class_declaration_token1] = ACTIONS(1138),
    [aux_sym_final_modifier_token1] = ACTIONS(1138),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1138),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1138),
    [sym_var_modifier] = ACTIONS(1138),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1138),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1138),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1138),
    [anon_sym_LPAREN2] = ACTIONS(1136),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1138),
    [aux_sym_cast_type_token1] = ACTIONS(1138),
    [aux_sym_echo_statement_token1] = ACTIONS(1138),
    [aux_sym_exit_statement_token1] = ACTIONS(1138),
    [anon_sym_unset] = ACTIONS(1138),
    [aux_sym_declare_statement_token1] = ACTIONS(1138),
    [aux_sym_declare_statement_token2] = ACTIONS(1138),
    [sym_float] = ACTIONS(1138),
    [aux_sym_try_statement_token1] = ACTIONS(1138),
    [aux_sym_goto_statement_token1] = ACTIONS(1138),
    [aux_sym_continue_statement_token1] = ACTIONS(1138),
    [aux_sym_break_statement_token1] = ACTIONS(1138),
    [sym_integer] = ACTIONS(1138),
    [aux_sym_return_statement_token1] = ACTIONS(1138),
    [aux_sym_throw_expression_token1] = ACTIONS(1138),
    [aux_sym_while_statement_token1] = ACTIONS(1138),
    [aux_sym_while_statement_token2] = ACTIONS(1138),
    [aux_sym_do_statement_token1] = ACTIONS(1138),
    [aux_sym_for_statement_token1] = ACTIONS(1138),
    [aux_sym_for_statement_token2] = ACTIONS(1138),
    [aux_sym_foreach_statement_token1] = ACTIONS(1138),
    [aux_sym_foreach_statement_token2] = ACTIONS(1138),
    [aux_sym_if_statement_token1] = ACTIONS(1138),
    [aux_sym_if_statement_token2] = ACTIONS(1138),
    [aux_sym_else_if_clause_token1] = ACTIONS(1138),
    [aux_sym_else_clause_token1] = ACTIONS(1138),
    [aux_sym_match_expression_token1] = ACTIONS(1138),
    [aux_sym_match_default_expression_token1] = ACTIONS(1138),
    [aux_sym_switch_statement_token1] = ACTIONS(1138),
    [aux_sym_switch_block_token1] = ACTIONS(1138),
    [anon_sym_PLUS] = ACTIONS(1138),
    [anon_sym_DASH] = ACTIONS(1138),
    [anon_sym_TILDE] = ACTIONS(1136),
    [anon_sym_BANG] = ACTIONS(1136),
    [anon_sym_AT] = ACTIONS(1136),
    [aux_sym_clone_expression_token1] = ACTIONS(1138),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1138),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1138),
    [anon_sym_DASH_DASH] = ACTIONS(1136),
    [anon_sym_PLUS_PLUS] = ACTIONS(1136),
    [aux_sym__list_destructing_token1] = ACTIONS(1138),
    [anon_sym_LBRACK] = ACTIONS(1136),
    [anon_sym_self] = ACTIONS(1138),
    [anon_sym_parent] = ACTIONS(1138),
    [aux_sym__argument_name_token1] = ACTIONS(1138),
    [aux_sym__argument_name_token2] = ACTIONS(1138),
    [anon_sym_POUND_LBRACK] = ACTIONS(1136),
    [aux_sym_encapsed_string_token1] = ACTIONS(1136),
    [anon_sym_DQUOTE] = ACTIONS(1136),
    [aux_sym_string_token1] = ACTIONS(1136),
    [anon_sym_SQUOTE] = ACTIONS(1136),
    [anon_sym_LT_LT_LT] = ACTIONS(1136),
    [anon_sym_BQUOTE] = ACTIONS(1136),
    [anon_sym_DOLLAR] = ACTIONS(1136),
    [aux_sym_yield_expression_token1] = ACTIONS(1138),
    [aux_sym_include_expression_token1] = ACTIONS(1138),
    [aux_sym_include_once_expression_token1] = ACTIONS(1138),
    [aux_sym_require_expression_token1] = ACTIONS(1138),
    [aux_sym_require_once_expression_token1] = ACTIONS(1138),
    [sym_comment] = ACTIONS(5),
  },
  [475] = {
    [sym_text_interpolation] = STATE(475),
    [ts_builtin_sym_end] = ACTIONS(1140),
    [sym_name] = ACTIONS(1142),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1140),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1142),
    [aux_sym_global_declaration_token1] = ACTIONS(1142),
    [aux_sym_namespace_definition_token1] = ACTIONS(1142),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1142),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1142),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1142),
    [anon_sym_BSLASH] = ACTIONS(1140),
    [anon_sym_LBRACE] = ACTIONS(1140),
    [anon_sym_RBRACE] = ACTIONS(1140),
    [aux_sym_trait_declaration_token1] = ACTIONS(1142),
    [aux_sym_interface_declaration_token1] = ACTIONS(1142),
    [aux_sym_enum_declaration_token1] = ACTIONS(1142),
    [aux_sym_enum_case_token1] = ACTIONS(1142),
    [aux_sym_class_declaration_token1] = ACTIONS(1142),
    [aux_sym_final_modifier_token1] = ACTIONS(1142),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1142),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1142),
    [sym_var_modifier] = ACTIONS(1142),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1142),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1142),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1142),
    [anon_sym_LPAREN2] = ACTIONS(1140),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1142),
    [aux_sym_cast_type_token1] = ACTIONS(1142),
    [aux_sym_echo_statement_token1] = ACTIONS(1142),
    [aux_sym_exit_statement_token1] = ACTIONS(1142),
    [anon_sym_unset] = ACTIONS(1142),
    [aux_sym_declare_statement_token1] = ACTIONS(1142),
    [aux_sym_declare_statement_token2] = ACTIONS(1142),
    [sym_float] = ACTIONS(1142),
    [aux_sym_try_statement_token1] = ACTIONS(1142),
    [aux_sym_goto_statement_token1] = ACTIONS(1142),
    [aux_sym_continue_statement_token1] = ACTIONS(1142),
    [aux_sym_break_statement_token1] = ACTIONS(1142),
    [sym_integer] = ACTIONS(1142),
    [aux_sym_return_statement_token1] = ACTIONS(1142),
    [aux_sym_throw_expression_token1] = ACTIONS(1142),
    [aux_sym_while_statement_token1] = ACTIONS(1142),
    [aux_sym_while_statement_token2] = ACTIONS(1142),
    [aux_sym_do_statement_token1] = ACTIONS(1142),
    [aux_sym_for_statement_token1] = ACTIONS(1142),
    [aux_sym_for_statement_token2] = ACTIONS(1142),
    [aux_sym_foreach_statement_token1] = ACTIONS(1142),
    [aux_sym_foreach_statement_token2] = ACTIONS(1142),
    [aux_sym_if_statement_token1] = ACTIONS(1142),
    [aux_sym_if_statement_token2] = ACTIONS(1142),
    [aux_sym_else_if_clause_token1] = ACTIONS(1142),
    [aux_sym_else_clause_token1] = ACTIONS(1142),
    [aux_sym_match_expression_token1] = ACTIONS(1142),
    [aux_sym_match_default_expression_token1] = ACTIONS(1142),
    [aux_sym_switch_statement_token1] = ACTIONS(1142),
    [aux_sym_switch_block_token1] = ACTIONS(1142),
    [anon_sym_PLUS] = ACTIONS(1142),
    [anon_sym_DASH] = ACTIONS(1142),
    [anon_sym_TILDE] = ACTIONS(1140),
    [anon_sym_BANG] = ACTIONS(1140),
    [anon_sym_AT] = ACTIONS(1140),
    [aux_sym_clone_expression_token1] = ACTIONS(1142),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1142),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1142),
    [anon_sym_DASH_DASH] = ACTIONS(1140),
    [anon_sym_PLUS_PLUS] = ACTIONS(1140),
    [aux_sym__list_destructing_token1] = ACTIONS(1142),
    [anon_sym_LBRACK] = ACTIONS(1140),
    [anon_sym_self] = ACTIONS(1142),
    [anon_sym_parent] = ACTIONS(1142),
    [aux_sym__argument_name_token1] = ACTIONS(1142),
    [aux_sym__argument_name_token2] = ACTIONS(1142),
    [anon_sym_POUND_LBRACK] = ACTIONS(1140),
    [aux_sym_encapsed_string_token1] = ACTIONS(1140),
    [anon_sym_DQUOTE] = ACTIONS(1140),
    [aux_sym_string_token1] = ACTIONS(1140),
    [anon_sym_SQUOTE] = ACTIONS(1140),
    [anon_sym_LT_LT_LT] = ACTIONS(1140),
    [anon_sym_BQUOTE] = ACTIONS(1140),
    [anon_sym_DOLLAR] = ACTIONS(1140),
    [aux_sym_yield_expression_token1] = ACTIONS(1142),
    [aux_sym_include_expression_token1] = ACTIONS(1142),
    [aux_sym_include_once_expression_token1] = ACTIONS(1142),
    [aux_sym_require_expression_token1] = ACTIONS(1142),
    [aux_sym_require_once_expression_token1] = ACTIONS(1142),
    [sym_comment] = ACTIONS(5),
  },
  [476] = {
    [sym_text_interpolation] = STATE(476),
    [ts_builtin_sym_end] = ACTIONS(1144),
    [sym_name] = ACTIONS(1146),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1144),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1146),
    [aux_sym_global_declaration_token1] = ACTIONS(1146),
    [aux_sym_namespace_definition_token1] = ACTIONS(1146),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1146),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1146),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1146),
    [anon_sym_BSLASH] = ACTIONS(1144),
    [anon_sym_LBRACE] = ACTIONS(1144),
    [anon_sym_RBRACE] = ACTIONS(1144),
    [aux_sym_trait_declaration_token1] = ACTIONS(1146),
    [aux_sym_interface_declaration_token1] = ACTIONS(1146),
    [aux_sym_enum_declaration_token1] = ACTIONS(1146),
    [aux_sym_enum_case_token1] = ACTIONS(1146),
    [aux_sym_class_declaration_token1] = ACTIONS(1146),
    [aux_sym_final_modifier_token1] = ACTIONS(1146),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1146),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1146),
    [sym_var_modifier] = ACTIONS(1146),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1146),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1146),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1146),
    [anon_sym_LPAREN2] = ACTIONS(1144),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1146),
    [aux_sym_cast_type_token1] = ACTIONS(1146),
    [aux_sym_echo_statement_token1] = ACTIONS(1146),
    [aux_sym_exit_statement_token1] = ACTIONS(1146),
    [anon_sym_unset] = ACTIONS(1146),
    [aux_sym_declare_statement_token1] = ACTIONS(1146),
    [aux_sym_declare_statement_token2] = ACTIONS(1146),
    [sym_float] = ACTIONS(1146),
    [aux_sym_try_statement_token1] = ACTIONS(1146),
    [aux_sym_goto_statement_token1] = ACTIONS(1146),
    [aux_sym_continue_statement_token1] = ACTIONS(1146),
    [aux_sym_break_statement_token1] = ACTIONS(1146),
    [sym_integer] = ACTIONS(1146),
    [aux_sym_return_statement_token1] = ACTIONS(1146),
    [aux_sym_throw_expression_token1] = ACTIONS(1146),
    [aux_sym_while_statement_token1] = ACTIONS(1146),
    [aux_sym_while_statement_token2] = ACTIONS(1146),
    [aux_sym_do_statement_token1] = ACTIONS(1146),
    [aux_sym_for_statement_token1] = ACTIONS(1146),
    [aux_sym_for_statement_token2] = ACTIONS(1146),
    [aux_sym_foreach_statement_token1] = ACTIONS(1146),
    [aux_sym_foreach_statement_token2] = ACTIONS(1146),
    [aux_sym_if_statement_token1] = ACTIONS(1146),
    [aux_sym_if_statement_token2] = ACTIONS(1146),
    [aux_sym_else_if_clause_token1] = ACTIONS(1146),
    [aux_sym_else_clause_token1] = ACTIONS(1146),
    [aux_sym_match_expression_token1] = ACTIONS(1146),
    [aux_sym_match_default_expression_token1] = ACTIONS(1146),
    [aux_sym_switch_statement_token1] = ACTIONS(1146),
    [aux_sym_switch_block_token1] = ACTIONS(1146),
    [anon_sym_PLUS] = ACTIONS(1146),
    [anon_sym_DASH] = ACTIONS(1146),
    [anon_sym_TILDE] = ACTIONS(1144),
    [anon_sym_BANG] = ACTIONS(1144),
    [anon_sym_AT] = ACTIONS(1144),
    [aux_sym_clone_expression_token1] = ACTIONS(1146),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1146),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1146),
    [anon_sym_DASH_DASH] = ACTIONS(1144),
    [anon_sym_PLUS_PLUS] = ACTIONS(1144),
    [aux_sym__list_destructing_token1] = ACTIONS(1146),
    [anon_sym_LBRACK] = ACTIONS(1144),
    [anon_sym_self] = ACTIONS(1146),
    [anon_sym_parent] = ACTIONS(1146),
    [aux_sym__argument_name_token1] = ACTIONS(1146),
    [aux_sym__argument_name_token2] = ACTIONS(1146),
    [anon_sym_POUND_LBRACK] = ACTIONS(1144),
    [aux_sym_encapsed_string_token1] = ACTIONS(1144),
    [anon_sym_DQUOTE] = ACTIONS(1144),
    [aux_sym_string_token1] = ACTIONS(1144),
    [anon_sym_SQUOTE] = ACTIONS(1144),
    [anon_sym_LT_LT_LT] = ACTIONS(1144),
    [anon_sym_BQUOTE] = ACTIONS(1144),
    [anon_sym_DOLLAR] = ACTIONS(1144),
    [aux_sym_yield_expression_token1] = ACTIONS(1146),
    [aux_sym_include_expression_token1] = ACTIONS(1146),
    [aux_sym_include_once_expression_token1] = ACTIONS(1146),
    [aux_sym_require_expression_token1] = ACTIONS(1146),
    [aux_sym_require_once_expression_token1] = ACTIONS(1146),
    [sym_comment] = ACTIONS(5),
  },
  [477] = {
    [sym_text_interpolation] = STATE(477),
    [ts_builtin_sym_end] = ACTIONS(1148),
    [sym_name] = ACTIONS(1150),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1148),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1150),
    [aux_sym_global_declaration_token1] = ACTIONS(1150),
    [aux_sym_namespace_definition_token1] = ACTIONS(1150),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1150),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1150),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1150),
    [anon_sym_BSLASH] = ACTIONS(1148),
    [anon_sym_LBRACE] = ACTIONS(1148),
    [anon_sym_RBRACE] = ACTIONS(1148),
    [aux_sym_trait_declaration_token1] = ACTIONS(1150),
    [aux_sym_interface_declaration_token1] = ACTIONS(1150),
    [aux_sym_enum_declaration_token1] = ACTIONS(1150),
    [aux_sym_enum_case_token1] = ACTIONS(1150),
    [aux_sym_class_declaration_token1] = ACTIONS(1150),
    [aux_sym_final_modifier_token1] = ACTIONS(1150),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1150),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1150),
    [sym_var_modifier] = ACTIONS(1150),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1150),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1150),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1150),
    [anon_sym_LPAREN2] = ACTIONS(1148),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1150),
    [aux_sym_cast_type_token1] = ACTIONS(1150),
    [aux_sym_echo_statement_token1] = ACTIONS(1150),
    [aux_sym_exit_statement_token1] = ACTIONS(1150),
    [anon_sym_unset] = ACTIONS(1150),
    [aux_sym_declare_statement_token1] = ACTIONS(1150),
    [aux_sym_declare_statement_token2] = ACTIONS(1150),
    [sym_float] = ACTIONS(1150),
    [aux_sym_try_statement_token1] = ACTIONS(1150),
    [aux_sym_goto_statement_token1] = ACTIONS(1150),
    [aux_sym_continue_statement_token1] = ACTIONS(1150),
    [aux_sym_break_statement_token1] = ACTIONS(1150),
    [sym_integer] = ACTIONS(1150),
    [aux_sym_return_statement_token1] = ACTIONS(1150),
    [aux_sym_throw_expression_token1] = ACTIONS(1150),
    [aux_sym_while_statement_token1] = ACTIONS(1150),
    [aux_sym_while_statement_token2] = ACTIONS(1150),
    [aux_sym_do_statement_token1] = ACTIONS(1150),
    [aux_sym_for_statement_token1] = ACTIONS(1150),
    [aux_sym_for_statement_token2] = ACTIONS(1150),
    [aux_sym_foreach_statement_token1] = ACTIONS(1150),
    [aux_sym_foreach_statement_token2] = ACTIONS(1150),
    [aux_sym_if_statement_token1] = ACTIONS(1150),
    [aux_sym_if_statement_token2] = ACTIONS(1150),
    [aux_sym_else_if_clause_token1] = ACTIONS(1150),
    [aux_sym_else_clause_token1] = ACTIONS(1150),
    [aux_sym_match_expression_token1] = ACTIONS(1150),
    [aux_sym_match_default_expression_token1] = ACTIONS(1150),
    [aux_sym_switch_statement_token1] = ACTIONS(1150),
    [aux_sym_switch_block_token1] = ACTIONS(1150),
    [anon_sym_PLUS] = ACTIONS(1150),
    [anon_sym_DASH] = ACTIONS(1150),
    [anon_sym_TILDE] = ACTIONS(1148),
    [anon_sym_BANG] = ACTIONS(1148),
    [anon_sym_AT] = ACTIONS(1148),
    [aux_sym_clone_expression_token1] = ACTIONS(1150),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1150),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1150),
    [anon_sym_DASH_DASH] = ACTIONS(1148),
    [anon_sym_PLUS_PLUS] = ACTIONS(1148),
    [aux_sym__list_destructing_token1] = ACTIONS(1150),
    [anon_sym_LBRACK] = ACTIONS(1148),
    [anon_sym_self] = ACTIONS(1150),
    [anon_sym_parent] = ACTIONS(1150),
    [aux_sym__argument_name_token1] = ACTIONS(1150),
    [aux_sym__argument_name_token2] = ACTIONS(1150),
    [anon_sym_POUND_LBRACK] = ACTIONS(1148),
    [aux_sym_encapsed_string_token1] = ACTIONS(1148),
    [anon_sym_DQUOTE] = ACTIONS(1148),
    [aux_sym_string_token1] = ACTIONS(1148),
    [anon_sym_SQUOTE] = ACTIONS(1148),
    [anon_sym_LT_LT_LT] = ACTIONS(1148),
    [anon_sym_BQUOTE] = ACTIONS(1148),
    [anon_sym_DOLLAR] = ACTIONS(1148),
    [aux_sym_yield_expression_token1] = ACTIONS(1150),
    [aux_sym_include_expression_token1] = ACTIONS(1150),
    [aux_sym_include_once_expression_token1] = ACTIONS(1150),
    [aux_sym_require_expression_token1] = ACTIONS(1150),
    [aux_sym_require_once_expression_token1] = ACTIONS(1150),
    [sym_comment] = ACTIONS(5),
  },
  [478] = {
    [sym_text_interpolation] = STATE(478),
    [ts_builtin_sym_end] = ACTIONS(1152),
    [sym_name] = ACTIONS(1154),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1152),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1154),
    [aux_sym_global_declaration_token1] = ACTIONS(1154),
    [aux_sym_namespace_definition_token1] = ACTIONS(1154),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1154),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1154),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1154),
    [anon_sym_BSLASH] = ACTIONS(1152),
    [anon_sym_LBRACE] = ACTIONS(1152),
    [anon_sym_RBRACE] = ACTIONS(1152),
    [aux_sym_trait_declaration_token1] = ACTIONS(1154),
    [aux_sym_interface_declaration_token1] = ACTIONS(1154),
    [aux_sym_enum_declaration_token1] = ACTIONS(1154),
    [aux_sym_enum_case_token1] = ACTIONS(1154),
    [aux_sym_class_declaration_token1] = ACTIONS(1154),
    [aux_sym_final_modifier_token1] = ACTIONS(1154),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1154),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1154),
    [sym_var_modifier] = ACTIONS(1154),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1154),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1154),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1154),
    [anon_sym_LPAREN2] = ACTIONS(1152),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1154),
    [aux_sym_cast_type_token1] = ACTIONS(1154),
    [aux_sym_echo_statement_token1] = ACTIONS(1154),
    [aux_sym_exit_statement_token1] = ACTIONS(1154),
    [anon_sym_unset] = ACTIONS(1154),
    [aux_sym_declare_statement_token1] = ACTIONS(1154),
    [aux_sym_declare_statement_token2] = ACTIONS(1154),
    [sym_float] = ACTIONS(1154),
    [aux_sym_try_statement_token1] = ACTIONS(1154),
    [aux_sym_goto_statement_token1] = ACTIONS(1154),
    [aux_sym_continue_statement_token1] = ACTIONS(1154),
    [aux_sym_break_statement_token1] = ACTIONS(1154),
    [sym_integer] = ACTIONS(1154),
    [aux_sym_return_statement_token1] = ACTIONS(1154),
    [aux_sym_throw_expression_token1] = ACTIONS(1154),
    [aux_sym_while_statement_token1] = ACTIONS(1154),
    [aux_sym_while_statement_token2] = ACTIONS(1154),
    [aux_sym_do_statement_token1] = ACTIONS(1154),
    [aux_sym_for_statement_token1] = ACTIONS(1154),
    [aux_sym_for_statement_token2] = ACTIONS(1154),
    [aux_sym_foreach_statement_token1] = ACTIONS(1154),
    [aux_sym_foreach_statement_token2] = ACTIONS(1154),
    [aux_sym_if_statement_token1] = ACTIONS(1154),
    [aux_sym_if_statement_token2] = ACTIONS(1154),
    [aux_sym_else_if_clause_token1] = ACTIONS(1154),
    [aux_sym_else_clause_token1] = ACTIONS(1154),
    [aux_sym_match_expression_token1] = ACTIONS(1154),
    [aux_sym_match_default_expression_token1] = ACTIONS(1154),
    [aux_sym_switch_statement_token1] = ACTIONS(1154),
    [aux_sym_switch_block_token1] = ACTIONS(1154),
    [anon_sym_PLUS] = ACTIONS(1154),
    [anon_sym_DASH] = ACTIONS(1154),
    [anon_sym_TILDE] = ACTIONS(1152),
    [anon_sym_BANG] = ACTIONS(1152),
    [anon_sym_AT] = ACTIONS(1152),
    [aux_sym_clone_expression_token1] = ACTIONS(1154),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1154),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1154),
    [anon_sym_DASH_DASH] = ACTIONS(1152),
    [anon_sym_PLUS_PLUS] = ACTIONS(1152),
    [aux_sym__list_destructing_token1] = ACTIONS(1154),
    [anon_sym_LBRACK] = ACTIONS(1152),
    [anon_sym_self] = ACTIONS(1154),
    [anon_sym_parent] = ACTIONS(1154),
    [aux_sym__argument_name_token1] = ACTIONS(1154),
    [aux_sym__argument_name_token2] = ACTIONS(1154),
    [anon_sym_POUND_LBRACK] = ACTIONS(1152),
    [aux_sym_encapsed_string_token1] = ACTIONS(1152),
    [anon_sym_DQUOTE] = ACTIONS(1152),
    [aux_sym_string_token1] = ACTIONS(1152),
    [anon_sym_SQUOTE] = ACTIONS(1152),
    [anon_sym_LT_LT_LT] = ACTIONS(1152),
    [anon_sym_BQUOTE] = ACTIONS(1152),
    [anon_sym_DOLLAR] = ACTIONS(1152),
    [aux_sym_yield_expression_token1] = ACTIONS(1154),
    [aux_sym_include_expression_token1] = ACTIONS(1154),
    [aux_sym_include_once_expression_token1] = ACTIONS(1154),
    [aux_sym_require_expression_token1] = ACTIONS(1154),
    [aux_sym_require_once_expression_token1] = ACTIONS(1154),
    [sym_comment] = ACTIONS(5),
  },
  [479] = {
    [sym_text_interpolation] = STATE(479),
    [ts_builtin_sym_end] = ACTIONS(1156),
    [sym_name] = ACTIONS(1158),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1156),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1158),
    [aux_sym_global_declaration_token1] = ACTIONS(1158),
    [aux_sym_namespace_definition_token1] = ACTIONS(1158),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1158),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1158),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1158),
    [anon_sym_BSLASH] = ACTIONS(1156),
    [anon_sym_LBRACE] = ACTIONS(1156),
    [anon_sym_RBRACE] = ACTIONS(1156),
    [aux_sym_trait_declaration_token1] = ACTIONS(1158),
    [aux_sym_interface_declaration_token1] = ACTIONS(1158),
    [aux_sym_enum_declaration_token1] = ACTIONS(1158),
    [aux_sym_enum_case_token1] = ACTIONS(1158),
    [aux_sym_class_declaration_token1] = ACTIONS(1158),
    [aux_sym_final_modifier_token1] = ACTIONS(1158),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1158),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1158),
    [sym_var_modifier] = ACTIONS(1158),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1158),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1158),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1158),
    [anon_sym_LPAREN2] = ACTIONS(1156),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1158),
    [aux_sym_cast_type_token1] = ACTIONS(1158),
    [aux_sym_echo_statement_token1] = ACTIONS(1158),
    [aux_sym_exit_statement_token1] = ACTIONS(1158),
    [anon_sym_unset] = ACTIONS(1158),
    [aux_sym_declare_statement_token1] = ACTIONS(1158),
    [aux_sym_declare_statement_token2] = ACTIONS(1158),
    [sym_float] = ACTIONS(1158),
    [aux_sym_try_statement_token1] = ACTIONS(1158),
    [aux_sym_goto_statement_token1] = ACTIONS(1158),
    [aux_sym_continue_statement_token1] = ACTIONS(1158),
    [aux_sym_break_statement_token1] = ACTIONS(1158),
    [sym_integer] = ACTIONS(1158),
    [aux_sym_return_statement_token1] = ACTIONS(1158),
    [aux_sym_throw_expression_token1] = ACTIONS(1158),
    [aux_sym_while_statement_token1] = ACTIONS(1158),
    [aux_sym_while_statement_token2] = ACTIONS(1158),
    [aux_sym_do_statement_token1] = ACTIONS(1158),
    [aux_sym_for_statement_token1] = ACTIONS(1158),
    [aux_sym_for_statement_token2] = ACTIONS(1158),
    [aux_sym_foreach_statement_token1] = ACTIONS(1158),
    [aux_sym_foreach_statement_token2] = ACTIONS(1158),
    [aux_sym_if_statement_token1] = ACTIONS(1158),
    [aux_sym_if_statement_token2] = ACTIONS(1158),
    [aux_sym_else_if_clause_token1] = ACTIONS(1158),
    [aux_sym_else_clause_token1] = ACTIONS(1158),
    [aux_sym_match_expression_token1] = ACTIONS(1158),
    [aux_sym_match_default_expression_token1] = ACTIONS(1158),
    [aux_sym_switch_statement_token1] = ACTIONS(1158),
    [aux_sym_switch_block_token1] = ACTIONS(1158),
    [anon_sym_PLUS] = ACTIONS(1158),
    [anon_sym_DASH] = ACTIONS(1158),
    [anon_sym_TILDE] = ACTIONS(1156),
    [anon_sym_BANG] = ACTIONS(1156),
    [anon_sym_AT] = ACTIONS(1156),
    [aux_sym_clone_expression_token1] = ACTIONS(1158),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1158),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1158),
    [anon_sym_DASH_DASH] = ACTIONS(1156),
    [anon_sym_PLUS_PLUS] = ACTIONS(1156),
    [aux_sym__list_destructing_token1] = ACTIONS(1158),
    [anon_sym_LBRACK] = ACTIONS(1156),
    [anon_sym_self] = ACTIONS(1158),
    [anon_sym_parent] = ACTIONS(1158),
    [aux_sym__argument_name_token1] = ACTIONS(1158),
    [aux_sym__argument_name_token2] = ACTIONS(1158),
    [anon_sym_POUND_LBRACK] = ACTIONS(1156),
    [aux_sym_encapsed_string_token1] = ACTIONS(1156),
    [anon_sym_DQUOTE] = ACTIONS(1156),
    [aux_sym_string_token1] = ACTIONS(1156),
    [anon_sym_SQUOTE] = ACTIONS(1156),
    [anon_sym_LT_LT_LT] = ACTIONS(1156),
    [anon_sym_BQUOTE] = ACTIONS(1156),
    [anon_sym_DOLLAR] = ACTIONS(1156),
    [aux_sym_yield_expression_token1] = ACTIONS(1158),
    [aux_sym_include_expression_token1] = ACTIONS(1158),
    [aux_sym_include_once_expression_token1] = ACTIONS(1158),
    [aux_sym_require_expression_token1] = ACTIONS(1158),
    [aux_sym_require_once_expression_token1] = ACTIONS(1158),
    [sym_comment] = ACTIONS(5),
  },
  [480] = {
    [sym_text_interpolation] = STATE(480),
    [ts_builtin_sym_end] = ACTIONS(1160),
    [sym_name] = ACTIONS(1162),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1160),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1162),
    [aux_sym_global_declaration_token1] = ACTIONS(1162),
    [aux_sym_namespace_definition_token1] = ACTIONS(1162),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1162),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1162),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1162),
    [anon_sym_BSLASH] = ACTIONS(1160),
    [anon_sym_LBRACE] = ACTIONS(1160),
    [anon_sym_RBRACE] = ACTIONS(1160),
    [aux_sym_trait_declaration_token1] = ACTIONS(1162),
    [aux_sym_interface_declaration_token1] = ACTIONS(1162),
    [aux_sym_enum_declaration_token1] = ACTIONS(1162),
    [aux_sym_enum_case_token1] = ACTIONS(1162),
    [aux_sym_class_declaration_token1] = ACTIONS(1162),
    [aux_sym_final_modifier_token1] = ACTIONS(1162),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1162),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1162),
    [sym_var_modifier] = ACTIONS(1162),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1162),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1162),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1162),
    [anon_sym_LPAREN2] = ACTIONS(1160),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1162),
    [aux_sym_cast_type_token1] = ACTIONS(1162),
    [aux_sym_echo_statement_token1] = ACTIONS(1162),
    [aux_sym_exit_statement_token1] = ACTIONS(1162),
    [anon_sym_unset] = ACTIONS(1162),
    [aux_sym_declare_statement_token1] = ACTIONS(1162),
    [aux_sym_declare_statement_token2] = ACTIONS(1162),
    [sym_float] = ACTIONS(1162),
    [aux_sym_try_statement_token1] = ACTIONS(1162),
    [aux_sym_goto_statement_token1] = ACTIONS(1162),
    [aux_sym_continue_statement_token1] = ACTIONS(1162),
    [aux_sym_break_statement_token1] = ACTIONS(1162),
    [sym_integer] = ACTIONS(1162),
    [aux_sym_return_statement_token1] = ACTIONS(1162),
    [aux_sym_throw_expression_token1] = ACTIONS(1162),
    [aux_sym_while_statement_token1] = ACTIONS(1162),
    [aux_sym_while_statement_token2] = ACTIONS(1162),
    [aux_sym_do_statement_token1] = ACTIONS(1162),
    [aux_sym_for_statement_token1] = ACTIONS(1162),
    [aux_sym_for_statement_token2] = ACTIONS(1162),
    [aux_sym_foreach_statement_token1] = ACTIONS(1162),
    [aux_sym_foreach_statement_token2] = ACTIONS(1162),
    [aux_sym_if_statement_token1] = ACTIONS(1162),
    [aux_sym_if_statement_token2] = ACTIONS(1162),
    [aux_sym_else_if_clause_token1] = ACTIONS(1162),
    [aux_sym_else_clause_token1] = ACTIONS(1162),
    [aux_sym_match_expression_token1] = ACTIONS(1162),
    [aux_sym_match_default_expression_token1] = ACTIONS(1162),
    [aux_sym_switch_statement_token1] = ACTIONS(1162),
    [aux_sym_switch_block_token1] = ACTIONS(1162),
    [anon_sym_PLUS] = ACTIONS(1162),
    [anon_sym_DASH] = ACTIONS(1162),
    [anon_sym_TILDE] = ACTIONS(1160),
    [anon_sym_BANG] = ACTIONS(1160),
    [anon_sym_AT] = ACTIONS(1160),
    [aux_sym_clone_expression_token1] = ACTIONS(1162),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1162),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1162),
    [anon_sym_DASH_DASH] = ACTIONS(1160),
    [anon_sym_PLUS_PLUS] = ACTIONS(1160),
    [aux_sym__list_destructing_token1] = ACTIONS(1162),
    [anon_sym_LBRACK] = ACTIONS(1160),
    [anon_sym_self] = ACTIONS(1162),
    [anon_sym_parent] = ACTIONS(1162),
    [aux_sym__argument_name_token1] = ACTIONS(1162),
    [aux_sym__argument_name_token2] = ACTIONS(1162),
    [anon_sym_POUND_LBRACK] = ACTIONS(1160),
    [aux_sym_encapsed_string_token1] = ACTIONS(1160),
    [anon_sym_DQUOTE] = ACTIONS(1160),
    [aux_sym_string_token1] = ACTIONS(1160),
    [anon_sym_SQUOTE] = ACTIONS(1160),
    [anon_sym_LT_LT_LT] = ACTIONS(1160),
    [anon_sym_BQUOTE] = ACTIONS(1160),
    [anon_sym_DOLLAR] = ACTIONS(1160),
    [aux_sym_yield_expression_token1] = ACTIONS(1162),
    [aux_sym_include_expression_token1] = ACTIONS(1162),
    [aux_sym_include_once_expression_token1] = ACTIONS(1162),
    [aux_sym_require_expression_token1] = ACTIONS(1162),
    [aux_sym_require_once_expression_token1] = ACTIONS(1162),
    [sym_comment] = ACTIONS(5),
  },
  [481] = {
    [sym_text_interpolation] = STATE(481),
    [ts_builtin_sym_end] = ACTIONS(1164),
    [sym_name] = ACTIONS(1166),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1164),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1166),
    [aux_sym_global_declaration_token1] = ACTIONS(1166),
    [aux_sym_namespace_definition_token1] = ACTIONS(1166),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1166),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1166),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1166),
    [anon_sym_BSLASH] = ACTIONS(1164),
    [anon_sym_LBRACE] = ACTIONS(1164),
    [anon_sym_RBRACE] = ACTIONS(1164),
    [aux_sym_trait_declaration_token1] = ACTIONS(1166),
    [aux_sym_interface_declaration_token1] = ACTIONS(1166),
    [aux_sym_enum_declaration_token1] = ACTIONS(1166),
    [aux_sym_enum_case_token1] = ACTIONS(1166),
    [aux_sym_class_declaration_token1] = ACTIONS(1166),
    [aux_sym_final_modifier_token1] = ACTIONS(1166),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1166),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1166),
    [sym_var_modifier] = ACTIONS(1166),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1166),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1166),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1166),
    [anon_sym_LPAREN2] = ACTIONS(1164),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1166),
    [aux_sym_cast_type_token1] = ACTIONS(1166),
    [aux_sym_echo_statement_token1] = ACTIONS(1166),
    [aux_sym_exit_statement_token1] = ACTIONS(1166),
    [anon_sym_unset] = ACTIONS(1166),
    [aux_sym_declare_statement_token1] = ACTIONS(1166),
    [aux_sym_declare_statement_token2] = ACTIONS(1166),
    [sym_float] = ACTIONS(1166),
    [aux_sym_try_statement_token1] = ACTIONS(1166),
    [aux_sym_goto_statement_token1] = ACTIONS(1166),
    [aux_sym_continue_statement_token1] = ACTIONS(1166),
    [aux_sym_break_statement_token1] = ACTIONS(1166),
    [sym_integer] = ACTIONS(1166),
    [aux_sym_return_statement_token1] = ACTIONS(1166),
    [aux_sym_throw_expression_token1] = ACTIONS(1166),
    [aux_sym_while_statement_token1] = ACTIONS(1166),
    [aux_sym_while_statement_token2] = ACTIONS(1166),
    [aux_sym_do_statement_token1] = ACTIONS(1166),
    [aux_sym_for_statement_token1] = ACTIONS(1166),
    [aux_sym_for_statement_token2] = ACTIONS(1166),
    [aux_sym_foreach_statement_token1] = ACTIONS(1166),
    [aux_sym_foreach_statement_token2] = ACTIONS(1166),
    [aux_sym_if_statement_token1] = ACTIONS(1166),
    [aux_sym_if_statement_token2] = ACTIONS(1166),
    [aux_sym_else_if_clause_token1] = ACTIONS(1166),
    [aux_sym_else_clause_token1] = ACTIONS(1166),
    [aux_sym_match_expression_token1] = ACTIONS(1166),
    [aux_sym_match_default_expression_token1] = ACTIONS(1166),
    [aux_sym_switch_statement_token1] = ACTIONS(1166),
    [aux_sym_switch_block_token1] = ACTIONS(1166),
    [anon_sym_PLUS] = ACTIONS(1166),
    [anon_sym_DASH] = ACTIONS(1166),
    [anon_sym_TILDE] = ACTIONS(1164),
    [anon_sym_BANG] = ACTIONS(1164),
    [anon_sym_AT] = ACTIONS(1164),
    [aux_sym_clone_expression_token1] = ACTIONS(1166),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1166),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1166),
    [anon_sym_DASH_DASH] = ACTIONS(1164),
    [anon_sym_PLUS_PLUS] = ACTIONS(1164),
    [aux_sym__list_destructing_token1] = ACTIONS(1166),
    [anon_sym_LBRACK] = ACTIONS(1164),
    [anon_sym_self] = ACTIONS(1166),
    [anon_sym_parent] = ACTIONS(1166),
    [aux_sym__argument_name_token1] = ACTIONS(1166),
    [aux_sym__argument_name_token2] = ACTIONS(1166),
    [anon_sym_POUND_LBRACK] = ACTIONS(1164),
    [aux_sym_encapsed_string_token1] = ACTIONS(1164),
    [anon_sym_DQUOTE] = ACTIONS(1164),
    [aux_sym_string_token1] = ACTIONS(1164),
    [anon_sym_SQUOTE] = ACTIONS(1164),
    [anon_sym_LT_LT_LT] = ACTIONS(1164),
    [anon_sym_BQUOTE] = ACTIONS(1164),
    [anon_sym_DOLLAR] = ACTIONS(1164),
    [aux_sym_yield_expression_token1] = ACTIONS(1166),
    [aux_sym_include_expression_token1] = ACTIONS(1166),
    [aux_sym_include_once_expression_token1] = ACTIONS(1166),
    [aux_sym_require_expression_token1] = ACTIONS(1166),
    [aux_sym_require_once_expression_token1] = ACTIONS(1166),
    [sym_comment] = ACTIONS(5),
  },
  [482] = {
    [sym_text_interpolation] = STATE(482),
    [ts_builtin_sym_end] = ACTIONS(1168),
    [sym_name] = ACTIONS(1170),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1168),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1170),
    [aux_sym_global_declaration_token1] = ACTIONS(1170),
    [aux_sym_namespace_definition_token1] = ACTIONS(1170),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1170),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1170),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1170),
    [anon_sym_BSLASH] = ACTIONS(1168),
    [anon_sym_LBRACE] = ACTIONS(1168),
    [anon_sym_RBRACE] = ACTIONS(1168),
    [aux_sym_trait_declaration_token1] = ACTIONS(1170),
    [aux_sym_interface_declaration_token1] = ACTIONS(1170),
    [aux_sym_enum_declaration_token1] = ACTIONS(1170),
    [aux_sym_enum_case_token1] = ACTIONS(1170),
    [aux_sym_class_declaration_token1] = ACTIONS(1170),
    [aux_sym_final_modifier_token1] = ACTIONS(1170),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1170),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1170),
    [sym_var_modifier] = ACTIONS(1170),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1170),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1170),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1170),
    [anon_sym_LPAREN2] = ACTIONS(1168),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1170),
    [aux_sym_cast_type_token1] = ACTIONS(1170),
    [aux_sym_echo_statement_token1] = ACTIONS(1170),
    [aux_sym_exit_statement_token1] = ACTIONS(1170),
    [anon_sym_unset] = ACTIONS(1170),
    [aux_sym_declare_statement_token1] = ACTIONS(1170),
    [aux_sym_declare_statement_token2] = ACTIONS(1170),
    [sym_float] = ACTIONS(1170),
    [aux_sym_try_statement_token1] = ACTIONS(1170),
    [aux_sym_goto_statement_token1] = ACTIONS(1170),
    [aux_sym_continue_statement_token1] = ACTIONS(1170),
    [aux_sym_break_statement_token1] = ACTIONS(1170),
    [sym_integer] = ACTIONS(1170),
    [aux_sym_return_statement_token1] = ACTIONS(1170),
    [aux_sym_throw_expression_token1] = ACTIONS(1170),
    [aux_sym_while_statement_token1] = ACTIONS(1170),
    [aux_sym_while_statement_token2] = ACTIONS(1170),
    [aux_sym_do_statement_token1] = ACTIONS(1170),
    [aux_sym_for_statement_token1] = ACTIONS(1170),
    [aux_sym_for_statement_token2] = ACTIONS(1170),
    [aux_sym_foreach_statement_token1] = ACTIONS(1170),
    [aux_sym_foreach_statement_token2] = ACTIONS(1170),
    [aux_sym_if_statement_token1] = ACTIONS(1170),
    [aux_sym_if_statement_token2] = ACTIONS(1170),
    [aux_sym_else_if_clause_token1] = ACTIONS(1170),
    [aux_sym_else_clause_token1] = ACTIONS(1170),
    [aux_sym_match_expression_token1] = ACTIONS(1170),
    [aux_sym_match_default_expression_token1] = ACTIONS(1170),
    [aux_sym_switch_statement_token1] = ACTIONS(1170),
    [aux_sym_switch_block_token1] = ACTIONS(1170),
    [anon_sym_PLUS] = ACTIONS(1170),
    [anon_sym_DASH] = ACTIONS(1170),
    [anon_sym_TILDE] = ACTIONS(1168),
    [anon_sym_BANG] = ACTIONS(1168),
    [anon_sym_AT] = ACTIONS(1168),
    [aux_sym_clone_expression_token1] = ACTIONS(1170),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1170),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1170),
    [anon_sym_DASH_DASH] = ACTIONS(1168),
    [anon_sym_PLUS_PLUS] = ACTIONS(1168),
    [aux_sym__list_destructing_token1] = ACTIONS(1170),
    [anon_sym_LBRACK] = ACTIONS(1168),
    [anon_sym_self] = ACTIONS(1170),
    [anon_sym_parent] = ACTIONS(1170),
    [aux_sym__argument_name_token1] = ACTIONS(1170),
    [aux_sym__argument_name_token2] = ACTIONS(1170),
    [anon_sym_POUND_LBRACK] = ACTIONS(1168),
    [aux_sym_encapsed_string_token1] = ACTIONS(1168),
    [anon_sym_DQUOTE] = ACTIONS(1168),
    [aux_sym_string_token1] = ACTIONS(1168),
    [anon_sym_SQUOTE] = ACTIONS(1168),
    [anon_sym_LT_LT_LT] = ACTIONS(1168),
    [anon_sym_BQUOTE] = ACTIONS(1168),
    [anon_sym_DOLLAR] = ACTIONS(1168),
    [aux_sym_yield_expression_token1] = ACTIONS(1170),
    [aux_sym_include_expression_token1] = ACTIONS(1170),
    [aux_sym_include_once_expression_token1] = ACTIONS(1170),
    [aux_sym_require_expression_token1] = ACTIONS(1170),
    [aux_sym_require_once_expression_token1] = ACTIONS(1170),
    [sym_comment] = ACTIONS(5),
  },
  [483] = {
    [sym_text_interpolation] = STATE(483),
    [ts_builtin_sym_end] = ACTIONS(1172),
    [sym_name] = ACTIONS(1174),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1172),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1174),
    [aux_sym_global_declaration_token1] = ACTIONS(1174),
    [aux_sym_namespace_definition_token1] = ACTIONS(1174),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1174),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1174),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1174),
    [anon_sym_BSLASH] = ACTIONS(1172),
    [anon_sym_LBRACE] = ACTIONS(1172),
    [anon_sym_RBRACE] = ACTIONS(1172),
    [aux_sym_trait_declaration_token1] = ACTIONS(1174),
    [aux_sym_interface_declaration_token1] = ACTIONS(1174),
    [aux_sym_enum_declaration_token1] = ACTIONS(1174),
    [aux_sym_enum_case_token1] = ACTIONS(1174),
    [aux_sym_class_declaration_token1] = ACTIONS(1174),
    [aux_sym_final_modifier_token1] = ACTIONS(1174),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1174),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1174),
    [sym_var_modifier] = ACTIONS(1174),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1174),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1174),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1174),
    [anon_sym_LPAREN2] = ACTIONS(1172),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1174),
    [aux_sym_cast_type_token1] = ACTIONS(1174),
    [aux_sym_echo_statement_token1] = ACTIONS(1174),
    [aux_sym_exit_statement_token1] = ACTIONS(1174),
    [anon_sym_unset] = ACTIONS(1174),
    [aux_sym_declare_statement_token1] = ACTIONS(1174),
    [aux_sym_declare_statement_token2] = ACTIONS(1174),
    [sym_float] = ACTIONS(1174),
    [aux_sym_try_statement_token1] = ACTIONS(1174),
    [aux_sym_goto_statement_token1] = ACTIONS(1174),
    [aux_sym_continue_statement_token1] = ACTIONS(1174),
    [aux_sym_break_statement_token1] = ACTIONS(1174),
    [sym_integer] = ACTIONS(1174),
    [aux_sym_return_statement_token1] = ACTIONS(1174),
    [aux_sym_throw_expression_token1] = ACTIONS(1174),
    [aux_sym_while_statement_token1] = ACTIONS(1174),
    [aux_sym_while_statement_token2] = ACTIONS(1174),
    [aux_sym_do_statement_token1] = ACTIONS(1174),
    [aux_sym_for_statement_token1] = ACTIONS(1174),
    [aux_sym_for_statement_token2] = ACTIONS(1174),
    [aux_sym_foreach_statement_token1] = ACTIONS(1174),
    [aux_sym_foreach_statement_token2] = ACTIONS(1174),
    [aux_sym_if_statement_token1] = ACTIONS(1174),
    [aux_sym_if_statement_token2] = ACTIONS(1174),
    [aux_sym_else_if_clause_token1] = ACTIONS(1174),
    [aux_sym_else_clause_token1] = ACTIONS(1174),
    [aux_sym_match_expression_token1] = ACTIONS(1174),
    [aux_sym_match_default_expression_token1] = ACTIONS(1174),
    [aux_sym_switch_statement_token1] = ACTIONS(1174),
    [aux_sym_switch_block_token1] = ACTIONS(1174),
    [anon_sym_PLUS] = ACTIONS(1174),
    [anon_sym_DASH] = ACTIONS(1174),
    [anon_sym_TILDE] = ACTIONS(1172),
    [anon_sym_BANG] = ACTIONS(1172),
    [anon_sym_AT] = ACTIONS(1172),
    [aux_sym_clone_expression_token1] = ACTIONS(1174),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1174),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1174),
    [anon_sym_DASH_DASH] = ACTIONS(1172),
    [anon_sym_PLUS_PLUS] = ACTIONS(1172),
    [aux_sym__list_destructing_token1] = ACTIONS(1174),
    [anon_sym_LBRACK] = ACTIONS(1172),
    [anon_sym_self] = ACTIONS(1174),
    [anon_sym_parent] = ACTIONS(1174),
    [aux_sym__argument_name_token1] = ACTIONS(1174),
    [aux_sym__argument_name_token2] = ACTIONS(1174),
    [anon_sym_POUND_LBRACK] = ACTIONS(1172),
    [aux_sym_encapsed_string_token1] = ACTIONS(1172),
    [anon_sym_DQUOTE] = ACTIONS(1172),
    [aux_sym_string_token1] = ACTIONS(1172),
    [anon_sym_SQUOTE] = ACTIONS(1172),
    [anon_sym_LT_LT_LT] = ACTIONS(1172),
    [anon_sym_BQUOTE] = ACTIONS(1172),
    [anon_sym_DOLLAR] = ACTIONS(1172),
    [aux_sym_yield_expression_token1] = ACTIONS(1174),
    [aux_sym_include_expression_token1] = ACTIONS(1174),
    [aux_sym_include_once_expression_token1] = ACTIONS(1174),
    [aux_sym_require_expression_token1] = ACTIONS(1174),
    [aux_sym_require_once_expression_token1] = ACTIONS(1174),
    [sym_comment] = ACTIONS(5),
  },
  [484] = {
    [sym_text_interpolation] = STATE(484),
    [ts_builtin_sym_end] = ACTIONS(1176),
    [sym_name] = ACTIONS(1178),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1176),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1178),
    [aux_sym_global_declaration_token1] = ACTIONS(1178),
    [aux_sym_namespace_definition_token1] = ACTIONS(1178),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1178),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1178),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1178),
    [anon_sym_BSLASH] = ACTIONS(1176),
    [anon_sym_LBRACE] = ACTIONS(1176),
    [anon_sym_RBRACE] = ACTIONS(1176),
    [aux_sym_trait_declaration_token1] = ACTIONS(1178),
    [aux_sym_interface_declaration_token1] = ACTIONS(1178),
    [aux_sym_enum_declaration_token1] = ACTIONS(1178),
    [aux_sym_enum_case_token1] = ACTIONS(1178),
    [aux_sym_class_declaration_token1] = ACTIONS(1178),
    [aux_sym_final_modifier_token1] = ACTIONS(1178),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1178),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1178),
    [sym_var_modifier] = ACTIONS(1178),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1178),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1178),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1178),
    [anon_sym_LPAREN2] = ACTIONS(1176),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1178),
    [aux_sym_cast_type_token1] = ACTIONS(1178),
    [aux_sym_echo_statement_token1] = ACTIONS(1178),
    [aux_sym_exit_statement_token1] = ACTIONS(1178),
    [anon_sym_unset] = ACTIONS(1178),
    [aux_sym_declare_statement_token1] = ACTIONS(1178),
    [aux_sym_declare_statement_token2] = ACTIONS(1178),
    [sym_float] = ACTIONS(1178),
    [aux_sym_try_statement_token1] = ACTIONS(1178),
    [aux_sym_goto_statement_token1] = ACTIONS(1178),
    [aux_sym_continue_statement_token1] = ACTIONS(1178),
    [aux_sym_break_statement_token1] = ACTIONS(1178),
    [sym_integer] = ACTIONS(1178),
    [aux_sym_return_statement_token1] = ACTIONS(1178),
    [aux_sym_throw_expression_token1] = ACTIONS(1178),
    [aux_sym_while_statement_token1] = ACTIONS(1178),
    [aux_sym_while_statement_token2] = ACTIONS(1178),
    [aux_sym_do_statement_token1] = ACTIONS(1178),
    [aux_sym_for_statement_token1] = ACTIONS(1178),
    [aux_sym_for_statement_token2] = ACTIONS(1178),
    [aux_sym_foreach_statement_token1] = ACTIONS(1178),
    [aux_sym_foreach_statement_token2] = ACTIONS(1178),
    [aux_sym_if_statement_token1] = ACTIONS(1178),
    [aux_sym_if_statement_token2] = ACTIONS(1178),
    [aux_sym_else_if_clause_token1] = ACTIONS(1178),
    [aux_sym_else_clause_token1] = ACTIONS(1178),
    [aux_sym_match_expression_token1] = ACTIONS(1178),
    [aux_sym_match_default_expression_token1] = ACTIONS(1178),
    [aux_sym_switch_statement_token1] = ACTIONS(1178),
    [aux_sym_switch_block_token1] = ACTIONS(1178),
    [anon_sym_PLUS] = ACTIONS(1178),
    [anon_sym_DASH] = ACTIONS(1178),
    [anon_sym_TILDE] = ACTIONS(1176),
    [anon_sym_BANG] = ACTIONS(1176),
    [anon_sym_AT] = ACTIONS(1176),
    [aux_sym_clone_expression_token1] = ACTIONS(1178),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1178),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1178),
    [anon_sym_DASH_DASH] = ACTIONS(1176),
    [anon_sym_PLUS_PLUS] = ACTIONS(1176),
    [aux_sym__list_destructing_token1] = ACTIONS(1178),
    [anon_sym_LBRACK] = ACTIONS(1176),
    [anon_sym_self] = ACTIONS(1178),
    [anon_sym_parent] = ACTIONS(1178),
    [aux_sym__argument_name_token1] = ACTIONS(1178),
    [aux_sym__argument_name_token2] = ACTIONS(1178),
    [anon_sym_POUND_LBRACK] = ACTIONS(1176),
    [aux_sym_encapsed_string_token1] = ACTIONS(1176),
    [anon_sym_DQUOTE] = ACTIONS(1176),
    [aux_sym_string_token1] = ACTIONS(1176),
    [anon_sym_SQUOTE] = ACTIONS(1176),
    [anon_sym_LT_LT_LT] = ACTIONS(1176),
    [anon_sym_BQUOTE] = ACTIONS(1176),
    [anon_sym_DOLLAR] = ACTIONS(1176),
    [aux_sym_yield_expression_token1] = ACTIONS(1178),
    [aux_sym_include_expression_token1] = ACTIONS(1178),
    [aux_sym_include_once_expression_token1] = ACTIONS(1178),
    [aux_sym_require_expression_token1] = ACTIONS(1178),
    [aux_sym_require_once_expression_token1] = ACTIONS(1178),
    [sym_comment] = ACTIONS(5),
  },
  [485] = {
    [sym_text_interpolation] = STATE(485),
    [ts_builtin_sym_end] = ACTIONS(1180),
    [sym_name] = ACTIONS(1182),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1180),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1182),
    [aux_sym_global_declaration_token1] = ACTIONS(1182),
    [aux_sym_namespace_definition_token1] = ACTIONS(1182),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1182),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1182),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1182),
    [anon_sym_BSLASH] = ACTIONS(1180),
    [anon_sym_LBRACE] = ACTIONS(1180),
    [anon_sym_RBRACE] = ACTIONS(1180),
    [aux_sym_trait_declaration_token1] = ACTIONS(1182),
    [aux_sym_interface_declaration_token1] = ACTIONS(1182),
    [aux_sym_enum_declaration_token1] = ACTIONS(1182),
    [aux_sym_enum_case_token1] = ACTIONS(1182),
    [aux_sym_class_declaration_token1] = ACTIONS(1182),
    [aux_sym_final_modifier_token1] = ACTIONS(1182),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1182),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1182),
    [sym_var_modifier] = ACTIONS(1182),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1182),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1182),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1182),
    [anon_sym_LPAREN2] = ACTIONS(1180),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1182),
    [aux_sym_cast_type_token1] = ACTIONS(1182),
    [aux_sym_echo_statement_token1] = ACTIONS(1182),
    [aux_sym_exit_statement_token1] = ACTIONS(1182),
    [anon_sym_unset] = ACTIONS(1182),
    [aux_sym_declare_statement_token1] = ACTIONS(1182),
    [aux_sym_declare_statement_token2] = ACTIONS(1182),
    [sym_float] = ACTIONS(1182),
    [aux_sym_try_statement_token1] = ACTIONS(1182),
    [aux_sym_goto_statement_token1] = ACTIONS(1182),
    [aux_sym_continue_statement_token1] = ACTIONS(1182),
    [aux_sym_break_statement_token1] = ACTIONS(1182),
    [sym_integer] = ACTIONS(1182),
    [aux_sym_return_statement_token1] = ACTIONS(1182),
    [aux_sym_throw_expression_token1] = ACTIONS(1182),
    [aux_sym_while_statement_token1] = ACTIONS(1182),
    [aux_sym_while_statement_token2] = ACTIONS(1182),
    [aux_sym_do_statement_token1] = ACTIONS(1182),
    [aux_sym_for_statement_token1] = ACTIONS(1182),
    [aux_sym_for_statement_token2] = ACTIONS(1182),
    [aux_sym_foreach_statement_token1] = ACTIONS(1182),
    [aux_sym_foreach_statement_token2] = ACTIONS(1182),
    [aux_sym_if_statement_token1] = ACTIONS(1182),
    [aux_sym_if_statement_token2] = ACTIONS(1182),
    [aux_sym_else_if_clause_token1] = ACTIONS(1182),
    [aux_sym_else_clause_token1] = ACTIONS(1182),
    [aux_sym_match_expression_token1] = ACTIONS(1182),
    [aux_sym_match_default_expression_token1] = ACTIONS(1182),
    [aux_sym_switch_statement_token1] = ACTIONS(1182),
    [aux_sym_switch_block_token1] = ACTIONS(1182),
    [anon_sym_PLUS] = ACTIONS(1182),
    [anon_sym_DASH] = ACTIONS(1182),
    [anon_sym_TILDE] = ACTIONS(1180),
    [anon_sym_BANG] = ACTIONS(1180),
    [anon_sym_AT] = ACTIONS(1180),
    [aux_sym_clone_expression_token1] = ACTIONS(1182),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1182),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1182),
    [anon_sym_DASH_DASH] = ACTIONS(1180),
    [anon_sym_PLUS_PLUS] = ACTIONS(1180),
    [aux_sym__list_destructing_token1] = ACTIONS(1182),
    [anon_sym_LBRACK] = ACTIONS(1180),
    [anon_sym_self] = ACTIONS(1182),
    [anon_sym_parent] = ACTIONS(1182),
    [aux_sym__argument_name_token1] = ACTIONS(1182),
    [aux_sym__argument_name_token2] = ACTIONS(1182),
    [anon_sym_POUND_LBRACK] = ACTIONS(1180),
    [aux_sym_encapsed_string_token1] = ACTIONS(1180),
    [anon_sym_DQUOTE] = ACTIONS(1180),
    [aux_sym_string_token1] = ACTIONS(1180),
    [anon_sym_SQUOTE] = ACTIONS(1180),
    [anon_sym_LT_LT_LT] = ACTIONS(1180),
    [anon_sym_BQUOTE] = ACTIONS(1180),
    [anon_sym_DOLLAR] = ACTIONS(1180),
    [aux_sym_yield_expression_token1] = ACTIONS(1182),
    [aux_sym_include_expression_token1] = ACTIONS(1182),
    [aux_sym_include_once_expression_token1] = ACTIONS(1182),
    [aux_sym_require_expression_token1] = ACTIONS(1182),
    [aux_sym_require_once_expression_token1] = ACTIONS(1182),
    [sym_comment] = ACTIONS(5),
  },
  [486] = {
    [sym_text_interpolation] = STATE(486),
    [ts_builtin_sym_end] = ACTIONS(1184),
    [sym_name] = ACTIONS(1186),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1184),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1186),
    [aux_sym_global_declaration_token1] = ACTIONS(1186),
    [aux_sym_namespace_definition_token1] = ACTIONS(1186),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1186),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1186),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1186),
    [anon_sym_BSLASH] = ACTIONS(1184),
    [anon_sym_LBRACE] = ACTIONS(1184),
    [anon_sym_RBRACE] = ACTIONS(1184),
    [aux_sym_trait_declaration_token1] = ACTIONS(1186),
    [aux_sym_interface_declaration_token1] = ACTIONS(1186),
    [aux_sym_enum_declaration_token1] = ACTIONS(1186),
    [aux_sym_enum_case_token1] = ACTIONS(1186),
    [aux_sym_class_declaration_token1] = ACTIONS(1186),
    [aux_sym_final_modifier_token1] = ACTIONS(1186),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1186),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1186),
    [sym_var_modifier] = ACTIONS(1186),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1186),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1186),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1186),
    [anon_sym_LPAREN2] = ACTIONS(1184),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1186),
    [aux_sym_cast_type_token1] = ACTIONS(1186),
    [aux_sym_echo_statement_token1] = ACTIONS(1186),
    [aux_sym_exit_statement_token1] = ACTIONS(1186),
    [anon_sym_unset] = ACTIONS(1186),
    [aux_sym_declare_statement_token1] = ACTIONS(1186),
    [aux_sym_declare_statement_token2] = ACTIONS(1186),
    [sym_float] = ACTIONS(1186),
    [aux_sym_try_statement_token1] = ACTIONS(1186),
    [aux_sym_goto_statement_token1] = ACTIONS(1186),
    [aux_sym_continue_statement_token1] = ACTIONS(1186),
    [aux_sym_break_statement_token1] = ACTIONS(1186),
    [sym_integer] = ACTIONS(1186),
    [aux_sym_return_statement_token1] = ACTIONS(1186),
    [aux_sym_throw_expression_token1] = ACTIONS(1186),
    [aux_sym_while_statement_token1] = ACTIONS(1186),
    [aux_sym_while_statement_token2] = ACTIONS(1186),
    [aux_sym_do_statement_token1] = ACTIONS(1186),
    [aux_sym_for_statement_token1] = ACTIONS(1186),
    [aux_sym_for_statement_token2] = ACTIONS(1186),
    [aux_sym_foreach_statement_token1] = ACTIONS(1186),
    [aux_sym_foreach_statement_token2] = ACTIONS(1186),
    [aux_sym_if_statement_token1] = ACTIONS(1186),
    [aux_sym_if_statement_token2] = ACTIONS(1186),
    [aux_sym_else_if_clause_token1] = ACTIONS(1186),
    [aux_sym_else_clause_token1] = ACTIONS(1186),
    [aux_sym_match_expression_token1] = ACTIONS(1186),
    [aux_sym_match_default_expression_token1] = ACTIONS(1186),
    [aux_sym_switch_statement_token1] = ACTIONS(1186),
    [aux_sym_switch_block_token1] = ACTIONS(1186),
    [anon_sym_PLUS] = ACTIONS(1186),
    [anon_sym_DASH] = ACTIONS(1186),
    [anon_sym_TILDE] = ACTIONS(1184),
    [anon_sym_BANG] = ACTIONS(1184),
    [anon_sym_AT] = ACTIONS(1184),
    [aux_sym_clone_expression_token1] = ACTIONS(1186),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1186),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1186),
    [anon_sym_DASH_DASH] = ACTIONS(1184),
    [anon_sym_PLUS_PLUS] = ACTIONS(1184),
    [aux_sym__list_destructing_token1] = ACTIONS(1186),
    [anon_sym_LBRACK] = ACTIONS(1184),
    [anon_sym_self] = ACTIONS(1186),
    [anon_sym_parent] = ACTIONS(1186),
    [aux_sym__argument_name_token1] = ACTIONS(1186),
    [aux_sym__argument_name_token2] = ACTIONS(1186),
    [anon_sym_POUND_LBRACK] = ACTIONS(1184),
    [aux_sym_encapsed_string_token1] = ACTIONS(1184),
    [anon_sym_DQUOTE] = ACTIONS(1184),
    [aux_sym_string_token1] = ACTIONS(1184),
    [anon_sym_SQUOTE] = ACTIONS(1184),
    [anon_sym_LT_LT_LT] = ACTIONS(1184),
    [anon_sym_BQUOTE] = ACTIONS(1184),
    [anon_sym_DOLLAR] = ACTIONS(1184),
    [aux_sym_yield_expression_token1] = ACTIONS(1186),
    [aux_sym_include_expression_token1] = ACTIONS(1186),
    [aux_sym_include_once_expression_token1] = ACTIONS(1186),
    [aux_sym_require_expression_token1] = ACTIONS(1186),
    [aux_sym_require_once_expression_token1] = ACTIONS(1186),
    [sym_comment] = ACTIONS(5),
  },
  [487] = {
    [sym_text_interpolation] = STATE(487),
    [ts_builtin_sym_end] = ACTIONS(1188),
    [sym_name] = ACTIONS(1190),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1188),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1190),
    [aux_sym_global_declaration_token1] = ACTIONS(1190),
    [aux_sym_namespace_definition_token1] = ACTIONS(1190),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1190),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1190),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1190),
    [anon_sym_BSLASH] = ACTIONS(1188),
    [anon_sym_LBRACE] = ACTIONS(1188),
    [anon_sym_RBRACE] = ACTIONS(1188),
    [aux_sym_trait_declaration_token1] = ACTIONS(1190),
    [aux_sym_interface_declaration_token1] = ACTIONS(1190),
    [aux_sym_enum_declaration_token1] = ACTIONS(1190),
    [aux_sym_enum_case_token1] = ACTIONS(1190),
    [aux_sym_class_declaration_token1] = ACTIONS(1190),
    [aux_sym_final_modifier_token1] = ACTIONS(1190),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1190),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1190),
    [sym_var_modifier] = ACTIONS(1190),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1190),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1190),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1190),
    [anon_sym_LPAREN2] = ACTIONS(1188),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1190),
    [aux_sym_cast_type_token1] = ACTIONS(1190),
    [aux_sym_echo_statement_token1] = ACTIONS(1190),
    [aux_sym_exit_statement_token1] = ACTIONS(1190),
    [anon_sym_unset] = ACTIONS(1190),
    [aux_sym_declare_statement_token1] = ACTIONS(1190),
    [aux_sym_declare_statement_token2] = ACTIONS(1190),
    [sym_float] = ACTIONS(1190),
    [aux_sym_try_statement_token1] = ACTIONS(1190),
    [aux_sym_goto_statement_token1] = ACTIONS(1190),
    [aux_sym_continue_statement_token1] = ACTIONS(1190),
    [aux_sym_break_statement_token1] = ACTIONS(1190),
    [sym_integer] = ACTIONS(1190),
    [aux_sym_return_statement_token1] = ACTIONS(1190),
    [aux_sym_throw_expression_token1] = ACTIONS(1190),
    [aux_sym_while_statement_token1] = ACTIONS(1190),
    [aux_sym_while_statement_token2] = ACTIONS(1190),
    [aux_sym_do_statement_token1] = ACTIONS(1190),
    [aux_sym_for_statement_token1] = ACTIONS(1190),
    [aux_sym_for_statement_token2] = ACTIONS(1190),
    [aux_sym_foreach_statement_token1] = ACTIONS(1190),
    [aux_sym_foreach_statement_token2] = ACTIONS(1190),
    [aux_sym_if_statement_token1] = ACTIONS(1190),
    [aux_sym_if_statement_token2] = ACTIONS(1190),
    [aux_sym_else_if_clause_token1] = ACTIONS(1190),
    [aux_sym_else_clause_token1] = ACTIONS(1190),
    [aux_sym_match_expression_token1] = ACTIONS(1190),
    [aux_sym_match_default_expression_token1] = ACTIONS(1190),
    [aux_sym_switch_statement_token1] = ACTIONS(1190),
    [aux_sym_switch_block_token1] = ACTIONS(1190),
    [anon_sym_PLUS] = ACTIONS(1190),
    [anon_sym_DASH] = ACTIONS(1190),
    [anon_sym_TILDE] = ACTIONS(1188),
    [anon_sym_BANG] = ACTIONS(1188),
    [anon_sym_AT] = ACTIONS(1188),
    [aux_sym_clone_expression_token1] = ACTIONS(1190),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1190),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1190),
    [anon_sym_DASH_DASH] = ACTIONS(1188),
    [anon_sym_PLUS_PLUS] = ACTIONS(1188),
    [aux_sym__list_destructing_token1] = ACTIONS(1190),
    [anon_sym_LBRACK] = ACTIONS(1188),
    [anon_sym_self] = ACTIONS(1190),
    [anon_sym_parent] = ACTIONS(1190),
    [aux_sym__argument_name_token1] = ACTIONS(1190),
    [aux_sym__argument_name_token2] = ACTIONS(1190),
    [anon_sym_POUND_LBRACK] = ACTIONS(1188),
    [aux_sym_encapsed_string_token1] = ACTIONS(1188),
    [anon_sym_DQUOTE] = ACTIONS(1188),
    [aux_sym_string_token1] = ACTIONS(1188),
    [anon_sym_SQUOTE] = ACTIONS(1188),
    [anon_sym_LT_LT_LT] = ACTIONS(1188),
    [anon_sym_BQUOTE] = ACTIONS(1188),
    [anon_sym_DOLLAR] = ACTIONS(1188),
    [aux_sym_yield_expression_token1] = ACTIONS(1190),
    [aux_sym_include_expression_token1] = ACTIONS(1190),
    [aux_sym_include_once_expression_token1] = ACTIONS(1190),
    [aux_sym_require_expression_token1] = ACTIONS(1190),
    [aux_sym_require_once_expression_token1] = ACTIONS(1190),
    [sym_comment] = ACTIONS(5),
  },
  [488] = {
    [sym_text_interpolation] = STATE(488),
    [ts_builtin_sym_end] = ACTIONS(1192),
    [sym_name] = ACTIONS(1194),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1192),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1194),
    [aux_sym_global_declaration_token1] = ACTIONS(1194),
    [aux_sym_namespace_definition_token1] = ACTIONS(1194),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1194),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1194),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1194),
    [anon_sym_BSLASH] = ACTIONS(1192),
    [anon_sym_LBRACE] = ACTIONS(1192),
    [anon_sym_RBRACE] = ACTIONS(1192),
    [aux_sym_trait_declaration_token1] = ACTIONS(1194),
    [aux_sym_interface_declaration_token1] = ACTIONS(1194),
    [aux_sym_enum_declaration_token1] = ACTIONS(1194),
    [aux_sym_enum_case_token1] = ACTIONS(1194),
    [aux_sym_class_declaration_token1] = ACTIONS(1194),
    [aux_sym_final_modifier_token1] = ACTIONS(1194),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1194),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1194),
    [sym_var_modifier] = ACTIONS(1194),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1194),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1194),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1194),
    [anon_sym_LPAREN2] = ACTIONS(1192),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1194),
    [aux_sym_cast_type_token1] = ACTIONS(1194),
    [aux_sym_echo_statement_token1] = ACTIONS(1194),
    [aux_sym_exit_statement_token1] = ACTIONS(1194),
    [anon_sym_unset] = ACTIONS(1194),
    [aux_sym_declare_statement_token1] = ACTIONS(1194),
    [aux_sym_declare_statement_token2] = ACTIONS(1194),
    [sym_float] = ACTIONS(1194),
    [aux_sym_try_statement_token1] = ACTIONS(1194),
    [aux_sym_goto_statement_token1] = ACTIONS(1194),
    [aux_sym_continue_statement_token1] = ACTIONS(1194),
    [aux_sym_break_statement_token1] = ACTIONS(1194),
    [sym_integer] = ACTIONS(1194),
    [aux_sym_return_statement_token1] = ACTIONS(1194),
    [aux_sym_throw_expression_token1] = ACTIONS(1194),
    [aux_sym_while_statement_token1] = ACTIONS(1194),
    [aux_sym_while_statement_token2] = ACTIONS(1194),
    [aux_sym_do_statement_token1] = ACTIONS(1194),
    [aux_sym_for_statement_token1] = ACTIONS(1194),
    [aux_sym_for_statement_token2] = ACTIONS(1194),
    [aux_sym_foreach_statement_token1] = ACTIONS(1194),
    [aux_sym_foreach_statement_token2] = ACTIONS(1194),
    [aux_sym_if_statement_token1] = ACTIONS(1194),
    [aux_sym_if_statement_token2] = ACTIONS(1194),
    [aux_sym_else_if_clause_token1] = ACTIONS(1194),
    [aux_sym_else_clause_token1] = ACTIONS(1194),
    [aux_sym_match_expression_token1] = ACTIONS(1194),
    [aux_sym_match_default_expression_token1] = ACTIONS(1194),
    [aux_sym_switch_statement_token1] = ACTIONS(1194),
    [aux_sym_switch_block_token1] = ACTIONS(1194),
    [anon_sym_PLUS] = ACTIONS(1194),
    [anon_sym_DASH] = ACTIONS(1194),
    [anon_sym_TILDE] = ACTIONS(1192),
    [anon_sym_BANG] = ACTIONS(1192),
    [anon_sym_AT] = ACTIONS(1192),
    [aux_sym_clone_expression_token1] = ACTIONS(1194),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1194),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1194),
    [anon_sym_DASH_DASH] = ACTIONS(1192),
    [anon_sym_PLUS_PLUS] = ACTIONS(1192),
    [aux_sym__list_destructing_token1] = ACTIONS(1194),
    [anon_sym_LBRACK] = ACTIONS(1192),
    [anon_sym_self] = ACTIONS(1194),
    [anon_sym_parent] = ACTIONS(1194),
    [aux_sym__argument_name_token1] = ACTIONS(1194),
    [aux_sym__argument_name_token2] = ACTIONS(1194),
    [anon_sym_POUND_LBRACK] = ACTIONS(1192),
    [aux_sym_encapsed_string_token1] = ACTIONS(1192),
    [anon_sym_DQUOTE] = ACTIONS(1192),
    [aux_sym_string_token1] = ACTIONS(1192),
    [anon_sym_SQUOTE] = ACTIONS(1192),
    [anon_sym_LT_LT_LT] = ACTIONS(1192),
    [anon_sym_BQUOTE] = ACTIONS(1192),
    [anon_sym_DOLLAR] = ACTIONS(1192),
    [aux_sym_yield_expression_token1] = ACTIONS(1194),
    [aux_sym_include_expression_token1] = ACTIONS(1194),
    [aux_sym_include_once_expression_token1] = ACTIONS(1194),
    [aux_sym_require_expression_token1] = ACTIONS(1194),
    [aux_sym_require_once_expression_token1] = ACTIONS(1194),
    [sym_comment] = ACTIONS(5),
  },
  [489] = {
    [sym_text_interpolation] = STATE(489),
    [ts_builtin_sym_end] = ACTIONS(1196),
    [sym_name] = ACTIONS(1198),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1196),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1198),
    [aux_sym_global_declaration_token1] = ACTIONS(1198),
    [aux_sym_namespace_definition_token1] = ACTIONS(1198),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1198),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1198),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1198),
    [anon_sym_BSLASH] = ACTIONS(1196),
    [anon_sym_LBRACE] = ACTIONS(1196),
    [anon_sym_RBRACE] = ACTIONS(1196),
    [aux_sym_trait_declaration_token1] = ACTIONS(1198),
    [aux_sym_interface_declaration_token1] = ACTIONS(1198),
    [aux_sym_enum_declaration_token1] = ACTIONS(1198),
    [aux_sym_enum_case_token1] = ACTIONS(1198),
    [aux_sym_class_declaration_token1] = ACTIONS(1198),
    [aux_sym_final_modifier_token1] = ACTIONS(1198),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1198),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1198),
    [sym_var_modifier] = ACTIONS(1198),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1198),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1198),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1198),
    [anon_sym_LPAREN2] = ACTIONS(1196),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1198),
    [aux_sym_cast_type_token1] = ACTIONS(1198),
    [aux_sym_echo_statement_token1] = ACTIONS(1198),
    [aux_sym_exit_statement_token1] = ACTIONS(1198),
    [anon_sym_unset] = ACTIONS(1198),
    [aux_sym_declare_statement_token1] = ACTIONS(1198),
    [aux_sym_declare_statement_token2] = ACTIONS(1198),
    [sym_float] = ACTIONS(1198),
    [aux_sym_try_statement_token1] = ACTIONS(1198),
    [aux_sym_goto_statement_token1] = ACTIONS(1198),
    [aux_sym_continue_statement_token1] = ACTIONS(1198),
    [aux_sym_break_statement_token1] = ACTIONS(1198),
    [sym_integer] = ACTIONS(1198),
    [aux_sym_return_statement_token1] = ACTIONS(1198),
    [aux_sym_throw_expression_token1] = ACTIONS(1198),
    [aux_sym_while_statement_token1] = ACTIONS(1198),
    [aux_sym_while_statement_token2] = ACTIONS(1198),
    [aux_sym_do_statement_token1] = ACTIONS(1198),
    [aux_sym_for_statement_token1] = ACTIONS(1198),
    [aux_sym_for_statement_token2] = ACTIONS(1198),
    [aux_sym_foreach_statement_token1] = ACTIONS(1198),
    [aux_sym_foreach_statement_token2] = ACTIONS(1198),
    [aux_sym_if_statement_token1] = ACTIONS(1198),
    [aux_sym_if_statement_token2] = ACTIONS(1198),
    [aux_sym_else_if_clause_token1] = ACTIONS(1198),
    [aux_sym_else_clause_token1] = ACTIONS(1198),
    [aux_sym_match_expression_token1] = ACTIONS(1198),
    [aux_sym_match_default_expression_token1] = ACTIONS(1198),
    [aux_sym_switch_statement_token1] = ACTIONS(1198),
    [aux_sym_switch_block_token1] = ACTIONS(1198),
    [anon_sym_PLUS] = ACTIONS(1198),
    [anon_sym_DASH] = ACTIONS(1198),
    [anon_sym_TILDE] = ACTIONS(1196),
    [anon_sym_BANG] = ACTIONS(1196),
    [anon_sym_AT] = ACTIONS(1196),
    [aux_sym_clone_expression_token1] = ACTIONS(1198),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1198),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1198),
    [anon_sym_DASH_DASH] = ACTIONS(1196),
    [anon_sym_PLUS_PLUS] = ACTIONS(1196),
    [aux_sym__list_destructing_token1] = ACTIONS(1198),
    [anon_sym_LBRACK] = ACTIONS(1196),
    [anon_sym_self] = ACTIONS(1198),
    [anon_sym_parent] = ACTIONS(1198),
    [aux_sym__argument_name_token1] = ACTIONS(1198),
    [aux_sym__argument_name_token2] = ACTIONS(1198),
    [anon_sym_POUND_LBRACK] = ACTIONS(1196),
    [aux_sym_encapsed_string_token1] = ACTIONS(1196),
    [anon_sym_DQUOTE] = ACTIONS(1196),
    [aux_sym_string_token1] = ACTIONS(1196),
    [anon_sym_SQUOTE] = ACTIONS(1196),
    [anon_sym_LT_LT_LT] = ACTIONS(1196),
    [anon_sym_BQUOTE] = ACTIONS(1196),
    [anon_sym_DOLLAR] = ACTIONS(1196),
    [aux_sym_yield_expression_token1] = ACTIONS(1198),
    [aux_sym_include_expression_token1] = ACTIONS(1198),
    [aux_sym_include_once_expression_token1] = ACTIONS(1198),
    [aux_sym_require_expression_token1] = ACTIONS(1198),
    [aux_sym_require_once_expression_token1] = ACTIONS(1198),
    [sym_comment] = ACTIONS(5),
  },
  [490] = {
    [sym_text_interpolation] = STATE(490),
    [ts_builtin_sym_end] = ACTIONS(1200),
    [sym_name] = ACTIONS(1202),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1200),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1202),
    [aux_sym_global_declaration_token1] = ACTIONS(1202),
    [aux_sym_namespace_definition_token1] = ACTIONS(1202),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1202),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1202),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1202),
    [anon_sym_BSLASH] = ACTIONS(1200),
    [anon_sym_LBRACE] = ACTIONS(1200),
    [anon_sym_RBRACE] = ACTIONS(1200),
    [aux_sym_trait_declaration_token1] = ACTIONS(1202),
    [aux_sym_interface_declaration_token1] = ACTIONS(1202),
    [aux_sym_enum_declaration_token1] = ACTIONS(1202),
    [aux_sym_enum_case_token1] = ACTIONS(1202),
    [aux_sym_class_declaration_token1] = ACTIONS(1202),
    [aux_sym_final_modifier_token1] = ACTIONS(1202),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1202),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1202),
    [sym_var_modifier] = ACTIONS(1202),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1202),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1202),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1202),
    [anon_sym_LPAREN2] = ACTIONS(1200),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1202),
    [aux_sym_cast_type_token1] = ACTIONS(1202),
    [aux_sym_echo_statement_token1] = ACTIONS(1202),
    [aux_sym_exit_statement_token1] = ACTIONS(1202),
    [anon_sym_unset] = ACTIONS(1202),
    [aux_sym_declare_statement_token1] = ACTIONS(1202),
    [aux_sym_declare_statement_token2] = ACTIONS(1202),
    [sym_float] = ACTIONS(1202),
    [aux_sym_try_statement_token1] = ACTIONS(1202),
    [aux_sym_goto_statement_token1] = ACTIONS(1202),
    [aux_sym_continue_statement_token1] = ACTIONS(1202),
    [aux_sym_break_statement_token1] = ACTIONS(1202),
    [sym_integer] = ACTIONS(1202),
    [aux_sym_return_statement_token1] = ACTIONS(1202),
    [aux_sym_throw_expression_token1] = ACTIONS(1202),
    [aux_sym_while_statement_token1] = ACTIONS(1202),
    [aux_sym_while_statement_token2] = ACTIONS(1202),
    [aux_sym_do_statement_token1] = ACTIONS(1202),
    [aux_sym_for_statement_token1] = ACTIONS(1202),
    [aux_sym_for_statement_token2] = ACTIONS(1202),
    [aux_sym_foreach_statement_token1] = ACTIONS(1202),
    [aux_sym_foreach_statement_token2] = ACTIONS(1202),
    [aux_sym_if_statement_token1] = ACTIONS(1202),
    [aux_sym_if_statement_token2] = ACTIONS(1202),
    [aux_sym_else_if_clause_token1] = ACTIONS(1202),
    [aux_sym_else_clause_token1] = ACTIONS(1202),
    [aux_sym_match_expression_token1] = ACTIONS(1202),
    [aux_sym_match_default_expression_token1] = ACTIONS(1202),
    [aux_sym_switch_statement_token1] = ACTIONS(1202),
    [aux_sym_switch_block_token1] = ACTIONS(1202),
    [anon_sym_PLUS] = ACTIONS(1202),
    [anon_sym_DASH] = ACTIONS(1202),
    [anon_sym_TILDE] = ACTIONS(1200),
    [anon_sym_BANG] = ACTIONS(1200),
    [anon_sym_AT] = ACTIONS(1200),
    [aux_sym_clone_expression_token1] = ACTIONS(1202),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1202),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1202),
    [anon_sym_DASH_DASH] = ACTIONS(1200),
    [anon_sym_PLUS_PLUS] = ACTIONS(1200),
    [aux_sym__list_destructing_token1] = ACTIONS(1202),
    [anon_sym_LBRACK] = ACTIONS(1200),
    [anon_sym_self] = ACTIONS(1202),
    [anon_sym_parent] = ACTIONS(1202),
    [aux_sym__argument_name_token1] = ACTIONS(1202),
    [aux_sym__argument_name_token2] = ACTIONS(1202),
    [anon_sym_POUND_LBRACK] = ACTIONS(1200),
    [aux_sym_encapsed_string_token1] = ACTIONS(1200),
    [anon_sym_DQUOTE] = ACTIONS(1200),
    [aux_sym_string_token1] = ACTIONS(1200),
    [anon_sym_SQUOTE] = ACTIONS(1200),
    [anon_sym_LT_LT_LT] = ACTIONS(1200),
    [anon_sym_BQUOTE] = ACTIONS(1200),
    [anon_sym_DOLLAR] = ACTIONS(1200),
    [aux_sym_yield_expression_token1] = ACTIONS(1202),
    [aux_sym_include_expression_token1] = ACTIONS(1202),
    [aux_sym_include_once_expression_token1] = ACTIONS(1202),
    [aux_sym_require_expression_token1] = ACTIONS(1202),
    [aux_sym_require_once_expression_token1] = ACTIONS(1202),
    [sym_comment] = ACTIONS(5),
  },
  [491] = {
    [sym_text_interpolation] = STATE(491),
    [ts_builtin_sym_end] = ACTIONS(1204),
    [sym_name] = ACTIONS(1206),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1204),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1206),
    [aux_sym_global_declaration_token1] = ACTIONS(1206),
    [aux_sym_namespace_definition_token1] = ACTIONS(1206),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1206),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1206),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1206),
    [anon_sym_BSLASH] = ACTIONS(1204),
    [anon_sym_LBRACE] = ACTIONS(1204),
    [anon_sym_RBRACE] = ACTIONS(1204),
    [aux_sym_trait_declaration_token1] = ACTIONS(1206),
    [aux_sym_interface_declaration_token1] = ACTIONS(1206),
    [aux_sym_enum_declaration_token1] = ACTIONS(1206),
    [aux_sym_enum_case_token1] = ACTIONS(1206),
    [aux_sym_class_declaration_token1] = ACTIONS(1206),
    [aux_sym_final_modifier_token1] = ACTIONS(1206),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1206),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1206),
    [sym_var_modifier] = ACTIONS(1206),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1206),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1206),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1206),
    [anon_sym_LPAREN2] = ACTIONS(1204),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1206),
    [aux_sym_cast_type_token1] = ACTIONS(1206),
    [aux_sym_echo_statement_token1] = ACTIONS(1206),
    [aux_sym_exit_statement_token1] = ACTIONS(1206),
    [anon_sym_unset] = ACTIONS(1206),
    [aux_sym_declare_statement_token1] = ACTIONS(1206),
    [aux_sym_declare_statement_token2] = ACTIONS(1206),
    [sym_float] = ACTIONS(1206),
    [aux_sym_try_statement_token1] = ACTIONS(1206),
    [aux_sym_goto_statement_token1] = ACTIONS(1206),
    [aux_sym_continue_statement_token1] = ACTIONS(1206),
    [aux_sym_break_statement_token1] = ACTIONS(1206),
    [sym_integer] = ACTIONS(1206),
    [aux_sym_return_statement_token1] = ACTIONS(1206),
    [aux_sym_throw_expression_token1] = ACTIONS(1206),
    [aux_sym_while_statement_token1] = ACTIONS(1206),
    [aux_sym_while_statement_token2] = ACTIONS(1206),
    [aux_sym_do_statement_token1] = ACTIONS(1206),
    [aux_sym_for_statement_token1] = ACTIONS(1206),
    [aux_sym_for_statement_token2] = ACTIONS(1206),
    [aux_sym_foreach_statement_token1] = ACTIONS(1206),
    [aux_sym_foreach_statement_token2] = ACTIONS(1206),
    [aux_sym_if_statement_token1] = ACTIONS(1206),
    [aux_sym_if_statement_token2] = ACTIONS(1206),
    [aux_sym_else_if_clause_token1] = ACTIONS(1206),
    [aux_sym_else_clause_token1] = ACTIONS(1206),
    [aux_sym_match_expression_token1] = ACTIONS(1206),
    [aux_sym_match_default_expression_token1] = ACTIONS(1206),
    [aux_sym_switch_statement_token1] = ACTIONS(1206),
    [aux_sym_switch_block_token1] = ACTIONS(1206),
    [anon_sym_PLUS] = ACTIONS(1206),
    [anon_sym_DASH] = ACTIONS(1206),
    [anon_sym_TILDE] = ACTIONS(1204),
    [anon_sym_BANG] = ACTIONS(1204),
    [anon_sym_AT] = ACTIONS(1204),
    [aux_sym_clone_expression_token1] = ACTIONS(1206),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1206),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1206),
    [anon_sym_DASH_DASH] = ACTIONS(1204),
    [anon_sym_PLUS_PLUS] = ACTIONS(1204),
    [aux_sym__list_destructing_token1] = ACTIONS(1206),
    [anon_sym_LBRACK] = ACTIONS(1204),
    [anon_sym_self] = ACTIONS(1206),
    [anon_sym_parent] = ACTIONS(1206),
    [aux_sym__argument_name_token1] = ACTIONS(1206),
    [aux_sym__argument_name_token2] = ACTIONS(1206),
    [anon_sym_POUND_LBRACK] = ACTIONS(1204),
    [aux_sym_encapsed_string_token1] = ACTIONS(1204),
    [anon_sym_DQUOTE] = ACTIONS(1204),
    [aux_sym_string_token1] = ACTIONS(1204),
    [anon_sym_SQUOTE] = ACTIONS(1204),
    [anon_sym_LT_LT_LT] = ACTIONS(1204),
    [anon_sym_BQUOTE] = ACTIONS(1204),
    [anon_sym_DOLLAR] = ACTIONS(1204),
    [aux_sym_yield_expression_token1] = ACTIONS(1206),
    [aux_sym_include_expression_token1] = ACTIONS(1206),
    [aux_sym_include_once_expression_token1] = ACTIONS(1206),
    [aux_sym_require_expression_token1] = ACTIONS(1206),
    [aux_sym_require_once_expression_token1] = ACTIONS(1206),
    [sym_comment] = ACTIONS(5),
  },
  [492] = {
    [sym_text_interpolation] = STATE(492),
    [ts_builtin_sym_end] = ACTIONS(1208),
    [sym_name] = ACTIONS(1210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1208),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1210),
    [aux_sym_global_declaration_token1] = ACTIONS(1210),
    [aux_sym_namespace_definition_token1] = ACTIONS(1210),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1210),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1210),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1210),
    [anon_sym_BSLASH] = ACTIONS(1208),
    [anon_sym_LBRACE] = ACTIONS(1208),
    [anon_sym_RBRACE] = ACTIONS(1208),
    [aux_sym_trait_declaration_token1] = ACTIONS(1210),
    [aux_sym_interface_declaration_token1] = ACTIONS(1210),
    [aux_sym_enum_declaration_token1] = ACTIONS(1210),
    [aux_sym_enum_case_token1] = ACTIONS(1210),
    [aux_sym_class_declaration_token1] = ACTIONS(1210),
    [aux_sym_final_modifier_token1] = ACTIONS(1210),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1210),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1210),
    [sym_var_modifier] = ACTIONS(1210),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1210),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1210),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1210),
    [anon_sym_LPAREN2] = ACTIONS(1208),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1210),
    [aux_sym_cast_type_token1] = ACTIONS(1210),
    [aux_sym_echo_statement_token1] = ACTIONS(1210),
    [aux_sym_exit_statement_token1] = ACTIONS(1210),
    [anon_sym_unset] = ACTIONS(1210),
    [aux_sym_declare_statement_token1] = ACTIONS(1210),
    [aux_sym_declare_statement_token2] = ACTIONS(1210),
    [sym_float] = ACTIONS(1210),
    [aux_sym_try_statement_token1] = ACTIONS(1210),
    [aux_sym_goto_statement_token1] = ACTIONS(1210),
    [aux_sym_continue_statement_token1] = ACTIONS(1210),
    [aux_sym_break_statement_token1] = ACTIONS(1210),
    [sym_integer] = ACTIONS(1210),
    [aux_sym_return_statement_token1] = ACTIONS(1210),
    [aux_sym_throw_expression_token1] = ACTIONS(1210),
    [aux_sym_while_statement_token1] = ACTIONS(1210),
    [aux_sym_while_statement_token2] = ACTIONS(1210),
    [aux_sym_do_statement_token1] = ACTIONS(1210),
    [aux_sym_for_statement_token1] = ACTIONS(1210),
    [aux_sym_for_statement_token2] = ACTIONS(1210),
    [aux_sym_foreach_statement_token1] = ACTIONS(1210),
    [aux_sym_foreach_statement_token2] = ACTIONS(1210),
    [aux_sym_if_statement_token1] = ACTIONS(1210),
    [aux_sym_if_statement_token2] = ACTIONS(1210),
    [aux_sym_else_if_clause_token1] = ACTIONS(1210),
    [aux_sym_else_clause_token1] = ACTIONS(1210),
    [aux_sym_match_expression_token1] = ACTIONS(1210),
    [aux_sym_match_default_expression_token1] = ACTIONS(1210),
    [aux_sym_switch_statement_token1] = ACTIONS(1210),
    [aux_sym_switch_block_token1] = ACTIONS(1210),
    [anon_sym_PLUS] = ACTIONS(1210),
    [anon_sym_DASH] = ACTIONS(1210),
    [anon_sym_TILDE] = ACTIONS(1208),
    [anon_sym_BANG] = ACTIONS(1208),
    [anon_sym_AT] = ACTIONS(1208),
    [aux_sym_clone_expression_token1] = ACTIONS(1210),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1210),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1210),
    [anon_sym_DASH_DASH] = ACTIONS(1208),
    [anon_sym_PLUS_PLUS] = ACTIONS(1208),
    [aux_sym__list_destructing_token1] = ACTIONS(1210),
    [anon_sym_LBRACK] = ACTIONS(1208),
    [anon_sym_self] = ACTIONS(1210),
    [anon_sym_parent] = ACTIONS(1210),
    [aux_sym__argument_name_token1] = ACTIONS(1210),
    [aux_sym__argument_name_token2] = ACTIONS(1210),
    [anon_sym_POUND_LBRACK] = ACTIONS(1208),
    [aux_sym_encapsed_string_token1] = ACTIONS(1208),
    [anon_sym_DQUOTE] = ACTIONS(1208),
    [aux_sym_string_token1] = ACTIONS(1208),
    [anon_sym_SQUOTE] = ACTIONS(1208),
    [anon_sym_LT_LT_LT] = ACTIONS(1208),
    [anon_sym_BQUOTE] = ACTIONS(1208),
    [anon_sym_DOLLAR] = ACTIONS(1208),
    [aux_sym_yield_expression_token1] = ACTIONS(1210),
    [aux_sym_include_expression_token1] = ACTIONS(1210),
    [aux_sym_include_once_expression_token1] = ACTIONS(1210),
    [aux_sym_require_expression_token1] = ACTIONS(1210),
    [aux_sym_require_once_expression_token1] = ACTIONS(1210),
    [sym_comment] = ACTIONS(5),
  },
  [493] = {
    [sym_text_interpolation] = STATE(493),
    [ts_builtin_sym_end] = ACTIONS(1212),
    [sym_name] = ACTIONS(1214),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1212),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1214),
    [aux_sym_global_declaration_token1] = ACTIONS(1214),
    [aux_sym_namespace_definition_token1] = ACTIONS(1214),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1214),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1214),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1214),
    [anon_sym_BSLASH] = ACTIONS(1212),
    [anon_sym_LBRACE] = ACTIONS(1212),
    [anon_sym_RBRACE] = ACTIONS(1212),
    [aux_sym_trait_declaration_token1] = ACTIONS(1214),
    [aux_sym_interface_declaration_token1] = ACTIONS(1214),
    [aux_sym_enum_declaration_token1] = ACTIONS(1214),
    [aux_sym_enum_case_token1] = ACTIONS(1214),
    [aux_sym_class_declaration_token1] = ACTIONS(1214),
    [aux_sym_final_modifier_token1] = ACTIONS(1214),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1214),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1214),
    [sym_var_modifier] = ACTIONS(1214),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1214),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1214),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1214),
    [anon_sym_LPAREN2] = ACTIONS(1212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1214),
    [aux_sym_cast_type_token1] = ACTIONS(1214),
    [aux_sym_echo_statement_token1] = ACTIONS(1214),
    [aux_sym_exit_statement_token1] = ACTIONS(1214),
    [anon_sym_unset] = ACTIONS(1214),
    [aux_sym_declare_statement_token1] = ACTIONS(1214),
    [aux_sym_declare_statement_token2] = ACTIONS(1214),
    [sym_float] = ACTIONS(1214),
    [aux_sym_try_statement_token1] = ACTIONS(1214),
    [aux_sym_goto_statement_token1] = ACTIONS(1214),
    [aux_sym_continue_statement_token1] = ACTIONS(1214),
    [aux_sym_break_statement_token1] = ACTIONS(1214),
    [sym_integer] = ACTIONS(1214),
    [aux_sym_return_statement_token1] = ACTIONS(1214),
    [aux_sym_throw_expression_token1] = ACTIONS(1214),
    [aux_sym_while_statement_token1] = ACTIONS(1214),
    [aux_sym_while_statement_token2] = ACTIONS(1214),
    [aux_sym_do_statement_token1] = ACTIONS(1214),
    [aux_sym_for_statement_token1] = ACTIONS(1214),
    [aux_sym_for_statement_token2] = ACTIONS(1214),
    [aux_sym_foreach_statement_token1] = ACTIONS(1214),
    [aux_sym_foreach_statement_token2] = ACTIONS(1214),
    [aux_sym_if_statement_token1] = ACTIONS(1214),
    [aux_sym_if_statement_token2] = ACTIONS(1214),
    [aux_sym_else_if_clause_token1] = ACTIONS(1214),
    [aux_sym_else_clause_token1] = ACTIONS(1214),
    [aux_sym_match_expression_token1] = ACTIONS(1214),
    [aux_sym_match_default_expression_token1] = ACTIONS(1214),
    [aux_sym_switch_statement_token1] = ACTIONS(1214),
    [aux_sym_switch_block_token1] = ACTIONS(1214),
    [anon_sym_PLUS] = ACTIONS(1214),
    [anon_sym_DASH] = ACTIONS(1214),
    [anon_sym_TILDE] = ACTIONS(1212),
    [anon_sym_BANG] = ACTIONS(1212),
    [anon_sym_AT] = ACTIONS(1212),
    [aux_sym_clone_expression_token1] = ACTIONS(1214),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1214),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1214),
    [anon_sym_DASH_DASH] = ACTIONS(1212),
    [anon_sym_PLUS_PLUS] = ACTIONS(1212),
    [aux_sym__list_destructing_token1] = ACTIONS(1214),
    [anon_sym_LBRACK] = ACTIONS(1212),
    [anon_sym_self] = ACTIONS(1214),
    [anon_sym_parent] = ACTIONS(1214),
    [aux_sym__argument_name_token1] = ACTIONS(1214),
    [aux_sym__argument_name_token2] = ACTIONS(1214),
    [anon_sym_POUND_LBRACK] = ACTIONS(1212),
    [aux_sym_encapsed_string_token1] = ACTIONS(1212),
    [anon_sym_DQUOTE] = ACTIONS(1212),
    [aux_sym_string_token1] = ACTIONS(1212),
    [anon_sym_SQUOTE] = ACTIONS(1212),
    [anon_sym_LT_LT_LT] = ACTIONS(1212),
    [anon_sym_BQUOTE] = ACTIONS(1212),
    [anon_sym_DOLLAR] = ACTIONS(1212),
    [aux_sym_yield_expression_token1] = ACTIONS(1214),
    [aux_sym_include_expression_token1] = ACTIONS(1214),
    [aux_sym_include_once_expression_token1] = ACTIONS(1214),
    [aux_sym_require_expression_token1] = ACTIONS(1214),
    [aux_sym_require_once_expression_token1] = ACTIONS(1214),
    [sym_comment] = ACTIONS(5),
  },
  [494] = {
    [sym_text_interpolation] = STATE(494),
    [ts_builtin_sym_end] = ACTIONS(1216),
    [sym_name] = ACTIONS(1218),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1216),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1218),
    [aux_sym_global_declaration_token1] = ACTIONS(1218),
    [aux_sym_namespace_definition_token1] = ACTIONS(1218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1218),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1218),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1218),
    [anon_sym_BSLASH] = ACTIONS(1216),
    [anon_sym_LBRACE] = ACTIONS(1216),
    [anon_sym_RBRACE] = ACTIONS(1216),
    [aux_sym_trait_declaration_token1] = ACTIONS(1218),
    [aux_sym_interface_declaration_token1] = ACTIONS(1218),
    [aux_sym_enum_declaration_token1] = ACTIONS(1218),
    [aux_sym_enum_case_token1] = ACTIONS(1218),
    [aux_sym_class_declaration_token1] = ACTIONS(1218),
    [aux_sym_final_modifier_token1] = ACTIONS(1218),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1218),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1218),
    [sym_var_modifier] = ACTIONS(1218),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1218),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1218),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1218),
    [anon_sym_LPAREN2] = ACTIONS(1216),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1218),
    [aux_sym_cast_type_token1] = ACTIONS(1218),
    [aux_sym_echo_statement_token1] = ACTIONS(1218),
    [aux_sym_exit_statement_token1] = ACTIONS(1218),
    [anon_sym_unset] = ACTIONS(1218),
    [aux_sym_declare_statement_token1] = ACTIONS(1218),
    [aux_sym_declare_statement_token2] = ACTIONS(1218),
    [sym_float] = ACTIONS(1218),
    [aux_sym_try_statement_token1] = ACTIONS(1218),
    [aux_sym_goto_statement_token1] = ACTIONS(1218),
    [aux_sym_continue_statement_token1] = ACTIONS(1218),
    [aux_sym_break_statement_token1] = ACTIONS(1218),
    [sym_integer] = ACTIONS(1218),
    [aux_sym_return_statement_token1] = ACTIONS(1218),
    [aux_sym_throw_expression_token1] = ACTIONS(1218),
    [aux_sym_while_statement_token1] = ACTIONS(1218),
    [aux_sym_while_statement_token2] = ACTIONS(1218),
    [aux_sym_do_statement_token1] = ACTIONS(1218),
    [aux_sym_for_statement_token1] = ACTIONS(1218),
    [aux_sym_for_statement_token2] = ACTIONS(1218),
    [aux_sym_foreach_statement_token1] = ACTIONS(1218),
    [aux_sym_foreach_statement_token2] = ACTIONS(1218),
    [aux_sym_if_statement_token1] = ACTIONS(1218),
    [aux_sym_if_statement_token2] = ACTIONS(1218),
    [aux_sym_else_if_clause_token1] = ACTIONS(1218),
    [aux_sym_else_clause_token1] = ACTIONS(1218),
    [aux_sym_match_expression_token1] = ACTIONS(1218),
    [aux_sym_match_default_expression_token1] = ACTIONS(1218),
    [aux_sym_switch_statement_token1] = ACTIONS(1218),
    [aux_sym_switch_block_token1] = ACTIONS(1218),
    [anon_sym_PLUS] = ACTIONS(1218),
    [anon_sym_DASH] = ACTIONS(1218),
    [anon_sym_TILDE] = ACTIONS(1216),
    [anon_sym_BANG] = ACTIONS(1216),
    [anon_sym_AT] = ACTIONS(1216),
    [aux_sym_clone_expression_token1] = ACTIONS(1218),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1218),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1218),
    [anon_sym_DASH_DASH] = ACTIONS(1216),
    [anon_sym_PLUS_PLUS] = ACTIONS(1216),
    [aux_sym__list_destructing_token1] = ACTIONS(1218),
    [anon_sym_LBRACK] = ACTIONS(1216),
    [anon_sym_self] = ACTIONS(1218),
    [anon_sym_parent] = ACTIONS(1218),
    [aux_sym__argument_name_token1] = ACTIONS(1218),
    [aux_sym__argument_name_token2] = ACTIONS(1218),
    [anon_sym_POUND_LBRACK] = ACTIONS(1216),
    [aux_sym_encapsed_string_token1] = ACTIONS(1216),
    [anon_sym_DQUOTE] = ACTIONS(1216),
    [aux_sym_string_token1] = ACTIONS(1216),
    [anon_sym_SQUOTE] = ACTIONS(1216),
    [anon_sym_LT_LT_LT] = ACTIONS(1216),
    [anon_sym_BQUOTE] = ACTIONS(1216),
    [anon_sym_DOLLAR] = ACTIONS(1216),
    [aux_sym_yield_expression_token1] = ACTIONS(1218),
    [aux_sym_include_expression_token1] = ACTIONS(1218),
    [aux_sym_include_once_expression_token1] = ACTIONS(1218),
    [aux_sym_require_expression_token1] = ACTIONS(1218),
    [aux_sym_require_once_expression_token1] = ACTIONS(1218),
    [sym_comment] = ACTIONS(5),
  },
  [495] = {
    [sym_text_interpolation] = STATE(495),
    [ts_builtin_sym_end] = ACTIONS(1220),
    [sym_name] = ACTIONS(1222),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1220),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1222),
    [aux_sym_global_declaration_token1] = ACTIONS(1222),
    [aux_sym_namespace_definition_token1] = ACTIONS(1222),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1222),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1222),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1222),
    [anon_sym_BSLASH] = ACTIONS(1220),
    [anon_sym_LBRACE] = ACTIONS(1220),
    [anon_sym_RBRACE] = ACTIONS(1220),
    [aux_sym_trait_declaration_token1] = ACTIONS(1222),
    [aux_sym_interface_declaration_token1] = ACTIONS(1222),
    [aux_sym_enum_declaration_token1] = ACTIONS(1222),
    [aux_sym_enum_case_token1] = ACTIONS(1222),
    [aux_sym_class_declaration_token1] = ACTIONS(1222),
    [aux_sym_final_modifier_token1] = ACTIONS(1222),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1222),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1222),
    [sym_var_modifier] = ACTIONS(1222),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1222),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1222),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1222),
    [anon_sym_LPAREN2] = ACTIONS(1220),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1222),
    [aux_sym_cast_type_token1] = ACTIONS(1222),
    [aux_sym_echo_statement_token1] = ACTIONS(1222),
    [aux_sym_exit_statement_token1] = ACTIONS(1222),
    [anon_sym_unset] = ACTIONS(1222),
    [aux_sym_declare_statement_token1] = ACTIONS(1222),
    [aux_sym_declare_statement_token2] = ACTIONS(1222),
    [sym_float] = ACTIONS(1222),
    [aux_sym_try_statement_token1] = ACTIONS(1222),
    [aux_sym_goto_statement_token1] = ACTIONS(1222),
    [aux_sym_continue_statement_token1] = ACTIONS(1222),
    [aux_sym_break_statement_token1] = ACTIONS(1222),
    [sym_integer] = ACTIONS(1222),
    [aux_sym_return_statement_token1] = ACTIONS(1222),
    [aux_sym_throw_expression_token1] = ACTIONS(1222),
    [aux_sym_while_statement_token1] = ACTIONS(1222),
    [aux_sym_while_statement_token2] = ACTIONS(1222),
    [aux_sym_do_statement_token1] = ACTIONS(1222),
    [aux_sym_for_statement_token1] = ACTIONS(1222),
    [aux_sym_for_statement_token2] = ACTIONS(1222),
    [aux_sym_foreach_statement_token1] = ACTIONS(1222),
    [aux_sym_foreach_statement_token2] = ACTIONS(1222),
    [aux_sym_if_statement_token1] = ACTIONS(1222),
    [aux_sym_if_statement_token2] = ACTIONS(1222),
    [aux_sym_else_if_clause_token1] = ACTIONS(1222),
    [aux_sym_else_clause_token1] = ACTIONS(1222),
    [aux_sym_match_expression_token1] = ACTIONS(1222),
    [aux_sym_match_default_expression_token1] = ACTIONS(1222),
    [aux_sym_switch_statement_token1] = ACTIONS(1222),
    [aux_sym_switch_block_token1] = ACTIONS(1222),
    [anon_sym_PLUS] = ACTIONS(1222),
    [anon_sym_DASH] = ACTIONS(1222),
    [anon_sym_TILDE] = ACTIONS(1220),
    [anon_sym_BANG] = ACTIONS(1220),
    [anon_sym_AT] = ACTIONS(1220),
    [aux_sym_clone_expression_token1] = ACTIONS(1222),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1222),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1222),
    [anon_sym_DASH_DASH] = ACTIONS(1220),
    [anon_sym_PLUS_PLUS] = ACTIONS(1220),
    [aux_sym__list_destructing_token1] = ACTIONS(1222),
    [anon_sym_LBRACK] = ACTIONS(1220),
    [anon_sym_self] = ACTIONS(1222),
    [anon_sym_parent] = ACTIONS(1222),
    [aux_sym__argument_name_token1] = ACTIONS(1222),
    [aux_sym__argument_name_token2] = ACTIONS(1222),
    [anon_sym_POUND_LBRACK] = ACTIONS(1220),
    [aux_sym_encapsed_string_token1] = ACTIONS(1220),
    [anon_sym_DQUOTE] = ACTIONS(1220),
    [aux_sym_string_token1] = ACTIONS(1220),
    [anon_sym_SQUOTE] = ACTIONS(1220),
    [anon_sym_LT_LT_LT] = ACTIONS(1220),
    [anon_sym_BQUOTE] = ACTIONS(1220),
    [anon_sym_DOLLAR] = ACTIONS(1220),
    [aux_sym_yield_expression_token1] = ACTIONS(1222),
    [aux_sym_include_expression_token1] = ACTIONS(1222),
    [aux_sym_include_once_expression_token1] = ACTIONS(1222),
    [aux_sym_require_expression_token1] = ACTIONS(1222),
    [aux_sym_require_once_expression_token1] = ACTIONS(1222),
    [sym_comment] = ACTIONS(5),
  },
  [496] = {
    [sym_text_interpolation] = STATE(496),
    [ts_builtin_sym_end] = ACTIONS(1224),
    [sym_name] = ACTIONS(1226),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1224),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1226),
    [aux_sym_global_declaration_token1] = ACTIONS(1226),
    [aux_sym_namespace_definition_token1] = ACTIONS(1226),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1226),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1226),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1226),
    [anon_sym_BSLASH] = ACTIONS(1224),
    [anon_sym_LBRACE] = ACTIONS(1224),
    [anon_sym_RBRACE] = ACTIONS(1224),
    [aux_sym_trait_declaration_token1] = ACTIONS(1226),
    [aux_sym_interface_declaration_token1] = ACTIONS(1226),
    [aux_sym_enum_declaration_token1] = ACTIONS(1226),
    [aux_sym_enum_case_token1] = ACTIONS(1226),
    [aux_sym_class_declaration_token1] = ACTIONS(1226),
    [aux_sym_final_modifier_token1] = ACTIONS(1226),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1226),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1226),
    [sym_var_modifier] = ACTIONS(1226),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1226),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1226),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1226),
    [anon_sym_LPAREN2] = ACTIONS(1224),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1226),
    [aux_sym_cast_type_token1] = ACTIONS(1226),
    [aux_sym_echo_statement_token1] = ACTIONS(1226),
    [aux_sym_exit_statement_token1] = ACTIONS(1226),
    [anon_sym_unset] = ACTIONS(1226),
    [aux_sym_declare_statement_token1] = ACTIONS(1226),
    [aux_sym_declare_statement_token2] = ACTIONS(1226),
    [sym_float] = ACTIONS(1226),
    [aux_sym_try_statement_token1] = ACTIONS(1226),
    [aux_sym_goto_statement_token1] = ACTIONS(1226),
    [aux_sym_continue_statement_token1] = ACTIONS(1226),
    [aux_sym_break_statement_token1] = ACTIONS(1226),
    [sym_integer] = ACTIONS(1226),
    [aux_sym_return_statement_token1] = ACTIONS(1226),
    [aux_sym_throw_expression_token1] = ACTIONS(1226),
    [aux_sym_while_statement_token1] = ACTIONS(1226),
    [aux_sym_while_statement_token2] = ACTIONS(1226),
    [aux_sym_do_statement_token1] = ACTIONS(1226),
    [aux_sym_for_statement_token1] = ACTIONS(1226),
    [aux_sym_for_statement_token2] = ACTIONS(1226),
    [aux_sym_foreach_statement_token1] = ACTIONS(1226),
    [aux_sym_foreach_statement_token2] = ACTIONS(1226),
    [aux_sym_if_statement_token1] = ACTIONS(1226),
    [aux_sym_if_statement_token2] = ACTIONS(1226),
    [aux_sym_else_if_clause_token1] = ACTIONS(1226),
    [aux_sym_else_clause_token1] = ACTIONS(1226),
    [aux_sym_match_expression_token1] = ACTIONS(1226),
    [aux_sym_match_default_expression_token1] = ACTIONS(1226),
    [aux_sym_switch_statement_token1] = ACTIONS(1226),
    [aux_sym_switch_block_token1] = ACTIONS(1226),
    [anon_sym_PLUS] = ACTIONS(1226),
    [anon_sym_DASH] = ACTIONS(1226),
    [anon_sym_TILDE] = ACTIONS(1224),
    [anon_sym_BANG] = ACTIONS(1224),
    [anon_sym_AT] = ACTIONS(1224),
    [aux_sym_clone_expression_token1] = ACTIONS(1226),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1226),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1226),
    [anon_sym_DASH_DASH] = ACTIONS(1224),
    [anon_sym_PLUS_PLUS] = ACTIONS(1224),
    [aux_sym__list_destructing_token1] = ACTIONS(1226),
    [anon_sym_LBRACK] = ACTIONS(1224),
    [anon_sym_self] = ACTIONS(1226),
    [anon_sym_parent] = ACTIONS(1226),
    [aux_sym__argument_name_token1] = ACTIONS(1226),
    [aux_sym__argument_name_token2] = ACTIONS(1226),
    [anon_sym_POUND_LBRACK] = ACTIONS(1224),
    [aux_sym_encapsed_string_token1] = ACTIONS(1224),
    [anon_sym_DQUOTE] = ACTIONS(1224),
    [aux_sym_string_token1] = ACTIONS(1224),
    [anon_sym_SQUOTE] = ACTIONS(1224),
    [anon_sym_LT_LT_LT] = ACTIONS(1224),
    [anon_sym_BQUOTE] = ACTIONS(1224),
    [anon_sym_DOLLAR] = ACTIONS(1224),
    [aux_sym_yield_expression_token1] = ACTIONS(1226),
    [aux_sym_include_expression_token1] = ACTIONS(1226),
    [aux_sym_include_once_expression_token1] = ACTIONS(1226),
    [aux_sym_require_expression_token1] = ACTIONS(1226),
    [aux_sym_require_once_expression_token1] = ACTIONS(1226),
    [sym_comment] = ACTIONS(5),
  },
  [497] = {
    [sym_text_interpolation] = STATE(497),
    [ts_builtin_sym_end] = ACTIONS(1228),
    [sym_name] = ACTIONS(1230),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1228),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1230),
    [aux_sym_global_declaration_token1] = ACTIONS(1230),
    [aux_sym_namespace_definition_token1] = ACTIONS(1230),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1230),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1230),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1230),
    [anon_sym_BSLASH] = ACTIONS(1228),
    [anon_sym_LBRACE] = ACTIONS(1228),
    [anon_sym_RBRACE] = ACTIONS(1228),
    [aux_sym_trait_declaration_token1] = ACTIONS(1230),
    [aux_sym_interface_declaration_token1] = ACTIONS(1230),
    [aux_sym_enum_declaration_token1] = ACTIONS(1230),
    [aux_sym_enum_case_token1] = ACTIONS(1230),
    [aux_sym_class_declaration_token1] = ACTIONS(1230),
    [aux_sym_final_modifier_token1] = ACTIONS(1230),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1230),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1230),
    [sym_var_modifier] = ACTIONS(1230),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1230),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1230),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1230),
    [anon_sym_LPAREN2] = ACTIONS(1228),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1230),
    [aux_sym_cast_type_token1] = ACTIONS(1230),
    [aux_sym_echo_statement_token1] = ACTIONS(1230),
    [aux_sym_exit_statement_token1] = ACTIONS(1230),
    [anon_sym_unset] = ACTIONS(1230),
    [aux_sym_declare_statement_token1] = ACTIONS(1230),
    [aux_sym_declare_statement_token2] = ACTIONS(1230),
    [sym_float] = ACTIONS(1230),
    [aux_sym_try_statement_token1] = ACTIONS(1230),
    [aux_sym_goto_statement_token1] = ACTIONS(1230),
    [aux_sym_continue_statement_token1] = ACTIONS(1230),
    [aux_sym_break_statement_token1] = ACTIONS(1230),
    [sym_integer] = ACTIONS(1230),
    [aux_sym_return_statement_token1] = ACTIONS(1230),
    [aux_sym_throw_expression_token1] = ACTIONS(1230),
    [aux_sym_while_statement_token1] = ACTIONS(1230),
    [aux_sym_while_statement_token2] = ACTIONS(1230),
    [aux_sym_do_statement_token1] = ACTIONS(1230),
    [aux_sym_for_statement_token1] = ACTIONS(1230),
    [aux_sym_for_statement_token2] = ACTIONS(1230),
    [aux_sym_foreach_statement_token1] = ACTIONS(1230),
    [aux_sym_foreach_statement_token2] = ACTIONS(1230),
    [aux_sym_if_statement_token1] = ACTIONS(1230),
    [aux_sym_if_statement_token2] = ACTIONS(1230),
    [aux_sym_else_if_clause_token1] = ACTIONS(1230),
    [aux_sym_else_clause_token1] = ACTIONS(1230),
    [aux_sym_match_expression_token1] = ACTIONS(1230),
    [aux_sym_match_default_expression_token1] = ACTIONS(1230),
    [aux_sym_switch_statement_token1] = ACTIONS(1230),
    [aux_sym_switch_block_token1] = ACTIONS(1230),
    [anon_sym_PLUS] = ACTIONS(1230),
    [anon_sym_DASH] = ACTIONS(1230),
    [anon_sym_TILDE] = ACTIONS(1228),
    [anon_sym_BANG] = ACTIONS(1228),
    [anon_sym_AT] = ACTIONS(1228),
    [aux_sym_clone_expression_token1] = ACTIONS(1230),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1230),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1230),
    [anon_sym_DASH_DASH] = ACTIONS(1228),
    [anon_sym_PLUS_PLUS] = ACTIONS(1228),
    [aux_sym__list_destructing_token1] = ACTIONS(1230),
    [anon_sym_LBRACK] = ACTIONS(1228),
    [anon_sym_self] = ACTIONS(1230),
    [anon_sym_parent] = ACTIONS(1230),
    [aux_sym__argument_name_token1] = ACTIONS(1230),
    [aux_sym__argument_name_token2] = ACTIONS(1230),
    [anon_sym_POUND_LBRACK] = ACTIONS(1228),
    [aux_sym_encapsed_string_token1] = ACTIONS(1228),
    [anon_sym_DQUOTE] = ACTIONS(1228),
    [aux_sym_string_token1] = ACTIONS(1228),
    [anon_sym_SQUOTE] = ACTIONS(1228),
    [anon_sym_LT_LT_LT] = ACTIONS(1228),
    [anon_sym_BQUOTE] = ACTIONS(1228),
    [anon_sym_DOLLAR] = ACTIONS(1228),
    [aux_sym_yield_expression_token1] = ACTIONS(1230),
    [aux_sym_include_expression_token1] = ACTIONS(1230),
    [aux_sym_include_once_expression_token1] = ACTIONS(1230),
    [aux_sym_require_expression_token1] = ACTIONS(1230),
    [aux_sym_require_once_expression_token1] = ACTIONS(1230),
    [sym_comment] = ACTIONS(5),
  },
  [498] = {
    [sym_text_interpolation] = STATE(498),
    [ts_builtin_sym_end] = ACTIONS(1232),
    [sym_name] = ACTIONS(1234),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1232),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1234),
    [aux_sym_global_declaration_token1] = ACTIONS(1234),
    [aux_sym_namespace_definition_token1] = ACTIONS(1234),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1234),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1234),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1234),
    [anon_sym_BSLASH] = ACTIONS(1232),
    [anon_sym_LBRACE] = ACTIONS(1232),
    [anon_sym_RBRACE] = ACTIONS(1232),
    [aux_sym_trait_declaration_token1] = ACTIONS(1234),
    [aux_sym_interface_declaration_token1] = ACTIONS(1234),
    [aux_sym_enum_declaration_token1] = ACTIONS(1234),
    [aux_sym_enum_case_token1] = ACTIONS(1234),
    [aux_sym_class_declaration_token1] = ACTIONS(1234),
    [aux_sym_final_modifier_token1] = ACTIONS(1234),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1234),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1234),
    [sym_var_modifier] = ACTIONS(1234),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1234),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1234),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1234),
    [anon_sym_LPAREN2] = ACTIONS(1232),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1234),
    [aux_sym_cast_type_token1] = ACTIONS(1234),
    [aux_sym_echo_statement_token1] = ACTIONS(1234),
    [aux_sym_exit_statement_token1] = ACTIONS(1234),
    [anon_sym_unset] = ACTIONS(1234),
    [aux_sym_declare_statement_token1] = ACTIONS(1234),
    [aux_sym_declare_statement_token2] = ACTIONS(1234),
    [sym_float] = ACTIONS(1234),
    [aux_sym_try_statement_token1] = ACTIONS(1234),
    [aux_sym_goto_statement_token1] = ACTIONS(1234),
    [aux_sym_continue_statement_token1] = ACTIONS(1234),
    [aux_sym_break_statement_token1] = ACTIONS(1234),
    [sym_integer] = ACTIONS(1234),
    [aux_sym_return_statement_token1] = ACTIONS(1234),
    [aux_sym_throw_expression_token1] = ACTIONS(1234),
    [aux_sym_while_statement_token1] = ACTIONS(1234),
    [aux_sym_while_statement_token2] = ACTIONS(1234),
    [aux_sym_do_statement_token1] = ACTIONS(1234),
    [aux_sym_for_statement_token1] = ACTIONS(1234),
    [aux_sym_for_statement_token2] = ACTIONS(1234),
    [aux_sym_foreach_statement_token1] = ACTIONS(1234),
    [aux_sym_foreach_statement_token2] = ACTIONS(1234),
    [aux_sym_if_statement_token1] = ACTIONS(1234),
    [aux_sym_if_statement_token2] = ACTIONS(1234),
    [aux_sym_else_if_clause_token1] = ACTIONS(1234),
    [aux_sym_else_clause_token1] = ACTIONS(1234),
    [aux_sym_match_expression_token1] = ACTIONS(1234),
    [aux_sym_match_default_expression_token1] = ACTIONS(1234),
    [aux_sym_switch_statement_token1] = ACTIONS(1234),
    [aux_sym_switch_block_token1] = ACTIONS(1234),
    [anon_sym_PLUS] = ACTIONS(1234),
    [anon_sym_DASH] = ACTIONS(1234),
    [anon_sym_TILDE] = ACTIONS(1232),
    [anon_sym_BANG] = ACTIONS(1232),
    [anon_sym_AT] = ACTIONS(1232),
    [aux_sym_clone_expression_token1] = ACTIONS(1234),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1234),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1234),
    [anon_sym_DASH_DASH] = ACTIONS(1232),
    [anon_sym_PLUS_PLUS] = ACTIONS(1232),
    [aux_sym__list_destructing_token1] = ACTIONS(1234),
    [anon_sym_LBRACK] = ACTIONS(1232),
    [anon_sym_self] = ACTIONS(1234),
    [anon_sym_parent] = ACTIONS(1234),
    [aux_sym__argument_name_token1] = ACTIONS(1234),
    [aux_sym__argument_name_token2] = ACTIONS(1234),
    [anon_sym_POUND_LBRACK] = ACTIONS(1232),
    [aux_sym_encapsed_string_token1] = ACTIONS(1232),
    [anon_sym_DQUOTE] = ACTIONS(1232),
    [aux_sym_string_token1] = ACTIONS(1232),
    [anon_sym_SQUOTE] = ACTIONS(1232),
    [anon_sym_LT_LT_LT] = ACTIONS(1232),
    [anon_sym_BQUOTE] = ACTIONS(1232),
    [anon_sym_DOLLAR] = ACTIONS(1232),
    [aux_sym_yield_expression_token1] = ACTIONS(1234),
    [aux_sym_include_expression_token1] = ACTIONS(1234),
    [aux_sym_include_once_expression_token1] = ACTIONS(1234),
    [aux_sym_require_expression_token1] = ACTIONS(1234),
    [aux_sym_require_once_expression_token1] = ACTIONS(1234),
    [sym_comment] = ACTIONS(5),
  },
  [499] = {
    [sym_text_interpolation] = STATE(499),
    [ts_builtin_sym_end] = ACTIONS(1236),
    [sym_name] = ACTIONS(1238),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1236),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1238),
    [aux_sym_global_declaration_token1] = ACTIONS(1238),
    [aux_sym_namespace_definition_token1] = ACTIONS(1238),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1238),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1238),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1238),
    [anon_sym_BSLASH] = ACTIONS(1236),
    [anon_sym_LBRACE] = ACTIONS(1236),
    [anon_sym_RBRACE] = ACTIONS(1236),
    [aux_sym_trait_declaration_token1] = ACTIONS(1238),
    [aux_sym_interface_declaration_token1] = ACTIONS(1238),
    [aux_sym_enum_declaration_token1] = ACTIONS(1238),
    [aux_sym_enum_case_token1] = ACTIONS(1238),
    [aux_sym_class_declaration_token1] = ACTIONS(1238),
    [aux_sym_final_modifier_token1] = ACTIONS(1238),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1238),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1238),
    [sym_var_modifier] = ACTIONS(1238),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1238),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1238),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1238),
    [anon_sym_LPAREN2] = ACTIONS(1236),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1238),
    [aux_sym_cast_type_token1] = ACTIONS(1238),
    [aux_sym_echo_statement_token1] = ACTIONS(1238),
    [aux_sym_exit_statement_token1] = ACTIONS(1238),
    [anon_sym_unset] = ACTIONS(1238),
    [aux_sym_declare_statement_token1] = ACTIONS(1238),
    [aux_sym_declare_statement_token2] = ACTIONS(1238),
    [sym_float] = ACTIONS(1238),
    [aux_sym_try_statement_token1] = ACTIONS(1238),
    [aux_sym_goto_statement_token1] = ACTIONS(1238),
    [aux_sym_continue_statement_token1] = ACTIONS(1238),
    [aux_sym_break_statement_token1] = ACTIONS(1238),
    [sym_integer] = ACTIONS(1238),
    [aux_sym_return_statement_token1] = ACTIONS(1238),
    [aux_sym_throw_expression_token1] = ACTIONS(1238),
    [aux_sym_while_statement_token1] = ACTIONS(1238),
    [aux_sym_while_statement_token2] = ACTIONS(1238),
    [aux_sym_do_statement_token1] = ACTIONS(1238),
    [aux_sym_for_statement_token1] = ACTIONS(1238),
    [aux_sym_for_statement_token2] = ACTIONS(1238),
    [aux_sym_foreach_statement_token1] = ACTIONS(1238),
    [aux_sym_foreach_statement_token2] = ACTIONS(1238),
    [aux_sym_if_statement_token1] = ACTIONS(1238),
    [aux_sym_if_statement_token2] = ACTIONS(1238),
    [aux_sym_else_if_clause_token1] = ACTIONS(1238),
    [aux_sym_else_clause_token1] = ACTIONS(1238),
    [aux_sym_match_expression_token1] = ACTIONS(1238),
    [aux_sym_match_default_expression_token1] = ACTIONS(1238),
    [aux_sym_switch_statement_token1] = ACTIONS(1238),
    [aux_sym_switch_block_token1] = ACTIONS(1238),
    [anon_sym_PLUS] = ACTIONS(1238),
    [anon_sym_DASH] = ACTIONS(1238),
    [anon_sym_TILDE] = ACTIONS(1236),
    [anon_sym_BANG] = ACTIONS(1236),
    [anon_sym_AT] = ACTIONS(1236),
    [aux_sym_clone_expression_token1] = ACTIONS(1238),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1238),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1238),
    [anon_sym_DASH_DASH] = ACTIONS(1236),
    [anon_sym_PLUS_PLUS] = ACTIONS(1236),
    [aux_sym__list_destructing_token1] = ACTIONS(1238),
    [anon_sym_LBRACK] = ACTIONS(1236),
    [anon_sym_self] = ACTIONS(1238),
    [anon_sym_parent] = ACTIONS(1238),
    [aux_sym__argument_name_token1] = ACTIONS(1238),
    [aux_sym__argument_name_token2] = ACTIONS(1238),
    [anon_sym_POUND_LBRACK] = ACTIONS(1236),
    [aux_sym_encapsed_string_token1] = ACTIONS(1236),
    [anon_sym_DQUOTE] = ACTIONS(1236),
    [aux_sym_string_token1] = ACTIONS(1236),
    [anon_sym_SQUOTE] = ACTIONS(1236),
    [anon_sym_LT_LT_LT] = ACTIONS(1236),
    [anon_sym_BQUOTE] = ACTIONS(1236),
    [anon_sym_DOLLAR] = ACTIONS(1236),
    [aux_sym_yield_expression_token1] = ACTIONS(1238),
    [aux_sym_include_expression_token1] = ACTIONS(1238),
    [aux_sym_include_once_expression_token1] = ACTIONS(1238),
    [aux_sym_require_expression_token1] = ACTIONS(1238),
    [aux_sym_require_once_expression_token1] = ACTIONS(1238),
    [sym_comment] = ACTIONS(5),
  },
  [500] = {
    [sym_text_interpolation] = STATE(500),
    [ts_builtin_sym_end] = ACTIONS(1240),
    [sym_name] = ACTIONS(1242),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1240),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1242),
    [aux_sym_global_declaration_token1] = ACTIONS(1242),
    [aux_sym_namespace_definition_token1] = ACTIONS(1242),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1242),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1242),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1242),
    [anon_sym_BSLASH] = ACTIONS(1240),
    [anon_sym_LBRACE] = ACTIONS(1240),
    [anon_sym_RBRACE] = ACTIONS(1240),
    [aux_sym_trait_declaration_token1] = ACTIONS(1242),
    [aux_sym_interface_declaration_token1] = ACTIONS(1242),
    [aux_sym_enum_declaration_token1] = ACTIONS(1242),
    [aux_sym_enum_case_token1] = ACTIONS(1242),
    [aux_sym_class_declaration_token1] = ACTIONS(1242),
    [aux_sym_final_modifier_token1] = ACTIONS(1242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1242),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1242),
    [sym_var_modifier] = ACTIONS(1242),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1242),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1242),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1242),
    [anon_sym_LPAREN2] = ACTIONS(1240),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1242),
    [aux_sym_cast_type_token1] = ACTIONS(1242),
    [aux_sym_echo_statement_token1] = ACTIONS(1242),
    [aux_sym_exit_statement_token1] = ACTIONS(1242),
    [anon_sym_unset] = ACTIONS(1242),
    [aux_sym_declare_statement_token1] = ACTIONS(1242),
    [aux_sym_declare_statement_token2] = ACTIONS(1242),
    [sym_float] = ACTIONS(1242),
    [aux_sym_try_statement_token1] = ACTIONS(1242),
    [aux_sym_goto_statement_token1] = ACTIONS(1242),
    [aux_sym_continue_statement_token1] = ACTIONS(1242),
    [aux_sym_break_statement_token1] = ACTIONS(1242),
    [sym_integer] = ACTIONS(1242),
    [aux_sym_return_statement_token1] = ACTIONS(1242),
    [aux_sym_throw_expression_token1] = ACTIONS(1242),
    [aux_sym_while_statement_token1] = ACTIONS(1242),
    [aux_sym_while_statement_token2] = ACTIONS(1242),
    [aux_sym_do_statement_token1] = ACTIONS(1242),
    [aux_sym_for_statement_token1] = ACTIONS(1242),
    [aux_sym_for_statement_token2] = ACTIONS(1242),
    [aux_sym_foreach_statement_token1] = ACTIONS(1242),
    [aux_sym_foreach_statement_token2] = ACTIONS(1242),
    [aux_sym_if_statement_token1] = ACTIONS(1242),
    [aux_sym_if_statement_token2] = ACTIONS(1242),
    [aux_sym_else_if_clause_token1] = ACTIONS(1242),
    [aux_sym_else_clause_token1] = ACTIONS(1242),
    [aux_sym_match_expression_token1] = ACTIONS(1242),
    [aux_sym_match_default_expression_token1] = ACTIONS(1242),
    [aux_sym_switch_statement_token1] = ACTIONS(1242),
    [aux_sym_switch_block_token1] = ACTIONS(1242),
    [anon_sym_PLUS] = ACTIONS(1242),
    [anon_sym_DASH] = ACTIONS(1242),
    [anon_sym_TILDE] = ACTIONS(1240),
    [anon_sym_BANG] = ACTIONS(1240),
    [anon_sym_AT] = ACTIONS(1240),
    [aux_sym_clone_expression_token1] = ACTIONS(1242),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1242),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1242),
    [anon_sym_DASH_DASH] = ACTIONS(1240),
    [anon_sym_PLUS_PLUS] = ACTIONS(1240),
    [aux_sym__list_destructing_token1] = ACTIONS(1242),
    [anon_sym_LBRACK] = ACTIONS(1240),
    [anon_sym_self] = ACTIONS(1242),
    [anon_sym_parent] = ACTIONS(1242),
    [aux_sym__argument_name_token1] = ACTIONS(1242),
    [aux_sym__argument_name_token2] = ACTIONS(1242),
    [anon_sym_POUND_LBRACK] = ACTIONS(1240),
    [aux_sym_encapsed_string_token1] = ACTIONS(1240),
    [anon_sym_DQUOTE] = ACTIONS(1240),
    [aux_sym_string_token1] = ACTIONS(1240),
    [anon_sym_SQUOTE] = ACTIONS(1240),
    [anon_sym_LT_LT_LT] = ACTIONS(1240),
    [anon_sym_BQUOTE] = ACTIONS(1240),
    [anon_sym_DOLLAR] = ACTIONS(1240),
    [aux_sym_yield_expression_token1] = ACTIONS(1242),
    [aux_sym_include_expression_token1] = ACTIONS(1242),
    [aux_sym_include_once_expression_token1] = ACTIONS(1242),
    [aux_sym_require_expression_token1] = ACTIONS(1242),
    [aux_sym_require_once_expression_token1] = ACTIONS(1242),
    [sym_comment] = ACTIONS(5),
  },
  [501] = {
    [sym_text_interpolation] = STATE(501),
    [ts_builtin_sym_end] = ACTIONS(1244),
    [sym_name] = ACTIONS(1246),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1244),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1246),
    [aux_sym_global_declaration_token1] = ACTIONS(1246),
    [aux_sym_namespace_definition_token1] = ACTIONS(1246),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1246),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1246),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1246),
    [anon_sym_BSLASH] = ACTIONS(1244),
    [anon_sym_LBRACE] = ACTIONS(1244),
    [anon_sym_RBRACE] = ACTIONS(1244),
    [aux_sym_trait_declaration_token1] = ACTIONS(1246),
    [aux_sym_interface_declaration_token1] = ACTIONS(1246),
    [aux_sym_enum_declaration_token1] = ACTIONS(1246),
    [aux_sym_enum_case_token1] = ACTIONS(1246),
    [aux_sym_class_declaration_token1] = ACTIONS(1246),
    [aux_sym_final_modifier_token1] = ACTIONS(1246),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1246),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1246),
    [sym_var_modifier] = ACTIONS(1246),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1246),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1246),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1246),
    [anon_sym_LPAREN2] = ACTIONS(1244),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1246),
    [aux_sym_cast_type_token1] = ACTIONS(1246),
    [aux_sym_echo_statement_token1] = ACTIONS(1246),
    [aux_sym_exit_statement_token1] = ACTIONS(1246),
    [anon_sym_unset] = ACTIONS(1246),
    [aux_sym_declare_statement_token1] = ACTIONS(1246),
    [aux_sym_declare_statement_token2] = ACTIONS(1246),
    [sym_float] = ACTIONS(1246),
    [aux_sym_try_statement_token1] = ACTIONS(1246),
    [aux_sym_goto_statement_token1] = ACTIONS(1246),
    [aux_sym_continue_statement_token1] = ACTIONS(1246),
    [aux_sym_break_statement_token1] = ACTIONS(1246),
    [sym_integer] = ACTIONS(1246),
    [aux_sym_return_statement_token1] = ACTIONS(1246),
    [aux_sym_throw_expression_token1] = ACTIONS(1246),
    [aux_sym_while_statement_token1] = ACTIONS(1246),
    [aux_sym_while_statement_token2] = ACTIONS(1246),
    [aux_sym_do_statement_token1] = ACTIONS(1246),
    [aux_sym_for_statement_token1] = ACTIONS(1246),
    [aux_sym_for_statement_token2] = ACTIONS(1246),
    [aux_sym_foreach_statement_token1] = ACTIONS(1246),
    [aux_sym_foreach_statement_token2] = ACTIONS(1246),
    [aux_sym_if_statement_token1] = ACTIONS(1246),
    [aux_sym_if_statement_token2] = ACTIONS(1246),
    [aux_sym_else_if_clause_token1] = ACTIONS(1246),
    [aux_sym_else_clause_token1] = ACTIONS(1246),
    [aux_sym_match_expression_token1] = ACTIONS(1246),
    [aux_sym_match_default_expression_token1] = ACTIONS(1246),
    [aux_sym_switch_statement_token1] = ACTIONS(1246),
    [aux_sym_switch_block_token1] = ACTIONS(1246),
    [anon_sym_PLUS] = ACTIONS(1246),
    [anon_sym_DASH] = ACTIONS(1246),
    [anon_sym_TILDE] = ACTIONS(1244),
    [anon_sym_BANG] = ACTIONS(1244),
    [anon_sym_AT] = ACTIONS(1244),
    [aux_sym_clone_expression_token1] = ACTIONS(1246),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1246),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1246),
    [anon_sym_DASH_DASH] = ACTIONS(1244),
    [anon_sym_PLUS_PLUS] = ACTIONS(1244),
    [aux_sym__list_destructing_token1] = ACTIONS(1246),
    [anon_sym_LBRACK] = ACTIONS(1244),
    [anon_sym_self] = ACTIONS(1246),
    [anon_sym_parent] = ACTIONS(1246),
    [aux_sym__argument_name_token1] = ACTIONS(1246),
    [aux_sym__argument_name_token2] = ACTIONS(1246),
    [anon_sym_POUND_LBRACK] = ACTIONS(1244),
    [aux_sym_encapsed_string_token1] = ACTIONS(1244),
    [anon_sym_DQUOTE] = ACTIONS(1244),
    [aux_sym_string_token1] = ACTIONS(1244),
    [anon_sym_SQUOTE] = ACTIONS(1244),
    [anon_sym_LT_LT_LT] = ACTIONS(1244),
    [anon_sym_BQUOTE] = ACTIONS(1244),
    [anon_sym_DOLLAR] = ACTIONS(1244),
    [aux_sym_yield_expression_token1] = ACTIONS(1246),
    [aux_sym_include_expression_token1] = ACTIONS(1246),
    [aux_sym_include_once_expression_token1] = ACTIONS(1246),
    [aux_sym_require_expression_token1] = ACTIONS(1246),
    [aux_sym_require_once_expression_token1] = ACTIONS(1246),
    [sym_comment] = ACTIONS(5),
  },
  [502] = {
    [sym_text_interpolation] = STATE(502),
    [ts_builtin_sym_end] = ACTIONS(1248),
    [sym_name] = ACTIONS(1250),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1248),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1250),
    [aux_sym_global_declaration_token1] = ACTIONS(1250),
    [aux_sym_namespace_definition_token1] = ACTIONS(1250),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1250),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1250),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1250),
    [anon_sym_BSLASH] = ACTIONS(1248),
    [anon_sym_LBRACE] = ACTIONS(1248),
    [anon_sym_RBRACE] = ACTIONS(1248),
    [aux_sym_trait_declaration_token1] = ACTIONS(1250),
    [aux_sym_interface_declaration_token1] = ACTIONS(1250),
    [aux_sym_enum_declaration_token1] = ACTIONS(1250),
    [aux_sym_enum_case_token1] = ACTIONS(1250),
    [aux_sym_class_declaration_token1] = ACTIONS(1250),
    [aux_sym_final_modifier_token1] = ACTIONS(1250),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1250),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1250),
    [sym_var_modifier] = ACTIONS(1250),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1250),
    [anon_sym_LPAREN2] = ACTIONS(1248),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1250),
    [aux_sym_cast_type_token1] = ACTIONS(1250),
    [aux_sym_echo_statement_token1] = ACTIONS(1250),
    [aux_sym_exit_statement_token1] = ACTIONS(1250),
    [anon_sym_unset] = ACTIONS(1250),
    [aux_sym_declare_statement_token1] = ACTIONS(1250),
    [aux_sym_declare_statement_token2] = ACTIONS(1250),
    [sym_float] = ACTIONS(1250),
    [aux_sym_try_statement_token1] = ACTIONS(1250),
    [aux_sym_goto_statement_token1] = ACTIONS(1250),
    [aux_sym_continue_statement_token1] = ACTIONS(1250),
    [aux_sym_break_statement_token1] = ACTIONS(1250),
    [sym_integer] = ACTIONS(1250),
    [aux_sym_return_statement_token1] = ACTIONS(1250),
    [aux_sym_throw_expression_token1] = ACTIONS(1250),
    [aux_sym_while_statement_token1] = ACTIONS(1250),
    [aux_sym_while_statement_token2] = ACTIONS(1250),
    [aux_sym_do_statement_token1] = ACTIONS(1250),
    [aux_sym_for_statement_token1] = ACTIONS(1250),
    [aux_sym_for_statement_token2] = ACTIONS(1250),
    [aux_sym_foreach_statement_token1] = ACTIONS(1250),
    [aux_sym_foreach_statement_token2] = ACTIONS(1250),
    [aux_sym_if_statement_token1] = ACTIONS(1250),
    [aux_sym_if_statement_token2] = ACTIONS(1250),
    [aux_sym_else_if_clause_token1] = ACTIONS(1250),
    [aux_sym_else_clause_token1] = ACTIONS(1250),
    [aux_sym_match_expression_token1] = ACTIONS(1250),
    [aux_sym_match_default_expression_token1] = ACTIONS(1250),
    [aux_sym_switch_statement_token1] = ACTIONS(1250),
    [aux_sym_switch_block_token1] = ACTIONS(1250),
    [anon_sym_PLUS] = ACTIONS(1250),
    [anon_sym_DASH] = ACTIONS(1250),
    [anon_sym_TILDE] = ACTIONS(1248),
    [anon_sym_BANG] = ACTIONS(1248),
    [anon_sym_AT] = ACTIONS(1248),
    [aux_sym_clone_expression_token1] = ACTIONS(1250),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1250),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1250),
    [anon_sym_DASH_DASH] = ACTIONS(1248),
    [anon_sym_PLUS_PLUS] = ACTIONS(1248),
    [aux_sym__list_destructing_token1] = ACTIONS(1250),
    [anon_sym_LBRACK] = ACTIONS(1248),
    [anon_sym_self] = ACTIONS(1250),
    [anon_sym_parent] = ACTIONS(1250),
    [aux_sym__argument_name_token1] = ACTIONS(1250),
    [aux_sym__argument_name_token2] = ACTIONS(1250),
    [anon_sym_POUND_LBRACK] = ACTIONS(1248),
    [aux_sym_encapsed_string_token1] = ACTIONS(1248),
    [anon_sym_DQUOTE] = ACTIONS(1248),
    [aux_sym_string_token1] = ACTIONS(1248),
    [anon_sym_SQUOTE] = ACTIONS(1248),
    [anon_sym_LT_LT_LT] = ACTIONS(1248),
    [anon_sym_BQUOTE] = ACTIONS(1248),
    [anon_sym_DOLLAR] = ACTIONS(1248),
    [aux_sym_yield_expression_token1] = ACTIONS(1250),
    [aux_sym_include_expression_token1] = ACTIONS(1250),
    [aux_sym_include_once_expression_token1] = ACTIONS(1250),
    [aux_sym_require_expression_token1] = ACTIONS(1250),
    [aux_sym_require_once_expression_token1] = ACTIONS(1250),
    [sym_comment] = ACTIONS(5),
  },
  [503] = {
    [sym_text_interpolation] = STATE(503),
    [ts_builtin_sym_end] = ACTIONS(1252),
    [sym_name] = ACTIONS(1254),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1252),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1254),
    [aux_sym_global_declaration_token1] = ACTIONS(1254),
    [aux_sym_namespace_definition_token1] = ACTIONS(1254),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1254),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1254),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1254),
    [anon_sym_BSLASH] = ACTIONS(1252),
    [anon_sym_LBRACE] = ACTIONS(1252),
    [anon_sym_RBRACE] = ACTIONS(1252),
    [aux_sym_trait_declaration_token1] = ACTIONS(1254),
    [aux_sym_interface_declaration_token1] = ACTIONS(1254),
    [aux_sym_enum_declaration_token1] = ACTIONS(1254),
    [aux_sym_enum_case_token1] = ACTIONS(1254),
    [aux_sym_class_declaration_token1] = ACTIONS(1254),
    [aux_sym_final_modifier_token1] = ACTIONS(1254),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1254),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1254),
    [sym_var_modifier] = ACTIONS(1254),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1254),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1254),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1254),
    [anon_sym_LPAREN2] = ACTIONS(1252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1254),
    [aux_sym_cast_type_token1] = ACTIONS(1254),
    [aux_sym_echo_statement_token1] = ACTIONS(1254),
    [aux_sym_exit_statement_token1] = ACTIONS(1254),
    [anon_sym_unset] = ACTIONS(1254),
    [aux_sym_declare_statement_token1] = ACTIONS(1254),
    [aux_sym_declare_statement_token2] = ACTIONS(1254),
    [sym_float] = ACTIONS(1254),
    [aux_sym_try_statement_token1] = ACTIONS(1254),
    [aux_sym_goto_statement_token1] = ACTIONS(1254),
    [aux_sym_continue_statement_token1] = ACTIONS(1254),
    [aux_sym_break_statement_token1] = ACTIONS(1254),
    [sym_integer] = ACTIONS(1254),
    [aux_sym_return_statement_token1] = ACTIONS(1254),
    [aux_sym_throw_expression_token1] = ACTIONS(1254),
    [aux_sym_while_statement_token1] = ACTIONS(1254),
    [aux_sym_while_statement_token2] = ACTIONS(1254),
    [aux_sym_do_statement_token1] = ACTIONS(1254),
    [aux_sym_for_statement_token1] = ACTIONS(1254),
    [aux_sym_for_statement_token2] = ACTIONS(1254),
    [aux_sym_foreach_statement_token1] = ACTIONS(1254),
    [aux_sym_foreach_statement_token2] = ACTIONS(1254),
    [aux_sym_if_statement_token1] = ACTIONS(1254),
    [aux_sym_if_statement_token2] = ACTIONS(1254),
    [aux_sym_else_if_clause_token1] = ACTIONS(1254),
    [aux_sym_else_clause_token1] = ACTIONS(1254),
    [aux_sym_match_expression_token1] = ACTIONS(1254),
    [aux_sym_match_default_expression_token1] = ACTIONS(1254),
    [aux_sym_switch_statement_token1] = ACTIONS(1254),
    [aux_sym_switch_block_token1] = ACTIONS(1254),
    [anon_sym_PLUS] = ACTIONS(1254),
    [anon_sym_DASH] = ACTIONS(1254),
    [anon_sym_TILDE] = ACTIONS(1252),
    [anon_sym_BANG] = ACTIONS(1252),
    [anon_sym_AT] = ACTIONS(1252),
    [aux_sym_clone_expression_token1] = ACTIONS(1254),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1254),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1254),
    [anon_sym_DASH_DASH] = ACTIONS(1252),
    [anon_sym_PLUS_PLUS] = ACTIONS(1252),
    [aux_sym__list_destructing_token1] = ACTIONS(1254),
    [anon_sym_LBRACK] = ACTIONS(1252),
    [anon_sym_self] = ACTIONS(1254),
    [anon_sym_parent] = ACTIONS(1254),
    [aux_sym__argument_name_token1] = ACTIONS(1254),
    [aux_sym__argument_name_token2] = ACTIONS(1254),
    [anon_sym_POUND_LBRACK] = ACTIONS(1252),
    [aux_sym_encapsed_string_token1] = ACTIONS(1252),
    [anon_sym_DQUOTE] = ACTIONS(1252),
    [aux_sym_string_token1] = ACTIONS(1252),
    [anon_sym_SQUOTE] = ACTIONS(1252),
    [anon_sym_LT_LT_LT] = ACTIONS(1252),
    [anon_sym_BQUOTE] = ACTIONS(1252),
    [anon_sym_DOLLAR] = ACTIONS(1252),
    [aux_sym_yield_expression_token1] = ACTIONS(1254),
    [aux_sym_include_expression_token1] = ACTIONS(1254),
    [aux_sym_include_once_expression_token1] = ACTIONS(1254),
    [aux_sym_require_expression_token1] = ACTIONS(1254),
    [aux_sym_require_once_expression_token1] = ACTIONS(1254),
    [sym_comment] = ACTIONS(5),
  },
  [504] = {
    [sym_text_interpolation] = STATE(504),
    [ts_builtin_sym_end] = ACTIONS(1256),
    [sym_name] = ACTIONS(1258),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1256),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1258),
    [aux_sym_global_declaration_token1] = ACTIONS(1258),
    [aux_sym_namespace_definition_token1] = ACTIONS(1258),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1258),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1258),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1258),
    [anon_sym_BSLASH] = ACTIONS(1256),
    [anon_sym_LBRACE] = ACTIONS(1256),
    [anon_sym_RBRACE] = ACTIONS(1256),
    [aux_sym_trait_declaration_token1] = ACTIONS(1258),
    [aux_sym_interface_declaration_token1] = ACTIONS(1258),
    [aux_sym_enum_declaration_token1] = ACTIONS(1258),
    [aux_sym_enum_case_token1] = ACTIONS(1258),
    [aux_sym_class_declaration_token1] = ACTIONS(1258),
    [aux_sym_final_modifier_token1] = ACTIONS(1258),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1258),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1258),
    [sym_var_modifier] = ACTIONS(1258),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1258),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1258),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1258),
    [anon_sym_LPAREN2] = ACTIONS(1256),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1258),
    [aux_sym_cast_type_token1] = ACTIONS(1258),
    [aux_sym_echo_statement_token1] = ACTIONS(1258),
    [aux_sym_exit_statement_token1] = ACTIONS(1258),
    [anon_sym_unset] = ACTIONS(1258),
    [aux_sym_declare_statement_token1] = ACTIONS(1258),
    [aux_sym_declare_statement_token2] = ACTIONS(1258),
    [sym_float] = ACTIONS(1258),
    [aux_sym_try_statement_token1] = ACTIONS(1258),
    [aux_sym_goto_statement_token1] = ACTIONS(1258),
    [aux_sym_continue_statement_token1] = ACTIONS(1258),
    [aux_sym_break_statement_token1] = ACTIONS(1258),
    [sym_integer] = ACTIONS(1258),
    [aux_sym_return_statement_token1] = ACTIONS(1258),
    [aux_sym_throw_expression_token1] = ACTIONS(1258),
    [aux_sym_while_statement_token1] = ACTIONS(1258),
    [aux_sym_while_statement_token2] = ACTIONS(1258),
    [aux_sym_do_statement_token1] = ACTIONS(1258),
    [aux_sym_for_statement_token1] = ACTIONS(1258),
    [aux_sym_for_statement_token2] = ACTIONS(1258),
    [aux_sym_foreach_statement_token1] = ACTIONS(1258),
    [aux_sym_foreach_statement_token2] = ACTIONS(1258),
    [aux_sym_if_statement_token1] = ACTIONS(1258),
    [aux_sym_if_statement_token2] = ACTIONS(1258),
    [aux_sym_else_if_clause_token1] = ACTIONS(1258),
    [aux_sym_else_clause_token1] = ACTIONS(1258),
    [aux_sym_match_expression_token1] = ACTIONS(1258),
    [aux_sym_match_default_expression_token1] = ACTIONS(1258),
    [aux_sym_switch_statement_token1] = ACTIONS(1258),
    [aux_sym_switch_block_token1] = ACTIONS(1258),
    [anon_sym_PLUS] = ACTIONS(1258),
    [anon_sym_DASH] = ACTIONS(1258),
    [anon_sym_TILDE] = ACTIONS(1256),
    [anon_sym_BANG] = ACTIONS(1256),
    [anon_sym_AT] = ACTIONS(1256),
    [aux_sym_clone_expression_token1] = ACTIONS(1258),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1258),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1258),
    [anon_sym_DASH_DASH] = ACTIONS(1256),
    [anon_sym_PLUS_PLUS] = ACTIONS(1256),
    [aux_sym__list_destructing_token1] = ACTIONS(1258),
    [anon_sym_LBRACK] = ACTIONS(1256),
    [anon_sym_self] = ACTIONS(1258),
    [anon_sym_parent] = ACTIONS(1258),
    [aux_sym__argument_name_token1] = ACTIONS(1258),
    [aux_sym__argument_name_token2] = ACTIONS(1258),
    [anon_sym_POUND_LBRACK] = ACTIONS(1256),
    [aux_sym_encapsed_string_token1] = ACTIONS(1256),
    [anon_sym_DQUOTE] = ACTIONS(1256),
    [aux_sym_string_token1] = ACTIONS(1256),
    [anon_sym_SQUOTE] = ACTIONS(1256),
    [anon_sym_LT_LT_LT] = ACTIONS(1256),
    [anon_sym_BQUOTE] = ACTIONS(1256),
    [anon_sym_DOLLAR] = ACTIONS(1256),
    [aux_sym_yield_expression_token1] = ACTIONS(1258),
    [aux_sym_include_expression_token1] = ACTIONS(1258),
    [aux_sym_include_once_expression_token1] = ACTIONS(1258),
    [aux_sym_require_expression_token1] = ACTIONS(1258),
    [aux_sym_require_once_expression_token1] = ACTIONS(1258),
    [sym_comment] = ACTIONS(5),
  },
  [505] = {
    [sym_text_interpolation] = STATE(505),
    [ts_builtin_sym_end] = ACTIONS(1260),
    [sym_name] = ACTIONS(1262),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1260),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1262),
    [aux_sym_global_declaration_token1] = ACTIONS(1262),
    [aux_sym_namespace_definition_token1] = ACTIONS(1262),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1262),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1262),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1262),
    [anon_sym_BSLASH] = ACTIONS(1260),
    [anon_sym_LBRACE] = ACTIONS(1260),
    [anon_sym_RBRACE] = ACTIONS(1260),
    [aux_sym_trait_declaration_token1] = ACTIONS(1262),
    [aux_sym_interface_declaration_token1] = ACTIONS(1262),
    [aux_sym_enum_declaration_token1] = ACTIONS(1262),
    [aux_sym_enum_case_token1] = ACTIONS(1262),
    [aux_sym_class_declaration_token1] = ACTIONS(1262),
    [aux_sym_final_modifier_token1] = ACTIONS(1262),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1262),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1262),
    [sym_var_modifier] = ACTIONS(1262),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1262),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1262),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1262),
    [anon_sym_LPAREN2] = ACTIONS(1260),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1262),
    [aux_sym_cast_type_token1] = ACTIONS(1262),
    [aux_sym_echo_statement_token1] = ACTIONS(1262),
    [aux_sym_exit_statement_token1] = ACTIONS(1262),
    [anon_sym_unset] = ACTIONS(1262),
    [aux_sym_declare_statement_token1] = ACTIONS(1262),
    [aux_sym_declare_statement_token2] = ACTIONS(1262),
    [sym_float] = ACTIONS(1262),
    [aux_sym_try_statement_token1] = ACTIONS(1262),
    [aux_sym_goto_statement_token1] = ACTIONS(1262),
    [aux_sym_continue_statement_token1] = ACTIONS(1262),
    [aux_sym_break_statement_token1] = ACTIONS(1262),
    [sym_integer] = ACTIONS(1262),
    [aux_sym_return_statement_token1] = ACTIONS(1262),
    [aux_sym_throw_expression_token1] = ACTIONS(1262),
    [aux_sym_while_statement_token1] = ACTIONS(1262),
    [aux_sym_while_statement_token2] = ACTIONS(1262),
    [aux_sym_do_statement_token1] = ACTIONS(1262),
    [aux_sym_for_statement_token1] = ACTIONS(1262),
    [aux_sym_for_statement_token2] = ACTIONS(1262),
    [aux_sym_foreach_statement_token1] = ACTIONS(1262),
    [aux_sym_foreach_statement_token2] = ACTIONS(1262),
    [aux_sym_if_statement_token1] = ACTIONS(1262),
    [aux_sym_if_statement_token2] = ACTIONS(1262),
    [aux_sym_else_if_clause_token1] = ACTIONS(1262),
    [aux_sym_else_clause_token1] = ACTIONS(1262),
    [aux_sym_match_expression_token1] = ACTIONS(1262),
    [aux_sym_match_default_expression_token1] = ACTIONS(1262),
    [aux_sym_switch_statement_token1] = ACTIONS(1262),
    [aux_sym_switch_block_token1] = ACTIONS(1262),
    [anon_sym_PLUS] = ACTIONS(1262),
    [anon_sym_DASH] = ACTIONS(1262),
    [anon_sym_TILDE] = ACTIONS(1260),
    [anon_sym_BANG] = ACTIONS(1260),
    [anon_sym_AT] = ACTIONS(1260),
    [aux_sym_clone_expression_token1] = ACTIONS(1262),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1262),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1262),
    [anon_sym_DASH_DASH] = ACTIONS(1260),
    [anon_sym_PLUS_PLUS] = ACTIONS(1260),
    [aux_sym__list_destructing_token1] = ACTIONS(1262),
    [anon_sym_LBRACK] = ACTIONS(1260),
    [anon_sym_self] = ACTIONS(1262),
    [anon_sym_parent] = ACTIONS(1262),
    [aux_sym__argument_name_token1] = ACTIONS(1262),
    [aux_sym__argument_name_token2] = ACTIONS(1262),
    [anon_sym_POUND_LBRACK] = ACTIONS(1260),
    [aux_sym_encapsed_string_token1] = ACTIONS(1260),
    [anon_sym_DQUOTE] = ACTIONS(1260),
    [aux_sym_string_token1] = ACTIONS(1260),
    [anon_sym_SQUOTE] = ACTIONS(1260),
    [anon_sym_LT_LT_LT] = ACTIONS(1260),
    [anon_sym_BQUOTE] = ACTIONS(1260),
    [anon_sym_DOLLAR] = ACTIONS(1260),
    [aux_sym_yield_expression_token1] = ACTIONS(1262),
    [aux_sym_include_expression_token1] = ACTIONS(1262),
    [aux_sym_include_once_expression_token1] = ACTIONS(1262),
    [aux_sym_require_expression_token1] = ACTIONS(1262),
    [aux_sym_require_once_expression_token1] = ACTIONS(1262),
    [sym_comment] = ACTIONS(5),
  },
  [506] = {
    [sym_text_interpolation] = STATE(506),
    [ts_builtin_sym_end] = ACTIONS(1264),
    [sym_name] = ACTIONS(1266),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1264),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1266),
    [aux_sym_global_declaration_token1] = ACTIONS(1266),
    [aux_sym_namespace_definition_token1] = ACTIONS(1266),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1266),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1266),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1266),
    [anon_sym_BSLASH] = ACTIONS(1264),
    [anon_sym_LBRACE] = ACTIONS(1264),
    [anon_sym_RBRACE] = ACTIONS(1264),
    [aux_sym_trait_declaration_token1] = ACTIONS(1266),
    [aux_sym_interface_declaration_token1] = ACTIONS(1266),
    [aux_sym_enum_declaration_token1] = ACTIONS(1266),
    [aux_sym_enum_case_token1] = ACTIONS(1266),
    [aux_sym_class_declaration_token1] = ACTIONS(1266),
    [aux_sym_final_modifier_token1] = ACTIONS(1266),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1266),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1266),
    [sym_var_modifier] = ACTIONS(1266),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1266),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1266),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1266),
    [anon_sym_LPAREN2] = ACTIONS(1264),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1266),
    [aux_sym_cast_type_token1] = ACTIONS(1266),
    [aux_sym_echo_statement_token1] = ACTIONS(1266),
    [aux_sym_exit_statement_token1] = ACTIONS(1266),
    [anon_sym_unset] = ACTIONS(1266),
    [aux_sym_declare_statement_token1] = ACTIONS(1266),
    [aux_sym_declare_statement_token2] = ACTIONS(1266),
    [sym_float] = ACTIONS(1266),
    [aux_sym_try_statement_token1] = ACTIONS(1266),
    [aux_sym_goto_statement_token1] = ACTIONS(1266),
    [aux_sym_continue_statement_token1] = ACTIONS(1266),
    [aux_sym_break_statement_token1] = ACTIONS(1266),
    [sym_integer] = ACTIONS(1266),
    [aux_sym_return_statement_token1] = ACTIONS(1266),
    [aux_sym_throw_expression_token1] = ACTIONS(1266),
    [aux_sym_while_statement_token1] = ACTIONS(1266),
    [aux_sym_while_statement_token2] = ACTIONS(1266),
    [aux_sym_do_statement_token1] = ACTIONS(1266),
    [aux_sym_for_statement_token1] = ACTIONS(1266),
    [aux_sym_for_statement_token2] = ACTIONS(1266),
    [aux_sym_foreach_statement_token1] = ACTIONS(1266),
    [aux_sym_foreach_statement_token2] = ACTIONS(1266),
    [aux_sym_if_statement_token1] = ACTIONS(1266),
    [aux_sym_if_statement_token2] = ACTIONS(1266),
    [aux_sym_else_if_clause_token1] = ACTIONS(1266),
    [aux_sym_else_clause_token1] = ACTIONS(1266),
    [aux_sym_match_expression_token1] = ACTIONS(1266),
    [aux_sym_match_default_expression_token1] = ACTIONS(1266),
    [aux_sym_switch_statement_token1] = ACTIONS(1266),
    [aux_sym_switch_block_token1] = ACTIONS(1266),
    [anon_sym_PLUS] = ACTIONS(1266),
    [anon_sym_DASH] = ACTIONS(1266),
    [anon_sym_TILDE] = ACTIONS(1264),
    [anon_sym_BANG] = ACTIONS(1264),
    [anon_sym_AT] = ACTIONS(1264),
    [aux_sym_clone_expression_token1] = ACTIONS(1266),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1266),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1266),
    [anon_sym_DASH_DASH] = ACTIONS(1264),
    [anon_sym_PLUS_PLUS] = ACTIONS(1264),
    [aux_sym__list_destructing_token1] = ACTIONS(1266),
    [anon_sym_LBRACK] = ACTIONS(1264),
    [anon_sym_self] = ACTIONS(1266),
    [anon_sym_parent] = ACTIONS(1266),
    [aux_sym__argument_name_token1] = ACTIONS(1266),
    [aux_sym__argument_name_token2] = ACTIONS(1266),
    [anon_sym_POUND_LBRACK] = ACTIONS(1264),
    [aux_sym_encapsed_string_token1] = ACTIONS(1264),
    [anon_sym_DQUOTE] = ACTIONS(1264),
    [aux_sym_string_token1] = ACTIONS(1264),
    [anon_sym_SQUOTE] = ACTIONS(1264),
    [anon_sym_LT_LT_LT] = ACTIONS(1264),
    [anon_sym_BQUOTE] = ACTIONS(1264),
    [anon_sym_DOLLAR] = ACTIONS(1264),
    [aux_sym_yield_expression_token1] = ACTIONS(1266),
    [aux_sym_include_expression_token1] = ACTIONS(1266),
    [aux_sym_include_once_expression_token1] = ACTIONS(1266),
    [aux_sym_require_expression_token1] = ACTIONS(1266),
    [aux_sym_require_once_expression_token1] = ACTIONS(1266),
    [sym_comment] = ACTIONS(5),
  },
  [507] = {
    [sym_text_interpolation] = STATE(507),
    [ts_builtin_sym_end] = ACTIONS(1268),
    [sym_name] = ACTIONS(1270),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1268),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1270),
    [aux_sym_global_declaration_token1] = ACTIONS(1270),
    [aux_sym_namespace_definition_token1] = ACTIONS(1270),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1270),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1270),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1270),
    [anon_sym_BSLASH] = ACTIONS(1268),
    [anon_sym_LBRACE] = ACTIONS(1268),
    [anon_sym_RBRACE] = ACTIONS(1268),
    [aux_sym_trait_declaration_token1] = ACTIONS(1270),
    [aux_sym_interface_declaration_token1] = ACTIONS(1270),
    [aux_sym_enum_declaration_token1] = ACTIONS(1270),
    [aux_sym_enum_case_token1] = ACTIONS(1270),
    [aux_sym_class_declaration_token1] = ACTIONS(1270),
    [aux_sym_final_modifier_token1] = ACTIONS(1270),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1270),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1270),
    [sym_var_modifier] = ACTIONS(1270),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1270),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1270),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1270),
    [anon_sym_LPAREN2] = ACTIONS(1268),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1270),
    [aux_sym_cast_type_token1] = ACTIONS(1270),
    [aux_sym_echo_statement_token1] = ACTIONS(1270),
    [aux_sym_exit_statement_token1] = ACTIONS(1270),
    [anon_sym_unset] = ACTIONS(1270),
    [aux_sym_declare_statement_token1] = ACTIONS(1270),
    [aux_sym_declare_statement_token2] = ACTIONS(1270),
    [sym_float] = ACTIONS(1270),
    [aux_sym_try_statement_token1] = ACTIONS(1270),
    [aux_sym_goto_statement_token1] = ACTIONS(1270),
    [aux_sym_continue_statement_token1] = ACTIONS(1270),
    [aux_sym_break_statement_token1] = ACTIONS(1270),
    [sym_integer] = ACTIONS(1270),
    [aux_sym_return_statement_token1] = ACTIONS(1270),
    [aux_sym_throw_expression_token1] = ACTIONS(1270),
    [aux_sym_while_statement_token1] = ACTIONS(1270),
    [aux_sym_while_statement_token2] = ACTIONS(1270),
    [aux_sym_do_statement_token1] = ACTIONS(1270),
    [aux_sym_for_statement_token1] = ACTIONS(1270),
    [aux_sym_for_statement_token2] = ACTIONS(1270),
    [aux_sym_foreach_statement_token1] = ACTIONS(1270),
    [aux_sym_foreach_statement_token2] = ACTIONS(1270),
    [aux_sym_if_statement_token1] = ACTIONS(1270),
    [aux_sym_if_statement_token2] = ACTIONS(1270),
    [aux_sym_else_if_clause_token1] = ACTIONS(1270),
    [aux_sym_else_clause_token1] = ACTIONS(1270),
    [aux_sym_match_expression_token1] = ACTIONS(1270),
    [aux_sym_match_default_expression_token1] = ACTIONS(1270),
    [aux_sym_switch_statement_token1] = ACTIONS(1270),
    [aux_sym_switch_block_token1] = ACTIONS(1270),
    [anon_sym_PLUS] = ACTIONS(1270),
    [anon_sym_DASH] = ACTIONS(1270),
    [anon_sym_TILDE] = ACTIONS(1268),
    [anon_sym_BANG] = ACTIONS(1268),
    [anon_sym_AT] = ACTIONS(1268),
    [aux_sym_clone_expression_token1] = ACTIONS(1270),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1270),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1270),
    [anon_sym_DASH_DASH] = ACTIONS(1268),
    [anon_sym_PLUS_PLUS] = ACTIONS(1268),
    [aux_sym__list_destructing_token1] = ACTIONS(1270),
    [anon_sym_LBRACK] = ACTIONS(1268),
    [anon_sym_self] = ACTIONS(1270),
    [anon_sym_parent] = ACTIONS(1270),
    [aux_sym__argument_name_token1] = ACTIONS(1270),
    [aux_sym__argument_name_token2] = ACTIONS(1270),
    [anon_sym_POUND_LBRACK] = ACTIONS(1268),
    [aux_sym_encapsed_string_token1] = ACTIONS(1268),
    [anon_sym_DQUOTE] = ACTIONS(1268),
    [aux_sym_string_token1] = ACTIONS(1268),
    [anon_sym_SQUOTE] = ACTIONS(1268),
    [anon_sym_LT_LT_LT] = ACTIONS(1268),
    [anon_sym_BQUOTE] = ACTIONS(1268),
    [anon_sym_DOLLAR] = ACTIONS(1268),
    [aux_sym_yield_expression_token1] = ACTIONS(1270),
    [aux_sym_include_expression_token1] = ACTIONS(1270),
    [aux_sym_include_once_expression_token1] = ACTIONS(1270),
    [aux_sym_require_expression_token1] = ACTIONS(1270),
    [aux_sym_require_once_expression_token1] = ACTIONS(1270),
    [sym_comment] = ACTIONS(5),
  },
  [508] = {
    [sym_text_interpolation] = STATE(508),
    [ts_builtin_sym_end] = ACTIONS(1272),
    [sym_name] = ACTIONS(1274),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1272),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1274),
    [aux_sym_global_declaration_token1] = ACTIONS(1274),
    [aux_sym_namespace_definition_token1] = ACTIONS(1274),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1274),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1274),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1274),
    [anon_sym_BSLASH] = ACTIONS(1272),
    [anon_sym_LBRACE] = ACTIONS(1272),
    [anon_sym_RBRACE] = ACTIONS(1272),
    [aux_sym_trait_declaration_token1] = ACTIONS(1274),
    [aux_sym_interface_declaration_token1] = ACTIONS(1274),
    [aux_sym_enum_declaration_token1] = ACTIONS(1274),
    [aux_sym_enum_case_token1] = ACTIONS(1274),
    [aux_sym_class_declaration_token1] = ACTIONS(1274),
    [aux_sym_final_modifier_token1] = ACTIONS(1274),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1274),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1274),
    [sym_var_modifier] = ACTIONS(1274),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1274),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1274),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1274),
    [anon_sym_LPAREN2] = ACTIONS(1272),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1274),
    [aux_sym_cast_type_token1] = ACTIONS(1274),
    [aux_sym_echo_statement_token1] = ACTIONS(1274),
    [aux_sym_exit_statement_token1] = ACTIONS(1274),
    [anon_sym_unset] = ACTIONS(1274),
    [aux_sym_declare_statement_token1] = ACTIONS(1274),
    [aux_sym_declare_statement_token2] = ACTIONS(1274),
    [sym_float] = ACTIONS(1274),
    [aux_sym_try_statement_token1] = ACTIONS(1274),
    [aux_sym_goto_statement_token1] = ACTIONS(1274),
    [aux_sym_continue_statement_token1] = ACTIONS(1274),
    [aux_sym_break_statement_token1] = ACTIONS(1274),
    [sym_integer] = ACTIONS(1274),
    [aux_sym_return_statement_token1] = ACTIONS(1274),
    [aux_sym_throw_expression_token1] = ACTIONS(1274),
    [aux_sym_while_statement_token1] = ACTIONS(1274),
    [aux_sym_while_statement_token2] = ACTIONS(1274),
    [aux_sym_do_statement_token1] = ACTIONS(1274),
    [aux_sym_for_statement_token1] = ACTIONS(1274),
    [aux_sym_for_statement_token2] = ACTIONS(1274),
    [aux_sym_foreach_statement_token1] = ACTIONS(1274),
    [aux_sym_foreach_statement_token2] = ACTIONS(1274),
    [aux_sym_if_statement_token1] = ACTIONS(1274),
    [aux_sym_if_statement_token2] = ACTIONS(1274),
    [aux_sym_else_if_clause_token1] = ACTIONS(1274),
    [aux_sym_else_clause_token1] = ACTIONS(1274),
    [aux_sym_match_expression_token1] = ACTIONS(1274),
    [aux_sym_match_default_expression_token1] = ACTIONS(1274),
    [aux_sym_switch_statement_token1] = ACTIONS(1274),
    [aux_sym_switch_block_token1] = ACTIONS(1274),
    [anon_sym_PLUS] = ACTIONS(1274),
    [anon_sym_DASH] = ACTIONS(1274),
    [anon_sym_TILDE] = ACTIONS(1272),
    [anon_sym_BANG] = ACTIONS(1272),
    [anon_sym_AT] = ACTIONS(1272),
    [aux_sym_clone_expression_token1] = ACTIONS(1274),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1274),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1274),
    [anon_sym_DASH_DASH] = ACTIONS(1272),
    [anon_sym_PLUS_PLUS] = ACTIONS(1272),
    [aux_sym__list_destructing_token1] = ACTIONS(1274),
    [anon_sym_LBRACK] = ACTIONS(1272),
    [anon_sym_self] = ACTIONS(1274),
    [anon_sym_parent] = ACTIONS(1274),
    [aux_sym__argument_name_token1] = ACTIONS(1274),
    [aux_sym__argument_name_token2] = ACTIONS(1274),
    [anon_sym_POUND_LBRACK] = ACTIONS(1272),
    [aux_sym_encapsed_string_token1] = ACTIONS(1272),
    [anon_sym_DQUOTE] = ACTIONS(1272),
    [aux_sym_string_token1] = ACTIONS(1272),
    [anon_sym_SQUOTE] = ACTIONS(1272),
    [anon_sym_LT_LT_LT] = ACTIONS(1272),
    [anon_sym_BQUOTE] = ACTIONS(1272),
    [anon_sym_DOLLAR] = ACTIONS(1272),
    [aux_sym_yield_expression_token1] = ACTIONS(1274),
    [aux_sym_include_expression_token1] = ACTIONS(1274),
    [aux_sym_include_once_expression_token1] = ACTIONS(1274),
    [aux_sym_require_expression_token1] = ACTIONS(1274),
    [aux_sym_require_once_expression_token1] = ACTIONS(1274),
    [sym_comment] = ACTIONS(5),
  },
  [509] = {
    [sym_text_interpolation] = STATE(509),
    [ts_builtin_sym_end] = ACTIONS(1276),
    [sym_name] = ACTIONS(1278),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1276),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1278),
    [aux_sym_global_declaration_token1] = ACTIONS(1278),
    [aux_sym_namespace_definition_token1] = ACTIONS(1278),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1278),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1278),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1278),
    [anon_sym_BSLASH] = ACTIONS(1276),
    [anon_sym_LBRACE] = ACTIONS(1276),
    [anon_sym_RBRACE] = ACTIONS(1276),
    [aux_sym_trait_declaration_token1] = ACTIONS(1278),
    [aux_sym_interface_declaration_token1] = ACTIONS(1278),
    [aux_sym_enum_declaration_token1] = ACTIONS(1278),
    [aux_sym_enum_case_token1] = ACTIONS(1278),
    [aux_sym_class_declaration_token1] = ACTIONS(1278),
    [aux_sym_final_modifier_token1] = ACTIONS(1278),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1278),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1278),
    [sym_var_modifier] = ACTIONS(1278),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1278),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1278),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1278),
    [anon_sym_LPAREN2] = ACTIONS(1276),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1278),
    [aux_sym_cast_type_token1] = ACTIONS(1278),
    [aux_sym_echo_statement_token1] = ACTIONS(1278),
    [aux_sym_exit_statement_token1] = ACTIONS(1278),
    [anon_sym_unset] = ACTIONS(1278),
    [aux_sym_declare_statement_token1] = ACTIONS(1278),
    [aux_sym_declare_statement_token2] = ACTIONS(1278),
    [sym_float] = ACTIONS(1278),
    [aux_sym_try_statement_token1] = ACTIONS(1278),
    [aux_sym_goto_statement_token1] = ACTIONS(1278),
    [aux_sym_continue_statement_token1] = ACTIONS(1278),
    [aux_sym_break_statement_token1] = ACTIONS(1278),
    [sym_integer] = ACTIONS(1278),
    [aux_sym_return_statement_token1] = ACTIONS(1278),
    [aux_sym_throw_expression_token1] = ACTIONS(1278),
    [aux_sym_while_statement_token1] = ACTIONS(1278),
    [aux_sym_while_statement_token2] = ACTIONS(1278),
    [aux_sym_do_statement_token1] = ACTIONS(1278),
    [aux_sym_for_statement_token1] = ACTIONS(1278),
    [aux_sym_for_statement_token2] = ACTIONS(1278),
    [aux_sym_foreach_statement_token1] = ACTIONS(1278),
    [aux_sym_foreach_statement_token2] = ACTIONS(1278),
    [aux_sym_if_statement_token1] = ACTIONS(1278),
    [aux_sym_if_statement_token2] = ACTIONS(1278),
    [aux_sym_else_if_clause_token1] = ACTIONS(1278),
    [aux_sym_else_clause_token1] = ACTIONS(1278),
    [aux_sym_match_expression_token1] = ACTIONS(1278),
    [aux_sym_match_default_expression_token1] = ACTIONS(1278),
    [aux_sym_switch_statement_token1] = ACTIONS(1278),
    [aux_sym_switch_block_token1] = ACTIONS(1278),
    [anon_sym_PLUS] = ACTIONS(1278),
    [anon_sym_DASH] = ACTIONS(1278),
    [anon_sym_TILDE] = ACTIONS(1276),
    [anon_sym_BANG] = ACTIONS(1276),
    [anon_sym_AT] = ACTIONS(1276),
    [aux_sym_clone_expression_token1] = ACTIONS(1278),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1278),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1278),
    [anon_sym_DASH_DASH] = ACTIONS(1276),
    [anon_sym_PLUS_PLUS] = ACTIONS(1276),
    [aux_sym__list_destructing_token1] = ACTIONS(1278),
    [anon_sym_LBRACK] = ACTIONS(1276),
    [anon_sym_self] = ACTIONS(1278),
    [anon_sym_parent] = ACTIONS(1278),
    [aux_sym__argument_name_token1] = ACTIONS(1278),
    [aux_sym__argument_name_token2] = ACTIONS(1278),
    [anon_sym_POUND_LBRACK] = ACTIONS(1276),
    [aux_sym_encapsed_string_token1] = ACTIONS(1276),
    [anon_sym_DQUOTE] = ACTIONS(1276),
    [aux_sym_string_token1] = ACTIONS(1276),
    [anon_sym_SQUOTE] = ACTIONS(1276),
    [anon_sym_LT_LT_LT] = ACTIONS(1276),
    [anon_sym_BQUOTE] = ACTIONS(1276),
    [anon_sym_DOLLAR] = ACTIONS(1276),
    [aux_sym_yield_expression_token1] = ACTIONS(1278),
    [aux_sym_include_expression_token1] = ACTIONS(1278),
    [aux_sym_include_once_expression_token1] = ACTIONS(1278),
    [aux_sym_require_expression_token1] = ACTIONS(1278),
    [aux_sym_require_once_expression_token1] = ACTIONS(1278),
    [sym_comment] = ACTIONS(5),
  },
  [510] = {
    [sym_text_interpolation] = STATE(510),
    [ts_builtin_sym_end] = ACTIONS(1280),
    [sym_name] = ACTIONS(1282),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1280),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1282),
    [aux_sym_global_declaration_token1] = ACTIONS(1282),
    [aux_sym_namespace_definition_token1] = ACTIONS(1282),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1282),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1282),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1282),
    [anon_sym_BSLASH] = ACTIONS(1280),
    [anon_sym_LBRACE] = ACTIONS(1280),
    [anon_sym_RBRACE] = ACTIONS(1280),
    [aux_sym_trait_declaration_token1] = ACTIONS(1282),
    [aux_sym_interface_declaration_token1] = ACTIONS(1282),
    [aux_sym_enum_declaration_token1] = ACTIONS(1282),
    [aux_sym_enum_case_token1] = ACTIONS(1282),
    [aux_sym_class_declaration_token1] = ACTIONS(1282),
    [aux_sym_final_modifier_token1] = ACTIONS(1282),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1282),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1282),
    [sym_var_modifier] = ACTIONS(1282),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1282),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1282),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1282),
    [anon_sym_LPAREN2] = ACTIONS(1280),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1282),
    [aux_sym_cast_type_token1] = ACTIONS(1282),
    [aux_sym_echo_statement_token1] = ACTIONS(1282),
    [aux_sym_exit_statement_token1] = ACTIONS(1282),
    [anon_sym_unset] = ACTIONS(1282),
    [aux_sym_declare_statement_token1] = ACTIONS(1282),
    [aux_sym_declare_statement_token2] = ACTIONS(1282),
    [sym_float] = ACTIONS(1282),
    [aux_sym_try_statement_token1] = ACTIONS(1282),
    [aux_sym_goto_statement_token1] = ACTIONS(1282),
    [aux_sym_continue_statement_token1] = ACTIONS(1282),
    [aux_sym_break_statement_token1] = ACTIONS(1282),
    [sym_integer] = ACTIONS(1282),
    [aux_sym_return_statement_token1] = ACTIONS(1282),
    [aux_sym_throw_expression_token1] = ACTIONS(1282),
    [aux_sym_while_statement_token1] = ACTIONS(1282),
    [aux_sym_while_statement_token2] = ACTIONS(1282),
    [aux_sym_do_statement_token1] = ACTIONS(1282),
    [aux_sym_for_statement_token1] = ACTIONS(1282),
    [aux_sym_for_statement_token2] = ACTIONS(1282),
    [aux_sym_foreach_statement_token1] = ACTIONS(1282),
    [aux_sym_foreach_statement_token2] = ACTIONS(1282),
    [aux_sym_if_statement_token1] = ACTIONS(1282),
    [aux_sym_if_statement_token2] = ACTIONS(1282),
    [aux_sym_else_if_clause_token1] = ACTIONS(1282),
    [aux_sym_else_clause_token1] = ACTIONS(1282),
    [aux_sym_match_expression_token1] = ACTIONS(1282),
    [aux_sym_match_default_expression_token1] = ACTIONS(1282),
    [aux_sym_switch_statement_token1] = ACTIONS(1282),
    [aux_sym_switch_block_token1] = ACTIONS(1282),
    [anon_sym_PLUS] = ACTIONS(1282),
    [anon_sym_DASH] = ACTIONS(1282),
    [anon_sym_TILDE] = ACTIONS(1280),
    [anon_sym_BANG] = ACTIONS(1280),
    [anon_sym_AT] = ACTIONS(1280),
    [aux_sym_clone_expression_token1] = ACTIONS(1282),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1282),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1282),
    [anon_sym_DASH_DASH] = ACTIONS(1280),
    [anon_sym_PLUS_PLUS] = ACTIONS(1280),
    [aux_sym__list_destructing_token1] = ACTIONS(1282),
    [anon_sym_LBRACK] = ACTIONS(1280),
    [anon_sym_self] = ACTIONS(1282),
    [anon_sym_parent] = ACTIONS(1282),
    [aux_sym__argument_name_token1] = ACTIONS(1282),
    [aux_sym__argument_name_token2] = ACTIONS(1282),
    [anon_sym_POUND_LBRACK] = ACTIONS(1280),
    [aux_sym_encapsed_string_token1] = ACTIONS(1280),
    [anon_sym_DQUOTE] = ACTIONS(1280),
    [aux_sym_string_token1] = ACTIONS(1280),
    [anon_sym_SQUOTE] = ACTIONS(1280),
    [anon_sym_LT_LT_LT] = ACTIONS(1280),
    [anon_sym_BQUOTE] = ACTIONS(1280),
    [anon_sym_DOLLAR] = ACTIONS(1280),
    [aux_sym_yield_expression_token1] = ACTIONS(1282),
    [aux_sym_include_expression_token1] = ACTIONS(1282),
    [aux_sym_include_once_expression_token1] = ACTIONS(1282),
    [aux_sym_require_expression_token1] = ACTIONS(1282),
    [aux_sym_require_once_expression_token1] = ACTIONS(1282),
    [sym_comment] = ACTIONS(5),
  },
  [511] = {
    [sym_text_interpolation] = STATE(511),
    [ts_builtin_sym_end] = ACTIONS(1284),
    [sym_name] = ACTIONS(1286),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1284),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1286),
    [aux_sym_global_declaration_token1] = ACTIONS(1286),
    [aux_sym_namespace_definition_token1] = ACTIONS(1286),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1286),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1286),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1286),
    [anon_sym_BSLASH] = ACTIONS(1284),
    [anon_sym_LBRACE] = ACTIONS(1284),
    [anon_sym_RBRACE] = ACTIONS(1284),
    [aux_sym_trait_declaration_token1] = ACTIONS(1286),
    [aux_sym_interface_declaration_token1] = ACTIONS(1286),
    [aux_sym_enum_declaration_token1] = ACTIONS(1286),
    [aux_sym_enum_case_token1] = ACTIONS(1286),
    [aux_sym_class_declaration_token1] = ACTIONS(1286),
    [aux_sym_final_modifier_token1] = ACTIONS(1286),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1286),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1286),
    [sym_var_modifier] = ACTIONS(1286),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1286),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1286),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1286),
    [anon_sym_LPAREN2] = ACTIONS(1284),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1286),
    [aux_sym_cast_type_token1] = ACTIONS(1286),
    [aux_sym_echo_statement_token1] = ACTIONS(1286),
    [aux_sym_exit_statement_token1] = ACTIONS(1286),
    [anon_sym_unset] = ACTIONS(1286),
    [aux_sym_declare_statement_token1] = ACTIONS(1286),
    [aux_sym_declare_statement_token2] = ACTIONS(1286),
    [sym_float] = ACTIONS(1286),
    [aux_sym_try_statement_token1] = ACTIONS(1286),
    [aux_sym_goto_statement_token1] = ACTIONS(1286),
    [aux_sym_continue_statement_token1] = ACTIONS(1286),
    [aux_sym_break_statement_token1] = ACTIONS(1286),
    [sym_integer] = ACTIONS(1286),
    [aux_sym_return_statement_token1] = ACTIONS(1286),
    [aux_sym_throw_expression_token1] = ACTIONS(1286),
    [aux_sym_while_statement_token1] = ACTIONS(1286),
    [aux_sym_while_statement_token2] = ACTIONS(1286),
    [aux_sym_do_statement_token1] = ACTIONS(1286),
    [aux_sym_for_statement_token1] = ACTIONS(1286),
    [aux_sym_for_statement_token2] = ACTIONS(1286),
    [aux_sym_foreach_statement_token1] = ACTIONS(1286),
    [aux_sym_foreach_statement_token2] = ACTIONS(1286),
    [aux_sym_if_statement_token1] = ACTIONS(1286),
    [aux_sym_if_statement_token2] = ACTIONS(1286),
    [aux_sym_else_if_clause_token1] = ACTIONS(1286),
    [aux_sym_else_clause_token1] = ACTIONS(1286),
    [aux_sym_match_expression_token1] = ACTIONS(1286),
    [aux_sym_match_default_expression_token1] = ACTIONS(1286),
    [aux_sym_switch_statement_token1] = ACTIONS(1286),
    [aux_sym_switch_block_token1] = ACTIONS(1286),
    [anon_sym_PLUS] = ACTIONS(1286),
    [anon_sym_DASH] = ACTIONS(1286),
    [anon_sym_TILDE] = ACTIONS(1284),
    [anon_sym_BANG] = ACTIONS(1284),
    [anon_sym_AT] = ACTIONS(1284),
    [aux_sym_clone_expression_token1] = ACTIONS(1286),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1286),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1286),
    [anon_sym_DASH_DASH] = ACTIONS(1284),
    [anon_sym_PLUS_PLUS] = ACTIONS(1284),
    [aux_sym__list_destructing_token1] = ACTIONS(1286),
    [anon_sym_LBRACK] = ACTIONS(1284),
    [anon_sym_self] = ACTIONS(1286),
    [anon_sym_parent] = ACTIONS(1286),
    [aux_sym__argument_name_token1] = ACTIONS(1286),
    [aux_sym__argument_name_token2] = ACTIONS(1286),
    [anon_sym_POUND_LBRACK] = ACTIONS(1284),
    [aux_sym_encapsed_string_token1] = ACTIONS(1284),
    [anon_sym_DQUOTE] = ACTIONS(1284),
    [aux_sym_string_token1] = ACTIONS(1284),
    [anon_sym_SQUOTE] = ACTIONS(1284),
    [anon_sym_LT_LT_LT] = ACTIONS(1284),
    [anon_sym_BQUOTE] = ACTIONS(1284),
    [anon_sym_DOLLAR] = ACTIONS(1284),
    [aux_sym_yield_expression_token1] = ACTIONS(1286),
    [aux_sym_include_expression_token1] = ACTIONS(1286),
    [aux_sym_include_once_expression_token1] = ACTIONS(1286),
    [aux_sym_require_expression_token1] = ACTIONS(1286),
    [aux_sym_require_once_expression_token1] = ACTIONS(1286),
    [sym_comment] = ACTIONS(5),
  },
  [512] = {
    [sym_text_interpolation] = STATE(512),
    [ts_builtin_sym_end] = ACTIONS(1288),
    [sym_name] = ACTIONS(1290),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1288),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1290),
    [aux_sym_global_declaration_token1] = ACTIONS(1290),
    [aux_sym_namespace_definition_token1] = ACTIONS(1290),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1290),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1290),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1290),
    [anon_sym_BSLASH] = ACTIONS(1288),
    [anon_sym_LBRACE] = ACTIONS(1288),
    [anon_sym_RBRACE] = ACTIONS(1288),
    [aux_sym_trait_declaration_token1] = ACTIONS(1290),
    [aux_sym_interface_declaration_token1] = ACTIONS(1290),
    [aux_sym_enum_declaration_token1] = ACTIONS(1290),
    [aux_sym_enum_case_token1] = ACTIONS(1290),
    [aux_sym_class_declaration_token1] = ACTIONS(1290),
    [aux_sym_final_modifier_token1] = ACTIONS(1290),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1290),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1290),
    [sym_var_modifier] = ACTIONS(1290),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1290),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1290),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1290),
    [anon_sym_LPAREN2] = ACTIONS(1288),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1290),
    [aux_sym_cast_type_token1] = ACTIONS(1290),
    [aux_sym_echo_statement_token1] = ACTIONS(1290),
    [aux_sym_exit_statement_token1] = ACTIONS(1290),
    [anon_sym_unset] = ACTIONS(1290),
    [aux_sym_declare_statement_token1] = ACTIONS(1290),
    [aux_sym_declare_statement_token2] = ACTIONS(1290),
    [sym_float] = ACTIONS(1290),
    [aux_sym_try_statement_token1] = ACTIONS(1290),
    [aux_sym_goto_statement_token1] = ACTIONS(1290),
    [aux_sym_continue_statement_token1] = ACTIONS(1290),
    [aux_sym_break_statement_token1] = ACTIONS(1290),
    [sym_integer] = ACTIONS(1290),
    [aux_sym_return_statement_token1] = ACTIONS(1290),
    [aux_sym_throw_expression_token1] = ACTIONS(1290),
    [aux_sym_while_statement_token1] = ACTIONS(1290),
    [aux_sym_while_statement_token2] = ACTIONS(1290),
    [aux_sym_do_statement_token1] = ACTIONS(1290),
    [aux_sym_for_statement_token1] = ACTIONS(1290),
    [aux_sym_for_statement_token2] = ACTIONS(1290),
    [aux_sym_foreach_statement_token1] = ACTIONS(1290),
    [aux_sym_foreach_statement_token2] = ACTIONS(1290),
    [aux_sym_if_statement_token1] = ACTIONS(1290),
    [aux_sym_if_statement_token2] = ACTIONS(1290),
    [aux_sym_else_if_clause_token1] = ACTIONS(1290),
    [aux_sym_else_clause_token1] = ACTIONS(1290),
    [aux_sym_match_expression_token1] = ACTIONS(1290),
    [aux_sym_match_default_expression_token1] = ACTIONS(1290),
    [aux_sym_switch_statement_token1] = ACTIONS(1290),
    [aux_sym_switch_block_token1] = ACTIONS(1290),
    [anon_sym_PLUS] = ACTIONS(1290),
    [anon_sym_DASH] = ACTIONS(1290),
    [anon_sym_TILDE] = ACTIONS(1288),
    [anon_sym_BANG] = ACTIONS(1288),
    [anon_sym_AT] = ACTIONS(1288),
    [aux_sym_clone_expression_token1] = ACTIONS(1290),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1290),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1290),
    [anon_sym_DASH_DASH] = ACTIONS(1288),
    [anon_sym_PLUS_PLUS] = ACTIONS(1288),
    [aux_sym__list_destructing_token1] = ACTIONS(1290),
    [anon_sym_LBRACK] = ACTIONS(1288),
    [anon_sym_self] = ACTIONS(1290),
    [anon_sym_parent] = ACTIONS(1290),
    [aux_sym__argument_name_token1] = ACTIONS(1290),
    [aux_sym__argument_name_token2] = ACTIONS(1290),
    [anon_sym_POUND_LBRACK] = ACTIONS(1288),
    [aux_sym_encapsed_string_token1] = ACTIONS(1288),
    [anon_sym_DQUOTE] = ACTIONS(1288),
    [aux_sym_string_token1] = ACTIONS(1288),
    [anon_sym_SQUOTE] = ACTIONS(1288),
    [anon_sym_LT_LT_LT] = ACTIONS(1288),
    [anon_sym_BQUOTE] = ACTIONS(1288),
    [anon_sym_DOLLAR] = ACTIONS(1288),
    [aux_sym_yield_expression_token1] = ACTIONS(1290),
    [aux_sym_include_expression_token1] = ACTIONS(1290),
    [aux_sym_include_once_expression_token1] = ACTIONS(1290),
    [aux_sym_require_expression_token1] = ACTIONS(1290),
    [aux_sym_require_once_expression_token1] = ACTIONS(1290),
    [sym_comment] = ACTIONS(5),
  },
  [513] = {
    [sym_text_interpolation] = STATE(513),
    [ts_builtin_sym_end] = ACTIONS(1292),
    [sym_name] = ACTIONS(1294),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1292),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1294),
    [aux_sym_global_declaration_token1] = ACTIONS(1294),
    [aux_sym_namespace_definition_token1] = ACTIONS(1294),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1294),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1294),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1294),
    [anon_sym_BSLASH] = ACTIONS(1292),
    [anon_sym_LBRACE] = ACTIONS(1292),
    [anon_sym_RBRACE] = ACTIONS(1292),
    [aux_sym_trait_declaration_token1] = ACTIONS(1294),
    [aux_sym_interface_declaration_token1] = ACTIONS(1294),
    [aux_sym_enum_declaration_token1] = ACTIONS(1294),
    [aux_sym_enum_case_token1] = ACTIONS(1294),
    [aux_sym_class_declaration_token1] = ACTIONS(1294),
    [aux_sym_final_modifier_token1] = ACTIONS(1294),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1294),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1294),
    [sym_var_modifier] = ACTIONS(1294),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1294),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1294),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1294),
    [anon_sym_LPAREN2] = ACTIONS(1292),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1294),
    [aux_sym_cast_type_token1] = ACTIONS(1294),
    [aux_sym_echo_statement_token1] = ACTIONS(1294),
    [aux_sym_exit_statement_token1] = ACTIONS(1294),
    [anon_sym_unset] = ACTIONS(1294),
    [aux_sym_declare_statement_token1] = ACTIONS(1294),
    [aux_sym_declare_statement_token2] = ACTIONS(1294),
    [sym_float] = ACTIONS(1294),
    [aux_sym_try_statement_token1] = ACTIONS(1294),
    [aux_sym_goto_statement_token1] = ACTIONS(1294),
    [aux_sym_continue_statement_token1] = ACTIONS(1294),
    [aux_sym_break_statement_token1] = ACTIONS(1294),
    [sym_integer] = ACTIONS(1294),
    [aux_sym_return_statement_token1] = ACTIONS(1294),
    [aux_sym_throw_expression_token1] = ACTIONS(1294),
    [aux_sym_while_statement_token1] = ACTIONS(1294),
    [aux_sym_while_statement_token2] = ACTIONS(1294),
    [aux_sym_do_statement_token1] = ACTIONS(1294),
    [aux_sym_for_statement_token1] = ACTIONS(1294),
    [aux_sym_for_statement_token2] = ACTIONS(1294),
    [aux_sym_foreach_statement_token1] = ACTIONS(1294),
    [aux_sym_foreach_statement_token2] = ACTIONS(1294),
    [aux_sym_if_statement_token1] = ACTIONS(1294),
    [aux_sym_if_statement_token2] = ACTIONS(1294),
    [aux_sym_else_if_clause_token1] = ACTIONS(1294),
    [aux_sym_else_clause_token1] = ACTIONS(1294),
    [aux_sym_match_expression_token1] = ACTIONS(1294),
    [aux_sym_match_default_expression_token1] = ACTIONS(1294),
    [aux_sym_switch_statement_token1] = ACTIONS(1294),
    [aux_sym_switch_block_token1] = ACTIONS(1294),
    [anon_sym_PLUS] = ACTIONS(1294),
    [anon_sym_DASH] = ACTIONS(1294),
    [anon_sym_TILDE] = ACTIONS(1292),
    [anon_sym_BANG] = ACTIONS(1292),
    [anon_sym_AT] = ACTIONS(1292),
    [aux_sym_clone_expression_token1] = ACTIONS(1294),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1294),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1294),
    [anon_sym_DASH_DASH] = ACTIONS(1292),
    [anon_sym_PLUS_PLUS] = ACTIONS(1292),
    [aux_sym__list_destructing_token1] = ACTIONS(1294),
    [anon_sym_LBRACK] = ACTIONS(1292),
    [anon_sym_self] = ACTIONS(1294),
    [anon_sym_parent] = ACTIONS(1294),
    [aux_sym__argument_name_token1] = ACTIONS(1294),
    [aux_sym__argument_name_token2] = ACTIONS(1294),
    [anon_sym_POUND_LBRACK] = ACTIONS(1292),
    [aux_sym_encapsed_string_token1] = ACTIONS(1292),
    [anon_sym_DQUOTE] = ACTIONS(1292),
    [aux_sym_string_token1] = ACTIONS(1292),
    [anon_sym_SQUOTE] = ACTIONS(1292),
    [anon_sym_LT_LT_LT] = ACTIONS(1292),
    [anon_sym_BQUOTE] = ACTIONS(1292),
    [anon_sym_DOLLAR] = ACTIONS(1292),
    [aux_sym_yield_expression_token1] = ACTIONS(1294),
    [aux_sym_include_expression_token1] = ACTIONS(1294),
    [aux_sym_include_once_expression_token1] = ACTIONS(1294),
    [aux_sym_require_expression_token1] = ACTIONS(1294),
    [aux_sym_require_once_expression_token1] = ACTIONS(1294),
    [sym_comment] = ACTIONS(5),
  },
  [514] = {
    [sym_text_interpolation] = STATE(514),
    [ts_builtin_sym_end] = ACTIONS(1296),
    [sym_name] = ACTIONS(1298),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1296),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1298),
    [aux_sym_global_declaration_token1] = ACTIONS(1298),
    [aux_sym_namespace_definition_token1] = ACTIONS(1298),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1298),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1298),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1298),
    [anon_sym_BSLASH] = ACTIONS(1296),
    [anon_sym_LBRACE] = ACTIONS(1296),
    [anon_sym_RBRACE] = ACTIONS(1296),
    [aux_sym_trait_declaration_token1] = ACTIONS(1298),
    [aux_sym_interface_declaration_token1] = ACTIONS(1298),
    [aux_sym_enum_declaration_token1] = ACTIONS(1298),
    [aux_sym_enum_case_token1] = ACTIONS(1298),
    [aux_sym_class_declaration_token1] = ACTIONS(1298),
    [aux_sym_final_modifier_token1] = ACTIONS(1298),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1298),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1298),
    [sym_var_modifier] = ACTIONS(1298),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1298),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1298),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1298),
    [anon_sym_LPAREN2] = ACTIONS(1296),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1298),
    [aux_sym_cast_type_token1] = ACTIONS(1298),
    [aux_sym_echo_statement_token1] = ACTIONS(1298),
    [aux_sym_exit_statement_token1] = ACTIONS(1298),
    [anon_sym_unset] = ACTIONS(1298),
    [aux_sym_declare_statement_token1] = ACTIONS(1298),
    [aux_sym_declare_statement_token2] = ACTIONS(1298),
    [sym_float] = ACTIONS(1298),
    [aux_sym_try_statement_token1] = ACTIONS(1298),
    [aux_sym_goto_statement_token1] = ACTIONS(1298),
    [aux_sym_continue_statement_token1] = ACTIONS(1298),
    [aux_sym_break_statement_token1] = ACTIONS(1298),
    [sym_integer] = ACTIONS(1298),
    [aux_sym_return_statement_token1] = ACTIONS(1298),
    [aux_sym_throw_expression_token1] = ACTIONS(1298),
    [aux_sym_while_statement_token1] = ACTIONS(1298),
    [aux_sym_while_statement_token2] = ACTIONS(1298),
    [aux_sym_do_statement_token1] = ACTIONS(1298),
    [aux_sym_for_statement_token1] = ACTIONS(1298),
    [aux_sym_for_statement_token2] = ACTIONS(1298),
    [aux_sym_foreach_statement_token1] = ACTIONS(1298),
    [aux_sym_foreach_statement_token2] = ACTIONS(1298),
    [aux_sym_if_statement_token1] = ACTIONS(1298),
    [aux_sym_if_statement_token2] = ACTIONS(1298),
    [aux_sym_else_if_clause_token1] = ACTIONS(1298),
    [aux_sym_else_clause_token1] = ACTIONS(1298),
    [aux_sym_match_expression_token1] = ACTIONS(1298),
    [aux_sym_match_default_expression_token1] = ACTIONS(1298),
    [aux_sym_switch_statement_token1] = ACTIONS(1298),
    [aux_sym_switch_block_token1] = ACTIONS(1298),
    [anon_sym_PLUS] = ACTIONS(1298),
    [anon_sym_DASH] = ACTIONS(1298),
    [anon_sym_TILDE] = ACTIONS(1296),
    [anon_sym_BANG] = ACTIONS(1296),
    [anon_sym_AT] = ACTIONS(1296),
    [aux_sym_clone_expression_token1] = ACTIONS(1298),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1298),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1298),
    [anon_sym_DASH_DASH] = ACTIONS(1296),
    [anon_sym_PLUS_PLUS] = ACTIONS(1296),
    [aux_sym__list_destructing_token1] = ACTIONS(1298),
    [anon_sym_LBRACK] = ACTIONS(1296),
    [anon_sym_self] = ACTIONS(1298),
    [anon_sym_parent] = ACTIONS(1298),
    [aux_sym__argument_name_token1] = ACTIONS(1298),
    [aux_sym__argument_name_token2] = ACTIONS(1298),
    [anon_sym_POUND_LBRACK] = ACTIONS(1296),
    [aux_sym_encapsed_string_token1] = ACTIONS(1296),
    [anon_sym_DQUOTE] = ACTIONS(1296),
    [aux_sym_string_token1] = ACTIONS(1296),
    [anon_sym_SQUOTE] = ACTIONS(1296),
    [anon_sym_LT_LT_LT] = ACTIONS(1296),
    [anon_sym_BQUOTE] = ACTIONS(1296),
    [anon_sym_DOLLAR] = ACTIONS(1296),
    [aux_sym_yield_expression_token1] = ACTIONS(1298),
    [aux_sym_include_expression_token1] = ACTIONS(1298),
    [aux_sym_include_once_expression_token1] = ACTIONS(1298),
    [aux_sym_require_expression_token1] = ACTIONS(1298),
    [aux_sym_require_once_expression_token1] = ACTIONS(1298),
    [sym_comment] = ACTIONS(5),
  },
  [515] = {
    [sym_text_interpolation] = STATE(515),
    [ts_builtin_sym_end] = ACTIONS(1300),
    [sym_name] = ACTIONS(1302),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1300),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1302),
    [aux_sym_global_declaration_token1] = ACTIONS(1302),
    [aux_sym_namespace_definition_token1] = ACTIONS(1302),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1302),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1302),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1302),
    [anon_sym_BSLASH] = ACTIONS(1300),
    [anon_sym_LBRACE] = ACTIONS(1300),
    [anon_sym_RBRACE] = ACTIONS(1300),
    [aux_sym_trait_declaration_token1] = ACTIONS(1302),
    [aux_sym_interface_declaration_token1] = ACTIONS(1302),
    [aux_sym_enum_declaration_token1] = ACTIONS(1302),
    [aux_sym_enum_case_token1] = ACTIONS(1302),
    [aux_sym_class_declaration_token1] = ACTIONS(1302),
    [aux_sym_final_modifier_token1] = ACTIONS(1302),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1302),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1302),
    [sym_var_modifier] = ACTIONS(1302),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1302),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1302),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1302),
    [anon_sym_LPAREN2] = ACTIONS(1300),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1302),
    [aux_sym_cast_type_token1] = ACTIONS(1302),
    [aux_sym_echo_statement_token1] = ACTIONS(1302),
    [aux_sym_exit_statement_token1] = ACTIONS(1302),
    [anon_sym_unset] = ACTIONS(1302),
    [aux_sym_declare_statement_token1] = ACTIONS(1302),
    [aux_sym_declare_statement_token2] = ACTIONS(1302),
    [sym_float] = ACTIONS(1302),
    [aux_sym_try_statement_token1] = ACTIONS(1302),
    [aux_sym_goto_statement_token1] = ACTIONS(1302),
    [aux_sym_continue_statement_token1] = ACTIONS(1302),
    [aux_sym_break_statement_token1] = ACTIONS(1302),
    [sym_integer] = ACTIONS(1302),
    [aux_sym_return_statement_token1] = ACTIONS(1302),
    [aux_sym_throw_expression_token1] = ACTIONS(1302),
    [aux_sym_while_statement_token1] = ACTIONS(1302),
    [aux_sym_while_statement_token2] = ACTIONS(1302),
    [aux_sym_do_statement_token1] = ACTIONS(1302),
    [aux_sym_for_statement_token1] = ACTIONS(1302),
    [aux_sym_for_statement_token2] = ACTIONS(1302),
    [aux_sym_foreach_statement_token1] = ACTIONS(1302),
    [aux_sym_foreach_statement_token2] = ACTIONS(1302),
    [aux_sym_if_statement_token1] = ACTIONS(1302),
    [aux_sym_if_statement_token2] = ACTIONS(1302),
    [aux_sym_else_if_clause_token1] = ACTIONS(1302),
    [aux_sym_else_clause_token1] = ACTIONS(1302),
    [aux_sym_match_expression_token1] = ACTIONS(1302),
    [aux_sym_match_default_expression_token1] = ACTIONS(1302),
    [aux_sym_switch_statement_token1] = ACTIONS(1302),
    [aux_sym_switch_block_token1] = ACTIONS(1302),
    [anon_sym_PLUS] = ACTIONS(1302),
    [anon_sym_DASH] = ACTIONS(1302),
    [anon_sym_TILDE] = ACTIONS(1300),
    [anon_sym_BANG] = ACTIONS(1300),
    [anon_sym_AT] = ACTIONS(1300),
    [aux_sym_clone_expression_token1] = ACTIONS(1302),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1302),
    [anon_sym_DASH_DASH] = ACTIONS(1300),
    [anon_sym_PLUS_PLUS] = ACTIONS(1300),
    [aux_sym__list_destructing_token1] = ACTIONS(1302),
    [anon_sym_LBRACK] = ACTIONS(1300),
    [anon_sym_self] = ACTIONS(1302),
    [anon_sym_parent] = ACTIONS(1302),
    [aux_sym__argument_name_token1] = ACTIONS(1302),
    [aux_sym__argument_name_token2] = ACTIONS(1302),
    [anon_sym_POUND_LBRACK] = ACTIONS(1300),
    [aux_sym_encapsed_string_token1] = ACTIONS(1300),
    [anon_sym_DQUOTE] = ACTIONS(1300),
    [aux_sym_string_token1] = ACTIONS(1300),
    [anon_sym_SQUOTE] = ACTIONS(1300),
    [anon_sym_LT_LT_LT] = ACTIONS(1300),
    [anon_sym_BQUOTE] = ACTIONS(1300),
    [anon_sym_DOLLAR] = ACTIONS(1300),
    [aux_sym_yield_expression_token1] = ACTIONS(1302),
    [aux_sym_include_expression_token1] = ACTIONS(1302),
    [aux_sym_include_once_expression_token1] = ACTIONS(1302),
    [aux_sym_require_expression_token1] = ACTIONS(1302),
    [aux_sym_require_once_expression_token1] = ACTIONS(1302),
    [sym_comment] = ACTIONS(5),
  },
  [516] = {
    [sym_text_interpolation] = STATE(516),
    [ts_builtin_sym_end] = ACTIONS(1304),
    [sym_name] = ACTIONS(1306),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1304),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1306),
    [aux_sym_global_declaration_token1] = ACTIONS(1306),
    [aux_sym_namespace_definition_token1] = ACTIONS(1306),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1306),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1306),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1306),
    [anon_sym_BSLASH] = ACTIONS(1304),
    [anon_sym_LBRACE] = ACTIONS(1304),
    [anon_sym_RBRACE] = ACTIONS(1304),
    [aux_sym_trait_declaration_token1] = ACTIONS(1306),
    [aux_sym_interface_declaration_token1] = ACTIONS(1306),
    [aux_sym_enum_declaration_token1] = ACTIONS(1306),
    [aux_sym_enum_case_token1] = ACTIONS(1306),
    [aux_sym_class_declaration_token1] = ACTIONS(1306),
    [aux_sym_final_modifier_token1] = ACTIONS(1306),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1306),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1306),
    [sym_var_modifier] = ACTIONS(1306),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1306),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1306),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1306),
    [anon_sym_LPAREN2] = ACTIONS(1304),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1306),
    [aux_sym_cast_type_token1] = ACTIONS(1306),
    [aux_sym_echo_statement_token1] = ACTIONS(1306),
    [aux_sym_exit_statement_token1] = ACTIONS(1306),
    [anon_sym_unset] = ACTIONS(1306),
    [aux_sym_declare_statement_token1] = ACTIONS(1306),
    [aux_sym_declare_statement_token2] = ACTIONS(1306),
    [sym_float] = ACTIONS(1306),
    [aux_sym_try_statement_token1] = ACTIONS(1306),
    [aux_sym_goto_statement_token1] = ACTIONS(1306),
    [aux_sym_continue_statement_token1] = ACTIONS(1306),
    [aux_sym_break_statement_token1] = ACTIONS(1306),
    [sym_integer] = ACTIONS(1306),
    [aux_sym_return_statement_token1] = ACTIONS(1306),
    [aux_sym_throw_expression_token1] = ACTIONS(1306),
    [aux_sym_while_statement_token1] = ACTIONS(1306),
    [aux_sym_while_statement_token2] = ACTIONS(1306),
    [aux_sym_do_statement_token1] = ACTIONS(1306),
    [aux_sym_for_statement_token1] = ACTIONS(1306),
    [aux_sym_for_statement_token2] = ACTIONS(1306),
    [aux_sym_foreach_statement_token1] = ACTIONS(1306),
    [aux_sym_foreach_statement_token2] = ACTIONS(1306),
    [aux_sym_if_statement_token1] = ACTIONS(1306),
    [aux_sym_if_statement_token2] = ACTIONS(1306),
    [aux_sym_else_if_clause_token1] = ACTIONS(1306),
    [aux_sym_else_clause_token1] = ACTIONS(1306),
    [aux_sym_match_expression_token1] = ACTIONS(1306),
    [aux_sym_match_default_expression_token1] = ACTIONS(1306),
    [aux_sym_switch_statement_token1] = ACTIONS(1306),
    [aux_sym_switch_block_token1] = ACTIONS(1306),
    [anon_sym_PLUS] = ACTIONS(1306),
    [anon_sym_DASH] = ACTIONS(1306),
    [anon_sym_TILDE] = ACTIONS(1304),
    [anon_sym_BANG] = ACTIONS(1304),
    [anon_sym_AT] = ACTIONS(1304),
    [aux_sym_clone_expression_token1] = ACTIONS(1306),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1306),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1306),
    [anon_sym_DASH_DASH] = ACTIONS(1304),
    [anon_sym_PLUS_PLUS] = ACTIONS(1304),
    [aux_sym__list_destructing_token1] = ACTIONS(1306),
    [anon_sym_LBRACK] = ACTIONS(1304),
    [anon_sym_self] = ACTIONS(1306),
    [anon_sym_parent] = ACTIONS(1306),
    [aux_sym__argument_name_token1] = ACTIONS(1306),
    [aux_sym__argument_name_token2] = ACTIONS(1306),
    [anon_sym_POUND_LBRACK] = ACTIONS(1304),
    [aux_sym_encapsed_string_token1] = ACTIONS(1304),
    [anon_sym_DQUOTE] = ACTIONS(1304),
    [aux_sym_string_token1] = ACTIONS(1304),
    [anon_sym_SQUOTE] = ACTIONS(1304),
    [anon_sym_LT_LT_LT] = ACTIONS(1304),
    [anon_sym_BQUOTE] = ACTIONS(1304),
    [anon_sym_DOLLAR] = ACTIONS(1304),
    [aux_sym_yield_expression_token1] = ACTIONS(1306),
    [aux_sym_include_expression_token1] = ACTIONS(1306),
    [aux_sym_include_once_expression_token1] = ACTIONS(1306),
    [aux_sym_require_expression_token1] = ACTIONS(1306),
    [aux_sym_require_once_expression_token1] = ACTIONS(1306),
    [sym_comment] = ACTIONS(5),
  },
  [517] = {
    [sym_text_interpolation] = STATE(517),
    [ts_builtin_sym_end] = ACTIONS(1308),
    [sym_name] = ACTIONS(1310),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1308),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1310),
    [aux_sym_global_declaration_token1] = ACTIONS(1310),
    [aux_sym_namespace_definition_token1] = ACTIONS(1310),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1310),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1310),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1310),
    [anon_sym_BSLASH] = ACTIONS(1308),
    [anon_sym_LBRACE] = ACTIONS(1308),
    [anon_sym_RBRACE] = ACTIONS(1308),
    [aux_sym_trait_declaration_token1] = ACTIONS(1310),
    [aux_sym_interface_declaration_token1] = ACTIONS(1310),
    [aux_sym_enum_declaration_token1] = ACTIONS(1310),
    [aux_sym_enum_case_token1] = ACTIONS(1310),
    [aux_sym_class_declaration_token1] = ACTIONS(1310),
    [aux_sym_final_modifier_token1] = ACTIONS(1310),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1310),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1310),
    [sym_var_modifier] = ACTIONS(1310),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1310),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1310),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1310),
    [anon_sym_LPAREN2] = ACTIONS(1308),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1310),
    [aux_sym_cast_type_token1] = ACTIONS(1310),
    [aux_sym_echo_statement_token1] = ACTIONS(1310),
    [aux_sym_exit_statement_token1] = ACTIONS(1310),
    [anon_sym_unset] = ACTIONS(1310),
    [aux_sym_declare_statement_token1] = ACTIONS(1310),
    [aux_sym_declare_statement_token2] = ACTIONS(1310),
    [sym_float] = ACTIONS(1310),
    [aux_sym_try_statement_token1] = ACTIONS(1310),
    [aux_sym_goto_statement_token1] = ACTIONS(1310),
    [aux_sym_continue_statement_token1] = ACTIONS(1310),
    [aux_sym_break_statement_token1] = ACTIONS(1310),
    [sym_integer] = ACTIONS(1310),
    [aux_sym_return_statement_token1] = ACTIONS(1310),
    [aux_sym_throw_expression_token1] = ACTIONS(1310),
    [aux_sym_while_statement_token1] = ACTIONS(1310),
    [aux_sym_while_statement_token2] = ACTIONS(1310),
    [aux_sym_do_statement_token1] = ACTIONS(1310),
    [aux_sym_for_statement_token1] = ACTIONS(1310),
    [aux_sym_for_statement_token2] = ACTIONS(1310),
    [aux_sym_foreach_statement_token1] = ACTIONS(1310),
    [aux_sym_foreach_statement_token2] = ACTIONS(1310),
    [aux_sym_if_statement_token1] = ACTIONS(1310),
    [aux_sym_if_statement_token2] = ACTIONS(1310),
    [aux_sym_else_if_clause_token1] = ACTIONS(1310),
    [aux_sym_else_clause_token1] = ACTIONS(1310),
    [aux_sym_match_expression_token1] = ACTIONS(1310),
    [aux_sym_match_default_expression_token1] = ACTIONS(1310),
    [aux_sym_switch_statement_token1] = ACTIONS(1310),
    [aux_sym_switch_block_token1] = ACTIONS(1310),
    [anon_sym_PLUS] = ACTIONS(1310),
    [anon_sym_DASH] = ACTIONS(1310),
    [anon_sym_TILDE] = ACTIONS(1308),
    [anon_sym_BANG] = ACTIONS(1308),
    [anon_sym_AT] = ACTIONS(1308),
    [aux_sym_clone_expression_token1] = ACTIONS(1310),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1310),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1310),
    [anon_sym_DASH_DASH] = ACTIONS(1308),
    [anon_sym_PLUS_PLUS] = ACTIONS(1308),
    [aux_sym__list_destructing_token1] = ACTIONS(1310),
    [anon_sym_LBRACK] = ACTIONS(1308),
    [anon_sym_self] = ACTIONS(1310),
    [anon_sym_parent] = ACTIONS(1310),
    [aux_sym__argument_name_token1] = ACTIONS(1310),
    [aux_sym__argument_name_token2] = ACTIONS(1310),
    [anon_sym_POUND_LBRACK] = ACTIONS(1308),
    [aux_sym_encapsed_string_token1] = ACTIONS(1308),
    [anon_sym_DQUOTE] = ACTIONS(1308),
    [aux_sym_string_token1] = ACTIONS(1308),
    [anon_sym_SQUOTE] = ACTIONS(1308),
    [anon_sym_LT_LT_LT] = ACTIONS(1308),
    [anon_sym_BQUOTE] = ACTIONS(1308),
    [anon_sym_DOLLAR] = ACTIONS(1308),
    [aux_sym_yield_expression_token1] = ACTIONS(1310),
    [aux_sym_include_expression_token1] = ACTIONS(1310),
    [aux_sym_include_once_expression_token1] = ACTIONS(1310),
    [aux_sym_require_expression_token1] = ACTIONS(1310),
    [aux_sym_require_once_expression_token1] = ACTIONS(1310),
    [sym_comment] = ACTIONS(5),
  },
  [518] = {
    [sym_text_interpolation] = STATE(518),
    [ts_builtin_sym_end] = ACTIONS(1312),
    [sym_name] = ACTIONS(1314),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1312),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1314),
    [aux_sym_global_declaration_token1] = ACTIONS(1314),
    [aux_sym_namespace_definition_token1] = ACTIONS(1314),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1314),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1314),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1314),
    [anon_sym_BSLASH] = ACTIONS(1312),
    [anon_sym_LBRACE] = ACTIONS(1312),
    [anon_sym_RBRACE] = ACTIONS(1312),
    [aux_sym_trait_declaration_token1] = ACTIONS(1314),
    [aux_sym_interface_declaration_token1] = ACTIONS(1314),
    [aux_sym_enum_declaration_token1] = ACTIONS(1314),
    [aux_sym_enum_case_token1] = ACTIONS(1314),
    [aux_sym_class_declaration_token1] = ACTIONS(1314),
    [aux_sym_final_modifier_token1] = ACTIONS(1314),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1314),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1314),
    [sym_var_modifier] = ACTIONS(1314),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1314),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1314),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1314),
    [anon_sym_LPAREN2] = ACTIONS(1312),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1314),
    [aux_sym_cast_type_token1] = ACTIONS(1314),
    [aux_sym_echo_statement_token1] = ACTIONS(1314),
    [aux_sym_exit_statement_token1] = ACTIONS(1314),
    [anon_sym_unset] = ACTIONS(1314),
    [aux_sym_declare_statement_token1] = ACTIONS(1314),
    [aux_sym_declare_statement_token2] = ACTIONS(1314),
    [sym_float] = ACTIONS(1314),
    [aux_sym_try_statement_token1] = ACTIONS(1314),
    [aux_sym_goto_statement_token1] = ACTIONS(1314),
    [aux_sym_continue_statement_token1] = ACTIONS(1314),
    [aux_sym_break_statement_token1] = ACTIONS(1314),
    [sym_integer] = ACTIONS(1314),
    [aux_sym_return_statement_token1] = ACTIONS(1314),
    [aux_sym_throw_expression_token1] = ACTIONS(1314),
    [aux_sym_while_statement_token1] = ACTIONS(1314),
    [aux_sym_while_statement_token2] = ACTIONS(1314),
    [aux_sym_do_statement_token1] = ACTIONS(1314),
    [aux_sym_for_statement_token1] = ACTIONS(1314),
    [aux_sym_for_statement_token2] = ACTIONS(1314),
    [aux_sym_foreach_statement_token1] = ACTIONS(1314),
    [aux_sym_foreach_statement_token2] = ACTIONS(1314),
    [aux_sym_if_statement_token1] = ACTIONS(1314),
    [aux_sym_if_statement_token2] = ACTIONS(1314),
    [aux_sym_else_if_clause_token1] = ACTIONS(1314),
    [aux_sym_else_clause_token1] = ACTIONS(1314),
    [aux_sym_match_expression_token1] = ACTIONS(1314),
    [aux_sym_match_default_expression_token1] = ACTIONS(1314),
    [aux_sym_switch_statement_token1] = ACTIONS(1314),
    [aux_sym_switch_block_token1] = ACTIONS(1314),
    [anon_sym_PLUS] = ACTIONS(1314),
    [anon_sym_DASH] = ACTIONS(1314),
    [anon_sym_TILDE] = ACTIONS(1312),
    [anon_sym_BANG] = ACTIONS(1312),
    [anon_sym_AT] = ACTIONS(1312),
    [aux_sym_clone_expression_token1] = ACTIONS(1314),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1314),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1314),
    [anon_sym_DASH_DASH] = ACTIONS(1312),
    [anon_sym_PLUS_PLUS] = ACTIONS(1312),
    [aux_sym__list_destructing_token1] = ACTIONS(1314),
    [anon_sym_LBRACK] = ACTIONS(1312),
    [anon_sym_self] = ACTIONS(1314),
    [anon_sym_parent] = ACTIONS(1314),
    [aux_sym__argument_name_token1] = ACTIONS(1314),
    [aux_sym__argument_name_token2] = ACTIONS(1314),
    [anon_sym_POUND_LBRACK] = ACTIONS(1312),
    [aux_sym_encapsed_string_token1] = ACTIONS(1312),
    [anon_sym_DQUOTE] = ACTIONS(1312),
    [aux_sym_string_token1] = ACTIONS(1312),
    [anon_sym_SQUOTE] = ACTIONS(1312),
    [anon_sym_LT_LT_LT] = ACTIONS(1312),
    [anon_sym_BQUOTE] = ACTIONS(1312),
    [anon_sym_DOLLAR] = ACTIONS(1312),
    [aux_sym_yield_expression_token1] = ACTIONS(1314),
    [aux_sym_include_expression_token1] = ACTIONS(1314),
    [aux_sym_include_once_expression_token1] = ACTIONS(1314),
    [aux_sym_require_expression_token1] = ACTIONS(1314),
    [aux_sym_require_once_expression_token1] = ACTIONS(1314),
    [sym_comment] = ACTIONS(5),
  },
  [519] = {
    [sym_text_interpolation] = STATE(519),
    [ts_builtin_sym_end] = ACTIONS(1316),
    [sym_name] = ACTIONS(1318),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1316),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1318),
    [aux_sym_global_declaration_token1] = ACTIONS(1318),
    [aux_sym_namespace_definition_token1] = ACTIONS(1318),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1318),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1318),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1318),
    [anon_sym_BSLASH] = ACTIONS(1316),
    [anon_sym_LBRACE] = ACTIONS(1316),
    [anon_sym_RBRACE] = ACTIONS(1316),
    [aux_sym_trait_declaration_token1] = ACTIONS(1318),
    [aux_sym_interface_declaration_token1] = ACTIONS(1318),
    [aux_sym_enum_declaration_token1] = ACTIONS(1318),
    [aux_sym_enum_case_token1] = ACTIONS(1318),
    [aux_sym_class_declaration_token1] = ACTIONS(1318),
    [aux_sym_final_modifier_token1] = ACTIONS(1318),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1318),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1318),
    [sym_var_modifier] = ACTIONS(1318),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1318),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1318),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1318),
    [anon_sym_LPAREN2] = ACTIONS(1316),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1318),
    [aux_sym_cast_type_token1] = ACTIONS(1318),
    [aux_sym_echo_statement_token1] = ACTIONS(1318),
    [aux_sym_exit_statement_token1] = ACTIONS(1318),
    [anon_sym_unset] = ACTIONS(1318),
    [aux_sym_declare_statement_token1] = ACTIONS(1318),
    [aux_sym_declare_statement_token2] = ACTIONS(1318),
    [sym_float] = ACTIONS(1318),
    [aux_sym_try_statement_token1] = ACTIONS(1318),
    [aux_sym_goto_statement_token1] = ACTIONS(1318),
    [aux_sym_continue_statement_token1] = ACTIONS(1318),
    [aux_sym_break_statement_token1] = ACTIONS(1318),
    [sym_integer] = ACTIONS(1318),
    [aux_sym_return_statement_token1] = ACTIONS(1318),
    [aux_sym_throw_expression_token1] = ACTIONS(1318),
    [aux_sym_while_statement_token1] = ACTIONS(1318),
    [aux_sym_while_statement_token2] = ACTIONS(1318),
    [aux_sym_do_statement_token1] = ACTIONS(1318),
    [aux_sym_for_statement_token1] = ACTIONS(1318),
    [aux_sym_for_statement_token2] = ACTIONS(1318),
    [aux_sym_foreach_statement_token1] = ACTIONS(1318),
    [aux_sym_foreach_statement_token2] = ACTIONS(1318),
    [aux_sym_if_statement_token1] = ACTIONS(1318),
    [aux_sym_if_statement_token2] = ACTIONS(1318),
    [aux_sym_else_if_clause_token1] = ACTIONS(1318),
    [aux_sym_else_clause_token1] = ACTIONS(1318),
    [aux_sym_match_expression_token1] = ACTIONS(1318),
    [aux_sym_match_default_expression_token1] = ACTIONS(1318),
    [aux_sym_switch_statement_token1] = ACTIONS(1318),
    [aux_sym_switch_block_token1] = ACTIONS(1318),
    [anon_sym_PLUS] = ACTIONS(1318),
    [anon_sym_DASH] = ACTIONS(1318),
    [anon_sym_TILDE] = ACTIONS(1316),
    [anon_sym_BANG] = ACTIONS(1316),
    [anon_sym_AT] = ACTIONS(1316),
    [aux_sym_clone_expression_token1] = ACTIONS(1318),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1318),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1318),
    [anon_sym_DASH_DASH] = ACTIONS(1316),
    [anon_sym_PLUS_PLUS] = ACTIONS(1316),
    [aux_sym__list_destructing_token1] = ACTIONS(1318),
    [anon_sym_LBRACK] = ACTIONS(1316),
    [anon_sym_self] = ACTIONS(1318),
    [anon_sym_parent] = ACTIONS(1318),
    [aux_sym__argument_name_token1] = ACTIONS(1318),
    [aux_sym__argument_name_token2] = ACTIONS(1318),
    [anon_sym_POUND_LBRACK] = ACTIONS(1316),
    [aux_sym_encapsed_string_token1] = ACTIONS(1316),
    [anon_sym_DQUOTE] = ACTIONS(1316),
    [aux_sym_string_token1] = ACTIONS(1316),
    [anon_sym_SQUOTE] = ACTIONS(1316),
    [anon_sym_LT_LT_LT] = ACTIONS(1316),
    [anon_sym_BQUOTE] = ACTIONS(1316),
    [anon_sym_DOLLAR] = ACTIONS(1316),
    [aux_sym_yield_expression_token1] = ACTIONS(1318),
    [aux_sym_include_expression_token1] = ACTIONS(1318),
    [aux_sym_include_once_expression_token1] = ACTIONS(1318),
    [aux_sym_require_expression_token1] = ACTIONS(1318),
    [aux_sym_require_once_expression_token1] = ACTIONS(1318),
    [sym_comment] = ACTIONS(5),
  },
  [520] = {
    [sym_text_interpolation] = STATE(520),
    [ts_builtin_sym_end] = ACTIONS(1320),
    [sym_name] = ACTIONS(1322),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1320),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1322),
    [aux_sym_global_declaration_token1] = ACTIONS(1322),
    [aux_sym_namespace_definition_token1] = ACTIONS(1322),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1322),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1322),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1322),
    [anon_sym_BSLASH] = ACTIONS(1320),
    [anon_sym_LBRACE] = ACTIONS(1320),
    [anon_sym_RBRACE] = ACTIONS(1320),
    [aux_sym_trait_declaration_token1] = ACTIONS(1322),
    [aux_sym_interface_declaration_token1] = ACTIONS(1322),
    [aux_sym_enum_declaration_token1] = ACTIONS(1322),
    [aux_sym_enum_case_token1] = ACTIONS(1322),
    [aux_sym_class_declaration_token1] = ACTIONS(1322),
    [aux_sym_final_modifier_token1] = ACTIONS(1322),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1322),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1322),
    [sym_var_modifier] = ACTIONS(1322),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1322),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1322),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1322),
    [anon_sym_LPAREN2] = ACTIONS(1320),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1322),
    [aux_sym_cast_type_token1] = ACTIONS(1322),
    [aux_sym_echo_statement_token1] = ACTIONS(1322),
    [aux_sym_exit_statement_token1] = ACTIONS(1322),
    [anon_sym_unset] = ACTIONS(1322),
    [aux_sym_declare_statement_token1] = ACTIONS(1322),
    [aux_sym_declare_statement_token2] = ACTIONS(1322),
    [sym_float] = ACTIONS(1322),
    [aux_sym_try_statement_token1] = ACTIONS(1322),
    [aux_sym_goto_statement_token1] = ACTIONS(1322),
    [aux_sym_continue_statement_token1] = ACTIONS(1322),
    [aux_sym_break_statement_token1] = ACTIONS(1322),
    [sym_integer] = ACTIONS(1322),
    [aux_sym_return_statement_token1] = ACTIONS(1322),
    [aux_sym_throw_expression_token1] = ACTIONS(1322),
    [aux_sym_while_statement_token1] = ACTIONS(1322),
    [aux_sym_while_statement_token2] = ACTIONS(1322),
    [aux_sym_do_statement_token1] = ACTIONS(1322),
    [aux_sym_for_statement_token1] = ACTIONS(1322),
    [aux_sym_for_statement_token2] = ACTIONS(1322),
    [aux_sym_foreach_statement_token1] = ACTIONS(1322),
    [aux_sym_foreach_statement_token2] = ACTIONS(1322),
    [aux_sym_if_statement_token1] = ACTIONS(1322),
    [aux_sym_if_statement_token2] = ACTIONS(1322),
    [aux_sym_else_if_clause_token1] = ACTIONS(1322),
    [aux_sym_else_clause_token1] = ACTIONS(1322),
    [aux_sym_match_expression_token1] = ACTIONS(1322),
    [aux_sym_match_default_expression_token1] = ACTIONS(1322),
    [aux_sym_switch_statement_token1] = ACTIONS(1322),
    [aux_sym_switch_block_token1] = ACTIONS(1322),
    [anon_sym_PLUS] = ACTIONS(1322),
    [anon_sym_DASH] = ACTIONS(1322),
    [anon_sym_TILDE] = ACTIONS(1320),
    [anon_sym_BANG] = ACTIONS(1320),
    [anon_sym_AT] = ACTIONS(1320),
    [aux_sym_clone_expression_token1] = ACTIONS(1322),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1322),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1322),
    [anon_sym_DASH_DASH] = ACTIONS(1320),
    [anon_sym_PLUS_PLUS] = ACTIONS(1320),
    [aux_sym__list_destructing_token1] = ACTIONS(1322),
    [anon_sym_LBRACK] = ACTIONS(1320),
    [anon_sym_self] = ACTIONS(1322),
    [anon_sym_parent] = ACTIONS(1322),
    [aux_sym__argument_name_token1] = ACTIONS(1322),
    [aux_sym__argument_name_token2] = ACTIONS(1322),
    [anon_sym_POUND_LBRACK] = ACTIONS(1320),
    [aux_sym_encapsed_string_token1] = ACTIONS(1320),
    [anon_sym_DQUOTE] = ACTIONS(1320),
    [aux_sym_string_token1] = ACTIONS(1320),
    [anon_sym_SQUOTE] = ACTIONS(1320),
    [anon_sym_LT_LT_LT] = ACTIONS(1320),
    [anon_sym_BQUOTE] = ACTIONS(1320),
    [anon_sym_DOLLAR] = ACTIONS(1320),
    [aux_sym_yield_expression_token1] = ACTIONS(1322),
    [aux_sym_include_expression_token1] = ACTIONS(1322),
    [aux_sym_include_once_expression_token1] = ACTIONS(1322),
    [aux_sym_require_expression_token1] = ACTIONS(1322),
    [aux_sym_require_once_expression_token1] = ACTIONS(1322),
    [sym_comment] = ACTIONS(5),
  },
  [521] = {
    [sym_text_interpolation] = STATE(521),
    [ts_builtin_sym_end] = ACTIONS(1033),
    [sym_name] = ACTIONS(1035),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1033),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1035),
    [aux_sym_global_declaration_token1] = ACTIONS(1035),
    [aux_sym_namespace_definition_token1] = ACTIONS(1035),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1035),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1035),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1035),
    [anon_sym_BSLASH] = ACTIONS(1033),
    [anon_sym_LBRACE] = ACTIONS(1033),
    [anon_sym_RBRACE] = ACTIONS(1033),
    [aux_sym_trait_declaration_token1] = ACTIONS(1035),
    [aux_sym_interface_declaration_token1] = ACTIONS(1035),
    [aux_sym_enum_declaration_token1] = ACTIONS(1035),
    [aux_sym_enum_case_token1] = ACTIONS(1035),
    [aux_sym_class_declaration_token1] = ACTIONS(1035),
    [aux_sym_final_modifier_token1] = ACTIONS(1035),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1035),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1035),
    [sym_var_modifier] = ACTIONS(1035),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1035),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1035),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1035),
    [anon_sym_LPAREN2] = ACTIONS(1033),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1035),
    [aux_sym_cast_type_token1] = ACTIONS(1035),
    [aux_sym_echo_statement_token1] = ACTIONS(1035),
    [aux_sym_exit_statement_token1] = ACTIONS(1035),
    [anon_sym_unset] = ACTIONS(1035),
    [aux_sym_declare_statement_token1] = ACTIONS(1035),
    [aux_sym_declare_statement_token2] = ACTIONS(1035),
    [sym_float] = ACTIONS(1035),
    [aux_sym_try_statement_token1] = ACTIONS(1035),
    [aux_sym_goto_statement_token1] = ACTIONS(1035),
    [aux_sym_continue_statement_token1] = ACTIONS(1035),
    [aux_sym_break_statement_token1] = ACTIONS(1035),
    [sym_integer] = ACTIONS(1035),
    [aux_sym_return_statement_token1] = ACTIONS(1035),
    [aux_sym_throw_expression_token1] = ACTIONS(1035),
    [aux_sym_while_statement_token1] = ACTIONS(1035),
    [aux_sym_while_statement_token2] = ACTIONS(1035),
    [aux_sym_do_statement_token1] = ACTIONS(1035),
    [aux_sym_for_statement_token1] = ACTIONS(1035),
    [aux_sym_for_statement_token2] = ACTIONS(1035),
    [aux_sym_foreach_statement_token1] = ACTIONS(1035),
    [aux_sym_foreach_statement_token2] = ACTIONS(1035),
    [aux_sym_if_statement_token1] = ACTIONS(1035),
    [aux_sym_if_statement_token2] = ACTIONS(1035),
    [aux_sym_else_if_clause_token1] = ACTIONS(1035),
    [aux_sym_else_clause_token1] = ACTIONS(1035),
    [aux_sym_match_expression_token1] = ACTIONS(1035),
    [aux_sym_match_default_expression_token1] = ACTIONS(1035),
    [aux_sym_switch_statement_token1] = ACTIONS(1035),
    [aux_sym_switch_block_token1] = ACTIONS(1035),
    [anon_sym_PLUS] = ACTIONS(1035),
    [anon_sym_DASH] = ACTIONS(1035),
    [anon_sym_TILDE] = ACTIONS(1033),
    [anon_sym_BANG] = ACTIONS(1033),
    [anon_sym_AT] = ACTIONS(1033),
    [aux_sym_clone_expression_token1] = ACTIONS(1035),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1035),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1035),
    [anon_sym_DASH_DASH] = ACTIONS(1033),
    [anon_sym_PLUS_PLUS] = ACTIONS(1033),
    [aux_sym__list_destructing_token1] = ACTIONS(1035),
    [anon_sym_LBRACK] = ACTIONS(1033),
    [anon_sym_self] = ACTIONS(1035),
    [anon_sym_parent] = ACTIONS(1035),
    [aux_sym__argument_name_token1] = ACTIONS(1035),
    [aux_sym__argument_name_token2] = ACTIONS(1035),
    [anon_sym_POUND_LBRACK] = ACTIONS(1033),
    [aux_sym_encapsed_string_token1] = ACTIONS(1033),
    [anon_sym_DQUOTE] = ACTIONS(1033),
    [aux_sym_string_token1] = ACTIONS(1033),
    [anon_sym_SQUOTE] = ACTIONS(1033),
    [anon_sym_LT_LT_LT] = ACTIONS(1033),
    [anon_sym_BQUOTE] = ACTIONS(1033),
    [anon_sym_DOLLAR] = ACTIONS(1033),
    [aux_sym_yield_expression_token1] = ACTIONS(1035),
    [aux_sym_include_expression_token1] = ACTIONS(1035),
    [aux_sym_include_once_expression_token1] = ACTIONS(1035),
    [aux_sym_require_expression_token1] = ACTIONS(1035),
    [aux_sym_require_once_expression_token1] = ACTIONS(1035),
    [sym_comment] = ACTIONS(5),
  },
  [522] = {
    [sym_text_interpolation] = STATE(522),
    [ts_builtin_sym_end] = ACTIONS(1324),
    [sym_name] = ACTIONS(1326),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1324),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1326),
    [aux_sym_global_declaration_token1] = ACTIONS(1326),
    [aux_sym_namespace_definition_token1] = ACTIONS(1326),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1326),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1326),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1326),
    [anon_sym_BSLASH] = ACTIONS(1324),
    [anon_sym_LBRACE] = ACTIONS(1324),
    [anon_sym_RBRACE] = ACTIONS(1324),
    [aux_sym_trait_declaration_token1] = ACTIONS(1326),
    [aux_sym_interface_declaration_token1] = ACTIONS(1326),
    [aux_sym_enum_declaration_token1] = ACTIONS(1326),
    [aux_sym_enum_case_token1] = ACTIONS(1326),
    [aux_sym_class_declaration_token1] = ACTIONS(1326),
    [aux_sym_final_modifier_token1] = ACTIONS(1326),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1326),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1326),
    [sym_var_modifier] = ACTIONS(1326),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1326),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1326),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1326),
    [anon_sym_LPAREN2] = ACTIONS(1324),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1326),
    [aux_sym_cast_type_token1] = ACTIONS(1326),
    [aux_sym_echo_statement_token1] = ACTIONS(1326),
    [aux_sym_exit_statement_token1] = ACTIONS(1326),
    [anon_sym_unset] = ACTIONS(1326),
    [aux_sym_declare_statement_token1] = ACTIONS(1326),
    [aux_sym_declare_statement_token2] = ACTIONS(1326),
    [sym_float] = ACTIONS(1326),
    [aux_sym_try_statement_token1] = ACTIONS(1326),
    [aux_sym_goto_statement_token1] = ACTIONS(1326),
    [aux_sym_continue_statement_token1] = ACTIONS(1326),
    [aux_sym_break_statement_token1] = ACTIONS(1326),
    [sym_integer] = ACTIONS(1326),
    [aux_sym_return_statement_token1] = ACTIONS(1326),
    [aux_sym_throw_expression_token1] = ACTIONS(1326),
    [aux_sym_while_statement_token1] = ACTIONS(1326),
    [aux_sym_while_statement_token2] = ACTIONS(1326),
    [aux_sym_do_statement_token1] = ACTIONS(1326),
    [aux_sym_for_statement_token1] = ACTIONS(1326),
    [aux_sym_for_statement_token2] = ACTIONS(1326),
    [aux_sym_foreach_statement_token1] = ACTIONS(1326),
    [aux_sym_foreach_statement_token2] = ACTIONS(1326),
    [aux_sym_if_statement_token1] = ACTIONS(1326),
    [aux_sym_if_statement_token2] = ACTIONS(1326),
    [aux_sym_else_if_clause_token1] = ACTIONS(1326),
    [aux_sym_else_clause_token1] = ACTIONS(1326),
    [aux_sym_match_expression_token1] = ACTIONS(1326),
    [aux_sym_match_default_expression_token1] = ACTIONS(1326),
    [aux_sym_switch_statement_token1] = ACTIONS(1326),
    [aux_sym_switch_block_token1] = ACTIONS(1326),
    [anon_sym_PLUS] = ACTIONS(1326),
    [anon_sym_DASH] = ACTIONS(1326),
    [anon_sym_TILDE] = ACTIONS(1324),
    [anon_sym_BANG] = ACTIONS(1324),
    [anon_sym_AT] = ACTIONS(1324),
    [aux_sym_clone_expression_token1] = ACTIONS(1326),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1326),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1326),
    [anon_sym_DASH_DASH] = ACTIONS(1324),
    [anon_sym_PLUS_PLUS] = ACTIONS(1324),
    [aux_sym__list_destructing_token1] = ACTIONS(1326),
    [anon_sym_LBRACK] = ACTIONS(1324),
    [anon_sym_self] = ACTIONS(1326),
    [anon_sym_parent] = ACTIONS(1326),
    [aux_sym__argument_name_token1] = ACTIONS(1326),
    [aux_sym__argument_name_token2] = ACTIONS(1326),
    [anon_sym_POUND_LBRACK] = ACTIONS(1324),
    [aux_sym_encapsed_string_token1] = ACTIONS(1324),
    [anon_sym_DQUOTE] = ACTIONS(1324),
    [aux_sym_string_token1] = ACTIONS(1324),
    [anon_sym_SQUOTE] = ACTIONS(1324),
    [anon_sym_LT_LT_LT] = ACTIONS(1324),
    [anon_sym_BQUOTE] = ACTIONS(1324),
    [anon_sym_DOLLAR] = ACTIONS(1324),
    [aux_sym_yield_expression_token1] = ACTIONS(1326),
    [aux_sym_include_expression_token1] = ACTIONS(1326),
    [aux_sym_include_once_expression_token1] = ACTIONS(1326),
    [aux_sym_require_expression_token1] = ACTIONS(1326),
    [aux_sym_require_once_expression_token1] = ACTIONS(1326),
    [sym_comment] = ACTIONS(5),
  },
  [523] = {
    [sym_text_interpolation] = STATE(523),
    [ts_builtin_sym_end] = ACTIONS(1328),
    [sym_name] = ACTIONS(1330),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1328),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1330),
    [aux_sym_global_declaration_token1] = ACTIONS(1330),
    [aux_sym_namespace_definition_token1] = ACTIONS(1330),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1330),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1330),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1330),
    [anon_sym_BSLASH] = ACTIONS(1328),
    [anon_sym_LBRACE] = ACTIONS(1328),
    [anon_sym_RBRACE] = ACTIONS(1328),
    [aux_sym_trait_declaration_token1] = ACTIONS(1330),
    [aux_sym_interface_declaration_token1] = ACTIONS(1330),
    [aux_sym_enum_declaration_token1] = ACTIONS(1330),
    [aux_sym_enum_case_token1] = ACTIONS(1330),
    [aux_sym_class_declaration_token1] = ACTIONS(1330),
    [aux_sym_final_modifier_token1] = ACTIONS(1330),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1330),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1330),
    [sym_var_modifier] = ACTIONS(1330),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1330),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1330),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1330),
    [anon_sym_LPAREN2] = ACTIONS(1328),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1330),
    [aux_sym_cast_type_token1] = ACTIONS(1330),
    [aux_sym_echo_statement_token1] = ACTIONS(1330),
    [aux_sym_exit_statement_token1] = ACTIONS(1330),
    [anon_sym_unset] = ACTIONS(1330),
    [aux_sym_declare_statement_token1] = ACTIONS(1330),
    [aux_sym_declare_statement_token2] = ACTIONS(1330),
    [sym_float] = ACTIONS(1330),
    [aux_sym_try_statement_token1] = ACTIONS(1330),
    [aux_sym_goto_statement_token1] = ACTIONS(1330),
    [aux_sym_continue_statement_token1] = ACTIONS(1330),
    [aux_sym_break_statement_token1] = ACTIONS(1330),
    [sym_integer] = ACTIONS(1330),
    [aux_sym_return_statement_token1] = ACTIONS(1330),
    [aux_sym_throw_expression_token1] = ACTIONS(1330),
    [aux_sym_while_statement_token1] = ACTIONS(1330),
    [aux_sym_while_statement_token2] = ACTIONS(1330),
    [aux_sym_do_statement_token1] = ACTIONS(1330),
    [aux_sym_for_statement_token1] = ACTIONS(1330),
    [aux_sym_for_statement_token2] = ACTIONS(1330),
    [aux_sym_foreach_statement_token1] = ACTIONS(1330),
    [aux_sym_foreach_statement_token2] = ACTIONS(1330),
    [aux_sym_if_statement_token1] = ACTIONS(1330),
    [aux_sym_if_statement_token2] = ACTIONS(1330),
    [aux_sym_else_if_clause_token1] = ACTIONS(1330),
    [aux_sym_else_clause_token1] = ACTIONS(1330),
    [aux_sym_match_expression_token1] = ACTIONS(1330),
    [aux_sym_match_default_expression_token1] = ACTIONS(1330),
    [aux_sym_switch_statement_token1] = ACTIONS(1330),
    [aux_sym_switch_block_token1] = ACTIONS(1330),
    [anon_sym_PLUS] = ACTIONS(1330),
    [anon_sym_DASH] = ACTIONS(1330),
    [anon_sym_TILDE] = ACTIONS(1328),
    [anon_sym_BANG] = ACTIONS(1328),
    [anon_sym_AT] = ACTIONS(1328),
    [aux_sym_clone_expression_token1] = ACTIONS(1330),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1330),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1330),
    [anon_sym_DASH_DASH] = ACTIONS(1328),
    [anon_sym_PLUS_PLUS] = ACTIONS(1328),
    [aux_sym__list_destructing_token1] = ACTIONS(1330),
    [anon_sym_LBRACK] = ACTIONS(1328),
    [anon_sym_self] = ACTIONS(1330),
    [anon_sym_parent] = ACTIONS(1330),
    [aux_sym__argument_name_token1] = ACTIONS(1330),
    [aux_sym__argument_name_token2] = ACTIONS(1330),
    [anon_sym_POUND_LBRACK] = ACTIONS(1328),
    [aux_sym_encapsed_string_token1] = ACTIONS(1328),
    [anon_sym_DQUOTE] = ACTIONS(1328),
    [aux_sym_string_token1] = ACTIONS(1328),
    [anon_sym_SQUOTE] = ACTIONS(1328),
    [anon_sym_LT_LT_LT] = ACTIONS(1328),
    [anon_sym_BQUOTE] = ACTIONS(1328),
    [anon_sym_DOLLAR] = ACTIONS(1328),
    [aux_sym_yield_expression_token1] = ACTIONS(1330),
    [aux_sym_include_expression_token1] = ACTIONS(1330),
    [aux_sym_include_once_expression_token1] = ACTIONS(1330),
    [aux_sym_require_expression_token1] = ACTIONS(1330),
    [aux_sym_require_once_expression_token1] = ACTIONS(1330),
    [sym_comment] = ACTIONS(5),
  },
  [524] = {
    [sym_text_interpolation] = STATE(524),
    [ts_builtin_sym_end] = ACTIONS(1332),
    [sym_name] = ACTIONS(1334),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1332),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1334),
    [aux_sym_global_declaration_token1] = ACTIONS(1334),
    [aux_sym_namespace_definition_token1] = ACTIONS(1334),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1334),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1334),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1334),
    [anon_sym_BSLASH] = ACTIONS(1332),
    [anon_sym_LBRACE] = ACTIONS(1332),
    [anon_sym_RBRACE] = ACTIONS(1332),
    [aux_sym_trait_declaration_token1] = ACTIONS(1334),
    [aux_sym_interface_declaration_token1] = ACTIONS(1334),
    [aux_sym_enum_declaration_token1] = ACTIONS(1334),
    [aux_sym_enum_case_token1] = ACTIONS(1334),
    [aux_sym_class_declaration_token1] = ACTIONS(1334),
    [aux_sym_final_modifier_token1] = ACTIONS(1334),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1334),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1334),
    [sym_var_modifier] = ACTIONS(1334),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1334),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1334),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1334),
    [anon_sym_LPAREN2] = ACTIONS(1332),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1334),
    [aux_sym_cast_type_token1] = ACTIONS(1334),
    [aux_sym_echo_statement_token1] = ACTIONS(1334),
    [aux_sym_exit_statement_token1] = ACTIONS(1334),
    [anon_sym_unset] = ACTIONS(1334),
    [aux_sym_declare_statement_token1] = ACTIONS(1334),
    [aux_sym_declare_statement_token2] = ACTIONS(1334),
    [sym_float] = ACTIONS(1334),
    [aux_sym_try_statement_token1] = ACTIONS(1334),
    [aux_sym_goto_statement_token1] = ACTIONS(1334),
    [aux_sym_continue_statement_token1] = ACTIONS(1334),
    [aux_sym_break_statement_token1] = ACTIONS(1334),
    [sym_integer] = ACTIONS(1334),
    [aux_sym_return_statement_token1] = ACTIONS(1334),
    [aux_sym_throw_expression_token1] = ACTIONS(1334),
    [aux_sym_while_statement_token1] = ACTIONS(1334),
    [aux_sym_while_statement_token2] = ACTIONS(1334),
    [aux_sym_do_statement_token1] = ACTIONS(1334),
    [aux_sym_for_statement_token1] = ACTIONS(1334),
    [aux_sym_for_statement_token2] = ACTIONS(1334),
    [aux_sym_foreach_statement_token1] = ACTIONS(1334),
    [aux_sym_foreach_statement_token2] = ACTIONS(1334),
    [aux_sym_if_statement_token1] = ACTIONS(1334),
    [aux_sym_if_statement_token2] = ACTIONS(1334),
    [aux_sym_else_if_clause_token1] = ACTIONS(1334),
    [aux_sym_else_clause_token1] = ACTIONS(1334),
    [aux_sym_match_expression_token1] = ACTIONS(1334),
    [aux_sym_match_default_expression_token1] = ACTIONS(1334),
    [aux_sym_switch_statement_token1] = ACTIONS(1334),
    [aux_sym_switch_block_token1] = ACTIONS(1334),
    [anon_sym_PLUS] = ACTIONS(1334),
    [anon_sym_DASH] = ACTIONS(1334),
    [anon_sym_TILDE] = ACTIONS(1332),
    [anon_sym_BANG] = ACTIONS(1332),
    [anon_sym_AT] = ACTIONS(1332),
    [aux_sym_clone_expression_token1] = ACTIONS(1334),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1334),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1334),
    [anon_sym_DASH_DASH] = ACTIONS(1332),
    [anon_sym_PLUS_PLUS] = ACTIONS(1332),
    [aux_sym__list_destructing_token1] = ACTIONS(1334),
    [anon_sym_LBRACK] = ACTIONS(1332),
    [anon_sym_self] = ACTIONS(1334),
    [anon_sym_parent] = ACTIONS(1334),
    [aux_sym__argument_name_token1] = ACTIONS(1334),
    [aux_sym__argument_name_token2] = ACTIONS(1334),
    [anon_sym_POUND_LBRACK] = ACTIONS(1332),
    [aux_sym_encapsed_string_token1] = ACTIONS(1332),
    [anon_sym_DQUOTE] = ACTIONS(1332),
    [aux_sym_string_token1] = ACTIONS(1332),
    [anon_sym_SQUOTE] = ACTIONS(1332),
    [anon_sym_LT_LT_LT] = ACTIONS(1332),
    [anon_sym_BQUOTE] = ACTIONS(1332),
    [anon_sym_DOLLAR] = ACTIONS(1332),
    [aux_sym_yield_expression_token1] = ACTIONS(1334),
    [aux_sym_include_expression_token1] = ACTIONS(1334),
    [aux_sym_include_once_expression_token1] = ACTIONS(1334),
    [aux_sym_require_expression_token1] = ACTIONS(1334),
    [aux_sym_require_once_expression_token1] = ACTIONS(1334),
    [sym_comment] = ACTIONS(5),
  },
  [525] = {
    [sym_text_interpolation] = STATE(525),
    [ts_builtin_sym_end] = ACTIONS(1336),
    [sym_name] = ACTIONS(1338),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1336),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1338),
    [aux_sym_global_declaration_token1] = ACTIONS(1338),
    [aux_sym_namespace_definition_token1] = ACTIONS(1338),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1338),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1338),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1338),
    [anon_sym_BSLASH] = ACTIONS(1336),
    [anon_sym_LBRACE] = ACTIONS(1336),
    [anon_sym_RBRACE] = ACTIONS(1336),
    [aux_sym_trait_declaration_token1] = ACTIONS(1338),
    [aux_sym_interface_declaration_token1] = ACTIONS(1338),
    [aux_sym_enum_declaration_token1] = ACTIONS(1338),
    [aux_sym_enum_case_token1] = ACTIONS(1338),
    [aux_sym_class_declaration_token1] = ACTIONS(1338),
    [aux_sym_final_modifier_token1] = ACTIONS(1338),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1338),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1338),
    [sym_var_modifier] = ACTIONS(1338),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1338),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1338),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1338),
    [anon_sym_LPAREN2] = ACTIONS(1336),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1338),
    [aux_sym_cast_type_token1] = ACTIONS(1338),
    [aux_sym_echo_statement_token1] = ACTIONS(1338),
    [aux_sym_exit_statement_token1] = ACTIONS(1338),
    [anon_sym_unset] = ACTIONS(1338),
    [aux_sym_declare_statement_token1] = ACTIONS(1338),
    [aux_sym_declare_statement_token2] = ACTIONS(1338),
    [sym_float] = ACTIONS(1338),
    [aux_sym_try_statement_token1] = ACTIONS(1338),
    [aux_sym_goto_statement_token1] = ACTIONS(1338),
    [aux_sym_continue_statement_token1] = ACTIONS(1338),
    [aux_sym_break_statement_token1] = ACTIONS(1338),
    [sym_integer] = ACTIONS(1338),
    [aux_sym_return_statement_token1] = ACTIONS(1338),
    [aux_sym_throw_expression_token1] = ACTIONS(1338),
    [aux_sym_while_statement_token1] = ACTIONS(1338),
    [aux_sym_while_statement_token2] = ACTIONS(1338),
    [aux_sym_do_statement_token1] = ACTIONS(1338),
    [aux_sym_for_statement_token1] = ACTIONS(1338),
    [aux_sym_for_statement_token2] = ACTIONS(1338),
    [aux_sym_foreach_statement_token1] = ACTIONS(1338),
    [aux_sym_foreach_statement_token2] = ACTIONS(1338),
    [aux_sym_if_statement_token1] = ACTIONS(1338),
    [aux_sym_if_statement_token2] = ACTIONS(1338),
    [aux_sym_else_if_clause_token1] = ACTIONS(1338),
    [aux_sym_else_clause_token1] = ACTIONS(1338),
    [aux_sym_match_expression_token1] = ACTIONS(1338),
    [aux_sym_match_default_expression_token1] = ACTIONS(1338),
    [aux_sym_switch_statement_token1] = ACTIONS(1338),
    [aux_sym_switch_block_token1] = ACTIONS(1338),
    [anon_sym_PLUS] = ACTIONS(1338),
    [anon_sym_DASH] = ACTIONS(1338),
    [anon_sym_TILDE] = ACTIONS(1336),
    [anon_sym_BANG] = ACTIONS(1336),
    [anon_sym_AT] = ACTIONS(1336),
    [aux_sym_clone_expression_token1] = ACTIONS(1338),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1338),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1338),
    [anon_sym_DASH_DASH] = ACTIONS(1336),
    [anon_sym_PLUS_PLUS] = ACTIONS(1336),
    [aux_sym__list_destructing_token1] = ACTIONS(1338),
    [anon_sym_LBRACK] = ACTIONS(1336),
    [anon_sym_self] = ACTIONS(1338),
    [anon_sym_parent] = ACTIONS(1338),
    [aux_sym__argument_name_token1] = ACTIONS(1338),
    [aux_sym__argument_name_token2] = ACTIONS(1338),
    [anon_sym_POUND_LBRACK] = ACTIONS(1336),
    [aux_sym_encapsed_string_token1] = ACTIONS(1336),
    [anon_sym_DQUOTE] = ACTIONS(1336),
    [aux_sym_string_token1] = ACTIONS(1336),
    [anon_sym_SQUOTE] = ACTIONS(1336),
    [anon_sym_LT_LT_LT] = ACTIONS(1336),
    [anon_sym_BQUOTE] = ACTIONS(1336),
    [anon_sym_DOLLAR] = ACTIONS(1336),
    [aux_sym_yield_expression_token1] = ACTIONS(1338),
    [aux_sym_include_expression_token1] = ACTIONS(1338),
    [aux_sym_include_once_expression_token1] = ACTIONS(1338),
    [aux_sym_require_expression_token1] = ACTIONS(1338),
    [aux_sym_require_once_expression_token1] = ACTIONS(1338),
    [sym_comment] = ACTIONS(5),
  },
  [526] = {
    [sym_text_interpolation] = STATE(526),
    [ts_builtin_sym_end] = ACTIONS(1340),
    [sym_name] = ACTIONS(1342),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1340),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1342),
    [aux_sym_global_declaration_token1] = ACTIONS(1342),
    [aux_sym_namespace_definition_token1] = ACTIONS(1342),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1342),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1342),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1342),
    [anon_sym_BSLASH] = ACTIONS(1340),
    [anon_sym_LBRACE] = ACTIONS(1340),
    [anon_sym_RBRACE] = ACTIONS(1340),
    [aux_sym_trait_declaration_token1] = ACTIONS(1342),
    [aux_sym_interface_declaration_token1] = ACTIONS(1342),
    [aux_sym_enum_declaration_token1] = ACTIONS(1342),
    [aux_sym_enum_case_token1] = ACTIONS(1342),
    [aux_sym_class_declaration_token1] = ACTIONS(1342),
    [aux_sym_final_modifier_token1] = ACTIONS(1342),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1342),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1342),
    [sym_var_modifier] = ACTIONS(1342),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1342),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1342),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1342),
    [anon_sym_LPAREN2] = ACTIONS(1340),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1342),
    [aux_sym_cast_type_token1] = ACTIONS(1342),
    [aux_sym_echo_statement_token1] = ACTIONS(1342),
    [aux_sym_exit_statement_token1] = ACTIONS(1342),
    [anon_sym_unset] = ACTIONS(1342),
    [aux_sym_declare_statement_token1] = ACTIONS(1342),
    [aux_sym_declare_statement_token2] = ACTIONS(1342),
    [sym_float] = ACTIONS(1342),
    [aux_sym_try_statement_token1] = ACTIONS(1342),
    [aux_sym_goto_statement_token1] = ACTIONS(1342),
    [aux_sym_continue_statement_token1] = ACTIONS(1342),
    [aux_sym_break_statement_token1] = ACTIONS(1342),
    [sym_integer] = ACTIONS(1342),
    [aux_sym_return_statement_token1] = ACTIONS(1342),
    [aux_sym_throw_expression_token1] = ACTIONS(1342),
    [aux_sym_while_statement_token1] = ACTIONS(1342),
    [aux_sym_while_statement_token2] = ACTIONS(1342),
    [aux_sym_do_statement_token1] = ACTIONS(1342),
    [aux_sym_for_statement_token1] = ACTIONS(1342),
    [aux_sym_for_statement_token2] = ACTIONS(1342),
    [aux_sym_foreach_statement_token1] = ACTIONS(1342),
    [aux_sym_foreach_statement_token2] = ACTIONS(1342),
    [aux_sym_if_statement_token1] = ACTIONS(1342),
    [aux_sym_if_statement_token2] = ACTIONS(1342),
    [aux_sym_else_if_clause_token1] = ACTIONS(1342),
    [aux_sym_else_clause_token1] = ACTIONS(1342),
    [aux_sym_match_expression_token1] = ACTIONS(1342),
    [aux_sym_match_default_expression_token1] = ACTIONS(1342),
    [aux_sym_switch_statement_token1] = ACTIONS(1342),
    [aux_sym_switch_block_token1] = ACTIONS(1342),
    [anon_sym_PLUS] = ACTIONS(1342),
    [anon_sym_DASH] = ACTIONS(1342),
    [anon_sym_TILDE] = ACTIONS(1340),
    [anon_sym_BANG] = ACTIONS(1340),
    [anon_sym_AT] = ACTIONS(1340),
    [aux_sym_clone_expression_token1] = ACTIONS(1342),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1342),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1342),
    [anon_sym_DASH_DASH] = ACTIONS(1340),
    [anon_sym_PLUS_PLUS] = ACTIONS(1340),
    [aux_sym__list_destructing_token1] = ACTIONS(1342),
    [anon_sym_LBRACK] = ACTIONS(1340),
    [anon_sym_self] = ACTIONS(1342),
    [anon_sym_parent] = ACTIONS(1342),
    [aux_sym__argument_name_token1] = ACTIONS(1342),
    [aux_sym__argument_name_token2] = ACTIONS(1342),
    [anon_sym_POUND_LBRACK] = ACTIONS(1340),
    [aux_sym_encapsed_string_token1] = ACTIONS(1340),
    [anon_sym_DQUOTE] = ACTIONS(1340),
    [aux_sym_string_token1] = ACTIONS(1340),
    [anon_sym_SQUOTE] = ACTIONS(1340),
    [anon_sym_LT_LT_LT] = ACTIONS(1340),
    [anon_sym_BQUOTE] = ACTIONS(1340),
    [anon_sym_DOLLAR] = ACTIONS(1340),
    [aux_sym_yield_expression_token1] = ACTIONS(1342),
    [aux_sym_include_expression_token1] = ACTIONS(1342),
    [aux_sym_include_once_expression_token1] = ACTIONS(1342),
    [aux_sym_require_expression_token1] = ACTIONS(1342),
    [aux_sym_require_once_expression_token1] = ACTIONS(1342),
    [sym_comment] = ACTIONS(5),
  },
  [527] = {
    [sym_text_interpolation] = STATE(527),
    [ts_builtin_sym_end] = ACTIONS(1344),
    [sym_name] = ACTIONS(1346),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1344),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1346),
    [aux_sym_global_declaration_token1] = ACTIONS(1346),
    [aux_sym_namespace_definition_token1] = ACTIONS(1346),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1346),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1346),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1346),
    [anon_sym_BSLASH] = ACTIONS(1344),
    [anon_sym_LBRACE] = ACTIONS(1344),
    [anon_sym_RBRACE] = ACTIONS(1344),
    [aux_sym_trait_declaration_token1] = ACTIONS(1346),
    [aux_sym_interface_declaration_token1] = ACTIONS(1346),
    [aux_sym_enum_declaration_token1] = ACTIONS(1346),
    [aux_sym_enum_case_token1] = ACTIONS(1346),
    [aux_sym_class_declaration_token1] = ACTIONS(1346),
    [aux_sym_final_modifier_token1] = ACTIONS(1346),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1346),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1346),
    [sym_var_modifier] = ACTIONS(1346),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1346),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1346),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1346),
    [anon_sym_LPAREN2] = ACTIONS(1344),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1346),
    [aux_sym_cast_type_token1] = ACTIONS(1346),
    [aux_sym_echo_statement_token1] = ACTIONS(1346),
    [aux_sym_exit_statement_token1] = ACTIONS(1346),
    [anon_sym_unset] = ACTIONS(1346),
    [aux_sym_declare_statement_token1] = ACTIONS(1346),
    [aux_sym_declare_statement_token2] = ACTIONS(1346),
    [sym_float] = ACTIONS(1346),
    [aux_sym_try_statement_token1] = ACTIONS(1346),
    [aux_sym_goto_statement_token1] = ACTIONS(1346),
    [aux_sym_continue_statement_token1] = ACTIONS(1346),
    [aux_sym_break_statement_token1] = ACTIONS(1346),
    [sym_integer] = ACTIONS(1346),
    [aux_sym_return_statement_token1] = ACTIONS(1346),
    [aux_sym_throw_expression_token1] = ACTIONS(1346),
    [aux_sym_while_statement_token1] = ACTIONS(1346),
    [aux_sym_while_statement_token2] = ACTIONS(1346),
    [aux_sym_do_statement_token1] = ACTIONS(1346),
    [aux_sym_for_statement_token1] = ACTIONS(1346),
    [aux_sym_for_statement_token2] = ACTIONS(1346),
    [aux_sym_foreach_statement_token1] = ACTIONS(1346),
    [aux_sym_foreach_statement_token2] = ACTIONS(1346),
    [aux_sym_if_statement_token1] = ACTIONS(1346),
    [aux_sym_if_statement_token2] = ACTIONS(1346),
    [aux_sym_else_if_clause_token1] = ACTIONS(1346),
    [aux_sym_else_clause_token1] = ACTIONS(1346),
    [aux_sym_match_expression_token1] = ACTIONS(1346),
    [aux_sym_match_default_expression_token1] = ACTIONS(1346),
    [aux_sym_switch_statement_token1] = ACTIONS(1346),
    [aux_sym_switch_block_token1] = ACTIONS(1346),
    [anon_sym_PLUS] = ACTIONS(1346),
    [anon_sym_DASH] = ACTIONS(1346),
    [anon_sym_TILDE] = ACTIONS(1344),
    [anon_sym_BANG] = ACTIONS(1344),
    [anon_sym_AT] = ACTIONS(1344),
    [aux_sym_clone_expression_token1] = ACTIONS(1346),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1346),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1346),
    [anon_sym_DASH_DASH] = ACTIONS(1344),
    [anon_sym_PLUS_PLUS] = ACTIONS(1344),
    [aux_sym__list_destructing_token1] = ACTIONS(1346),
    [anon_sym_LBRACK] = ACTIONS(1344),
    [anon_sym_self] = ACTIONS(1346),
    [anon_sym_parent] = ACTIONS(1346),
    [aux_sym__argument_name_token1] = ACTIONS(1346),
    [aux_sym__argument_name_token2] = ACTIONS(1346),
    [anon_sym_POUND_LBRACK] = ACTIONS(1344),
    [aux_sym_encapsed_string_token1] = ACTIONS(1344),
    [anon_sym_DQUOTE] = ACTIONS(1344),
    [aux_sym_string_token1] = ACTIONS(1344),
    [anon_sym_SQUOTE] = ACTIONS(1344),
    [anon_sym_LT_LT_LT] = ACTIONS(1344),
    [anon_sym_BQUOTE] = ACTIONS(1344),
    [anon_sym_DOLLAR] = ACTIONS(1344),
    [aux_sym_yield_expression_token1] = ACTIONS(1346),
    [aux_sym_include_expression_token1] = ACTIONS(1346),
    [aux_sym_include_once_expression_token1] = ACTIONS(1346),
    [aux_sym_require_expression_token1] = ACTIONS(1346),
    [aux_sym_require_once_expression_token1] = ACTIONS(1346),
    [sym_comment] = ACTIONS(5),
  },
  [528] = {
    [sym_text_interpolation] = STATE(528),
    [ts_builtin_sym_end] = ACTIONS(1348),
    [sym_name] = ACTIONS(1350),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1348),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1350),
    [aux_sym_global_declaration_token1] = ACTIONS(1350),
    [aux_sym_namespace_definition_token1] = ACTIONS(1350),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1350),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1350),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1350),
    [anon_sym_BSLASH] = ACTIONS(1348),
    [anon_sym_LBRACE] = ACTIONS(1348),
    [anon_sym_RBRACE] = ACTIONS(1348),
    [aux_sym_trait_declaration_token1] = ACTIONS(1350),
    [aux_sym_interface_declaration_token1] = ACTIONS(1350),
    [aux_sym_enum_declaration_token1] = ACTIONS(1350),
    [aux_sym_enum_case_token1] = ACTIONS(1350),
    [aux_sym_class_declaration_token1] = ACTIONS(1350),
    [aux_sym_final_modifier_token1] = ACTIONS(1350),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1350),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1350),
    [sym_var_modifier] = ACTIONS(1350),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1350),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1350),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1350),
    [anon_sym_LPAREN2] = ACTIONS(1348),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1350),
    [aux_sym_cast_type_token1] = ACTIONS(1350),
    [aux_sym_echo_statement_token1] = ACTIONS(1350),
    [aux_sym_exit_statement_token1] = ACTIONS(1350),
    [anon_sym_unset] = ACTIONS(1350),
    [aux_sym_declare_statement_token1] = ACTIONS(1350),
    [aux_sym_declare_statement_token2] = ACTIONS(1350),
    [sym_float] = ACTIONS(1350),
    [aux_sym_try_statement_token1] = ACTIONS(1350),
    [aux_sym_goto_statement_token1] = ACTIONS(1350),
    [aux_sym_continue_statement_token1] = ACTIONS(1350),
    [aux_sym_break_statement_token1] = ACTIONS(1350),
    [sym_integer] = ACTIONS(1350),
    [aux_sym_return_statement_token1] = ACTIONS(1350),
    [aux_sym_throw_expression_token1] = ACTIONS(1350),
    [aux_sym_while_statement_token1] = ACTIONS(1350),
    [aux_sym_while_statement_token2] = ACTIONS(1350),
    [aux_sym_do_statement_token1] = ACTIONS(1350),
    [aux_sym_for_statement_token1] = ACTIONS(1350),
    [aux_sym_for_statement_token2] = ACTIONS(1350),
    [aux_sym_foreach_statement_token1] = ACTIONS(1350),
    [aux_sym_foreach_statement_token2] = ACTIONS(1350),
    [aux_sym_if_statement_token1] = ACTIONS(1350),
    [aux_sym_if_statement_token2] = ACTIONS(1350),
    [aux_sym_else_if_clause_token1] = ACTIONS(1350),
    [aux_sym_else_clause_token1] = ACTIONS(1350),
    [aux_sym_match_expression_token1] = ACTIONS(1350),
    [aux_sym_match_default_expression_token1] = ACTIONS(1350),
    [aux_sym_switch_statement_token1] = ACTIONS(1350),
    [aux_sym_switch_block_token1] = ACTIONS(1350),
    [anon_sym_PLUS] = ACTIONS(1350),
    [anon_sym_DASH] = ACTIONS(1350),
    [anon_sym_TILDE] = ACTIONS(1348),
    [anon_sym_BANG] = ACTIONS(1348),
    [anon_sym_AT] = ACTIONS(1348),
    [aux_sym_clone_expression_token1] = ACTIONS(1350),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1350),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1350),
    [anon_sym_DASH_DASH] = ACTIONS(1348),
    [anon_sym_PLUS_PLUS] = ACTIONS(1348),
    [aux_sym__list_destructing_token1] = ACTIONS(1350),
    [anon_sym_LBRACK] = ACTIONS(1348),
    [anon_sym_self] = ACTIONS(1350),
    [anon_sym_parent] = ACTIONS(1350),
    [aux_sym__argument_name_token1] = ACTIONS(1350),
    [aux_sym__argument_name_token2] = ACTIONS(1350),
    [anon_sym_POUND_LBRACK] = ACTIONS(1348),
    [aux_sym_encapsed_string_token1] = ACTIONS(1348),
    [anon_sym_DQUOTE] = ACTIONS(1348),
    [aux_sym_string_token1] = ACTIONS(1348),
    [anon_sym_SQUOTE] = ACTIONS(1348),
    [anon_sym_LT_LT_LT] = ACTIONS(1348),
    [anon_sym_BQUOTE] = ACTIONS(1348),
    [anon_sym_DOLLAR] = ACTIONS(1348),
    [aux_sym_yield_expression_token1] = ACTIONS(1350),
    [aux_sym_include_expression_token1] = ACTIONS(1350),
    [aux_sym_include_once_expression_token1] = ACTIONS(1350),
    [aux_sym_require_expression_token1] = ACTIONS(1350),
    [aux_sym_require_once_expression_token1] = ACTIONS(1350),
    [sym_comment] = ACTIONS(5),
  },
  [529] = {
    [sym_text_interpolation] = STATE(529),
    [ts_builtin_sym_end] = ACTIONS(1352),
    [sym_name] = ACTIONS(1354),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1352),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1354),
    [aux_sym_global_declaration_token1] = ACTIONS(1354),
    [aux_sym_namespace_definition_token1] = ACTIONS(1354),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1354),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1354),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1354),
    [anon_sym_BSLASH] = ACTIONS(1352),
    [anon_sym_LBRACE] = ACTIONS(1352),
    [anon_sym_RBRACE] = ACTIONS(1352),
    [aux_sym_trait_declaration_token1] = ACTIONS(1354),
    [aux_sym_interface_declaration_token1] = ACTIONS(1354),
    [aux_sym_enum_declaration_token1] = ACTIONS(1354),
    [aux_sym_enum_case_token1] = ACTIONS(1354),
    [aux_sym_class_declaration_token1] = ACTIONS(1354),
    [aux_sym_final_modifier_token1] = ACTIONS(1354),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1354),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1354),
    [sym_var_modifier] = ACTIONS(1354),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1354),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1354),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1354),
    [anon_sym_LPAREN2] = ACTIONS(1352),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1354),
    [aux_sym_cast_type_token1] = ACTIONS(1354),
    [aux_sym_echo_statement_token1] = ACTIONS(1354),
    [aux_sym_exit_statement_token1] = ACTIONS(1354),
    [anon_sym_unset] = ACTIONS(1354),
    [aux_sym_declare_statement_token1] = ACTIONS(1354),
    [aux_sym_declare_statement_token2] = ACTIONS(1354),
    [sym_float] = ACTIONS(1354),
    [aux_sym_try_statement_token1] = ACTIONS(1354),
    [aux_sym_goto_statement_token1] = ACTIONS(1354),
    [aux_sym_continue_statement_token1] = ACTIONS(1354),
    [aux_sym_break_statement_token1] = ACTIONS(1354),
    [sym_integer] = ACTIONS(1354),
    [aux_sym_return_statement_token1] = ACTIONS(1354),
    [aux_sym_throw_expression_token1] = ACTIONS(1354),
    [aux_sym_while_statement_token1] = ACTIONS(1354),
    [aux_sym_while_statement_token2] = ACTIONS(1354),
    [aux_sym_do_statement_token1] = ACTIONS(1354),
    [aux_sym_for_statement_token1] = ACTIONS(1354),
    [aux_sym_for_statement_token2] = ACTIONS(1354),
    [aux_sym_foreach_statement_token1] = ACTIONS(1354),
    [aux_sym_foreach_statement_token2] = ACTIONS(1354),
    [aux_sym_if_statement_token1] = ACTIONS(1354),
    [aux_sym_if_statement_token2] = ACTIONS(1354),
    [aux_sym_else_if_clause_token1] = ACTIONS(1354),
    [aux_sym_else_clause_token1] = ACTIONS(1354),
    [aux_sym_match_expression_token1] = ACTIONS(1354),
    [aux_sym_match_default_expression_token1] = ACTIONS(1354),
    [aux_sym_switch_statement_token1] = ACTIONS(1354),
    [aux_sym_switch_block_token1] = ACTIONS(1354),
    [anon_sym_PLUS] = ACTIONS(1354),
    [anon_sym_DASH] = ACTIONS(1354),
    [anon_sym_TILDE] = ACTIONS(1352),
    [anon_sym_BANG] = ACTIONS(1352),
    [anon_sym_AT] = ACTIONS(1352),
    [aux_sym_clone_expression_token1] = ACTIONS(1354),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1354),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1354),
    [anon_sym_DASH_DASH] = ACTIONS(1352),
    [anon_sym_PLUS_PLUS] = ACTIONS(1352),
    [aux_sym__list_destructing_token1] = ACTIONS(1354),
    [anon_sym_LBRACK] = ACTIONS(1352),
    [anon_sym_self] = ACTIONS(1354),
    [anon_sym_parent] = ACTIONS(1354),
    [aux_sym__argument_name_token1] = ACTIONS(1354),
    [aux_sym__argument_name_token2] = ACTIONS(1354),
    [anon_sym_POUND_LBRACK] = ACTIONS(1352),
    [aux_sym_encapsed_string_token1] = ACTIONS(1352),
    [anon_sym_DQUOTE] = ACTIONS(1352),
    [aux_sym_string_token1] = ACTIONS(1352),
    [anon_sym_SQUOTE] = ACTIONS(1352),
    [anon_sym_LT_LT_LT] = ACTIONS(1352),
    [anon_sym_BQUOTE] = ACTIONS(1352),
    [anon_sym_DOLLAR] = ACTIONS(1352),
    [aux_sym_yield_expression_token1] = ACTIONS(1354),
    [aux_sym_include_expression_token1] = ACTIONS(1354),
    [aux_sym_include_once_expression_token1] = ACTIONS(1354),
    [aux_sym_require_expression_token1] = ACTIONS(1354),
    [aux_sym_require_once_expression_token1] = ACTIONS(1354),
    [sym_comment] = ACTIONS(5),
  },
  [530] = {
    [sym_text_interpolation] = STATE(530),
    [ts_builtin_sym_end] = ACTIONS(1356),
    [sym_name] = ACTIONS(1358),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1356),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1358),
    [aux_sym_global_declaration_token1] = ACTIONS(1358),
    [aux_sym_namespace_definition_token1] = ACTIONS(1358),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1358),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1358),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1358),
    [anon_sym_BSLASH] = ACTIONS(1356),
    [anon_sym_LBRACE] = ACTIONS(1356),
    [anon_sym_RBRACE] = ACTIONS(1356),
    [aux_sym_trait_declaration_token1] = ACTIONS(1358),
    [aux_sym_interface_declaration_token1] = ACTIONS(1358),
    [aux_sym_enum_declaration_token1] = ACTIONS(1358),
    [aux_sym_enum_case_token1] = ACTIONS(1358),
    [aux_sym_class_declaration_token1] = ACTIONS(1358),
    [aux_sym_final_modifier_token1] = ACTIONS(1358),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1358),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1358),
    [sym_var_modifier] = ACTIONS(1358),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1358),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1358),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1358),
    [anon_sym_LPAREN2] = ACTIONS(1356),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1358),
    [aux_sym_cast_type_token1] = ACTIONS(1358),
    [aux_sym_echo_statement_token1] = ACTIONS(1358),
    [aux_sym_exit_statement_token1] = ACTIONS(1358),
    [anon_sym_unset] = ACTIONS(1358),
    [aux_sym_declare_statement_token1] = ACTIONS(1358),
    [aux_sym_declare_statement_token2] = ACTIONS(1358),
    [sym_float] = ACTIONS(1358),
    [aux_sym_try_statement_token1] = ACTIONS(1358),
    [aux_sym_goto_statement_token1] = ACTIONS(1358),
    [aux_sym_continue_statement_token1] = ACTIONS(1358),
    [aux_sym_break_statement_token1] = ACTIONS(1358),
    [sym_integer] = ACTIONS(1358),
    [aux_sym_return_statement_token1] = ACTIONS(1358),
    [aux_sym_throw_expression_token1] = ACTIONS(1358),
    [aux_sym_while_statement_token1] = ACTIONS(1358),
    [aux_sym_while_statement_token2] = ACTIONS(1358),
    [aux_sym_do_statement_token1] = ACTIONS(1358),
    [aux_sym_for_statement_token1] = ACTIONS(1358),
    [aux_sym_for_statement_token2] = ACTIONS(1358),
    [aux_sym_foreach_statement_token1] = ACTIONS(1358),
    [aux_sym_foreach_statement_token2] = ACTIONS(1358),
    [aux_sym_if_statement_token1] = ACTIONS(1358),
    [aux_sym_if_statement_token2] = ACTIONS(1358),
    [aux_sym_else_if_clause_token1] = ACTIONS(1358),
    [aux_sym_else_clause_token1] = ACTIONS(1358),
    [aux_sym_match_expression_token1] = ACTIONS(1358),
    [aux_sym_match_default_expression_token1] = ACTIONS(1358),
    [aux_sym_switch_statement_token1] = ACTIONS(1358),
    [aux_sym_switch_block_token1] = ACTIONS(1358),
    [anon_sym_PLUS] = ACTIONS(1358),
    [anon_sym_DASH] = ACTIONS(1358),
    [anon_sym_TILDE] = ACTIONS(1356),
    [anon_sym_BANG] = ACTIONS(1356),
    [anon_sym_AT] = ACTIONS(1356),
    [aux_sym_clone_expression_token1] = ACTIONS(1358),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1358),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1358),
    [anon_sym_DASH_DASH] = ACTIONS(1356),
    [anon_sym_PLUS_PLUS] = ACTIONS(1356),
    [aux_sym__list_destructing_token1] = ACTIONS(1358),
    [anon_sym_LBRACK] = ACTIONS(1356),
    [anon_sym_self] = ACTIONS(1358),
    [anon_sym_parent] = ACTIONS(1358),
    [aux_sym__argument_name_token1] = ACTIONS(1358),
    [aux_sym__argument_name_token2] = ACTIONS(1358),
    [anon_sym_POUND_LBRACK] = ACTIONS(1356),
    [aux_sym_encapsed_string_token1] = ACTIONS(1356),
    [anon_sym_DQUOTE] = ACTIONS(1356),
    [aux_sym_string_token1] = ACTIONS(1356),
    [anon_sym_SQUOTE] = ACTIONS(1356),
    [anon_sym_LT_LT_LT] = ACTIONS(1356),
    [anon_sym_BQUOTE] = ACTIONS(1356),
    [anon_sym_DOLLAR] = ACTIONS(1356),
    [aux_sym_yield_expression_token1] = ACTIONS(1358),
    [aux_sym_include_expression_token1] = ACTIONS(1358),
    [aux_sym_include_once_expression_token1] = ACTIONS(1358),
    [aux_sym_require_expression_token1] = ACTIONS(1358),
    [aux_sym_require_once_expression_token1] = ACTIONS(1358),
    [sym_comment] = ACTIONS(5),
  },
  [531] = {
    [sym_text_interpolation] = STATE(531),
    [ts_builtin_sym_end] = ACTIONS(1360),
    [sym_name] = ACTIONS(1362),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1360),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1362),
    [aux_sym_global_declaration_token1] = ACTIONS(1362),
    [aux_sym_namespace_definition_token1] = ACTIONS(1362),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1362),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1362),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1362),
    [anon_sym_BSLASH] = ACTIONS(1360),
    [anon_sym_LBRACE] = ACTIONS(1360),
    [anon_sym_RBRACE] = ACTIONS(1360),
    [aux_sym_trait_declaration_token1] = ACTIONS(1362),
    [aux_sym_interface_declaration_token1] = ACTIONS(1362),
    [aux_sym_enum_declaration_token1] = ACTIONS(1362),
    [aux_sym_enum_case_token1] = ACTIONS(1362),
    [aux_sym_class_declaration_token1] = ACTIONS(1362),
    [aux_sym_final_modifier_token1] = ACTIONS(1362),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1362),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1362),
    [sym_var_modifier] = ACTIONS(1362),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1362),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1362),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1362),
    [anon_sym_LPAREN2] = ACTIONS(1360),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1362),
    [aux_sym_cast_type_token1] = ACTIONS(1362),
    [aux_sym_echo_statement_token1] = ACTIONS(1362),
    [aux_sym_exit_statement_token1] = ACTIONS(1362),
    [anon_sym_unset] = ACTIONS(1362),
    [aux_sym_declare_statement_token1] = ACTIONS(1362),
    [aux_sym_declare_statement_token2] = ACTIONS(1362),
    [sym_float] = ACTIONS(1362),
    [aux_sym_try_statement_token1] = ACTIONS(1362),
    [aux_sym_goto_statement_token1] = ACTIONS(1362),
    [aux_sym_continue_statement_token1] = ACTIONS(1362),
    [aux_sym_break_statement_token1] = ACTIONS(1362),
    [sym_integer] = ACTIONS(1362),
    [aux_sym_return_statement_token1] = ACTIONS(1362),
    [aux_sym_throw_expression_token1] = ACTIONS(1362),
    [aux_sym_while_statement_token1] = ACTIONS(1362),
    [aux_sym_while_statement_token2] = ACTIONS(1362),
    [aux_sym_do_statement_token1] = ACTIONS(1362),
    [aux_sym_for_statement_token1] = ACTIONS(1362),
    [aux_sym_for_statement_token2] = ACTIONS(1362),
    [aux_sym_foreach_statement_token1] = ACTIONS(1362),
    [aux_sym_foreach_statement_token2] = ACTIONS(1362),
    [aux_sym_if_statement_token1] = ACTIONS(1362),
    [aux_sym_if_statement_token2] = ACTIONS(1362),
    [aux_sym_else_if_clause_token1] = ACTIONS(1362),
    [aux_sym_else_clause_token1] = ACTIONS(1362),
    [aux_sym_match_expression_token1] = ACTIONS(1362),
    [aux_sym_match_default_expression_token1] = ACTIONS(1362),
    [aux_sym_switch_statement_token1] = ACTIONS(1362),
    [aux_sym_switch_block_token1] = ACTIONS(1362),
    [anon_sym_PLUS] = ACTIONS(1362),
    [anon_sym_DASH] = ACTIONS(1362),
    [anon_sym_TILDE] = ACTIONS(1360),
    [anon_sym_BANG] = ACTIONS(1360),
    [anon_sym_AT] = ACTIONS(1360),
    [aux_sym_clone_expression_token1] = ACTIONS(1362),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1362),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1362),
    [anon_sym_DASH_DASH] = ACTIONS(1360),
    [anon_sym_PLUS_PLUS] = ACTIONS(1360),
    [aux_sym__list_destructing_token1] = ACTIONS(1362),
    [anon_sym_LBRACK] = ACTIONS(1360),
    [anon_sym_self] = ACTIONS(1362),
    [anon_sym_parent] = ACTIONS(1362),
    [aux_sym__argument_name_token1] = ACTIONS(1362),
    [aux_sym__argument_name_token2] = ACTIONS(1362),
    [anon_sym_POUND_LBRACK] = ACTIONS(1360),
    [aux_sym_encapsed_string_token1] = ACTIONS(1360),
    [anon_sym_DQUOTE] = ACTIONS(1360),
    [aux_sym_string_token1] = ACTIONS(1360),
    [anon_sym_SQUOTE] = ACTIONS(1360),
    [anon_sym_LT_LT_LT] = ACTIONS(1360),
    [anon_sym_BQUOTE] = ACTIONS(1360),
    [anon_sym_DOLLAR] = ACTIONS(1360),
    [aux_sym_yield_expression_token1] = ACTIONS(1362),
    [aux_sym_include_expression_token1] = ACTIONS(1362),
    [aux_sym_include_once_expression_token1] = ACTIONS(1362),
    [aux_sym_require_expression_token1] = ACTIONS(1362),
    [aux_sym_require_once_expression_token1] = ACTIONS(1362),
    [sym_comment] = ACTIONS(5),
  },
  [532] = {
    [sym_text_interpolation] = STATE(532),
    [ts_builtin_sym_end] = ACTIONS(1364),
    [sym_name] = ACTIONS(1366),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1364),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1366),
    [aux_sym_global_declaration_token1] = ACTIONS(1366),
    [aux_sym_namespace_definition_token1] = ACTIONS(1366),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1366),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1366),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1366),
    [anon_sym_BSLASH] = ACTIONS(1364),
    [anon_sym_LBRACE] = ACTIONS(1364),
    [anon_sym_RBRACE] = ACTIONS(1364),
    [aux_sym_trait_declaration_token1] = ACTIONS(1366),
    [aux_sym_interface_declaration_token1] = ACTIONS(1366),
    [aux_sym_enum_declaration_token1] = ACTIONS(1366),
    [aux_sym_enum_case_token1] = ACTIONS(1366),
    [aux_sym_class_declaration_token1] = ACTIONS(1366),
    [aux_sym_final_modifier_token1] = ACTIONS(1366),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1366),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1366),
    [sym_var_modifier] = ACTIONS(1366),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1366),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1366),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1366),
    [anon_sym_LPAREN2] = ACTIONS(1364),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1366),
    [aux_sym_cast_type_token1] = ACTIONS(1366),
    [aux_sym_echo_statement_token1] = ACTIONS(1366),
    [aux_sym_exit_statement_token1] = ACTIONS(1366),
    [anon_sym_unset] = ACTIONS(1366),
    [aux_sym_declare_statement_token1] = ACTIONS(1366),
    [aux_sym_declare_statement_token2] = ACTIONS(1366),
    [sym_float] = ACTIONS(1366),
    [aux_sym_try_statement_token1] = ACTIONS(1366),
    [aux_sym_goto_statement_token1] = ACTIONS(1366),
    [aux_sym_continue_statement_token1] = ACTIONS(1366),
    [aux_sym_break_statement_token1] = ACTIONS(1366),
    [sym_integer] = ACTIONS(1366),
    [aux_sym_return_statement_token1] = ACTIONS(1366),
    [aux_sym_throw_expression_token1] = ACTIONS(1366),
    [aux_sym_while_statement_token1] = ACTIONS(1366),
    [aux_sym_while_statement_token2] = ACTIONS(1366),
    [aux_sym_do_statement_token1] = ACTIONS(1366),
    [aux_sym_for_statement_token1] = ACTIONS(1366),
    [aux_sym_for_statement_token2] = ACTIONS(1366),
    [aux_sym_foreach_statement_token1] = ACTIONS(1366),
    [aux_sym_foreach_statement_token2] = ACTIONS(1366),
    [aux_sym_if_statement_token1] = ACTIONS(1366),
    [aux_sym_if_statement_token2] = ACTIONS(1366),
    [aux_sym_else_if_clause_token1] = ACTIONS(1366),
    [aux_sym_else_clause_token1] = ACTIONS(1366),
    [aux_sym_match_expression_token1] = ACTIONS(1366),
    [aux_sym_match_default_expression_token1] = ACTIONS(1366),
    [aux_sym_switch_statement_token1] = ACTIONS(1366),
    [aux_sym_switch_block_token1] = ACTIONS(1366),
    [anon_sym_PLUS] = ACTIONS(1366),
    [anon_sym_DASH] = ACTIONS(1366),
    [anon_sym_TILDE] = ACTIONS(1364),
    [anon_sym_BANG] = ACTIONS(1364),
    [anon_sym_AT] = ACTIONS(1364),
    [aux_sym_clone_expression_token1] = ACTIONS(1366),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1366),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1366),
    [anon_sym_DASH_DASH] = ACTIONS(1364),
    [anon_sym_PLUS_PLUS] = ACTIONS(1364),
    [aux_sym__list_destructing_token1] = ACTIONS(1366),
    [anon_sym_LBRACK] = ACTIONS(1364),
    [anon_sym_self] = ACTIONS(1366),
    [anon_sym_parent] = ACTIONS(1366),
    [aux_sym__argument_name_token1] = ACTIONS(1366),
    [aux_sym__argument_name_token2] = ACTIONS(1366),
    [anon_sym_POUND_LBRACK] = ACTIONS(1364),
    [aux_sym_encapsed_string_token1] = ACTIONS(1364),
    [anon_sym_DQUOTE] = ACTIONS(1364),
    [aux_sym_string_token1] = ACTIONS(1364),
    [anon_sym_SQUOTE] = ACTIONS(1364),
    [anon_sym_LT_LT_LT] = ACTIONS(1364),
    [anon_sym_BQUOTE] = ACTIONS(1364),
    [anon_sym_DOLLAR] = ACTIONS(1364),
    [aux_sym_yield_expression_token1] = ACTIONS(1366),
    [aux_sym_include_expression_token1] = ACTIONS(1366),
    [aux_sym_include_once_expression_token1] = ACTIONS(1366),
    [aux_sym_require_expression_token1] = ACTIONS(1366),
    [aux_sym_require_once_expression_token1] = ACTIONS(1366),
    [sym_comment] = ACTIONS(5),
  },
  [533] = {
    [sym_text_interpolation] = STATE(533),
    [ts_builtin_sym_end] = ACTIONS(1368),
    [sym_name] = ACTIONS(1370),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1368),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1370),
    [aux_sym_global_declaration_token1] = ACTIONS(1370),
    [aux_sym_namespace_definition_token1] = ACTIONS(1370),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1370),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1370),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1370),
    [anon_sym_BSLASH] = ACTIONS(1368),
    [anon_sym_LBRACE] = ACTIONS(1368),
    [anon_sym_RBRACE] = ACTIONS(1368),
    [aux_sym_trait_declaration_token1] = ACTIONS(1370),
    [aux_sym_interface_declaration_token1] = ACTIONS(1370),
    [aux_sym_enum_declaration_token1] = ACTIONS(1370),
    [aux_sym_enum_case_token1] = ACTIONS(1370),
    [aux_sym_class_declaration_token1] = ACTIONS(1370),
    [aux_sym_final_modifier_token1] = ACTIONS(1370),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1370),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1370),
    [sym_var_modifier] = ACTIONS(1370),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1370),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1370),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1370),
    [anon_sym_LPAREN2] = ACTIONS(1368),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1370),
    [aux_sym_cast_type_token1] = ACTIONS(1370),
    [aux_sym_echo_statement_token1] = ACTIONS(1370),
    [aux_sym_exit_statement_token1] = ACTIONS(1370),
    [anon_sym_unset] = ACTIONS(1370),
    [aux_sym_declare_statement_token1] = ACTIONS(1370),
    [aux_sym_declare_statement_token2] = ACTIONS(1370),
    [sym_float] = ACTIONS(1370),
    [aux_sym_try_statement_token1] = ACTIONS(1370),
    [aux_sym_goto_statement_token1] = ACTIONS(1370),
    [aux_sym_continue_statement_token1] = ACTIONS(1370),
    [aux_sym_break_statement_token1] = ACTIONS(1370),
    [sym_integer] = ACTIONS(1370),
    [aux_sym_return_statement_token1] = ACTIONS(1370),
    [aux_sym_throw_expression_token1] = ACTIONS(1370),
    [aux_sym_while_statement_token1] = ACTIONS(1370),
    [aux_sym_while_statement_token2] = ACTIONS(1370),
    [aux_sym_do_statement_token1] = ACTIONS(1370),
    [aux_sym_for_statement_token1] = ACTIONS(1370),
    [aux_sym_for_statement_token2] = ACTIONS(1370),
    [aux_sym_foreach_statement_token1] = ACTIONS(1370),
    [aux_sym_foreach_statement_token2] = ACTIONS(1370),
    [aux_sym_if_statement_token1] = ACTIONS(1370),
    [aux_sym_if_statement_token2] = ACTIONS(1370),
    [aux_sym_else_if_clause_token1] = ACTIONS(1370),
    [aux_sym_else_clause_token1] = ACTIONS(1370),
    [aux_sym_match_expression_token1] = ACTIONS(1370),
    [aux_sym_match_default_expression_token1] = ACTIONS(1370),
    [aux_sym_switch_statement_token1] = ACTIONS(1370),
    [aux_sym_switch_block_token1] = ACTIONS(1370),
    [anon_sym_PLUS] = ACTIONS(1370),
    [anon_sym_DASH] = ACTIONS(1370),
    [anon_sym_TILDE] = ACTIONS(1368),
    [anon_sym_BANG] = ACTIONS(1368),
    [anon_sym_AT] = ACTIONS(1368),
    [aux_sym_clone_expression_token1] = ACTIONS(1370),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1370),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1370),
    [anon_sym_DASH_DASH] = ACTIONS(1368),
    [anon_sym_PLUS_PLUS] = ACTIONS(1368),
    [aux_sym__list_destructing_token1] = ACTIONS(1370),
    [anon_sym_LBRACK] = ACTIONS(1368),
    [anon_sym_self] = ACTIONS(1370),
    [anon_sym_parent] = ACTIONS(1370),
    [aux_sym__argument_name_token1] = ACTIONS(1370),
    [aux_sym__argument_name_token2] = ACTIONS(1370),
    [anon_sym_POUND_LBRACK] = ACTIONS(1368),
    [aux_sym_encapsed_string_token1] = ACTIONS(1368),
    [anon_sym_DQUOTE] = ACTIONS(1368),
    [aux_sym_string_token1] = ACTIONS(1368),
    [anon_sym_SQUOTE] = ACTIONS(1368),
    [anon_sym_LT_LT_LT] = ACTIONS(1368),
    [anon_sym_BQUOTE] = ACTIONS(1368),
    [anon_sym_DOLLAR] = ACTIONS(1368),
    [aux_sym_yield_expression_token1] = ACTIONS(1370),
    [aux_sym_include_expression_token1] = ACTIONS(1370),
    [aux_sym_include_once_expression_token1] = ACTIONS(1370),
    [aux_sym_require_expression_token1] = ACTIONS(1370),
    [aux_sym_require_once_expression_token1] = ACTIONS(1370),
    [sym_comment] = ACTIONS(5),
  },
  [534] = {
    [sym_text_interpolation] = STATE(534),
    [ts_builtin_sym_end] = ACTIONS(1372),
    [sym_name] = ACTIONS(1374),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1372),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1374),
    [aux_sym_global_declaration_token1] = ACTIONS(1374),
    [aux_sym_namespace_definition_token1] = ACTIONS(1374),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1374),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1374),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1374),
    [anon_sym_BSLASH] = ACTIONS(1372),
    [anon_sym_LBRACE] = ACTIONS(1372),
    [anon_sym_RBRACE] = ACTIONS(1372),
    [aux_sym_trait_declaration_token1] = ACTIONS(1374),
    [aux_sym_interface_declaration_token1] = ACTIONS(1374),
    [aux_sym_enum_declaration_token1] = ACTIONS(1374),
    [aux_sym_enum_case_token1] = ACTIONS(1374),
    [aux_sym_class_declaration_token1] = ACTIONS(1374),
    [aux_sym_final_modifier_token1] = ACTIONS(1374),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1374),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1374),
    [sym_var_modifier] = ACTIONS(1374),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1374),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1374),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1374),
    [anon_sym_LPAREN2] = ACTIONS(1372),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1374),
    [aux_sym_cast_type_token1] = ACTIONS(1374),
    [aux_sym_echo_statement_token1] = ACTIONS(1374),
    [aux_sym_exit_statement_token1] = ACTIONS(1374),
    [anon_sym_unset] = ACTIONS(1374),
    [aux_sym_declare_statement_token1] = ACTIONS(1374),
    [aux_sym_declare_statement_token2] = ACTIONS(1374),
    [sym_float] = ACTIONS(1374),
    [aux_sym_try_statement_token1] = ACTIONS(1374),
    [aux_sym_goto_statement_token1] = ACTIONS(1374),
    [aux_sym_continue_statement_token1] = ACTIONS(1374),
    [aux_sym_break_statement_token1] = ACTIONS(1374),
    [sym_integer] = ACTIONS(1374),
    [aux_sym_return_statement_token1] = ACTIONS(1374),
    [aux_sym_throw_expression_token1] = ACTIONS(1374),
    [aux_sym_while_statement_token1] = ACTIONS(1374),
    [aux_sym_while_statement_token2] = ACTIONS(1374),
    [aux_sym_do_statement_token1] = ACTIONS(1374),
    [aux_sym_for_statement_token1] = ACTIONS(1374),
    [aux_sym_for_statement_token2] = ACTIONS(1374),
    [aux_sym_foreach_statement_token1] = ACTIONS(1374),
    [aux_sym_foreach_statement_token2] = ACTIONS(1374),
    [aux_sym_if_statement_token1] = ACTIONS(1374),
    [aux_sym_if_statement_token2] = ACTIONS(1374),
    [aux_sym_else_if_clause_token1] = ACTIONS(1374),
    [aux_sym_else_clause_token1] = ACTIONS(1374),
    [aux_sym_match_expression_token1] = ACTIONS(1374),
    [aux_sym_match_default_expression_token1] = ACTIONS(1374),
    [aux_sym_switch_statement_token1] = ACTIONS(1374),
    [aux_sym_switch_block_token1] = ACTIONS(1374),
    [anon_sym_PLUS] = ACTIONS(1374),
    [anon_sym_DASH] = ACTIONS(1374),
    [anon_sym_TILDE] = ACTIONS(1372),
    [anon_sym_BANG] = ACTIONS(1372),
    [anon_sym_AT] = ACTIONS(1372),
    [aux_sym_clone_expression_token1] = ACTIONS(1374),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1374),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1374),
    [anon_sym_DASH_DASH] = ACTIONS(1372),
    [anon_sym_PLUS_PLUS] = ACTIONS(1372),
    [aux_sym__list_destructing_token1] = ACTIONS(1374),
    [anon_sym_LBRACK] = ACTIONS(1372),
    [anon_sym_self] = ACTIONS(1374),
    [anon_sym_parent] = ACTIONS(1374),
    [aux_sym__argument_name_token1] = ACTIONS(1374),
    [aux_sym__argument_name_token2] = ACTIONS(1374),
    [anon_sym_POUND_LBRACK] = ACTIONS(1372),
    [aux_sym_encapsed_string_token1] = ACTIONS(1372),
    [anon_sym_DQUOTE] = ACTIONS(1372),
    [aux_sym_string_token1] = ACTIONS(1372),
    [anon_sym_SQUOTE] = ACTIONS(1372),
    [anon_sym_LT_LT_LT] = ACTIONS(1372),
    [anon_sym_BQUOTE] = ACTIONS(1372),
    [anon_sym_DOLLAR] = ACTIONS(1372),
    [aux_sym_yield_expression_token1] = ACTIONS(1374),
    [aux_sym_include_expression_token1] = ACTIONS(1374),
    [aux_sym_include_once_expression_token1] = ACTIONS(1374),
    [aux_sym_require_expression_token1] = ACTIONS(1374),
    [aux_sym_require_once_expression_token1] = ACTIONS(1374),
    [sym_comment] = ACTIONS(5),
  },
  [535] = {
    [sym_text_interpolation] = STATE(535),
    [ts_builtin_sym_end] = ACTIONS(1376),
    [sym_name] = ACTIONS(1378),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1376),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1378),
    [aux_sym_global_declaration_token1] = ACTIONS(1378),
    [aux_sym_namespace_definition_token1] = ACTIONS(1378),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1378),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1378),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1378),
    [anon_sym_BSLASH] = ACTIONS(1376),
    [anon_sym_LBRACE] = ACTIONS(1376),
    [anon_sym_RBRACE] = ACTIONS(1376),
    [aux_sym_trait_declaration_token1] = ACTIONS(1378),
    [aux_sym_interface_declaration_token1] = ACTIONS(1378),
    [aux_sym_enum_declaration_token1] = ACTIONS(1378),
    [aux_sym_enum_case_token1] = ACTIONS(1378),
    [aux_sym_class_declaration_token1] = ACTIONS(1378),
    [aux_sym_final_modifier_token1] = ACTIONS(1378),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1378),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1378),
    [sym_var_modifier] = ACTIONS(1378),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1378),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1378),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1378),
    [anon_sym_LPAREN2] = ACTIONS(1376),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1378),
    [aux_sym_cast_type_token1] = ACTIONS(1378),
    [aux_sym_echo_statement_token1] = ACTIONS(1378),
    [aux_sym_exit_statement_token1] = ACTIONS(1378),
    [anon_sym_unset] = ACTIONS(1378),
    [aux_sym_declare_statement_token1] = ACTIONS(1378),
    [aux_sym_declare_statement_token2] = ACTIONS(1378),
    [sym_float] = ACTIONS(1378),
    [aux_sym_try_statement_token1] = ACTIONS(1378),
    [aux_sym_goto_statement_token1] = ACTIONS(1378),
    [aux_sym_continue_statement_token1] = ACTIONS(1378),
    [aux_sym_break_statement_token1] = ACTIONS(1378),
    [sym_integer] = ACTIONS(1378),
    [aux_sym_return_statement_token1] = ACTIONS(1378),
    [aux_sym_throw_expression_token1] = ACTIONS(1378),
    [aux_sym_while_statement_token1] = ACTIONS(1378),
    [aux_sym_while_statement_token2] = ACTIONS(1378),
    [aux_sym_do_statement_token1] = ACTIONS(1378),
    [aux_sym_for_statement_token1] = ACTIONS(1378),
    [aux_sym_for_statement_token2] = ACTIONS(1378),
    [aux_sym_foreach_statement_token1] = ACTIONS(1378),
    [aux_sym_foreach_statement_token2] = ACTIONS(1378),
    [aux_sym_if_statement_token1] = ACTIONS(1378),
    [aux_sym_if_statement_token2] = ACTIONS(1378),
    [aux_sym_else_if_clause_token1] = ACTIONS(1378),
    [aux_sym_else_clause_token1] = ACTIONS(1378),
    [aux_sym_match_expression_token1] = ACTIONS(1378),
    [aux_sym_match_default_expression_token1] = ACTIONS(1378),
    [aux_sym_switch_statement_token1] = ACTIONS(1378),
    [aux_sym_switch_block_token1] = ACTIONS(1378),
    [anon_sym_PLUS] = ACTIONS(1378),
    [anon_sym_DASH] = ACTIONS(1378),
    [anon_sym_TILDE] = ACTIONS(1376),
    [anon_sym_BANG] = ACTIONS(1376),
    [anon_sym_AT] = ACTIONS(1376),
    [aux_sym_clone_expression_token1] = ACTIONS(1378),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1378),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1378),
    [anon_sym_DASH_DASH] = ACTIONS(1376),
    [anon_sym_PLUS_PLUS] = ACTIONS(1376),
    [aux_sym__list_destructing_token1] = ACTIONS(1378),
    [anon_sym_LBRACK] = ACTIONS(1376),
    [anon_sym_self] = ACTIONS(1378),
    [anon_sym_parent] = ACTIONS(1378),
    [aux_sym__argument_name_token1] = ACTIONS(1378),
    [aux_sym__argument_name_token2] = ACTIONS(1378),
    [anon_sym_POUND_LBRACK] = ACTIONS(1376),
    [aux_sym_encapsed_string_token1] = ACTIONS(1376),
    [anon_sym_DQUOTE] = ACTIONS(1376),
    [aux_sym_string_token1] = ACTIONS(1376),
    [anon_sym_SQUOTE] = ACTIONS(1376),
    [anon_sym_LT_LT_LT] = ACTIONS(1376),
    [anon_sym_BQUOTE] = ACTIONS(1376),
    [anon_sym_DOLLAR] = ACTIONS(1376),
    [aux_sym_yield_expression_token1] = ACTIONS(1378),
    [aux_sym_include_expression_token1] = ACTIONS(1378),
    [aux_sym_include_once_expression_token1] = ACTIONS(1378),
    [aux_sym_require_expression_token1] = ACTIONS(1378),
    [aux_sym_require_once_expression_token1] = ACTIONS(1378),
    [sym_comment] = ACTIONS(5),
  },
  [536] = {
    [sym_text_interpolation] = STATE(536),
    [ts_builtin_sym_end] = ACTIONS(1380),
    [sym_name] = ACTIONS(1382),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1380),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1382),
    [aux_sym_global_declaration_token1] = ACTIONS(1382),
    [aux_sym_namespace_definition_token1] = ACTIONS(1382),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1382),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1382),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1382),
    [anon_sym_BSLASH] = ACTIONS(1380),
    [anon_sym_LBRACE] = ACTIONS(1380),
    [anon_sym_RBRACE] = ACTIONS(1380),
    [aux_sym_trait_declaration_token1] = ACTIONS(1382),
    [aux_sym_interface_declaration_token1] = ACTIONS(1382),
    [aux_sym_enum_declaration_token1] = ACTIONS(1382),
    [aux_sym_enum_case_token1] = ACTIONS(1382),
    [aux_sym_class_declaration_token1] = ACTIONS(1382),
    [aux_sym_final_modifier_token1] = ACTIONS(1382),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1382),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1382),
    [sym_var_modifier] = ACTIONS(1382),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1382),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1382),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1382),
    [anon_sym_LPAREN2] = ACTIONS(1380),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1382),
    [aux_sym_cast_type_token1] = ACTIONS(1382),
    [aux_sym_echo_statement_token1] = ACTIONS(1382),
    [aux_sym_exit_statement_token1] = ACTIONS(1382),
    [anon_sym_unset] = ACTIONS(1382),
    [aux_sym_declare_statement_token1] = ACTIONS(1382),
    [aux_sym_declare_statement_token2] = ACTIONS(1382),
    [sym_float] = ACTIONS(1382),
    [aux_sym_try_statement_token1] = ACTIONS(1382),
    [aux_sym_goto_statement_token1] = ACTIONS(1382),
    [aux_sym_continue_statement_token1] = ACTIONS(1382),
    [aux_sym_break_statement_token1] = ACTIONS(1382),
    [sym_integer] = ACTIONS(1382),
    [aux_sym_return_statement_token1] = ACTIONS(1382),
    [aux_sym_throw_expression_token1] = ACTIONS(1382),
    [aux_sym_while_statement_token1] = ACTIONS(1382),
    [aux_sym_while_statement_token2] = ACTIONS(1382),
    [aux_sym_do_statement_token1] = ACTIONS(1382),
    [aux_sym_for_statement_token1] = ACTIONS(1382),
    [aux_sym_for_statement_token2] = ACTIONS(1382),
    [aux_sym_foreach_statement_token1] = ACTIONS(1382),
    [aux_sym_foreach_statement_token2] = ACTIONS(1382),
    [aux_sym_if_statement_token1] = ACTIONS(1382),
    [aux_sym_if_statement_token2] = ACTIONS(1382),
    [aux_sym_else_if_clause_token1] = ACTIONS(1382),
    [aux_sym_else_clause_token1] = ACTIONS(1382),
    [aux_sym_match_expression_token1] = ACTIONS(1382),
    [aux_sym_match_default_expression_token1] = ACTIONS(1382),
    [aux_sym_switch_statement_token1] = ACTIONS(1382),
    [aux_sym_switch_block_token1] = ACTIONS(1382),
    [anon_sym_PLUS] = ACTIONS(1382),
    [anon_sym_DASH] = ACTIONS(1382),
    [anon_sym_TILDE] = ACTIONS(1380),
    [anon_sym_BANG] = ACTIONS(1380),
    [anon_sym_AT] = ACTIONS(1380),
    [aux_sym_clone_expression_token1] = ACTIONS(1382),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1382),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1382),
    [anon_sym_DASH_DASH] = ACTIONS(1380),
    [anon_sym_PLUS_PLUS] = ACTIONS(1380),
    [aux_sym__list_destructing_token1] = ACTIONS(1382),
    [anon_sym_LBRACK] = ACTIONS(1380),
    [anon_sym_self] = ACTIONS(1382),
    [anon_sym_parent] = ACTIONS(1382),
    [aux_sym__argument_name_token1] = ACTIONS(1382),
    [aux_sym__argument_name_token2] = ACTIONS(1382),
    [anon_sym_POUND_LBRACK] = ACTIONS(1380),
    [aux_sym_encapsed_string_token1] = ACTIONS(1380),
    [anon_sym_DQUOTE] = ACTIONS(1380),
    [aux_sym_string_token1] = ACTIONS(1380),
    [anon_sym_SQUOTE] = ACTIONS(1380),
    [anon_sym_LT_LT_LT] = ACTIONS(1380),
    [anon_sym_BQUOTE] = ACTIONS(1380),
    [anon_sym_DOLLAR] = ACTIONS(1380),
    [aux_sym_yield_expression_token1] = ACTIONS(1382),
    [aux_sym_include_expression_token1] = ACTIONS(1382),
    [aux_sym_include_once_expression_token1] = ACTIONS(1382),
    [aux_sym_require_expression_token1] = ACTIONS(1382),
    [aux_sym_require_once_expression_token1] = ACTIONS(1382),
    [sym_comment] = ACTIONS(5),
  },
  [537] = {
    [sym_text_interpolation] = STATE(537),
    [ts_builtin_sym_end] = ACTIONS(1384),
    [sym_name] = ACTIONS(1386),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1384),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1386),
    [aux_sym_global_declaration_token1] = ACTIONS(1386),
    [aux_sym_namespace_definition_token1] = ACTIONS(1386),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1386),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1386),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1386),
    [anon_sym_BSLASH] = ACTIONS(1384),
    [anon_sym_LBRACE] = ACTIONS(1384),
    [anon_sym_RBRACE] = ACTIONS(1384),
    [aux_sym_trait_declaration_token1] = ACTIONS(1386),
    [aux_sym_interface_declaration_token1] = ACTIONS(1386),
    [aux_sym_enum_declaration_token1] = ACTIONS(1386),
    [aux_sym_enum_case_token1] = ACTIONS(1386),
    [aux_sym_class_declaration_token1] = ACTIONS(1386),
    [aux_sym_final_modifier_token1] = ACTIONS(1386),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1386),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1386),
    [sym_var_modifier] = ACTIONS(1386),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1386),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1386),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1386),
    [anon_sym_LPAREN2] = ACTIONS(1384),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1386),
    [aux_sym_cast_type_token1] = ACTIONS(1386),
    [aux_sym_echo_statement_token1] = ACTIONS(1386),
    [aux_sym_exit_statement_token1] = ACTIONS(1386),
    [anon_sym_unset] = ACTIONS(1386),
    [aux_sym_declare_statement_token1] = ACTIONS(1386),
    [aux_sym_declare_statement_token2] = ACTIONS(1386),
    [sym_float] = ACTIONS(1386),
    [aux_sym_try_statement_token1] = ACTIONS(1386),
    [aux_sym_goto_statement_token1] = ACTIONS(1386),
    [aux_sym_continue_statement_token1] = ACTIONS(1386),
    [aux_sym_break_statement_token1] = ACTIONS(1386),
    [sym_integer] = ACTIONS(1386),
    [aux_sym_return_statement_token1] = ACTIONS(1386),
    [aux_sym_throw_expression_token1] = ACTIONS(1386),
    [aux_sym_while_statement_token1] = ACTIONS(1386),
    [aux_sym_while_statement_token2] = ACTIONS(1386),
    [aux_sym_do_statement_token1] = ACTIONS(1386),
    [aux_sym_for_statement_token1] = ACTIONS(1386),
    [aux_sym_for_statement_token2] = ACTIONS(1386),
    [aux_sym_foreach_statement_token1] = ACTIONS(1386),
    [aux_sym_foreach_statement_token2] = ACTIONS(1386),
    [aux_sym_if_statement_token1] = ACTIONS(1386),
    [aux_sym_if_statement_token2] = ACTIONS(1386),
    [aux_sym_else_if_clause_token1] = ACTIONS(1386),
    [aux_sym_else_clause_token1] = ACTIONS(1386),
    [aux_sym_match_expression_token1] = ACTIONS(1386),
    [aux_sym_match_default_expression_token1] = ACTIONS(1386),
    [aux_sym_switch_statement_token1] = ACTIONS(1386),
    [aux_sym_switch_block_token1] = ACTIONS(1386),
    [anon_sym_PLUS] = ACTIONS(1386),
    [anon_sym_DASH] = ACTIONS(1386),
    [anon_sym_TILDE] = ACTIONS(1384),
    [anon_sym_BANG] = ACTIONS(1384),
    [anon_sym_AT] = ACTIONS(1384),
    [aux_sym_clone_expression_token1] = ACTIONS(1386),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1386),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1386),
    [anon_sym_DASH_DASH] = ACTIONS(1384),
    [anon_sym_PLUS_PLUS] = ACTIONS(1384),
    [aux_sym__list_destructing_token1] = ACTIONS(1386),
    [anon_sym_LBRACK] = ACTIONS(1384),
    [anon_sym_self] = ACTIONS(1386),
    [anon_sym_parent] = ACTIONS(1386),
    [aux_sym__argument_name_token1] = ACTIONS(1386),
    [aux_sym__argument_name_token2] = ACTIONS(1386),
    [anon_sym_POUND_LBRACK] = ACTIONS(1384),
    [aux_sym_encapsed_string_token1] = ACTIONS(1384),
    [anon_sym_DQUOTE] = ACTIONS(1384),
    [aux_sym_string_token1] = ACTIONS(1384),
    [anon_sym_SQUOTE] = ACTIONS(1384),
    [anon_sym_LT_LT_LT] = ACTIONS(1384),
    [anon_sym_BQUOTE] = ACTIONS(1384),
    [anon_sym_DOLLAR] = ACTIONS(1384),
    [aux_sym_yield_expression_token1] = ACTIONS(1386),
    [aux_sym_include_expression_token1] = ACTIONS(1386),
    [aux_sym_include_once_expression_token1] = ACTIONS(1386),
    [aux_sym_require_expression_token1] = ACTIONS(1386),
    [aux_sym_require_once_expression_token1] = ACTIONS(1386),
    [sym_comment] = ACTIONS(5),
  },
  [538] = {
    [sym_text_interpolation] = STATE(538),
    [ts_builtin_sym_end] = ACTIONS(1388),
    [sym_name] = ACTIONS(1390),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1388),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1390),
    [aux_sym_global_declaration_token1] = ACTIONS(1390),
    [aux_sym_namespace_definition_token1] = ACTIONS(1390),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1390),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1390),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1390),
    [anon_sym_BSLASH] = ACTIONS(1388),
    [anon_sym_LBRACE] = ACTIONS(1388),
    [anon_sym_RBRACE] = ACTIONS(1388),
    [aux_sym_trait_declaration_token1] = ACTIONS(1390),
    [aux_sym_interface_declaration_token1] = ACTIONS(1390),
    [aux_sym_enum_declaration_token1] = ACTIONS(1390),
    [aux_sym_enum_case_token1] = ACTIONS(1390),
    [aux_sym_class_declaration_token1] = ACTIONS(1390),
    [aux_sym_final_modifier_token1] = ACTIONS(1390),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1390),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1390),
    [sym_var_modifier] = ACTIONS(1390),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1390),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1390),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1390),
    [anon_sym_LPAREN2] = ACTIONS(1388),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1390),
    [aux_sym_cast_type_token1] = ACTIONS(1390),
    [aux_sym_echo_statement_token1] = ACTIONS(1390),
    [aux_sym_exit_statement_token1] = ACTIONS(1390),
    [anon_sym_unset] = ACTIONS(1390),
    [aux_sym_declare_statement_token1] = ACTIONS(1390),
    [aux_sym_declare_statement_token2] = ACTIONS(1390),
    [sym_float] = ACTIONS(1390),
    [aux_sym_try_statement_token1] = ACTIONS(1390),
    [aux_sym_goto_statement_token1] = ACTIONS(1390),
    [aux_sym_continue_statement_token1] = ACTIONS(1390),
    [aux_sym_break_statement_token1] = ACTIONS(1390),
    [sym_integer] = ACTIONS(1390),
    [aux_sym_return_statement_token1] = ACTIONS(1390),
    [aux_sym_throw_expression_token1] = ACTIONS(1390),
    [aux_sym_while_statement_token1] = ACTIONS(1390),
    [aux_sym_while_statement_token2] = ACTIONS(1390),
    [aux_sym_do_statement_token1] = ACTIONS(1390),
    [aux_sym_for_statement_token1] = ACTIONS(1390),
    [aux_sym_for_statement_token2] = ACTIONS(1390),
    [aux_sym_foreach_statement_token1] = ACTIONS(1390),
    [aux_sym_foreach_statement_token2] = ACTIONS(1390),
    [aux_sym_if_statement_token1] = ACTIONS(1390),
    [aux_sym_if_statement_token2] = ACTIONS(1390),
    [aux_sym_else_if_clause_token1] = ACTIONS(1390),
    [aux_sym_else_clause_token1] = ACTIONS(1390),
    [aux_sym_match_expression_token1] = ACTIONS(1390),
    [aux_sym_match_default_expression_token1] = ACTIONS(1390),
    [aux_sym_switch_statement_token1] = ACTIONS(1390),
    [aux_sym_switch_block_token1] = ACTIONS(1390),
    [anon_sym_PLUS] = ACTIONS(1390),
    [anon_sym_DASH] = ACTIONS(1390),
    [anon_sym_TILDE] = ACTIONS(1388),
    [anon_sym_BANG] = ACTIONS(1388),
    [anon_sym_AT] = ACTIONS(1388),
    [aux_sym_clone_expression_token1] = ACTIONS(1390),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1390),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1390),
    [anon_sym_DASH_DASH] = ACTIONS(1388),
    [anon_sym_PLUS_PLUS] = ACTIONS(1388),
    [aux_sym__list_destructing_token1] = ACTIONS(1390),
    [anon_sym_LBRACK] = ACTIONS(1388),
    [anon_sym_self] = ACTIONS(1390),
    [anon_sym_parent] = ACTIONS(1390),
    [aux_sym__argument_name_token1] = ACTIONS(1390),
    [aux_sym__argument_name_token2] = ACTIONS(1390),
    [anon_sym_POUND_LBRACK] = ACTIONS(1388),
    [aux_sym_encapsed_string_token1] = ACTIONS(1388),
    [anon_sym_DQUOTE] = ACTIONS(1388),
    [aux_sym_string_token1] = ACTIONS(1388),
    [anon_sym_SQUOTE] = ACTIONS(1388),
    [anon_sym_LT_LT_LT] = ACTIONS(1388),
    [anon_sym_BQUOTE] = ACTIONS(1388),
    [anon_sym_DOLLAR] = ACTIONS(1388),
    [aux_sym_yield_expression_token1] = ACTIONS(1390),
    [aux_sym_include_expression_token1] = ACTIONS(1390),
    [aux_sym_include_once_expression_token1] = ACTIONS(1390),
    [aux_sym_require_expression_token1] = ACTIONS(1390),
    [aux_sym_require_once_expression_token1] = ACTIONS(1390),
    [sym_comment] = ACTIONS(5),
  },
  [539] = {
    [sym_text_interpolation] = STATE(539),
    [ts_builtin_sym_end] = ACTIONS(1392),
    [sym_name] = ACTIONS(1394),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1392),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1394),
    [aux_sym_global_declaration_token1] = ACTIONS(1394),
    [aux_sym_namespace_definition_token1] = ACTIONS(1394),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1394),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1394),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1394),
    [anon_sym_BSLASH] = ACTIONS(1392),
    [anon_sym_LBRACE] = ACTIONS(1392),
    [anon_sym_RBRACE] = ACTIONS(1392),
    [aux_sym_trait_declaration_token1] = ACTIONS(1394),
    [aux_sym_interface_declaration_token1] = ACTIONS(1394),
    [aux_sym_enum_declaration_token1] = ACTIONS(1394),
    [aux_sym_enum_case_token1] = ACTIONS(1394),
    [aux_sym_class_declaration_token1] = ACTIONS(1394),
    [aux_sym_final_modifier_token1] = ACTIONS(1394),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1394),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1394),
    [sym_var_modifier] = ACTIONS(1394),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1394),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1394),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1394),
    [anon_sym_LPAREN2] = ACTIONS(1392),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1394),
    [aux_sym_cast_type_token1] = ACTIONS(1394),
    [aux_sym_echo_statement_token1] = ACTIONS(1394),
    [aux_sym_exit_statement_token1] = ACTIONS(1394),
    [anon_sym_unset] = ACTIONS(1394),
    [aux_sym_declare_statement_token1] = ACTIONS(1394),
    [aux_sym_declare_statement_token2] = ACTIONS(1394),
    [sym_float] = ACTIONS(1394),
    [aux_sym_try_statement_token1] = ACTIONS(1394),
    [aux_sym_goto_statement_token1] = ACTIONS(1394),
    [aux_sym_continue_statement_token1] = ACTIONS(1394),
    [aux_sym_break_statement_token1] = ACTIONS(1394),
    [sym_integer] = ACTIONS(1394),
    [aux_sym_return_statement_token1] = ACTIONS(1394),
    [aux_sym_throw_expression_token1] = ACTIONS(1394),
    [aux_sym_while_statement_token1] = ACTIONS(1394),
    [aux_sym_while_statement_token2] = ACTIONS(1394),
    [aux_sym_do_statement_token1] = ACTIONS(1394),
    [aux_sym_for_statement_token1] = ACTIONS(1394),
    [aux_sym_for_statement_token2] = ACTIONS(1394),
    [aux_sym_foreach_statement_token1] = ACTIONS(1394),
    [aux_sym_foreach_statement_token2] = ACTIONS(1394),
    [aux_sym_if_statement_token1] = ACTIONS(1394),
    [aux_sym_if_statement_token2] = ACTIONS(1394),
    [aux_sym_else_if_clause_token1] = ACTIONS(1394),
    [aux_sym_else_clause_token1] = ACTIONS(1394),
    [aux_sym_match_expression_token1] = ACTIONS(1394),
    [aux_sym_match_default_expression_token1] = ACTIONS(1394),
    [aux_sym_switch_statement_token1] = ACTIONS(1394),
    [aux_sym_switch_block_token1] = ACTIONS(1394),
    [anon_sym_PLUS] = ACTIONS(1394),
    [anon_sym_DASH] = ACTIONS(1394),
    [anon_sym_TILDE] = ACTIONS(1392),
    [anon_sym_BANG] = ACTIONS(1392),
    [anon_sym_AT] = ACTIONS(1392),
    [aux_sym_clone_expression_token1] = ACTIONS(1394),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1394),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1394),
    [anon_sym_DASH_DASH] = ACTIONS(1392),
    [anon_sym_PLUS_PLUS] = ACTIONS(1392),
    [aux_sym__list_destructing_token1] = ACTIONS(1394),
    [anon_sym_LBRACK] = ACTIONS(1392),
    [anon_sym_self] = ACTIONS(1394),
    [anon_sym_parent] = ACTIONS(1394),
    [aux_sym__argument_name_token1] = ACTIONS(1394),
    [aux_sym__argument_name_token2] = ACTIONS(1394),
    [anon_sym_POUND_LBRACK] = ACTIONS(1392),
    [aux_sym_encapsed_string_token1] = ACTIONS(1392),
    [anon_sym_DQUOTE] = ACTIONS(1392),
    [aux_sym_string_token1] = ACTIONS(1392),
    [anon_sym_SQUOTE] = ACTIONS(1392),
    [anon_sym_LT_LT_LT] = ACTIONS(1392),
    [anon_sym_BQUOTE] = ACTIONS(1392),
    [anon_sym_DOLLAR] = ACTIONS(1392),
    [aux_sym_yield_expression_token1] = ACTIONS(1394),
    [aux_sym_include_expression_token1] = ACTIONS(1394),
    [aux_sym_include_once_expression_token1] = ACTIONS(1394),
    [aux_sym_require_expression_token1] = ACTIONS(1394),
    [aux_sym_require_once_expression_token1] = ACTIONS(1394),
    [sym_comment] = ACTIONS(5),
  },
  [540] = {
    [sym_text_interpolation] = STATE(540),
    [ts_builtin_sym_end] = ACTIONS(1396),
    [sym_name] = ACTIONS(1398),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1396),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1398),
    [aux_sym_global_declaration_token1] = ACTIONS(1398),
    [aux_sym_namespace_definition_token1] = ACTIONS(1398),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1398),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1398),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1398),
    [anon_sym_BSLASH] = ACTIONS(1396),
    [anon_sym_LBRACE] = ACTIONS(1396),
    [anon_sym_RBRACE] = ACTIONS(1396),
    [aux_sym_trait_declaration_token1] = ACTIONS(1398),
    [aux_sym_interface_declaration_token1] = ACTIONS(1398),
    [aux_sym_enum_declaration_token1] = ACTIONS(1398),
    [aux_sym_enum_case_token1] = ACTIONS(1398),
    [aux_sym_class_declaration_token1] = ACTIONS(1398),
    [aux_sym_final_modifier_token1] = ACTIONS(1398),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1398),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1398),
    [sym_var_modifier] = ACTIONS(1398),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1398),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1398),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1398),
    [anon_sym_LPAREN2] = ACTIONS(1396),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1398),
    [aux_sym_cast_type_token1] = ACTIONS(1398),
    [aux_sym_echo_statement_token1] = ACTIONS(1398),
    [aux_sym_exit_statement_token1] = ACTIONS(1398),
    [anon_sym_unset] = ACTIONS(1398),
    [aux_sym_declare_statement_token1] = ACTIONS(1398),
    [aux_sym_declare_statement_token2] = ACTIONS(1398),
    [sym_float] = ACTIONS(1398),
    [aux_sym_try_statement_token1] = ACTIONS(1398),
    [aux_sym_goto_statement_token1] = ACTIONS(1398),
    [aux_sym_continue_statement_token1] = ACTIONS(1398),
    [aux_sym_break_statement_token1] = ACTIONS(1398),
    [sym_integer] = ACTIONS(1398),
    [aux_sym_return_statement_token1] = ACTIONS(1398),
    [aux_sym_throw_expression_token1] = ACTIONS(1398),
    [aux_sym_while_statement_token1] = ACTIONS(1398),
    [aux_sym_while_statement_token2] = ACTIONS(1398),
    [aux_sym_do_statement_token1] = ACTIONS(1398),
    [aux_sym_for_statement_token1] = ACTIONS(1398),
    [aux_sym_for_statement_token2] = ACTIONS(1398),
    [aux_sym_foreach_statement_token1] = ACTIONS(1398),
    [aux_sym_foreach_statement_token2] = ACTIONS(1398),
    [aux_sym_if_statement_token1] = ACTIONS(1398),
    [aux_sym_if_statement_token2] = ACTIONS(1398),
    [aux_sym_else_if_clause_token1] = ACTIONS(1398),
    [aux_sym_else_clause_token1] = ACTIONS(1398),
    [aux_sym_match_expression_token1] = ACTIONS(1398),
    [aux_sym_match_default_expression_token1] = ACTIONS(1398),
    [aux_sym_switch_statement_token1] = ACTIONS(1398),
    [aux_sym_switch_block_token1] = ACTIONS(1398),
    [anon_sym_PLUS] = ACTIONS(1398),
    [anon_sym_DASH] = ACTIONS(1398),
    [anon_sym_TILDE] = ACTIONS(1396),
    [anon_sym_BANG] = ACTIONS(1396),
    [anon_sym_AT] = ACTIONS(1396),
    [aux_sym_clone_expression_token1] = ACTIONS(1398),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1398),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1398),
    [anon_sym_DASH_DASH] = ACTIONS(1396),
    [anon_sym_PLUS_PLUS] = ACTIONS(1396),
    [aux_sym__list_destructing_token1] = ACTIONS(1398),
    [anon_sym_LBRACK] = ACTIONS(1396),
    [anon_sym_self] = ACTIONS(1398),
    [anon_sym_parent] = ACTIONS(1398),
    [aux_sym__argument_name_token1] = ACTIONS(1398),
    [aux_sym__argument_name_token2] = ACTIONS(1398),
    [anon_sym_POUND_LBRACK] = ACTIONS(1396),
    [aux_sym_encapsed_string_token1] = ACTIONS(1396),
    [anon_sym_DQUOTE] = ACTIONS(1396),
    [aux_sym_string_token1] = ACTIONS(1396),
    [anon_sym_SQUOTE] = ACTIONS(1396),
    [anon_sym_LT_LT_LT] = ACTIONS(1396),
    [anon_sym_BQUOTE] = ACTIONS(1396),
    [anon_sym_DOLLAR] = ACTIONS(1396),
    [aux_sym_yield_expression_token1] = ACTIONS(1398),
    [aux_sym_include_expression_token1] = ACTIONS(1398),
    [aux_sym_include_once_expression_token1] = ACTIONS(1398),
    [aux_sym_require_expression_token1] = ACTIONS(1398),
    [aux_sym_require_once_expression_token1] = ACTIONS(1398),
    [sym_comment] = ACTIONS(5),
  },
  [541] = {
    [sym_text_interpolation] = STATE(541),
    [ts_builtin_sym_end] = ACTIONS(1400),
    [sym_name] = ACTIONS(1402),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1400),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1402),
    [aux_sym_global_declaration_token1] = ACTIONS(1402),
    [aux_sym_namespace_definition_token1] = ACTIONS(1402),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1402),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1402),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1402),
    [anon_sym_BSLASH] = ACTIONS(1400),
    [anon_sym_LBRACE] = ACTIONS(1400),
    [anon_sym_RBRACE] = ACTIONS(1400),
    [aux_sym_trait_declaration_token1] = ACTIONS(1402),
    [aux_sym_interface_declaration_token1] = ACTIONS(1402),
    [aux_sym_enum_declaration_token1] = ACTIONS(1402),
    [aux_sym_enum_case_token1] = ACTIONS(1402),
    [aux_sym_class_declaration_token1] = ACTIONS(1402),
    [aux_sym_final_modifier_token1] = ACTIONS(1402),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1402),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1402),
    [sym_var_modifier] = ACTIONS(1402),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1402),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1402),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1402),
    [anon_sym_LPAREN2] = ACTIONS(1400),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1402),
    [aux_sym_cast_type_token1] = ACTIONS(1402),
    [aux_sym_echo_statement_token1] = ACTIONS(1402),
    [aux_sym_exit_statement_token1] = ACTIONS(1402),
    [anon_sym_unset] = ACTIONS(1402),
    [aux_sym_declare_statement_token1] = ACTIONS(1402),
    [aux_sym_declare_statement_token2] = ACTIONS(1402),
    [sym_float] = ACTIONS(1402),
    [aux_sym_try_statement_token1] = ACTIONS(1402),
    [aux_sym_goto_statement_token1] = ACTIONS(1402),
    [aux_sym_continue_statement_token1] = ACTIONS(1402),
    [aux_sym_break_statement_token1] = ACTIONS(1402),
    [sym_integer] = ACTIONS(1402),
    [aux_sym_return_statement_token1] = ACTIONS(1402),
    [aux_sym_throw_expression_token1] = ACTIONS(1402),
    [aux_sym_while_statement_token1] = ACTIONS(1402),
    [aux_sym_while_statement_token2] = ACTIONS(1402),
    [aux_sym_do_statement_token1] = ACTIONS(1402),
    [aux_sym_for_statement_token1] = ACTIONS(1402),
    [aux_sym_for_statement_token2] = ACTIONS(1402),
    [aux_sym_foreach_statement_token1] = ACTIONS(1402),
    [aux_sym_foreach_statement_token2] = ACTIONS(1402),
    [aux_sym_if_statement_token1] = ACTIONS(1402),
    [aux_sym_if_statement_token2] = ACTIONS(1402),
    [aux_sym_else_if_clause_token1] = ACTIONS(1402),
    [aux_sym_else_clause_token1] = ACTIONS(1402),
    [aux_sym_match_expression_token1] = ACTIONS(1402),
    [aux_sym_match_default_expression_token1] = ACTIONS(1402),
    [aux_sym_switch_statement_token1] = ACTIONS(1402),
    [aux_sym_switch_block_token1] = ACTIONS(1402),
    [anon_sym_PLUS] = ACTIONS(1402),
    [anon_sym_DASH] = ACTIONS(1402),
    [anon_sym_TILDE] = ACTIONS(1400),
    [anon_sym_BANG] = ACTIONS(1400),
    [anon_sym_AT] = ACTIONS(1400),
    [aux_sym_clone_expression_token1] = ACTIONS(1402),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1402),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1402),
    [anon_sym_DASH_DASH] = ACTIONS(1400),
    [anon_sym_PLUS_PLUS] = ACTIONS(1400),
    [aux_sym__list_destructing_token1] = ACTIONS(1402),
    [anon_sym_LBRACK] = ACTIONS(1400),
    [anon_sym_self] = ACTIONS(1402),
    [anon_sym_parent] = ACTIONS(1402),
    [aux_sym__argument_name_token1] = ACTIONS(1402),
    [aux_sym__argument_name_token2] = ACTIONS(1402),
    [anon_sym_POUND_LBRACK] = ACTIONS(1400),
    [aux_sym_encapsed_string_token1] = ACTIONS(1400),
    [anon_sym_DQUOTE] = ACTIONS(1400),
    [aux_sym_string_token1] = ACTIONS(1400),
    [anon_sym_SQUOTE] = ACTIONS(1400),
    [anon_sym_LT_LT_LT] = ACTIONS(1400),
    [anon_sym_BQUOTE] = ACTIONS(1400),
    [anon_sym_DOLLAR] = ACTIONS(1400),
    [aux_sym_yield_expression_token1] = ACTIONS(1402),
    [aux_sym_include_expression_token1] = ACTIONS(1402),
    [aux_sym_include_once_expression_token1] = ACTIONS(1402),
    [aux_sym_require_expression_token1] = ACTIONS(1402),
    [aux_sym_require_once_expression_token1] = ACTIONS(1402),
    [sym_comment] = ACTIONS(5),
  },
  [542] = {
    [sym_text_interpolation] = STATE(542),
    [ts_builtin_sym_end] = ACTIONS(1404),
    [sym_name] = ACTIONS(1406),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1404),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1406),
    [aux_sym_global_declaration_token1] = ACTIONS(1406),
    [aux_sym_namespace_definition_token1] = ACTIONS(1406),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1406),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1406),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1406),
    [anon_sym_BSLASH] = ACTIONS(1404),
    [anon_sym_LBRACE] = ACTIONS(1404),
    [anon_sym_RBRACE] = ACTIONS(1404),
    [aux_sym_trait_declaration_token1] = ACTIONS(1406),
    [aux_sym_interface_declaration_token1] = ACTIONS(1406),
    [aux_sym_enum_declaration_token1] = ACTIONS(1406),
    [aux_sym_enum_case_token1] = ACTIONS(1406),
    [aux_sym_class_declaration_token1] = ACTIONS(1406),
    [aux_sym_final_modifier_token1] = ACTIONS(1406),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1406),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1406),
    [sym_var_modifier] = ACTIONS(1406),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1406),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1406),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1406),
    [anon_sym_LPAREN2] = ACTIONS(1404),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1406),
    [aux_sym_cast_type_token1] = ACTIONS(1406),
    [aux_sym_echo_statement_token1] = ACTIONS(1406),
    [aux_sym_exit_statement_token1] = ACTIONS(1406),
    [anon_sym_unset] = ACTIONS(1406),
    [aux_sym_declare_statement_token1] = ACTIONS(1406),
    [aux_sym_declare_statement_token2] = ACTIONS(1406),
    [sym_float] = ACTIONS(1406),
    [aux_sym_try_statement_token1] = ACTIONS(1406),
    [aux_sym_goto_statement_token1] = ACTIONS(1406),
    [aux_sym_continue_statement_token1] = ACTIONS(1406),
    [aux_sym_break_statement_token1] = ACTIONS(1406),
    [sym_integer] = ACTIONS(1406),
    [aux_sym_return_statement_token1] = ACTIONS(1406),
    [aux_sym_throw_expression_token1] = ACTIONS(1406),
    [aux_sym_while_statement_token1] = ACTIONS(1406),
    [aux_sym_while_statement_token2] = ACTIONS(1406),
    [aux_sym_do_statement_token1] = ACTIONS(1406),
    [aux_sym_for_statement_token1] = ACTIONS(1406),
    [aux_sym_for_statement_token2] = ACTIONS(1406),
    [aux_sym_foreach_statement_token1] = ACTIONS(1406),
    [aux_sym_foreach_statement_token2] = ACTIONS(1406),
    [aux_sym_if_statement_token1] = ACTIONS(1406),
    [aux_sym_if_statement_token2] = ACTIONS(1406),
    [aux_sym_else_if_clause_token1] = ACTIONS(1406),
    [aux_sym_else_clause_token1] = ACTIONS(1406),
    [aux_sym_match_expression_token1] = ACTIONS(1406),
    [aux_sym_match_default_expression_token1] = ACTIONS(1406),
    [aux_sym_switch_statement_token1] = ACTIONS(1406),
    [aux_sym_switch_block_token1] = ACTIONS(1406),
    [anon_sym_PLUS] = ACTIONS(1406),
    [anon_sym_DASH] = ACTIONS(1406),
    [anon_sym_TILDE] = ACTIONS(1404),
    [anon_sym_BANG] = ACTIONS(1404),
    [anon_sym_AT] = ACTIONS(1404),
    [aux_sym_clone_expression_token1] = ACTIONS(1406),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1406),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1406),
    [anon_sym_DASH_DASH] = ACTIONS(1404),
    [anon_sym_PLUS_PLUS] = ACTIONS(1404),
    [aux_sym__list_destructing_token1] = ACTIONS(1406),
    [anon_sym_LBRACK] = ACTIONS(1404),
    [anon_sym_self] = ACTIONS(1406),
    [anon_sym_parent] = ACTIONS(1406),
    [aux_sym__argument_name_token1] = ACTIONS(1406),
    [aux_sym__argument_name_token2] = ACTIONS(1406),
    [anon_sym_POUND_LBRACK] = ACTIONS(1404),
    [aux_sym_encapsed_string_token1] = ACTIONS(1404),
    [anon_sym_DQUOTE] = ACTIONS(1404),
    [aux_sym_string_token1] = ACTIONS(1404),
    [anon_sym_SQUOTE] = ACTIONS(1404),
    [anon_sym_LT_LT_LT] = ACTIONS(1404),
    [anon_sym_BQUOTE] = ACTIONS(1404),
    [anon_sym_DOLLAR] = ACTIONS(1404),
    [aux_sym_yield_expression_token1] = ACTIONS(1406),
    [aux_sym_include_expression_token1] = ACTIONS(1406),
    [aux_sym_include_once_expression_token1] = ACTIONS(1406),
    [aux_sym_require_expression_token1] = ACTIONS(1406),
    [aux_sym_require_once_expression_token1] = ACTIONS(1406),
    [sym_comment] = ACTIONS(5),
  },
  [543] = {
    [sym_text_interpolation] = STATE(543),
    [ts_builtin_sym_end] = ACTIONS(1408),
    [sym_name] = ACTIONS(1410),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1408),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1410),
    [aux_sym_global_declaration_token1] = ACTIONS(1410),
    [aux_sym_namespace_definition_token1] = ACTIONS(1410),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1410),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1410),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1410),
    [anon_sym_BSLASH] = ACTIONS(1408),
    [anon_sym_LBRACE] = ACTIONS(1408),
    [anon_sym_RBRACE] = ACTIONS(1408),
    [aux_sym_trait_declaration_token1] = ACTIONS(1410),
    [aux_sym_interface_declaration_token1] = ACTIONS(1410),
    [aux_sym_enum_declaration_token1] = ACTIONS(1410),
    [aux_sym_enum_case_token1] = ACTIONS(1410),
    [aux_sym_class_declaration_token1] = ACTIONS(1410),
    [aux_sym_final_modifier_token1] = ACTIONS(1410),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1410),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1410),
    [sym_var_modifier] = ACTIONS(1410),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1410),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1410),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1410),
    [anon_sym_LPAREN2] = ACTIONS(1408),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1410),
    [aux_sym_cast_type_token1] = ACTIONS(1410),
    [aux_sym_echo_statement_token1] = ACTIONS(1410),
    [aux_sym_exit_statement_token1] = ACTIONS(1410),
    [anon_sym_unset] = ACTIONS(1410),
    [aux_sym_declare_statement_token1] = ACTIONS(1410),
    [aux_sym_declare_statement_token2] = ACTIONS(1410),
    [sym_float] = ACTIONS(1410),
    [aux_sym_try_statement_token1] = ACTIONS(1410),
    [aux_sym_goto_statement_token1] = ACTIONS(1410),
    [aux_sym_continue_statement_token1] = ACTIONS(1410),
    [aux_sym_break_statement_token1] = ACTIONS(1410),
    [sym_integer] = ACTIONS(1410),
    [aux_sym_return_statement_token1] = ACTIONS(1410),
    [aux_sym_throw_expression_token1] = ACTIONS(1410),
    [aux_sym_while_statement_token1] = ACTIONS(1410),
    [aux_sym_while_statement_token2] = ACTIONS(1410),
    [aux_sym_do_statement_token1] = ACTIONS(1410),
    [aux_sym_for_statement_token1] = ACTIONS(1410),
    [aux_sym_for_statement_token2] = ACTIONS(1410),
    [aux_sym_foreach_statement_token1] = ACTIONS(1410),
    [aux_sym_foreach_statement_token2] = ACTIONS(1410),
    [aux_sym_if_statement_token1] = ACTIONS(1410),
    [aux_sym_if_statement_token2] = ACTIONS(1410),
    [aux_sym_else_if_clause_token1] = ACTIONS(1410),
    [aux_sym_else_clause_token1] = ACTIONS(1410),
    [aux_sym_match_expression_token1] = ACTIONS(1410),
    [aux_sym_match_default_expression_token1] = ACTIONS(1410),
    [aux_sym_switch_statement_token1] = ACTIONS(1410),
    [aux_sym_switch_block_token1] = ACTIONS(1410),
    [anon_sym_PLUS] = ACTIONS(1410),
    [anon_sym_DASH] = ACTIONS(1410),
    [anon_sym_TILDE] = ACTIONS(1408),
    [anon_sym_BANG] = ACTIONS(1408),
    [anon_sym_AT] = ACTIONS(1408),
    [aux_sym_clone_expression_token1] = ACTIONS(1410),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1410),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1410),
    [anon_sym_DASH_DASH] = ACTIONS(1408),
    [anon_sym_PLUS_PLUS] = ACTIONS(1408),
    [aux_sym__list_destructing_token1] = ACTIONS(1410),
    [anon_sym_LBRACK] = ACTIONS(1408),
    [anon_sym_self] = ACTIONS(1410),
    [anon_sym_parent] = ACTIONS(1410),
    [aux_sym__argument_name_token1] = ACTIONS(1410),
    [aux_sym__argument_name_token2] = ACTIONS(1410),
    [anon_sym_POUND_LBRACK] = ACTIONS(1408),
    [aux_sym_encapsed_string_token1] = ACTIONS(1408),
    [anon_sym_DQUOTE] = ACTIONS(1408),
    [aux_sym_string_token1] = ACTIONS(1408),
    [anon_sym_SQUOTE] = ACTIONS(1408),
    [anon_sym_LT_LT_LT] = ACTIONS(1408),
    [anon_sym_BQUOTE] = ACTIONS(1408),
    [anon_sym_DOLLAR] = ACTIONS(1408),
    [aux_sym_yield_expression_token1] = ACTIONS(1410),
    [aux_sym_include_expression_token1] = ACTIONS(1410),
    [aux_sym_include_once_expression_token1] = ACTIONS(1410),
    [aux_sym_require_expression_token1] = ACTIONS(1410),
    [aux_sym_require_once_expression_token1] = ACTIONS(1410),
    [sym_comment] = ACTIONS(5),
  },
  [544] = {
    [sym_text_interpolation] = STATE(544),
    [ts_builtin_sym_end] = ACTIONS(1412),
    [sym_name] = ACTIONS(1414),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1412),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1414),
    [aux_sym_global_declaration_token1] = ACTIONS(1414),
    [aux_sym_namespace_definition_token1] = ACTIONS(1414),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1414),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1414),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1414),
    [anon_sym_BSLASH] = ACTIONS(1412),
    [anon_sym_LBRACE] = ACTIONS(1412),
    [anon_sym_RBRACE] = ACTIONS(1412),
    [aux_sym_trait_declaration_token1] = ACTIONS(1414),
    [aux_sym_interface_declaration_token1] = ACTIONS(1414),
    [aux_sym_enum_declaration_token1] = ACTIONS(1414),
    [aux_sym_enum_case_token1] = ACTIONS(1414),
    [aux_sym_class_declaration_token1] = ACTIONS(1414),
    [aux_sym_final_modifier_token1] = ACTIONS(1414),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1414),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1414),
    [sym_var_modifier] = ACTIONS(1414),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1414),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1414),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1414),
    [anon_sym_LPAREN2] = ACTIONS(1412),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1414),
    [aux_sym_cast_type_token1] = ACTIONS(1414),
    [aux_sym_echo_statement_token1] = ACTIONS(1414),
    [aux_sym_exit_statement_token1] = ACTIONS(1414),
    [anon_sym_unset] = ACTIONS(1414),
    [aux_sym_declare_statement_token1] = ACTIONS(1414),
    [aux_sym_declare_statement_token2] = ACTIONS(1414),
    [sym_float] = ACTIONS(1414),
    [aux_sym_try_statement_token1] = ACTIONS(1414),
    [aux_sym_goto_statement_token1] = ACTIONS(1414),
    [aux_sym_continue_statement_token1] = ACTIONS(1414),
    [aux_sym_break_statement_token1] = ACTIONS(1414),
    [sym_integer] = ACTIONS(1414),
    [aux_sym_return_statement_token1] = ACTIONS(1414),
    [aux_sym_throw_expression_token1] = ACTIONS(1414),
    [aux_sym_while_statement_token1] = ACTIONS(1414),
    [aux_sym_while_statement_token2] = ACTIONS(1414),
    [aux_sym_do_statement_token1] = ACTIONS(1414),
    [aux_sym_for_statement_token1] = ACTIONS(1414),
    [aux_sym_for_statement_token2] = ACTIONS(1414),
    [aux_sym_foreach_statement_token1] = ACTIONS(1414),
    [aux_sym_foreach_statement_token2] = ACTIONS(1414),
    [aux_sym_if_statement_token1] = ACTIONS(1414),
    [aux_sym_if_statement_token2] = ACTIONS(1414),
    [aux_sym_else_if_clause_token1] = ACTIONS(1414),
    [aux_sym_else_clause_token1] = ACTIONS(1414),
    [aux_sym_match_expression_token1] = ACTIONS(1414),
    [aux_sym_match_default_expression_token1] = ACTIONS(1414),
    [aux_sym_switch_statement_token1] = ACTIONS(1414),
    [aux_sym_switch_block_token1] = ACTIONS(1414),
    [anon_sym_PLUS] = ACTIONS(1414),
    [anon_sym_DASH] = ACTIONS(1414),
    [anon_sym_TILDE] = ACTIONS(1412),
    [anon_sym_BANG] = ACTIONS(1412),
    [anon_sym_AT] = ACTIONS(1412),
    [aux_sym_clone_expression_token1] = ACTIONS(1414),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1414),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1414),
    [anon_sym_DASH_DASH] = ACTIONS(1412),
    [anon_sym_PLUS_PLUS] = ACTIONS(1412),
    [aux_sym__list_destructing_token1] = ACTIONS(1414),
    [anon_sym_LBRACK] = ACTIONS(1412),
    [anon_sym_self] = ACTIONS(1414),
    [anon_sym_parent] = ACTIONS(1414),
    [aux_sym__argument_name_token1] = ACTIONS(1414),
    [aux_sym__argument_name_token2] = ACTIONS(1414),
    [anon_sym_POUND_LBRACK] = ACTIONS(1412),
    [aux_sym_encapsed_string_token1] = ACTIONS(1412),
    [anon_sym_DQUOTE] = ACTIONS(1412),
    [aux_sym_string_token1] = ACTIONS(1412),
    [anon_sym_SQUOTE] = ACTIONS(1412),
    [anon_sym_LT_LT_LT] = ACTIONS(1412),
    [anon_sym_BQUOTE] = ACTIONS(1412),
    [anon_sym_DOLLAR] = ACTIONS(1412),
    [aux_sym_yield_expression_token1] = ACTIONS(1414),
    [aux_sym_include_expression_token1] = ACTIONS(1414),
    [aux_sym_include_once_expression_token1] = ACTIONS(1414),
    [aux_sym_require_expression_token1] = ACTIONS(1414),
    [aux_sym_require_once_expression_token1] = ACTIONS(1414),
    [sym_comment] = ACTIONS(5),
  },
  [545] = {
    [sym_text_interpolation] = STATE(545),
    [ts_builtin_sym_end] = ACTIONS(1416),
    [sym_name] = ACTIONS(1418),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1416),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1418),
    [aux_sym_global_declaration_token1] = ACTIONS(1418),
    [aux_sym_namespace_definition_token1] = ACTIONS(1418),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1418),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1418),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1418),
    [anon_sym_BSLASH] = ACTIONS(1416),
    [anon_sym_LBRACE] = ACTIONS(1416),
    [anon_sym_RBRACE] = ACTIONS(1416),
    [aux_sym_trait_declaration_token1] = ACTIONS(1418),
    [aux_sym_interface_declaration_token1] = ACTIONS(1418),
    [aux_sym_enum_declaration_token1] = ACTIONS(1418),
    [aux_sym_enum_case_token1] = ACTIONS(1418),
    [aux_sym_class_declaration_token1] = ACTIONS(1418),
    [aux_sym_final_modifier_token1] = ACTIONS(1418),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1418),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1418),
    [sym_var_modifier] = ACTIONS(1418),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1418),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1418),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1418),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1418),
    [aux_sym_cast_type_token1] = ACTIONS(1418),
    [aux_sym_echo_statement_token1] = ACTIONS(1418),
    [aux_sym_exit_statement_token1] = ACTIONS(1418),
    [anon_sym_unset] = ACTIONS(1418),
    [aux_sym_declare_statement_token1] = ACTIONS(1418),
    [aux_sym_declare_statement_token2] = ACTIONS(1418),
    [sym_float] = ACTIONS(1418),
    [aux_sym_try_statement_token1] = ACTIONS(1418),
    [aux_sym_goto_statement_token1] = ACTIONS(1418),
    [aux_sym_continue_statement_token1] = ACTIONS(1418),
    [aux_sym_break_statement_token1] = ACTIONS(1418),
    [sym_integer] = ACTIONS(1418),
    [aux_sym_return_statement_token1] = ACTIONS(1418),
    [aux_sym_throw_expression_token1] = ACTIONS(1418),
    [aux_sym_while_statement_token1] = ACTIONS(1418),
    [aux_sym_while_statement_token2] = ACTIONS(1418),
    [aux_sym_do_statement_token1] = ACTIONS(1418),
    [aux_sym_for_statement_token1] = ACTIONS(1418),
    [aux_sym_for_statement_token2] = ACTIONS(1418),
    [aux_sym_foreach_statement_token1] = ACTIONS(1418),
    [aux_sym_foreach_statement_token2] = ACTIONS(1418),
    [aux_sym_if_statement_token1] = ACTIONS(1418),
    [aux_sym_if_statement_token2] = ACTIONS(1418),
    [aux_sym_else_if_clause_token1] = ACTIONS(1418),
    [aux_sym_else_clause_token1] = ACTIONS(1418),
    [aux_sym_match_expression_token1] = ACTIONS(1418),
    [aux_sym_match_default_expression_token1] = ACTIONS(1418),
    [aux_sym_switch_statement_token1] = ACTIONS(1418),
    [aux_sym_switch_block_token1] = ACTIONS(1418),
    [anon_sym_PLUS] = ACTIONS(1418),
    [anon_sym_DASH] = ACTIONS(1418),
    [anon_sym_TILDE] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(1416),
    [anon_sym_AT] = ACTIONS(1416),
    [aux_sym_clone_expression_token1] = ACTIONS(1418),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1418),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1418),
    [anon_sym_DASH_DASH] = ACTIONS(1416),
    [anon_sym_PLUS_PLUS] = ACTIONS(1416),
    [aux_sym__list_destructing_token1] = ACTIONS(1418),
    [anon_sym_LBRACK] = ACTIONS(1416),
    [anon_sym_self] = ACTIONS(1418),
    [anon_sym_parent] = ACTIONS(1418),
    [aux_sym__argument_name_token1] = ACTIONS(1418),
    [aux_sym__argument_name_token2] = ACTIONS(1418),
    [anon_sym_POUND_LBRACK] = ACTIONS(1416),
    [aux_sym_encapsed_string_token1] = ACTIONS(1416),
    [anon_sym_DQUOTE] = ACTIONS(1416),
    [aux_sym_string_token1] = ACTIONS(1416),
    [anon_sym_SQUOTE] = ACTIONS(1416),
    [anon_sym_LT_LT_LT] = ACTIONS(1416),
    [anon_sym_BQUOTE] = ACTIONS(1416),
    [anon_sym_DOLLAR] = ACTIONS(1416),
    [aux_sym_yield_expression_token1] = ACTIONS(1418),
    [aux_sym_include_expression_token1] = ACTIONS(1418),
    [aux_sym_include_once_expression_token1] = ACTIONS(1418),
    [aux_sym_require_expression_token1] = ACTIONS(1418),
    [aux_sym_require_once_expression_token1] = ACTIONS(1418),
    [sym_comment] = ACTIONS(5),
  },
  [546] = {
    [sym_text_interpolation] = STATE(546),
    [ts_builtin_sym_end] = ACTIONS(1420),
    [sym_name] = ACTIONS(1422),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1420),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1422),
    [aux_sym_global_declaration_token1] = ACTIONS(1422),
    [aux_sym_namespace_definition_token1] = ACTIONS(1422),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1422),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1422),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1422),
    [anon_sym_BSLASH] = ACTIONS(1420),
    [anon_sym_LBRACE] = ACTIONS(1420),
    [anon_sym_RBRACE] = ACTIONS(1420),
    [aux_sym_trait_declaration_token1] = ACTIONS(1422),
    [aux_sym_interface_declaration_token1] = ACTIONS(1422),
    [aux_sym_enum_declaration_token1] = ACTIONS(1422),
    [aux_sym_enum_case_token1] = ACTIONS(1422),
    [aux_sym_class_declaration_token1] = ACTIONS(1422),
    [aux_sym_final_modifier_token1] = ACTIONS(1422),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1422),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1422),
    [sym_var_modifier] = ACTIONS(1422),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1422),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1422),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1422),
    [anon_sym_LPAREN2] = ACTIONS(1420),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1422),
    [aux_sym_cast_type_token1] = ACTIONS(1422),
    [aux_sym_echo_statement_token1] = ACTIONS(1422),
    [aux_sym_exit_statement_token1] = ACTIONS(1422),
    [anon_sym_unset] = ACTIONS(1422),
    [aux_sym_declare_statement_token1] = ACTIONS(1422),
    [aux_sym_declare_statement_token2] = ACTIONS(1422),
    [sym_float] = ACTIONS(1422),
    [aux_sym_try_statement_token1] = ACTIONS(1422),
    [aux_sym_goto_statement_token1] = ACTIONS(1422),
    [aux_sym_continue_statement_token1] = ACTIONS(1422),
    [aux_sym_break_statement_token1] = ACTIONS(1422),
    [sym_integer] = ACTIONS(1422),
    [aux_sym_return_statement_token1] = ACTIONS(1422),
    [aux_sym_throw_expression_token1] = ACTIONS(1422),
    [aux_sym_while_statement_token1] = ACTIONS(1422),
    [aux_sym_while_statement_token2] = ACTIONS(1422),
    [aux_sym_do_statement_token1] = ACTIONS(1422),
    [aux_sym_for_statement_token1] = ACTIONS(1422),
    [aux_sym_for_statement_token2] = ACTIONS(1422),
    [aux_sym_foreach_statement_token1] = ACTIONS(1422),
    [aux_sym_foreach_statement_token2] = ACTIONS(1422),
    [aux_sym_if_statement_token1] = ACTIONS(1422),
    [aux_sym_if_statement_token2] = ACTIONS(1422),
    [aux_sym_else_if_clause_token1] = ACTIONS(1422),
    [aux_sym_else_clause_token1] = ACTIONS(1422),
    [aux_sym_match_expression_token1] = ACTIONS(1422),
    [aux_sym_match_default_expression_token1] = ACTIONS(1422),
    [aux_sym_switch_statement_token1] = ACTIONS(1422),
    [aux_sym_switch_block_token1] = ACTIONS(1422),
    [anon_sym_PLUS] = ACTIONS(1422),
    [anon_sym_DASH] = ACTIONS(1422),
    [anon_sym_TILDE] = ACTIONS(1420),
    [anon_sym_BANG] = ACTIONS(1420),
    [anon_sym_AT] = ACTIONS(1420),
    [aux_sym_clone_expression_token1] = ACTIONS(1422),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1422),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1422),
    [anon_sym_DASH_DASH] = ACTIONS(1420),
    [anon_sym_PLUS_PLUS] = ACTIONS(1420),
    [aux_sym__list_destructing_token1] = ACTIONS(1422),
    [anon_sym_LBRACK] = ACTIONS(1420),
    [anon_sym_self] = ACTIONS(1422),
    [anon_sym_parent] = ACTIONS(1422),
    [aux_sym__argument_name_token1] = ACTIONS(1422),
    [aux_sym__argument_name_token2] = ACTIONS(1422),
    [anon_sym_POUND_LBRACK] = ACTIONS(1420),
    [aux_sym_encapsed_string_token1] = ACTIONS(1420),
    [anon_sym_DQUOTE] = ACTIONS(1420),
    [aux_sym_string_token1] = ACTIONS(1420),
    [anon_sym_SQUOTE] = ACTIONS(1420),
    [anon_sym_LT_LT_LT] = ACTIONS(1420),
    [anon_sym_BQUOTE] = ACTIONS(1420),
    [anon_sym_DOLLAR] = ACTIONS(1420),
    [aux_sym_yield_expression_token1] = ACTIONS(1422),
    [aux_sym_include_expression_token1] = ACTIONS(1422),
    [aux_sym_include_once_expression_token1] = ACTIONS(1422),
    [aux_sym_require_expression_token1] = ACTIONS(1422),
    [aux_sym_require_once_expression_token1] = ACTIONS(1422),
    [sym_comment] = ACTIONS(5),
  },
  [547] = {
    [sym_text_interpolation] = STATE(547),
    [ts_builtin_sym_end] = ACTIONS(1424),
    [sym_name] = ACTIONS(1426),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1424),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1426),
    [aux_sym_global_declaration_token1] = ACTIONS(1426),
    [aux_sym_namespace_definition_token1] = ACTIONS(1426),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1426),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1426),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1426),
    [anon_sym_BSLASH] = ACTIONS(1424),
    [anon_sym_LBRACE] = ACTIONS(1424),
    [anon_sym_RBRACE] = ACTIONS(1424),
    [aux_sym_trait_declaration_token1] = ACTIONS(1426),
    [aux_sym_interface_declaration_token1] = ACTIONS(1426),
    [aux_sym_enum_declaration_token1] = ACTIONS(1426),
    [aux_sym_enum_case_token1] = ACTIONS(1426),
    [aux_sym_class_declaration_token1] = ACTIONS(1426),
    [aux_sym_final_modifier_token1] = ACTIONS(1426),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1426),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1426),
    [sym_var_modifier] = ACTIONS(1426),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1426),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1426),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1426),
    [anon_sym_LPAREN2] = ACTIONS(1424),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1426),
    [aux_sym_cast_type_token1] = ACTIONS(1426),
    [aux_sym_echo_statement_token1] = ACTIONS(1426),
    [aux_sym_exit_statement_token1] = ACTIONS(1426),
    [anon_sym_unset] = ACTIONS(1426),
    [aux_sym_declare_statement_token1] = ACTIONS(1426),
    [aux_sym_declare_statement_token2] = ACTIONS(1426),
    [sym_float] = ACTIONS(1426),
    [aux_sym_try_statement_token1] = ACTIONS(1426),
    [aux_sym_goto_statement_token1] = ACTIONS(1426),
    [aux_sym_continue_statement_token1] = ACTIONS(1426),
    [aux_sym_break_statement_token1] = ACTIONS(1426),
    [sym_integer] = ACTIONS(1426),
    [aux_sym_return_statement_token1] = ACTIONS(1426),
    [aux_sym_throw_expression_token1] = ACTIONS(1426),
    [aux_sym_while_statement_token1] = ACTIONS(1426),
    [aux_sym_while_statement_token2] = ACTIONS(1426),
    [aux_sym_do_statement_token1] = ACTIONS(1426),
    [aux_sym_for_statement_token1] = ACTIONS(1426),
    [aux_sym_for_statement_token2] = ACTIONS(1426),
    [aux_sym_foreach_statement_token1] = ACTIONS(1426),
    [aux_sym_foreach_statement_token2] = ACTIONS(1426),
    [aux_sym_if_statement_token1] = ACTIONS(1426),
    [aux_sym_if_statement_token2] = ACTIONS(1426),
    [aux_sym_else_if_clause_token1] = ACTIONS(1426),
    [aux_sym_else_clause_token1] = ACTIONS(1426),
    [aux_sym_match_expression_token1] = ACTIONS(1426),
    [aux_sym_match_default_expression_token1] = ACTIONS(1426),
    [aux_sym_switch_statement_token1] = ACTIONS(1426),
    [aux_sym_switch_block_token1] = ACTIONS(1426),
    [anon_sym_PLUS] = ACTIONS(1426),
    [anon_sym_DASH] = ACTIONS(1426),
    [anon_sym_TILDE] = ACTIONS(1424),
    [anon_sym_BANG] = ACTIONS(1424),
    [anon_sym_AT] = ACTIONS(1424),
    [aux_sym_clone_expression_token1] = ACTIONS(1426),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1426),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1426),
    [anon_sym_DASH_DASH] = ACTIONS(1424),
    [anon_sym_PLUS_PLUS] = ACTIONS(1424),
    [aux_sym__list_destructing_token1] = ACTIONS(1426),
    [anon_sym_LBRACK] = ACTIONS(1424),
    [anon_sym_self] = ACTIONS(1426),
    [anon_sym_parent] = ACTIONS(1426),
    [aux_sym__argument_name_token1] = ACTIONS(1426),
    [aux_sym__argument_name_token2] = ACTIONS(1426),
    [anon_sym_POUND_LBRACK] = ACTIONS(1424),
    [aux_sym_encapsed_string_token1] = ACTIONS(1424),
    [anon_sym_DQUOTE] = ACTIONS(1424),
    [aux_sym_string_token1] = ACTIONS(1424),
    [anon_sym_SQUOTE] = ACTIONS(1424),
    [anon_sym_LT_LT_LT] = ACTIONS(1424),
    [anon_sym_BQUOTE] = ACTIONS(1424),
    [anon_sym_DOLLAR] = ACTIONS(1424),
    [aux_sym_yield_expression_token1] = ACTIONS(1426),
    [aux_sym_include_expression_token1] = ACTIONS(1426),
    [aux_sym_include_once_expression_token1] = ACTIONS(1426),
    [aux_sym_require_expression_token1] = ACTIONS(1426),
    [aux_sym_require_once_expression_token1] = ACTIONS(1426),
    [sym_comment] = ACTIONS(5),
  },
  [548] = {
    [sym_text_interpolation] = STATE(548),
    [ts_builtin_sym_end] = ACTIONS(1428),
    [sym_name] = ACTIONS(1430),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1428),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1430),
    [aux_sym_global_declaration_token1] = ACTIONS(1430),
    [aux_sym_namespace_definition_token1] = ACTIONS(1430),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1430),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1430),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1430),
    [anon_sym_BSLASH] = ACTIONS(1428),
    [anon_sym_LBRACE] = ACTIONS(1428),
    [anon_sym_RBRACE] = ACTIONS(1428),
    [aux_sym_trait_declaration_token1] = ACTIONS(1430),
    [aux_sym_interface_declaration_token1] = ACTIONS(1430),
    [aux_sym_enum_declaration_token1] = ACTIONS(1430),
    [aux_sym_enum_case_token1] = ACTIONS(1430),
    [aux_sym_class_declaration_token1] = ACTIONS(1430),
    [aux_sym_final_modifier_token1] = ACTIONS(1430),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1430),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1430),
    [sym_var_modifier] = ACTIONS(1430),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1430),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1430),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1430),
    [anon_sym_LPAREN2] = ACTIONS(1428),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1430),
    [aux_sym_cast_type_token1] = ACTIONS(1430),
    [aux_sym_echo_statement_token1] = ACTIONS(1430),
    [aux_sym_exit_statement_token1] = ACTIONS(1430),
    [anon_sym_unset] = ACTIONS(1430),
    [aux_sym_declare_statement_token1] = ACTIONS(1430),
    [aux_sym_declare_statement_token2] = ACTIONS(1430),
    [sym_float] = ACTIONS(1430),
    [aux_sym_try_statement_token1] = ACTIONS(1430),
    [aux_sym_goto_statement_token1] = ACTIONS(1430),
    [aux_sym_continue_statement_token1] = ACTIONS(1430),
    [aux_sym_break_statement_token1] = ACTIONS(1430),
    [sym_integer] = ACTIONS(1430),
    [aux_sym_return_statement_token1] = ACTIONS(1430),
    [aux_sym_throw_expression_token1] = ACTIONS(1430),
    [aux_sym_while_statement_token1] = ACTIONS(1430),
    [aux_sym_while_statement_token2] = ACTIONS(1430),
    [aux_sym_do_statement_token1] = ACTIONS(1430),
    [aux_sym_for_statement_token1] = ACTIONS(1430),
    [aux_sym_for_statement_token2] = ACTIONS(1430),
    [aux_sym_foreach_statement_token1] = ACTIONS(1430),
    [aux_sym_foreach_statement_token2] = ACTIONS(1430),
    [aux_sym_if_statement_token1] = ACTIONS(1430),
    [aux_sym_if_statement_token2] = ACTIONS(1430),
    [aux_sym_else_if_clause_token1] = ACTIONS(1430),
    [aux_sym_else_clause_token1] = ACTIONS(1430),
    [aux_sym_match_expression_token1] = ACTIONS(1430),
    [aux_sym_match_default_expression_token1] = ACTIONS(1430),
    [aux_sym_switch_statement_token1] = ACTIONS(1430),
    [aux_sym_switch_block_token1] = ACTIONS(1430),
    [anon_sym_PLUS] = ACTIONS(1430),
    [anon_sym_DASH] = ACTIONS(1430),
    [anon_sym_TILDE] = ACTIONS(1428),
    [anon_sym_BANG] = ACTIONS(1428),
    [anon_sym_AT] = ACTIONS(1428),
    [aux_sym_clone_expression_token1] = ACTIONS(1430),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1430),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1430),
    [anon_sym_DASH_DASH] = ACTIONS(1428),
    [anon_sym_PLUS_PLUS] = ACTIONS(1428),
    [aux_sym__list_destructing_token1] = ACTIONS(1430),
    [anon_sym_LBRACK] = ACTIONS(1428),
    [anon_sym_self] = ACTIONS(1430),
    [anon_sym_parent] = ACTIONS(1430),
    [aux_sym__argument_name_token1] = ACTIONS(1430),
    [aux_sym__argument_name_token2] = ACTIONS(1430),
    [anon_sym_POUND_LBRACK] = ACTIONS(1428),
    [aux_sym_encapsed_string_token1] = ACTIONS(1428),
    [anon_sym_DQUOTE] = ACTIONS(1428),
    [aux_sym_string_token1] = ACTIONS(1428),
    [anon_sym_SQUOTE] = ACTIONS(1428),
    [anon_sym_LT_LT_LT] = ACTIONS(1428),
    [anon_sym_BQUOTE] = ACTIONS(1428),
    [anon_sym_DOLLAR] = ACTIONS(1428),
    [aux_sym_yield_expression_token1] = ACTIONS(1430),
    [aux_sym_include_expression_token1] = ACTIONS(1430),
    [aux_sym_include_once_expression_token1] = ACTIONS(1430),
    [aux_sym_require_expression_token1] = ACTIONS(1430),
    [aux_sym_require_once_expression_token1] = ACTIONS(1430),
    [sym_comment] = ACTIONS(5),
  },
  [549] = {
    [sym_text_interpolation] = STATE(549),
    [ts_builtin_sym_end] = ACTIONS(1432),
    [sym_name] = ACTIONS(1434),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1432),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1434),
    [aux_sym_global_declaration_token1] = ACTIONS(1434),
    [aux_sym_namespace_definition_token1] = ACTIONS(1434),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1434),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1434),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1434),
    [anon_sym_BSLASH] = ACTIONS(1432),
    [anon_sym_LBRACE] = ACTIONS(1432),
    [anon_sym_RBRACE] = ACTIONS(1432),
    [aux_sym_trait_declaration_token1] = ACTIONS(1434),
    [aux_sym_interface_declaration_token1] = ACTIONS(1434),
    [aux_sym_enum_declaration_token1] = ACTIONS(1434),
    [aux_sym_enum_case_token1] = ACTIONS(1434),
    [aux_sym_class_declaration_token1] = ACTIONS(1434),
    [aux_sym_final_modifier_token1] = ACTIONS(1434),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1434),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1434),
    [sym_var_modifier] = ACTIONS(1434),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1434),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1434),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1434),
    [anon_sym_LPAREN2] = ACTIONS(1432),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1434),
    [aux_sym_cast_type_token1] = ACTIONS(1434),
    [aux_sym_echo_statement_token1] = ACTIONS(1434),
    [aux_sym_exit_statement_token1] = ACTIONS(1434),
    [anon_sym_unset] = ACTIONS(1434),
    [aux_sym_declare_statement_token1] = ACTIONS(1434),
    [aux_sym_declare_statement_token2] = ACTIONS(1434),
    [sym_float] = ACTIONS(1434),
    [aux_sym_try_statement_token1] = ACTIONS(1434),
    [aux_sym_goto_statement_token1] = ACTIONS(1434),
    [aux_sym_continue_statement_token1] = ACTIONS(1434),
    [aux_sym_break_statement_token1] = ACTIONS(1434),
    [sym_integer] = ACTIONS(1434),
    [aux_sym_return_statement_token1] = ACTIONS(1434),
    [aux_sym_throw_expression_token1] = ACTIONS(1434),
    [aux_sym_while_statement_token1] = ACTIONS(1434),
    [aux_sym_while_statement_token2] = ACTIONS(1434),
    [aux_sym_do_statement_token1] = ACTIONS(1434),
    [aux_sym_for_statement_token1] = ACTIONS(1434),
    [aux_sym_for_statement_token2] = ACTIONS(1434),
    [aux_sym_foreach_statement_token1] = ACTIONS(1434),
    [aux_sym_foreach_statement_token2] = ACTIONS(1434),
    [aux_sym_if_statement_token1] = ACTIONS(1434),
    [aux_sym_if_statement_token2] = ACTIONS(1434),
    [aux_sym_else_if_clause_token1] = ACTIONS(1434),
    [aux_sym_else_clause_token1] = ACTIONS(1434),
    [aux_sym_match_expression_token1] = ACTIONS(1434),
    [aux_sym_match_default_expression_token1] = ACTIONS(1434),
    [aux_sym_switch_statement_token1] = ACTIONS(1434),
    [aux_sym_switch_block_token1] = ACTIONS(1434),
    [anon_sym_PLUS] = ACTIONS(1434),
    [anon_sym_DASH] = ACTIONS(1434),
    [anon_sym_TILDE] = ACTIONS(1432),
    [anon_sym_BANG] = ACTIONS(1432),
    [anon_sym_AT] = ACTIONS(1432),
    [aux_sym_clone_expression_token1] = ACTIONS(1434),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1434),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1434),
    [anon_sym_DASH_DASH] = ACTIONS(1432),
    [anon_sym_PLUS_PLUS] = ACTIONS(1432),
    [aux_sym__list_destructing_token1] = ACTIONS(1434),
    [anon_sym_LBRACK] = ACTIONS(1432),
    [anon_sym_self] = ACTIONS(1434),
    [anon_sym_parent] = ACTIONS(1434),
    [aux_sym__argument_name_token1] = ACTIONS(1434),
    [aux_sym__argument_name_token2] = ACTIONS(1434),
    [anon_sym_POUND_LBRACK] = ACTIONS(1432),
    [aux_sym_encapsed_string_token1] = ACTIONS(1432),
    [anon_sym_DQUOTE] = ACTIONS(1432),
    [aux_sym_string_token1] = ACTIONS(1432),
    [anon_sym_SQUOTE] = ACTIONS(1432),
    [anon_sym_LT_LT_LT] = ACTIONS(1432),
    [anon_sym_BQUOTE] = ACTIONS(1432),
    [anon_sym_DOLLAR] = ACTIONS(1432),
    [aux_sym_yield_expression_token1] = ACTIONS(1434),
    [aux_sym_include_expression_token1] = ACTIONS(1434),
    [aux_sym_include_once_expression_token1] = ACTIONS(1434),
    [aux_sym_require_expression_token1] = ACTIONS(1434),
    [aux_sym_require_once_expression_token1] = ACTIONS(1434),
    [sym_comment] = ACTIONS(5),
  },
  [550] = {
    [sym_text_interpolation] = STATE(550),
    [ts_builtin_sym_end] = ACTIONS(1436),
    [sym_name] = ACTIONS(1438),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1436),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1438),
    [aux_sym_global_declaration_token1] = ACTIONS(1438),
    [aux_sym_namespace_definition_token1] = ACTIONS(1438),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1438),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1438),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1438),
    [anon_sym_BSLASH] = ACTIONS(1436),
    [anon_sym_LBRACE] = ACTIONS(1436),
    [anon_sym_RBRACE] = ACTIONS(1436),
    [aux_sym_trait_declaration_token1] = ACTIONS(1438),
    [aux_sym_interface_declaration_token1] = ACTIONS(1438),
    [aux_sym_enum_declaration_token1] = ACTIONS(1438),
    [aux_sym_enum_case_token1] = ACTIONS(1438),
    [aux_sym_class_declaration_token1] = ACTIONS(1438),
    [aux_sym_final_modifier_token1] = ACTIONS(1438),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1438),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1438),
    [sym_var_modifier] = ACTIONS(1438),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1438),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1438),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1438),
    [anon_sym_LPAREN2] = ACTIONS(1436),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1438),
    [aux_sym_cast_type_token1] = ACTIONS(1438),
    [aux_sym_echo_statement_token1] = ACTIONS(1438),
    [aux_sym_exit_statement_token1] = ACTIONS(1438),
    [anon_sym_unset] = ACTIONS(1438),
    [aux_sym_declare_statement_token1] = ACTIONS(1438),
    [aux_sym_declare_statement_token2] = ACTIONS(1438),
    [sym_float] = ACTIONS(1438),
    [aux_sym_try_statement_token1] = ACTIONS(1438),
    [aux_sym_goto_statement_token1] = ACTIONS(1438),
    [aux_sym_continue_statement_token1] = ACTIONS(1438),
    [aux_sym_break_statement_token1] = ACTIONS(1438),
    [sym_integer] = ACTIONS(1438),
    [aux_sym_return_statement_token1] = ACTIONS(1438),
    [aux_sym_throw_expression_token1] = ACTIONS(1438),
    [aux_sym_while_statement_token1] = ACTIONS(1438),
    [aux_sym_while_statement_token2] = ACTIONS(1438),
    [aux_sym_do_statement_token1] = ACTIONS(1438),
    [aux_sym_for_statement_token1] = ACTIONS(1438),
    [aux_sym_for_statement_token2] = ACTIONS(1438),
    [aux_sym_foreach_statement_token1] = ACTIONS(1438),
    [aux_sym_foreach_statement_token2] = ACTIONS(1438),
    [aux_sym_if_statement_token1] = ACTIONS(1438),
    [aux_sym_if_statement_token2] = ACTIONS(1438),
    [aux_sym_else_if_clause_token1] = ACTIONS(1438),
    [aux_sym_else_clause_token1] = ACTIONS(1438),
    [aux_sym_match_expression_token1] = ACTIONS(1438),
    [aux_sym_match_default_expression_token1] = ACTIONS(1438),
    [aux_sym_switch_statement_token1] = ACTIONS(1438),
    [aux_sym_switch_block_token1] = ACTIONS(1438),
    [anon_sym_PLUS] = ACTIONS(1438),
    [anon_sym_DASH] = ACTIONS(1438),
    [anon_sym_TILDE] = ACTIONS(1436),
    [anon_sym_BANG] = ACTIONS(1436),
    [anon_sym_AT] = ACTIONS(1436),
    [aux_sym_clone_expression_token1] = ACTIONS(1438),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1438),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1438),
    [anon_sym_DASH_DASH] = ACTIONS(1436),
    [anon_sym_PLUS_PLUS] = ACTIONS(1436),
    [aux_sym__list_destructing_token1] = ACTIONS(1438),
    [anon_sym_LBRACK] = ACTIONS(1436),
    [anon_sym_self] = ACTIONS(1438),
    [anon_sym_parent] = ACTIONS(1438),
    [aux_sym__argument_name_token1] = ACTIONS(1438),
    [aux_sym__argument_name_token2] = ACTIONS(1438),
    [anon_sym_POUND_LBRACK] = ACTIONS(1436),
    [aux_sym_encapsed_string_token1] = ACTIONS(1436),
    [anon_sym_DQUOTE] = ACTIONS(1436),
    [aux_sym_string_token1] = ACTIONS(1436),
    [anon_sym_SQUOTE] = ACTIONS(1436),
    [anon_sym_LT_LT_LT] = ACTIONS(1436),
    [anon_sym_BQUOTE] = ACTIONS(1436),
    [anon_sym_DOLLAR] = ACTIONS(1436),
    [aux_sym_yield_expression_token1] = ACTIONS(1438),
    [aux_sym_include_expression_token1] = ACTIONS(1438),
    [aux_sym_include_once_expression_token1] = ACTIONS(1438),
    [aux_sym_require_expression_token1] = ACTIONS(1438),
    [aux_sym_require_once_expression_token1] = ACTIONS(1438),
    [sym_comment] = ACTIONS(5),
  },
  [551] = {
    [sym_text_interpolation] = STATE(551),
    [ts_builtin_sym_end] = ACTIONS(1440),
    [sym_name] = ACTIONS(1442),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1440),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1442),
    [aux_sym_global_declaration_token1] = ACTIONS(1442),
    [aux_sym_namespace_definition_token1] = ACTIONS(1442),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1442),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1442),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1442),
    [anon_sym_BSLASH] = ACTIONS(1440),
    [anon_sym_LBRACE] = ACTIONS(1440),
    [anon_sym_RBRACE] = ACTIONS(1440),
    [aux_sym_trait_declaration_token1] = ACTIONS(1442),
    [aux_sym_interface_declaration_token1] = ACTIONS(1442),
    [aux_sym_enum_declaration_token1] = ACTIONS(1442),
    [aux_sym_enum_case_token1] = ACTIONS(1442),
    [aux_sym_class_declaration_token1] = ACTIONS(1442),
    [aux_sym_final_modifier_token1] = ACTIONS(1442),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1442),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1442),
    [sym_var_modifier] = ACTIONS(1442),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1442),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1442),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1442),
    [anon_sym_LPAREN2] = ACTIONS(1440),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1442),
    [aux_sym_cast_type_token1] = ACTIONS(1442),
    [aux_sym_echo_statement_token1] = ACTIONS(1442),
    [aux_sym_exit_statement_token1] = ACTIONS(1442),
    [anon_sym_unset] = ACTIONS(1442),
    [aux_sym_declare_statement_token1] = ACTIONS(1442),
    [aux_sym_declare_statement_token2] = ACTIONS(1442),
    [sym_float] = ACTIONS(1442),
    [aux_sym_try_statement_token1] = ACTIONS(1442),
    [aux_sym_goto_statement_token1] = ACTIONS(1442),
    [aux_sym_continue_statement_token1] = ACTIONS(1442),
    [aux_sym_break_statement_token1] = ACTIONS(1442),
    [sym_integer] = ACTIONS(1442),
    [aux_sym_return_statement_token1] = ACTIONS(1442),
    [aux_sym_throw_expression_token1] = ACTIONS(1442),
    [aux_sym_while_statement_token1] = ACTIONS(1442),
    [aux_sym_while_statement_token2] = ACTIONS(1442),
    [aux_sym_do_statement_token1] = ACTIONS(1442),
    [aux_sym_for_statement_token1] = ACTIONS(1442),
    [aux_sym_for_statement_token2] = ACTIONS(1442),
    [aux_sym_foreach_statement_token1] = ACTIONS(1442),
    [aux_sym_foreach_statement_token2] = ACTIONS(1442),
    [aux_sym_if_statement_token1] = ACTIONS(1442),
    [aux_sym_if_statement_token2] = ACTIONS(1442),
    [aux_sym_else_if_clause_token1] = ACTIONS(1442),
    [aux_sym_else_clause_token1] = ACTIONS(1442),
    [aux_sym_match_expression_token1] = ACTIONS(1442),
    [aux_sym_match_default_expression_token1] = ACTIONS(1442),
    [aux_sym_switch_statement_token1] = ACTIONS(1442),
    [aux_sym_switch_block_token1] = ACTIONS(1442),
    [anon_sym_PLUS] = ACTIONS(1442),
    [anon_sym_DASH] = ACTIONS(1442),
    [anon_sym_TILDE] = ACTIONS(1440),
    [anon_sym_BANG] = ACTIONS(1440),
    [anon_sym_AT] = ACTIONS(1440),
    [aux_sym_clone_expression_token1] = ACTIONS(1442),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1442),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1442),
    [anon_sym_DASH_DASH] = ACTIONS(1440),
    [anon_sym_PLUS_PLUS] = ACTIONS(1440),
    [aux_sym__list_destructing_token1] = ACTIONS(1442),
    [anon_sym_LBRACK] = ACTIONS(1440),
    [anon_sym_self] = ACTIONS(1442),
    [anon_sym_parent] = ACTIONS(1442),
    [aux_sym__argument_name_token1] = ACTIONS(1442),
    [aux_sym__argument_name_token2] = ACTIONS(1442),
    [anon_sym_POUND_LBRACK] = ACTIONS(1440),
    [aux_sym_encapsed_string_token1] = ACTIONS(1440),
    [anon_sym_DQUOTE] = ACTIONS(1440),
    [aux_sym_string_token1] = ACTIONS(1440),
    [anon_sym_SQUOTE] = ACTIONS(1440),
    [anon_sym_LT_LT_LT] = ACTIONS(1440),
    [anon_sym_BQUOTE] = ACTIONS(1440),
    [anon_sym_DOLLAR] = ACTIONS(1440),
    [aux_sym_yield_expression_token1] = ACTIONS(1442),
    [aux_sym_include_expression_token1] = ACTIONS(1442),
    [aux_sym_include_once_expression_token1] = ACTIONS(1442),
    [aux_sym_require_expression_token1] = ACTIONS(1442),
    [aux_sym_require_once_expression_token1] = ACTIONS(1442),
    [sym_comment] = ACTIONS(5),
  },
  [552] = {
    [sym_text_interpolation] = STATE(552),
    [ts_builtin_sym_end] = ACTIONS(1444),
    [sym_name] = ACTIONS(1446),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1444),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1446),
    [aux_sym_global_declaration_token1] = ACTIONS(1446),
    [aux_sym_namespace_definition_token1] = ACTIONS(1446),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1446),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1446),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1446),
    [anon_sym_BSLASH] = ACTIONS(1444),
    [anon_sym_LBRACE] = ACTIONS(1444),
    [anon_sym_RBRACE] = ACTIONS(1444),
    [aux_sym_trait_declaration_token1] = ACTIONS(1446),
    [aux_sym_interface_declaration_token1] = ACTIONS(1446),
    [aux_sym_enum_declaration_token1] = ACTIONS(1446),
    [aux_sym_enum_case_token1] = ACTIONS(1446),
    [aux_sym_class_declaration_token1] = ACTIONS(1446),
    [aux_sym_final_modifier_token1] = ACTIONS(1446),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1446),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1446),
    [sym_var_modifier] = ACTIONS(1446),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1446),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1446),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1446),
    [anon_sym_LPAREN2] = ACTIONS(1444),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1446),
    [aux_sym_cast_type_token1] = ACTIONS(1446),
    [aux_sym_echo_statement_token1] = ACTIONS(1446),
    [aux_sym_exit_statement_token1] = ACTIONS(1446),
    [anon_sym_unset] = ACTIONS(1446),
    [aux_sym_declare_statement_token1] = ACTIONS(1446),
    [aux_sym_declare_statement_token2] = ACTIONS(1446),
    [sym_float] = ACTIONS(1446),
    [aux_sym_try_statement_token1] = ACTIONS(1446),
    [aux_sym_goto_statement_token1] = ACTIONS(1446),
    [aux_sym_continue_statement_token1] = ACTIONS(1446),
    [aux_sym_break_statement_token1] = ACTIONS(1446),
    [sym_integer] = ACTIONS(1446),
    [aux_sym_return_statement_token1] = ACTIONS(1446),
    [aux_sym_throw_expression_token1] = ACTIONS(1446),
    [aux_sym_while_statement_token1] = ACTIONS(1446),
    [aux_sym_while_statement_token2] = ACTIONS(1446),
    [aux_sym_do_statement_token1] = ACTIONS(1446),
    [aux_sym_for_statement_token1] = ACTIONS(1446),
    [aux_sym_for_statement_token2] = ACTIONS(1446),
    [aux_sym_foreach_statement_token1] = ACTIONS(1446),
    [aux_sym_foreach_statement_token2] = ACTIONS(1446),
    [aux_sym_if_statement_token1] = ACTIONS(1446),
    [aux_sym_if_statement_token2] = ACTIONS(1446),
    [aux_sym_else_if_clause_token1] = ACTIONS(1446),
    [aux_sym_else_clause_token1] = ACTIONS(1446),
    [aux_sym_match_expression_token1] = ACTIONS(1446),
    [aux_sym_match_default_expression_token1] = ACTIONS(1446),
    [aux_sym_switch_statement_token1] = ACTIONS(1446),
    [aux_sym_switch_block_token1] = ACTIONS(1446),
    [anon_sym_PLUS] = ACTIONS(1446),
    [anon_sym_DASH] = ACTIONS(1446),
    [anon_sym_TILDE] = ACTIONS(1444),
    [anon_sym_BANG] = ACTIONS(1444),
    [anon_sym_AT] = ACTIONS(1444),
    [aux_sym_clone_expression_token1] = ACTIONS(1446),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1446),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1446),
    [anon_sym_DASH_DASH] = ACTIONS(1444),
    [anon_sym_PLUS_PLUS] = ACTIONS(1444),
    [aux_sym__list_destructing_token1] = ACTIONS(1446),
    [anon_sym_LBRACK] = ACTIONS(1444),
    [anon_sym_self] = ACTIONS(1446),
    [anon_sym_parent] = ACTIONS(1446),
    [aux_sym__argument_name_token1] = ACTIONS(1446),
    [aux_sym__argument_name_token2] = ACTIONS(1446),
    [anon_sym_POUND_LBRACK] = ACTIONS(1444),
    [aux_sym_encapsed_string_token1] = ACTIONS(1444),
    [anon_sym_DQUOTE] = ACTIONS(1444),
    [aux_sym_string_token1] = ACTIONS(1444),
    [anon_sym_SQUOTE] = ACTIONS(1444),
    [anon_sym_LT_LT_LT] = ACTIONS(1444),
    [anon_sym_BQUOTE] = ACTIONS(1444),
    [anon_sym_DOLLAR] = ACTIONS(1444),
    [aux_sym_yield_expression_token1] = ACTIONS(1446),
    [aux_sym_include_expression_token1] = ACTIONS(1446),
    [aux_sym_include_once_expression_token1] = ACTIONS(1446),
    [aux_sym_require_expression_token1] = ACTIONS(1446),
    [aux_sym_require_once_expression_token1] = ACTIONS(1446),
    [sym_comment] = ACTIONS(5),
  },
  [553] = {
    [sym_text_interpolation] = STATE(553),
    [ts_builtin_sym_end] = ACTIONS(1448),
    [sym_name] = ACTIONS(1450),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1448),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1450),
    [aux_sym_global_declaration_token1] = ACTIONS(1450),
    [aux_sym_namespace_definition_token1] = ACTIONS(1450),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1450),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1450),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1450),
    [anon_sym_BSLASH] = ACTIONS(1448),
    [anon_sym_LBRACE] = ACTIONS(1448),
    [anon_sym_RBRACE] = ACTIONS(1448),
    [aux_sym_trait_declaration_token1] = ACTIONS(1450),
    [aux_sym_interface_declaration_token1] = ACTIONS(1450),
    [aux_sym_enum_declaration_token1] = ACTIONS(1450),
    [aux_sym_enum_case_token1] = ACTIONS(1450),
    [aux_sym_class_declaration_token1] = ACTIONS(1450),
    [aux_sym_final_modifier_token1] = ACTIONS(1450),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1450),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1450),
    [sym_var_modifier] = ACTIONS(1450),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1450),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1450),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1450),
    [anon_sym_LPAREN2] = ACTIONS(1448),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1450),
    [aux_sym_cast_type_token1] = ACTIONS(1450),
    [aux_sym_echo_statement_token1] = ACTIONS(1450),
    [aux_sym_exit_statement_token1] = ACTIONS(1450),
    [anon_sym_unset] = ACTIONS(1450),
    [aux_sym_declare_statement_token1] = ACTIONS(1450),
    [aux_sym_declare_statement_token2] = ACTIONS(1450),
    [sym_float] = ACTIONS(1450),
    [aux_sym_try_statement_token1] = ACTIONS(1450),
    [aux_sym_goto_statement_token1] = ACTIONS(1450),
    [aux_sym_continue_statement_token1] = ACTIONS(1450),
    [aux_sym_break_statement_token1] = ACTIONS(1450),
    [sym_integer] = ACTIONS(1450),
    [aux_sym_return_statement_token1] = ACTIONS(1450),
    [aux_sym_throw_expression_token1] = ACTIONS(1450),
    [aux_sym_while_statement_token1] = ACTIONS(1450),
    [aux_sym_while_statement_token2] = ACTIONS(1450),
    [aux_sym_do_statement_token1] = ACTIONS(1450),
    [aux_sym_for_statement_token1] = ACTIONS(1450),
    [aux_sym_for_statement_token2] = ACTIONS(1450),
    [aux_sym_foreach_statement_token1] = ACTIONS(1450),
    [aux_sym_foreach_statement_token2] = ACTIONS(1450),
    [aux_sym_if_statement_token1] = ACTIONS(1450),
    [aux_sym_if_statement_token2] = ACTIONS(1450),
    [aux_sym_else_if_clause_token1] = ACTIONS(1450),
    [aux_sym_else_clause_token1] = ACTIONS(1450),
    [aux_sym_match_expression_token1] = ACTIONS(1450),
    [aux_sym_match_default_expression_token1] = ACTIONS(1450),
    [aux_sym_switch_statement_token1] = ACTIONS(1450),
    [aux_sym_switch_block_token1] = ACTIONS(1450),
    [anon_sym_PLUS] = ACTIONS(1450),
    [anon_sym_DASH] = ACTIONS(1450),
    [anon_sym_TILDE] = ACTIONS(1448),
    [anon_sym_BANG] = ACTIONS(1448),
    [anon_sym_AT] = ACTIONS(1448),
    [aux_sym_clone_expression_token1] = ACTIONS(1450),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1450),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1450),
    [anon_sym_DASH_DASH] = ACTIONS(1448),
    [anon_sym_PLUS_PLUS] = ACTIONS(1448),
    [aux_sym__list_destructing_token1] = ACTIONS(1450),
    [anon_sym_LBRACK] = ACTIONS(1448),
    [anon_sym_self] = ACTIONS(1450),
    [anon_sym_parent] = ACTIONS(1450),
    [aux_sym__argument_name_token1] = ACTIONS(1450),
    [aux_sym__argument_name_token2] = ACTIONS(1450),
    [anon_sym_POUND_LBRACK] = ACTIONS(1448),
    [aux_sym_encapsed_string_token1] = ACTIONS(1448),
    [anon_sym_DQUOTE] = ACTIONS(1448),
    [aux_sym_string_token1] = ACTIONS(1448),
    [anon_sym_SQUOTE] = ACTIONS(1448),
    [anon_sym_LT_LT_LT] = ACTIONS(1448),
    [anon_sym_BQUOTE] = ACTIONS(1448),
    [anon_sym_DOLLAR] = ACTIONS(1448),
    [aux_sym_yield_expression_token1] = ACTIONS(1450),
    [aux_sym_include_expression_token1] = ACTIONS(1450),
    [aux_sym_include_once_expression_token1] = ACTIONS(1450),
    [aux_sym_require_expression_token1] = ACTIONS(1450),
    [aux_sym_require_once_expression_token1] = ACTIONS(1450),
    [sym_comment] = ACTIONS(5),
  },
  [554] = {
    [sym_text_interpolation] = STATE(554),
    [ts_builtin_sym_end] = ACTIONS(1452),
    [sym_name] = ACTIONS(1454),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1452),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1454),
    [aux_sym_global_declaration_token1] = ACTIONS(1454),
    [aux_sym_namespace_definition_token1] = ACTIONS(1454),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1454),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1454),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1454),
    [anon_sym_BSLASH] = ACTIONS(1452),
    [anon_sym_LBRACE] = ACTIONS(1452),
    [anon_sym_RBRACE] = ACTIONS(1452),
    [aux_sym_trait_declaration_token1] = ACTIONS(1454),
    [aux_sym_interface_declaration_token1] = ACTIONS(1454),
    [aux_sym_enum_declaration_token1] = ACTIONS(1454),
    [aux_sym_enum_case_token1] = ACTIONS(1454),
    [aux_sym_class_declaration_token1] = ACTIONS(1454),
    [aux_sym_final_modifier_token1] = ACTIONS(1454),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1454),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1454),
    [sym_var_modifier] = ACTIONS(1454),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1454),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1454),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1454),
    [anon_sym_LPAREN2] = ACTIONS(1452),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1454),
    [aux_sym_cast_type_token1] = ACTIONS(1454),
    [aux_sym_echo_statement_token1] = ACTIONS(1454),
    [aux_sym_exit_statement_token1] = ACTIONS(1454),
    [anon_sym_unset] = ACTIONS(1454),
    [aux_sym_declare_statement_token1] = ACTIONS(1454),
    [aux_sym_declare_statement_token2] = ACTIONS(1454),
    [sym_float] = ACTIONS(1454),
    [aux_sym_try_statement_token1] = ACTIONS(1454),
    [aux_sym_goto_statement_token1] = ACTIONS(1454),
    [aux_sym_continue_statement_token1] = ACTIONS(1454),
    [aux_sym_break_statement_token1] = ACTIONS(1454),
    [sym_integer] = ACTIONS(1454),
    [aux_sym_return_statement_token1] = ACTIONS(1454),
    [aux_sym_throw_expression_token1] = ACTIONS(1454),
    [aux_sym_while_statement_token1] = ACTIONS(1454),
    [aux_sym_while_statement_token2] = ACTIONS(1454),
    [aux_sym_do_statement_token1] = ACTIONS(1454),
    [aux_sym_for_statement_token1] = ACTIONS(1454),
    [aux_sym_for_statement_token2] = ACTIONS(1454),
    [aux_sym_foreach_statement_token1] = ACTIONS(1454),
    [aux_sym_foreach_statement_token2] = ACTIONS(1454),
    [aux_sym_if_statement_token1] = ACTIONS(1454),
    [aux_sym_if_statement_token2] = ACTIONS(1454),
    [aux_sym_else_if_clause_token1] = ACTIONS(1454),
    [aux_sym_else_clause_token1] = ACTIONS(1454),
    [aux_sym_match_expression_token1] = ACTIONS(1454),
    [aux_sym_match_default_expression_token1] = ACTIONS(1454),
    [aux_sym_switch_statement_token1] = ACTIONS(1454),
    [aux_sym_switch_block_token1] = ACTIONS(1454),
    [anon_sym_PLUS] = ACTIONS(1454),
    [anon_sym_DASH] = ACTIONS(1454),
    [anon_sym_TILDE] = ACTIONS(1452),
    [anon_sym_BANG] = ACTIONS(1452),
    [anon_sym_AT] = ACTIONS(1452),
    [aux_sym_clone_expression_token1] = ACTIONS(1454),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1454),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1454),
    [anon_sym_DASH_DASH] = ACTIONS(1452),
    [anon_sym_PLUS_PLUS] = ACTIONS(1452),
    [aux_sym__list_destructing_token1] = ACTIONS(1454),
    [anon_sym_LBRACK] = ACTIONS(1452),
    [anon_sym_self] = ACTIONS(1454),
    [anon_sym_parent] = ACTIONS(1454),
    [aux_sym__argument_name_token1] = ACTIONS(1454),
    [aux_sym__argument_name_token2] = ACTIONS(1454),
    [anon_sym_POUND_LBRACK] = ACTIONS(1452),
    [aux_sym_encapsed_string_token1] = ACTIONS(1452),
    [anon_sym_DQUOTE] = ACTIONS(1452),
    [aux_sym_string_token1] = ACTIONS(1452),
    [anon_sym_SQUOTE] = ACTIONS(1452),
    [anon_sym_LT_LT_LT] = ACTIONS(1452),
    [anon_sym_BQUOTE] = ACTIONS(1452),
    [anon_sym_DOLLAR] = ACTIONS(1452),
    [aux_sym_yield_expression_token1] = ACTIONS(1454),
    [aux_sym_include_expression_token1] = ACTIONS(1454),
    [aux_sym_include_once_expression_token1] = ACTIONS(1454),
    [aux_sym_require_expression_token1] = ACTIONS(1454),
    [aux_sym_require_once_expression_token1] = ACTIONS(1454),
    [sym_comment] = ACTIONS(5),
  },
  [555] = {
    [sym_text_interpolation] = STATE(555),
    [ts_builtin_sym_end] = ACTIONS(1456),
    [sym_name] = ACTIONS(1458),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1456),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1458),
    [aux_sym_global_declaration_token1] = ACTIONS(1458),
    [aux_sym_namespace_definition_token1] = ACTIONS(1458),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1458),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1458),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1458),
    [anon_sym_BSLASH] = ACTIONS(1456),
    [anon_sym_LBRACE] = ACTIONS(1456),
    [anon_sym_RBRACE] = ACTIONS(1456),
    [aux_sym_trait_declaration_token1] = ACTIONS(1458),
    [aux_sym_interface_declaration_token1] = ACTIONS(1458),
    [aux_sym_enum_declaration_token1] = ACTIONS(1458),
    [aux_sym_enum_case_token1] = ACTIONS(1458),
    [aux_sym_class_declaration_token1] = ACTIONS(1458),
    [aux_sym_final_modifier_token1] = ACTIONS(1458),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1458),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1458),
    [sym_var_modifier] = ACTIONS(1458),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1458),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1458),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1458),
    [anon_sym_LPAREN2] = ACTIONS(1456),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1458),
    [aux_sym_cast_type_token1] = ACTIONS(1458),
    [aux_sym_echo_statement_token1] = ACTIONS(1458),
    [aux_sym_exit_statement_token1] = ACTIONS(1458),
    [anon_sym_unset] = ACTIONS(1458),
    [aux_sym_declare_statement_token1] = ACTIONS(1458),
    [aux_sym_declare_statement_token2] = ACTIONS(1458),
    [sym_float] = ACTIONS(1458),
    [aux_sym_try_statement_token1] = ACTIONS(1458),
    [aux_sym_goto_statement_token1] = ACTIONS(1458),
    [aux_sym_continue_statement_token1] = ACTIONS(1458),
    [aux_sym_break_statement_token1] = ACTIONS(1458),
    [sym_integer] = ACTIONS(1458),
    [aux_sym_return_statement_token1] = ACTIONS(1458),
    [aux_sym_throw_expression_token1] = ACTIONS(1458),
    [aux_sym_while_statement_token1] = ACTIONS(1458),
    [aux_sym_while_statement_token2] = ACTIONS(1458),
    [aux_sym_do_statement_token1] = ACTIONS(1458),
    [aux_sym_for_statement_token1] = ACTIONS(1458),
    [aux_sym_for_statement_token2] = ACTIONS(1458),
    [aux_sym_foreach_statement_token1] = ACTIONS(1458),
    [aux_sym_foreach_statement_token2] = ACTIONS(1458),
    [aux_sym_if_statement_token1] = ACTIONS(1458),
    [aux_sym_if_statement_token2] = ACTIONS(1458),
    [aux_sym_else_if_clause_token1] = ACTIONS(1458),
    [aux_sym_else_clause_token1] = ACTIONS(1458),
    [aux_sym_match_expression_token1] = ACTIONS(1458),
    [aux_sym_match_default_expression_token1] = ACTIONS(1458),
    [aux_sym_switch_statement_token1] = ACTIONS(1458),
    [aux_sym_switch_block_token1] = ACTIONS(1458),
    [anon_sym_PLUS] = ACTIONS(1458),
    [anon_sym_DASH] = ACTIONS(1458),
    [anon_sym_TILDE] = ACTIONS(1456),
    [anon_sym_BANG] = ACTIONS(1456),
    [anon_sym_AT] = ACTIONS(1456),
    [aux_sym_clone_expression_token1] = ACTIONS(1458),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1458),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1458),
    [anon_sym_DASH_DASH] = ACTIONS(1456),
    [anon_sym_PLUS_PLUS] = ACTIONS(1456),
    [aux_sym__list_destructing_token1] = ACTIONS(1458),
    [anon_sym_LBRACK] = ACTIONS(1456),
    [anon_sym_self] = ACTIONS(1458),
    [anon_sym_parent] = ACTIONS(1458),
    [aux_sym__argument_name_token1] = ACTIONS(1458),
    [aux_sym__argument_name_token2] = ACTIONS(1458),
    [anon_sym_POUND_LBRACK] = ACTIONS(1456),
    [aux_sym_encapsed_string_token1] = ACTIONS(1456),
    [anon_sym_DQUOTE] = ACTIONS(1456),
    [aux_sym_string_token1] = ACTIONS(1456),
    [anon_sym_SQUOTE] = ACTIONS(1456),
    [anon_sym_LT_LT_LT] = ACTIONS(1456),
    [anon_sym_BQUOTE] = ACTIONS(1456),
    [anon_sym_DOLLAR] = ACTIONS(1456),
    [aux_sym_yield_expression_token1] = ACTIONS(1458),
    [aux_sym_include_expression_token1] = ACTIONS(1458),
    [aux_sym_include_once_expression_token1] = ACTIONS(1458),
    [aux_sym_require_expression_token1] = ACTIONS(1458),
    [aux_sym_require_once_expression_token1] = ACTIONS(1458),
    [sym_comment] = ACTIONS(5),
  },
  [556] = {
    [sym_text_interpolation] = STATE(556),
    [ts_builtin_sym_end] = ACTIONS(1460),
    [sym_name] = ACTIONS(1462),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1460),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1462),
    [aux_sym_global_declaration_token1] = ACTIONS(1462),
    [aux_sym_namespace_definition_token1] = ACTIONS(1462),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1462),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1462),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1462),
    [anon_sym_BSLASH] = ACTIONS(1460),
    [anon_sym_LBRACE] = ACTIONS(1460),
    [anon_sym_RBRACE] = ACTIONS(1460),
    [aux_sym_trait_declaration_token1] = ACTIONS(1462),
    [aux_sym_interface_declaration_token1] = ACTIONS(1462),
    [aux_sym_enum_declaration_token1] = ACTIONS(1462),
    [aux_sym_enum_case_token1] = ACTIONS(1462),
    [aux_sym_class_declaration_token1] = ACTIONS(1462),
    [aux_sym_final_modifier_token1] = ACTIONS(1462),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1462),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1462),
    [sym_var_modifier] = ACTIONS(1462),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1462),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1462),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1462),
    [anon_sym_LPAREN2] = ACTIONS(1460),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1462),
    [aux_sym_cast_type_token1] = ACTIONS(1462),
    [aux_sym_echo_statement_token1] = ACTIONS(1462),
    [aux_sym_exit_statement_token1] = ACTIONS(1462),
    [anon_sym_unset] = ACTIONS(1462),
    [aux_sym_declare_statement_token1] = ACTIONS(1462),
    [aux_sym_declare_statement_token2] = ACTIONS(1462),
    [sym_float] = ACTIONS(1462),
    [aux_sym_try_statement_token1] = ACTIONS(1462),
    [aux_sym_goto_statement_token1] = ACTIONS(1462),
    [aux_sym_continue_statement_token1] = ACTIONS(1462),
    [aux_sym_break_statement_token1] = ACTIONS(1462),
    [sym_integer] = ACTIONS(1462),
    [aux_sym_return_statement_token1] = ACTIONS(1462),
    [aux_sym_throw_expression_token1] = ACTIONS(1462),
    [aux_sym_while_statement_token1] = ACTIONS(1462),
    [aux_sym_while_statement_token2] = ACTIONS(1462),
    [aux_sym_do_statement_token1] = ACTIONS(1462),
    [aux_sym_for_statement_token1] = ACTIONS(1462),
    [aux_sym_for_statement_token2] = ACTIONS(1462),
    [aux_sym_foreach_statement_token1] = ACTIONS(1462),
    [aux_sym_foreach_statement_token2] = ACTIONS(1462),
    [aux_sym_if_statement_token1] = ACTIONS(1462),
    [aux_sym_if_statement_token2] = ACTIONS(1462),
    [aux_sym_else_if_clause_token1] = ACTIONS(1462),
    [aux_sym_else_clause_token1] = ACTIONS(1462),
    [aux_sym_match_expression_token1] = ACTIONS(1462),
    [aux_sym_match_default_expression_token1] = ACTIONS(1462),
    [aux_sym_switch_statement_token1] = ACTIONS(1462),
    [aux_sym_switch_block_token1] = ACTIONS(1462),
    [anon_sym_PLUS] = ACTIONS(1462),
    [anon_sym_DASH] = ACTIONS(1462),
    [anon_sym_TILDE] = ACTIONS(1460),
    [anon_sym_BANG] = ACTIONS(1460),
    [anon_sym_AT] = ACTIONS(1460),
    [aux_sym_clone_expression_token1] = ACTIONS(1462),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1462),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1462),
    [anon_sym_DASH_DASH] = ACTIONS(1460),
    [anon_sym_PLUS_PLUS] = ACTIONS(1460),
    [aux_sym__list_destructing_token1] = ACTIONS(1462),
    [anon_sym_LBRACK] = ACTIONS(1460),
    [anon_sym_self] = ACTIONS(1462),
    [anon_sym_parent] = ACTIONS(1462),
    [aux_sym__argument_name_token1] = ACTIONS(1462),
    [aux_sym__argument_name_token2] = ACTIONS(1462),
    [anon_sym_POUND_LBRACK] = ACTIONS(1460),
    [aux_sym_encapsed_string_token1] = ACTIONS(1460),
    [anon_sym_DQUOTE] = ACTIONS(1460),
    [aux_sym_string_token1] = ACTIONS(1460),
    [anon_sym_SQUOTE] = ACTIONS(1460),
    [anon_sym_LT_LT_LT] = ACTIONS(1460),
    [anon_sym_BQUOTE] = ACTIONS(1460),
    [anon_sym_DOLLAR] = ACTIONS(1460),
    [aux_sym_yield_expression_token1] = ACTIONS(1462),
    [aux_sym_include_expression_token1] = ACTIONS(1462),
    [aux_sym_include_once_expression_token1] = ACTIONS(1462),
    [aux_sym_require_expression_token1] = ACTIONS(1462),
    [aux_sym_require_once_expression_token1] = ACTIONS(1462),
    [sym_comment] = ACTIONS(5),
  },
  [557] = {
    [sym_text_interpolation] = STATE(557),
    [ts_builtin_sym_end] = ACTIONS(1464),
    [sym_name] = ACTIONS(1466),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1464),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1466),
    [aux_sym_global_declaration_token1] = ACTIONS(1466),
    [aux_sym_namespace_definition_token1] = ACTIONS(1466),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1466),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1466),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1466),
    [anon_sym_BSLASH] = ACTIONS(1464),
    [anon_sym_LBRACE] = ACTIONS(1464),
    [anon_sym_RBRACE] = ACTIONS(1464),
    [aux_sym_trait_declaration_token1] = ACTIONS(1466),
    [aux_sym_interface_declaration_token1] = ACTIONS(1466),
    [aux_sym_enum_declaration_token1] = ACTIONS(1466),
    [aux_sym_enum_case_token1] = ACTIONS(1466),
    [aux_sym_class_declaration_token1] = ACTIONS(1466),
    [aux_sym_final_modifier_token1] = ACTIONS(1466),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1466),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1466),
    [sym_var_modifier] = ACTIONS(1466),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1466),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1466),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1466),
    [anon_sym_LPAREN2] = ACTIONS(1464),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1466),
    [aux_sym_cast_type_token1] = ACTIONS(1466),
    [aux_sym_echo_statement_token1] = ACTIONS(1466),
    [aux_sym_exit_statement_token1] = ACTIONS(1466),
    [anon_sym_unset] = ACTIONS(1466),
    [aux_sym_declare_statement_token1] = ACTIONS(1466),
    [aux_sym_declare_statement_token2] = ACTIONS(1466),
    [sym_float] = ACTIONS(1466),
    [aux_sym_try_statement_token1] = ACTIONS(1466),
    [aux_sym_goto_statement_token1] = ACTIONS(1466),
    [aux_sym_continue_statement_token1] = ACTIONS(1466),
    [aux_sym_break_statement_token1] = ACTIONS(1466),
    [sym_integer] = ACTIONS(1466),
    [aux_sym_return_statement_token1] = ACTIONS(1466),
    [aux_sym_throw_expression_token1] = ACTIONS(1466),
    [aux_sym_while_statement_token1] = ACTIONS(1466),
    [aux_sym_while_statement_token2] = ACTIONS(1466),
    [aux_sym_do_statement_token1] = ACTIONS(1466),
    [aux_sym_for_statement_token1] = ACTIONS(1466),
    [aux_sym_for_statement_token2] = ACTIONS(1466),
    [aux_sym_foreach_statement_token1] = ACTIONS(1466),
    [aux_sym_foreach_statement_token2] = ACTIONS(1466),
    [aux_sym_if_statement_token1] = ACTIONS(1466),
    [aux_sym_if_statement_token2] = ACTIONS(1466),
    [aux_sym_else_if_clause_token1] = ACTIONS(1466),
    [aux_sym_else_clause_token1] = ACTIONS(1466),
    [aux_sym_match_expression_token1] = ACTIONS(1466),
    [aux_sym_match_default_expression_token1] = ACTIONS(1466),
    [aux_sym_switch_statement_token1] = ACTIONS(1466),
    [aux_sym_switch_block_token1] = ACTIONS(1466),
    [anon_sym_PLUS] = ACTIONS(1466),
    [anon_sym_DASH] = ACTIONS(1466),
    [anon_sym_TILDE] = ACTIONS(1464),
    [anon_sym_BANG] = ACTIONS(1464),
    [anon_sym_AT] = ACTIONS(1464),
    [aux_sym_clone_expression_token1] = ACTIONS(1466),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1466),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1466),
    [anon_sym_DASH_DASH] = ACTIONS(1464),
    [anon_sym_PLUS_PLUS] = ACTIONS(1464),
    [aux_sym__list_destructing_token1] = ACTIONS(1466),
    [anon_sym_LBRACK] = ACTIONS(1464),
    [anon_sym_self] = ACTIONS(1466),
    [anon_sym_parent] = ACTIONS(1466),
    [aux_sym__argument_name_token1] = ACTIONS(1466),
    [aux_sym__argument_name_token2] = ACTIONS(1466),
    [anon_sym_POUND_LBRACK] = ACTIONS(1464),
    [aux_sym_encapsed_string_token1] = ACTIONS(1464),
    [anon_sym_DQUOTE] = ACTIONS(1464),
    [aux_sym_string_token1] = ACTIONS(1464),
    [anon_sym_SQUOTE] = ACTIONS(1464),
    [anon_sym_LT_LT_LT] = ACTIONS(1464),
    [anon_sym_BQUOTE] = ACTIONS(1464),
    [anon_sym_DOLLAR] = ACTIONS(1464),
    [aux_sym_yield_expression_token1] = ACTIONS(1466),
    [aux_sym_include_expression_token1] = ACTIONS(1466),
    [aux_sym_include_once_expression_token1] = ACTIONS(1466),
    [aux_sym_require_expression_token1] = ACTIONS(1466),
    [aux_sym_require_once_expression_token1] = ACTIONS(1466),
    [sym_comment] = ACTIONS(5),
  },
  [558] = {
    [sym_text_interpolation] = STATE(558),
    [ts_builtin_sym_end] = ACTIONS(1029),
    [sym_name] = ACTIONS(1031),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1029),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1031),
    [aux_sym_global_declaration_token1] = ACTIONS(1031),
    [aux_sym_namespace_definition_token1] = ACTIONS(1031),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1031),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1031),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1031),
    [anon_sym_BSLASH] = ACTIONS(1029),
    [anon_sym_LBRACE] = ACTIONS(1029),
    [anon_sym_RBRACE] = ACTIONS(1029),
    [aux_sym_trait_declaration_token1] = ACTIONS(1031),
    [aux_sym_interface_declaration_token1] = ACTIONS(1031),
    [aux_sym_enum_declaration_token1] = ACTIONS(1031),
    [aux_sym_enum_case_token1] = ACTIONS(1031),
    [aux_sym_class_declaration_token1] = ACTIONS(1031),
    [aux_sym_final_modifier_token1] = ACTIONS(1031),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1031),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1031),
    [sym_var_modifier] = ACTIONS(1031),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1031),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1031),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1031),
    [anon_sym_LPAREN2] = ACTIONS(1029),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1031),
    [aux_sym_cast_type_token1] = ACTIONS(1031),
    [aux_sym_echo_statement_token1] = ACTIONS(1031),
    [aux_sym_exit_statement_token1] = ACTIONS(1031),
    [anon_sym_unset] = ACTIONS(1031),
    [aux_sym_declare_statement_token1] = ACTIONS(1031),
    [aux_sym_declare_statement_token2] = ACTIONS(1031),
    [sym_float] = ACTIONS(1031),
    [aux_sym_try_statement_token1] = ACTIONS(1031),
    [aux_sym_goto_statement_token1] = ACTIONS(1031),
    [aux_sym_continue_statement_token1] = ACTIONS(1031),
    [aux_sym_break_statement_token1] = ACTIONS(1031),
    [sym_integer] = ACTIONS(1031),
    [aux_sym_return_statement_token1] = ACTIONS(1031),
    [aux_sym_throw_expression_token1] = ACTIONS(1031),
    [aux_sym_while_statement_token1] = ACTIONS(1031),
    [aux_sym_while_statement_token2] = ACTIONS(1031),
    [aux_sym_do_statement_token1] = ACTIONS(1031),
    [aux_sym_for_statement_token1] = ACTIONS(1031),
    [aux_sym_for_statement_token2] = ACTIONS(1031),
    [aux_sym_foreach_statement_token1] = ACTIONS(1031),
    [aux_sym_foreach_statement_token2] = ACTIONS(1031),
    [aux_sym_if_statement_token1] = ACTIONS(1031),
    [aux_sym_if_statement_token2] = ACTIONS(1031),
    [aux_sym_else_if_clause_token1] = ACTIONS(1031),
    [aux_sym_else_clause_token1] = ACTIONS(1031),
    [aux_sym_match_expression_token1] = ACTIONS(1031),
    [aux_sym_match_default_expression_token1] = ACTIONS(1031),
    [aux_sym_switch_statement_token1] = ACTIONS(1031),
    [aux_sym_switch_block_token1] = ACTIONS(1031),
    [anon_sym_PLUS] = ACTIONS(1031),
    [anon_sym_DASH] = ACTIONS(1031),
    [anon_sym_TILDE] = ACTIONS(1029),
    [anon_sym_BANG] = ACTIONS(1029),
    [anon_sym_AT] = ACTIONS(1029),
    [aux_sym_clone_expression_token1] = ACTIONS(1031),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1031),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1031),
    [anon_sym_DASH_DASH] = ACTIONS(1029),
    [anon_sym_PLUS_PLUS] = ACTIONS(1029),
    [aux_sym__list_destructing_token1] = ACTIONS(1031),
    [anon_sym_LBRACK] = ACTIONS(1029),
    [anon_sym_self] = ACTIONS(1031),
    [anon_sym_parent] = ACTIONS(1031),
    [aux_sym__argument_name_token1] = ACTIONS(1031),
    [aux_sym__argument_name_token2] = ACTIONS(1031),
    [anon_sym_POUND_LBRACK] = ACTIONS(1029),
    [aux_sym_encapsed_string_token1] = ACTIONS(1029),
    [anon_sym_DQUOTE] = ACTIONS(1029),
    [aux_sym_string_token1] = ACTIONS(1029),
    [anon_sym_SQUOTE] = ACTIONS(1029),
    [anon_sym_LT_LT_LT] = ACTIONS(1029),
    [anon_sym_BQUOTE] = ACTIONS(1029),
    [anon_sym_DOLLAR] = ACTIONS(1029),
    [aux_sym_yield_expression_token1] = ACTIONS(1031),
    [aux_sym_include_expression_token1] = ACTIONS(1031),
    [aux_sym_include_once_expression_token1] = ACTIONS(1031),
    [aux_sym_require_expression_token1] = ACTIONS(1031),
    [aux_sym_require_once_expression_token1] = ACTIONS(1031),
    [sym_comment] = ACTIONS(5),
  },
  [559] = {
    [sym_text_interpolation] = STATE(559),
    [ts_builtin_sym_end] = ACTIONS(1468),
    [sym_name] = ACTIONS(1470),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1468),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1470),
    [aux_sym_global_declaration_token1] = ACTIONS(1470),
    [aux_sym_namespace_definition_token1] = ACTIONS(1470),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1470),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1470),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1470),
    [anon_sym_BSLASH] = ACTIONS(1468),
    [anon_sym_LBRACE] = ACTIONS(1468),
    [anon_sym_RBRACE] = ACTIONS(1468),
    [aux_sym_trait_declaration_token1] = ACTIONS(1470),
    [aux_sym_interface_declaration_token1] = ACTIONS(1470),
    [aux_sym_enum_declaration_token1] = ACTIONS(1470),
    [aux_sym_enum_case_token1] = ACTIONS(1470),
    [aux_sym_class_declaration_token1] = ACTIONS(1470),
    [aux_sym_final_modifier_token1] = ACTIONS(1470),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1470),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1470),
    [sym_var_modifier] = ACTIONS(1470),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1470),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1470),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1470),
    [anon_sym_LPAREN2] = ACTIONS(1468),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1470),
    [aux_sym_cast_type_token1] = ACTIONS(1470),
    [aux_sym_echo_statement_token1] = ACTIONS(1470),
    [aux_sym_exit_statement_token1] = ACTIONS(1470),
    [anon_sym_unset] = ACTIONS(1470),
    [aux_sym_declare_statement_token1] = ACTIONS(1470),
    [aux_sym_declare_statement_token2] = ACTIONS(1470),
    [sym_float] = ACTIONS(1470),
    [aux_sym_try_statement_token1] = ACTIONS(1470),
    [aux_sym_goto_statement_token1] = ACTIONS(1470),
    [aux_sym_continue_statement_token1] = ACTIONS(1470),
    [aux_sym_break_statement_token1] = ACTIONS(1470),
    [sym_integer] = ACTIONS(1470),
    [aux_sym_return_statement_token1] = ACTIONS(1470),
    [aux_sym_throw_expression_token1] = ACTIONS(1470),
    [aux_sym_while_statement_token1] = ACTIONS(1470),
    [aux_sym_while_statement_token2] = ACTIONS(1470),
    [aux_sym_do_statement_token1] = ACTIONS(1470),
    [aux_sym_for_statement_token1] = ACTIONS(1470),
    [aux_sym_for_statement_token2] = ACTIONS(1470),
    [aux_sym_foreach_statement_token1] = ACTIONS(1470),
    [aux_sym_foreach_statement_token2] = ACTIONS(1470),
    [aux_sym_if_statement_token1] = ACTIONS(1470),
    [aux_sym_if_statement_token2] = ACTIONS(1470),
    [aux_sym_else_if_clause_token1] = ACTIONS(1470),
    [aux_sym_else_clause_token1] = ACTIONS(1470),
    [aux_sym_match_expression_token1] = ACTIONS(1470),
    [aux_sym_match_default_expression_token1] = ACTIONS(1470),
    [aux_sym_switch_statement_token1] = ACTIONS(1470),
    [aux_sym_switch_block_token1] = ACTIONS(1470),
    [anon_sym_PLUS] = ACTIONS(1470),
    [anon_sym_DASH] = ACTIONS(1470),
    [anon_sym_TILDE] = ACTIONS(1468),
    [anon_sym_BANG] = ACTIONS(1468),
    [anon_sym_AT] = ACTIONS(1468),
    [aux_sym_clone_expression_token1] = ACTIONS(1470),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1470),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1470),
    [anon_sym_DASH_DASH] = ACTIONS(1468),
    [anon_sym_PLUS_PLUS] = ACTIONS(1468),
    [aux_sym__list_destructing_token1] = ACTIONS(1470),
    [anon_sym_LBRACK] = ACTIONS(1468),
    [anon_sym_self] = ACTIONS(1470),
    [anon_sym_parent] = ACTIONS(1470),
    [aux_sym__argument_name_token1] = ACTIONS(1470),
    [aux_sym__argument_name_token2] = ACTIONS(1470),
    [anon_sym_POUND_LBRACK] = ACTIONS(1468),
    [aux_sym_encapsed_string_token1] = ACTIONS(1468),
    [anon_sym_DQUOTE] = ACTIONS(1468),
    [aux_sym_string_token1] = ACTIONS(1468),
    [anon_sym_SQUOTE] = ACTIONS(1468),
    [anon_sym_LT_LT_LT] = ACTIONS(1468),
    [anon_sym_BQUOTE] = ACTIONS(1468),
    [anon_sym_DOLLAR] = ACTIONS(1468),
    [aux_sym_yield_expression_token1] = ACTIONS(1470),
    [aux_sym_include_expression_token1] = ACTIONS(1470),
    [aux_sym_include_once_expression_token1] = ACTIONS(1470),
    [aux_sym_require_expression_token1] = ACTIONS(1470),
    [aux_sym_require_once_expression_token1] = ACTIONS(1470),
    [sym_comment] = ACTIONS(5),
  },
  [560] = {
    [sym_text_interpolation] = STATE(560),
    [ts_builtin_sym_end] = ACTIONS(1472),
    [sym_name] = ACTIONS(1474),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1472),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1474),
    [aux_sym_global_declaration_token1] = ACTIONS(1474),
    [aux_sym_namespace_definition_token1] = ACTIONS(1474),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1474),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1474),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1474),
    [anon_sym_BSLASH] = ACTIONS(1472),
    [anon_sym_LBRACE] = ACTIONS(1472),
    [anon_sym_RBRACE] = ACTIONS(1472),
    [aux_sym_trait_declaration_token1] = ACTIONS(1474),
    [aux_sym_interface_declaration_token1] = ACTIONS(1474),
    [aux_sym_enum_declaration_token1] = ACTIONS(1474),
    [aux_sym_enum_case_token1] = ACTIONS(1474),
    [aux_sym_class_declaration_token1] = ACTIONS(1474),
    [aux_sym_final_modifier_token1] = ACTIONS(1474),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1474),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1474),
    [sym_var_modifier] = ACTIONS(1474),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1474),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1474),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1474),
    [anon_sym_LPAREN2] = ACTIONS(1472),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1474),
    [aux_sym_cast_type_token1] = ACTIONS(1474),
    [aux_sym_echo_statement_token1] = ACTIONS(1474),
    [aux_sym_exit_statement_token1] = ACTIONS(1474),
    [anon_sym_unset] = ACTIONS(1474),
    [aux_sym_declare_statement_token1] = ACTIONS(1474),
    [aux_sym_declare_statement_token2] = ACTIONS(1474),
    [sym_float] = ACTIONS(1474),
    [aux_sym_try_statement_token1] = ACTIONS(1474),
    [aux_sym_goto_statement_token1] = ACTIONS(1474),
    [aux_sym_continue_statement_token1] = ACTIONS(1474),
    [aux_sym_break_statement_token1] = ACTIONS(1474),
    [sym_integer] = ACTIONS(1474),
    [aux_sym_return_statement_token1] = ACTIONS(1474),
    [aux_sym_throw_expression_token1] = ACTIONS(1474),
    [aux_sym_while_statement_token1] = ACTIONS(1474),
    [aux_sym_while_statement_token2] = ACTIONS(1474),
    [aux_sym_do_statement_token1] = ACTIONS(1474),
    [aux_sym_for_statement_token1] = ACTIONS(1474),
    [aux_sym_for_statement_token2] = ACTIONS(1474),
    [aux_sym_foreach_statement_token1] = ACTIONS(1474),
    [aux_sym_foreach_statement_token2] = ACTIONS(1474),
    [aux_sym_if_statement_token1] = ACTIONS(1474),
    [aux_sym_if_statement_token2] = ACTIONS(1474),
    [aux_sym_else_if_clause_token1] = ACTIONS(1474),
    [aux_sym_else_clause_token1] = ACTIONS(1474),
    [aux_sym_match_expression_token1] = ACTIONS(1474),
    [aux_sym_match_default_expression_token1] = ACTIONS(1474),
    [aux_sym_switch_statement_token1] = ACTIONS(1474),
    [aux_sym_switch_block_token1] = ACTIONS(1474),
    [anon_sym_PLUS] = ACTIONS(1474),
    [anon_sym_DASH] = ACTIONS(1474),
    [anon_sym_TILDE] = ACTIONS(1472),
    [anon_sym_BANG] = ACTIONS(1472),
    [anon_sym_AT] = ACTIONS(1472),
    [aux_sym_clone_expression_token1] = ACTIONS(1474),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1474),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1474),
    [anon_sym_DASH_DASH] = ACTIONS(1472),
    [anon_sym_PLUS_PLUS] = ACTIONS(1472),
    [aux_sym__list_destructing_token1] = ACTIONS(1474),
    [anon_sym_LBRACK] = ACTIONS(1472),
    [anon_sym_self] = ACTIONS(1474),
    [anon_sym_parent] = ACTIONS(1474),
    [aux_sym__argument_name_token1] = ACTIONS(1474),
    [aux_sym__argument_name_token2] = ACTIONS(1474),
    [anon_sym_POUND_LBRACK] = ACTIONS(1472),
    [aux_sym_encapsed_string_token1] = ACTIONS(1472),
    [anon_sym_DQUOTE] = ACTIONS(1472),
    [aux_sym_string_token1] = ACTIONS(1472),
    [anon_sym_SQUOTE] = ACTIONS(1472),
    [anon_sym_LT_LT_LT] = ACTIONS(1472),
    [anon_sym_BQUOTE] = ACTIONS(1472),
    [anon_sym_DOLLAR] = ACTIONS(1472),
    [aux_sym_yield_expression_token1] = ACTIONS(1474),
    [aux_sym_include_expression_token1] = ACTIONS(1474),
    [aux_sym_include_once_expression_token1] = ACTIONS(1474),
    [aux_sym_require_expression_token1] = ACTIONS(1474),
    [aux_sym_require_once_expression_token1] = ACTIONS(1474),
    [sym_comment] = ACTIONS(5),
  },
  [561] = {
    [sym_text_interpolation] = STATE(561),
    [ts_builtin_sym_end] = ACTIONS(1476),
    [sym_name] = ACTIONS(1478),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1476),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1478),
    [aux_sym_global_declaration_token1] = ACTIONS(1478),
    [aux_sym_namespace_definition_token1] = ACTIONS(1478),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1478),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1478),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1478),
    [anon_sym_BSLASH] = ACTIONS(1476),
    [anon_sym_LBRACE] = ACTIONS(1476),
    [anon_sym_RBRACE] = ACTIONS(1476),
    [aux_sym_trait_declaration_token1] = ACTIONS(1478),
    [aux_sym_interface_declaration_token1] = ACTIONS(1478),
    [aux_sym_enum_declaration_token1] = ACTIONS(1478),
    [aux_sym_enum_case_token1] = ACTIONS(1478),
    [aux_sym_class_declaration_token1] = ACTIONS(1478),
    [aux_sym_final_modifier_token1] = ACTIONS(1478),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1478),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1478),
    [sym_var_modifier] = ACTIONS(1478),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1478),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1478),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1478),
    [anon_sym_LPAREN2] = ACTIONS(1476),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1478),
    [aux_sym_cast_type_token1] = ACTIONS(1478),
    [aux_sym_echo_statement_token1] = ACTIONS(1478),
    [aux_sym_exit_statement_token1] = ACTIONS(1478),
    [anon_sym_unset] = ACTIONS(1478),
    [aux_sym_declare_statement_token1] = ACTIONS(1478),
    [aux_sym_declare_statement_token2] = ACTIONS(1478),
    [sym_float] = ACTIONS(1478),
    [aux_sym_try_statement_token1] = ACTIONS(1478),
    [aux_sym_goto_statement_token1] = ACTIONS(1478),
    [aux_sym_continue_statement_token1] = ACTIONS(1478),
    [aux_sym_break_statement_token1] = ACTIONS(1478),
    [sym_integer] = ACTIONS(1478),
    [aux_sym_return_statement_token1] = ACTIONS(1478),
    [aux_sym_throw_expression_token1] = ACTIONS(1478),
    [aux_sym_while_statement_token1] = ACTIONS(1478),
    [aux_sym_while_statement_token2] = ACTIONS(1478),
    [aux_sym_do_statement_token1] = ACTIONS(1478),
    [aux_sym_for_statement_token1] = ACTIONS(1478),
    [aux_sym_for_statement_token2] = ACTIONS(1478),
    [aux_sym_foreach_statement_token1] = ACTIONS(1478),
    [aux_sym_foreach_statement_token2] = ACTIONS(1478),
    [aux_sym_if_statement_token1] = ACTIONS(1478),
    [aux_sym_if_statement_token2] = ACTIONS(1478),
    [aux_sym_else_if_clause_token1] = ACTIONS(1478),
    [aux_sym_else_clause_token1] = ACTIONS(1478),
    [aux_sym_match_expression_token1] = ACTIONS(1478),
    [aux_sym_match_default_expression_token1] = ACTIONS(1478),
    [aux_sym_switch_statement_token1] = ACTIONS(1478),
    [aux_sym_switch_block_token1] = ACTIONS(1478),
    [anon_sym_PLUS] = ACTIONS(1478),
    [anon_sym_DASH] = ACTIONS(1478),
    [anon_sym_TILDE] = ACTIONS(1476),
    [anon_sym_BANG] = ACTIONS(1476),
    [anon_sym_AT] = ACTIONS(1476),
    [aux_sym_clone_expression_token1] = ACTIONS(1478),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1478),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1478),
    [anon_sym_DASH_DASH] = ACTIONS(1476),
    [anon_sym_PLUS_PLUS] = ACTIONS(1476),
    [aux_sym__list_destructing_token1] = ACTIONS(1478),
    [anon_sym_LBRACK] = ACTIONS(1476),
    [anon_sym_self] = ACTIONS(1478),
    [anon_sym_parent] = ACTIONS(1478),
    [aux_sym__argument_name_token1] = ACTIONS(1478),
    [aux_sym__argument_name_token2] = ACTIONS(1478),
    [anon_sym_POUND_LBRACK] = ACTIONS(1476),
    [aux_sym_encapsed_string_token1] = ACTIONS(1476),
    [anon_sym_DQUOTE] = ACTIONS(1476),
    [aux_sym_string_token1] = ACTIONS(1476),
    [anon_sym_SQUOTE] = ACTIONS(1476),
    [anon_sym_LT_LT_LT] = ACTIONS(1476),
    [anon_sym_BQUOTE] = ACTIONS(1476),
    [anon_sym_DOLLAR] = ACTIONS(1476),
    [aux_sym_yield_expression_token1] = ACTIONS(1478),
    [aux_sym_include_expression_token1] = ACTIONS(1478),
    [aux_sym_include_once_expression_token1] = ACTIONS(1478),
    [aux_sym_require_expression_token1] = ACTIONS(1478),
    [aux_sym_require_once_expression_token1] = ACTIONS(1478),
    [sym_comment] = ACTIONS(5),
  },
  [562] = {
    [sym_text_interpolation] = STATE(562),
    [ts_builtin_sym_end] = ACTIONS(1480),
    [sym_name] = ACTIONS(1482),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1480),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1482),
    [aux_sym_global_declaration_token1] = ACTIONS(1482),
    [aux_sym_namespace_definition_token1] = ACTIONS(1482),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1482),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1482),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1482),
    [anon_sym_BSLASH] = ACTIONS(1480),
    [anon_sym_LBRACE] = ACTIONS(1480),
    [anon_sym_RBRACE] = ACTIONS(1480),
    [aux_sym_trait_declaration_token1] = ACTIONS(1482),
    [aux_sym_interface_declaration_token1] = ACTIONS(1482),
    [aux_sym_enum_declaration_token1] = ACTIONS(1482),
    [aux_sym_enum_case_token1] = ACTIONS(1482),
    [aux_sym_class_declaration_token1] = ACTIONS(1482),
    [aux_sym_final_modifier_token1] = ACTIONS(1482),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1482),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1482),
    [sym_var_modifier] = ACTIONS(1482),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1482),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1482),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1482),
    [anon_sym_LPAREN2] = ACTIONS(1480),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1482),
    [aux_sym_cast_type_token1] = ACTIONS(1482),
    [aux_sym_echo_statement_token1] = ACTIONS(1482),
    [aux_sym_exit_statement_token1] = ACTIONS(1482),
    [anon_sym_unset] = ACTIONS(1482),
    [aux_sym_declare_statement_token1] = ACTIONS(1482),
    [aux_sym_declare_statement_token2] = ACTIONS(1482),
    [sym_float] = ACTIONS(1482),
    [aux_sym_try_statement_token1] = ACTIONS(1482),
    [aux_sym_goto_statement_token1] = ACTIONS(1482),
    [aux_sym_continue_statement_token1] = ACTIONS(1482),
    [aux_sym_break_statement_token1] = ACTIONS(1482),
    [sym_integer] = ACTIONS(1482),
    [aux_sym_return_statement_token1] = ACTIONS(1482),
    [aux_sym_throw_expression_token1] = ACTIONS(1482),
    [aux_sym_while_statement_token1] = ACTIONS(1482),
    [aux_sym_while_statement_token2] = ACTIONS(1482),
    [aux_sym_do_statement_token1] = ACTIONS(1482),
    [aux_sym_for_statement_token1] = ACTIONS(1482),
    [aux_sym_for_statement_token2] = ACTIONS(1482),
    [aux_sym_foreach_statement_token1] = ACTIONS(1482),
    [aux_sym_foreach_statement_token2] = ACTIONS(1482),
    [aux_sym_if_statement_token1] = ACTIONS(1482),
    [aux_sym_if_statement_token2] = ACTIONS(1482),
    [aux_sym_else_if_clause_token1] = ACTIONS(1482),
    [aux_sym_else_clause_token1] = ACTIONS(1482),
    [aux_sym_match_expression_token1] = ACTIONS(1482),
    [aux_sym_match_default_expression_token1] = ACTIONS(1482),
    [aux_sym_switch_statement_token1] = ACTIONS(1482),
    [aux_sym_switch_block_token1] = ACTIONS(1482),
    [anon_sym_PLUS] = ACTIONS(1482),
    [anon_sym_DASH] = ACTIONS(1482),
    [anon_sym_TILDE] = ACTIONS(1480),
    [anon_sym_BANG] = ACTIONS(1480),
    [anon_sym_AT] = ACTIONS(1480),
    [aux_sym_clone_expression_token1] = ACTIONS(1482),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1482),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1482),
    [anon_sym_DASH_DASH] = ACTIONS(1480),
    [anon_sym_PLUS_PLUS] = ACTIONS(1480),
    [aux_sym__list_destructing_token1] = ACTIONS(1482),
    [anon_sym_LBRACK] = ACTIONS(1480),
    [anon_sym_self] = ACTIONS(1482),
    [anon_sym_parent] = ACTIONS(1482),
    [aux_sym__argument_name_token1] = ACTIONS(1482),
    [aux_sym__argument_name_token2] = ACTIONS(1482),
    [anon_sym_POUND_LBRACK] = ACTIONS(1480),
    [aux_sym_encapsed_string_token1] = ACTIONS(1480),
    [anon_sym_DQUOTE] = ACTIONS(1480),
    [aux_sym_string_token1] = ACTIONS(1480),
    [anon_sym_SQUOTE] = ACTIONS(1480),
    [anon_sym_LT_LT_LT] = ACTIONS(1480),
    [anon_sym_BQUOTE] = ACTIONS(1480),
    [anon_sym_DOLLAR] = ACTIONS(1480),
    [aux_sym_yield_expression_token1] = ACTIONS(1482),
    [aux_sym_include_expression_token1] = ACTIONS(1482),
    [aux_sym_include_once_expression_token1] = ACTIONS(1482),
    [aux_sym_require_expression_token1] = ACTIONS(1482),
    [aux_sym_require_once_expression_token1] = ACTIONS(1482),
    [sym_comment] = ACTIONS(5),
  },
  [563] = {
    [sym_text_interpolation] = STATE(563),
    [ts_builtin_sym_end] = ACTIONS(1484),
    [sym_name] = ACTIONS(1486),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1484),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1486),
    [aux_sym_global_declaration_token1] = ACTIONS(1486),
    [aux_sym_namespace_definition_token1] = ACTIONS(1486),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1486),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1486),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1486),
    [anon_sym_BSLASH] = ACTIONS(1484),
    [anon_sym_LBRACE] = ACTIONS(1484),
    [anon_sym_RBRACE] = ACTIONS(1484),
    [aux_sym_trait_declaration_token1] = ACTIONS(1486),
    [aux_sym_interface_declaration_token1] = ACTIONS(1486),
    [aux_sym_enum_declaration_token1] = ACTIONS(1486),
    [aux_sym_enum_case_token1] = ACTIONS(1486),
    [aux_sym_class_declaration_token1] = ACTIONS(1486),
    [aux_sym_final_modifier_token1] = ACTIONS(1486),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1486),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1486),
    [sym_var_modifier] = ACTIONS(1486),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1486),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1486),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1486),
    [anon_sym_LPAREN2] = ACTIONS(1484),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1486),
    [aux_sym_cast_type_token1] = ACTIONS(1486),
    [aux_sym_echo_statement_token1] = ACTIONS(1486),
    [aux_sym_exit_statement_token1] = ACTIONS(1486),
    [anon_sym_unset] = ACTIONS(1486),
    [aux_sym_declare_statement_token1] = ACTIONS(1486),
    [aux_sym_declare_statement_token2] = ACTIONS(1486),
    [sym_float] = ACTIONS(1486),
    [aux_sym_try_statement_token1] = ACTIONS(1486),
    [aux_sym_goto_statement_token1] = ACTIONS(1486),
    [aux_sym_continue_statement_token1] = ACTIONS(1486),
    [aux_sym_break_statement_token1] = ACTIONS(1486),
    [sym_integer] = ACTIONS(1486),
    [aux_sym_return_statement_token1] = ACTIONS(1486),
    [aux_sym_throw_expression_token1] = ACTIONS(1486),
    [aux_sym_while_statement_token1] = ACTIONS(1486),
    [aux_sym_while_statement_token2] = ACTIONS(1486),
    [aux_sym_do_statement_token1] = ACTIONS(1486),
    [aux_sym_for_statement_token1] = ACTIONS(1486),
    [aux_sym_for_statement_token2] = ACTIONS(1486),
    [aux_sym_foreach_statement_token1] = ACTIONS(1486),
    [aux_sym_foreach_statement_token2] = ACTIONS(1486),
    [aux_sym_if_statement_token1] = ACTIONS(1486),
    [aux_sym_if_statement_token2] = ACTIONS(1486),
    [aux_sym_else_if_clause_token1] = ACTIONS(1486),
    [aux_sym_else_clause_token1] = ACTIONS(1486),
    [aux_sym_match_expression_token1] = ACTIONS(1486),
    [aux_sym_match_default_expression_token1] = ACTIONS(1486),
    [aux_sym_switch_statement_token1] = ACTIONS(1486),
    [aux_sym_switch_block_token1] = ACTIONS(1486),
    [anon_sym_PLUS] = ACTIONS(1486),
    [anon_sym_DASH] = ACTIONS(1486),
    [anon_sym_TILDE] = ACTIONS(1484),
    [anon_sym_BANG] = ACTIONS(1484),
    [anon_sym_AT] = ACTIONS(1484),
    [aux_sym_clone_expression_token1] = ACTIONS(1486),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1486),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1486),
    [anon_sym_DASH_DASH] = ACTIONS(1484),
    [anon_sym_PLUS_PLUS] = ACTIONS(1484),
    [aux_sym__list_destructing_token1] = ACTIONS(1486),
    [anon_sym_LBRACK] = ACTIONS(1484),
    [anon_sym_self] = ACTIONS(1486),
    [anon_sym_parent] = ACTIONS(1486),
    [aux_sym__argument_name_token1] = ACTIONS(1486),
    [aux_sym__argument_name_token2] = ACTIONS(1486),
    [anon_sym_POUND_LBRACK] = ACTIONS(1484),
    [aux_sym_encapsed_string_token1] = ACTIONS(1484),
    [anon_sym_DQUOTE] = ACTIONS(1484),
    [aux_sym_string_token1] = ACTIONS(1484),
    [anon_sym_SQUOTE] = ACTIONS(1484),
    [anon_sym_LT_LT_LT] = ACTIONS(1484),
    [anon_sym_BQUOTE] = ACTIONS(1484),
    [anon_sym_DOLLAR] = ACTIONS(1484),
    [aux_sym_yield_expression_token1] = ACTIONS(1486),
    [aux_sym_include_expression_token1] = ACTIONS(1486),
    [aux_sym_include_once_expression_token1] = ACTIONS(1486),
    [aux_sym_require_expression_token1] = ACTIONS(1486),
    [aux_sym_require_once_expression_token1] = ACTIONS(1486),
    [sym_comment] = ACTIONS(5),
  },
  [564] = {
    [sym_text_interpolation] = STATE(564),
    [ts_builtin_sym_end] = ACTIONS(1488),
    [sym_name] = ACTIONS(1490),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1488),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1490),
    [aux_sym_global_declaration_token1] = ACTIONS(1490),
    [aux_sym_namespace_definition_token1] = ACTIONS(1490),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1490),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1490),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1490),
    [anon_sym_BSLASH] = ACTIONS(1488),
    [anon_sym_LBRACE] = ACTIONS(1488),
    [anon_sym_RBRACE] = ACTIONS(1488),
    [aux_sym_trait_declaration_token1] = ACTIONS(1490),
    [aux_sym_interface_declaration_token1] = ACTIONS(1490),
    [aux_sym_enum_declaration_token1] = ACTIONS(1490),
    [aux_sym_enum_case_token1] = ACTIONS(1490),
    [aux_sym_class_declaration_token1] = ACTIONS(1490),
    [aux_sym_final_modifier_token1] = ACTIONS(1490),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1490),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1490),
    [sym_var_modifier] = ACTIONS(1490),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1490),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1490),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1490),
    [anon_sym_LPAREN2] = ACTIONS(1488),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1490),
    [aux_sym_cast_type_token1] = ACTIONS(1490),
    [aux_sym_echo_statement_token1] = ACTIONS(1490),
    [aux_sym_exit_statement_token1] = ACTIONS(1490),
    [anon_sym_unset] = ACTIONS(1490),
    [aux_sym_declare_statement_token1] = ACTIONS(1490),
    [aux_sym_declare_statement_token2] = ACTIONS(1490),
    [sym_float] = ACTIONS(1490),
    [aux_sym_try_statement_token1] = ACTIONS(1490),
    [aux_sym_goto_statement_token1] = ACTIONS(1490),
    [aux_sym_continue_statement_token1] = ACTIONS(1490),
    [aux_sym_break_statement_token1] = ACTIONS(1490),
    [sym_integer] = ACTIONS(1490),
    [aux_sym_return_statement_token1] = ACTIONS(1490),
    [aux_sym_throw_expression_token1] = ACTIONS(1490),
    [aux_sym_while_statement_token1] = ACTIONS(1490),
    [aux_sym_while_statement_token2] = ACTIONS(1490),
    [aux_sym_do_statement_token1] = ACTIONS(1490),
    [aux_sym_for_statement_token1] = ACTIONS(1490),
    [aux_sym_for_statement_token2] = ACTIONS(1490),
    [aux_sym_foreach_statement_token1] = ACTIONS(1490),
    [aux_sym_foreach_statement_token2] = ACTIONS(1490),
    [aux_sym_if_statement_token1] = ACTIONS(1490),
    [aux_sym_if_statement_token2] = ACTIONS(1490),
    [aux_sym_else_if_clause_token1] = ACTIONS(1490),
    [aux_sym_else_clause_token1] = ACTIONS(1490),
    [aux_sym_match_expression_token1] = ACTIONS(1490),
    [aux_sym_match_default_expression_token1] = ACTIONS(1490),
    [aux_sym_switch_statement_token1] = ACTIONS(1490),
    [aux_sym_switch_block_token1] = ACTIONS(1490),
    [anon_sym_PLUS] = ACTIONS(1490),
    [anon_sym_DASH] = ACTIONS(1490),
    [anon_sym_TILDE] = ACTIONS(1488),
    [anon_sym_BANG] = ACTIONS(1488),
    [anon_sym_AT] = ACTIONS(1488),
    [aux_sym_clone_expression_token1] = ACTIONS(1490),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1490),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1490),
    [anon_sym_DASH_DASH] = ACTIONS(1488),
    [anon_sym_PLUS_PLUS] = ACTIONS(1488),
    [aux_sym__list_destructing_token1] = ACTIONS(1490),
    [anon_sym_LBRACK] = ACTIONS(1488),
    [anon_sym_self] = ACTIONS(1490),
    [anon_sym_parent] = ACTIONS(1490),
    [aux_sym__argument_name_token1] = ACTIONS(1490),
    [aux_sym__argument_name_token2] = ACTIONS(1490),
    [anon_sym_POUND_LBRACK] = ACTIONS(1488),
    [aux_sym_encapsed_string_token1] = ACTIONS(1488),
    [anon_sym_DQUOTE] = ACTIONS(1488),
    [aux_sym_string_token1] = ACTIONS(1488),
    [anon_sym_SQUOTE] = ACTIONS(1488),
    [anon_sym_LT_LT_LT] = ACTIONS(1488),
    [anon_sym_BQUOTE] = ACTIONS(1488),
    [anon_sym_DOLLAR] = ACTIONS(1488),
    [aux_sym_yield_expression_token1] = ACTIONS(1490),
    [aux_sym_include_expression_token1] = ACTIONS(1490),
    [aux_sym_include_once_expression_token1] = ACTIONS(1490),
    [aux_sym_require_expression_token1] = ACTIONS(1490),
    [aux_sym_require_once_expression_token1] = ACTIONS(1490),
    [sym_comment] = ACTIONS(5),
  },
  [565] = {
    [sym_text_interpolation] = STATE(565),
    [ts_builtin_sym_end] = ACTIONS(1228),
    [sym_name] = ACTIONS(1230),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1228),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1230),
    [aux_sym_global_declaration_token1] = ACTIONS(1230),
    [aux_sym_namespace_definition_token1] = ACTIONS(1230),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1230),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1230),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1230),
    [anon_sym_BSLASH] = ACTIONS(1228),
    [anon_sym_LBRACE] = ACTIONS(1228),
    [anon_sym_RBRACE] = ACTIONS(1228),
    [aux_sym_trait_declaration_token1] = ACTIONS(1230),
    [aux_sym_interface_declaration_token1] = ACTIONS(1230),
    [aux_sym_enum_declaration_token1] = ACTIONS(1230),
    [aux_sym_enum_case_token1] = ACTIONS(1230),
    [aux_sym_class_declaration_token1] = ACTIONS(1230),
    [aux_sym_final_modifier_token1] = ACTIONS(1230),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1230),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1230),
    [sym_var_modifier] = ACTIONS(1230),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1230),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1230),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1230),
    [anon_sym_LPAREN2] = ACTIONS(1228),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1230),
    [aux_sym_cast_type_token1] = ACTIONS(1230),
    [aux_sym_echo_statement_token1] = ACTIONS(1230),
    [aux_sym_exit_statement_token1] = ACTIONS(1230),
    [anon_sym_unset] = ACTIONS(1230),
    [aux_sym_declare_statement_token1] = ACTIONS(1230),
    [aux_sym_declare_statement_token2] = ACTIONS(1230),
    [sym_float] = ACTIONS(1230),
    [aux_sym_try_statement_token1] = ACTIONS(1230),
    [aux_sym_goto_statement_token1] = ACTIONS(1230),
    [aux_sym_continue_statement_token1] = ACTIONS(1230),
    [aux_sym_break_statement_token1] = ACTIONS(1230),
    [sym_integer] = ACTIONS(1230),
    [aux_sym_return_statement_token1] = ACTIONS(1230),
    [aux_sym_throw_expression_token1] = ACTIONS(1230),
    [aux_sym_while_statement_token1] = ACTIONS(1230),
    [aux_sym_while_statement_token2] = ACTIONS(1230),
    [aux_sym_do_statement_token1] = ACTIONS(1230),
    [aux_sym_for_statement_token1] = ACTIONS(1230),
    [aux_sym_for_statement_token2] = ACTIONS(1230),
    [aux_sym_foreach_statement_token1] = ACTIONS(1230),
    [aux_sym_foreach_statement_token2] = ACTIONS(1230),
    [aux_sym_if_statement_token1] = ACTIONS(1230),
    [aux_sym_if_statement_token2] = ACTIONS(1230),
    [aux_sym_else_if_clause_token1] = ACTIONS(1230),
    [aux_sym_else_clause_token1] = ACTIONS(1230),
    [aux_sym_match_expression_token1] = ACTIONS(1230),
    [aux_sym_match_default_expression_token1] = ACTIONS(1230),
    [aux_sym_switch_statement_token1] = ACTIONS(1230),
    [aux_sym_switch_block_token1] = ACTIONS(1230),
    [anon_sym_PLUS] = ACTIONS(1230),
    [anon_sym_DASH] = ACTIONS(1230),
    [anon_sym_TILDE] = ACTIONS(1228),
    [anon_sym_BANG] = ACTIONS(1228),
    [anon_sym_AT] = ACTIONS(1228),
    [aux_sym_clone_expression_token1] = ACTIONS(1230),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1230),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1230),
    [anon_sym_DASH_DASH] = ACTIONS(1228),
    [anon_sym_PLUS_PLUS] = ACTIONS(1228),
    [aux_sym__list_destructing_token1] = ACTIONS(1230),
    [anon_sym_LBRACK] = ACTIONS(1228),
    [anon_sym_self] = ACTIONS(1230),
    [anon_sym_parent] = ACTIONS(1230),
    [aux_sym__argument_name_token1] = ACTIONS(1230),
    [aux_sym__argument_name_token2] = ACTIONS(1230),
    [anon_sym_POUND_LBRACK] = ACTIONS(1228),
    [aux_sym_encapsed_string_token1] = ACTIONS(1228),
    [anon_sym_DQUOTE] = ACTIONS(1228),
    [aux_sym_string_token1] = ACTIONS(1228),
    [anon_sym_SQUOTE] = ACTIONS(1228),
    [anon_sym_LT_LT_LT] = ACTIONS(1228),
    [anon_sym_BQUOTE] = ACTIONS(1228),
    [anon_sym_DOLLAR] = ACTIONS(1228),
    [aux_sym_yield_expression_token1] = ACTIONS(1230),
    [aux_sym_include_expression_token1] = ACTIONS(1230),
    [aux_sym_include_once_expression_token1] = ACTIONS(1230),
    [aux_sym_require_expression_token1] = ACTIONS(1230),
    [aux_sym_require_once_expression_token1] = ACTIONS(1230),
    [sym_comment] = ACTIONS(5),
  },
  [566] = {
    [sym_text_interpolation] = STATE(566),
    [ts_builtin_sym_end] = ACTIONS(1492),
    [sym_name] = ACTIONS(1494),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1492),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1494),
    [aux_sym_global_declaration_token1] = ACTIONS(1494),
    [aux_sym_namespace_definition_token1] = ACTIONS(1494),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1494),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1494),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1494),
    [anon_sym_BSLASH] = ACTIONS(1492),
    [anon_sym_LBRACE] = ACTIONS(1492),
    [anon_sym_RBRACE] = ACTIONS(1492),
    [aux_sym_trait_declaration_token1] = ACTIONS(1494),
    [aux_sym_interface_declaration_token1] = ACTIONS(1494),
    [aux_sym_enum_declaration_token1] = ACTIONS(1494),
    [aux_sym_enum_case_token1] = ACTIONS(1494),
    [aux_sym_class_declaration_token1] = ACTIONS(1494),
    [aux_sym_final_modifier_token1] = ACTIONS(1494),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1494),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1494),
    [sym_var_modifier] = ACTIONS(1494),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1494),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1494),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1494),
    [anon_sym_LPAREN2] = ACTIONS(1492),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1494),
    [aux_sym_cast_type_token1] = ACTIONS(1494),
    [aux_sym_echo_statement_token1] = ACTIONS(1494),
    [aux_sym_exit_statement_token1] = ACTIONS(1494),
    [anon_sym_unset] = ACTIONS(1494),
    [aux_sym_declare_statement_token1] = ACTIONS(1494),
    [aux_sym_declare_statement_token2] = ACTIONS(1494),
    [sym_float] = ACTIONS(1494),
    [aux_sym_try_statement_token1] = ACTIONS(1494),
    [aux_sym_goto_statement_token1] = ACTIONS(1494),
    [aux_sym_continue_statement_token1] = ACTIONS(1494),
    [aux_sym_break_statement_token1] = ACTIONS(1494),
    [sym_integer] = ACTIONS(1494),
    [aux_sym_return_statement_token1] = ACTIONS(1494),
    [aux_sym_throw_expression_token1] = ACTIONS(1494),
    [aux_sym_while_statement_token1] = ACTIONS(1494),
    [aux_sym_while_statement_token2] = ACTIONS(1494),
    [aux_sym_do_statement_token1] = ACTIONS(1494),
    [aux_sym_for_statement_token1] = ACTIONS(1494),
    [aux_sym_for_statement_token2] = ACTIONS(1494),
    [aux_sym_foreach_statement_token1] = ACTIONS(1494),
    [aux_sym_foreach_statement_token2] = ACTIONS(1494),
    [aux_sym_if_statement_token1] = ACTIONS(1494),
    [aux_sym_if_statement_token2] = ACTIONS(1494),
    [aux_sym_else_if_clause_token1] = ACTIONS(1494),
    [aux_sym_else_clause_token1] = ACTIONS(1494),
    [aux_sym_match_expression_token1] = ACTIONS(1494),
    [aux_sym_match_default_expression_token1] = ACTIONS(1494),
    [aux_sym_switch_statement_token1] = ACTIONS(1494),
    [aux_sym_switch_block_token1] = ACTIONS(1494),
    [anon_sym_PLUS] = ACTIONS(1494),
    [anon_sym_DASH] = ACTIONS(1494),
    [anon_sym_TILDE] = ACTIONS(1492),
    [anon_sym_BANG] = ACTIONS(1492),
    [anon_sym_AT] = ACTIONS(1492),
    [aux_sym_clone_expression_token1] = ACTIONS(1494),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1494),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1494),
    [anon_sym_DASH_DASH] = ACTIONS(1492),
    [anon_sym_PLUS_PLUS] = ACTIONS(1492),
    [aux_sym__list_destructing_token1] = ACTIONS(1494),
    [anon_sym_LBRACK] = ACTIONS(1492),
    [anon_sym_self] = ACTIONS(1494),
    [anon_sym_parent] = ACTIONS(1494),
    [aux_sym__argument_name_token1] = ACTIONS(1494),
    [aux_sym__argument_name_token2] = ACTIONS(1494),
    [anon_sym_POUND_LBRACK] = ACTIONS(1492),
    [aux_sym_encapsed_string_token1] = ACTIONS(1492),
    [anon_sym_DQUOTE] = ACTIONS(1492),
    [aux_sym_string_token1] = ACTIONS(1492),
    [anon_sym_SQUOTE] = ACTIONS(1492),
    [anon_sym_LT_LT_LT] = ACTIONS(1492),
    [anon_sym_BQUOTE] = ACTIONS(1492),
    [anon_sym_DOLLAR] = ACTIONS(1492),
    [aux_sym_yield_expression_token1] = ACTIONS(1494),
    [aux_sym_include_expression_token1] = ACTIONS(1494),
    [aux_sym_include_once_expression_token1] = ACTIONS(1494),
    [aux_sym_require_expression_token1] = ACTIONS(1494),
    [aux_sym_require_once_expression_token1] = ACTIONS(1494),
    [sym_comment] = ACTIONS(5),
  },
  [567] = {
    [sym_text_interpolation] = STATE(567),
    [ts_builtin_sym_end] = ACTIONS(1496),
    [sym_name] = ACTIONS(1498),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1496),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1498),
    [aux_sym_global_declaration_token1] = ACTIONS(1498),
    [aux_sym_namespace_definition_token1] = ACTIONS(1498),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1498),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1498),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1498),
    [anon_sym_BSLASH] = ACTIONS(1496),
    [anon_sym_LBRACE] = ACTIONS(1496),
    [anon_sym_RBRACE] = ACTIONS(1496),
    [aux_sym_trait_declaration_token1] = ACTIONS(1498),
    [aux_sym_interface_declaration_token1] = ACTIONS(1498),
    [aux_sym_enum_declaration_token1] = ACTIONS(1498),
    [aux_sym_enum_case_token1] = ACTIONS(1498),
    [aux_sym_class_declaration_token1] = ACTIONS(1498),
    [aux_sym_final_modifier_token1] = ACTIONS(1498),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1498),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1498),
    [sym_var_modifier] = ACTIONS(1498),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1498),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1498),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1498),
    [anon_sym_LPAREN2] = ACTIONS(1496),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1498),
    [aux_sym_cast_type_token1] = ACTIONS(1498),
    [aux_sym_echo_statement_token1] = ACTIONS(1498),
    [aux_sym_exit_statement_token1] = ACTIONS(1498),
    [anon_sym_unset] = ACTIONS(1498),
    [aux_sym_declare_statement_token1] = ACTIONS(1498),
    [aux_sym_declare_statement_token2] = ACTIONS(1498),
    [sym_float] = ACTIONS(1498),
    [aux_sym_try_statement_token1] = ACTIONS(1498),
    [aux_sym_goto_statement_token1] = ACTIONS(1498),
    [aux_sym_continue_statement_token1] = ACTIONS(1498),
    [aux_sym_break_statement_token1] = ACTIONS(1498),
    [sym_integer] = ACTIONS(1498),
    [aux_sym_return_statement_token1] = ACTIONS(1498),
    [aux_sym_throw_expression_token1] = ACTIONS(1498),
    [aux_sym_while_statement_token1] = ACTIONS(1498),
    [aux_sym_while_statement_token2] = ACTIONS(1498),
    [aux_sym_do_statement_token1] = ACTIONS(1498),
    [aux_sym_for_statement_token1] = ACTIONS(1498),
    [aux_sym_for_statement_token2] = ACTIONS(1498),
    [aux_sym_foreach_statement_token1] = ACTIONS(1498),
    [aux_sym_foreach_statement_token2] = ACTIONS(1498),
    [aux_sym_if_statement_token1] = ACTIONS(1498),
    [aux_sym_if_statement_token2] = ACTIONS(1498),
    [aux_sym_else_if_clause_token1] = ACTIONS(1498),
    [aux_sym_else_clause_token1] = ACTIONS(1498),
    [aux_sym_match_expression_token1] = ACTIONS(1498),
    [aux_sym_match_default_expression_token1] = ACTIONS(1498),
    [aux_sym_switch_statement_token1] = ACTIONS(1498),
    [aux_sym_switch_block_token1] = ACTIONS(1498),
    [anon_sym_PLUS] = ACTIONS(1498),
    [anon_sym_DASH] = ACTIONS(1498),
    [anon_sym_TILDE] = ACTIONS(1496),
    [anon_sym_BANG] = ACTIONS(1496),
    [anon_sym_AT] = ACTIONS(1496),
    [aux_sym_clone_expression_token1] = ACTIONS(1498),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1498),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1498),
    [anon_sym_DASH_DASH] = ACTIONS(1496),
    [anon_sym_PLUS_PLUS] = ACTIONS(1496),
    [aux_sym__list_destructing_token1] = ACTIONS(1498),
    [anon_sym_LBRACK] = ACTIONS(1496),
    [anon_sym_self] = ACTIONS(1498),
    [anon_sym_parent] = ACTIONS(1498),
    [aux_sym__argument_name_token1] = ACTIONS(1498),
    [aux_sym__argument_name_token2] = ACTIONS(1498),
    [anon_sym_POUND_LBRACK] = ACTIONS(1496),
    [aux_sym_encapsed_string_token1] = ACTIONS(1496),
    [anon_sym_DQUOTE] = ACTIONS(1496),
    [aux_sym_string_token1] = ACTIONS(1496),
    [anon_sym_SQUOTE] = ACTIONS(1496),
    [anon_sym_LT_LT_LT] = ACTIONS(1496),
    [anon_sym_BQUOTE] = ACTIONS(1496),
    [anon_sym_DOLLAR] = ACTIONS(1496),
    [aux_sym_yield_expression_token1] = ACTIONS(1498),
    [aux_sym_include_expression_token1] = ACTIONS(1498),
    [aux_sym_include_once_expression_token1] = ACTIONS(1498),
    [aux_sym_require_expression_token1] = ACTIONS(1498),
    [aux_sym_require_once_expression_token1] = ACTIONS(1498),
    [sym_comment] = ACTIONS(5),
  },
  [568] = {
    [sym_text_interpolation] = STATE(568),
    [ts_builtin_sym_end] = ACTIONS(1500),
    [sym_name] = ACTIONS(1502),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1500),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1502),
    [aux_sym_global_declaration_token1] = ACTIONS(1502),
    [aux_sym_namespace_definition_token1] = ACTIONS(1502),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1502),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1502),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1502),
    [anon_sym_BSLASH] = ACTIONS(1500),
    [anon_sym_LBRACE] = ACTIONS(1500),
    [anon_sym_RBRACE] = ACTIONS(1500),
    [aux_sym_trait_declaration_token1] = ACTIONS(1502),
    [aux_sym_interface_declaration_token1] = ACTIONS(1502),
    [aux_sym_enum_declaration_token1] = ACTIONS(1502),
    [aux_sym_enum_case_token1] = ACTIONS(1502),
    [aux_sym_class_declaration_token1] = ACTIONS(1502),
    [aux_sym_final_modifier_token1] = ACTIONS(1502),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1502),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1502),
    [sym_var_modifier] = ACTIONS(1502),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1502),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1502),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1502),
    [anon_sym_LPAREN2] = ACTIONS(1500),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1502),
    [aux_sym_cast_type_token1] = ACTIONS(1502),
    [aux_sym_echo_statement_token1] = ACTIONS(1502),
    [aux_sym_exit_statement_token1] = ACTIONS(1502),
    [anon_sym_unset] = ACTIONS(1502),
    [aux_sym_declare_statement_token1] = ACTIONS(1502),
    [aux_sym_declare_statement_token2] = ACTIONS(1502),
    [sym_float] = ACTIONS(1502),
    [aux_sym_try_statement_token1] = ACTIONS(1502),
    [aux_sym_goto_statement_token1] = ACTIONS(1502),
    [aux_sym_continue_statement_token1] = ACTIONS(1502),
    [aux_sym_break_statement_token1] = ACTIONS(1502),
    [sym_integer] = ACTIONS(1502),
    [aux_sym_return_statement_token1] = ACTIONS(1502),
    [aux_sym_throw_expression_token1] = ACTIONS(1502),
    [aux_sym_while_statement_token1] = ACTIONS(1502),
    [aux_sym_while_statement_token2] = ACTIONS(1502),
    [aux_sym_do_statement_token1] = ACTIONS(1502),
    [aux_sym_for_statement_token1] = ACTIONS(1502),
    [aux_sym_for_statement_token2] = ACTIONS(1502),
    [aux_sym_foreach_statement_token1] = ACTIONS(1502),
    [aux_sym_foreach_statement_token2] = ACTIONS(1502),
    [aux_sym_if_statement_token1] = ACTIONS(1502),
    [aux_sym_if_statement_token2] = ACTIONS(1502),
    [aux_sym_else_if_clause_token1] = ACTIONS(1502),
    [aux_sym_else_clause_token1] = ACTIONS(1502),
    [aux_sym_match_expression_token1] = ACTIONS(1502),
    [aux_sym_match_default_expression_token1] = ACTIONS(1502),
    [aux_sym_switch_statement_token1] = ACTIONS(1502),
    [aux_sym_switch_block_token1] = ACTIONS(1502),
    [anon_sym_PLUS] = ACTIONS(1502),
    [anon_sym_DASH] = ACTIONS(1502),
    [anon_sym_TILDE] = ACTIONS(1500),
    [anon_sym_BANG] = ACTIONS(1500),
    [anon_sym_AT] = ACTIONS(1500),
    [aux_sym_clone_expression_token1] = ACTIONS(1502),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1502),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1502),
    [anon_sym_DASH_DASH] = ACTIONS(1500),
    [anon_sym_PLUS_PLUS] = ACTIONS(1500),
    [aux_sym__list_destructing_token1] = ACTIONS(1502),
    [anon_sym_LBRACK] = ACTIONS(1500),
    [anon_sym_self] = ACTIONS(1502),
    [anon_sym_parent] = ACTIONS(1502),
    [aux_sym__argument_name_token1] = ACTIONS(1502),
    [aux_sym__argument_name_token2] = ACTIONS(1502),
    [anon_sym_POUND_LBRACK] = ACTIONS(1500),
    [aux_sym_encapsed_string_token1] = ACTIONS(1500),
    [anon_sym_DQUOTE] = ACTIONS(1500),
    [aux_sym_string_token1] = ACTIONS(1500),
    [anon_sym_SQUOTE] = ACTIONS(1500),
    [anon_sym_LT_LT_LT] = ACTIONS(1500),
    [anon_sym_BQUOTE] = ACTIONS(1500),
    [anon_sym_DOLLAR] = ACTIONS(1500),
    [aux_sym_yield_expression_token1] = ACTIONS(1502),
    [aux_sym_include_expression_token1] = ACTIONS(1502),
    [aux_sym_include_once_expression_token1] = ACTIONS(1502),
    [aux_sym_require_expression_token1] = ACTIONS(1502),
    [aux_sym_require_once_expression_token1] = ACTIONS(1502),
    [sym_comment] = ACTIONS(5),
  },
  [569] = {
    [sym_text_interpolation] = STATE(569),
    [ts_builtin_sym_end] = ACTIONS(1504),
    [sym_name] = ACTIONS(1506),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1504),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1506),
    [aux_sym_global_declaration_token1] = ACTIONS(1506),
    [aux_sym_namespace_definition_token1] = ACTIONS(1506),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1506),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1506),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1506),
    [anon_sym_BSLASH] = ACTIONS(1504),
    [anon_sym_LBRACE] = ACTIONS(1504),
    [anon_sym_RBRACE] = ACTIONS(1504),
    [aux_sym_trait_declaration_token1] = ACTIONS(1506),
    [aux_sym_interface_declaration_token1] = ACTIONS(1506),
    [aux_sym_enum_declaration_token1] = ACTIONS(1506),
    [aux_sym_enum_case_token1] = ACTIONS(1506),
    [aux_sym_class_declaration_token1] = ACTIONS(1506),
    [aux_sym_final_modifier_token1] = ACTIONS(1506),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1506),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1506),
    [sym_var_modifier] = ACTIONS(1506),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1506),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1506),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1506),
    [anon_sym_LPAREN2] = ACTIONS(1504),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1506),
    [aux_sym_cast_type_token1] = ACTIONS(1506),
    [aux_sym_echo_statement_token1] = ACTIONS(1506),
    [aux_sym_exit_statement_token1] = ACTIONS(1506),
    [anon_sym_unset] = ACTIONS(1506),
    [aux_sym_declare_statement_token1] = ACTIONS(1506),
    [aux_sym_declare_statement_token2] = ACTIONS(1506),
    [sym_float] = ACTIONS(1506),
    [aux_sym_try_statement_token1] = ACTIONS(1506),
    [aux_sym_goto_statement_token1] = ACTIONS(1506),
    [aux_sym_continue_statement_token1] = ACTIONS(1506),
    [aux_sym_break_statement_token1] = ACTIONS(1506),
    [sym_integer] = ACTIONS(1506),
    [aux_sym_return_statement_token1] = ACTIONS(1506),
    [aux_sym_throw_expression_token1] = ACTIONS(1506),
    [aux_sym_while_statement_token1] = ACTIONS(1506),
    [aux_sym_while_statement_token2] = ACTIONS(1506),
    [aux_sym_do_statement_token1] = ACTIONS(1506),
    [aux_sym_for_statement_token1] = ACTIONS(1506),
    [aux_sym_for_statement_token2] = ACTIONS(1506),
    [aux_sym_foreach_statement_token1] = ACTIONS(1506),
    [aux_sym_foreach_statement_token2] = ACTIONS(1506),
    [aux_sym_if_statement_token1] = ACTIONS(1506),
    [aux_sym_if_statement_token2] = ACTIONS(1506),
    [aux_sym_else_if_clause_token1] = ACTIONS(1506),
    [aux_sym_else_clause_token1] = ACTIONS(1506),
    [aux_sym_match_expression_token1] = ACTIONS(1506),
    [aux_sym_match_default_expression_token1] = ACTIONS(1506),
    [aux_sym_switch_statement_token1] = ACTIONS(1506),
    [aux_sym_switch_block_token1] = ACTIONS(1506),
    [anon_sym_PLUS] = ACTIONS(1506),
    [anon_sym_DASH] = ACTIONS(1506),
    [anon_sym_TILDE] = ACTIONS(1504),
    [anon_sym_BANG] = ACTIONS(1504),
    [anon_sym_AT] = ACTIONS(1504),
    [aux_sym_clone_expression_token1] = ACTIONS(1506),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1506),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1506),
    [anon_sym_DASH_DASH] = ACTIONS(1504),
    [anon_sym_PLUS_PLUS] = ACTIONS(1504),
    [aux_sym__list_destructing_token1] = ACTIONS(1506),
    [anon_sym_LBRACK] = ACTIONS(1504),
    [anon_sym_self] = ACTIONS(1506),
    [anon_sym_parent] = ACTIONS(1506),
    [aux_sym__argument_name_token1] = ACTIONS(1506),
    [aux_sym__argument_name_token2] = ACTIONS(1506),
    [anon_sym_POUND_LBRACK] = ACTIONS(1504),
    [aux_sym_encapsed_string_token1] = ACTIONS(1504),
    [anon_sym_DQUOTE] = ACTIONS(1504),
    [aux_sym_string_token1] = ACTIONS(1504),
    [anon_sym_SQUOTE] = ACTIONS(1504),
    [anon_sym_LT_LT_LT] = ACTIONS(1504),
    [anon_sym_BQUOTE] = ACTIONS(1504),
    [anon_sym_DOLLAR] = ACTIONS(1504),
    [aux_sym_yield_expression_token1] = ACTIONS(1506),
    [aux_sym_include_expression_token1] = ACTIONS(1506),
    [aux_sym_include_once_expression_token1] = ACTIONS(1506),
    [aux_sym_require_expression_token1] = ACTIONS(1506),
    [aux_sym_require_once_expression_token1] = ACTIONS(1506),
    [sym_comment] = ACTIONS(5),
  },
  [570] = {
    [sym_text_interpolation] = STATE(570),
    [ts_builtin_sym_end] = ACTIONS(1508),
    [sym_name] = ACTIONS(1510),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1508),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1510),
    [aux_sym_global_declaration_token1] = ACTIONS(1510),
    [aux_sym_namespace_definition_token1] = ACTIONS(1510),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1510),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1510),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1510),
    [anon_sym_BSLASH] = ACTIONS(1508),
    [anon_sym_LBRACE] = ACTIONS(1508),
    [anon_sym_RBRACE] = ACTIONS(1508),
    [aux_sym_trait_declaration_token1] = ACTIONS(1510),
    [aux_sym_interface_declaration_token1] = ACTIONS(1510),
    [aux_sym_enum_declaration_token1] = ACTIONS(1510),
    [aux_sym_enum_case_token1] = ACTIONS(1510),
    [aux_sym_class_declaration_token1] = ACTIONS(1510),
    [aux_sym_final_modifier_token1] = ACTIONS(1510),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1510),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1510),
    [sym_var_modifier] = ACTIONS(1510),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1510),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1510),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1510),
    [anon_sym_LPAREN2] = ACTIONS(1508),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1510),
    [aux_sym_cast_type_token1] = ACTIONS(1510),
    [aux_sym_echo_statement_token1] = ACTIONS(1510),
    [aux_sym_exit_statement_token1] = ACTIONS(1510),
    [anon_sym_unset] = ACTIONS(1510),
    [aux_sym_declare_statement_token1] = ACTIONS(1510),
    [aux_sym_declare_statement_token2] = ACTIONS(1510),
    [sym_float] = ACTIONS(1510),
    [aux_sym_try_statement_token1] = ACTIONS(1510),
    [aux_sym_goto_statement_token1] = ACTIONS(1510),
    [aux_sym_continue_statement_token1] = ACTIONS(1510),
    [aux_sym_break_statement_token1] = ACTIONS(1510),
    [sym_integer] = ACTIONS(1510),
    [aux_sym_return_statement_token1] = ACTIONS(1510),
    [aux_sym_throw_expression_token1] = ACTIONS(1510),
    [aux_sym_while_statement_token1] = ACTIONS(1510),
    [aux_sym_while_statement_token2] = ACTIONS(1510),
    [aux_sym_do_statement_token1] = ACTIONS(1510),
    [aux_sym_for_statement_token1] = ACTIONS(1510),
    [aux_sym_for_statement_token2] = ACTIONS(1510),
    [aux_sym_foreach_statement_token1] = ACTIONS(1510),
    [aux_sym_foreach_statement_token2] = ACTIONS(1510),
    [aux_sym_if_statement_token1] = ACTIONS(1510),
    [aux_sym_if_statement_token2] = ACTIONS(1510),
    [aux_sym_else_if_clause_token1] = ACTIONS(1510),
    [aux_sym_else_clause_token1] = ACTIONS(1510),
    [aux_sym_match_expression_token1] = ACTIONS(1510),
    [aux_sym_match_default_expression_token1] = ACTIONS(1510),
    [aux_sym_switch_statement_token1] = ACTIONS(1510),
    [aux_sym_switch_block_token1] = ACTIONS(1510),
    [anon_sym_PLUS] = ACTIONS(1510),
    [anon_sym_DASH] = ACTIONS(1510),
    [anon_sym_TILDE] = ACTIONS(1508),
    [anon_sym_BANG] = ACTIONS(1508),
    [anon_sym_AT] = ACTIONS(1508),
    [aux_sym_clone_expression_token1] = ACTIONS(1510),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1510),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1510),
    [anon_sym_DASH_DASH] = ACTIONS(1508),
    [anon_sym_PLUS_PLUS] = ACTIONS(1508),
    [aux_sym__list_destructing_token1] = ACTIONS(1510),
    [anon_sym_LBRACK] = ACTIONS(1508),
    [anon_sym_self] = ACTIONS(1510),
    [anon_sym_parent] = ACTIONS(1510),
    [aux_sym__argument_name_token1] = ACTIONS(1510),
    [aux_sym__argument_name_token2] = ACTIONS(1510),
    [anon_sym_POUND_LBRACK] = ACTIONS(1508),
    [aux_sym_encapsed_string_token1] = ACTIONS(1508),
    [anon_sym_DQUOTE] = ACTIONS(1508),
    [aux_sym_string_token1] = ACTIONS(1508),
    [anon_sym_SQUOTE] = ACTIONS(1508),
    [anon_sym_LT_LT_LT] = ACTIONS(1508),
    [anon_sym_BQUOTE] = ACTIONS(1508),
    [anon_sym_DOLLAR] = ACTIONS(1508),
    [aux_sym_yield_expression_token1] = ACTIONS(1510),
    [aux_sym_include_expression_token1] = ACTIONS(1510),
    [aux_sym_include_once_expression_token1] = ACTIONS(1510),
    [aux_sym_require_expression_token1] = ACTIONS(1510),
    [aux_sym_require_once_expression_token1] = ACTIONS(1510),
    [sym_comment] = ACTIONS(5),
  },
  [571] = {
    [sym_text_interpolation] = STATE(571),
    [ts_builtin_sym_end] = ACTIONS(1512),
    [sym_name] = ACTIONS(1514),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1512),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1514),
    [aux_sym_global_declaration_token1] = ACTIONS(1514),
    [aux_sym_namespace_definition_token1] = ACTIONS(1514),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1514),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1514),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1514),
    [anon_sym_BSLASH] = ACTIONS(1512),
    [anon_sym_LBRACE] = ACTIONS(1512),
    [anon_sym_RBRACE] = ACTIONS(1512),
    [aux_sym_trait_declaration_token1] = ACTIONS(1514),
    [aux_sym_interface_declaration_token1] = ACTIONS(1514),
    [aux_sym_enum_declaration_token1] = ACTIONS(1514),
    [aux_sym_enum_case_token1] = ACTIONS(1514),
    [aux_sym_class_declaration_token1] = ACTIONS(1514),
    [aux_sym_final_modifier_token1] = ACTIONS(1514),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1514),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1514),
    [sym_var_modifier] = ACTIONS(1514),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1514),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1514),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1514),
    [anon_sym_LPAREN2] = ACTIONS(1512),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1514),
    [aux_sym_cast_type_token1] = ACTIONS(1514),
    [aux_sym_echo_statement_token1] = ACTIONS(1514),
    [aux_sym_exit_statement_token1] = ACTIONS(1514),
    [anon_sym_unset] = ACTIONS(1514),
    [aux_sym_declare_statement_token1] = ACTIONS(1514),
    [aux_sym_declare_statement_token2] = ACTIONS(1514),
    [sym_float] = ACTIONS(1514),
    [aux_sym_try_statement_token1] = ACTIONS(1514),
    [aux_sym_goto_statement_token1] = ACTIONS(1514),
    [aux_sym_continue_statement_token1] = ACTIONS(1514),
    [aux_sym_break_statement_token1] = ACTIONS(1514),
    [sym_integer] = ACTIONS(1514),
    [aux_sym_return_statement_token1] = ACTIONS(1514),
    [aux_sym_throw_expression_token1] = ACTIONS(1514),
    [aux_sym_while_statement_token1] = ACTIONS(1514),
    [aux_sym_while_statement_token2] = ACTIONS(1514),
    [aux_sym_do_statement_token1] = ACTIONS(1514),
    [aux_sym_for_statement_token1] = ACTIONS(1514),
    [aux_sym_for_statement_token2] = ACTIONS(1514),
    [aux_sym_foreach_statement_token1] = ACTIONS(1514),
    [aux_sym_foreach_statement_token2] = ACTIONS(1514),
    [aux_sym_if_statement_token1] = ACTIONS(1514),
    [aux_sym_if_statement_token2] = ACTIONS(1514),
    [aux_sym_else_if_clause_token1] = ACTIONS(1514),
    [aux_sym_else_clause_token1] = ACTIONS(1514),
    [aux_sym_match_expression_token1] = ACTIONS(1514),
    [aux_sym_match_default_expression_token1] = ACTIONS(1514),
    [aux_sym_switch_statement_token1] = ACTIONS(1514),
    [aux_sym_switch_block_token1] = ACTIONS(1514),
    [anon_sym_PLUS] = ACTIONS(1514),
    [anon_sym_DASH] = ACTIONS(1514),
    [anon_sym_TILDE] = ACTIONS(1512),
    [anon_sym_BANG] = ACTIONS(1512),
    [anon_sym_AT] = ACTIONS(1512),
    [aux_sym_clone_expression_token1] = ACTIONS(1514),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1514),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1514),
    [anon_sym_DASH_DASH] = ACTIONS(1512),
    [anon_sym_PLUS_PLUS] = ACTIONS(1512),
    [aux_sym__list_destructing_token1] = ACTIONS(1514),
    [anon_sym_LBRACK] = ACTIONS(1512),
    [anon_sym_self] = ACTIONS(1514),
    [anon_sym_parent] = ACTIONS(1514),
    [aux_sym__argument_name_token1] = ACTIONS(1514),
    [aux_sym__argument_name_token2] = ACTIONS(1514),
    [anon_sym_POUND_LBRACK] = ACTIONS(1512),
    [aux_sym_encapsed_string_token1] = ACTIONS(1512),
    [anon_sym_DQUOTE] = ACTIONS(1512),
    [aux_sym_string_token1] = ACTIONS(1512),
    [anon_sym_SQUOTE] = ACTIONS(1512),
    [anon_sym_LT_LT_LT] = ACTIONS(1512),
    [anon_sym_BQUOTE] = ACTIONS(1512),
    [anon_sym_DOLLAR] = ACTIONS(1512),
    [aux_sym_yield_expression_token1] = ACTIONS(1514),
    [aux_sym_include_expression_token1] = ACTIONS(1514),
    [aux_sym_include_once_expression_token1] = ACTIONS(1514),
    [aux_sym_require_expression_token1] = ACTIONS(1514),
    [aux_sym_require_once_expression_token1] = ACTIONS(1514),
    [sym_comment] = ACTIONS(5),
  },
  [572] = {
    [sym_text_interpolation] = STATE(572),
    [ts_builtin_sym_end] = ACTIONS(1516),
    [sym_name] = ACTIONS(1518),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1516),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1518),
    [aux_sym_global_declaration_token1] = ACTIONS(1518),
    [aux_sym_namespace_definition_token1] = ACTIONS(1518),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1518),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1518),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1518),
    [anon_sym_BSLASH] = ACTIONS(1516),
    [anon_sym_LBRACE] = ACTIONS(1516),
    [anon_sym_RBRACE] = ACTIONS(1516),
    [aux_sym_trait_declaration_token1] = ACTIONS(1518),
    [aux_sym_interface_declaration_token1] = ACTIONS(1518),
    [aux_sym_enum_declaration_token1] = ACTIONS(1518),
    [aux_sym_enum_case_token1] = ACTIONS(1518),
    [aux_sym_class_declaration_token1] = ACTIONS(1518),
    [aux_sym_final_modifier_token1] = ACTIONS(1518),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1518),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1518),
    [sym_var_modifier] = ACTIONS(1518),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1518),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1518),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1518),
    [anon_sym_LPAREN2] = ACTIONS(1516),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1518),
    [aux_sym_cast_type_token1] = ACTIONS(1518),
    [aux_sym_echo_statement_token1] = ACTIONS(1518),
    [aux_sym_exit_statement_token1] = ACTIONS(1518),
    [anon_sym_unset] = ACTIONS(1518),
    [aux_sym_declare_statement_token1] = ACTIONS(1518),
    [aux_sym_declare_statement_token2] = ACTIONS(1518),
    [sym_float] = ACTIONS(1518),
    [aux_sym_try_statement_token1] = ACTIONS(1518),
    [aux_sym_goto_statement_token1] = ACTIONS(1518),
    [aux_sym_continue_statement_token1] = ACTIONS(1518),
    [aux_sym_break_statement_token1] = ACTIONS(1518),
    [sym_integer] = ACTIONS(1518),
    [aux_sym_return_statement_token1] = ACTIONS(1518),
    [aux_sym_throw_expression_token1] = ACTIONS(1518),
    [aux_sym_while_statement_token1] = ACTIONS(1518),
    [aux_sym_while_statement_token2] = ACTIONS(1518),
    [aux_sym_do_statement_token1] = ACTIONS(1518),
    [aux_sym_for_statement_token1] = ACTIONS(1518),
    [aux_sym_for_statement_token2] = ACTIONS(1518),
    [aux_sym_foreach_statement_token1] = ACTIONS(1518),
    [aux_sym_foreach_statement_token2] = ACTIONS(1518),
    [aux_sym_if_statement_token1] = ACTIONS(1518),
    [aux_sym_if_statement_token2] = ACTIONS(1518),
    [aux_sym_else_if_clause_token1] = ACTIONS(1518),
    [aux_sym_else_clause_token1] = ACTIONS(1518),
    [aux_sym_match_expression_token1] = ACTIONS(1518),
    [aux_sym_match_default_expression_token1] = ACTIONS(1518),
    [aux_sym_switch_statement_token1] = ACTIONS(1518),
    [aux_sym_switch_block_token1] = ACTIONS(1518),
    [anon_sym_PLUS] = ACTIONS(1518),
    [anon_sym_DASH] = ACTIONS(1518),
    [anon_sym_TILDE] = ACTIONS(1516),
    [anon_sym_BANG] = ACTIONS(1516),
    [anon_sym_AT] = ACTIONS(1516),
    [aux_sym_clone_expression_token1] = ACTIONS(1518),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1518),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1518),
    [anon_sym_DASH_DASH] = ACTIONS(1516),
    [anon_sym_PLUS_PLUS] = ACTIONS(1516),
    [aux_sym__list_destructing_token1] = ACTIONS(1518),
    [anon_sym_LBRACK] = ACTIONS(1516),
    [anon_sym_self] = ACTIONS(1518),
    [anon_sym_parent] = ACTIONS(1518),
    [aux_sym__argument_name_token1] = ACTIONS(1518),
    [aux_sym__argument_name_token2] = ACTIONS(1518),
    [anon_sym_POUND_LBRACK] = ACTIONS(1516),
    [aux_sym_encapsed_string_token1] = ACTIONS(1516),
    [anon_sym_DQUOTE] = ACTIONS(1516),
    [aux_sym_string_token1] = ACTIONS(1516),
    [anon_sym_SQUOTE] = ACTIONS(1516),
    [anon_sym_LT_LT_LT] = ACTIONS(1516),
    [anon_sym_BQUOTE] = ACTIONS(1516),
    [anon_sym_DOLLAR] = ACTIONS(1516),
    [aux_sym_yield_expression_token1] = ACTIONS(1518),
    [aux_sym_include_expression_token1] = ACTIONS(1518),
    [aux_sym_include_once_expression_token1] = ACTIONS(1518),
    [aux_sym_require_expression_token1] = ACTIONS(1518),
    [aux_sym_require_once_expression_token1] = ACTIONS(1518),
    [sym_comment] = ACTIONS(5),
  },
  [573] = {
    [sym_text_interpolation] = STATE(573),
    [ts_builtin_sym_end] = ACTIONS(1520),
    [sym_name] = ACTIONS(1522),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1520),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1522),
    [aux_sym_global_declaration_token1] = ACTIONS(1522),
    [aux_sym_namespace_definition_token1] = ACTIONS(1522),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1522),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1522),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1522),
    [anon_sym_BSLASH] = ACTIONS(1520),
    [anon_sym_LBRACE] = ACTIONS(1520),
    [anon_sym_RBRACE] = ACTIONS(1520),
    [aux_sym_trait_declaration_token1] = ACTIONS(1522),
    [aux_sym_interface_declaration_token1] = ACTIONS(1522),
    [aux_sym_enum_declaration_token1] = ACTIONS(1522),
    [aux_sym_enum_case_token1] = ACTIONS(1522),
    [aux_sym_class_declaration_token1] = ACTIONS(1522),
    [aux_sym_final_modifier_token1] = ACTIONS(1522),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1522),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1522),
    [sym_var_modifier] = ACTIONS(1522),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1522),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1522),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1522),
    [anon_sym_LPAREN2] = ACTIONS(1520),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1522),
    [aux_sym_cast_type_token1] = ACTIONS(1522),
    [aux_sym_echo_statement_token1] = ACTIONS(1522),
    [aux_sym_exit_statement_token1] = ACTIONS(1522),
    [anon_sym_unset] = ACTIONS(1522),
    [aux_sym_declare_statement_token1] = ACTIONS(1522),
    [aux_sym_declare_statement_token2] = ACTIONS(1522),
    [sym_float] = ACTIONS(1522),
    [aux_sym_try_statement_token1] = ACTIONS(1522),
    [aux_sym_goto_statement_token1] = ACTIONS(1522),
    [aux_sym_continue_statement_token1] = ACTIONS(1522),
    [aux_sym_break_statement_token1] = ACTIONS(1522),
    [sym_integer] = ACTIONS(1522),
    [aux_sym_return_statement_token1] = ACTIONS(1522),
    [aux_sym_throw_expression_token1] = ACTIONS(1522),
    [aux_sym_while_statement_token1] = ACTIONS(1522),
    [aux_sym_while_statement_token2] = ACTIONS(1522),
    [aux_sym_do_statement_token1] = ACTIONS(1522),
    [aux_sym_for_statement_token1] = ACTIONS(1522),
    [aux_sym_for_statement_token2] = ACTIONS(1522),
    [aux_sym_foreach_statement_token1] = ACTIONS(1522),
    [aux_sym_foreach_statement_token2] = ACTIONS(1522),
    [aux_sym_if_statement_token1] = ACTIONS(1522),
    [aux_sym_if_statement_token2] = ACTIONS(1522),
    [aux_sym_else_if_clause_token1] = ACTIONS(1522),
    [aux_sym_else_clause_token1] = ACTIONS(1522),
    [aux_sym_match_expression_token1] = ACTIONS(1522),
    [aux_sym_match_default_expression_token1] = ACTIONS(1522),
    [aux_sym_switch_statement_token1] = ACTIONS(1522),
    [aux_sym_switch_block_token1] = ACTIONS(1522),
    [anon_sym_PLUS] = ACTIONS(1522),
    [anon_sym_DASH] = ACTIONS(1522),
    [anon_sym_TILDE] = ACTIONS(1520),
    [anon_sym_BANG] = ACTIONS(1520),
    [anon_sym_AT] = ACTIONS(1520),
    [aux_sym_clone_expression_token1] = ACTIONS(1522),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1522),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1522),
    [anon_sym_DASH_DASH] = ACTIONS(1520),
    [anon_sym_PLUS_PLUS] = ACTIONS(1520),
    [aux_sym__list_destructing_token1] = ACTIONS(1522),
    [anon_sym_LBRACK] = ACTIONS(1520),
    [anon_sym_self] = ACTIONS(1522),
    [anon_sym_parent] = ACTIONS(1522),
    [aux_sym__argument_name_token1] = ACTIONS(1522),
    [aux_sym__argument_name_token2] = ACTIONS(1522),
    [anon_sym_POUND_LBRACK] = ACTIONS(1520),
    [aux_sym_encapsed_string_token1] = ACTIONS(1520),
    [anon_sym_DQUOTE] = ACTIONS(1520),
    [aux_sym_string_token1] = ACTIONS(1520),
    [anon_sym_SQUOTE] = ACTIONS(1520),
    [anon_sym_LT_LT_LT] = ACTIONS(1520),
    [anon_sym_BQUOTE] = ACTIONS(1520),
    [anon_sym_DOLLAR] = ACTIONS(1520),
    [aux_sym_yield_expression_token1] = ACTIONS(1522),
    [aux_sym_include_expression_token1] = ACTIONS(1522),
    [aux_sym_include_once_expression_token1] = ACTIONS(1522),
    [aux_sym_require_expression_token1] = ACTIONS(1522),
    [aux_sym_require_once_expression_token1] = ACTIONS(1522),
    [sym_comment] = ACTIONS(5),
  },
  [574] = {
    [sym_text_interpolation] = STATE(574),
    [ts_builtin_sym_end] = ACTIONS(1524),
    [sym_name] = ACTIONS(1526),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1524),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1526),
    [aux_sym_global_declaration_token1] = ACTIONS(1526),
    [aux_sym_namespace_definition_token1] = ACTIONS(1526),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1526),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1526),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1526),
    [anon_sym_BSLASH] = ACTIONS(1524),
    [anon_sym_LBRACE] = ACTIONS(1524),
    [anon_sym_RBRACE] = ACTIONS(1524),
    [aux_sym_trait_declaration_token1] = ACTIONS(1526),
    [aux_sym_interface_declaration_token1] = ACTIONS(1526),
    [aux_sym_enum_declaration_token1] = ACTIONS(1526),
    [aux_sym_enum_case_token1] = ACTIONS(1526),
    [aux_sym_class_declaration_token1] = ACTIONS(1526),
    [aux_sym_final_modifier_token1] = ACTIONS(1526),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1526),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1526),
    [sym_var_modifier] = ACTIONS(1526),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1526),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1526),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1526),
    [anon_sym_LPAREN2] = ACTIONS(1524),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1526),
    [aux_sym_cast_type_token1] = ACTIONS(1526),
    [aux_sym_echo_statement_token1] = ACTIONS(1526),
    [aux_sym_exit_statement_token1] = ACTIONS(1526),
    [anon_sym_unset] = ACTIONS(1526),
    [aux_sym_declare_statement_token1] = ACTIONS(1526),
    [aux_sym_declare_statement_token2] = ACTIONS(1526),
    [sym_float] = ACTIONS(1526),
    [aux_sym_try_statement_token1] = ACTIONS(1526),
    [aux_sym_goto_statement_token1] = ACTIONS(1526),
    [aux_sym_continue_statement_token1] = ACTIONS(1526),
    [aux_sym_break_statement_token1] = ACTIONS(1526),
    [sym_integer] = ACTIONS(1526),
    [aux_sym_return_statement_token1] = ACTIONS(1526),
    [aux_sym_throw_expression_token1] = ACTIONS(1526),
    [aux_sym_while_statement_token1] = ACTIONS(1526),
    [aux_sym_while_statement_token2] = ACTIONS(1526),
    [aux_sym_do_statement_token1] = ACTIONS(1526),
    [aux_sym_for_statement_token1] = ACTIONS(1526),
    [aux_sym_for_statement_token2] = ACTIONS(1526),
    [aux_sym_foreach_statement_token1] = ACTIONS(1526),
    [aux_sym_foreach_statement_token2] = ACTIONS(1526),
    [aux_sym_if_statement_token1] = ACTIONS(1526),
    [aux_sym_if_statement_token2] = ACTIONS(1526),
    [aux_sym_else_if_clause_token1] = ACTIONS(1526),
    [aux_sym_else_clause_token1] = ACTIONS(1526),
    [aux_sym_match_expression_token1] = ACTIONS(1526),
    [aux_sym_match_default_expression_token1] = ACTIONS(1526),
    [aux_sym_switch_statement_token1] = ACTIONS(1526),
    [aux_sym_switch_block_token1] = ACTIONS(1526),
    [anon_sym_PLUS] = ACTIONS(1526),
    [anon_sym_DASH] = ACTIONS(1526),
    [anon_sym_TILDE] = ACTIONS(1524),
    [anon_sym_BANG] = ACTIONS(1524),
    [anon_sym_AT] = ACTIONS(1524),
    [aux_sym_clone_expression_token1] = ACTIONS(1526),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1526),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1526),
    [anon_sym_DASH_DASH] = ACTIONS(1524),
    [anon_sym_PLUS_PLUS] = ACTIONS(1524),
    [aux_sym__list_destructing_token1] = ACTIONS(1526),
    [anon_sym_LBRACK] = ACTIONS(1524),
    [anon_sym_self] = ACTIONS(1526),
    [anon_sym_parent] = ACTIONS(1526),
    [aux_sym__argument_name_token1] = ACTIONS(1526),
    [aux_sym__argument_name_token2] = ACTIONS(1526),
    [anon_sym_POUND_LBRACK] = ACTIONS(1524),
    [aux_sym_encapsed_string_token1] = ACTIONS(1524),
    [anon_sym_DQUOTE] = ACTIONS(1524),
    [aux_sym_string_token1] = ACTIONS(1524),
    [anon_sym_SQUOTE] = ACTIONS(1524),
    [anon_sym_LT_LT_LT] = ACTIONS(1524),
    [anon_sym_BQUOTE] = ACTIONS(1524),
    [anon_sym_DOLLAR] = ACTIONS(1524),
    [aux_sym_yield_expression_token1] = ACTIONS(1526),
    [aux_sym_include_expression_token1] = ACTIONS(1526),
    [aux_sym_include_once_expression_token1] = ACTIONS(1526),
    [aux_sym_require_expression_token1] = ACTIONS(1526),
    [aux_sym_require_once_expression_token1] = ACTIONS(1526),
    [sym_comment] = ACTIONS(5),
  },
  [575] = {
    [sym_text_interpolation] = STATE(575),
    [ts_builtin_sym_end] = ACTIONS(1528),
    [sym_name] = ACTIONS(1530),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1528),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1530),
    [aux_sym_global_declaration_token1] = ACTIONS(1530),
    [aux_sym_namespace_definition_token1] = ACTIONS(1530),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1530),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1530),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1530),
    [anon_sym_BSLASH] = ACTIONS(1528),
    [anon_sym_LBRACE] = ACTIONS(1528),
    [anon_sym_RBRACE] = ACTIONS(1528),
    [aux_sym_trait_declaration_token1] = ACTIONS(1530),
    [aux_sym_interface_declaration_token1] = ACTIONS(1530),
    [aux_sym_enum_declaration_token1] = ACTIONS(1530),
    [aux_sym_enum_case_token1] = ACTIONS(1530),
    [aux_sym_class_declaration_token1] = ACTIONS(1530),
    [aux_sym_final_modifier_token1] = ACTIONS(1530),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1530),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1530),
    [sym_var_modifier] = ACTIONS(1530),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1530),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1530),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1530),
    [anon_sym_LPAREN2] = ACTIONS(1528),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1530),
    [aux_sym_cast_type_token1] = ACTIONS(1530),
    [aux_sym_echo_statement_token1] = ACTIONS(1530),
    [aux_sym_exit_statement_token1] = ACTIONS(1530),
    [anon_sym_unset] = ACTIONS(1530),
    [aux_sym_declare_statement_token1] = ACTIONS(1530),
    [aux_sym_declare_statement_token2] = ACTIONS(1530),
    [sym_float] = ACTIONS(1530),
    [aux_sym_try_statement_token1] = ACTIONS(1530),
    [aux_sym_goto_statement_token1] = ACTIONS(1530),
    [aux_sym_continue_statement_token1] = ACTIONS(1530),
    [aux_sym_break_statement_token1] = ACTIONS(1530),
    [sym_integer] = ACTIONS(1530),
    [aux_sym_return_statement_token1] = ACTIONS(1530),
    [aux_sym_throw_expression_token1] = ACTIONS(1530),
    [aux_sym_while_statement_token1] = ACTIONS(1530),
    [aux_sym_while_statement_token2] = ACTIONS(1530),
    [aux_sym_do_statement_token1] = ACTIONS(1530),
    [aux_sym_for_statement_token1] = ACTIONS(1530),
    [aux_sym_for_statement_token2] = ACTIONS(1530),
    [aux_sym_foreach_statement_token1] = ACTIONS(1530),
    [aux_sym_foreach_statement_token2] = ACTIONS(1530),
    [aux_sym_if_statement_token1] = ACTIONS(1530),
    [aux_sym_if_statement_token2] = ACTIONS(1530),
    [aux_sym_else_if_clause_token1] = ACTIONS(1530),
    [aux_sym_else_clause_token1] = ACTIONS(1530),
    [aux_sym_match_expression_token1] = ACTIONS(1530),
    [aux_sym_match_default_expression_token1] = ACTIONS(1530),
    [aux_sym_switch_statement_token1] = ACTIONS(1530),
    [aux_sym_switch_block_token1] = ACTIONS(1530),
    [anon_sym_PLUS] = ACTIONS(1530),
    [anon_sym_DASH] = ACTIONS(1530),
    [anon_sym_TILDE] = ACTIONS(1528),
    [anon_sym_BANG] = ACTIONS(1528),
    [anon_sym_AT] = ACTIONS(1528),
    [aux_sym_clone_expression_token1] = ACTIONS(1530),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1530),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1530),
    [anon_sym_DASH_DASH] = ACTIONS(1528),
    [anon_sym_PLUS_PLUS] = ACTIONS(1528),
    [aux_sym__list_destructing_token1] = ACTIONS(1530),
    [anon_sym_LBRACK] = ACTIONS(1528),
    [anon_sym_self] = ACTIONS(1530),
    [anon_sym_parent] = ACTIONS(1530),
    [aux_sym__argument_name_token1] = ACTIONS(1530),
    [aux_sym__argument_name_token2] = ACTIONS(1530),
    [anon_sym_POUND_LBRACK] = ACTIONS(1528),
    [aux_sym_encapsed_string_token1] = ACTIONS(1528),
    [anon_sym_DQUOTE] = ACTIONS(1528),
    [aux_sym_string_token1] = ACTIONS(1528),
    [anon_sym_SQUOTE] = ACTIONS(1528),
    [anon_sym_LT_LT_LT] = ACTIONS(1528),
    [anon_sym_BQUOTE] = ACTIONS(1528),
    [anon_sym_DOLLAR] = ACTIONS(1528),
    [aux_sym_yield_expression_token1] = ACTIONS(1530),
    [aux_sym_include_expression_token1] = ACTIONS(1530),
    [aux_sym_include_once_expression_token1] = ACTIONS(1530),
    [aux_sym_require_expression_token1] = ACTIONS(1530),
    [aux_sym_require_once_expression_token1] = ACTIONS(1530),
    [sym_comment] = ACTIONS(5),
  },
  [576] = {
    [sym_text_interpolation] = STATE(576),
    [ts_builtin_sym_end] = ACTIONS(1532),
    [sym_name] = ACTIONS(1534),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1532),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1534),
    [aux_sym_global_declaration_token1] = ACTIONS(1534),
    [aux_sym_namespace_definition_token1] = ACTIONS(1534),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1534),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1534),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1534),
    [anon_sym_BSLASH] = ACTIONS(1532),
    [anon_sym_LBRACE] = ACTIONS(1532),
    [anon_sym_RBRACE] = ACTIONS(1532),
    [aux_sym_trait_declaration_token1] = ACTIONS(1534),
    [aux_sym_interface_declaration_token1] = ACTIONS(1534),
    [aux_sym_enum_declaration_token1] = ACTIONS(1534),
    [aux_sym_enum_case_token1] = ACTIONS(1534),
    [aux_sym_class_declaration_token1] = ACTIONS(1534),
    [aux_sym_final_modifier_token1] = ACTIONS(1534),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1534),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1534),
    [sym_var_modifier] = ACTIONS(1534),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1534),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1534),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1534),
    [anon_sym_LPAREN2] = ACTIONS(1532),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1534),
    [aux_sym_cast_type_token1] = ACTIONS(1534),
    [aux_sym_echo_statement_token1] = ACTIONS(1534),
    [aux_sym_exit_statement_token1] = ACTIONS(1534),
    [anon_sym_unset] = ACTIONS(1534),
    [aux_sym_declare_statement_token1] = ACTIONS(1534),
    [aux_sym_declare_statement_token2] = ACTIONS(1534),
    [sym_float] = ACTIONS(1534),
    [aux_sym_try_statement_token1] = ACTIONS(1534),
    [aux_sym_goto_statement_token1] = ACTIONS(1534),
    [aux_sym_continue_statement_token1] = ACTIONS(1534),
    [aux_sym_break_statement_token1] = ACTIONS(1534),
    [sym_integer] = ACTIONS(1534),
    [aux_sym_return_statement_token1] = ACTIONS(1534),
    [aux_sym_throw_expression_token1] = ACTIONS(1534),
    [aux_sym_while_statement_token1] = ACTIONS(1534),
    [aux_sym_while_statement_token2] = ACTIONS(1534),
    [aux_sym_do_statement_token1] = ACTIONS(1534),
    [aux_sym_for_statement_token1] = ACTIONS(1534),
    [aux_sym_for_statement_token2] = ACTIONS(1534),
    [aux_sym_foreach_statement_token1] = ACTIONS(1534),
    [aux_sym_foreach_statement_token2] = ACTIONS(1534),
    [aux_sym_if_statement_token1] = ACTIONS(1534),
    [aux_sym_if_statement_token2] = ACTIONS(1534),
    [aux_sym_else_if_clause_token1] = ACTIONS(1534),
    [aux_sym_else_clause_token1] = ACTIONS(1534),
    [aux_sym_match_expression_token1] = ACTIONS(1534),
    [aux_sym_match_default_expression_token1] = ACTIONS(1534),
    [aux_sym_switch_statement_token1] = ACTIONS(1534),
    [aux_sym_switch_block_token1] = ACTIONS(1534),
    [anon_sym_PLUS] = ACTIONS(1534),
    [anon_sym_DASH] = ACTIONS(1534),
    [anon_sym_TILDE] = ACTIONS(1532),
    [anon_sym_BANG] = ACTIONS(1532),
    [anon_sym_AT] = ACTIONS(1532),
    [aux_sym_clone_expression_token1] = ACTIONS(1534),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1534),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1534),
    [anon_sym_DASH_DASH] = ACTIONS(1532),
    [anon_sym_PLUS_PLUS] = ACTIONS(1532),
    [aux_sym__list_destructing_token1] = ACTIONS(1534),
    [anon_sym_LBRACK] = ACTIONS(1532),
    [anon_sym_self] = ACTIONS(1534),
    [anon_sym_parent] = ACTIONS(1534),
    [aux_sym__argument_name_token1] = ACTIONS(1534),
    [aux_sym__argument_name_token2] = ACTIONS(1534),
    [anon_sym_POUND_LBRACK] = ACTIONS(1532),
    [aux_sym_encapsed_string_token1] = ACTIONS(1532),
    [anon_sym_DQUOTE] = ACTIONS(1532),
    [aux_sym_string_token1] = ACTIONS(1532),
    [anon_sym_SQUOTE] = ACTIONS(1532),
    [anon_sym_LT_LT_LT] = ACTIONS(1532),
    [anon_sym_BQUOTE] = ACTIONS(1532),
    [anon_sym_DOLLAR] = ACTIONS(1532),
    [aux_sym_yield_expression_token1] = ACTIONS(1534),
    [aux_sym_include_expression_token1] = ACTIONS(1534),
    [aux_sym_include_once_expression_token1] = ACTIONS(1534),
    [aux_sym_require_expression_token1] = ACTIONS(1534),
    [aux_sym_require_once_expression_token1] = ACTIONS(1534),
    [sym_comment] = ACTIONS(5),
  },
  [577] = {
    [sym_text_interpolation] = STATE(577),
    [ts_builtin_sym_end] = ACTIONS(1536),
    [sym_name] = ACTIONS(1538),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1536),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1538),
    [aux_sym_global_declaration_token1] = ACTIONS(1538),
    [aux_sym_namespace_definition_token1] = ACTIONS(1538),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1538),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1538),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1538),
    [anon_sym_BSLASH] = ACTIONS(1536),
    [anon_sym_LBRACE] = ACTIONS(1536),
    [anon_sym_RBRACE] = ACTIONS(1536),
    [aux_sym_trait_declaration_token1] = ACTIONS(1538),
    [aux_sym_interface_declaration_token1] = ACTIONS(1538),
    [aux_sym_enum_declaration_token1] = ACTIONS(1538),
    [aux_sym_enum_case_token1] = ACTIONS(1538),
    [aux_sym_class_declaration_token1] = ACTIONS(1538),
    [aux_sym_final_modifier_token1] = ACTIONS(1538),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1538),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1538),
    [sym_var_modifier] = ACTIONS(1538),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1538),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1538),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1538),
    [anon_sym_LPAREN2] = ACTIONS(1536),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1538),
    [aux_sym_cast_type_token1] = ACTIONS(1538),
    [aux_sym_echo_statement_token1] = ACTIONS(1538),
    [aux_sym_exit_statement_token1] = ACTIONS(1538),
    [anon_sym_unset] = ACTIONS(1538),
    [aux_sym_declare_statement_token1] = ACTIONS(1538),
    [aux_sym_declare_statement_token2] = ACTIONS(1538),
    [sym_float] = ACTIONS(1538),
    [aux_sym_try_statement_token1] = ACTIONS(1538),
    [aux_sym_goto_statement_token1] = ACTIONS(1538),
    [aux_sym_continue_statement_token1] = ACTIONS(1538),
    [aux_sym_break_statement_token1] = ACTIONS(1538),
    [sym_integer] = ACTIONS(1538),
    [aux_sym_return_statement_token1] = ACTIONS(1538),
    [aux_sym_throw_expression_token1] = ACTIONS(1538),
    [aux_sym_while_statement_token1] = ACTIONS(1538),
    [aux_sym_while_statement_token2] = ACTIONS(1538),
    [aux_sym_do_statement_token1] = ACTIONS(1538),
    [aux_sym_for_statement_token1] = ACTIONS(1538),
    [aux_sym_for_statement_token2] = ACTIONS(1538),
    [aux_sym_foreach_statement_token1] = ACTIONS(1538),
    [aux_sym_foreach_statement_token2] = ACTIONS(1538),
    [aux_sym_if_statement_token1] = ACTIONS(1538),
    [aux_sym_if_statement_token2] = ACTIONS(1538),
    [aux_sym_else_if_clause_token1] = ACTIONS(1538),
    [aux_sym_else_clause_token1] = ACTIONS(1538),
    [aux_sym_match_expression_token1] = ACTIONS(1538),
    [aux_sym_match_default_expression_token1] = ACTIONS(1538),
    [aux_sym_switch_statement_token1] = ACTIONS(1538),
    [aux_sym_switch_block_token1] = ACTIONS(1538),
    [anon_sym_PLUS] = ACTIONS(1538),
    [anon_sym_DASH] = ACTIONS(1538),
    [anon_sym_TILDE] = ACTIONS(1536),
    [anon_sym_BANG] = ACTIONS(1536),
    [anon_sym_AT] = ACTIONS(1536),
    [aux_sym_clone_expression_token1] = ACTIONS(1538),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1538),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1538),
    [anon_sym_DASH_DASH] = ACTIONS(1536),
    [anon_sym_PLUS_PLUS] = ACTIONS(1536),
    [aux_sym__list_destructing_token1] = ACTIONS(1538),
    [anon_sym_LBRACK] = ACTIONS(1536),
    [anon_sym_self] = ACTIONS(1538),
    [anon_sym_parent] = ACTIONS(1538),
    [aux_sym__argument_name_token1] = ACTIONS(1538),
    [aux_sym__argument_name_token2] = ACTIONS(1538),
    [anon_sym_POUND_LBRACK] = ACTIONS(1536),
    [aux_sym_encapsed_string_token1] = ACTIONS(1536),
    [anon_sym_DQUOTE] = ACTIONS(1536),
    [aux_sym_string_token1] = ACTIONS(1536),
    [anon_sym_SQUOTE] = ACTIONS(1536),
    [anon_sym_LT_LT_LT] = ACTIONS(1536),
    [anon_sym_BQUOTE] = ACTIONS(1536),
    [anon_sym_DOLLAR] = ACTIONS(1536),
    [aux_sym_yield_expression_token1] = ACTIONS(1538),
    [aux_sym_include_expression_token1] = ACTIONS(1538),
    [aux_sym_include_once_expression_token1] = ACTIONS(1538),
    [aux_sym_require_expression_token1] = ACTIONS(1538),
    [aux_sym_require_once_expression_token1] = ACTIONS(1538),
    [sym_comment] = ACTIONS(5),
  },
  [578] = {
    [sym_text_interpolation] = STATE(578),
    [ts_builtin_sym_end] = ACTIONS(1540),
    [sym_name] = ACTIONS(1542),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1540),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1542),
    [aux_sym_global_declaration_token1] = ACTIONS(1542),
    [aux_sym_namespace_definition_token1] = ACTIONS(1542),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1542),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1542),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1542),
    [anon_sym_BSLASH] = ACTIONS(1540),
    [anon_sym_LBRACE] = ACTIONS(1540),
    [anon_sym_RBRACE] = ACTIONS(1540),
    [aux_sym_trait_declaration_token1] = ACTIONS(1542),
    [aux_sym_interface_declaration_token1] = ACTIONS(1542),
    [aux_sym_enum_declaration_token1] = ACTIONS(1542),
    [aux_sym_enum_case_token1] = ACTIONS(1542),
    [aux_sym_class_declaration_token1] = ACTIONS(1542),
    [aux_sym_final_modifier_token1] = ACTIONS(1542),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1542),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1542),
    [sym_var_modifier] = ACTIONS(1542),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1542),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1542),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1542),
    [anon_sym_LPAREN2] = ACTIONS(1540),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1542),
    [aux_sym_cast_type_token1] = ACTIONS(1542),
    [aux_sym_echo_statement_token1] = ACTIONS(1542),
    [aux_sym_exit_statement_token1] = ACTIONS(1542),
    [anon_sym_unset] = ACTIONS(1542),
    [aux_sym_declare_statement_token1] = ACTIONS(1542),
    [aux_sym_declare_statement_token2] = ACTIONS(1542),
    [sym_float] = ACTIONS(1542),
    [aux_sym_try_statement_token1] = ACTIONS(1542),
    [aux_sym_goto_statement_token1] = ACTIONS(1542),
    [aux_sym_continue_statement_token1] = ACTIONS(1542),
    [aux_sym_break_statement_token1] = ACTIONS(1542),
    [sym_integer] = ACTIONS(1542),
    [aux_sym_return_statement_token1] = ACTIONS(1542),
    [aux_sym_throw_expression_token1] = ACTIONS(1542),
    [aux_sym_while_statement_token1] = ACTIONS(1542),
    [aux_sym_while_statement_token2] = ACTIONS(1542),
    [aux_sym_do_statement_token1] = ACTIONS(1542),
    [aux_sym_for_statement_token1] = ACTIONS(1542),
    [aux_sym_for_statement_token2] = ACTIONS(1542),
    [aux_sym_foreach_statement_token1] = ACTIONS(1542),
    [aux_sym_foreach_statement_token2] = ACTIONS(1542),
    [aux_sym_if_statement_token1] = ACTIONS(1542),
    [aux_sym_if_statement_token2] = ACTIONS(1542),
    [aux_sym_else_if_clause_token1] = ACTIONS(1542),
    [aux_sym_else_clause_token1] = ACTIONS(1542),
    [aux_sym_match_expression_token1] = ACTIONS(1542),
    [aux_sym_match_default_expression_token1] = ACTIONS(1542),
    [aux_sym_switch_statement_token1] = ACTIONS(1542),
    [aux_sym_switch_block_token1] = ACTIONS(1542),
    [anon_sym_PLUS] = ACTIONS(1542),
    [anon_sym_DASH] = ACTIONS(1542),
    [anon_sym_TILDE] = ACTIONS(1540),
    [anon_sym_BANG] = ACTIONS(1540),
    [anon_sym_AT] = ACTIONS(1540),
    [aux_sym_clone_expression_token1] = ACTIONS(1542),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1542),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1542),
    [anon_sym_DASH_DASH] = ACTIONS(1540),
    [anon_sym_PLUS_PLUS] = ACTIONS(1540),
    [aux_sym__list_destructing_token1] = ACTIONS(1542),
    [anon_sym_LBRACK] = ACTIONS(1540),
    [anon_sym_self] = ACTIONS(1542),
    [anon_sym_parent] = ACTIONS(1542),
    [aux_sym__argument_name_token1] = ACTIONS(1542),
    [aux_sym__argument_name_token2] = ACTIONS(1542),
    [anon_sym_POUND_LBRACK] = ACTIONS(1540),
    [aux_sym_encapsed_string_token1] = ACTIONS(1540),
    [anon_sym_DQUOTE] = ACTIONS(1540),
    [aux_sym_string_token1] = ACTIONS(1540),
    [anon_sym_SQUOTE] = ACTIONS(1540),
    [anon_sym_LT_LT_LT] = ACTIONS(1540),
    [anon_sym_BQUOTE] = ACTIONS(1540),
    [anon_sym_DOLLAR] = ACTIONS(1540),
    [aux_sym_yield_expression_token1] = ACTIONS(1542),
    [aux_sym_include_expression_token1] = ACTIONS(1542),
    [aux_sym_include_once_expression_token1] = ACTIONS(1542),
    [aux_sym_require_expression_token1] = ACTIONS(1542),
    [aux_sym_require_once_expression_token1] = ACTIONS(1542),
    [sym_comment] = ACTIONS(5),
  },
  [579] = {
    [sym_text_interpolation] = STATE(579),
    [ts_builtin_sym_end] = ACTIONS(1544),
    [sym_name] = ACTIONS(1546),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1544),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1546),
    [aux_sym_global_declaration_token1] = ACTIONS(1546),
    [aux_sym_namespace_definition_token1] = ACTIONS(1546),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1546),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1546),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1546),
    [anon_sym_BSLASH] = ACTIONS(1544),
    [anon_sym_LBRACE] = ACTIONS(1544),
    [anon_sym_RBRACE] = ACTIONS(1544),
    [aux_sym_trait_declaration_token1] = ACTIONS(1546),
    [aux_sym_interface_declaration_token1] = ACTIONS(1546),
    [aux_sym_enum_declaration_token1] = ACTIONS(1546),
    [aux_sym_enum_case_token1] = ACTIONS(1546),
    [aux_sym_class_declaration_token1] = ACTIONS(1546),
    [aux_sym_final_modifier_token1] = ACTIONS(1546),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1546),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1546),
    [sym_var_modifier] = ACTIONS(1546),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1546),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1546),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1546),
    [anon_sym_LPAREN2] = ACTIONS(1544),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1546),
    [aux_sym_cast_type_token1] = ACTIONS(1546),
    [aux_sym_echo_statement_token1] = ACTIONS(1546),
    [aux_sym_exit_statement_token1] = ACTIONS(1546),
    [anon_sym_unset] = ACTIONS(1546),
    [aux_sym_declare_statement_token1] = ACTIONS(1546),
    [aux_sym_declare_statement_token2] = ACTIONS(1546),
    [sym_float] = ACTIONS(1546),
    [aux_sym_try_statement_token1] = ACTIONS(1546),
    [aux_sym_goto_statement_token1] = ACTIONS(1546),
    [aux_sym_continue_statement_token1] = ACTIONS(1546),
    [aux_sym_break_statement_token1] = ACTIONS(1546),
    [sym_integer] = ACTIONS(1546),
    [aux_sym_return_statement_token1] = ACTIONS(1546),
    [aux_sym_throw_expression_token1] = ACTIONS(1546),
    [aux_sym_while_statement_token1] = ACTIONS(1546),
    [aux_sym_while_statement_token2] = ACTIONS(1546),
    [aux_sym_do_statement_token1] = ACTIONS(1546),
    [aux_sym_for_statement_token1] = ACTIONS(1546),
    [aux_sym_for_statement_token2] = ACTIONS(1546),
    [aux_sym_foreach_statement_token1] = ACTIONS(1546),
    [aux_sym_foreach_statement_token2] = ACTIONS(1546),
    [aux_sym_if_statement_token1] = ACTIONS(1546),
    [aux_sym_if_statement_token2] = ACTIONS(1546),
    [aux_sym_else_if_clause_token1] = ACTIONS(1546),
    [aux_sym_else_clause_token1] = ACTIONS(1546),
    [aux_sym_match_expression_token1] = ACTIONS(1546),
    [aux_sym_match_default_expression_token1] = ACTIONS(1546),
    [aux_sym_switch_statement_token1] = ACTIONS(1546),
    [aux_sym_switch_block_token1] = ACTIONS(1546),
    [anon_sym_PLUS] = ACTIONS(1546),
    [anon_sym_DASH] = ACTIONS(1546),
    [anon_sym_TILDE] = ACTIONS(1544),
    [anon_sym_BANG] = ACTIONS(1544),
    [anon_sym_AT] = ACTIONS(1544),
    [aux_sym_clone_expression_token1] = ACTIONS(1546),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1546),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1546),
    [anon_sym_DASH_DASH] = ACTIONS(1544),
    [anon_sym_PLUS_PLUS] = ACTIONS(1544),
    [aux_sym__list_destructing_token1] = ACTIONS(1546),
    [anon_sym_LBRACK] = ACTIONS(1544),
    [anon_sym_self] = ACTIONS(1546),
    [anon_sym_parent] = ACTIONS(1546),
    [aux_sym__argument_name_token1] = ACTIONS(1546),
    [aux_sym__argument_name_token2] = ACTIONS(1546),
    [anon_sym_POUND_LBRACK] = ACTIONS(1544),
    [aux_sym_encapsed_string_token1] = ACTIONS(1544),
    [anon_sym_DQUOTE] = ACTIONS(1544),
    [aux_sym_string_token1] = ACTIONS(1544),
    [anon_sym_SQUOTE] = ACTIONS(1544),
    [anon_sym_LT_LT_LT] = ACTIONS(1544),
    [anon_sym_BQUOTE] = ACTIONS(1544),
    [anon_sym_DOLLAR] = ACTIONS(1544),
    [aux_sym_yield_expression_token1] = ACTIONS(1546),
    [aux_sym_include_expression_token1] = ACTIONS(1546),
    [aux_sym_include_once_expression_token1] = ACTIONS(1546),
    [aux_sym_require_expression_token1] = ACTIONS(1546),
    [aux_sym_require_once_expression_token1] = ACTIONS(1546),
    [sym_comment] = ACTIONS(5),
  },
  [580] = {
    [sym_text_interpolation] = STATE(580),
    [ts_builtin_sym_end] = ACTIONS(1548),
    [sym_name] = ACTIONS(1550),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1548),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1550),
    [aux_sym_global_declaration_token1] = ACTIONS(1550),
    [aux_sym_namespace_definition_token1] = ACTIONS(1550),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1550),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1550),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1550),
    [anon_sym_BSLASH] = ACTIONS(1548),
    [anon_sym_LBRACE] = ACTIONS(1548),
    [anon_sym_RBRACE] = ACTIONS(1548),
    [aux_sym_trait_declaration_token1] = ACTIONS(1550),
    [aux_sym_interface_declaration_token1] = ACTIONS(1550),
    [aux_sym_enum_declaration_token1] = ACTIONS(1550),
    [aux_sym_enum_case_token1] = ACTIONS(1550),
    [aux_sym_class_declaration_token1] = ACTIONS(1550),
    [aux_sym_final_modifier_token1] = ACTIONS(1550),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1550),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1550),
    [sym_var_modifier] = ACTIONS(1550),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1550),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1550),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1550),
    [anon_sym_LPAREN2] = ACTIONS(1548),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1550),
    [aux_sym_cast_type_token1] = ACTIONS(1550),
    [aux_sym_echo_statement_token1] = ACTIONS(1550),
    [aux_sym_exit_statement_token1] = ACTIONS(1550),
    [anon_sym_unset] = ACTIONS(1550),
    [aux_sym_declare_statement_token1] = ACTIONS(1550),
    [aux_sym_declare_statement_token2] = ACTIONS(1550),
    [sym_float] = ACTIONS(1550),
    [aux_sym_try_statement_token1] = ACTIONS(1550),
    [aux_sym_goto_statement_token1] = ACTIONS(1550),
    [aux_sym_continue_statement_token1] = ACTIONS(1550),
    [aux_sym_break_statement_token1] = ACTIONS(1550),
    [sym_integer] = ACTIONS(1550),
    [aux_sym_return_statement_token1] = ACTIONS(1550),
    [aux_sym_throw_expression_token1] = ACTIONS(1550),
    [aux_sym_while_statement_token1] = ACTIONS(1550),
    [aux_sym_while_statement_token2] = ACTIONS(1550),
    [aux_sym_do_statement_token1] = ACTIONS(1550),
    [aux_sym_for_statement_token1] = ACTIONS(1550),
    [aux_sym_for_statement_token2] = ACTIONS(1550),
    [aux_sym_foreach_statement_token1] = ACTIONS(1550),
    [aux_sym_foreach_statement_token2] = ACTIONS(1550),
    [aux_sym_if_statement_token1] = ACTIONS(1550),
    [aux_sym_if_statement_token2] = ACTIONS(1550),
    [aux_sym_else_if_clause_token1] = ACTIONS(1550),
    [aux_sym_else_clause_token1] = ACTIONS(1550),
    [aux_sym_match_expression_token1] = ACTIONS(1550),
    [aux_sym_match_default_expression_token1] = ACTIONS(1550),
    [aux_sym_switch_statement_token1] = ACTIONS(1550),
    [aux_sym_switch_block_token1] = ACTIONS(1550),
    [anon_sym_PLUS] = ACTIONS(1550),
    [anon_sym_DASH] = ACTIONS(1550),
    [anon_sym_TILDE] = ACTIONS(1548),
    [anon_sym_BANG] = ACTIONS(1548),
    [anon_sym_AT] = ACTIONS(1548),
    [aux_sym_clone_expression_token1] = ACTIONS(1550),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1550),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1550),
    [anon_sym_DASH_DASH] = ACTIONS(1548),
    [anon_sym_PLUS_PLUS] = ACTIONS(1548),
    [aux_sym__list_destructing_token1] = ACTIONS(1550),
    [anon_sym_LBRACK] = ACTIONS(1548),
    [anon_sym_self] = ACTIONS(1550),
    [anon_sym_parent] = ACTIONS(1550),
    [aux_sym__argument_name_token1] = ACTIONS(1550),
    [aux_sym__argument_name_token2] = ACTIONS(1550),
    [anon_sym_POUND_LBRACK] = ACTIONS(1548),
    [aux_sym_encapsed_string_token1] = ACTIONS(1548),
    [anon_sym_DQUOTE] = ACTIONS(1548),
    [aux_sym_string_token1] = ACTIONS(1548),
    [anon_sym_SQUOTE] = ACTIONS(1548),
    [anon_sym_LT_LT_LT] = ACTIONS(1548),
    [anon_sym_BQUOTE] = ACTIONS(1548),
    [anon_sym_DOLLAR] = ACTIONS(1548),
    [aux_sym_yield_expression_token1] = ACTIONS(1550),
    [aux_sym_include_expression_token1] = ACTIONS(1550),
    [aux_sym_include_once_expression_token1] = ACTIONS(1550),
    [aux_sym_require_expression_token1] = ACTIONS(1550),
    [aux_sym_require_once_expression_token1] = ACTIONS(1550),
    [sym_comment] = ACTIONS(5),
  },
  [581] = {
    [sym_text_interpolation] = STATE(581),
    [ts_builtin_sym_end] = ACTIONS(1552),
    [sym_name] = ACTIONS(1554),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1552),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1554),
    [aux_sym_global_declaration_token1] = ACTIONS(1554),
    [aux_sym_namespace_definition_token1] = ACTIONS(1554),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1554),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1554),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1554),
    [anon_sym_BSLASH] = ACTIONS(1552),
    [anon_sym_LBRACE] = ACTIONS(1552),
    [anon_sym_RBRACE] = ACTIONS(1552),
    [aux_sym_trait_declaration_token1] = ACTIONS(1554),
    [aux_sym_interface_declaration_token1] = ACTIONS(1554),
    [aux_sym_enum_declaration_token1] = ACTIONS(1554),
    [aux_sym_enum_case_token1] = ACTIONS(1554),
    [aux_sym_class_declaration_token1] = ACTIONS(1554),
    [aux_sym_final_modifier_token1] = ACTIONS(1554),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1554),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1554),
    [sym_var_modifier] = ACTIONS(1554),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1554),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1554),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1554),
    [anon_sym_LPAREN2] = ACTIONS(1552),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1554),
    [aux_sym_cast_type_token1] = ACTIONS(1554),
    [aux_sym_echo_statement_token1] = ACTIONS(1554),
    [aux_sym_exit_statement_token1] = ACTIONS(1554),
    [anon_sym_unset] = ACTIONS(1554),
    [aux_sym_declare_statement_token1] = ACTIONS(1554),
    [aux_sym_declare_statement_token2] = ACTIONS(1554),
    [sym_float] = ACTIONS(1554),
    [aux_sym_try_statement_token1] = ACTIONS(1554),
    [aux_sym_goto_statement_token1] = ACTIONS(1554),
    [aux_sym_continue_statement_token1] = ACTIONS(1554),
    [aux_sym_break_statement_token1] = ACTIONS(1554),
    [sym_integer] = ACTIONS(1554),
    [aux_sym_return_statement_token1] = ACTIONS(1554),
    [aux_sym_throw_expression_token1] = ACTIONS(1554),
    [aux_sym_while_statement_token1] = ACTIONS(1554),
    [aux_sym_while_statement_token2] = ACTIONS(1554),
    [aux_sym_do_statement_token1] = ACTIONS(1554),
    [aux_sym_for_statement_token1] = ACTIONS(1554),
    [aux_sym_for_statement_token2] = ACTIONS(1554),
    [aux_sym_foreach_statement_token1] = ACTIONS(1554),
    [aux_sym_foreach_statement_token2] = ACTIONS(1554),
    [aux_sym_if_statement_token1] = ACTIONS(1554),
    [aux_sym_if_statement_token2] = ACTIONS(1554),
    [aux_sym_else_if_clause_token1] = ACTIONS(1554),
    [aux_sym_else_clause_token1] = ACTIONS(1554),
    [aux_sym_match_expression_token1] = ACTIONS(1554),
    [aux_sym_match_default_expression_token1] = ACTIONS(1554),
    [aux_sym_switch_statement_token1] = ACTIONS(1554),
    [aux_sym_switch_block_token1] = ACTIONS(1554),
    [anon_sym_PLUS] = ACTIONS(1554),
    [anon_sym_DASH] = ACTIONS(1554),
    [anon_sym_TILDE] = ACTIONS(1552),
    [anon_sym_BANG] = ACTIONS(1552),
    [anon_sym_AT] = ACTIONS(1552),
    [aux_sym_clone_expression_token1] = ACTIONS(1554),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1554),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1554),
    [anon_sym_DASH_DASH] = ACTIONS(1552),
    [anon_sym_PLUS_PLUS] = ACTIONS(1552),
    [aux_sym__list_destructing_token1] = ACTIONS(1554),
    [anon_sym_LBRACK] = ACTIONS(1552),
    [anon_sym_self] = ACTIONS(1554),
    [anon_sym_parent] = ACTIONS(1554),
    [aux_sym__argument_name_token1] = ACTIONS(1554),
    [aux_sym__argument_name_token2] = ACTIONS(1554),
    [anon_sym_POUND_LBRACK] = ACTIONS(1552),
    [aux_sym_encapsed_string_token1] = ACTIONS(1552),
    [anon_sym_DQUOTE] = ACTIONS(1552),
    [aux_sym_string_token1] = ACTIONS(1552),
    [anon_sym_SQUOTE] = ACTIONS(1552),
    [anon_sym_LT_LT_LT] = ACTIONS(1552),
    [anon_sym_BQUOTE] = ACTIONS(1552),
    [anon_sym_DOLLAR] = ACTIONS(1552),
    [aux_sym_yield_expression_token1] = ACTIONS(1554),
    [aux_sym_include_expression_token1] = ACTIONS(1554),
    [aux_sym_include_once_expression_token1] = ACTIONS(1554),
    [aux_sym_require_expression_token1] = ACTIONS(1554),
    [aux_sym_require_once_expression_token1] = ACTIONS(1554),
    [sym_comment] = ACTIONS(5),
  },
  [582] = {
    [sym_text_interpolation] = STATE(582),
    [sym_qualified_name] = STATE(810),
    [sym__name] = STATE(1706),
    [sym_namespace_name] = STATE(2507),
    [sym_static_modifier] = STATE(2368),
    [sym_anonymous_function] = STATE(1039),
    [sym__anonymous_function_header] = STATE(2318),
    [sym__arrow_function_header] = STATE(2547),
    [sym_arrow_function] = STATE(1039),
    [sym_literal] = STATE(1039),
    [sym_throw_expression] = STATE(1039),
    [sym_primary_expression] = STATE(1016),
    [sym_parenthesized_expression] = STATE(811),
    [sym_class_constant_access_expression] = STATE(859),
    [sym_print_intrinsic] = STATE(1039),
    [sym_object_creation_expression] = STATE(1039),
    [sym__new_non_dereferencable_expression] = STATE(1009),
    [sym__new_dereferencable_expression] = STATE(842),
    [sym_update_expression] = STATE(1039),
    [sym_cast_variable] = STATE(751),
    [sym__variable_member_access_expression] = STATE(748),
    [sym_member_access_expression] = STATE(751),
    [sym__variable_nullsafe_member_access_expression] = STATE(750),
    [sym_nullsafe_member_access_expression] = STATE(751),
    [sym__variable_scoped_property_access_expression] = STATE(753),
    [sym_scoped_property_access_expression] = STATE(751),
    [sym_function_call_expression] = STATE(734),
    [sym__callable_expression] = STATE(2319),
    [sym_scoped_call_expression] = STATE(734),
    [sym__scope_resolution_qualifier] = STATE(2564),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(734),
    [sym_nullsafe_member_call_expression] = STATE(734),
    [sym__variable_subscript_expression] = STATE(755),
    [sym__dereferencable_subscript_expression] = STATE(734),
    [sym__dereferencable_expression] = STATE(1927),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(766),
    [sym_attribute_group] = STATE(1373),
    [sym_attribute_list] = STATE(1879),
    [sym_encapsed_string] = STATE(767),
    [sym_string] = STATE(767),
    [sym_heredoc] = STATE(767),
    [sym_nowdoc] = STATE(767),
    [sym_shell_command_expression] = STATE(1039),
    [sym_boolean] = STATE(1036),
    [sym_null] = STATE(1036),
    [sym__string] = STATE(768),
    [sym_dynamic_variable_name] = STATE(728),
    [sym__simple_variable] = STATE(737),
    [sym__new_variable] = STATE(749),
    [sym__callable_variable] = STATE(733),
    [sym_variable_name] = STATE(728),
    [sym__reserved_identifier] = STATE(717),
    [sym__identifier] = STATE(1496),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(1556),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(663),
    [aux_sym_print_intrinsic_token1] = ACTIONS(673),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [anon_sym_LBRACK] = ACTIONS(983),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(1558),
    [sym_comment] = ACTIONS(5),
  },
  [583] = {
    [sym_text_interpolation] = STATE(583),
    [sym_qualified_name] = STATE(810),
    [sym__name] = STATE(1706),
    [sym_namespace_name] = STATE(2507),
    [sym_static_modifier] = STATE(2368),
    [sym_anonymous_function] = STATE(1039),
    [sym__anonymous_function_header] = STATE(2318),
    [sym__arrow_function_header] = STATE(2679),
    [sym_arrow_function] = STATE(1039),
    [sym_literal] = STATE(1039),
    [sym_throw_expression] = STATE(1039),
    [sym_primary_expression] = STATE(1016),
    [sym_parenthesized_expression] = STATE(811),
    [sym_class_constant_access_expression] = STATE(859),
    [sym_print_intrinsic] = STATE(1039),
    [sym_object_creation_expression] = STATE(1039),
    [sym__new_non_dereferencable_expression] = STATE(1009),
    [sym__new_dereferencable_expression] = STATE(842),
    [sym_update_expression] = STATE(1039),
    [sym_cast_variable] = STATE(751),
    [sym__variable_member_access_expression] = STATE(748),
    [sym_member_access_expression] = STATE(751),
    [sym__variable_nullsafe_member_access_expression] = STATE(750),
    [sym_nullsafe_member_access_expression] = STATE(751),
    [sym__variable_scoped_property_access_expression] = STATE(753),
    [sym_scoped_property_access_expression] = STATE(751),
    [sym_function_call_expression] = STATE(734),
    [sym__callable_expression] = STATE(2319),
    [sym_scoped_call_expression] = STATE(734),
    [sym__scope_resolution_qualifier] = STATE(2564),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(734),
    [sym_nullsafe_member_call_expression] = STATE(734),
    [sym__variable_subscript_expression] = STATE(755),
    [sym__dereferencable_subscript_expression] = STATE(734),
    [sym__dereferencable_expression] = STATE(1927),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(766),
    [sym_attribute_group] = STATE(1373),
    [sym_attribute_list] = STATE(1879),
    [sym_encapsed_string] = STATE(767),
    [sym_string] = STATE(767),
    [sym_heredoc] = STATE(767),
    [sym_nowdoc] = STATE(767),
    [sym_shell_command_expression] = STATE(1039),
    [sym_boolean] = STATE(1036),
    [sym_null] = STATE(1036),
    [sym__string] = STATE(768),
    [sym_dynamic_variable_name] = STATE(728),
    [sym__simple_variable] = STATE(737),
    [sym__new_variable] = STATE(749),
    [sym__callable_variable] = STATE(733),
    [sym_variable_name] = STATE(728),
    [sym__reserved_identifier] = STATE(717),
    [sym__identifier] = STATE(1496),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(1556),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(613),
    [aux_sym_print_intrinsic_token1] = ACTIONS(625),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [anon_sym_LBRACK] = ACTIONS(983),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(1558),
    [sym_comment] = ACTIONS(5),
  },
  [584] = {
    [sym_text_interpolation] = STATE(584),
    [sym_qualified_name] = STATE(810),
    [sym__name] = STATE(1706),
    [sym_namespace_name] = STATE(2507),
    [sym_static_modifier] = STATE(2368),
    [sym_anonymous_function] = STATE(1039),
    [sym__anonymous_function_header] = STATE(2318),
    [sym__arrow_function_header] = STATE(2639),
    [sym_arrow_function] = STATE(1039),
    [sym_literal] = STATE(1039),
    [sym_throw_expression] = STATE(1039),
    [sym_primary_expression] = STATE(1016),
    [sym_parenthesized_expression] = STATE(811),
    [sym_class_constant_access_expression] = STATE(859),
    [sym_print_intrinsic] = STATE(1039),
    [sym_object_creation_expression] = STATE(1039),
    [sym__new_non_dereferencable_expression] = STATE(1009),
    [sym__new_dereferencable_expression] = STATE(842),
    [sym_update_expression] = STATE(1039),
    [sym_cast_variable] = STATE(751),
    [sym__variable_member_access_expression] = STATE(748),
    [sym_member_access_expression] = STATE(751),
    [sym__variable_nullsafe_member_access_expression] = STATE(750),
    [sym_nullsafe_member_access_expression] = STATE(751),
    [sym__variable_scoped_property_access_expression] = STATE(753),
    [sym_scoped_property_access_expression] = STATE(751),
    [sym_function_call_expression] = STATE(734),
    [sym__callable_expression] = STATE(2319),
    [sym_scoped_call_expression] = STATE(734),
    [sym__scope_resolution_qualifier] = STATE(2564),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(734),
    [sym_nullsafe_member_call_expression] = STATE(734),
    [sym__variable_subscript_expression] = STATE(755),
    [sym__dereferencable_subscript_expression] = STATE(734),
    [sym__dereferencable_expression] = STATE(1927),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(766),
    [sym_attribute_group] = STATE(1373),
    [sym_attribute_list] = STATE(1879),
    [sym_encapsed_string] = STATE(767),
    [sym_string] = STATE(767),
    [sym_heredoc] = STATE(767),
    [sym_nowdoc] = STATE(767),
    [sym_shell_command_expression] = STATE(1039),
    [sym_boolean] = STATE(1036),
    [sym_null] = STATE(1036),
    [sym__string] = STATE(768),
    [sym_dynamic_variable_name] = STATE(728),
    [sym__simple_variable] = STATE(737),
    [sym__new_variable] = STATE(749),
    [sym__callable_variable] = STATE(733),
    [sym_variable_name] = STATE(728),
    [sym__reserved_identifier] = STATE(717),
    [sym__identifier] = STATE(1496),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(1556),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(701),
    [aux_sym_print_intrinsic_token1] = ACTIONS(711),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [anon_sym_LBRACK] = ACTIONS(983),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(1558),
    [sym_comment] = ACTIONS(5),
  },
  [585] = {
    [sym_text_interpolation] = STATE(585),
    [sym_qualified_name] = STATE(1000),
    [sym__name] = STATE(1659),
    [sym_namespace_name] = STATE(2575),
    [sym_static_modifier] = STATE(2368),
    [sym_anonymous_function] = STATE(1148),
    [sym__anonymous_function_header] = STATE(2489),
    [sym__arrow_function_header] = STATE(2731),
    [sym_arrow_function] = STATE(1148),
    [sym_literal] = STATE(1148),
    [sym_throw_expression] = STATE(1148),
    [sym_primary_expression] = STATE(1091),
    [sym_parenthesized_expression] = STATE(964),
    [sym_class_constant_access_expression] = STATE(1019),
    [sym_print_intrinsic] = STATE(1148),
    [sym_object_creation_expression] = STATE(1148),
    [sym__new_non_dereferencable_expression] = STATE(1168),
    [sym__new_dereferencable_expression] = STATE(966),
    [sym_update_expression] = STATE(1148),
    [sym_cast_variable] = STATE(909),
    [sym__variable_member_access_expression] = STATE(905),
    [sym_member_access_expression] = STATE(909),
    [sym__variable_nullsafe_member_access_expression] = STATE(912),
    [sym_nullsafe_member_access_expression] = STATE(909),
    [sym__variable_scoped_property_access_expression] = STATE(903),
    [sym_scoped_property_access_expression] = STATE(909),
    [sym_function_call_expression] = STATE(890),
    [sym__callable_expression] = STATE(2484),
    [sym_scoped_call_expression] = STATE(890),
    [sym__scope_resolution_qualifier] = STATE(2509),
    [sym_relative_scope] = STATE(2608),
    [sym_member_call_expression] = STATE(890),
    [sym_nullsafe_member_call_expression] = STATE(890),
    [sym__variable_subscript_expression] = STATE(896),
    [sym__dereferencable_subscript_expression] = STATE(890),
    [sym__dereferencable_expression] = STATE(1896),
    [sym__dereferencable_scalar] = STATE(1717),
    [sym_array_creation_expression] = STATE(1005),
    [sym_attribute_group] = STATE(1373),
    [sym_attribute_list] = STATE(1879),
    [sym_encapsed_string] = STATE(927),
    [sym_string] = STATE(927),
    [sym_heredoc] = STATE(927),
    [sym_nowdoc] = STATE(927),
    [sym_shell_command_expression] = STATE(1148),
    [sym_boolean] = STATE(1162),
    [sym_null] = STATE(1162),
    [sym__string] = STATE(941),
    [sym_dynamic_variable_name] = STATE(874),
    [sym__simple_variable] = STATE(877),
    [sym__new_variable] = STATE(895),
    [sym__callable_variable] = STATE(880),
    [sym_variable_name] = STATE(874),
    [sym__reserved_identifier] = STATE(717),
    [sym__identifier] = STATE(1496),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(689),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LPAREN2] = ACTIONS(1560),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [sym_float] = ACTIONS(266),
    [sym_integer] = ACTIONS(266),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [anon_sym_LBRACK] = ACTIONS(985),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(1562),
    [sym_comment] = ACTIONS(5),
  },
  [586] = {
    [sym_text_interpolation] = STATE(586),
    [sym_name] = ACTIONS(1564),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1566),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1564),
    [aux_sym_global_declaration_token1] = ACTIONS(1564),
    [aux_sym_namespace_definition_token1] = ACTIONS(1564),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1564),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1564),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1564),
    [anon_sym_BSLASH] = ACTIONS(1566),
    [anon_sym_LBRACE] = ACTIONS(1566),
    [aux_sym_trait_declaration_token1] = ACTIONS(1564),
    [aux_sym_interface_declaration_token1] = ACTIONS(1564),
    [aux_sym_enum_declaration_token1] = ACTIONS(1564),
    [anon_sym_COLON] = ACTIONS(1566),
    [aux_sym_class_declaration_token1] = ACTIONS(1564),
    [aux_sym_final_modifier_token1] = ACTIONS(1564),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1564),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1564),
    [sym_var_modifier] = ACTIONS(1564),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1564),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1564),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1564),
    [anon_sym_LPAREN2] = ACTIONS(1566),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1564),
    [aux_sym_cast_type_token1] = ACTIONS(1564),
    [aux_sym_echo_statement_token1] = ACTIONS(1564),
    [aux_sym_exit_statement_token1] = ACTIONS(1564),
    [anon_sym_unset] = ACTIONS(1564),
    [aux_sym_declare_statement_token1] = ACTIONS(1564),
    [sym_float] = ACTIONS(1564),
    [aux_sym_try_statement_token1] = ACTIONS(1564),
    [aux_sym_goto_statement_token1] = ACTIONS(1564),
    [aux_sym_continue_statement_token1] = ACTIONS(1564),
    [aux_sym_break_statement_token1] = ACTIONS(1564),
    [sym_integer] = ACTIONS(1564),
    [aux_sym_return_statement_token1] = ACTIONS(1564),
    [aux_sym_throw_expression_token1] = ACTIONS(1564),
    [aux_sym_while_statement_token1] = ACTIONS(1564),
    [aux_sym_do_statement_token1] = ACTIONS(1564),
    [aux_sym_for_statement_token1] = ACTIONS(1564),
    [aux_sym_foreach_statement_token1] = ACTIONS(1564),
    [aux_sym_if_statement_token1] = ACTIONS(1564),
    [aux_sym_match_expression_token1] = ACTIONS(1564),
    [aux_sym_switch_statement_token1] = ACTIONS(1564),
    [anon_sym_PLUS] = ACTIONS(1564),
    [anon_sym_DASH] = ACTIONS(1564),
    [anon_sym_TILDE] = ACTIONS(1566),
    [anon_sym_BANG] = ACTIONS(1566),
    [anon_sym_AT] = ACTIONS(1566),
    [aux_sym_clone_expression_token1] = ACTIONS(1564),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1564),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1564),
    [anon_sym_DASH_DASH] = ACTIONS(1566),
    [anon_sym_PLUS_PLUS] = ACTIONS(1566),
    [aux_sym__list_destructing_token1] = ACTIONS(1564),
    [anon_sym_LBRACK] = ACTIONS(1566),
    [anon_sym_self] = ACTIONS(1564),
    [anon_sym_parent] = ACTIONS(1564),
    [aux_sym__argument_name_token1] = ACTIONS(1564),
    [aux_sym__argument_name_token2] = ACTIONS(1564),
    [anon_sym_POUND_LBRACK] = ACTIONS(1566),
    [aux_sym_encapsed_string_token1] = ACTIONS(1566),
    [anon_sym_DQUOTE] = ACTIONS(1566),
    [aux_sym_string_token1] = ACTIONS(1566),
    [anon_sym_SQUOTE] = ACTIONS(1566),
    [anon_sym_LT_LT_LT] = ACTIONS(1566),
    [anon_sym_BQUOTE] = ACTIONS(1566),
    [anon_sym_DOLLAR] = ACTIONS(1566),
    [aux_sym_yield_expression_token1] = ACTIONS(1564),
    [aux_sym_include_expression_token1] = ACTIONS(1564),
    [aux_sym_include_once_expression_token1] = ACTIONS(1564),
    [aux_sym_require_expression_token1] = ACTIONS(1564),
    [aux_sym_require_once_expression_token1] = ACTIONS(1564),
    [sym_comment] = ACTIONS(5),
  },
  [587] = {
    [sym_text_interpolation] = STATE(587),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1568),
    [anon_sym_AMP] = ACTIONS(1570),
    [anon_sym_COMMA] = ACTIONS(1568),
    [anon_sym_EQ] = ACTIONS(1570),
    [aux_sym_namespace_use_clause_token1] = ACTIONS(1568),
    [anon_sym_LBRACE] = ACTIONS(1568),
    [anon_sym_RBRACE] = ACTIONS(1568),
    [aux_sym_base_clause_token1] = ACTIONS(1568),
    [anon_sym_COLON] = ACTIONS(1570),
    [aux_sym_class_interface_clause_token1] = ACTIONS(1568),
    [anon_sym_EQ_GT] = ACTIONS(1568),
    [anon_sym_LPAREN2] = ACTIONS(1568),
    [anon_sym_RPAREN2] = ACTIONS(1568),
    [anon_sym_QMARK] = ACTIONS(1570),
    [anon_sym_PIPE] = ACTIONS(1570),
    [anon_sym_PLUS] = ACTIONS(1570),
    [anon_sym_DASH] = ACTIONS(1570),
    [anon_sym_COLON_COLON] = ACTIONS(1568),
    [anon_sym_DASH_DASH] = ACTIONS(1568),
    [anon_sym_PLUS_PLUS] = ACTIONS(1568),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1568),
    [anon_sym_STAR_EQ] = ACTIONS(1568),
    [anon_sym_SLASH_EQ] = ACTIONS(1568),
    [anon_sym_PERCENT_EQ] = ACTIONS(1568),
    [anon_sym_PLUS_EQ] = ACTIONS(1568),
    [anon_sym_DASH_EQ] = ACTIONS(1568),
    [anon_sym_DOT_EQ] = ACTIONS(1568),
    [anon_sym_LT_LT_EQ] = ACTIONS(1568),
    [anon_sym_GT_GT_EQ] = ACTIONS(1568),
    [anon_sym_AMP_EQ] = ACTIONS(1568),
    [anon_sym_CARET_EQ] = ACTIONS(1568),
    [anon_sym_PIPE_EQ] = ACTIONS(1568),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(1568),
    [anon_sym_DASH_GT] = ACTIONS(1568),
    [anon_sym_QMARK_DASH_GT] = ACTIONS(1568),
    [anon_sym_LBRACK] = ACTIONS(1568),
    [anon_sym_RBRACK] = ACTIONS(1568),
    [aux_sym_binary_expression_token1] = ACTIONS(1568),
    [anon_sym_QMARK_QMARK] = ACTIONS(1570),
    [anon_sym_STAR_STAR] = ACTIONS(1570),
    [aux_sym_binary_expression_token2] = ACTIONS(1568),
    [aux_sym_binary_expression_token3] = ACTIONS(1568),
    [aux_sym_binary_expression_token4] = ACTIONS(1568),
    [anon_sym_PIPE_PIPE] = ACTIONS(1568),
    [anon_sym_AMP_AMP] = ACTIONS(1568),
    [anon_sym_CARET] = ACTIONS(1570),
    [anon_sym_EQ_EQ] = ACTIONS(1570),
    [anon_sym_BANG_EQ] = ACTIONS(1570),
    [anon_sym_LT_GT] = ACTIONS(1568),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1568),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1568),
    [anon_sym_LT] = ACTIONS(1570),
    [anon_sym_GT] = ACTIONS(1570),
    [anon_sym_LT_EQ] = ACTIONS(1570),
    [anon_sym_GT_EQ] = ACTIONS(1568),
    [anon_sym_LT_EQ_GT] = ACTIONS(1568),
    [anon_sym_LT_LT] = ACTIONS(1570),
    [anon_sym_GT_GT] = ACTIONS(1570),
    [anon_sym_DOT] = ACTIONS(1570),
    [anon_sym_STAR] = ACTIONS(1570),
    [anon_sym_SLASH] = ACTIONS(1570),
    [anon_sym_PERCENT] = ACTIONS(1570),
    [sym_comment] = ACTIONS(1572),
  },
  [588] = {
    [sym_text_interpolation] = STATE(588),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1574),
    [anon_sym_AMP] = ACTIONS(1576),
    [anon_sym_COMMA] = ACTIONS(1574),
    [anon_sym_EQ] = ACTIONS(1576),
    [aux_sym_namespace_use_clause_token1] = ACTIONS(1574),
    [anon_sym_LBRACE] = ACTIONS(1574),
    [anon_sym_RBRACE] = ACTIONS(1574),
    [aux_sym_base_clause_token1] = ACTIONS(1574),
    [anon_sym_COLON] = ACTIONS(1576),
    [aux_sym_class_interface_clause_token1] = ACTIONS(1574),
    [anon_sym_EQ_GT] = ACTIONS(1574),
    [anon_sym_LPAREN2] = ACTIONS(1574),
    [anon_sym_RPAREN2] = ACTIONS(1574),
    [anon_sym_QMARK] = ACTIONS(1576),
    [anon_sym_PIPE] = ACTIONS(1576),
    [anon_sym_PLUS] = ACTIONS(1576),
    [anon_sym_DASH] = ACTIONS(1576),
    [anon_sym_COLON_COLON] = ACTIONS(1574),
    [anon_sym_DASH_DASH] = ACTIONS(1574),
    [anon_sym_PLUS_PLUS] = ACTIONS(1574),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1574),
    [anon_sym_STAR_EQ] = ACTIONS(1574),
    [anon_sym_SLASH_EQ] = ACTIONS(1574),
    [anon_sym_PERCENT_EQ] = ACTIONS(1574),
    [anon_sym_PLUS_EQ] = ACTIONS(1574),
    [anon_sym_DASH_EQ] = ACTIONS(1574),
    [anon_sym_DOT_EQ] = ACTIONS(1574),
    [anon_sym_LT_LT_EQ] = ACTIONS(1574),
    [anon_sym_GT_GT_EQ] = ACTIONS(1574),
    [anon_sym_AMP_EQ] = ACTIONS(1574),
    [anon_sym_CARET_EQ] = ACTIONS(1574),
    [anon_sym_PIPE_EQ] = ACTIONS(1574),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(1574),
    [anon_sym_DASH_GT] = ACTIONS(1574),
    [anon_sym_QMARK_DASH_GT] = ACTIONS(1574),
    [anon_sym_LBRACK] = ACTIONS(1574),
    [anon_sym_RBRACK] = ACTIONS(1574),
    [aux_sym_binary_expression_token1] = ACTIONS(1574),
    [anon_sym_QMARK_QMARK] = ACTIONS(1576),
    [anon_sym_STAR_STAR] = ACTIONS(1576),
    [aux_sym_binary_expression_token2] = ACTIONS(1574),
    [aux_sym_binary_expression_token3] = ACTIONS(1574),
    [aux_sym_binary_expression_token4] = ACTIONS(1574),
    [anon_sym_PIPE_PIPE] = ACTIONS(1574),
    [anon_sym_AMP_AMP] = ACTIONS(1574),
    [anon_sym_CARET] = ACTIONS(1576),
    [anon_sym_EQ_EQ] = ACTIONS(1576),
    [anon_sym_BANG_EQ] = ACTIONS(1576),
    [anon_sym_LT_GT] = ACTIONS(1574),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1574),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1574),
    [anon_sym_LT] = ACTIONS(1576),
    [anon_sym_GT] = ACTIONS(1576),
    [anon_sym_LT_EQ] = ACTIONS(1576),
    [anon_sym_GT_EQ] = ACTIONS(1574),
    [anon_sym_LT_EQ_GT] = ACTIONS(1574),
    [anon_sym_LT_LT] = ACTIONS(1576),
    [anon_sym_GT_GT] = ACTIONS(1576),
    [anon_sym_DOT] = ACTIONS(1576),
    [anon_sym_STAR] = ACTIONS(1576),
    [anon_sym_SLASH] = ACTIONS(1576),
    [anon_sym_PERCENT] = ACTIONS(1576),
    [sym_comment] = ACTIONS(1572),
  },
  [589] = {
    [sym_text_interpolation] = STATE(589),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1578),
    [anon_sym_AMP] = ACTIONS(1580),
    [anon_sym_COMMA] = ACTIONS(1578),
    [anon_sym_EQ] = ACTIONS(1580),
    [aux_sym_namespace_use_clause_token1] = ACTIONS(1578),
    [anon_sym_LBRACE] = ACTIONS(1578),
    [anon_sym_RBRACE] = ACTIONS(1578),
    [aux_sym_base_clause_token1] = ACTIONS(1578),
    [anon_sym_COLON] = ACTIONS(1580),
    [aux_sym_class_interface_clause_token1] = ACTIONS(1578),
    [anon_sym_EQ_GT] = ACTIONS(1578),
    [anon_sym_LPAREN2] = ACTIONS(1578),
    [anon_sym_RPAREN2] = ACTIONS(1578),
    [anon_sym_QMARK] = ACTIONS(1580),
    [anon_sym_PIPE] = ACTIONS(1580),
    [anon_sym_PLUS] = ACTIONS(1580),
    [anon_sym_DASH] = ACTIONS(1580),
    [anon_sym_COLON_COLON] = ACTIONS(1578),
    [anon_sym_DASH_DASH] = ACTIONS(1578),
    [anon_sym_PLUS_PLUS] = ACTIONS(1578),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1578),
    [anon_sym_STAR_EQ] = ACTIONS(1578),
    [anon_sym_SLASH_EQ] = ACTIONS(1578),
    [anon_sym_PERCENT_EQ] = ACTIONS(1578),
    [anon_sym_PLUS_EQ] = ACTIONS(1578),
    [anon_sym_DASH_EQ] = ACTIONS(1578),
    [anon_sym_DOT_EQ] = ACTIONS(1578),
    [anon_sym_LT_LT_EQ] = ACTIONS(1578),
    [anon_sym_GT_GT_EQ] = ACTIONS(1578),
    [anon_sym_AMP_EQ] = ACTIONS(1578),
    [anon_sym_CARET_EQ] = ACTIONS(1578),
    [anon_sym_PIPE_EQ] = ACTIONS(1578),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(1578),
    [anon_sym_DASH_GT] = ACTIONS(1578),
    [anon_sym_QMARK_DASH_GT] = ACTIONS(1578),
    [anon_sym_LBRACK] = ACTIONS(1578),
    [anon_sym_RBRACK] = ACTIONS(1578),
    [aux_sym_binary_expression_token1] = ACTIONS(1578),
    [anon_sym_QMARK_QMARK] = ACTIONS(1580),
    [anon_sym_STAR_STAR] = ACTIONS(1580),
    [aux_sym_binary_expression_token2] = ACTIONS(1578),
    [aux_sym_binary_expression_token3] = ACTIONS(1578),
    [aux_sym_binary_expression_token4] = ACTIONS(1578),
    [anon_sym_PIPE_PIPE] = ACTIONS(1578),
    [anon_sym_AMP_AMP] = ACTIONS(1578),
    [anon_sym_CARET] = ACTIONS(1580),
    [anon_sym_EQ_EQ] = ACTIONS(1580),
    [anon_sym_BANG_EQ] = ACTIONS(1580),
    [anon_sym_LT_GT] = ACTIONS(1578),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1578),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1578),
    [anon_sym_LT] = ACTIONS(1580),
    [anon_sym_GT] = ACTIONS(1580),
    [anon_sym_LT_EQ] = ACTIONS(1580),
    [anon_sym_GT_EQ] = ACTIONS(1578),
    [anon_sym_LT_EQ_GT] = ACTIONS(1578),
    [anon_sym_LT_LT] = ACTIONS(1580),
    [anon_sym_GT_GT] = ACTIONS(1580),
    [anon_sym_DOT] = ACTIONS(1580),
    [anon_sym_STAR] = ACTIONS(1580),
    [anon_sym_SLASH] = ACTIONS(1580),
    [anon_sym_PERCENT] = ACTIONS(1580),
    [sym_comment] = ACTIONS(1572),
  },
  [590] = {
    [sym_text_interpolation] = STATE(590),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1582),
    [anon_sym_AMP] = ACTIONS(1584),
    [anon_sym_COMMA] = ACTIONS(1582),
    [anon_sym_EQ] = ACTIONS(1584),
    [aux_sym_namespace_use_clause_token1] = ACTIONS(1582),
    [anon_sym_LBRACE] = ACTIONS(1582),
    [anon_sym_RBRACE] = ACTIONS(1582),
    [aux_sym_base_clause_token1] = ACTIONS(1582),
    [anon_sym_COLON] = ACTIONS(1584),
    [aux_sym_class_interface_clause_token1] = ACTIONS(1582),
    [anon_sym_EQ_GT] = ACTIONS(1582),
    [anon_sym_LPAREN2] = ACTIONS(1582),
    [anon_sym_RPAREN2] = ACTIONS(1582),
    [anon_sym_QMARK] = ACTIONS(1584),
    [anon_sym_PIPE] = ACTIONS(1584),
    [anon_sym_PLUS] = ACTIONS(1584),
    [anon_sym_DASH] = ACTIONS(1584),
    [anon_sym_COLON_COLON] = ACTIONS(1582),
    [anon_sym_DASH_DASH] = ACTIONS(1582),
    [anon_sym_PLUS_PLUS] = ACTIONS(1582),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1582),
    [anon_sym_STAR_EQ] = ACTIONS(1582),
    [anon_sym_SLASH_EQ] = ACTIONS(1582),
    [anon_sym_PERCENT_EQ] = ACTIONS(1582),
    [anon_sym_PLUS_EQ] = ACTIONS(1582),
    [anon_sym_DASH_EQ] = ACTIONS(1582),
    [anon_sym_DOT_EQ] = ACTIONS(1582),
    [anon_sym_LT_LT_EQ] = ACTIONS(1582),
    [anon_sym_GT_GT_EQ] = ACTIONS(1582),
    [anon_sym_AMP_EQ] = ACTIONS(1582),
    [anon_sym_CARET_EQ] = ACTIONS(1582),
    [anon_sym_PIPE_EQ] = ACTIONS(1582),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(1582),
    [anon_sym_DASH_GT] = ACTIONS(1582),
    [anon_sym_QMARK_DASH_GT] = ACTIONS(1582),
    [anon_sym_LBRACK] = ACTIONS(1582),
    [anon_sym_RBRACK] = ACTIONS(1582),
    [aux_sym_binary_expression_token1] = ACTIONS(1582),
    [anon_sym_QMARK_QMARK] = ACTIONS(1584),
    [anon_sym_STAR_STAR] = ACTIONS(1584),
    [aux_sym_binary_expression_token2] = ACTIONS(1582),
    [aux_sym_binary_expression_token3] = ACTIONS(1582),
    [aux_sym_binary_expression_token4] = ACTIONS(1582),
    [anon_sym_PIPE_PIPE] = ACTIONS(1582),
    [anon_sym_AMP_AMP] = ACTIONS(1582),
    [anon_sym_CARET] = ACTIONS(1584),
    [anon_sym_EQ_EQ] = ACTIONS(1584),
    [anon_sym_BANG_EQ] = ACTIONS(1584),
    [anon_sym_LT_GT] = ACTIONS(1582),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1582),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1582),
    [anon_sym_LT] = ACTIONS(1584),
    [anon_sym_GT] = ACTIONS(1584),
    [anon_sym_LT_EQ] = ACTIONS(1584),
    [anon_sym_GT_EQ] = ACTIONS(1582),
    [anon_sym_LT_EQ_GT] = ACTIONS(1582),
    [anon_sym_LT_LT] = ACTIONS(1584),
    [anon_sym_GT_GT] = ACTIONS(1584),
    [anon_sym_DOT] = ACTIONS(1584),
    [anon_sym_STAR] = ACTIONS(1584),
    [anon_sym_SLASH] = ACTIONS(1584),
    [anon_sym_PERCENT] = ACTIONS(1584),
    [sym_comment] = ACTIONS(1572),
  },
};

static const uint16_t ts_small_parse_table[] = {
  [0] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1590), 1,
      anon_sym_LPAREN2,
    STATE(591), 1,
      sym_text_interpolation,
    STATE(615), 1,
      sym_arguments,
    ACTIONS(1588), 21,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1586), 38,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [79] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1590), 1,
      anon_sym_LPAREN2,
    STATE(592), 1,
      sym_text_interpolation,
    STATE(609), 1,
      sym_arguments,
    ACTIONS(1594), 21,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1592), 38,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [158] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(593), 1,
      sym_text_interpolation,
    ACTIONS(1598), 21,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1596), 39,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [232] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(594), 1,
      sym_text_interpolation,
    ACTIONS(1602), 21,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1600), 39,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [306] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1608), 1,
      anon_sym_LPAREN2,
    STATE(595), 1,
      sym_text_interpolation,
    ACTIONS(1606), 21,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1604), 38,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [382] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(596), 1,
      sym_text_interpolation,
    ACTIONS(1612), 21,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1610), 39,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [456] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(597), 1,
      sym_text_interpolation,
    ACTIONS(1616), 21,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1614), 39,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [530] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(598), 1,
      sym_text_interpolation,
    ACTIONS(1620), 21,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1618), 39,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [604] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(599), 1,
      sym_text_interpolation,
    ACTIONS(1624), 21,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1622), 39,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [678] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(600), 1,
      sym_text_interpolation,
    ACTIONS(1628), 21,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1626), 39,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [752] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1634), 1,
      anon_sym_LPAREN2,
    STATE(601), 1,
      sym_text_interpolation,
    ACTIONS(1632), 21,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1630), 38,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [828] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(602), 1,
      sym_text_interpolation,
    ACTIONS(1638), 21,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1636), 39,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [902] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(603), 1,
      sym_text_interpolation,
    ACTIONS(1640), 21,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1634), 39,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [976] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(604), 1,
      sym_text_interpolation,
    ACTIONS(1644), 21,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1642), 39,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [1050] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(605), 1,
      sym_text_interpolation,
    ACTIONS(1648), 21,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1646), 39,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [1124] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(606), 1,
      sym_text_interpolation,
    ACTIONS(1652), 21,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1650), 39,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [1198] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(607), 1,
      sym_text_interpolation,
    ACTIONS(1656), 21,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1654), 39,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [1272] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(608), 1,
      sym_text_interpolation,
    ACTIONS(1660), 21,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1658), 39,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [1346] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(609), 1,
      sym_text_interpolation,
    ACTIONS(1664), 21,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1662), 39,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [1420] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(610), 1,
      sym_text_interpolation,
    ACTIONS(1606), 21,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1604), 39,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [1494] = 10,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1670), 1,
      anon_sym_EQ,
    ACTIONS(1672), 1,
      anon_sym_LPAREN2,
    STATE(611), 1,
      sym_text_interpolation,
    ACTIONS(1676), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1674), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1678), 13,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1666), 19,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1668), 20,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [1578] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(612), 1,
      sym_text_interpolation,
    ACTIONS(1680), 21,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1608), 39,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [1652] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(613), 1,
      sym_text_interpolation,
    ACTIONS(1684), 21,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1682), 39,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [1726] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(614), 1,
      sym_text_interpolation,
    ACTIONS(1688), 21,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1686), 39,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [1800] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(615), 1,
      sym_text_interpolation,
    ACTIONS(1692), 21,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1690), 39,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [1874] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(616), 1,
      sym_text_interpolation,
    ACTIONS(1696), 21,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1694), 39,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [1948] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(617), 1,
      sym_text_interpolation,
    ACTIONS(1700), 21,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1698), 39,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [2022] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(618), 1,
      sym_text_interpolation,
    ACTIONS(1704), 21,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1702), 39,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [2096] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(619), 1,
      sym_text_interpolation,
    ACTIONS(1684), 21,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1682), 39,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [2170] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1670), 1,
      anon_sym_EQ,
    STATE(620), 1,
      sym_text_interpolation,
    ACTIONS(1676), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1674), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1678), 13,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1666), 19,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1668), 20,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [2251] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1670), 1,
      anon_sym_EQ,
    STATE(621), 1,
      sym_text_interpolation,
    ACTIONS(1676), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1674), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1678), 13,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1666), 19,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1668), 20,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [2332] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1706), 1,
      anon_sym_LPAREN2,
    STATE(622), 1,
      sym_text_interpolation,
    STATE(632), 1,
      sym_arguments,
    ACTIONS(1588), 20,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1586), 35,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [2407] = 10,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1672), 1,
      anon_sym_LPAREN2,
    ACTIONS(1708), 1,
      anon_sym_EQ,
    STATE(623), 1,
      sym_text_interpolation,
    ACTIONS(1676), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1674), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1710), 13,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1666), 16,
      anon_sym_SEMI,
      aux_sym_namespace_use_clause_token1,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1668), 20,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [2488] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1706), 1,
      anon_sym_LPAREN2,
    STATE(624), 1,
      sym_text_interpolation,
    STATE(633), 1,
      sym_arguments,
    ACTIONS(1594), 20,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1592), 35,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [2563] = 10,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1670), 1,
      anon_sym_EQ,
    ACTIONS(1672), 1,
      anon_sym_LPAREN2,
    STATE(625), 1,
      sym_text_interpolation,
    ACTIONS(1712), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1674), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1678), 13,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1666), 16,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1668), 19,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [2643] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(626), 1,
      sym_text_interpolation,
    ACTIONS(1688), 20,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1686), 36,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [2713] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(627), 1,
      sym_text_interpolation,
    ACTIONS(1584), 20,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1582), 36,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [2783] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(628), 1,
      sym_text_interpolation,
    ACTIONS(1576), 20,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1574), 36,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [2853] = 10,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1672), 1,
      anon_sym_LPAREN2,
    ACTIONS(1714), 1,
      anon_sym_EQ,
    STATE(629), 1,
      sym_text_interpolation,
    ACTIONS(1712), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1674), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1716), 13,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1666), 16,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1668), 19,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [2933] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1708), 1,
      anon_sym_EQ,
    STATE(630), 1,
      sym_text_interpolation,
    ACTIONS(1676), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1674), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1710), 13,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1666), 16,
      anon_sym_SEMI,
      aux_sym_namespace_use_clause_token1,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1668), 20,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [3011] = 39,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(603), 1,
      anon_sym_BSLASH,
    ACTIONS(609), 1,
      aux_sym_cast_type_token1,
    ACTIONS(641), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(645), 1,
      anon_sym_DOLLAR,
    ACTIONS(983), 1,
      anon_sym_LBRACK,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1718), 1,
      sym_name,
    ACTIONS(1720), 1,
      anon_sym_RBRACE,
    ACTIONS(1722), 1,
      anon_sym_LPAREN2,
    ACTIONS(1724), 1,
      aux_sym__new_non_dereferencable_expression_token1,
    STATE(595), 1,
      sym__simple_variable,
    STATE(602), 1,
      sym__variable_scoped_property_access_expression,
    STATE(610), 1,
      sym__variable_subscript_expression,
    STATE(613), 1,
      sym__variable_member_access_expression,
    STATE(619), 1,
      sym__variable_nullsafe_member_access_expression,
    STATE(631), 1,
      sym_text_interpolation,
    STATE(643), 1,
      aux_sym_use_list_repeat1,
    STATE(717), 1,
      sym__reserved_identifier,
    STATE(1626), 1,
      sym__name,
    STATE(1635), 1,
      sym_class_constant_access_expression,
    STATE(1837), 1,
      sym__new_dereferencable_expression,
    STATE(1886), 1,
      sym__dereferencable_expression,
    STATE(1887), 1,
      sym__new_variable,
    STATE(2324), 1,
      sym__callable_expression,
    STATE(2507), 1,
      sym_namespace_name,
    STATE(2522), 1,
      sym__scope_resolution_qualifier,
    STATE(2608), 1,
      sym_relative_scope,
    ACTIONS(637), 2,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
    ACTIONS(639), 2,
      aux_sym_string_token1,
      anon_sym_SQUOTE,
    STATE(618), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
    STATE(1496), 2,
      sym_qualified_name,
      sym__identifier,
    STATE(1840), 2,
      sym_array_creation_expression,
      sym__string,
    STATE(2255), 2,
      sym_use_instead_of_clause,
      sym_use_as_clause,
    ACTIONS(312), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(1717), 3,
      sym_parenthesized_expression,
      sym__dereferencable_scalar,
      sym__callable_variable,
    STATE(767), 4,
      sym_encapsed_string,
      sym_string,
      sym_heredoc,
      sym_nowdoc,
    STATE(1944), 4,
      sym_cast_variable,
      sym_member_access_expression,
      sym_nullsafe_member_access_expression,
      sym_scoped_property_access_expression,
    STATE(612), 5,
      sym_function_call_expression,
      sym_scoped_call_expression,
      sym_member_call_expression,
      sym_nullsafe_member_call_expression,
      sym__dereferencable_subscript_expression,
  [3149] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(632), 1,
      sym_text_interpolation,
    ACTIONS(1692), 20,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1690), 36,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [3219] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(633), 1,
      sym_text_interpolation,
    ACTIONS(1664), 20,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1662), 36,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [3289] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(634), 1,
      sym_text_interpolation,
    ACTIONS(1680), 20,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1608), 36,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [3359] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(635), 1,
      sym_text_interpolation,
    ACTIONS(1620), 20,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1618), 36,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [3429] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1634), 1,
      anon_sym_LPAREN2,
    STATE(636), 1,
      sym_text_interpolation,
    ACTIONS(1632), 20,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1630), 35,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [3501] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(637), 1,
      sym_text_interpolation,
    ACTIONS(1580), 20,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1578), 36,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [3571] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(638), 1,
      sym_text_interpolation,
    ACTIONS(1700), 20,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1698), 36,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [3641] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(639), 1,
      sym_text_interpolation,
    ACTIONS(1640), 20,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1634), 36,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [3711] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(640), 1,
      sym_text_interpolation,
    ACTIONS(1696), 20,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1694), 36,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [3781] = 39,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(603), 1,
      anon_sym_BSLASH,
    ACTIONS(609), 1,
      aux_sym_cast_type_token1,
    ACTIONS(641), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(645), 1,
      anon_sym_DOLLAR,
    ACTIONS(983), 1,
      anon_sym_LBRACK,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1718), 1,
      sym_name,
    ACTIONS(1722), 1,
      anon_sym_LPAREN2,
    ACTIONS(1724), 1,
      aux_sym__new_non_dereferencable_expression_token1,
    ACTIONS(1726), 1,
      anon_sym_RBRACE,
    STATE(595), 1,
      sym__simple_variable,
    STATE(602), 1,
      sym__variable_scoped_property_access_expression,
    STATE(610), 1,
      sym__variable_subscript_expression,
    STATE(613), 1,
      sym__variable_member_access_expression,
    STATE(619), 1,
      sym__variable_nullsafe_member_access_expression,
    STATE(631), 1,
      aux_sym_use_list_repeat1,
    STATE(641), 1,
      sym_text_interpolation,
    STATE(717), 1,
      sym__reserved_identifier,
    STATE(1626), 1,
      sym__name,
    STATE(1635), 1,
      sym_class_constant_access_expression,
    STATE(1837), 1,
      sym__new_dereferencable_expression,
    STATE(1886), 1,
      sym__dereferencable_expression,
    STATE(1887), 1,
      sym__new_variable,
    STATE(2324), 1,
      sym__callable_expression,
    STATE(2507), 1,
      sym_namespace_name,
    STATE(2522), 1,
      sym__scope_resolution_qualifier,
    STATE(2608), 1,
      sym_relative_scope,
    ACTIONS(637), 2,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
    ACTIONS(639), 2,
      aux_sym_string_token1,
      anon_sym_SQUOTE,
    STATE(618), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
    STATE(1496), 2,
      sym_qualified_name,
      sym__identifier,
    STATE(1840), 2,
      sym_array_creation_expression,
      sym__string,
    STATE(2255), 2,
      sym_use_instead_of_clause,
      sym_use_as_clause,
    ACTIONS(312), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(1717), 3,
      sym_parenthesized_expression,
      sym__dereferencable_scalar,
      sym__callable_variable,
    STATE(767), 4,
      sym_encapsed_string,
      sym_string,
      sym_heredoc,
      sym_nowdoc,
    STATE(1944), 4,
      sym_cast_variable,
      sym_member_access_expression,
      sym_nullsafe_member_access_expression,
      sym_scoped_property_access_expression,
    STATE(612), 5,
      sym_function_call_expression,
      sym_scoped_call_expression,
      sym_member_call_expression,
      sym_nullsafe_member_call_expression,
      sym__dereferencable_subscript_expression,
  [3919] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(642), 1,
      sym_text_interpolation,
    ACTIONS(1648), 20,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1646), 36,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [3989] = 38,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1728), 1,
      sym_name,
    ACTIONS(1734), 1,
      anon_sym_BSLASH,
    ACTIONS(1737), 1,
      anon_sym_RBRACE,
    ACTIONS(1739), 1,
      anon_sym_LPAREN2,
    ACTIONS(1742), 1,
      aux_sym_cast_type_token1,
    ACTIONS(1745), 1,
      aux_sym__new_non_dereferencable_expression_token1,
    ACTIONS(1748), 1,
      anon_sym_LBRACK,
    ACTIONS(1757), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(1760), 1,
      anon_sym_DOLLAR,
    STATE(595), 1,
      sym__simple_variable,
    STATE(602), 1,
      sym__variable_scoped_property_access_expression,
    STATE(610), 1,
      sym__variable_subscript_expression,
    STATE(613), 1,
      sym__variable_member_access_expression,
    STATE(619), 1,
      sym__variable_nullsafe_member_access_expression,
    STATE(717), 1,
      sym__reserved_identifier,
    STATE(1626), 1,
      sym__name,
    STATE(1635), 1,
      sym_class_constant_access_expression,
    STATE(1837), 1,
      sym__new_dereferencable_expression,
    STATE(1886), 1,
      sym__dereferencable_expression,
    STATE(1887), 1,
      sym__new_variable,
    STATE(2324), 1,
      sym__callable_expression,
    STATE(2507), 1,
      sym_namespace_name,
    STATE(2522), 1,
      sym__scope_resolution_qualifier,
    STATE(2608), 1,
      sym_relative_scope,
    ACTIONS(1751), 2,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
    ACTIONS(1754), 2,
      aux_sym_string_token1,
      anon_sym_SQUOTE,
    STATE(618), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
    STATE(643), 2,
      sym_text_interpolation,
      aux_sym_use_list_repeat1,
    STATE(1496), 2,
      sym_qualified_name,
      sym__identifier,
    STATE(1840), 2,
      sym_array_creation_expression,
      sym__string,
    STATE(2255), 2,
      sym_use_instead_of_clause,
      sym_use_as_clause,
    ACTIONS(1731), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(1717), 3,
      sym_parenthesized_expression,
      sym__dereferencable_scalar,
      sym__callable_variable,
    STATE(767), 4,
      sym_encapsed_string,
      sym_string,
      sym_heredoc,
      sym_nowdoc,
    STATE(1944), 4,
      sym_cast_variable,
      sym_member_access_expression,
      sym_nullsafe_member_access_expression,
      sym_scoped_property_access_expression,
    STATE(612), 5,
      sym_function_call_expression,
      sym_scoped_call_expression,
      sym_member_call_expression,
      sym_nullsafe_member_call_expression,
      sym__dereferencable_subscript_expression,
  [4125] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(644), 1,
      sym_text_interpolation,
    ACTIONS(1612), 20,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1610), 36,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [4195] = 41,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(308), 1,
      aux_sym__list_destructing_token1,
    ACTIONS(603), 1,
      anon_sym_BSLASH,
    ACTIONS(609), 1,
      aux_sym_cast_type_token1,
    ACTIONS(641), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(645), 1,
      anon_sym_DOLLAR,
    ACTIONS(731), 1,
      anon_sym_AMP,
    ACTIONS(983), 1,
      anon_sym_LBRACK,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1722), 1,
      anon_sym_LPAREN2,
    ACTIONS(1724), 1,
      aux_sym__new_non_dereferencable_expression_token1,
    ACTIONS(1763), 1,
      sym_name,
    STATE(595), 1,
      sym__simple_variable,
    STATE(602), 1,
      sym__variable_scoped_property_access_expression,
    STATE(610), 1,
      sym__variable_subscript_expression,
    STATE(613), 1,
      sym__variable_member_access_expression,
    STATE(619), 1,
      sym__variable_nullsafe_member_access_expression,
    STATE(645), 1,
      sym_text_interpolation,
    STATE(717), 1,
      sym__reserved_identifier,
    STATE(1548), 1,
      sym__callable_variable,
    STATE(1604), 1,
      sym__new_variable,
    STATE(1626), 1,
      sym__name,
    STATE(1837), 1,
      sym__new_dereferencable_expression,
    STATE(1886), 1,
      sym__dereferencable_expression,
    STATE(1944), 1,
      sym_class_constant_access_expression,
    STATE(2192), 1,
      sym__list_destructing,
    STATE(2196), 1,
      sym_by_ref,
    STATE(2324), 1,
      sym__callable_expression,
    STATE(2507), 1,
      sym_namespace_name,
    STATE(2522), 1,
      sym__scope_resolution_qualifier,
    STATE(2608), 1,
      sym_relative_scope,
    ACTIONS(637), 2,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
    ACTIONS(639), 2,
      aux_sym_string_token1,
      anon_sym_SQUOTE,
    STATE(618), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
    STATE(1496), 2,
      sym_qualified_name,
      sym__identifier,
    STATE(1717), 2,
      sym_parenthesized_expression,
      sym__dereferencable_scalar,
    STATE(1840), 2,
      sym_array_creation_expression,
      sym__string,
    ACTIONS(312), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(767), 4,
      sym_encapsed_string,
      sym_string,
      sym_heredoc,
      sym_nowdoc,
    STATE(1603), 4,
      sym_cast_variable,
      sym_member_access_expression,
      sym_nullsafe_member_access_expression,
      sym_scoped_property_access_expression,
    STATE(612), 5,
      sym_function_call_expression,
      sym_scoped_call_expression,
      sym_member_call_expression,
      sym_nullsafe_member_call_expression,
      sym__dereferencable_subscript_expression,
  [4337] = 10,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1672), 1,
      anon_sym_LPAREN2,
    ACTIONS(1765), 1,
      anon_sym_EQ,
    STATE(646), 1,
      sym_text_interpolation,
    ACTIONS(1676), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1674), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1767), 13,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1666), 16,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1668), 19,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [4417] = 41,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(308), 1,
      aux_sym__list_destructing_token1,
    ACTIONS(603), 1,
      anon_sym_BSLASH,
    ACTIONS(609), 1,
      aux_sym_cast_type_token1,
    ACTIONS(641), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(645), 1,
      anon_sym_DOLLAR,
    ACTIONS(731), 1,
      anon_sym_AMP,
    ACTIONS(983), 1,
      anon_sym_LBRACK,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1722), 1,
      anon_sym_LPAREN2,
    ACTIONS(1724), 1,
      aux_sym__new_non_dereferencable_expression_token1,
    ACTIONS(1763), 1,
      sym_name,
    STATE(595), 1,
      sym__simple_variable,
    STATE(602), 1,
      sym__variable_scoped_property_access_expression,
    STATE(610), 1,
      sym__variable_subscript_expression,
    STATE(613), 1,
      sym__variable_member_access_expression,
    STATE(619), 1,
      sym__variable_nullsafe_member_access_expression,
    STATE(647), 1,
      sym_text_interpolation,
    STATE(717), 1,
      sym__reserved_identifier,
    STATE(1569), 1,
      sym__callable_variable,
    STATE(1626), 1,
      sym__name,
    STATE(1687), 1,
      sym__new_variable,
    STATE(1837), 1,
      sym__new_dereferencable_expression,
    STATE(1886), 1,
      sym__dereferencable_expression,
    STATE(1944), 1,
      sym_class_constant_access_expression,
    STATE(2324), 1,
      sym__callable_expression,
    STATE(2346), 1,
      sym__list_destructing,
    STATE(2355), 1,
      sym_by_ref,
    STATE(2507), 1,
      sym_namespace_name,
    STATE(2522), 1,
      sym__scope_resolution_qualifier,
    STATE(2608), 1,
      sym_relative_scope,
    ACTIONS(637), 2,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
    ACTIONS(639), 2,
      aux_sym_string_token1,
      anon_sym_SQUOTE,
    STATE(618), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
    STATE(1496), 2,
      sym_qualified_name,
      sym__identifier,
    STATE(1717), 2,
      sym_parenthesized_expression,
      sym__dereferencable_scalar,
    STATE(1840), 2,
      sym_array_creation_expression,
      sym__string,
    ACTIONS(312), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(767), 4,
      sym_encapsed_string,
      sym_string,
      sym_heredoc,
      sym_nowdoc,
    STATE(1678), 4,
      sym_cast_variable,
      sym_member_access_expression,
      sym_nullsafe_member_access_expression,
      sym_scoped_property_access_expression,
    STATE(612), 5,
      sym_function_call_expression,
      sym_scoped_call_expression,
      sym_member_call_expression,
      sym_nullsafe_member_call_expression,
      sym__dereferencable_subscript_expression,
  [4559] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(648), 1,
      sym_text_interpolation,
    ACTIONS(1616), 20,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1614), 36,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [4629] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(649), 1,
      sym_text_interpolation,
    ACTIONS(1570), 20,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1568), 36,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [4699] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(650), 1,
      sym_text_interpolation,
    ACTIONS(1704), 20,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1702), 36,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [4769] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(651), 1,
      sym_text_interpolation,
    ACTIONS(1644), 20,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1642), 36,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [4839] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(652), 1,
      sym_text_interpolation,
    ACTIONS(1598), 20,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1596), 36,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [4909] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1708), 1,
      anon_sym_EQ,
    STATE(653), 1,
      sym_text_interpolation,
    ACTIONS(1676), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1674), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1710), 13,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1666), 16,
      anon_sym_SEMI,
      aux_sym_namespace_use_clause_token1,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1668), 20,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [4987] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1608), 1,
      anon_sym_LPAREN2,
    STATE(654), 1,
      sym_text_interpolation,
    ACTIONS(1606), 20,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1604), 35,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [5059] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(655), 1,
      sym_text_interpolation,
    ACTIONS(1628), 20,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1626), 36,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [5129] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1765), 1,
      anon_sym_EQ,
    STATE(656), 1,
      sym_text_interpolation,
    ACTIONS(1676), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1674), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1767), 13,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1666), 16,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1668), 19,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [5206] = 10,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1672), 1,
      anon_sym_LPAREN2,
    ACTIONS(1769), 1,
      anon_sym_EQ,
    STATE(657), 1,
      sym_text_interpolation,
    ACTIONS(1676), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1674), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1771), 13,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1666), 15,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1668), 19,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [5285] = 40,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(603), 1,
      anon_sym_BSLASH,
    ACTIONS(609), 1,
      aux_sym_cast_type_token1,
    ACTIONS(641), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(645), 1,
      anon_sym_DOLLAR,
    ACTIONS(731), 1,
      anon_sym_AMP,
    ACTIONS(855), 1,
      anon_sym_LBRACK,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1722), 1,
      anon_sym_LPAREN2,
    ACTIONS(1724), 1,
      aux_sym__new_non_dereferencable_expression_token1,
    ACTIONS(1763), 1,
      sym_name,
    STATE(595), 1,
      sym__simple_variable,
    STATE(602), 1,
      sym__variable_scoped_property_access_expression,
    STATE(610), 1,
      sym__variable_subscript_expression,
    STATE(613), 1,
      sym__variable_member_access_expression,
    STATE(619), 1,
      sym__variable_nullsafe_member_access_expression,
    STATE(658), 1,
      sym_text_interpolation,
    STATE(717), 1,
      sym__reserved_identifier,
    STATE(1606), 1,
      sym__callable_variable,
    STATE(1626), 1,
      sym__name,
    STATE(1686), 1,
      sym__new_variable,
    STATE(1837), 1,
      sym__new_dereferencable_expression,
    STATE(1886), 1,
      sym__dereferencable_expression,
    STATE(1944), 1,
      sym_class_constant_access_expression,
    STATE(2324), 1,
      sym__callable_expression,
    STATE(2392), 1,
      sym__array_destructing,
    STATE(2395), 1,
      sym_by_ref,
    STATE(2507), 1,
      sym_namespace_name,
    STATE(2522), 1,
      sym__scope_resolution_qualifier,
    STATE(2608), 1,
      sym_relative_scope,
    ACTIONS(637), 2,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
    ACTIONS(639), 2,
      aux_sym_string_token1,
      anon_sym_SQUOTE,
    STATE(618), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
    STATE(1496), 2,
      sym_qualified_name,
      sym__identifier,
    STATE(1717), 2,
      sym_parenthesized_expression,
      sym__dereferencable_scalar,
    STATE(1840), 2,
      sym_array_creation_expression,
      sym__string,
    ACTIONS(312), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(767), 4,
      sym_encapsed_string,
      sym_string,
      sym_heredoc,
      sym_nowdoc,
    STATE(1684), 4,
      sym_cast_variable,
      sym_member_access_expression,
      sym_nullsafe_member_access_expression,
      sym_scoped_property_access_expression,
    STATE(612), 5,
      sym_function_call_expression,
      sym_scoped_call_expression,
      sym_member_call_expression,
      sym_nullsafe_member_call_expression,
      sym__dereferencable_subscript_expression,
  [5424] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(659), 1,
      sym_text_interpolation,
    ACTIONS(1602), 20,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1600), 35,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [5493] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1670), 1,
      anon_sym_EQ,
    STATE(660), 1,
      sym_text_interpolation,
    ACTIONS(1712), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1674), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1678), 13,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1666), 16,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1668), 19,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [5570] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1714), 1,
      anon_sym_EQ,
    STATE(661), 1,
      sym_text_interpolation,
    ACTIONS(1712), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1674), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1716), 13,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1666), 16,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1668), 19,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [5647] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1765), 1,
      anon_sym_EQ,
    STATE(662), 1,
      sym_text_interpolation,
    ACTIONS(1676), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1674), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1767), 13,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1666), 16,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1668), 19,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [5724] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(663), 1,
      sym_text_interpolation,
    ACTIONS(1684), 20,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1682), 35,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [5793] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(664), 1,
      sym_text_interpolation,
    ACTIONS(1638), 20,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1636), 35,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [5862] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(665), 1,
      sym_text_interpolation,
    ACTIONS(1606), 20,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1604), 35,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [5931] = 10,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1670), 1,
      anon_sym_EQ,
    ACTIONS(1672), 1,
      anon_sym_LPAREN2,
    STATE(666), 1,
      sym_text_interpolation,
    ACTIONS(1676), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1674), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1666), 12,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1678), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_RBRACK,
    ACTIONS(1668), 19,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [6010] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1714), 1,
      anon_sym_EQ,
    STATE(667), 1,
      sym_text_interpolation,
    ACTIONS(1712), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1674), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1716), 13,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1666), 16,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1668), 19,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [6087] = 13,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(866), 1,
      anon_sym_COMMA,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1672), 1,
      anon_sym_LPAREN2,
    ACTIONS(1708), 1,
      anon_sym_EQ,
    ACTIONS(1773), 1,
      anon_sym_RPAREN2,
    STATE(668), 1,
      sym_text_interpolation,
    STATE(1980), 1,
      aux_sym__list_destructing_repeat1,
    ACTIONS(1676), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1674), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1666), 12,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1710), 13,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1668), 19,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [6172] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1670), 1,
      anon_sym_EQ,
    STATE(669), 1,
      sym_text_interpolation,
    ACTIONS(1712), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1674), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1678), 13,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1666), 16,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1668), 19,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [6249] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(670), 1,
      sym_text_interpolation,
    ACTIONS(1624), 20,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1622), 35,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [6318] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(671), 1,
      sym_text_interpolation,
    ACTIONS(1652), 20,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1650), 35,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [6387] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(672), 1,
      sym_text_interpolation,
    ACTIONS(1656), 20,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1654), 35,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [6456] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(673), 1,
      sym_text_interpolation,
    ACTIONS(1660), 20,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1658), 35,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [6525] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(674), 1,
      sym_text_interpolation,
    ACTIONS(1684), 20,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1682), 35,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [6594] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1670), 1,
      anon_sym_EQ,
    STATE(675), 1,
      sym_text_interpolation,
    ACTIONS(1676), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1674), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1666), 12,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1678), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_RBRACK,
    ACTIONS(1668), 19,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [6670] = 12,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(866), 1,
      anon_sym_COMMA,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1708), 1,
      anon_sym_EQ,
    ACTIONS(1773), 1,
      anon_sym_RPAREN2,
    STATE(676), 1,
      sym_text_interpolation,
    STATE(1980), 1,
      aux_sym__list_destructing_repeat1,
    ACTIONS(1676), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1674), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1666), 12,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1710), 13,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1668), 19,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [6752] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1670), 1,
      anon_sym_EQ,
    STATE(677), 1,
      sym_text_interpolation,
    ACTIONS(1676), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1674), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1666), 12,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1678), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_RBRACK,
    ACTIONS(1668), 19,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [6828] = 11,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1672), 1,
      anon_sym_LPAREN2,
    ACTIONS(1765), 1,
      anon_sym_EQ,
    STATE(678), 1,
      sym_text_interpolation,
    ACTIONS(1676), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1775), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(1674), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1666), 12,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1767), 13,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1668), 19,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [6908] = 12,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(866), 1,
      anon_sym_COMMA,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1708), 1,
      anon_sym_EQ,
    ACTIONS(1773), 1,
      anon_sym_RPAREN2,
    STATE(679), 1,
      sym_text_interpolation,
    STATE(1980), 1,
      aux_sym__list_destructing_repeat1,
    ACTIONS(1676), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1674), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1666), 12,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1710), 13,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1668), 19,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [6990] = 11,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1672), 1,
      anon_sym_LPAREN2,
    ACTIONS(1708), 1,
      anon_sym_EQ,
    STATE(680), 1,
      sym_text_interpolation,
    ACTIONS(1676), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1778), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(1674), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1666), 12,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1710), 13,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1668), 19,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [7070] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1769), 1,
      anon_sym_EQ,
    STATE(681), 1,
      sym_text_interpolation,
    ACTIONS(1676), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1674), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1771), 13,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1666), 15,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1668), 19,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [7146] = 11,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1672), 1,
      anon_sym_LPAREN2,
    ACTIONS(1708), 1,
      anon_sym_EQ,
    STATE(682), 1,
      sym_text_interpolation,
    ACTIONS(1676), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1780), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
    ACTIONS(1674), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1666), 12,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1710), 13,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1668), 19,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [7226] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1769), 1,
      anon_sym_EQ,
    STATE(683), 1,
      sym_text_interpolation,
    ACTIONS(1676), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1674), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1771), 13,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1666), 15,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1668), 19,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [7302] = 10,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1708), 1,
      anon_sym_EQ,
    STATE(684), 1,
      sym_text_interpolation,
    ACTIONS(1676), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1780), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
    ACTIONS(1674), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1666), 12,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1710), 13,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1668), 19,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [7379] = 38,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(603), 1,
      anon_sym_BSLASH,
    ACTIONS(609), 1,
      aux_sym_cast_type_token1,
    ACTIONS(641), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(645), 1,
      anon_sym_DOLLAR,
    ACTIONS(983), 1,
      anon_sym_LBRACK,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1722), 1,
      anon_sym_LPAREN2,
    ACTIONS(1724), 1,
      aux_sym__new_non_dereferencable_expression_token1,
    ACTIONS(1763), 1,
      sym_name,
    ACTIONS(1782), 1,
      anon_sym_RPAREN2,
    STATE(595), 1,
      sym__simple_variable,
    STATE(602), 1,
      sym__variable_scoped_property_access_expression,
    STATE(610), 1,
      sym__variable_subscript_expression,
    STATE(613), 1,
      sym__variable_member_access_expression,
    STATE(619), 1,
      sym__variable_nullsafe_member_access_expression,
    STATE(685), 1,
      sym_text_interpolation,
    STATE(717), 1,
      sym__reserved_identifier,
    STATE(1590), 1,
      sym__callable_variable,
    STATE(1626), 1,
      sym__name,
    STATE(1633), 1,
      sym__new_variable,
    STATE(1837), 1,
      sym__new_dereferencable_expression,
    STATE(1886), 1,
      sym__dereferencable_expression,
    STATE(1944), 1,
      sym_class_constant_access_expression,
    STATE(2324), 1,
      sym__callable_expression,
    STATE(2507), 1,
      sym_namespace_name,
    STATE(2522), 1,
      sym__scope_resolution_qualifier,
    STATE(2608), 1,
      sym_relative_scope,
    ACTIONS(637), 2,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
    ACTIONS(639), 2,
      aux_sym_string_token1,
      anon_sym_SQUOTE,
    STATE(618), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
    STATE(1496), 2,
      sym_qualified_name,
      sym__identifier,
    STATE(1717), 2,
      sym_parenthesized_expression,
      sym__dereferencable_scalar,
    STATE(1840), 2,
      sym_array_creation_expression,
      sym__string,
    ACTIONS(312), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(767), 4,
      sym_encapsed_string,
      sym_string,
      sym_heredoc,
      sym_nowdoc,
    STATE(1632), 4,
      sym_cast_variable,
      sym_member_access_expression,
      sym_nullsafe_member_access_expression,
      sym_scoped_property_access_expression,
    STATE(612), 5,
      sym_function_call_expression,
      sym_scoped_call_expression,
      sym_member_call_expression,
      sym_nullsafe_member_call_expression,
      sym__dereferencable_subscript_expression,
  [7512] = 10,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1765), 1,
      anon_sym_EQ,
    STATE(686), 1,
      sym_text_interpolation,
    ACTIONS(1676), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1775), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(1674), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1666), 12,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1767), 13,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1668), 19,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [7589] = 10,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1765), 1,
      anon_sym_EQ,
    STATE(687), 1,
      sym_text_interpolation,
    ACTIONS(1676), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1775), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(1674), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1666), 12,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1767), 13,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1668), 19,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [7666] = 38,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(603), 1,
      anon_sym_BSLASH,
    ACTIONS(609), 1,
      aux_sym_cast_type_token1,
    ACTIONS(641), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(645), 1,
      anon_sym_DOLLAR,
    ACTIONS(983), 1,
      anon_sym_LBRACK,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1722), 1,
      anon_sym_LPAREN2,
    ACTIONS(1724), 1,
      aux_sym__new_non_dereferencable_expression_token1,
    ACTIONS(1763), 1,
      sym_name,
    ACTIONS(1784), 1,
      anon_sym_RPAREN2,
    STATE(595), 1,
      sym__simple_variable,
    STATE(602), 1,
      sym__variable_scoped_property_access_expression,
    STATE(610), 1,
      sym__variable_subscript_expression,
    STATE(613), 1,
      sym__variable_member_access_expression,
    STATE(619), 1,
      sym__variable_nullsafe_member_access_expression,
    STATE(688), 1,
      sym_text_interpolation,
    STATE(717), 1,
      sym__reserved_identifier,
    STATE(1590), 1,
      sym__callable_variable,
    STATE(1626), 1,
      sym__name,
    STATE(1633), 1,
      sym__new_variable,
    STATE(1837), 1,
      sym__new_dereferencable_expression,
    STATE(1886), 1,
      sym__dereferencable_expression,
    STATE(1944), 1,
      sym_class_constant_access_expression,
    STATE(2324), 1,
      sym__callable_expression,
    STATE(2507), 1,
      sym_namespace_name,
    STATE(2522), 1,
      sym__scope_resolution_qualifier,
    STATE(2608), 1,
      sym_relative_scope,
    ACTIONS(637), 2,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
    ACTIONS(639), 2,
      aux_sym_string_token1,
      anon_sym_SQUOTE,
    STATE(618), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
    STATE(1496), 2,
      sym_qualified_name,
      sym__identifier,
    STATE(1717), 2,
      sym_parenthesized_expression,
      sym__dereferencable_scalar,
    STATE(1840), 2,
      sym_array_creation_expression,
      sym__string,
    ACTIONS(312), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(767), 4,
      sym_encapsed_string,
      sym_string,
      sym_heredoc,
      sym_nowdoc,
    STATE(1632), 4,
      sym_cast_variable,
      sym_member_access_expression,
      sym_nullsafe_member_access_expression,
      sym_scoped_property_access_expression,
    STATE(612), 5,
      sym_function_call_expression,
      sym_scoped_call_expression,
      sym_member_call_expression,
      sym_nullsafe_member_call_expression,
      sym__dereferencable_subscript_expression,
  [7799] = 10,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1708), 1,
      anon_sym_EQ,
    STATE(689), 1,
      sym_text_interpolation,
    ACTIONS(1676), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1778), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(1674), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1666), 12,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1710), 13,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1668), 19,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [7876] = 38,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(603), 1,
      anon_sym_BSLASH,
    ACTIONS(609), 1,
      aux_sym_cast_type_token1,
    ACTIONS(641), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(645), 1,
      anon_sym_DOLLAR,
    ACTIONS(983), 1,
      anon_sym_LBRACK,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1722), 1,
      anon_sym_LPAREN2,
    ACTIONS(1724), 1,
      aux_sym__new_non_dereferencable_expression_token1,
    ACTIONS(1763), 1,
      sym_name,
    ACTIONS(1786), 1,
      anon_sym_RPAREN2,
    STATE(595), 1,
      sym__simple_variable,
    STATE(602), 1,
      sym__variable_scoped_property_access_expression,
    STATE(610), 1,
      sym__variable_subscript_expression,
    STATE(613), 1,
      sym__variable_member_access_expression,
    STATE(619), 1,
      sym__variable_nullsafe_member_access_expression,
    STATE(690), 1,
      sym_text_interpolation,
    STATE(717), 1,
      sym__reserved_identifier,
    STATE(1590), 1,
      sym__callable_variable,
    STATE(1626), 1,
      sym__name,
    STATE(1633), 1,
      sym__new_variable,
    STATE(1837), 1,
      sym__new_dereferencable_expression,
    STATE(1886), 1,
      sym__dereferencable_expression,
    STATE(1944), 1,
      sym_class_constant_access_expression,
    STATE(2324), 1,
      sym__callable_expression,
    STATE(2507), 1,
      sym_namespace_name,
    STATE(2522), 1,
      sym__scope_resolution_qualifier,
    STATE(2608), 1,
      sym_relative_scope,
    ACTIONS(637), 2,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
    ACTIONS(639), 2,
      aux_sym_string_token1,
      anon_sym_SQUOTE,
    STATE(618), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
    STATE(1496), 2,
      sym_qualified_name,
      sym__identifier,
    STATE(1717), 2,
      sym_parenthesized_expression,
      sym__dereferencable_scalar,
    STATE(1840), 2,
      sym_array_creation_expression,
      sym__string,
    ACTIONS(312), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(767), 4,
      sym_encapsed_string,
      sym_string,
      sym_heredoc,
      sym_nowdoc,
    STATE(1632), 4,
      sym_cast_variable,
      sym_member_access_expression,
      sym_nullsafe_member_access_expression,
      sym_scoped_property_access_expression,
    STATE(612), 5,
      sym_function_call_expression,
      sym_scoped_call_expression,
      sym_member_call_expression,
      sym_nullsafe_member_call_expression,
      sym__dereferencable_subscript_expression,
  [8009] = 38,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(603), 1,
      anon_sym_BSLASH,
    ACTIONS(609), 1,
      aux_sym_cast_type_token1,
    ACTIONS(641), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(645), 1,
      anon_sym_DOLLAR,
    ACTIONS(983), 1,
      anon_sym_LBRACK,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1722), 1,
      anon_sym_LPAREN2,
    ACTIONS(1724), 1,
      aux_sym__new_non_dereferencable_expression_token1,
    ACTIONS(1763), 1,
      sym_name,
    ACTIONS(1788), 1,
      anon_sym_RPAREN2,
    STATE(595), 1,
      sym__simple_variable,
    STATE(602), 1,
      sym__variable_scoped_property_access_expression,
    STATE(610), 1,
      sym__variable_subscript_expression,
    STATE(613), 1,
      sym__variable_member_access_expression,
    STATE(619), 1,
      sym__variable_nullsafe_member_access_expression,
    STATE(691), 1,
      sym_text_interpolation,
    STATE(717), 1,
      sym__reserved_identifier,
    STATE(1590), 1,
      sym__callable_variable,
    STATE(1626), 1,
      sym__name,
    STATE(1633), 1,
      sym__new_variable,
    STATE(1837), 1,
      sym__new_dereferencable_expression,
    STATE(1886), 1,
      sym__dereferencable_expression,
    STATE(1944), 1,
      sym_class_constant_access_expression,
    STATE(2324), 1,
      sym__callable_expression,
    STATE(2507), 1,
      sym_namespace_name,
    STATE(2522), 1,
      sym__scope_resolution_qualifier,
    STATE(2608), 1,
      sym_relative_scope,
    ACTIONS(637), 2,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
    ACTIONS(639), 2,
      aux_sym_string_token1,
      anon_sym_SQUOTE,
    STATE(618), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
    STATE(1496), 2,
      sym_qualified_name,
      sym__identifier,
    STATE(1717), 2,
      sym_parenthesized_expression,
      sym__dereferencable_scalar,
    STATE(1840), 2,
      sym_array_creation_expression,
      sym__string,
    ACTIONS(312), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(767), 4,
      sym_encapsed_string,
      sym_string,
      sym_heredoc,
      sym_nowdoc,
    STATE(1632), 4,
      sym_cast_variable,
      sym_member_access_expression,
      sym_nullsafe_member_access_expression,
      sym_scoped_property_access_expression,
    STATE(612), 5,
      sym_function_call_expression,
      sym_scoped_call_expression,
      sym_member_call_expression,
      sym_nullsafe_member_call_expression,
      sym__dereferencable_subscript_expression,
  [8142] = 10,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1708), 1,
      anon_sym_EQ,
    STATE(692), 1,
      sym_text_interpolation,
    ACTIONS(1676), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1778), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(1674), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1666), 12,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1710), 13,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1668), 19,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [8219] = 11,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1672), 1,
      anon_sym_LPAREN2,
    ACTIONS(1765), 1,
      anon_sym_EQ,
    STATE(693), 1,
      sym_text_interpolation,
    ACTIONS(1676), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1790), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(1674), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1666), 11,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1767), 13,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1668), 19,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [8298] = 10,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1708), 1,
      anon_sym_EQ,
    STATE(694), 1,
      sym_text_interpolation,
    ACTIONS(1676), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1780), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
    ACTIONS(1674), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1666), 12,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1710), 13,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1668), 19,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [8375] = 37,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(603), 1,
      anon_sym_BSLASH,
    ACTIONS(609), 1,
      aux_sym_cast_type_token1,
    ACTIONS(641), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(645), 1,
      anon_sym_DOLLAR,
    ACTIONS(983), 1,
      anon_sym_LBRACK,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1722), 1,
      anon_sym_LPAREN2,
    ACTIONS(1724), 1,
      aux_sym__new_non_dereferencable_expression_token1,
    ACTIONS(1763), 1,
      sym_name,
    STATE(595), 1,
      sym__simple_variable,
    STATE(602), 1,
      sym__variable_scoped_property_access_expression,
    STATE(610), 1,
      sym__variable_subscript_expression,
    STATE(613), 1,
      sym__variable_member_access_expression,
    STATE(619), 1,
      sym__variable_nullsafe_member_access_expression,
    STATE(695), 1,
      sym_text_interpolation,
    STATE(714), 1,
      sym__callable_variable,
    STATE(717), 1,
      sym__reserved_identifier,
    STATE(744), 1,
      sym__new_variable,
    STATE(1626), 1,
      sym__name,
    STATE(1837), 1,
      sym__new_dereferencable_expression,
    STATE(1886), 1,
      sym__dereferencable_expression,
    STATE(1944), 1,
      sym_class_constant_access_expression,
    STATE(2324), 1,
      sym__callable_expression,
    STATE(2507), 1,
      sym_namespace_name,
    STATE(2522), 1,
      sym__scope_resolution_qualifier,
    STATE(2608), 1,
      sym_relative_scope,
    ACTIONS(637), 2,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
    ACTIONS(639), 2,
      aux_sym_string_token1,
      anon_sym_SQUOTE,
    STATE(618), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
    STATE(1496), 2,
      sym_qualified_name,
      sym__identifier,
    STATE(1717), 2,
      sym_parenthesized_expression,
      sym__dereferencable_scalar,
    STATE(1840), 2,
      sym_array_creation_expression,
      sym__string,
    ACTIONS(312), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(742), 4,
      sym_cast_variable,
      sym_member_access_expression,
      sym_nullsafe_member_access_expression,
      sym_scoped_property_access_expression,
    STATE(767), 4,
      sym_encapsed_string,
      sym_string,
      sym_heredoc,
      sym_nowdoc,
    STATE(612), 5,
      sym_function_call_expression,
      sym_scoped_call_expression,
      sym_member_call_expression,
      sym_nullsafe_member_call_expression,
      sym__dereferencable_subscript_expression,
  [8505] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1797), 1,
      anon_sym_BSLASH,
    STATE(696), 1,
      sym_text_interpolation,
    STATE(2460), 1,
      aux_sym_namespace_name_repeat1,
    ACTIONS(1793), 22,
      anon_sym_AMP,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_clause_token1,
      anon_sym_COLON,
      aux_sym_class_interface_clause_token1,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_self,
      anon_sym_parent,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
      sym_name,
    ACTIONS(1795), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOLLAR,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [8575] = 37,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(603), 1,
      anon_sym_BSLASH,
    ACTIONS(609), 1,
      aux_sym_cast_type_token1,
    ACTIONS(641), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(983), 1,
      anon_sym_LBRACK,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1724), 1,
      aux_sym__new_non_dereferencable_expression_token1,
    ACTIONS(1763), 1,
      sym_name,
    ACTIONS(1800), 1,
      anon_sym_LPAREN2,
    ACTIONS(1802), 1,
      anon_sym_DOLLAR,
    STATE(697), 1,
      sym_text_interpolation,
    STATE(717), 1,
      sym__reserved_identifier,
    STATE(934), 1,
      sym__variable_member_access_expression,
    STATE(935), 1,
      sym__variable_nullsafe_member_access_expression,
    STATE(936), 1,
      sym__variable_scoped_property_access_expression,
    STATE(938), 1,
      sym__variable_subscript_expression,
    STATE(940), 1,
      sym__simple_variable,
    STATE(972), 1,
      sym__callable_variable,
    STATE(1014), 1,
      sym__new_variable,
    STATE(1662), 1,
      sym__name,
    STATE(1837), 1,
      sym__new_dereferencable_expression,
    STATE(1924), 1,
      sym__dereferencable_expression,
    STATE(1944), 1,
      sym_class_constant_access_expression,
    STATE(2305), 1,
      sym__callable_expression,
    STATE(2507), 1,
      sym_namespace_name,
    STATE(2608), 1,
      sym_relative_scope,
    STATE(2690), 1,
      sym__scope_resolution_qualifier,
    ACTIONS(637), 2,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
    ACTIONS(639), 2,
      aux_sym_string_token1,
      anon_sym_SQUOTE,
    STATE(939), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
    STATE(1496), 2,
      sym_qualified_name,
      sym__identifier,
    STATE(1717), 2,
      sym_parenthesized_expression,
      sym__dereferencable_scalar,
    STATE(1840), 2,
      sym_array_creation_expression,
      sym__string,
    ACTIONS(312), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(767), 4,
      sym_encapsed_string,
      sym_string,
      sym_heredoc,
      sym_nowdoc,
    STATE(1013), 4,
      sym_cast_variable,
      sym_member_access_expression,
      sym_nullsafe_member_access_expression,
      sym_scoped_property_access_expression,
    STATE(937), 5,
      sym_function_call_expression,
      sym_scoped_call_expression,
      sym_member_call_expression,
      sym_nullsafe_member_call_expression,
      sym__dereferencable_subscript_expression,
  [8705] = 37,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(603), 1,
      anon_sym_BSLASH,
    ACTIONS(609), 1,
      aux_sym_cast_type_token1,
    ACTIONS(641), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(983), 1,
      anon_sym_LBRACK,
    ACTIONS(1562), 1,
      anon_sym_DOLLAR,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1724), 1,
      aux_sym__new_non_dereferencable_expression_token1,
    ACTIONS(1763), 1,
      sym_name,
    ACTIONS(1804), 1,
      anon_sym_LPAREN2,
    STATE(698), 1,
      sym_text_interpolation,
    STATE(717), 1,
      sym__reserved_identifier,
    STATE(868), 1,
      sym__callable_variable,
    STATE(877), 1,
      sym__simple_variable,
    STATE(896), 1,
      sym__variable_subscript_expression,
    STATE(902), 1,
      sym__new_variable,
    STATE(903), 1,
      sym__variable_scoped_property_access_expression,
    STATE(905), 1,
      sym__variable_member_access_expression,
    STATE(912), 1,
      sym__variable_nullsafe_member_access_expression,
    STATE(1659), 1,
      sym__name,
    STATE(1837), 1,
      sym__new_dereferencable_expression,
    STATE(1896), 1,
      sym__dereferencable_expression,
    STATE(1944), 1,
      sym_class_constant_access_expression,
    STATE(2484), 1,
      sym__callable_expression,
    STATE(2507), 1,
      sym_namespace_name,
    STATE(2572), 1,
      sym__scope_resolution_qualifier,
    STATE(2608), 1,
      sym_relative_scope,
    ACTIONS(637), 2,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
    ACTIONS(639), 2,
      aux_sym_string_token1,
      anon_sym_SQUOTE,
    STATE(874), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
    STATE(1496), 2,
      sym_qualified_name,
      sym__identifier,
    STATE(1717), 2,
      sym_parenthesized_expression,
      sym__dereferencable_scalar,
    STATE(1840), 2,
      sym_array_creation_expression,
      sym__string,
    ACTIONS(312), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(767), 4,
      sym_encapsed_string,
      sym_string,
      sym_heredoc,
      sym_nowdoc,
    STATE(899), 4,
      sym_cast_variable,
      sym_member_access_expression,
      sym_nullsafe_member_access_expression,
      sym_scoped_property_access_expression,
    STATE(890), 5,
      sym_function_call_expression,
      sym_scoped_call_expression,
      sym_member_call_expression,
      sym_nullsafe_member_call_expression,
      sym__dereferencable_subscript_expression,
  [8835] = 37,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(603), 1,
      anon_sym_BSLASH,
    ACTIONS(609), 1,
      aux_sym_cast_type_token1,
    ACTIONS(641), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(983), 1,
      anon_sym_LBRACK,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1724), 1,
      aux_sym__new_non_dereferencable_expression_token1,
    ACTIONS(1763), 1,
      sym_name,
    ACTIONS(1806), 1,
      anon_sym_LPAREN2,
    ACTIONS(1808), 1,
      anon_sym_DOLLAR,
    STATE(699), 1,
      sym_text_interpolation,
    STATE(717), 1,
      sym__reserved_identifier,
    STATE(773), 1,
      sym__callable_variable,
    STATE(785), 1,
      sym__variable_member_access_expression,
    STATE(786), 1,
      sym__variable_scoped_property_access_expression,
    STATE(788), 1,
      sym__variable_subscript_expression,
    STATE(789), 1,
      sym__simple_variable,
    STATE(847), 1,
      sym__variable_nullsafe_member_access_expression,
    STATE(856), 1,
      sym__new_variable,
    STATE(1667), 1,
      sym__name,
    STATE(1837), 1,
      sym__new_dereferencable_expression,
    STATE(1942), 1,
      sym__dereferencable_expression,
    STATE(1944), 1,
      sym_class_constant_access_expression,
    STATE(2328), 1,
      sym__callable_expression,
    STATE(2507), 1,
      sym_namespace_name,
    STATE(2608), 1,
      sym_relative_scope,
    STATE(2659), 1,
      sym__scope_resolution_qualifier,
    ACTIONS(637), 2,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
    ACTIONS(639), 2,
      aux_sym_string_token1,
      anon_sym_SQUOTE,
    STATE(813), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
    STATE(1496), 2,
      sym_qualified_name,
      sym__identifier,
    STATE(1717), 2,
      sym_parenthesized_expression,
      sym__dereferencable_scalar,
    STATE(1840), 2,
      sym_array_creation_expression,
      sym__string,
    ACTIONS(312), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(767), 4,
      sym_encapsed_string,
      sym_string,
      sym_heredoc,
      sym_nowdoc,
    STATE(855), 4,
      sym_cast_variable,
      sym_member_access_expression,
      sym_nullsafe_member_access_expression,
      sym_scoped_property_access_expression,
    STATE(787), 5,
      sym_function_call_expression,
      sym_scoped_call_expression,
      sym_member_call_expression,
      sym_nullsafe_member_call_expression,
      sym__dereferencable_subscript_expression,
  [8965] = 37,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(603), 1,
      anon_sym_BSLASH,
    ACTIONS(609), 1,
      aux_sym_cast_type_token1,
    ACTIONS(641), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(983), 1,
      anon_sym_LBRACK,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1724), 1,
      aux_sym__new_non_dereferencable_expression_token1,
    ACTIONS(1763), 1,
      sym_name,
    ACTIONS(1800), 1,
      anon_sym_LPAREN2,
    ACTIONS(1802), 1,
      anon_sym_DOLLAR,
    STATE(700), 1,
      sym_text_interpolation,
    STATE(717), 1,
      sym__reserved_identifier,
    STATE(934), 1,
      sym__variable_member_access_expression,
    STATE(935), 1,
      sym__variable_nullsafe_member_access_expression,
    STATE(936), 1,
      sym__variable_scoped_property_access_expression,
    STATE(938), 1,
      sym__variable_subscript_expression,
    STATE(940), 1,
      sym__simple_variable,
    STATE(990), 1,
      sym__callable_variable,
    STATE(1029), 1,
      sym__new_variable,
    STATE(1662), 1,
      sym__name,
    STATE(1837), 1,
      sym__new_dereferencable_expression,
    STATE(1924), 1,
      sym__dereferencable_expression,
    STATE(1944), 1,
      sym_class_constant_access_expression,
    STATE(2305), 1,
      sym__callable_expression,
    STATE(2507), 1,
      sym_namespace_name,
    STATE(2608), 1,
      sym_relative_scope,
    STATE(2690), 1,
      sym__scope_resolution_qualifier,
    ACTIONS(637), 2,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
    ACTIONS(639), 2,
      aux_sym_string_token1,
      anon_sym_SQUOTE,
    STATE(939), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
    STATE(1496), 2,
      sym_qualified_name,
      sym__identifier,
    STATE(1717), 2,
      sym_parenthesized_expression,
      sym__dereferencable_scalar,
    STATE(1840), 2,
      sym_array_creation_expression,
      sym__string,
    ACTIONS(312), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(767), 4,
      sym_encapsed_string,
      sym_string,
      sym_heredoc,
      sym_nowdoc,
    STATE(1028), 4,
      sym_cast_variable,
      sym_member_access_expression,
      sym_nullsafe_member_access_expression,
      sym_scoped_property_access_expression,
    STATE(937), 5,
      sym_function_call_expression,
      sym_scoped_call_expression,
      sym_member_call_expression,
      sym_nullsafe_member_call_expression,
      sym__dereferencable_subscript_expression,
  [9095] = 10,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1765), 1,
      anon_sym_EQ,
    STATE(701), 1,
      sym_text_interpolation,
    ACTIONS(1676), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1790), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(1674), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1666), 11,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1767), 13,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1668), 19,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [9171] = 37,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(603), 1,
      anon_sym_BSLASH,
    ACTIONS(609), 1,
      aux_sym_cast_type_token1,
    ACTIONS(641), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(983), 1,
      anon_sym_LBRACK,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1724), 1,
      aux_sym__new_non_dereferencable_expression_token1,
    ACTIONS(1763), 1,
      sym_name,
    ACTIONS(1806), 1,
      anon_sym_LPAREN2,
    ACTIONS(1808), 1,
      anon_sym_DOLLAR,
    STATE(702), 1,
      sym_text_interpolation,
    STATE(717), 1,
      sym__reserved_identifier,
    STATE(763), 1,
      sym__callable_variable,
    STATE(785), 1,
      sym__variable_member_access_expression,
    STATE(786), 1,
      sym__variable_scoped_property_access_expression,
    STATE(788), 1,
      sym__variable_subscript_expression,
    STATE(789), 1,
      sym__simple_variable,
    STATE(829), 1,
      sym__new_variable,
    STATE(847), 1,
      sym__variable_nullsafe_member_access_expression,
    STATE(1667), 1,
      sym__name,
    STATE(1837), 1,
      sym__new_dereferencable_expression,
    STATE(1942), 1,
      sym__dereferencable_expression,
    STATE(1944), 1,
      sym_class_constant_access_expression,
    STATE(2328), 1,
      sym__callable_expression,
    STATE(2507), 1,
      sym_namespace_name,
    STATE(2608), 1,
      sym_relative_scope,
    STATE(2659), 1,
      sym__scope_resolution_qualifier,
    ACTIONS(637), 2,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
    ACTIONS(639), 2,
      aux_sym_string_token1,
      anon_sym_SQUOTE,
    STATE(813), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
    STATE(1496), 2,
      sym_qualified_name,
      sym__identifier,
    STATE(1717), 2,
      sym_parenthesized_expression,
      sym__dereferencable_scalar,
    STATE(1840), 2,
      sym_array_creation_expression,
      sym__string,
    ACTIONS(312), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(767), 4,
      sym_encapsed_string,
      sym_string,
      sym_heredoc,
      sym_nowdoc,
    STATE(828), 4,
      sym_cast_variable,
      sym_member_access_expression,
      sym_nullsafe_member_access_expression,
      sym_scoped_property_access_expression,
    STATE(787), 5,
      sym_function_call_expression,
      sym_scoped_call_expression,
      sym_member_call_expression,
      sym_nullsafe_member_call_expression,
      sym__dereferencable_subscript_expression,
  [9301] = 37,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(603), 1,
      anon_sym_BSLASH,
    ACTIONS(609), 1,
      aux_sym_cast_type_token1,
    ACTIONS(641), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(983), 1,
      anon_sym_LBRACK,
    ACTIONS(1556), 1,
      anon_sym_LPAREN2,
    ACTIONS(1558), 1,
      anon_sym_DOLLAR,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1724), 1,
      aux_sym__new_non_dereferencable_expression_token1,
    ACTIONS(1763), 1,
      sym_name,
    STATE(703), 1,
      sym_text_interpolation,
    STATE(714), 1,
      sym__callable_variable,
    STATE(717), 1,
      sym__reserved_identifier,
    STATE(737), 1,
      sym__simple_variable,
    STATE(744), 1,
      sym__new_variable,
    STATE(748), 1,
      sym__variable_member_access_expression,
    STATE(750), 1,
      sym__variable_nullsafe_member_access_expression,
    STATE(753), 1,
      sym__variable_scoped_property_access_expression,
    STATE(755), 1,
      sym__variable_subscript_expression,
    STATE(1706), 1,
      sym__name,
    STATE(1837), 1,
      sym__new_dereferencable_expression,
    STATE(1927), 1,
      sym__dereferencable_expression,
    STATE(1944), 1,
      sym_class_constant_access_expression,
    STATE(2319), 1,
      sym__callable_expression,
    STATE(2507), 1,
      sym_namespace_name,
    STATE(2564), 1,
      sym__scope_resolution_qualifier,
    STATE(2608), 1,
      sym_relative_scope,
    ACTIONS(637), 2,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
    ACTIONS(639), 2,
      aux_sym_string_token1,
      anon_sym_SQUOTE,
    STATE(728), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
    STATE(1496), 2,
      sym_qualified_name,
      sym__identifier,
    STATE(1717), 2,
      sym_parenthesized_expression,
      sym__dereferencable_scalar,
    STATE(1840), 2,
      sym_array_creation_expression,
      sym__string,
    ACTIONS(312), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(742), 4,
      sym_cast_variable,
      sym_member_access_expression,
      sym_nullsafe_member_access_expression,
      sym_scoped_property_access_expression,
    STATE(767), 4,
      sym_encapsed_string,
      sym_string,
      sym_heredoc,
      sym_nowdoc,
    STATE(734), 5,
      sym_function_call_expression,
      sym_scoped_call_expression,
      sym_member_call_expression,
      sym_nullsafe_member_call_expression,
      sym__dereferencable_subscript_expression,
  [9431] = 37,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(603), 1,
      anon_sym_BSLASH,
    ACTIONS(609), 1,
      aux_sym_cast_type_token1,
    ACTIONS(641), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(983), 1,
      anon_sym_LBRACK,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1724), 1,
      aux_sym__new_non_dereferencable_expression_token1,
    ACTIONS(1763), 1,
      sym_name,
    ACTIONS(1806), 1,
      anon_sym_LPAREN2,
    ACTIONS(1808), 1,
      anon_sym_DOLLAR,
    STATE(704), 1,
      sym_text_interpolation,
    STATE(717), 1,
      sym__reserved_identifier,
    STATE(770), 1,
      sym__callable_variable,
    STATE(785), 1,
      sym__variable_member_access_expression,
    STATE(786), 1,
      sym__variable_scoped_property_access_expression,
    STATE(788), 1,
      sym__variable_subscript_expression,
    STATE(789), 1,
      sym__simple_variable,
    STATE(847), 1,
      sym__variable_nullsafe_member_access_expression,
    STATE(852), 1,
      sym__new_variable,
    STATE(1667), 1,
      sym__name,
    STATE(1837), 1,
      sym__new_dereferencable_expression,
    STATE(1942), 1,
      sym__dereferencable_expression,
    STATE(1944), 1,
      sym_class_constant_access_expression,
    STATE(2328), 1,
      sym__callable_expression,
    STATE(2507), 1,
      sym_namespace_name,
    STATE(2608), 1,
      sym_relative_scope,
    STATE(2659), 1,
      sym__scope_resolution_qualifier,
    ACTIONS(637), 2,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
    ACTIONS(639), 2,
      aux_sym_string_token1,
      anon_sym_SQUOTE,
    STATE(813), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
    STATE(1496), 2,
      sym_qualified_name,
      sym__identifier,
    STATE(1717), 2,
      sym_parenthesized_expression,
      sym__dereferencable_scalar,
    STATE(1840), 2,
      sym_array_creation_expression,
      sym__string,
    ACTIONS(312), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(767), 4,
      sym_encapsed_string,
      sym_string,
      sym_heredoc,
      sym_nowdoc,
    STATE(851), 4,
      sym_cast_variable,
      sym_member_access_expression,
      sym_nullsafe_member_access_expression,
      sym_scoped_property_access_expression,
    STATE(787), 5,
      sym_function_call_expression,
      sym_scoped_call_expression,
      sym_member_call_expression,
      sym_nullsafe_member_call_expression,
      sym__dereferencable_subscript_expression,
  [9561] = 37,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(603), 1,
      anon_sym_BSLASH,
    ACTIONS(609), 1,
      aux_sym_cast_type_token1,
    ACTIONS(641), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(645), 1,
      anon_sym_DOLLAR,
    ACTIONS(983), 1,
      anon_sym_LBRACK,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1722), 1,
      anon_sym_LPAREN2,
    ACTIONS(1724), 1,
      aux_sym__new_non_dereferencable_expression_token1,
    ACTIONS(1763), 1,
      sym_name,
    STATE(595), 1,
      sym__simple_variable,
    STATE(602), 1,
      sym__variable_scoped_property_access_expression,
    STATE(610), 1,
      sym__variable_subscript_expression,
    STATE(613), 1,
      sym__variable_member_access_expression,
    STATE(619), 1,
      sym__variable_nullsafe_member_access_expression,
    STATE(705), 1,
      sym_text_interpolation,
    STATE(717), 1,
      sym__reserved_identifier,
    STATE(763), 1,
      sym__callable_variable,
    STATE(829), 1,
      sym__new_variable,
    STATE(1626), 1,
      sym__name,
    STATE(1837), 1,
      sym__new_dereferencable_expression,
    STATE(1886), 1,
      sym__dereferencable_expression,
    STATE(1944), 1,
      sym_class_constant_access_expression,
    STATE(2324), 1,
      sym__callable_expression,
    STATE(2507), 1,
      sym_namespace_name,
    STATE(2522), 1,
      sym__scope_resolution_qualifier,
    STATE(2608), 1,
      sym_relative_scope,
    ACTIONS(637), 2,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
    ACTIONS(639), 2,
      aux_sym_string_token1,
      anon_sym_SQUOTE,
    STATE(618), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
    STATE(1496), 2,
      sym_qualified_name,
      sym__identifier,
    STATE(1717), 2,
      sym_parenthesized_expression,
      sym__dereferencable_scalar,
    STATE(1840), 2,
      sym_array_creation_expression,
      sym__string,
    ACTIONS(312), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(767), 4,
      sym_encapsed_string,
      sym_string,
      sym_heredoc,
      sym_nowdoc,
    STATE(828), 4,
      sym_cast_variable,
      sym_member_access_expression,
      sym_nullsafe_member_access_expression,
      sym_scoped_property_access_expression,
    STATE(612), 5,
      sym_function_call_expression,
      sym_scoped_call_expression,
      sym_member_call_expression,
      sym_nullsafe_member_call_expression,
      sym__dereferencable_subscript_expression,
  [9691] = 37,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(603), 1,
      anon_sym_BSLASH,
    ACTIONS(609), 1,
      aux_sym_cast_type_token1,
    ACTIONS(641), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(645), 1,
      anon_sym_DOLLAR,
    ACTIONS(983), 1,
      anon_sym_LBRACK,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1722), 1,
      anon_sym_LPAREN2,
    ACTIONS(1724), 1,
      aux_sym__new_non_dereferencable_expression_token1,
    ACTIONS(1763), 1,
      sym_name,
    STATE(595), 1,
      sym__simple_variable,
    STATE(602), 1,
      sym__variable_scoped_property_access_expression,
    STATE(610), 1,
      sym__variable_subscript_expression,
    STATE(613), 1,
      sym__variable_member_access_expression,
    STATE(619), 1,
      sym__variable_nullsafe_member_access_expression,
    STATE(706), 1,
      sym_text_interpolation,
    STATE(717), 1,
      sym__reserved_identifier,
    STATE(1553), 1,
      sym__callable_variable,
    STATE(1592), 1,
      sym__new_variable,
    STATE(1626), 1,
      sym__name,
    STATE(1837), 1,
      sym__new_dereferencable_expression,
    STATE(1886), 1,
      sym__dereferencable_expression,
    STATE(1944), 1,
      sym_class_constant_access_expression,
    STATE(2324), 1,
      sym__callable_expression,
    STATE(2507), 1,
      sym_namespace_name,
    STATE(2522), 1,
      sym__scope_resolution_qualifier,
    STATE(2608), 1,
      sym_relative_scope,
    ACTIONS(637), 2,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
    ACTIONS(639), 2,
      aux_sym_string_token1,
      anon_sym_SQUOTE,
    STATE(618), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
    STATE(1496), 2,
      sym_qualified_name,
      sym__identifier,
    STATE(1717), 2,
      sym_parenthesized_expression,
      sym__dereferencable_scalar,
    STATE(1840), 2,
      sym_array_creation_expression,
      sym__string,
    ACTIONS(312), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(767), 4,
      sym_encapsed_string,
      sym_string,
      sym_heredoc,
      sym_nowdoc,
    STATE(1591), 4,
      sym_cast_variable,
      sym_member_access_expression,
      sym_nullsafe_member_access_expression,
      sym_scoped_property_access_expression,
    STATE(612), 5,
      sym_function_call_expression,
      sym_scoped_call_expression,
      sym_member_call_expression,
      sym_nullsafe_member_call_expression,
      sym__dereferencable_subscript_expression,
  [9821] = 37,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(603), 1,
      anon_sym_BSLASH,
    ACTIONS(609), 1,
      aux_sym_cast_type_token1,
    ACTIONS(641), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(645), 1,
      anon_sym_DOLLAR,
    ACTIONS(983), 1,
      anon_sym_LBRACK,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1722), 1,
      anon_sym_LPAREN2,
    ACTIONS(1724), 1,
      aux_sym__new_non_dereferencable_expression_token1,
    ACTIONS(1763), 1,
      sym_name,
    STATE(595), 1,
      sym__simple_variable,
    STATE(602), 1,
      sym__variable_scoped_property_access_expression,
    STATE(610), 1,
      sym__variable_subscript_expression,
    STATE(613), 1,
      sym__variable_member_access_expression,
    STATE(619), 1,
      sym__variable_nullsafe_member_access_expression,
    STATE(707), 1,
      sym_text_interpolation,
    STATE(717), 1,
      sym__reserved_identifier,
    STATE(1590), 1,
      sym__callable_variable,
    STATE(1626), 1,
      sym__name,
    STATE(1633), 1,
      sym__new_variable,
    STATE(1837), 1,
      sym__new_dereferencable_expression,
    STATE(1886), 1,
      sym__dereferencable_expression,
    STATE(1944), 1,
      sym_class_constant_access_expression,
    STATE(2324), 1,
      sym__callable_expression,
    STATE(2507), 1,
      sym_namespace_name,
    STATE(2522), 1,
      sym__scope_resolution_qualifier,
    STATE(2608), 1,
      sym_relative_scope,
    ACTIONS(637), 2,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
    ACTIONS(639), 2,
      aux_sym_string_token1,
      anon_sym_SQUOTE,
    STATE(618), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
    STATE(1496), 2,
      sym_qualified_name,
      sym__identifier,
    STATE(1717), 2,
      sym_parenthesized_expression,
      sym__dereferencable_scalar,
    STATE(1840), 2,
      sym_array_creation_expression,
      sym__string,
    ACTIONS(312), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(767), 4,
      sym_encapsed_string,
      sym_string,
      sym_heredoc,
      sym_nowdoc,
    STATE(1632), 4,
      sym_cast_variable,
      sym_member_access_expression,
      sym_nullsafe_member_access_expression,
      sym_scoped_property_access_expression,
    STATE(612), 5,
      sym_function_call_expression,
      sym_scoped_call_expression,
      sym_member_call_expression,
      sym_nullsafe_member_call_expression,
      sym__dereferencable_subscript_expression,
  [9951] = 10,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1765), 1,
      anon_sym_EQ,
    STATE(708), 1,
      sym_text_interpolation,
    ACTIONS(1676), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1790), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(1674), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1666), 11,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1767), 13,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1668), 19,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [10027] = 37,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(603), 1,
      anon_sym_BSLASH,
    ACTIONS(609), 1,
      aux_sym_cast_type_token1,
    ACTIONS(641), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(645), 1,
      anon_sym_DOLLAR,
    ACTIONS(983), 1,
      anon_sym_LBRACK,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1722), 1,
      anon_sym_LPAREN2,
    ACTIONS(1724), 1,
      aux_sym__new_non_dereferencable_expression_token1,
    ACTIONS(1763), 1,
      sym_name,
    STATE(595), 1,
      sym__simple_variable,
    STATE(602), 1,
      sym__variable_scoped_property_access_expression,
    STATE(610), 1,
      sym__variable_subscript_expression,
    STATE(613), 1,
      sym__variable_member_access_expression,
    STATE(619), 1,
      sym__variable_nullsafe_member_access_expression,
    STATE(709), 1,
      sym_text_interpolation,
    STATE(717), 1,
      sym__reserved_identifier,
    STATE(1558), 1,
      sym__callable_variable,
    STATE(1568), 1,
      sym__new_variable,
    STATE(1626), 1,
      sym__name,
    STATE(1837), 1,
      sym__new_dereferencable_expression,
    STATE(1886), 1,
      sym__dereferencable_expression,
    STATE(1944), 1,
      sym_class_constant_access_expression,
    STATE(2324), 1,
      sym__callable_expression,
    STATE(2507), 1,
      sym_namespace_name,
    STATE(2522), 1,
      sym__scope_resolution_qualifier,
    STATE(2608), 1,
      sym_relative_scope,
    ACTIONS(637), 2,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
    ACTIONS(639), 2,
      aux_sym_string_token1,
      anon_sym_SQUOTE,
    STATE(618), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
    STATE(1496), 2,
      sym_qualified_name,
      sym__identifier,
    STATE(1717), 2,
      sym_parenthesized_expression,
      sym__dereferencable_scalar,
    STATE(1840), 2,
      sym_array_creation_expression,
      sym__string,
    ACTIONS(312), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(767), 4,
      sym_encapsed_string,
      sym_string,
      sym_heredoc,
      sym_nowdoc,
    STATE(1567), 4,
      sym_cast_variable,
      sym_member_access_expression,
      sym_nullsafe_member_access_expression,
      sym_scoped_property_access_expression,
    STATE(612), 5,
      sym_function_call_expression,
      sym_scoped_call_expression,
      sym_member_call_expression,
      sym_nullsafe_member_call_expression,
      sym__dereferencable_subscript_expression,
  [10157] = 37,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(603), 1,
      anon_sym_BSLASH,
    ACTIONS(609), 1,
      aux_sym_cast_type_token1,
    ACTIONS(641), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(983), 1,
      anon_sym_LBRACK,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1724), 1,
      aux_sym__new_non_dereferencable_expression_token1,
    ACTIONS(1763), 1,
      sym_name,
    ACTIONS(1800), 1,
      anon_sym_LPAREN2,
    ACTIONS(1802), 1,
      anon_sym_DOLLAR,
    STATE(710), 1,
      sym_text_interpolation,
    STATE(717), 1,
      sym__reserved_identifier,
    STATE(934), 1,
      sym__variable_member_access_expression,
    STATE(935), 1,
      sym__variable_nullsafe_member_access_expression,
    STATE(936), 1,
      sym__variable_scoped_property_access_expression,
    STATE(938), 1,
      sym__variable_subscript_expression,
    STATE(940), 1,
      sym__simple_variable,
    STATE(962), 1,
      sym__callable_variable,
    STATE(1030), 1,
      sym__new_variable,
    STATE(1662), 1,
      sym__name,
    STATE(1837), 1,
      sym__new_dereferencable_expression,
    STATE(1924), 1,
      sym__dereferencable_expression,
    STATE(1944), 1,
      sym_class_constant_access_expression,
    STATE(2305), 1,
      sym__callable_expression,
    STATE(2507), 1,
      sym_namespace_name,
    STATE(2608), 1,
      sym_relative_scope,
    STATE(2690), 1,
      sym__scope_resolution_qualifier,
    ACTIONS(637), 2,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
    ACTIONS(639), 2,
      aux_sym_string_token1,
      anon_sym_SQUOTE,
    STATE(939), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
    STATE(1496), 2,
      sym_qualified_name,
      sym__identifier,
    STATE(1717), 2,
      sym_parenthesized_expression,
      sym__dereferencable_scalar,
    STATE(1840), 2,
      sym_array_creation_expression,
      sym__string,
    ACTIONS(312), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(767), 4,
      sym_encapsed_string,
      sym_string,
      sym_heredoc,
      sym_nowdoc,
    STATE(1020), 4,
      sym_cast_variable,
      sym_member_access_expression,
      sym_nullsafe_member_access_expression,
      sym_scoped_property_access_expression,
    STATE(937), 5,
      sym_function_call_expression,
      sym_scoped_call_expression,
      sym_member_call_expression,
      sym_nullsafe_member_call_expression,
      sym__dereferencable_subscript_expression,
  [10287] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(711), 1,
      sym_text_interpolation,
    ACTIONS(1810), 9,
      aux_sym_function_static_declaration_token1,
      aux_sym_class_declaration_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    ACTIONS(1628), 11,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1626), 30,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_COLON_COLON,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [10353] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(712), 1,
      sym_text_interpolation,
    ACTIONS(1812), 22,
      anon_sym_AMP,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_clause_token1,
      anon_sym_COLON,
      aux_sym_class_interface_clause_token1,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_self,
      anon_sym_parent,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
      sym_name,
    ACTIONS(1814), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOLLAR,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [10417] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1816), 1,
      anon_sym_LPAREN2,
    STATE(713), 1,
      sym_text_interpolation,
    STATE(722), 1,
      sym_arguments,
    ACTIONS(1588), 13,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1586), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [10482] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1672), 1,
      anon_sym_LPAREN2,
    STATE(714), 1,
      sym_text_interpolation,
    ACTIONS(1674), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1670), 14,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1678), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [10547] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(715), 1,
      sym_text_interpolation,
    ACTIONS(1206), 13,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      aux_sym_else_clause_token1,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1204), 34,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [10608] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1816), 1,
      anon_sym_LPAREN2,
    STATE(716), 1,
      sym_text_interpolation,
    STATE(723), 1,
      sym_arguments,
    ACTIONS(1594), 13,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1592), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [10673] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(717), 1,
      sym_text_interpolation,
    ACTIONS(1620), 13,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1618), 34,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      aux_sym_class_interface_clause_token1,
      anon_sym_EQ_GT,
      aux_sym_use_instead_of_clause_token1,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [10734] = 29,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(242), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(244), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(246), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(248), 1,
      sym_var_modifier,
    ACTIONS(603), 1,
      anon_sym_BSLASH,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1818), 1,
      sym_name,
    ACTIONS(1820), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(1822), 1,
      aux_sym__namespace_use_type_token1,
    ACTIONS(1824), 1,
      aux_sym__namespace_use_type_token2,
    ACTIONS(1828), 1,
      anon_sym_LPAREN2,
    ACTIONS(1830), 1,
      anon_sym_QMARK,
    ACTIONS(1832), 1,
      anon_sym_DOLLAR,
    STATE(718), 1,
      sym_text_interpolation,
    STATE(1151), 1,
      aux_sym_class_declaration_repeat1,
    STATE(1334), 1,
      sym__modifier,
    STATE(1485), 1,
      sym__types,
    STATE(1495), 1,
      sym_qualified_name,
    STATE(1580), 1,
      sym_property_element,
    STATE(1796), 1,
      sym__function_definition_header,
    STATE(1798), 1,
      sym_variable_name,
    STATE(1973), 1,
      sym_type,
    STATE(2507), 1,
      sym_namespace_name,
    ACTIONS(250), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1501), 3,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    STATE(1528), 3,
      sym_union_type,
      sym_intersection_type,
      sym_disjunctive_normal_form_type,
    STATE(1335), 5,
      sym_final_modifier,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym_static_modifier,
      sym_visibility_modifier,
    ACTIONS(1826), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [10843] = 29,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(242), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(244), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(246), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(248), 1,
      sym_var_modifier,
    ACTIONS(603), 1,
      anon_sym_BSLASH,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1818), 1,
      sym_name,
    ACTIONS(1820), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(1822), 1,
      aux_sym__namespace_use_type_token1,
    ACTIONS(1824), 1,
      aux_sym__namespace_use_type_token2,
    ACTIONS(1828), 1,
      anon_sym_LPAREN2,
    ACTIONS(1830), 1,
      anon_sym_QMARK,
    ACTIONS(1832), 1,
      anon_sym_DOLLAR,
    STATE(719), 1,
      sym_text_interpolation,
    STATE(1151), 1,
      aux_sym_class_declaration_repeat1,
    STATE(1334), 1,
      sym__modifier,
    STATE(1485), 1,
      sym__types,
    STATE(1495), 1,
      sym_qualified_name,
    STATE(1564), 1,
      sym_property_element,
    STATE(1738), 1,
      sym__function_definition_header,
    STATE(1798), 1,
      sym_variable_name,
    STATE(2084), 1,
      sym_type,
    STATE(2507), 1,
      sym_namespace_name,
    ACTIONS(250), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1501), 3,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    STATE(1528), 3,
      sym_union_type,
      sym_intersection_type,
      sym_disjunctive_normal_form_type,
    STATE(1335), 5,
      sym_final_modifier,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym_static_modifier,
      sym_visibility_modifier,
    ACTIONS(1826), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [10952] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(720), 1,
      sym_text_interpolation,
    ACTIONS(1074), 13,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      aux_sym_else_clause_token1,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1072), 34,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [11013] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(721), 1,
      sym_text_interpolation,
    ACTIONS(1598), 13,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1596), 33,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [11073] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(722), 1,
      sym_text_interpolation,
    ACTIONS(1692), 13,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1690), 33,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [11133] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(723), 1,
      sym_text_interpolation,
    ACTIONS(1664), 13,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1662), 33,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [11193] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(724), 1,
      sym_text_interpolation,
    ACTIONS(1700), 13,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1698), 33,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [11253] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(725), 1,
      sym_text_interpolation,
    ACTIONS(1570), 13,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1568), 33,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [11313] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(726), 1,
      sym_text_interpolation,
    ACTIONS(1580), 13,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1578), 33,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [11373] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(727), 1,
      sym_text_interpolation,
    ACTIONS(1628), 13,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1626), 33,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      aux_sym_use_instead_of_clause_token1,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [11433] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(728), 1,
      sym_text_interpolation,
    ACTIONS(1704), 13,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1702), 33,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [11493] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(729), 1,
      sym_text_interpolation,
    ACTIONS(1612), 13,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1610), 33,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [11553] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(730), 1,
      sym_text_interpolation,
    ACTIONS(1616), 13,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1614), 33,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [11613] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(731), 1,
      sym_text_interpolation,
    ACTIONS(1688), 13,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1686), 33,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [11673] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(732), 1,
      sym_text_interpolation,
    ACTIONS(1628), 13,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1626), 33,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [11733] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1672), 1,
      anon_sym_LPAREN2,
    STATE(733), 1,
      sym_text_interpolation,
    ACTIONS(1676), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1674), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1668), 13,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1666), 26,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [11799] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(734), 1,
      sym_text_interpolation,
    ACTIONS(1680), 13,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1608), 33,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [11859] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(735), 1,
      sym_text_interpolation,
    ACTIONS(1810), 9,
      aux_sym_function_static_declaration_token1,
      aux_sym_class_declaration_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    ACTIONS(1628), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1626), 27,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_COLON_COLON,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [11921] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1834), 1,
      anon_sym_BSLASH,
    STATE(736), 1,
      sym_text_interpolation,
    STATE(2304), 1,
      aux_sym_namespace_name_repeat1,
    ACTIONS(1618), 5,
      anon_sym_LPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1668), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1666), 27,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [11987] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1608), 1,
      anon_sym_LPAREN2,
    STATE(737), 1,
      sym_text_interpolation,
    ACTIONS(1606), 13,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1604), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [12049] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(738), 1,
      sym_text_interpolation,
    ACTIONS(1620), 13,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1618), 33,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [12109] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(739), 1,
      sym_text_interpolation,
    ACTIONS(1644), 13,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1642), 33,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [12169] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(740), 1,
      sym_text_interpolation,
    ACTIONS(1576), 13,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1574), 33,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [12229] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1634), 1,
      anon_sym_LPAREN2,
    STATE(741), 1,
      sym_text_interpolation,
    ACTIONS(1632), 13,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1630), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [12291] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(742), 1,
      sym_text_interpolation,
    ACTIONS(1674), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1670), 14,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1678), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [12353] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(743), 1,
      sym_text_interpolation,
    ACTIONS(1640), 13,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1634), 33,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [12413] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(744), 1,
      sym_text_interpolation,
    ACTIONS(1674), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1670), 14,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1678), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [12475] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(745), 1,
      sym_text_interpolation,
    ACTIONS(1648), 13,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1646), 33,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [12535] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(746), 1,
      sym_text_interpolation,
    ACTIONS(1584), 13,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1582), 33,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [12595] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(747), 1,
      sym_text_interpolation,
    ACTIONS(1696), 13,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1694), 33,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [12655] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(748), 1,
      sym_text_interpolation,
    ACTIONS(1684), 13,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1682), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [12714] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(749), 1,
      sym_text_interpolation,
    ACTIONS(1676), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1674), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1668), 13,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1666), 26,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [12777] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(750), 1,
      sym_text_interpolation,
    ACTIONS(1684), 13,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1682), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [12836] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(751), 1,
      sym_text_interpolation,
    ACTIONS(1676), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1674), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1668), 13,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1666), 26,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [12899] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(752), 1,
      sym_text_interpolation,
    ACTIONS(1624), 13,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1622), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [12958] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(753), 1,
      sym_text_interpolation,
    ACTIONS(1638), 13,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1636), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [13017] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1837), 1,
      anon_sym_LPAREN2,
    STATE(754), 1,
      sym_text_interpolation,
    STATE(803), 1,
      sym_arguments,
    ACTIONS(1588), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1586), 31,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [13080] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(755), 1,
      sym_text_interpolation,
    ACTIONS(1606), 13,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1604), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [13139] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1837), 1,
      anon_sym_LPAREN2,
    STATE(756), 1,
      sym_text_interpolation,
    STATE(804), 1,
      sym_arguments,
    ACTIONS(1594), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1592), 31,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [13202] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(757), 1,
      sym_text_interpolation,
    ACTIONS(1602), 13,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1600), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [13261] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1634), 1,
      anon_sym_LPAREN2,
    STATE(758), 1,
      sym_text_interpolation,
    ACTIONS(1841), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1839), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      aux_sym_use_instead_of_clause_token1,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [13322] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(759), 1,
      sym_text_interpolation,
    ACTIONS(1652), 13,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1650), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [13381] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1596), 1,
      anon_sym_LPAREN2,
    STATE(760), 1,
      sym_text_interpolation,
    ACTIONS(1845), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1843), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      aux_sym_use_instead_of_clause_token1,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [13442] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(761), 1,
      sym_text_interpolation,
    ACTIONS(1656), 13,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1654), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [13501] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(762), 1,
      sym_text_interpolation,
    ACTIONS(1660), 13,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1658), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [13560] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1672), 1,
      anon_sym_LPAREN2,
    STATE(763), 1,
      sym_text_interpolation,
    ACTIONS(1674), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1849), 13,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1847), 27,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [13623] = 28,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(1818), 1,
      sym_name,
    ACTIONS(1851), 1,
      anon_sym_AMP,
    ACTIONS(1853), 1,
      anon_sym_COMMA,
    ACTIONS(1855), 1,
      anon_sym_BSLASH,
    ACTIONS(1857), 1,
      anon_sym_LPAREN2,
    ACTIONS(1859), 1,
      anon_sym_RPAREN2,
    ACTIONS(1861), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1863), 1,
      anon_sym_QMARK,
    ACTIONS(1865), 1,
      anon_sym_POUND_LBRACK,
    ACTIONS(1867), 1,
      anon_sym_DOLLAR,
    STATE(764), 1,
      sym_text_interpolation,
    STATE(1102), 1,
      sym_attribute_list,
    STATE(1231), 1,
      sym_visibility_modifier,
    STATE(1339), 1,
      aux_sym_attribute_list_repeat1,
    STATE(1342), 1,
      sym_attribute_group,
    STATE(1495), 1,
      sym_qualified_name,
    STATE(1602), 1,
      sym__types,
    STATE(1797), 1,
      sym_type,
    STATE(2171), 1,
      sym_reference_modifier,
    STATE(2213), 1,
      sym_variable_name,
    STATE(2645), 1,
      sym_namespace_name,
    ACTIONS(250), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1501), 3,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    STATE(1528), 3,
      sym_union_type,
      sym_intersection_type,
      sym_disjunctive_normal_form_type,
    STATE(2197), 3,
      sym_property_promotion_parameter,
      sym_simple_parameter,
      sym_variadic_parameter,
    ACTIONS(1826), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [13727] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(765), 1,
      sym_text_interpolation,
    ACTIONS(1871), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1869), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [13785] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(766), 1,
      sym_text_interpolation,
    ACTIONS(1873), 5,
      anon_sym_LPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1668), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1666), 27,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [13845] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(767), 1,
      sym_text_interpolation,
    ACTIONS(1877), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1875), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [13903] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(768), 1,
      sym_text_interpolation,
    ACTIONS(1873), 5,
      anon_sym_LPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1881), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1879), 27,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [13963] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(769), 1,
      sym_text_interpolation,
    ACTIONS(1031), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      aux_sym_else_clause_token1,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1029), 33,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      aux_sym_catch_clause_token1,
      aux_sym_finally_clause_token1,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [14021] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1672), 1,
      anon_sym_LPAREN2,
    STATE(770), 1,
      sym_text_interpolation,
    ACTIONS(1674), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1670), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1678), 27,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [14083] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(771), 1,
      sym_text_interpolation,
    ACTIONS(1885), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1883), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [14141] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1891), 1,
      anon_sym_COLON_COLON,
    ACTIONS(1893), 1,
      anon_sym_DASH_GT,
    ACTIONS(1895), 1,
      anon_sym_QMARK_DASH_GT,
    ACTIONS(1897), 1,
      anon_sym_LBRACK,
    STATE(772), 1,
      sym_text_interpolation,
    ACTIONS(1889), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1887), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [14207] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1672), 1,
      anon_sym_LPAREN2,
    STATE(773), 1,
      sym_text_interpolation,
    ACTIONS(1674), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1901), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1899), 27,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [14269] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1910), 1,
      anon_sym_EQ,
    STATE(774), 1,
      sym_text_interpolation,
    ACTIONS(1907), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(1905), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1903), 29,
      anon_sym_SEMI,
      aux_sym_namespace_use_clause_token1,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [14331] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(775), 1,
      sym_text_interpolation,
    ACTIONS(1914), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1912), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [14389] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(776), 1,
      sym_text_interpolation,
    ACTIONS(1918), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1916), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [14447] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(777), 1,
      sym_text_interpolation,
    ACTIONS(1035), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      aux_sym_else_clause_token1,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1033), 33,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      aux_sym_catch_clause_token1,
      aux_sym_finally_clause_token1,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [14505] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(778), 1,
      sym_text_interpolation,
    ACTIONS(1564), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1566), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [14563] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(779), 1,
      sym_text_interpolation,
    ACTIONS(1922), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1920), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [14621] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(780), 1,
      sym_text_interpolation,
    ACTIONS(1905), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1903), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [14679] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(781), 1,
      sym_text_interpolation,
    ACTIONS(1926), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1924), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [14737] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(782), 1,
      sym_text_interpolation,
    ACTIONS(1930), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1928), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [14795] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(783), 1,
      sym_text_interpolation,
    ACTIONS(1934), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1932), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [14853] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(784), 1,
      sym_text_interpolation,
    ACTIONS(1938), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1936), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [14911] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(785), 1,
      sym_text_interpolation,
    ACTIONS(1684), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1682), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [14969] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(786), 1,
      sym_text_interpolation,
    ACTIONS(1638), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1636), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [15027] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(787), 1,
      sym_text_interpolation,
    ACTIONS(1680), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1608), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [15085] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(788), 1,
      sym_text_interpolation,
    ACTIONS(1606), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1604), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [15143] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1608), 1,
      anon_sym_LPAREN2,
    STATE(789), 1,
      sym_text_interpolation,
    ACTIONS(1606), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1604), 31,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [15203] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(790), 1,
      sym_text_interpolation,
    ACTIONS(1942), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1940), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [15261] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(791), 1,
      sym_text_interpolation,
    ACTIONS(1644), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1642), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [15319] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(792), 1,
      sym_text_interpolation,
    ACTIONS(1576), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1574), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [15377] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(793), 1,
      sym_text_interpolation,
    ACTIONS(1624), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1622), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [15435] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1634), 1,
      anon_sym_LPAREN2,
    STATE(794), 1,
      sym_text_interpolation,
    ACTIONS(1632), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1630), 31,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [15495] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(795), 1,
      sym_text_interpolation,
    ACTIONS(1946), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1944), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [15553] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(796), 1,
      sym_text_interpolation,
    ACTIONS(1640), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1634), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [15611] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(797), 1,
      sym_text_interpolation,
    ACTIONS(1648), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1646), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [15669] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(798), 1,
      sym_text_interpolation,
    ACTIONS(1652), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1650), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [15727] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(799), 1,
      sym_text_interpolation,
    ACTIONS(1656), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1654), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [15785] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(800), 1,
      sym_text_interpolation,
    ACTIONS(1660), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1658), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [15843] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(801), 1,
      sym_text_interpolation,
    ACTIONS(1584), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1582), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [15901] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(802), 1,
      sym_text_interpolation,
    ACTIONS(1696), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1694), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [15959] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(803), 1,
      sym_text_interpolation,
    ACTIONS(1692), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1690), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [16017] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(804), 1,
      sym_text_interpolation,
    ACTIONS(1664), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1662), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [16075] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(805), 1,
      sym_text_interpolation,
    ACTIONS(1700), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1698), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [16133] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(806), 1,
      sym_text_interpolation,
    ACTIONS(1602), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1600), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [16191] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(807), 1,
      sym_text_interpolation,
    ACTIONS(1570), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1568), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [16249] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(808), 1,
      sym_text_interpolation,
    ACTIONS(1598), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1596), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [16307] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(809), 1,
      sym_text_interpolation,
    ACTIONS(1580), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1578), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [16365] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(810), 1,
      sym_text_interpolation,
    ACTIONS(1948), 5,
      anon_sym_LPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1668), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1666), 27,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [16425] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1672), 1,
      anon_sym_LPAREN2,
    STATE(811), 1,
      sym_text_interpolation,
    ACTIONS(1674), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1668), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1666), 27,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [16487] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(812), 1,
      sym_text_interpolation,
    ACTIONS(1952), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1950), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [16545] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(813), 1,
      sym_text_interpolation,
    ACTIONS(1704), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1702), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [16603] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(814), 1,
      sym_text_interpolation,
    ACTIONS(1956), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1954), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [16661] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(815), 1,
      sym_text_interpolation,
    ACTIONS(1612), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1610), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [16719] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(816), 1,
      sym_text_interpolation,
    ACTIONS(1616), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1614), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [16777] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(817), 1,
      sym_text_interpolation,
    ACTIONS(1688), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1686), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [16835] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(818), 1,
      sym_text_interpolation,
    ACTIONS(1960), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1958), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [16893] = 28,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(1818), 1,
      sym_name,
    ACTIONS(1851), 1,
      anon_sym_AMP,
    ACTIONS(1855), 1,
      anon_sym_BSLASH,
    ACTIONS(1857), 1,
      anon_sym_LPAREN2,
    ACTIONS(1861), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1863), 1,
      anon_sym_QMARK,
    ACTIONS(1865), 1,
      anon_sym_POUND_LBRACK,
    ACTIONS(1867), 1,
      anon_sym_DOLLAR,
    ACTIONS(1962), 1,
      anon_sym_COMMA,
    ACTIONS(1964), 1,
      anon_sym_RPAREN2,
    STATE(819), 1,
      sym_text_interpolation,
    STATE(1102), 1,
      sym_attribute_list,
    STATE(1231), 1,
      sym_visibility_modifier,
    STATE(1339), 1,
      aux_sym_attribute_list_repeat1,
    STATE(1342), 1,
      sym_attribute_group,
    STATE(1495), 1,
      sym_qualified_name,
    STATE(1602), 1,
      sym__types,
    STATE(1797), 1,
      sym_type,
    STATE(2171), 1,
      sym_reference_modifier,
    STATE(2213), 1,
      sym_variable_name,
    STATE(2645), 1,
      sym_namespace_name,
    ACTIONS(250), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1501), 3,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    STATE(1528), 3,
      sym_union_type,
      sym_intersection_type,
      sym_disjunctive_normal_form_type,
    STATE(2029), 3,
      sym_property_promotion_parameter,
      sym_simple_parameter,
      sym_variadic_parameter,
    ACTIONS(1826), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [16997] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(820), 1,
      sym_text_interpolation,
    ACTIONS(1968), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1966), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [17055] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(821), 1,
      sym_text_interpolation,
    ACTIONS(1972), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1970), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [17113] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(822), 1,
      sym_text_interpolation,
    ACTIONS(1976), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1974), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [17171] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(823), 1,
      sym_text_interpolation,
    ACTIONS(1980), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1978), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [17229] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(824), 1,
      sym_text_interpolation,
    ACTIONS(1984), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1982), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [17287] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(825), 1,
      sym_text_interpolation,
    ACTIONS(1988), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1986), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [17345] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(826), 1,
      sym_text_interpolation,
    ACTIONS(1992), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1990), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [17403] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(827), 1,
      sym_text_interpolation,
    ACTIONS(1996), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1994), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [17461] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(828), 1,
      sym_text_interpolation,
    ACTIONS(1674), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1849), 13,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1847), 27,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [17521] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(829), 1,
      sym_text_interpolation,
    ACTIONS(1674), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1849), 13,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1847), 27,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [17581] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(830), 1,
      sym_text_interpolation,
    ACTIONS(2000), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1998), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [17639] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(831), 1,
      sym_text_interpolation,
    ACTIONS(2004), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2002), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [17697] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(832), 1,
      sym_text_interpolation,
    ACTIONS(2008), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2006), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [17755] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(833), 1,
      sym_text_interpolation,
    ACTIONS(2012), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2010), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [17813] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(834), 1,
      sym_text_interpolation,
    ACTIONS(2016), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2014), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [17871] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(835), 1,
      sym_text_interpolation,
    ACTIONS(2020), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2018), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [17929] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(836), 1,
      sym_text_interpolation,
    ACTIONS(2024), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2022), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [17987] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(837), 1,
      sym_text_interpolation,
    ACTIONS(2028), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2026), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [18045] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(838), 1,
      sym_text_interpolation,
    ACTIONS(2032), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2030), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [18103] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(839), 1,
      sym_text_interpolation,
    ACTIONS(2036), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2034), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [18161] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(840), 1,
      sym_text_interpolation,
    ACTIONS(2040), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2038), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [18219] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(841), 1,
      sym_text_interpolation,
    ACTIONS(2044), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2042), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [18277] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2050), 1,
      anon_sym_LPAREN2,
    STATE(842), 1,
      sym_text_interpolation,
    ACTIONS(2052), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(2048), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2046), 27,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [18339] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(843), 1,
      sym_text_interpolation,
    ACTIONS(2056), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2054), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [18397] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(844), 1,
      sym_text_interpolation,
    ACTIONS(2060), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2058), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [18455] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(845), 1,
      sym_text_interpolation,
    ACTIONS(2064), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2062), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [18513] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(846), 1,
      sym_text_interpolation,
    ACTIONS(2068), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2066), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [18571] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(847), 1,
      sym_text_interpolation,
    ACTIONS(1684), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1682), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [18629] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1797), 1,
      anon_sym_BSLASH,
    STATE(848), 1,
      sym_text_interpolation,
    STATE(2460), 1,
      aux_sym_namespace_name_repeat1,
    ACTIONS(1793), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1795), 30,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [18690] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(849), 1,
      sym_text_interpolation,
    ACTIONS(1628), 12,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1626), 31,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      aux_sym_class_interface_clause_token1,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_COLON_COLON,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [18747] = 27,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(1818), 1,
      sym_name,
    ACTIONS(1851), 1,
      anon_sym_AMP,
    ACTIONS(1855), 1,
      anon_sym_BSLASH,
    ACTIONS(1857), 1,
      anon_sym_LPAREN2,
    ACTIONS(1861), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1863), 1,
      anon_sym_QMARK,
    ACTIONS(1865), 1,
      anon_sym_POUND_LBRACK,
    ACTIONS(1867), 1,
      anon_sym_DOLLAR,
    ACTIONS(2070), 1,
      anon_sym_RPAREN2,
    STATE(850), 1,
      sym_text_interpolation,
    STATE(1102), 1,
      sym_attribute_list,
    STATE(1231), 1,
      sym_visibility_modifier,
    STATE(1339), 1,
      aux_sym_attribute_list_repeat1,
    STATE(1342), 1,
      sym_attribute_group,
    STATE(1495), 1,
      sym_qualified_name,
    STATE(1602), 1,
      sym__types,
    STATE(1797), 1,
      sym_type,
    STATE(2171), 1,
      sym_reference_modifier,
    STATE(2213), 1,
      sym_variable_name,
    STATE(2645), 1,
      sym_namespace_name,
    ACTIONS(250), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1501), 3,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    STATE(1528), 3,
      sym_union_type,
      sym_intersection_type,
      sym_disjunctive_normal_form_type,
    STATE(2430), 3,
      sym_property_promotion_parameter,
      sym_simple_parameter,
      sym_variadic_parameter,
    ACTIONS(1826), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [18848] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(851), 1,
      sym_text_interpolation,
    ACTIONS(1674), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1670), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1678), 27,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [18907] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(852), 1,
      sym_text_interpolation,
    ACTIONS(1674), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1670), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1678), 27,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [18966] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1797), 1,
      anon_sym_BSLASH,
    STATE(853), 1,
      sym_text_interpolation,
    STATE(2460), 1,
      aux_sym_namespace_name_repeat1,
    ACTIONS(1793), 11,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1795), 30,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_COLON_COLON,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [19027] = 27,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(1818), 1,
      sym_name,
    ACTIONS(1851), 1,
      anon_sym_AMP,
    ACTIONS(1855), 1,
      anon_sym_BSLASH,
    ACTIONS(1857), 1,
      anon_sym_LPAREN2,
    ACTIONS(1861), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1863), 1,
      anon_sym_QMARK,
    ACTIONS(1865), 1,
      anon_sym_POUND_LBRACK,
    ACTIONS(1867), 1,
      anon_sym_DOLLAR,
    ACTIONS(2072), 1,
      anon_sym_RPAREN2,
    STATE(854), 1,
      sym_text_interpolation,
    STATE(1102), 1,
      sym_attribute_list,
    STATE(1231), 1,
      sym_visibility_modifier,
    STATE(1339), 1,
      aux_sym_attribute_list_repeat1,
    STATE(1342), 1,
      sym_attribute_group,
    STATE(1495), 1,
      sym_qualified_name,
    STATE(1602), 1,
      sym__types,
    STATE(1797), 1,
      sym_type,
    STATE(2171), 1,
      sym_reference_modifier,
    STATE(2213), 1,
      sym_variable_name,
    STATE(2645), 1,
      sym_namespace_name,
    ACTIONS(250), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1501), 3,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    STATE(1528), 3,
      sym_union_type,
      sym_intersection_type,
      sym_disjunctive_normal_form_type,
    STATE(2430), 3,
      sym_property_promotion_parameter,
      sym_simple_parameter,
      sym_variadic_parameter,
    ACTIONS(1826), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [19128] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(855), 1,
      sym_text_interpolation,
    ACTIONS(1674), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1901), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1899), 27,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [19187] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(856), 1,
      sym_text_interpolation,
    ACTIONS(1674), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1901), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1899), 27,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [19246] = 27,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(1818), 1,
      sym_name,
    ACTIONS(1851), 1,
      anon_sym_AMP,
    ACTIONS(1855), 1,
      anon_sym_BSLASH,
    ACTIONS(1857), 1,
      anon_sym_LPAREN2,
    ACTIONS(1861), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1863), 1,
      anon_sym_QMARK,
    ACTIONS(1865), 1,
      anon_sym_POUND_LBRACK,
    ACTIONS(1867), 1,
      anon_sym_DOLLAR,
    ACTIONS(2074), 1,
      anon_sym_RPAREN2,
    STATE(857), 1,
      sym_text_interpolation,
    STATE(1102), 1,
      sym_attribute_list,
    STATE(1231), 1,
      sym_visibility_modifier,
    STATE(1339), 1,
      aux_sym_attribute_list_repeat1,
    STATE(1342), 1,
      sym_attribute_group,
    STATE(1495), 1,
      sym_qualified_name,
    STATE(1602), 1,
      sym__types,
    STATE(1797), 1,
      sym_type,
    STATE(2171), 1,
      sym_reference_modifier,
    STATE(2213), 1,
      sym_variable_name,
    STATE(2645), 1,
      sym_namespace_name,
    ACTIONS(250), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1501), 3,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    STATE(1528), 3,
      sym_union_type,
      sym_intersection_type,
      sym_disjunctive_normal_form_type,
    STATE(2430), 3,
      sym_property_promotion_parameter,
      sym_simple_parameter,
      sym_variadic_parameter,
    ACTIONS(1826), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [19347] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1834), 1,
      anon_sym_BSLASH,
    STATE(858), 1,
      sym_text_interpolation,
    STATE(2304), 1,
      aux_sym_namespace_name_repeat1,
    ACTIONS(1620), 11,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1618), 30,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_COLON_COLON,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [19408] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(859), 1,
      sym_text_interpolation,
    ACTIONS(1674), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1668), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1666), 27,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [19467] = 27,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(1818), 1,
      sym_name,
    ACTIONS(1851), 1,
      anon_sym_AMP,
    ACTIONS(1855), 1,
      anon_sym_BSLASH,
    ACTIONS(1857), 1,
      anon_sym_LPAREN2,
    ACTIONS(1861), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1863), 1,
      anon_sym_QMARK,
    ACTIONS(1865), 1,
      anon_sym_POUND_LBRACK,
    ACTIONS(1867), 1,
      anon_sym_DOLLAR,
    ACTIONS(2076), 1,
      anon_sym_RPAREN2,
    STATE(860), 1,
      sym_text_interpolation,
    STATE(1102), 1,
      sym_attribute_list,
    STATE(1231), 1,
      sym_visibility_modifier,
    STATE(1339), 1,
      aux_sym_attribute_list_repeat1,
    STATE(1342), 1,
      sym_attribute_group,
    STATE(1495), 1,
      sym_qualified_name,
    STATE(1602), 1,
      sym__types,
    STATE(1797), 1,
      sym_type,
    STATE(2171), 1,
      sym_reference_modifier,
    STATE(2213), 1,
      sym_variable_name,
    STATE(2645), 1,
      sym_namespace_name,
    ACTIONS(250), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1501), 3,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    STATE(1528), 3,
      sym_union_type,
      sym_intersection_type,
      sym_disjunctive_normal_form_type,
    STATE(2430), 3,
      sym_property_promotion_parameter,
      sym_simple_parameter,
      sym_variadic_parameter,
    ACTIONS(1826), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [19568] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2078), 1,
      anon_sym_LPAREN2,
    STATE(861), 1,
      sym_text_interpolation,
    STATE(879), 1,
      sym_arguments,
    ACTIONS(1588), 12,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1586), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [19629] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2078), 1,
      anon_sym_LPAREN2,
    STATE(862), 1,
      sym_text_interpolation,
    STATE(881), 1,
      sym_arguments,
    ACTIONS(1594), 12,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1592), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [19690] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(863), 1,
      sym_text_interpolation,
    ACTIONS(1628), 12,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1626), 30,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [19746] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1834), 1,
      anon_sym_BSLASH,
    STATE(864), 1,
      sym_text_interpolation,
    STATE(2304), 1,
      aux_sym_namespace_name_repeat1,
    ACTIONS(1618), 5,
      anon_sym_LPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1668), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1666), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [19808] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(865), 1,
      sym_text_interpolation,
    ACTIONS(1570), 12,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1568), 30,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [19864] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(866), 1,
      sym_text_interpolation,
    ACTIONS(1598), 12,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1596), 30,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [19920] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(867), 1,
      sym_text_interpolation,
    ACTIONS(1580), 12,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1578), 30,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [19976] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1672), 1,
      anon_sym_LPAREN2,
    STATE(868), 1,
      sym_text_interpolation,
    ACTIONS(1674), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1670), 12,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1678), 25,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [20036] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(869), 1,
      sym_text_interpolation,
    ACTIONS(2082), 18,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LPAREN2,
      anon_sym_DOT_DOT_DOT,
      anon_sym_TILDE,
      anon_sym_BANG,
      anon_sym_AT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_LBRACK,
      anon_sym_POUND_LBRACK,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
      aux_sym_string_token1,
      anon_sym_SQUOTE,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR,
    ACTIONS(2080), 24,
      aux_sym_function_static_declaration_token1,
      aux_sym__namespace_use_type_token1,
      aux_sym__arrow_function_header_token1,
      aux_sym_cast_type_token1,
      sym_float,
      sym_integer,
      aux_sym_throw_expression_token1,
      aux_sym_match_expression_token1,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_clone_expression_token1,
      aux_sym_print_intrinsic_token1,
      aux_sym__new_non_dereferencable_expression_token1,
      aux_sym__list_destructing_token1,
      anon_sym_self,
      anon_sym_parent,
      aux_sym__argument_name_token1,
      aux_sym__argument_name_token2,
      aux_sym_yield_expression_token1,
      aux_sym_include_expression_token1,
      aux_sym_include_once_expression_token1,
      aux_sym_require_expression_token1,
      aux_sym_require_once_expression_token1,
      sym_name,
  [20092] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(870), 1,
      sym_text_interpolation,
    ACTIONS(1620), 12,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1618), 30,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [20148] = 35,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(242), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(244), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(246), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(248), 1,
      sym_var_modifier,
    ACTIONS(318), 1,
      anon_sym_POUND_LBRACK,
    ACTIONS(603), 1,
      anon_sym_BSLASH,
    ACTIONS(645), 1,
      anon_sym_DOLLAR,
    ACTIONS(1763), 1,
      sym_name,
    ACTIONS(2084), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(2086), 1,
      aux_sym_class_declaration_token1,
    ACTIONS(2088), 1,
      anon_sym_LPAREN2,
    STATE(602), 1,
      sym__variable_scoped_property_access_expression,
    STATE(613), 1,
      sym__variable_member_access_expression,
    STATE(619), 1,
      sym__variable_nullsafe_member_access_expression,
    STATE(717), 1,
      sym__reserved_identifier,
    STATE(771), 1,
      sym_anonymous_class,
    STATE(871), 1,
      sym_text_interpolation,
    STATE(931), 1,
      sym_parenthesized_expression,
    STATE(1334), 1,
      sym__modifier,
    STATE(1365), 1,
      aux_sym_attribute_list_repeat1,
    STATE(1373), 1,
      sym_attribute_group,
    STATE(1386), 1,
      sym_attribute_list,
    STATE(1387), 1,
      aux_sym_class_declaration_repeat1,
    STATE(1789), 1,
      sym__new_variable,
    STATE(2303), 1,
      sym__class_name_reference,
    STATE(2391), 1,
      sym__name,
    STATE(2507), 1,
      sym_namespace_name,
    ACTIONS(2090), 2,
      anon_sym_self,
      anon_sym_parent,
    STATE(610), 2,
      sym__variable_subscript_expression,
      sym__simple_variable,
    STATE(618), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
    STATE(1496), 2,
      sym_qualified_name,
      sym__identifier,
    ACTIONS(250), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1335), 5,
      sym_final_modifier,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym_static_modifier,
      sym_visibility_modifier,
  [20264] = 26,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(1818), 1,
      sym_name,
    ACTIONS(1851), 1,
      anon_sym_AMP,
    ACTIONS(1855), 1,
      anon_sym_BSLASH,
    ACTIONS(1857), 1,
      anon_sym_LPAREN2,
    ACTIONS(1861), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1863), 1,
      anon_sym_QMARK,
    ACTIONS(1865), 1,
      anon_sym_POUND_LBRACK,
    ACTIONS(1867), 1,
      anon_sym_DOLLAR,
    STATE(872), 1,
      sym_text_interpolation,
    STATE(1102), 1,
      sym_attribute_list,
    STATE(1231), 1,
      sym_visibility_modifier,
    STATE(1339), 1,
      aux_sym_attribute_list_repeat1,
    STATE(1342), 1,
      sym_attribute_group,
    STATE(1495), 1,
      sym_qualified_name,
    STATE(1602), 1,
      sym__types,
    STATE(1797), 1,
      sym_type,
    STATE(2171), 1,
      sym_reference_modifier,
    STATE(2213), 1,
      sym_variable_name,
    STATE(2645), 1,
      sym_namespace_name,
    ACTIONS(250), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1501), 3,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    STATE(1528), 3,
      sym_union_type,
      sym_intersection_type,
      sym_disjunctive_normal_form_type,
    STATE(2430), 3,
      sym_property_promotion_parameter,
      sym_simple_parameter,
      sym_variadic_parameter,
    ACTIONS(1826), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [20362] = 35,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(242), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(244), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(246), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(248), 1,
      sym_var_modifier,
    ACTIONS(318), 1,
      anon_sym_POUND_LBRACK,
    ACTIONS(1808), 1,
      anon_sym_DOLLAR,
    ACTIONS(2084), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(2086), 1,
      aux_sym_class_declaration_token1,
    ACTIONS(2092), 1,
      sym_name,
    ACTIONS(2094), 1,
      anon_sym_BSLASH,
    ACTIONS(2096), 1,
      anon_sym_LPAREN2,
    STATE(771), 1,
      sym_anonymous_class,
    STATE(772), 1,
      sym__new_variable,
    STATE(785), 1,
      sym__variable_member_access_expression,
    STATE(786), 1,
      sym__variable_scoped_property_access_expression,
    STATE(847), 1,
      sym__variable_nullsafe_member_access_expression,
    STATE(873), 1,
      sym_text_interpolation,
    STATE(897), 1,
      sym__class_name_reference,
    STATE(911), 1,
      sym__name,
    STATE(914), 1,
      sym__reserved_identifier,
    STATE(931), 1,
      sym_parenthesized_expression,
    STATE(1334), 1,
      sym__modifier,
    STATE(1365), 1,
      aux_sym_attribute_list_repeat1,
    STATE(1373), 1,
      sym_attribute_group,
    STATE(1386), 1,
      sym_attribute_list,
    STATE(1387), 1,
      aux_sym_class_declaration_repeat1,
    STATE(2652), 1,
      sym_namespace_name,
    ACTIONS(2090), 2,
      anon_sym_self,
      anon_sym_parent,
    STATE(788), 2,
      sym__variable_subscript_expression,
      sym__simple_variable,
    STATE(813), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
    STATE(893), 2,
      sym_qualified_name,
      sym__identifier,
    ACTIONS(250), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1335), 5,
      sym_final_modifier,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym_static_modifier,
      sym_visibility_modifier,
  [20478] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(874), 1,
      sym_text_interpolation,
    ACTIONS(1704), 12,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1702), 30,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [20534] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(875), 1,
      sym_text_interpolation,
    ACTIONS(1688), 12,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1686), 30,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [20590] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(876), 1,
      sym_text_interpolation,
    ACTIONS(1584), 12,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1582), 30,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [20646] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1608), 1,
      anon_sym_LPAREN2,
    STATE(877), 1,
      sym_text_interpolation,
    ACTIONS(1606), 12,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1604), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [20704] = 35,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(242), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(244), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(246), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(248), 1,
      sym_var_modifier,
    ACTIONS(318), 1,
      anon_sym_POUND_LBRACK,
    ACTIONS(1802), 1,
      anon_sym_DOLLAR,
    ACTIONS(2098), 1,
      sym_name,
    ACTIONS(2100), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(2102), 1,
      anon_sym_BSLASH,
    ACTIONS(2104), 1,
      aux_sym_class_declaration_token1,
    ACTIONS(2106), 1,
      anon_sym_LPAREN2,
    STATE(878), 1,
      sym_text_interpolation,
    STATE(932), 1,
      sym_anonymous_class,
    STATE(933), 1,
      sym__new_variable,
    STATE(934), 1,
      sym__variable_member_access_expression,
    STATE(935), 1,
      sym__variable_nullsafe_member_access_expression,
    STATE(936), 1,
      sym__variable_scoped_property_access_expression,
    STATE(1043), 1,
      sym__reserved_identifier,
    STATE(1044), 1,
      sym__name,
    STATE(1045), 1,
      sym__class_name_reference,
    STATE(1054), 1,
      sym_parenthesized_expression,
    STATE(1334), 1,
      sym__modifier,
    STATE(1365), 1,
      aux_sym_attribute_list_repeat1,
    STATE(1373), 1,
      sym_attribute_group,
    STATE(1393), 1,
      sym_attribute_list,
    STATE(1394), 1,
      aux_sym_class_declaration_repeat1,
    STATE(2565), 1,
      sym_namespace_name,
    ACTIONS(2108), 2,
      anon_sym_self,
      anon_sym_parent,
    STATE(938), 2,
      sym__variable_subscript_expression,
      sym__simple_variable,
    STATE(939), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
    STATE(1042), 2,
      sym_qualified_name,
      sym__identifier,
    ACTIONS(250), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1335), 5,
      sym_final_modifier,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym_static_modifier,
      sym_visibility_modifier,
  [20820] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(879), 1,
      sym_text_interpolation,
    ACTIONS(1692), 12,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1690), 30,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [20876] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1672), 1,
      anon_sym_LPAREN2,
    STATE(880), 1,
      sym_text_interpolation,
    ACTIONS(1712), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1674), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1668), 12,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1666), 23,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [20938] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(881), 1,
      sym_text_interpolation,
    ACTIONS(1664), 12,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1662), 30,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [20994] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1907), 1,
      anon_sym_RPAREN2,
    ACTIONS(1910), 1,
      anon_sym_EQ,
    STATE(882), 1,
      sym_text_interpolation,
    ACTIONS(1905), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1903), 29,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [21054] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(883), 1,
      sym_text_interpolation,
    ACTIONS(1612), 12,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1610), 30,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [21110] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(884), 1,
      sym_text_interpolation,
    ACTIONS(1700), 12,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1698), 30,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [21166] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(885), 1,
      sym_text_interpolation,
    ACTIONS(1616), 12,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1614), 30,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [21222] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(886), 1,
      sym_text_interpolation,
    ACTIONS(1644), 12,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1642), 30,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [21278] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(887), 1,
      sym_text_interpolation,
    ACTIONS(1576), 12,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1574), 30,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [21334] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1634), 1,
      anon_sym_LPAREN2,
    STATE(888), 1,
      sym_text_interpolation,
    ACTIONS(1632), 12,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1630), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [21392] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(889), 1,
      sym_text_interpolation,
    ACTIONS(1640), 12,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1634), 30,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [21448] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(890), 1,
      sym_text_interpolation,
    ACTIONS(1680), 12,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1608), 30,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [21504] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(891), 1,
      sym_text_interpolation,
    ACTIONS(1648), 12,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1646), 30,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [21560] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(892), 1,
      sym_text_interpolation,
    ACTIONS(1696), 12,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1694), 30,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [21616] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(893), 1,
      sym_text_interpolation,
    ACTIONS(2110), 11,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1948), 30,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_COLON_COLON,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [21671] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1910), 1,
      anon_sym_EQ,
    STATE(894), 1,
      sym_text_interpolation,
    ACTIONS(1905), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1903), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [21728] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(895), 1,
      sym_text_interpolation,
    ACTIONS(1712), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1674), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1668), 12,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1666), 23,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [21787] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(896), 1,
      sym_text_interpolation,
    ACTIONS(1606), 12,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1604), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [21842] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1837), 1,
      anon_sym_LPAREN2,
    STATE(782), 1,
      sym_arguments,
    STATE(897), 1,
      sym_text_interpolation,
    ACTIONS(2114), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2112), 29,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [21901] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2116), 1,
      anon_sym_LPAREN2,
    STATE(898), 1,
      sym_text_interpolation,
    STATE(959), 1,
      sym_arguments,
    ACTIONS(1594), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1592), 28,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [21960] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(899), 1,
      sym_text_interpolation,
    ACTIONS(1674), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1670), 12,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1678), 25,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [22017] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(900), 1,
      sym_text_interpolation,
    ACTIONS(1656), 12,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1654), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [22072] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2116), 1,
      anon_sym_LPAREN2,
    STATE(901), 1,
      sym_text_interpolation,
    STATE(958), 1,
      sym_arguments,
    ACTIONS(1588), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1586), 28,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [22131] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(902), 1,
      sym_text_interpolation,
    ACTIONS(1674), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1670), 12,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1678), 25,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [22188] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(903), 1,
      sym_text_interpolation,
    ACTIONS(1638), 12,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1636), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [22243] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(904), 1,
      sym_text_interpolation,
    ACTIONS(1812), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1814), 30,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [22298] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(905), 1,
      sym_text_interpolation,
    ACTIONS(1684), 12,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1682), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [22353] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(906), 1,
      sym_text_interpolation,
    ACTIONS(1660), 12,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1658), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [22408] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(907), 1,
      sym_text_interpolation,
    ACTIONS(1624), 12,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1622), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [22463] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(908), 1,
      sym_text_interpolation,
    ACTIONS(1602), 12,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1600), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [22518] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(909), 1,
      sym_text_interpolation,
    ACTIONS(1712), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1674), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1668), 12,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1666), 23,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [22577] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(910), 1,
      sym_text_interpolation,
    ACTIONS(2120), 17,
      anon_sym_BSLASH,
      anon_sym_LPAREN2,
      anon_sym_DOT_DOT_DOT,
      anon_sym_TILDE,
      anon_sym_BANG,
      anon_sym_AT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_LBRACK,
      anon_sym_POUND_LBRACK,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
      aux_sym_string_token1,
      anon_sym_SQUOTE,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR,
    ACTIONS(2118), 24,
      aux_sym_function_static_declaration_token1,
      aux_sym__namespace_use_type_token1,
      aux_sym__arrow_function_header_token1,
      aux_sym_cast_type_token1,
      sym_float,
      sym_integer,
      aux_sym_throw_expression_token1,
      aux_sym_match_expression_token1,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_clone_expression_token1,
      aux_sym_print_intrinsic_token1,
      aux_sym__new_non_dereferencable_expression_token1,
      aux_sym__list_destructing_token1,
      anon_sym_self,
      anon_sym_parent,
      aux_sym__argument_name_token1,
      aux_sym__argument_name_token2,
      aux_sym_yield_expression_token1,
      aux_sym_include_expression_token1,
      aux_sym_include_once_expression_token1,
      aux_sym_require_expression_token1,
      aux_sym_require_once_expression_token1,
      sym_name,
  [22632] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1891), 1,
      anon_sym_COLON_COLON,
    STATE(911), 1,
      sym_text_interpolation,
    ACTIONS(1889), 11,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1887), 29,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [22689] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(912), 1,
      sym_text_interpolation,
    ACTIONS(1684), 12,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1682), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [22744] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(913), 1,
      sym_text_interpolation,
    ACTIONS(1812), 11,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1814), 30,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_COLON_COLON,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [22799] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(914), 1,
      sym_text_interpolation,
    ACTIONS(1620), 11,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1618), 30,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_COLON_COLON,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [22854] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(915), 1,
      sym_text_interpolation,
    ACTIONS(1652), 12,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1650), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [22909] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1596), 1,
      anon_sym_LPAREN2,
    STATE(916), 1,
      sym_text_interpolation,
    ACTIONS(1845), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1843), 28,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [22965] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(917), 1,
      sym_text_interpolation,
    ACTIONS(1980), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1978), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [23019] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(918), 1,
      sym_text_interpolation,
    ACTIONS(1628), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1626), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [23073] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(919), 1,
      sym_text_interpolation,
    ACTIONS(1952), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1950), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [23127] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(920), 1,
      sym_text_interpolation,
    ACTIONS(1956), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1954), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [23181] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(921), 1,
      sym_text_interpolation,
    ACTIONS(1988), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1986), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [23235] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(922), 1,
      sym_text_interpolation,
    ACTIONS(1992), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1990), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [23289] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(923), 1,
      sym_text_interpolation,
    ACTIONS(1960), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1958), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [23343] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(924), 1,
      sym_text_interpolation,
    ACTIONS(1996), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1994), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [23397] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(925), 1,
      sym_text_interpolation,
    ACTIONS(2000), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1998), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [23451] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(926), 1,
      sym_text_interpolation,
    ACTIONS(2004), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2002), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [23505] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(927), 1,
      sym_text_interpolation,
    ACTIONS(1877), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1875), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [23559] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(928), 1,
      sym_text_interpolation,
    ACTIONS(2008), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2006), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [23613] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(929), 1,
      sym_text_interpolation,
    ACTIONS(2012), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2010), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [23667] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(930), 1,
      sym_text_interpolation,
    ACTIONS(2016), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2014), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [23721] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(931), 1,
      sym_text_interpolation,
    ACTIONS(1889), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1887), 30,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [23775] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(932), 1,
      sym_text_interpolation,
    ACTIONS(1885), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1883), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [23829] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2122), 1,
      anon_sym_COLON_COLON,
    ACTIONS(2124), 1,
      anon_sym_DASH_GT,
    ACTIONS(2126), 1,
      anon_sym_QMARK_DASH_GT,
    ACTIONS(2128), 1,
      anon_sym_LBRACK,
    STATE(933), 1,
      sym_text_interpolation,
    ACTIONS(1889), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1887), 25,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [23891] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(934), 1,
      sym_text_interpolation,
    ACTIONS(1684), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1682), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [23945] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(935), 1,
      sym_text_interpolation,
    ACTIONS(1684), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1682), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [23999] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(936), 1,
      sym_text_interpolation,
    ACTIONS(1638), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1636), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [24053] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(937), 1,
      sym_text_interpolation,
    ACTIONS(1680), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1608), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [24107] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(938), 1,
      sym_text_interpolation,
    ACTIONS(1606), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1604), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [24161] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(939), 1,
      sym_text_interpolation,
    ACTIONS(1704), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1702), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [24215] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1608), 1,
      anon_sym_LPAREN2,
    STATE(940), 1,
      sym_text_interpolation,
    ACTIONS(1606), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1604), 28,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [24271] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(941), 1,
      sym_text_interpolation,
    ACTIONS(1873), 5,
      anon_sym_LPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1881), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1879), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [24327] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1910), 1,
      anon_sym_EQ,
    STATE(942), 1,
      sym_text_interpolation,
    ACTIONS(1905), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1903), 28,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [24383] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(943), 1,
      sym_text_interpolation,
    ACTIONS(1612), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1610), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [24437] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(944), 1,
      sym_text_interpolation,
    ACTIONS(1616), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1614), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [24491] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(945), 1,
      sym_text_interpolation,
    ACTIONS(1644), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1642), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [24545] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(946), 1,
      sym_text_interpolation,
    ACTIONS(1576), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1574), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [24599] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(947), 1,
      sym_text_interpolation,
    ACTIONS(1624), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1622), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [24653] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1634), 1,
      anon_sym_LPAREN2,
    STATE(948), 1,
      sym_text_interpolation,
    ACTIONS(1632), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1630), 28,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [24709] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(949), 1,
      sym_text_interpolation,
    ACTIONS(1640), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1634), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [24763] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(950), 1,
      sym_text_interpolation,
    ACTIONS(1968), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1966), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [24817] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(951), 1,
      sym_text_interpolation,
    ACTIONS(1648), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1646), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [24871] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(952), 1,
      sym_text_interpolation,
    ACTIONS(1652), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1650), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [24925] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(953), 1,
      sym_text_interpolation,
    ACTIONS(1656), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1654), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [24979] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(954), 1,
      sym_text_interpolation,
    ACTIONS(1660), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1658), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [25033] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(955), 1,
      sym_text_interpolation,
    ACTIONS(1688), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1686), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [25087] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(956), 1,
      sym_text_interpolation,
    ACTIONS(1584), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1582), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [25141] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(957), 1,
      sym_text_interpolation,
    ACTIONS(1696), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1694), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [25195] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(958), 1,
      sym_text_interpolation,
    ACTIONS(1692), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1690), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [25249] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(959), 1,
      sym_text_interpolation,
    ACTIONS(1664), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1662), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [25303] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(960), 1,
      sym_text_interpolation,
    ACTIONS(1700), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1698), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [25357] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(961), 1,
      sym_text_interpolation,
    ACTIONS(1602), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1600), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [25411] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1672), 1,
      anon_sym_LPAREN2,
    STATE(962), 1,
      sym_text_interpolation,
    ACTIONS(1674), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1901), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1899), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [25469] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(963), 1,
      sym_text_interpolation,
    ACTIONS(1570), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1568), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [25523] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1672), 1,
      anon_sym_LPAREN2,
    STATE(964), 1,
      sym_text_interpolation,
    ACTIONS(1674), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1668), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1666), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [25581] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(965), 1,
      sym_text_interpolation,
    ACTIONS(1580), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1578), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [25635] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2050), 1,
      anon_sym_LPAREN2,
    STATE(966), 1,
      sym_text_interpolation,
    ACTIONS(2052), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(2048), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2046), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [25693] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(967), 1,
      sym_text_interpolation,
    ACTIONS(1564), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1566), 30,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [25747] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(968), 1,
      sym_text_interpolation,
    ACTIONS(1972), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1970), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [25801] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(969), 1,
      sym_text_interpolation,
    ACTIONS(2020), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2018), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [25855] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(970), 1,
      sym_text_interpolation,
    ACTIONS(1984), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1982), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [25909] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(971), 1,
      sym_text_interpolation,
    ACTIONS(1976), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1974), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [25963] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1672), 1,
      anon_sym_LPAREN2,
    STATE(972), 1,
      sym_text_interpolation,
    ACTIONS(1674), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1849), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1847), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [26021] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(973), 1,
      sym_text_interpolation,
    ACTIONS(1914), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1912), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [26075] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(974), 1,
      sym_text_interpolation,
    ACTIONS(2024), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2022), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [26129] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(975), 1,
      sym_text_interpolation,
    ACTIONS(2028), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2026), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [26183] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(976), 1,
      sym_text_interpolation,
    ACTIONS(2032), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2030), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [26237] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(977), 1,
      sym_text_interpolation,
    ACTIONS(2036), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2034), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [26291] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(978), 1,
      sym_text_interpolation,
    ACTIONS(2040), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2038), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [26345] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(979), 1,
      sym_text_interpolation,
    ACTIONS(1620), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1618), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [26399] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(980), 1,
      sym_text_interpolation,
    ACTIONS(2044), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2042), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [26453] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(981), 1,
      sym_text_interpolation,
    ACTIONS(1074), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1072), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [26507] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(982), 1,
      sym_text_interpolation,
    ACTIONS(1564), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1566), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [26561] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(983), 1,
      sym_text_interpolation,
    ACTIONS(1918), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1916), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [26615] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(984), 1,
      sym_text_interpolation,
    ACTIONS(1922), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1920), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [26669] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1834), 1,
      anon_sym_BSLASH,
    ACTIONS(2130), 1,
      anon_sym_COLON,
    STATE(985), 1,
      sym_text_interpolation,
    STATE(2304), 1,
      aux_sym_namespace_name_repeat1,
    ACTIONS(1618), 5,
      anon_sym_LPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1668), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1666), 21,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_PLUS,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [26731] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(986), 1,
      sym_text_interpolation,
    ACTIONS(1206), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1204), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [26785] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(987), 1,
      sym_text_interpolation,
    ACTIONS(1905), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1903), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [26839] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(988), 1,
      sym_text_interpolation,
    ACTIONS(1926), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1924), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [26893] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(989), 1,
      sym_text_interpolation,
    ACTIONS(1930), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1928), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [26947] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1672), 1,
      anon_sym_LPAREN2,
    STATE(990), 1,
      sym_text_interpolation,
    ACTIONS(1674), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1670), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1678), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [27005] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(991), 1,
      sym_text_interpolation,
    ACTIONS(2056), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2054), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [27059] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(992), 1,
      sym_text_interpolation,
    ACTIONS(2060), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2058), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [27113] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(993), 1,
      sym_text_interpolation,
    ACTIONS(1934), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1932), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [27167] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(994), 1,
      sym_text_interpolation,
    ACTIONS(1938), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1936), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [27221] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(995), 1,
      sym_text_interpolation,
    ACTIONS(1942), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1940), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [27275] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(996), 1,
      sym_text_interpolation,
    ACTIONS(2064), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2062), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [27329] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(997), 1,
      sym_text_interpolation,
    ACTIONS(1946), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1944), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [27383] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(998), 1,
      sym_text_interpolation,
    ACTIONS(2068), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2066), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [27437] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1834), 1,
      anon_sym_BSLASH,
    ACTIONS(2132), 1,
      anon_sym_COLON,
    STATE(999), 1,
      sym_text_interpolation,
    STATE(2304), 1,
      aux_sym_namespace_name_repeat1,
    ACTIONS(1618), 5,
      anon_sym_LPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1668), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1666), 21,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_PLUS,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [27499] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1000), 1,
      sym_text_interpolation,
    ACTIONS(1948), 5,
      anon_sym_LPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1668), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1666), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [27555] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1834), 1,
      anon_sym_BSLASH,
    ACTIONS(2134), 1,
      anon_sym_COLON,
    STATE(1001), 1,
      sym_text_interpolation,
    STATE(2304), 1,
      aux_sym_namespace_name_repeat1,
    ACTIONS(1618), 5,
      anon_sym_LPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1668), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1666), 21,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [27617] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1002), 1,
      sym_text_interpolation,
    ACTIONS(1871), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1869), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [27671] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1634), 1,
      anon_sym_LPAREN2,
    STATE(1003), 1,
      sym_text_interpolation,
    ACTIONS(1841), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1839), 28,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [27727] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1834), 1,
      anon_sym_BSLASH,
    STATE(1004), 1,
      sym_text_interpolation,
    STATE(2304), 1,
      aux_sym_namespace_name_repeat1,
    ACTIONS(1620), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1618), 28,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_COLON_COLON,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [27785] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1005), 1,
      sym_text_interpolation,
    ACTIONS(1873), 5,
      anon_sym_LPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1668), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1666), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [27841] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1006), 1,
      sym_text_interpolation,
    ACTIONS(1598), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1596), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [27895] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1007), 1,
      sym_text_interpolation,
    ACTIONS(2138), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2136), 29,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [27948] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1008), 1,
      sym_text_interpolation,
    ACTIONS(2142), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2140), 29,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [28001] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1009), 1,
      sym_text_interpolation,
    ACTIONS(2048), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2046), 29,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [28054] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2148), 1,
      aux_sym_binary_expression_token1,
    STATE(1010), 1,
      sym_text_interpolation,
    ACTIONS(2146), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2144), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [28109] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1011), 1,
      sym_text_interpolation,
    ACTIONS(2152), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2150), 29,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [28162] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1012), 1,
      sym_text_interpolation,
    ACTIONS(2156), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2154), 29,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [28215] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1013), 1,
      sym_text_interpolation,
    ACTIONS(1674), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1849), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1847), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [28270] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1014), 1,
      sym_text_interpolation,
    ACTIONS(1674), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1849), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1847), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [28325] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1015), 1,
      sym_text_interpolation,
    ACTIONS(2160), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2158), 29,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [28378] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1016), 1,
      sym_text_interpolation,
    ACTIONS(2164), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2162), 29,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [28431] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1017), 1,
      sym_text_interpolation,
    ACTIONS(2168), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2166), 29,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [28484] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1797), 1,
      anon_sym_BSLASH,
    STATE(1018), 1,
      sym_text_interpolation,
    STATE(2460), 1,
      aux_sym_namespace_name_repeat1,
    ACTIONS(1793), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1795), 27,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_COLON_COLON,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [28541] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1019), 1,
      sym_text_interpolation,
    ACTIONS(1674), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1668), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1666), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [28596] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1020), 1,
      sym_text_interpolation,
    ACTIONS(1674), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1901), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1899), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [28651] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1021), 1,
      sym_text_interpolation,
    ACTIONS(2172), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2170), 29,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [28704] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1022), 1,
      sym_text_interpolation,
    ACTIONS(2176), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2174), 29,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [28757] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1910), 1,
      anon_sym_EQ,
    STATE(1023), 1,
      sym_text_interpolation,
    ACTIONS(2178), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(1905), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1903), 25,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [28814] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1024), 1,
      sym_text_interpolation,
    ACTIONS(2182), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2180), 29,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [28867] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1025), 1,
      sym_text_interpolation,
    ACTIONS(2186), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2184), 29,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [28920] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1026), 1,
      sym_text_interpolation,
    ACTIONS(2146), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2144), 29,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [28973] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1027), 1,
      sym_text_interpolation,
    ACTIONS(2190), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2188), 29,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [29026] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1028), 1,
      sym_text_interpolation,
    ACTIONS(1674), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1670), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1678), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [29081] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1029), 1,
      sym_text_interpolation,
    ACTIONS(1674), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1670), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1678), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [29136] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1030), 1,
      sym_text_interpolation,
    ACTIONS(1674), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1901), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1899), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [29191] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1031), 1,
      sym_text_interpolation,
    ACTIONS(2194), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2192), 29,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [29244] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1032), 1,
      sym_text_interpolation,
    ACTIONS(2198), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2196), 29,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [29297] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1033), 1,
      sym_text_interpolation,
    ACTIONS(2202), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2200), 29,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [29350] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1034), 1,
      sym_text_interpolation,
    ACTIONS(2206), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2204), 29,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [29403] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1035), 1,
      sym_text_interpolation,
    ACTIONS(2210), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2208), 29,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [29456] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1036), 1,
      sym_text_interpolation,
    ACTIONS(1881), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1879), 29,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [29509] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1037), 1,
      sym_text_interpolation,
    ACTIONS(2214), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2212), 29,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [29562] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1038), 1,
      sym_text_interpolation,
    ACTIONS(2218), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2216), 29,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [29615] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1039), 1,
      sym_text_interpolation,
    ACTIONS(1668), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1666), 29,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [29668] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1040), 1,
      sym_text_interpolation,
    ACTIONS(2222), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2220), 29,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [29721] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1041), 1,
      sym_text_interpolation,
    ACTIONS(1628), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1626), 28,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_COLON_COLON,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [29773] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1042), 1,
      sym_text_interpolation,
    ACTIONS(2110), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1948), 28,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_COLON_COLON,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [29825] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1043), 1,
      sym_text_interpolation,
    ACTIONS(1620), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1618), 28,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_COLON_COLON,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [29877] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2122), 1,
      anon_sym_COLON_COLON,
    STATE(1044), 1,
      sym_text_interpolation,
    ACTIONS(1889), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1887), 26,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [29930] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2116), 1,
      anon_sym_LPAREN2,
    STATE(989), 1,
      sym_arguments,
    STATE(1045), 1,
      sym_text_interpolation,
    ACTIONS(2114), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2112), 25,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [29985] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1046), 1,
      sym_text_interpolation,
    ACTIONS(1812), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1814), 27,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_COLON_COLON,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [30036] = 21,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2172), 1,
      anon_sym_QMARK,
    ACTIONS(2224), 1,
      anon_sym_AMP,
    ACTIONS(2226), 1,
      anon_sym_PIPE,
    ACTIONS(2230), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2232), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2234), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2236), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2238), 1,
      anon_sym_CARET,
    ACTIONS(2246), 1,
      anon_sym_GT_EQ,
    ACTIONS(2250), 1,
      anon_sym_DOT,
    ACTIONS(2254), 1,
      anon_sym_PERCENT,
    STATE(1047), 1,
      sym_text_interpolation,
    ACTIONS(2228), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2240), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2248), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2252), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2244), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2242), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2170), 10,
      anon_sym_SEMI,
      aux_sym_namespace_use_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [30118] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2224), 1,
      anon_sym_AMP,
    ACTIONS(2226), 1,
      anon_sym_PIPE,
    ACTIONS(2230), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2232), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2234), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2236), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2238), 1,
      anon_sym_CARET,
    ACTIONS(2246), 1,
      anon_sym_GT_EQ,
    ACTIONS(2250), 1,
      anon_sym_DOT,
    ACTIONS(2254), 1,
      anon_sym_PERCENT,
    ACTIONS(2258), 1,
      anon_sym_QMARK,
    ACTIONS(2260), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2262), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2264), 1,
      aux_sym_binary_expression_token4,
    STATE(1048), 1,
      sym_text_interpolation,
    ACTIONS(2228), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2240), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2248), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2252), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2244), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2242), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2256), 7,
      anon_sym_SEMI,
      aux_sym_namespace_use_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      aux_sym_binary_expression_token1,
  [30206] = 17,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2224), 1,
      anon_sym_AMP,
    ACTIONS(2232), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2238), 1,
      anon_sym_CARET,
    ACTIONS(2246), 1,
      anon_sym_GT_EQ,
    ACTIONS(2250), 1,
      anon_sym_DOT,
    ACTIONS(2254), 1,
      anon_sym_PERCENT,
    STATE(1049), 1,
      sym_text_interpolation,
    ACTIONS(2172), 2,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(2228), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2240), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2248), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2252), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2244), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2242), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2170), 13,
      anon_sym_SEMI,
      aux_sym_namespace_use_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
  [30280] = 21,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2224), 1,
      anon_sym_AMP,
    ACTIONS(2226), 1,
      anon_sym_PIPE,
    ACTIONS(2230), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2232), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2234), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2236), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2238), 1,
      anon_sym_CARET,
    ACTIONS(2246), 1,
      anon_sym_GT_EQ,
    ACTIONS(2250), 1,
      anon_sym_DOT,
    ACTIONS(2254), 1,
      anon_sym_PERCENT,
    ACTIONS(2268), 1,
      anon_sym_QMARK,
    STATE(1050), 1,
      sym_text_interpolation,
    ACTIONS(2228), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2240), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2248), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2252), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2244), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2242), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2266), 10,
      anon_sym_SEMI,
      aux_sym_namespace_use_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [30362] = 21,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2224), 1,
      anon_sym_AMP,
    ACTIONS(2226), 1,
      anon_sym_PIPE,
    ACTIONS(2230), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2232), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2234), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2236), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2238), 1,
      anon_sym_CARET,
    ACTIONS(2246), 1,
      anon_sym_GT_EQ,
    ACTIONS(2250), 1,
      anon_sym_DOT,
    ACTIONS(2254), 1,
      anon_sym_PERCENT,
    ACTIONS(2258), 1,
      anon_sym_QMARK,
    STATE(1051), 1,
      sym_text_interpolation,
    ACTIONS(2228), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2240), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2248), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2252), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2244), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2242), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2270), 10,
      anon_sym_SEMI,
      aux_sym_namespace_use_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [30444] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2232), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2254), 1,
      anon_sym_PERCENT,
    STATE(1052), 1,
      sym_text_interpolation,
    ACTIONS(2252), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2172), 8,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2170), 24,
      anon_sym_SEMI,
      aux_sym_namespace_use_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
  [30500] = 21,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2224), 1,
      anon_sym_AMP,
    ACTIONS(2226), 1,
      anon_sym_PIPE,
    ACTIONS(2230), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2232), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2234), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2236), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2238), 1,
      anon_sym_CARET,
    ACTIONS(2246), 1,
      anon_sym_GT_EQ,
    ACTIONS(2250), 1,
      anon_sym_DOT,
    ACTIONS(2254), 1,
      anon_sym_PERCENT,
    ACTIONS(2258), 1,
      anon_sym_QMARK,
    STATE(1053), 1,
      sym_text_interpolation,
    ACTIONS(2228), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2240), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2248), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2252), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2244), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2242), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2272), 10,
      anon_sym_SEMI,
      aux_sym_namespace_use_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [30582] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1054), 1,
      sym_text_interpolation,
    ACTIONS(1889), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1887), 26,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [30632] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2224), 1,
      anon_sym_AMP,
    ACTIONS(2226), 1,
      anon_sym_PIPE,
    ACTIONS(2230), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2232), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2234), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2236), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2238), 1,
      anon_sym_CARET,
    ACTIONS(2246), 1,
      anon_sym_GT_EQ,
    ACTIONS(2250), 1,
      anon_sym_DOT,
    ACTIONS(2254), 1,
      anon_sym_PERCENT,
    ACTIONS(2258), 1,
      anon_sym_QMARK,
    ACTIONS(2260), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2262), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2264), 1,
      aux_sym_binary_expression_token4,
    STATE(1055), 1,
      sym_text_interpolation,
    ACTIONS(2228), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2240), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2248), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2252), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2244), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2242), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2274), 7,
      anon_sym_SEMI,
      aux_sym_namespace_use_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      aux_sym_binary_expression_token1,
  [30720] = 21,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2224), 1,
      anon_sym_AMP,
    ACTIONS(2226), 1,
      anon_sym_PIPE,
    ACTIONS(2230), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2232), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2234), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2236), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2238), 1,
      anon_sym_CARET,
    ACTIONS(2246), 1,
      anon_sym_GT_EQ,
    ACTIONS(2250), 1,
      anon_sym_DOT,
    ACTIONS(2254), 1,
      anon_sym_PERCENT,
    ACTIONS(2258), 1,
      anon_sym_QMARK,
    STATE(1056), 1,
      sym_text_interpolation,
    ACTIONS(2228), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2240), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2248), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2252), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2244), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2242), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2276), 10,
      anon_sym_SEMI,
      aux_sym_namespace_use_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [30802] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2232), 1,
      anon_sym_STAR_STAR,
    STATE(1057), 1,
      sym_text_interpolation,
    ACTIONS(2172), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2170), 25,
      anon_sym_SEMI,
      aux_sym_namespace_use_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [30854] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2232), 1,
      anon_sym_STAR_STAR,
    STATE(1058), 1,
      sym_text_interpolation,
    ACTIONS(2172), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2170), 25,
      anon_sym_SEMI,
      aux_sym_namespace_use_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [30906] = 21,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2224), 1,
      anon_sym_AMP,
    ACTIONS(2226), 1,
      anon_sym_PIPE,
    ACTIONS(2230), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2232), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2234), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2236), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2238), 1,
      anon_sym_CARET,
    ACTIONS(2246), 1,
      anon_sym_GT_EQ,
    ACTIONS(2250), 1,
      anon_sym_DOT,
    ACTIONS(2254), 1,
      anon_sym_PERCENT,
    ACTIONS(2258), 1,
      anon_sym_QMARK,
    STATE(1059), 1,
      sym_text_interpolation,
    ACTIONS(2228), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2240), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2248), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2252), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2244), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2242), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2170), 10,
      anon_sym_SEMI,
      aux_sym_namespace_use_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [30988] = 21,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2224), 1,
      anon_sym_AMP,
    ACTIONS(2226), 1,
      anon_sym_PIPE,
    ACTIONS(2230), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2232), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2234), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2236), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2238), 1,
      anon_sym_CARET,
    ACTIONS(2246), 1,
      anon_sym_GT_EQ,
    ACTIONS(2250), 1,
      anon_sym_DOT,
    ACTIONS(2254), 1,
      anon_sym_PERCENT,
    ACTIONS(2280), 1,
      anon_sym_QMARK,
    STATE(1060), 1,
      sym_text_interpolation,
    ACTIONS(2228), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2240), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2248), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2252), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2244), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2242), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2278), 10,
      anon_sym_SEMI,
      aux_sym_namespace_use_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [31070] = 23,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2224), 1,
      anon_sym_AMP,
    ACTIONS(2226), 1,
      anon_sym_PIPE,
    ACTIONS(2230), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2232), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2234), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2236), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2238), 1,
      anon_sym_CARET,
    ACTIONS(2246), 1,
      anon_sym_GT_EQ,
    ACTIONS(2250), 1,
      anon_sym_DOT,
    ACTIONS(2254), 1,
      anon_sym_PERCENT,
    ACTIONS(2258), 1,
      anon_sym_QMARK,
    ACTIONS(2260), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2264), 1,
      aux_sym_binary_expression_token4,
    STATE(1061), 1,
      sym_text_interpolation,
    ACTIONS(2228), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2240), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2248), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2252), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2244), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2242), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2170), 8,
      anon_sym_SEMI,
      aux_sym_namespace_use_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token3,
  [31156] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2224), 1,
      anon_sym_AMP,
    ACTIONS(2226), 1,
      anon_sym_PIPE,
    ACTIONS(2230), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2232), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2234), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2236), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2238), 1,
      anon_sym_CARET,
    ACTIONS(2246), 1,
      anon_sym_GT_EQ,
    ACTIONS(2250), 1,
      anon_sym_DOT,
    ACTIONS(2254), 1,
      anon_sym_PERCENT,
    ACTIONS(2258), 1,
      anon_sym_QMARK,
    ACTIONS(2260), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2262), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2264), 1,
      aux_sym_binary_expression_token4,
    STATE(1062), 1,
      sym_text_interpolation,
    ACTIONS(2228), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2240), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2248), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2252), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2244), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2242), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2282), 7,
      anon_sym_SEMI,
      aux_sym_namespace_use_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      aux_sym_binary_expression_token1,
  [31244] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1063), 1,
      sym_text_interpolation,
    ACTIONS(1564), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1566), 26,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [31294] = 15,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2232), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2246), 1,
      anon_sym_GT_EQ,
    ACTIONS(2250), 1,
      anon_sym_DOT,
    ACTIONS(2254), 1,
      anon_sym_PERCENT,
    STATE(1064), 1,
      sym_text_interpolation,
    ACTIONS(2228), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2240), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2248), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2252), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2172), 3,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(2244), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2242), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2170), 14,
      anon_sym_SEMI,
      aux_sym_namespace_use_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
  [31364] = 22,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2224), 1,
      anon_sym_AMP,
    ACTIONS(2226), 1,
      anon_sym_PIPE,
    ACTIONS(2230), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2232), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2234), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2236), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2238), 1,
      anon_sym_CARET,
    ACTIONS(2246), 1,
      anon_sym_GT_EQ,
    ACTIONS(2250), 1,
      anon_sym_DOT,
    ACTIONS(2254), 1,
      anon_sym_PERCENT,
    ACTIONS(2258), 1,
      anon_sym_QMARK,
    ACTIONS(2260), 1,
      aux_sym_binary_expression_token2,
    STATE(1065), 1,
      sym_text_interpolation,
    ACTIONS(2228), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2240), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2248), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2252), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2244), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2242), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2170), 9,
      anon_sym_SEMI,
      aux_sym_namespace_use_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [31448] = 25,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2224), 1,
      anon_sym_AMP,
    ACTIONS(2226), 1,
      anon_sym_PIPE,
    ACTIONS(2230), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2232), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2234), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2236), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2238), 1,
      anon_sym_CARET,
    ACTIONS(2246), 1,
      anon_sym_GT_EQ,
    ACTIONS(2250), 1,
      anon_sym_DOT,
    ACTIONS(2254), 1,
      anon_sym_PERCENT,
    ACTIONS(2258), 1,
      anon_sym_QMARK,
    ACTIONS(2260), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2262), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2264), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2284), 1,
      anon_sym_EQ_GT,
    STATE(1066), 1,
      sym_text_interpolation,
    ACTIONS(2228), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2240), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2248), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2252), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2244), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2242), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2154), 6,
      anon_sym_SEMI,
      aux_sym_namespace_use_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_RPAREN2,
      aux_sym_binary_expression_token1,
  [31538] = 19,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2172), 1,
      anon_sym_QMARK,
    ACTIONS(2224), 1,
      anon_sym_AMP,
    ACTIONS(2226), 1,
      anon_sym_PIPE,
    ACTIONS(2232), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2236), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2238), 1,
      anon_sym_CARET,
    ACTIONS(2246), 1,
      anon_sym_GT_EQ,
    ACTIONS(2250), 1,
      anon_sym_DOT,
    ACTIONS(2254), 1,
      anon_sym_PERCENT,
    STATE(1067), 1,
      sym_text_interpolation,
    ACTIONS(2228), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2240), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2248), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2252), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2244), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2242), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2170), 12,
      anon_sym_SEMI,
      aux_sym_namespace_use_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
  [31616] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2224), 1,
      anon_sym_AMP,
    ACTIONS(2226), 1,
      anon_sym_PIPE,
    ACTIONS(2230), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2232), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2234), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2236), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2238), 1,
      anon_sym_CARET,
    ACTIONS(2246), 1,
      anon_sym_GT_EQ,
    ACTIONS(2250), 1,
      anon_sym_DOT,
    ACTIONS(2254), 1,
      anon_sym_PERCENT,
    ACTIONS(2258), 1,
      anon_sym_QMARK,
    ACTIONS(2260), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2262), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2264), 1,
      aux_sym_binary_expression_token4,
    STATE(1068), 1,
      sym_text_interpolation,
    ACTIONS(2228), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2240), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2248), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2252), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2244), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2242), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2286), 7,
      anon_sym_SEMI,
      aux_sym_namespace_use_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      aux_sym_binary_expression_token1,
  [31704] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2224), 1,
      anon_sym_AMP,
    ACTIONS(2226), 1,
      anon_sym_PIPE,
    ACTIONS(2230), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2232), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2234), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2236), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2238), 1,
      anon_sym_CARET,
    ACTIONS(2246), 1,
      anon_sym_GT_EQ,
    ACTIONS(2250), 1,
      anon_sym_DOT,
    ACTIONS(2254), 1,
      anon_sym_PERCENT,
    ACTIONS(2258), 1,
      anon_sym_QMARK,
    ACTIONS(2260), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2262), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2264), 1,
      aux_sym_binary_expression_token4,
    STATE(1069), 1,
      sym_text_interpolation,
    ACTIONS(2228), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2240), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2248), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2252), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2244), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2242), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2288), 7,
      anon_sym_SEMI,
      aux_sym_namespace_use_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      aux_sym_binary_expression_token1,
  [31792] = 18,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2172), 1,
      anon_sym_QMARK,
    ACTIONS(2224), 1,
      anon_sym_AMP,
    ACTIONS(2226), 1,
      anon_sym_PIPE,
    ACTIONS(2232), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2238), 1,
      anon_sym_CARET,
    ACTIONS(2246), 1,
      anon_sym_GT_EQ,
    ACTIONS(2250), 1,
      anon_sym_DOT,
    ACTIONS(2254), 1,
      anon_sym_PERCENT,
    STATE(1070), 1,
      sym_text_interpolation,
    ACTIONS(2228), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2240), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2248), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2252), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2244), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2242), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2170), 13,
      anon_sym_SEMI,
      aux_sym_namespace_use_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
  [31868] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2224), 1,
      anon_sym_AMP,
    ACTIONS(2226), 1,
      anon_sym_PIPE,
    ACTIONS(2230), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2232), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2234), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2236), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2238), 1,
      anon_sym_CARET,
    ACTIONS(2246), 1,
      anon_sym_GT_EQ,
    ACTIONS(2250), 1,
      anon_sym_DOT,
    ACTIONS(2254), 1,
      anon_sym_PERCENT,
    ACTIONS(2258), 1,
      anon_sym_QMARK,
    ACTIONS(2260), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2262), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2264), 1,
      aux_sym_binary_expression_token4,
    STATE(1071), 1,
      sym_text_interpolation,
    ACTIONS(2228), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2240), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2248), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2252), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2244), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2242), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2290), 7,
      anon_sym_SEMI,
      aux_sym_namespace_use_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      aux_sym_binary_expression_token1,
  [31956] = 16,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2224), 1,
      anon_sym_AMP,
    ACTIONS(2232), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2246), 1,
      anon_sym_GT_EQ,
    ACTIONS(2250), 1,
      anon_sym_DOT,
    ACTIONS(2254), 1,
      anon_sym_PERCENT,
    STATE(1072), 1,
      sym_text_interpolation,
    ACTIONS(2172), 2,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(2228), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2240), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2248), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2252), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2244), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2242), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2170), 14,
      anon_sym_SEMI,
      aux_sym_namespace_use_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
  [32028] = 13,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2232), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2246), 1,
      anon_sym_GT_EQ,
    ACTIONS(2250), 1,
      anon_sym_DOT,
    ACTIONS(2254), 1,
      anon_sym_PERCENT,
    STATE(1073), 1,
      sym_text_interpolation,
    ACTIONS(2228), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2248), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2252), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2244), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2172), 5,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2170), 18,
      anon_sym_SEMI,
      aux_sym_namespace_use_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [32094] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2224), 1,
      anon_sym_AMP,
    ACTIONS(2226), 1,
      anon_sym_PIPE,
    ACTIONS(2230), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2232), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2234), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2236), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2238), 1,
      anon_sym_CARET,
    ACTIONS(2246), 1,
      anon_sym_GT_EQ,
    ACTIONS(2250), 1,
      anon_sym_DOT,
    ACTIONS(2254), 1,
      anon_sym_PERCENT,
    ACTIONS(2258), 1,
      anon_sym_QMARK,
    ACTIONS(2260), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2262), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2264), 1,
      aux_sym_binary_expression_token4,
    STATE(1074), 1,
      sym_text_interpolation,
    ACTIONS(2228), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2240), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2248), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2252), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2244), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2242), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2292), 7,
      anon_sym_SEMI,
      aux_sym_namespace_use_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      aux_sym_binary_expression_token1,
  [32182] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2224), 1,
      anon_sym_AMP,
    ACTIONS(2226), 1,
      anon_sym_PIPE,
    ACTIONS(2230), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2232), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2234), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2236), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2238), 1,
      anon_sym_CARET,
    ACTIONS(2246), 1,
      anon_sym_GT_EQ,
    ACTIONS(2250), 1,
      anon_sym_DOT,
    ACTIONS(2254), 1,
      anon_sym_PERCENT,
    ACTIONS(2258), 1,
      anon_sym_QMARK,
    ACTIONS(2260), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2262), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2264), 1,
      aux_sym_binary_expression_token4,
    STATE(1075), 1,
      sym_text_interpolation,
    ACTIONS(2228), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2240), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2248), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2252), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2244), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2242), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2184), 7,
      anon_sym_SEMI,
      aux_sym_namespace_use_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      aux_sym_binary_expression_token1,
  [32270] = 11,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2232), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2250), 1,
      anon_sym_DOT,
    ACTIONS(2254), 1,
      anon_sym_PERCENT,
    STATE(1076), 1,
      sym_text_interpolation,
    ACTIONS(2228), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2248), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2252), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2172), 8,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2170), 19,
      anon_sym_SEMI,
      aux_sym_namespace_use_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [32332] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2232), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2254), 1,
      anon_sym_PERCENT,
    STATE(1077), 1,
      sym_text_interpolation,
    ACTIONS(2228), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2252), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2172), 8,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2170), 22,
      anon_sym_SEMI,
      aux_sym_namespace_use_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
  [32390] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2224), 1,
      anon_sym_AMP,
    ACTIONS(2226), 1,
      anon_sym_PIPE,
    ACTIONS(2230), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2232), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2234), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2236), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2238), 1,
      anon_sym_CARET,
    ACTIONS(2246), 1,
      anon_sym_GT_EQ,
    ACTIONS(2250), 1,
      anon_sym_DOT,
    ACTIONS(2254), 1,
      anon_sym_PERCENT,
    ACTIONS(2258), 1,
      anon_sym_QMARK,
    ACTIONS(2260), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2262), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2264), 1,
      aux_sym_binary_expression_token4,
    STATE(1078), 1,
      sym_text_interpolation,
    ACTIONS(2228), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2240), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2248), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2252), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2244), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2242), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2294), 7,
      anon_sym_SEMI,
      aux_sym_namespace_use_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      aux_sym_binary_expression_token1,
  [32478] = 10,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2232), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2254), 1,
      anon_sym_PERCENT,
    STATE(1079), 1,
      sym_text_interpolation,
    ACTIONS(2228), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2248), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2252), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2172), 8,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2170), 20,
      anon_sym_SEMI,
      aux_sym_namespace_use_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DOT,
  [32538] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2224), 1,
      anon_sym_AMP,
    ACTIONS(2226), 1,
      anon_sym_PIPE,
    ACTIONS(2230), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2232), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2234), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2236), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2238), 1,
      anon_sym_CARET,
    ACTIONS(2246), 1,
      anon_sym_GT_EQ,
    ACTIONS(2250), 1,
      anon_sym_DOT,
    ACTIONS(2254), 1,
      anon_sym_PERCENT,
    ACTIONS(2258), 1,
      anon_sym_QMARK,
    ACTIONS(2260), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2262), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2264), 1,
      aux_sym_binary_expression_token4,
    STATE(1080), 1,
      sym_text_interpolation,
    ACTIONS(2228), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2240), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2248), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2252), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2244), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2242), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2296), 7,
      anon_sym_SEMI,
      aux_sym_namespace_use_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      aux_sym_binary_expression_token1,
  [32626] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2298), 1,
      anon_sym_AMP,
    ACTIONS(2300), 1,
      anon_sym_QMARK,
    ACTIONS(2302), 1,
      anon_sym_PIPE,
    ACTIONS(2306), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2308), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2310), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2312), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2314), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2316), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2318), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2320), 1,
      anon_sym_CARET,
    ACTIONS(2328), 1,
      anon_sym_GT_EQ,
    ACTIONS(2332), 1,
      anon_sym_DOT,
    ACTIONS(2336), 1,
      anon_sym_PERCENT,
    STATE(1081), 1,
      sym_text_interpolation,
    ACTIONS(2304), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2322), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2330), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2334), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2326), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2324), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2286), 6,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
  [32713] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1082), 1,
      sym_text_interpolation,
    ACTIONS(1035), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1033), 25,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [32762] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2338), 1,
      anon_sym_AMP,
    ACTIONS(2340), 1,
      anon_sym_QMARK,
    ACTIONS(2342), 1,
      anon_sym_PIPE,
    ACTIONS(2346), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2348), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2350), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2352), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2354), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2356), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2358), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2360), 1,
      anon_sym_CARET,
    ACTIONS(2368), 1,
      anon_sym_GT_EQ,
    ACTIONS(2372), 1,
      anon_sym_DOT,
    ACTIONS(2376), 1,
      anon_sym_PERCENT,
    STATE(1083), 1,
      sym_text_interpolation,
    ACTIONS(2344), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2362), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2370), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2374), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2366), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2364), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2290), 6,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
  [32849] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2338), 1,
      anon_sym_AMP,
    ACTIONS(2340), 1,
      anon_sym_QMARK,
    ACTIONS(2342), 1,
      anon_sym_PIPE,
    ACTIONS(2346), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2348), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2350), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2352), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2354), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2356), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2358), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2360), 1,
      anon_sym_CARET,
    ACTIONS(2368), 1,
      anon_sym_GT_EQ,
    ACTIONS(2372), 1,
      anon_sym_DOT,
    ACTIONS(2376), 1,
      anon_sym_PERCENT,
    STATE(1084), 1,
      sym_text_interpolation,
    ACTIONS(2344), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2362), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2370), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2374), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2366), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2364), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2294), 6,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
  [32936] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1085), 1,
      sym_text_interpolation,
    ACTIONS(2214), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2212), 25,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [32985] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1086), 1,
      sym_text_interpolation,
    ACTIONS(2218), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2216), 25,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [33034] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1087), 1,
      sym_text_interpolation,
    ACTIONS(2206), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2204), 25,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [33083] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1088), 1,
      sym_text_interpolation,
    ACTIONS(2210), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2208), 25,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [33132] = 21,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2268), 1,
      anon_sym_QMARK,
    ACTIONS(2338), 1,
      anon_sym_AMP,
    ACTIONS(2342), 1,
      anon_sym_PIPE,
    ACTIONS(2346), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2348), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2356), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2358), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2360), 1,
      anon_sym_CARET,
    ACTIONS(2368), 1,
      anon_sym_GT_EQ,
    ACTIONS(2372), 1,
      anon_sym_DOT,
    ACTIONS(2376), 1,
      anon_sym_PERCENT,
    STATE(1089), 1,
      sym_text_interpolation,
    ACTIONS(2344), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2362), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2370), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2374), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2366), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2364), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2266), 9,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [33213] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1090), 1,
      sym_text_interpolation,
    ACTIONS(2182), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2180), 25,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [33262] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1091), 1,
      sym_text_interpolation,
    ACTIONS(2164), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2162), 25,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [33311] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2298), 1,
      anon_sym_AMP,
    ACTIONS(2300), 1,
      anon_sym_QMARK,
    ACTIONS(2302), 1,
      anon_sym_PIPE,
    ACTIONS(2306), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2308), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2310), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2312), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2314), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2316), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2318), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2320), 1,
      anon_sym_CARET,
    ACTIONS(2328), 1,
      anon_sym_GT_EQ,
    ACTIONS(2332), 1,
      anon_sym_DOT,
    ACTIONS(2336), 1,
      anon_sym_PERCENT,
    STATE(1092), 1,
      sym_text_interpolation,
    ACTIONS(2304), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2322), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2330), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2334), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2326), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2324), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2292), 6,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
  [33398] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1093), 1,
      sym_text_interpolation,
    ACTIONS(2194), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2192), 25,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [33447] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1094), 1,
      sym_text_interpolation,
    ACTIONS(2156), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2154), 25,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [33496] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1095), 1,
      sym_text_interpolation,
    ACTIONS(2160), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2158), 25,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [33545] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2338), 1,
      anon_sym_AMP,
    ACTIONS(2340), 1,
      anon_sym_QMARK,
    ACTIONS(2342), 1,
      anon_sym_PIPE,
    ACTIONS(2346), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2348), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2350), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2352), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2354), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2356), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2358), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2360), 1,
      anon_sym_CARET,
    ACTIONS(2368), 1,
      anon_sym_GT_EQ,
    ACTIONS(2372), 1,
      anon_sym_DOT,
    ACTIONS(2376), 1,
      anon_sym_PERCENT,
    STATE(1096), 1,
      sym_text_interpolation,
    ACTIONS(2344), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2362), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2370), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2374), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2366), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2364), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2184), 6,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
  [33632] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1097), 1,
      sym_text_interpolation,
    ACTIONS(2190), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2188), 25,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [33681] = 25,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2338), 1,
      anon_sym_AMP,
    ACTIONS(2340), 1,
      anon_sym_QMARK,
    ACTIONS(2342), 1,
      anon_sym_PIPE,
    ACTIONS(2346), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2348), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2350), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2352), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2354), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2356), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2358), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2360), 1,
      anon_sym_CARET,
    ACTIONS(2368), 1,
      anon_sym_GT_EQ,
    ACTIONS(2372), 1,
      anon_sym_DOT,
    ACTIONS(2376), 1,
      anon_sym_PERCENT,
    ACTIONS(2378), 1,
      anon_sym_EQ_GT,
    STATE(1098), 1,
      sym_text_interpolation,
    ACTIONS(2344), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2362), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2370), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2374), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2366), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2364), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2154), 5,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      aux_sym_binary_expression_token1,
  [33770] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1099), 1,
      sym_text_interpolation,
    ACTIONS(2168), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2166), 25,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [33819] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1100), 1,
      sym_text_interpolation,
    ACTIONS(2202), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2200), 25,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [33868] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2338), 1,
      anon_sym_AMP,
    ACTIONS(2340), 1,
      anon_sym_QMARK,
    ACTIONS(2342), 1,
      anon_sym_PIPE,
    ACTIONS(2346), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2348), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2350), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2352), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2354), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2356), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2358), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2360), 1,
      anon_sym_CARET,
    ACTIONS(2368), 1,
      anon_sym_GT_EQ,
    ACTIONS(2372), 1,
      anon_sym_DOT,
    ACTIONS(2376), 1,
      anon_sym_PERCENT,
    STATE(1101), 1,
      sym_text_interpolation,
    ACTIONS(2344), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2362), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2370), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2374), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2366), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2364), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2274), 6,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
  [33955] = 21,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1818), 1,
      sym_name,
    ACTIONS(1851), 1,
      anon_sym_AMP,
    ACTIONS(1855), 1,
      anon_sym_BSLASH,
    ACTIONS(1857), 1,
      anon_sym_LPAREN2,
    ACTIONS(1863), 1,
      anon_sym_QMARK,
    ACTIONS(1867), 1,
      anon_sym_DOLLAR,
    ACTIONS(2380), 1,
      anon_sym_DOT_DOT_DOT,
    STATE(1102), 1,
      sym_text_interpolation,
    STATE(1241), 1,
      sym_visibility_modifier,
    STATE(1495), 1,
      sym_qualified_name,
    STATE(1602), 1,
      sym__types,
    STATE(1809), 1,
      sym_type,
    STATE(2234), 1,
      sym_reference_modifier,
    STATE(2237), 1,
      sym_variable_name,
    STATE(2645), 1,
      sym_namespace_name,
    ACTIONS(250), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1501), 3,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    STATE(1528), 3,
      sym_union_type,
      sym_intersection_type,
      sym_disjunctive_normal_form_type,
    ACTIONS(1826), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [34036] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2338), 1,
      anon_sym_AMP,
    ACTIONS(2340), 1,
      anon_sym_QMARK,
    ACTIONS(2342), 1,
      anon_sym_PIPE,
    ACTIONS(2346), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2348), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2350), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2352), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2354), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2356), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2358), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2360), 1,
      anon_sym_CARET,
    ACTIONS(2368), 1,
      anon_sym_GT_EQ,
    ACTIONS(2372), 1,
      anon_sym_DOT,
    ACTIONS(2376), 1,
      anon_sym_PERCENT,
    STATE(1103), 1,
      sym_text_interpolation,
    ACTIONS(2344), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2362), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2370), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2374), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2366), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2364), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2286), 6,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
  [34123] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1104), 1,
      sym_text_interpolation,
    ACTIONS(1031), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1029), 25,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [34172] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1105), 1,
      sym_text_interpolation,
    ACTIONS(2142), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2140), 25,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [34221] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1106), 1,
      sym_text_interpolation,
    ACTIONS(2198), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2196), 25,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [34270] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2338), 1,
      anon_sym_AMP,
    ACTIONS(2340), 1,
      anon_sym_QMARK,
    ACTIONS(2342), 1,
      anon_sym_PIPE,
    ACTIONS(2346), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2348), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2350), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2352), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2354), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2356), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2358), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2360), 1,
      anon_sym_CARET,
    ACTIONS(2368), 1,
      anon_sym_GT_EQ,
    ACTIONS(2372), 1,
      anon_sym_DOT,
    ACTIONS(2376), 1,
      anon_sym_PERCENT,
    STATE(1107), 1,
      sym_text_interpolation,
    ACTIONS(2344), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2362), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2370), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2374), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2366), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2364), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2282), 6,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
  [34357] = 15,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2348), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2368), 1,
      anon_sym_GT_EQ,
    ACTIONS(2372), 1,
      anon_sym_DOT,
    ACTIONS(2376), 1,
      anon_sym_PERCENT,
    STATE(1108), 1,
      sym_text_interpolation,
    ACTIONS(2344), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2362), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2370), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2374), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2172), 3,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(2366), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2364), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2170), 13,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
  [34426] = 17,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2338), 1,
      anon_sym_AMP,
    ACTIONS(2348), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2360), 1,
      anon_sym_CARET,
    ACTIONS(2368), 1,
      anon_sym_GT_EQ,
    ACTIONS(2372), 1,
      anon_sym_DOT,
    ACTIONS(2376), 1,
      anon_sym_PERCENT,
    STATE(1109), 1,
      sym_text_interpolation,
    ACTIONS(2172), 2,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(2344), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2362), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2370), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2374), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2366), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2364), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2170), 12,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
  [34499] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2348), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2376), 1,
      anon_sym_PERCENT,
    STATE(1110), 1,
      sym_text_interpolation,
    ACTIONS(2374), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2172), 8,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2170), 23,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
  [34554] = 21,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2172), 1,
      anon_sym_QMARK,
    ACTIONS(2338), 1,
      anon_sym_AMP,
    ACTIONS(2342), 1,
      anon_sym_PIPE,
    ACTIONS(2346), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2348), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2356), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2358), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2360), 1,
      anon_sym_CARET,
    ACTIONS(2368), 1,
      anon_sym_GT_EQ,
    ACTIONS(2372), 1,
      anon_sym_DOT,
    ACTIONS(2376), 1,
      anon_sym_PERCENT,
    STATE(1111), 1,
      sym_text_interpolation,
    ACTIONS(2344), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2362), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2370), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2374), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2366), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2364), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2170), 9,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [34635] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2348), 1,
      anon_sym_STAR_STAR,
    STATE(1112), 1,
      sym_text_interpolation,
    ACTIONS(2172), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2170), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [34686] = 21,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2338), 1,
      anon_sym_AMP,
    ACTIONS(2340), 1,
      anon_sym_QMARK,
    ACTIONS(2342), 1,
      anon_sym_PIPE,
    ACTIONS(2346), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2348), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2356), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2358), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2360), 1,
      anon_sym_CARET,
    ACTIONS(2368), 1,
      anon_sym_GT_EQ,
    ACTIONS(2372), 1,
      anon_sym_DOT,
    ACTIONS(2376), 1,
      anon_sym_PERCENT,
    STATE(1113), 1,
      sym_text_interpolation,
    ACTIONS(2344), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2362), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2370), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2374), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2366), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2364), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2170), 9,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [34767] = 23,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2338), 1,
      anon_sym_AMP,
    ACTIONS(2340), 1,
      anon_sym_QMARK,
    ACTIONS(2342), 1,
      anon_sym_PIPE,
    ACTIONS(2346), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2348), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2350), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2354), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2356), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2358), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2360), 1,
      anon_sym_CARET,
    ACTIONS(2368), 1,
      anon_sym_GT_EQ,
    ACTIONS(2372), 1,
      anon_sym_DOT,
    ACTIONS(2376), 1,
      anon_sym_PERCENT,
    STATE(1114), 1,
      sym_text_interpolation,
    ACTIONS(2344), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2362), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2370), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2374), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2366), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2364), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2170), 7,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token3,
  [34852] = 22,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2338), 1,
      anon_sym_AMP,
    ACTIONS(2340), 1,
      anon_sym_QMARK,
    ACTIONS(2342), 1,
      anon_sym_PIPE,
    ACTIONS(2346), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2348), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2350), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2356), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2358), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2360), 1,
      anon_sym_CARET,
    ACTIONS(2368), 1,
      anon_sym_GT_EQ,
    ACTIONS(2372), 1,
      anon_sym_DOT,
    ACTIONS(2376), 1,
      anon_sym_PERCENT,
    STATE(1115), 1,
      sym_text_interpolation,
    ACTIONS(2344), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2362), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2370), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2374), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2366), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2364), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2170), 8,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [34935] = 19,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2172), 1,
      anon_sym_QMARK,
    ACTIONS(2338), 1,
      anon_sym_AMP,
    ACTIONS(2342), 1,
      anon_sym_PIPE,
    ACTIONS(2348), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2358), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2360), 1,
      anon_sym_CARET,
    ACTIONS(2368), 1,
      anon_sym_GT_EQ,
    ACTIONS(2372), 1,
      anon_sym_DOT,
    ACTIONS(2376), 1,
      anon_sym_PERCENT,
    STATE(1116), 1,
      sym_text_interpolation,
    ACTIONS(2344), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2362), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2370), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2374), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2366), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2364), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2170), 11,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
  [35012] = 18,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2172), 1,
      anon_sym_QMARK,
    ACTIONS(2338), 1,
      anon_sym_AMP,
    ACTIONS(2342), 1,
      anon_sym_PIPE,
    ACTIONS(2348), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2360), 1,
      anon_sym_CARET,
    ACTIONS(2368), 1,
      anon_sym_GT_EQ,
    ACTIONS(2372), 1,
      anon_sym_DOT,
    ACTIONS(2376), 1,
      anon_sym_PERCENT,
    STATE(1117), 1,
      sym_text_interpolation,
    ACTIONS(2344), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2362), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2370), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2374), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2366), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2364), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2170), 12,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
  [35087] = 16,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2338), 1,
      anon_sym_AMP,
    ACTIONS(2348), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2368), 1,
      anon_sym_GT_EQ,
    ACTIONS(2372), 1,
      anon_sym_DOT,
    ACTIONS(2376), 1,
      anon_sym_PERCENT,
    STATE(1118), 1,
      sym_text_interpolation,
    ACTIONS(2172), 2,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(2344), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2362), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2370), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2374), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2366), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2364), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2170), 13,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
  [35158] = 13,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2348), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2368), 1,
      anon_sym_GT_EQ,
    ACTIONS(2372), 1,
      anon_sym_DOT,
    ACTIONS(2376), 1,
      anon_sym_PERCENT,
    STATE(1119), 1,
      sym_text_interpolation,
    ACTIONS(2344), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2370), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2374), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2366), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2172), 5,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2170), 17,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [35223] = 11,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2348), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2372), 1,
      anon_sym_DOT,
    ACTIONS(2376), 1,
      anon_sym_PERCENT,
    STATE(1120), 1,
      sym_text_interpolation,
    ACTIONS(2344), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2370), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2374), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2172), 8,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2170), 18,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [35284] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2348), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2376), 1,
      anon_sym_PERCENT,
    STATE(1121), 1,
      sym_text_interpolation,
    ACTIONS(2344), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2374), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2172), 8,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2170), 21,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
  [35341] = 10,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2348), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2376), 1,
      anon_sym_PERCENT,
    STATE(1122), 1,
      sym_text_interpolation,
    ACTIONS(2344), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2370), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2374), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2172), 8,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2170), 19,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DOT,
  [35400] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2348), 1,
      anon_sym_STAR_STAR,
    STATE(1123), 1,
      sym_text_interpolation,
    ACTIONS(2172), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2170), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [35451] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1124), 1,
      sym_text_interpolation,
    ACTIONS(2172), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2170), 25,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [35500] = 21,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2338), 1,
      anon_sym_AMP,
    ACTIONS(2340), 1,
      anon_sym_QMARK,
    ACTIONS(2342), 1,
      anon_sym_PIPE,
    ACTIONS(2346), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2348), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2356), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2358), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2360), 1,
      anon_sym_CARET,
    ACTIONS(2368), 1,
      anon_sym_GT_EQ,
    ACTIONS(2372), 1,
      anon_sym_DOT,
    ACTIONS(2376), 1,
      anon_sym_PERCENT,
    STATE(1125), 1,
      sym_text_interpolation,
    ACTIONS(2344), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2362), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2370), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2374), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2366), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2364), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2272), 9,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [35581] = 21,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2338), 1,
      anon_sym_AMP,
    ACTIONS(2340), 1,
      anon_sym_QMARK,
    ACTIONS(2342), 1,
      anon_sym_PIPE,
    ACTIONS(2346), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2348), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2356), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2358), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2360), 1,
      anon_sym_CARET,
    ACTIONS(2368), 1,
      anon_sym_GT_EQ,
    ACTIONS(2372), 1,
      anon_sym_DOT,
    ACTIONS(2376), 1,
      anon_sym_PERCENT,
    STATE(1126), 1,
      sym_text_interpolation,
    ACTIONS(2344), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2362), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2370), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2374), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2366), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2364), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2276), 9,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [35662] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1127), 1,
      sym_text_interpolation,
    ACTIONS(2152), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2150), 25,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [35711] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2338), 1,
      anon_sym_AMP,
    ACTIONS(2340), 1,
      anon_sym_QMARK,
    ACTIONS(2342), 1,
      anon_sym_PIPE,
    ACTIONS(2346), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2348), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2350), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2352), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2354), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2356), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2358), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2360), 1,
      anon_sym_CARET,
    ACTIONS(2368), 1,
      anon_sym_GT_EQ,
    ACTIONS(2372), 1,
      anon_sym_DOT,
    ACTIONS(2376), 1,
      anon_sym_PERCENT,
    STATE(1128), 1,
      sym_text_interpolation,
    ACTIONS(2344), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2362), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2370), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2374), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2366), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2364), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2292), 6,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
  [35798] = 21,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2338), 1,
      anon_sym_AMP,
    ACTIONS(2340), 1,
      anon_sym_QMARK,
    ACTIONS(2342), 1,
      anon_sym_PIPE,
    ACTIONS(2346), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2348), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2356), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2358), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2360), 1,
      anon_sym_CARET,
    ACTIONS(2368), 1,
      anon_sym_GT_EQ,
    ACTIONS(2372), 1,
      anon_sym_DOT,
    ACTIONS(2376), 1,
      anon_sym_PERCENT,
    STATE(1129), 1,
      sym_text_interpolation,
    ACTIONS(2344), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2362), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2370), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2374), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2366), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2364), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2270), 9,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [35879] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2298), 1,
      anon_sym_AMP,
    ACTIONS(2300), 1,
      anon_sym_QMARK,
    ACTIONS(2302), 1,
      anon_sym_PIPE,
    ACTIONS(2306), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2308), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2310), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2312), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2314), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2316), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2318), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2320), 1,
      anon_sym_CARET,
    ACTIONS(2328), 1,
      anon_sym_GT_EQ,
    ACTIONS(2332), 1,
      anon_sym_DOT,
    ACTIONS(2336), 1,
      anon_sym_PERCENT,
    STATE(1130), 1,
      sym_text_interpolation,
    ACTIONS(2304), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2322), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2330), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2334), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2326), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2324), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2184), 6,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
  [35966] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2298), 1,
      anon_sym_AMP,
    ACTIONS(2300), 1,
      anon_sym_QMARK,
    ACTIONS(2302), 1,
      anon_sym_PIPE,
    ACTIONS(2306), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2308), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2310), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2312), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2314), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2316), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2318), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2320), 1,
      anon_sym_CARET,
    ACTIONS(2328), 1,
      anon_sym_GT_EQ,
    ACTIONS(2332), 1,
      anon_sym_DOT,
    ACTIONS(2336), 1,
      anon_sym_PERCENT,
    STATE(1131), 1,
      sym_text_interpolation,
    ACTIONS(2304), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2322), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2330), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2334), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2326), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2324), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2282), 6,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
  [36053] = 15,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2308), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2328), 1,
      anon_sym_GT_EQ,
    ACTIONS(2332), 1,
      anon_sym_DOT,
    ACTIONS(2336), 1,
      anon_sym_PERCENT,
    STATE(1132), 1,
      sym_text_interpolation,
    ACTIONS(2304), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2322), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2330), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2334), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2172), 3,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(2326), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2324), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2170), 13,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
  [36122] = 17,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2298), 1,
      anon_sym_AMP,
    ACTIONS(2308), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2320), 1,
      anon_sym_CARET,
    ACTIONS(2328), 1,
      anon_sym_GT_EQ,
    ACTIONS(2332), 1,
      anon_sym_DOT,
    ACTIONS(2336), 1,
      anon_sym_PERCENT,
    STATE(1133), 1,
      sym_text_interpolation,
    ACTIONS(2172), 2,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(2304), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2322), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2330), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2334), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2326), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2324), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2170), 12,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
  [36195] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2308), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2336), 1,
      anon_sym_PERCENT,
    STATE(1134), 1,
      sym_text_interpolation,
    ACTIONS(2334), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2172), 8,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2170), 23,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
  [36250] = 21,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2172), 1,
      anon_sym_QMARK,
    ACTIONS(2298), 1,
      anon_sym_AMP,
    ACTIONS(2302), 1,
      anon_sym_PIPE,
    ACTIONS(2306), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2308), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2316), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2318), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2320), 1,
      anon_sym_CARET,
    ACTIONS(2328), 1,
      anon_sym_GT_EQ,
    ACTIONS(2332), 1,
      anon_sym_DOT,
    ACTIONS(2336), 1,
      anon_sym_PERCENT,
    STATE(1135), 1,
      sym_text_interpolation,
    ACTIONS(2304), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2322), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2330), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2334), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2326), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2324), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2170), 9,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [36331] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2308), 1,
      anon_sym_STAR_STAR,
    STATE(1136), 1,
      sym_text_interpolation,
    ACTIONS(2172), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2170), 24,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [36382] = 21,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2298), 1,
      anon_sym_AMP,
    ACTIONS(2300), 1,
      anon_sym_QMARK,
    ACTIONS(2302), 1,
      anon_sym_PIPE,
    ACTIONS(2306), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2308), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2316), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2318), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2320), 1,
      anon_sym_CARET,
    ACTIONS(2328), 1,
      anon_sym_GT_EQ,
    ACTIONS(2332), 1,
      anon_sym_DOT,
    ACTIONS(2336), 1,
      anon_sym_PERCENT,
    STATE(1137), 1,
      sym_text_interpolation,
    ACTIONS(2304), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2322), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2330), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2334), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2326), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2324), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2170), 9,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [36463] = 23,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2298), 1,
      anon_sym_AMP,
    ACTIONS(2300), 1,
      anon_sym_QMARK,
    ACTIONS(2302), 1,
      anon_sym_PIPE,
    ACTIONS(2306), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2308), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2310), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2314), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2316), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2318), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2320), 1,
      anon_sym_CARET,
    ACTIONS(2328), 1,
      anon_sym_GT_EQ,
    ACTIONS(2332), 1,
      anon_sym_DOT,
    ACTIONS(2336), 1,
      anon_sym_PERCENT,
    STATE(1138), 1,
      sym_text_interpolation,
    ACTIONS(2304), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2322), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2330), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2334), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2326), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2324), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2170), 7,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token3,
  [36548] = 22,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2298), 1,
      anon_sym_AMP,
    ACTIONS(2300), 1,
      anon_sym_QMARK,
    ACTIONS(2302), 1,
      anon_sym_PIPE,
    ACTIONS(2306), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2308), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2310), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2316), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2318), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2320), 1,
      anon_sym_CARET,
    ACTIONS(2328), 1,
      anon_sym_GT_EQ,
    ACTIONS(2332), 1,
      anon_sym_DOT,
    ACTIONS(2336), 1,
      anon_sym_PERCENT,
    STATE(1139), 1,
      sym_text_interpolation,
    ACTIONS(2304), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2322), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2330), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2334), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2326), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2324), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2170), 8,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [36631] = 19,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2172), 1,
      anon_sym_QMARK,
    ACTIONS(2298), 1,
      anon_sym_AMP,
    ACTIONS(2302), 1,
      anon_sym_PIPE,
    ACTIONS(2308), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2318), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2320), 1,
      anon_sym_CARET,
    ACTIONS(2328), 1,
      anon_sym_GT_EQ,
    ACTIONS(2332), 1,
      anon_sym_DOT,
    ACTIONS(2336), 1,
      anon_sym_PERCENT,
    STATE(1140), 1,
      sym_text_interpolation,
    ACTIONS(2304), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2322), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2330), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2334), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2326), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2324), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2170), 11,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
  [36708] = 18,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2172), 1,
      anon_sym_QMARK,
    ACTIONS(2298), 1,
      anon_sym_AMP,
    ACTIONS(2302), 1,
      anon_sym_PIPE,
    ACTIONS(2308), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2320), 1,
      anon_sym_CARET,
    ACTIONS(2328), 1,
      anon_sym_GT_EQ,
    ACTIONS(2332), 1,
      anon_sym_DOT,
    ACTIONS(2336), 1,
      anon_sym_PERCENT,
    STATE(1141), 1,
      sym_text_interpolation,
    ACTIONS(2304), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2322), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2330), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2334), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2326), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2324), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2170), 12,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
  [36783] = 16,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2298), 1,
      anon_sym_AMP,
    ACTIONS(2308), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2328), 1,
      anon_sym_GT_EQ,
    ACTIONS(2332), 1,
      anon_sym_DOT,
    ACTIONS(2336), 1,
      anon_sym_PERCENT,
    STATE(1142), 1,
      sym_text_interpolation,
    ACTIONS(2172), 2,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(2304), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2322), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2330), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2334), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2326), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2324), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2170), 13,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
  [36854] = 13,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2308), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2328), 1,
      anon_sym_GT_EQ,
    ACTIONS(2332), 1,
      anon_sym_DOT,
    ACTIONS(2336), 1,
      anon_sym_PERCENT,
    STATE(1143), 1,
      sym_text_interpolation,
    ACTIONS(2304), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2330), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2334), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2326), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2172), 5,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2170), 17,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [36919] = 11,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2308), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2332), 1,
      anon_sym_DOT,
    ACTIONS(2336), 1,
      anon_sym_PERCENT,
    STATE(1144), 1,
      sym_text_interpolation,
    ACTIONS(2304), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2330), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2334), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2172), 8,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2170), 18,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [36980] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2308), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2336), 1,
      anon_sym_PERCENT,
    STATE(1145), 1,
      sym_text_interpolation,
    ACTIONS(2304), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2334), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2172), 8,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2170), 21,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
  [37037] = 10,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2308), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2336), 1,
      anon_sym_PERCENT,
    STATE(1146), 1,
      sym_text_interpolation,
    ACTIONS(2304), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2330), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2334), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2172), 8,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2170), 19,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DOT,
  [37096] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2308), 1,
      anon_sym_STAR_STAR,
    STATE(1147), 1,
      sym_text_interpolation,
    ACTIONS(2172), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2170), 24,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [37147] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1148), 1,
      sym_text_interpolation,
    ACTIONS(1668), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1666), 25,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [37196] = 21,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2298), 1,
      anon_sym_AMP,
    ACTIONS(2300), 1,
      anon_sym_QMARK,
    ACTIONS(2302), 1,
      anon_sym_PIPE,
    ACTIONS(2306), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2308), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2316), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2318), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2320), 1,
      anon_sym_CARET,
    ACTIONS(2328), 1,
      anon_sym_GT_EQ,
    ACTIONS(2332), 1,
      anon_sym_DOT,
    ACTIONS(2336), 1,
      anon_sym_PERCENT,
    STATE(1149), 1,
      sym_text_interpolation,
    ACTIONS(2304), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2322), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2330), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2334), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2326), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2324), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2272), 9,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [37277] = 21,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2298), 1,
      anon_sym_AMP,
    ACTIONS(2300), 1,
      anon_sym_QMARK,
    ACTIONS(2302), 1,
      anon_sym_PIPE,
    ACTIONS(2306), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2308), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2316), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2318), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2320), 1,
      anon_sym_CARET,
    ACTIONS(2328), 1,
      anon_sym_GT_EQ,
    ACTIONS(2332), 1,
      anon_sym_DOT,
    ACTIONS(2336), 1,
      anon_sym_PERCENT,
    STATE(1150), 1,
      sym_text_interpolation,
    ACTIONS(2304), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2322), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2330), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2334), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2326), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2324), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2276), 9,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [37358] = 13,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2384), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(2389), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(2392), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(2395), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(2398), 1,
      sym_var_modifier,
    STATE(1334), 1,
      sym__modifier,
    STATE(1151), 2,
      sym_text_interpolation,
      aux_sym_class_declaration_repeat1,
    ACTIONS(2387), 3,
      anon_sym_BSLASH,
      anon_sym_LPAREN2,
      anon_sym_DOLLAR,
    ACTIONS(2401), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1335), 5,
      sym_final_modifier,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym_static_modifier,
      sym_visibility_modifier,
    ACTIONS(2382), 17,
      aux_sym__namespace_use_type_token1,
      aux_sym__namespace_use_type_token2,
      anon_sym_string,
      anon_sym_int,
      aux_sym_class_declaration_token1,
      anon_sym_QMARK,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
      sym_name,
  [37423] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1152), 1,
      sym_text_interpolation,
    ACTIONS(2146), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2144), 25,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [37472] = 21,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2268), 1,
      anon_sym_QMARK,
    ACTIONS(2298), 1,
      anon_sym_AMP,
    ACTIONS(2302), 1,
      anon_sym_PIPE,
    ACTIONS(2306), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2308), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2316), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2318), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2320), 1,
      anon_sym_CARET,
    ACTIONS(2328), 1,
      anon_sym_GT_EQ,
    ACTIONS(2332), 1,
      anon_sym_DOT,
    ACTIONS(2336), 1,
      anon_sym_PERCENT,
    STATE(1153), 1,
      sym_text_interpolation,
    ACTIONS(2304), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2322), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2330), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2334), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2326), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2324), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2266), 9,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [37553] = 21,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2298), 1,
      anon_sym_AMP,
    ACTIONS(2300), 1,
      anon_sym_QMARK,
    ACTIONS(2302), 1,
      anon_sym_PIPE,
    ACTIONS(2306), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2308), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2316), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2318), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2320), 1,
      anon_sym_CARET,
    ACTIONS(2328), 1,
      anon_sym_GT_EQ,
    ACTIONS(2332), 1,
      anon_sym_DOT,
    ACTIONS(2336), 1,
      anon_sym_PERCENT,
    STATE(1154), 1,
      sym_text_interpolation,
    ACTIONS(2304), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2322), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2330), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2334), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2326), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2324), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2270), 9,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [37634] = 21,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2280), 1,
      anon_sym_QMARK,
    ACTIONS(2298), 1,
      anon_sym_AMP,
    ACTIONS(2302), 1,
      anon_sym_PIPE,
    ACTIONS(2306), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2308), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2316), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2318), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2320), 1,
      anon_sym_CARET,
    ACTIONS(2328), 1,
      anon_sym_GT_EQ,
    ACTIONS(2332), 1,
      anon_sym_DOT,
    ACTIONS(2336), 1,
      anon_sym_PERCENT,
    STATE(1155), 1,
      sym_text_interpolation,
    ACTIONS(2304), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2322), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2330), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2334), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2326), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2324), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2278), 9,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [37715] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2338), 1,
      anon_sym_AMP,
    ACTIONS(2340), 1,
      anon_sym_QMARK,
    ACTIONS(2342), 1,
      anon_sym_PIPE,
    ACTIONS(2346), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2348), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2350), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2352), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2354), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2356), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2358), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2360), 1,
      anon_sym_CARET,
    ACTIONS(2368), 1,
      anon_sym_GT_EQ,
    ACTIONS(2372), 1,
      anon_sym_DOT,
    ACTIONS(2376), 1,
      anon_sym_PERCENT,
    STATE(1156), 1,
      sym_text_interpolation,
    ACTIONS(2344), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2362), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2370), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2374), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2366), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2364), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2256), 6,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
  [37802] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1157), 1,
      sym_text_interpolation,
    ACTIONS(2138), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2136), 25,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [37851] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1158), 1,
      sym_text_interpolation,
    STATE(1334), 1,
      sym__modifier,
    STATE(1390), 1,
      aux_sym_class_declaration_repeat1,
    STATE(1436), 1,
      sym__const_declaration,
    ACTIONS(2406), 3,
      anon_sym_BSLASH,
      anon_sym_LPAREN2,
      anon_sym_DOLLAR,
    STATE(1335), 5,
      sym_final_modifier,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym_static_modifier,
      sym_visibility_modifier,
    ACTIONS(2404), 24,
      aux_sym_function_static_declaration_token1,
      aux_sym__namespace_use_type_token1,
      aux_sym__namespace_use_type_token2,
      anon_sym_string,
      anon_sym_int,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_QMARK,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
      sym_name,
  [37908] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2408), 1,
      aux_sym_binary_expression_token1,
    STATE(1159), 1,
      sym_text_interpolation,
    ACTIONS(2146), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2144), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [37959] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2338), 1,
      anon_sym_AMP,
    ACTIONS(2340), 1,
      anon_sym_QMARK,
    ACTIONS(2342), 1,
      anon_sym_PIPE,
    ACTIONS(2346), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2348), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2350), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2352), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2354), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2356), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2358), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2360), 1,
      anon_sym_CARET,
    ACTIONS(2368), 1,
      anon_sym_GT_EQ,
    ACTIONS(2372), 1,
      anon_sym_DOT,
    ACTIONS(2376), 1,
      anon_sym_PERCENT,
    STATE(1160), 1,
      sym_text_interpolation,
    ACTIONS(2344), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2362), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2370), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2374), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2366), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2364), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2288), 6,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
  [38046] = 21,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2280), 1,
      anon_sym_QMARK,
    ACTIONS(2338), 1,
      anon_sym_AMP,
    ACTIONS(2342), 1,
      anon_sym_PIPE,
    ACTIONS(2346), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2348), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2356), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2358), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2360), 1,
      anon_sym_CARET,
    ACTIONS(2368), 1,
      anon_sym_GT_EQ,
    ACTIONS(2372), 1,
      anon_sym_DOT,
    ACTIONS(2376), 1,
      anon_sym_PERCENT,
    STATE(1161), 1,
      sym_text_interpolation,
    ACTIONS(2344), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2362), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2370), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2374), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2366), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2364), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2278), 9,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [38127] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1162), 1,
      sym_text_interpolation,
    ACTIONS(1881), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1879), 25,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [38176] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1163), 1,
      sym_text_interpolation,
    ACTIONS(2186), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2184), 25,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [38225] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1164), 1,
      sym_text_interpolation,
    STATE(1334), 1,
      sym__modifier,
    STATE(1390), 1,
      aux_sym_class_declaration_repeat1,
    STATE(1430), 1,
      sym__const_declaration,
    ACTIONS(2406), 3,
      anon_sym_BSLASH,
      anon_sym_LPAREN2,
      anon_sym_DOLLAR,
    STATE(1335), 5,
      sym_final_modifier,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym_static_modifier,
      sym_visibility_modifier,
    ACTIONS(2404), 24,
      aux_sym_function_static_declaration_token1,
      aux_sym__namespace_use_type_token1,
      aux_sym__namespace_use_type_token2,
      anon_sym_string,
      anon_sym_int,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_QMARK,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
      sym_name,
  [38282] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2298), 1,
      anon_sym_AMP,
    ACTIONS(2300), 1,
      anon_sym_QMARK,
    ACTIONS(2302), 1,
      anon_sym_PIPE,
    ACTIONS(2306), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2308), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2310), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2312), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2314), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2316), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2318), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2320), 1,
      anon_sym_CARET,
    ACTIONS(2328), 1,
      anon_sym_GT_EQ,
    ACTIONS(2332), 1,
      anon_sym_DOT,
    ACTIONS(2336), 1,
      anon_sym_PERCENT,
    STATE(1165), 1,
      sym_text_interpolation,
    ACTIONS(2304), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2322), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2330), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2334), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2326), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2324), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2256), 6,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
  [38369] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2298), 1,
      anon_sym_AMP,
    ACTIONS(2300), 1,
      anon_sym_QMARK,
    ACTIONS(2302), 1,
      anon_sym_PIPE,
    ACTIONS(2306), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2308), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2310), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2312), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2314), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2316), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2318), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2320), 1,
      anon_sym_CARET,
    ACTIONS(2328), 1,
      anon_sym_GT_EQ,
    ACTIONS(2332), 1,
      anon_sym_DOT,
    ACTIONS(2336), 1,
      anon_sym_PERCENT,
    STATE(1166), 1,
      sym_text_interpolation,
    ACTIONS(2304), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2322), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2330), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2334), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2326), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2324), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2296), 6,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
  [38456] = 25,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2298), 1,
      anon_sym_AMP,
    ACTIONS(2300), 1,
      anon_sym_QMARK,
    ACTIONS(2302), 1,
      anon_sym_PIPE,
    ACTIONS(2306), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2308), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2310), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2312), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2314), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2316), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2318), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2320), 1,
      anon_sym_CARET,
    ACTIONS(2328), 1,
      anon_sym_GT_EQ,
    ACTIONS(2332), 1,
      anon_sym_DOT,
    ACTIONS(2336), 1,
      anon_sym_PERCENT,
    ACTIONS(2410), 1,
      anon_sym_EQ_GT,
    STATE(1167), 1,
      sym_text_interpolation,
    ACTIONS(2304), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2322), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2330), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2334), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2326), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2324), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2154), 5,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
  [38545] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1168), 1,
      sym_text_interpolation,
    ACTIONS(2048), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2046), 25,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [38594] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2298), 1,
      anon_sym_AMP,
    ACTIONS(2300), 1,
      anon_sym_QMARK,
    ACTIONS(2302), 1,
      anon_sym_PIPE,
    ACTIONS(2306), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2308), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2310), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2312), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2314), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2316), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2318), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2320), 1,
      anon_sym_CARET,
    ACTIONS(2328), 1,
      anon_sym_GT_EQ,
    ACTIONS(2332), 1,
      anon_sym_DOT,
    ACTIONS(2336), 1,
      anon_sym_PERCENT,
    STATE(1169), 1,
      sym_text_interpolation,
    ACTIONS(2304), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2322), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2330), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2334), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2326), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2324), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2288), 6,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
  [38681] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2298), 1,
      anon_sym_AMP,
    ACTIONS(2300), 1,
      anon_sym_QMARK,
    ACTIONS(2302), 1,
      anon_sym_PIPE,
    ACTIONS(2306), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2308), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2310), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2312), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2314), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2316), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2318), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2320), 1,
      anon_sym_CARET,
    ACTIONS(2328), 1,
      anon_sym_GT_EQ,
    ACTIONS(2332), 1,
      anon_sym_DOT,
    ACTIONS(2336), 1,
      anon_sym_PERCENT,
    STATE(1170), 1,
      sym_text_interpolation,
    ACTIONS(2304), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2322), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2330), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2334), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2326), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2324), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2290), 6,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
  [38768] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2298), 1,
      anon_sym_AMP,
    ACTIONS(2300), 1,
      anon_sym_QMARK,
    ACTIONS(2302), 1,
      anon_sym_PIPE,
    ACTIONS(2306), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2308), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2310), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2312), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2314), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2316), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2318), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2320), 1,
      anon_sym_CARET,
    ACTIONS(2328), 1,
      anon_sym_GT_EQ,
    ACTIONS(2332), 1,
      anon_sym_DOT,
    ACTIONS(2336), 1,
      anon_sym_PERCENT,
    STATE(1171), 1,
      sym_text_interpolation,
    ACTIONS(2304), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2322), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2330), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2334), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2326), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2324), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2294), 6,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
  [38855] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1172), 1,
      sym_text_interpolation,
    ACTIONS(2176), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2174), 25,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [38904] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1173), 1,
      sym_text_interpolation,
    ACTIONS(2222), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2220), 25,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [38953] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2338), 1,
      anon_sym_AMP,
    ACTIONS(2340), 1,
      anon_sym_QMARK,
    ACTIONS(2342), 1,
      anon_sym_PIPE,
    ACTIONS(2346), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2348), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2350), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2352), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2354), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2356), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2358), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2360), 1,
      anon_sym_CARET,
    ACTIONS(2368), 1,
      anon_sym_GT_EQ,
    ACTIONS(2372), 1,
      anon_sym_DOT,
    ACTIONS(2376), 1,
      anon_sym_PERCENT,
    STATE(1174), 1,
      sym_text_interpolation,
    ACTIONS(2344), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2362), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2370), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2374), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2366), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2364), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2296), 6,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
  [39040] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2298), 1,
      anon_sym_AMP,
    ACTIONS(2300), 1,
      anon_sym_QMARK,
    ACTIONS(2302), 1,
      anon_sym_PIPE,
    ACTIONS(2306), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2308), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2310), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2312), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2314), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2316), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2318), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2320), 1,
      anon_sym_CARET,
    ACTIONS(2328), 1,
      anon_sym_GT_EQ,
    ACTIONS(2332), 1,
      anon_sym_DOT,
    ACTIONS(2336), 1,
      anon_sym_PERCENT,
    STATE(1175), 1,
      sym_text_interpolation,
    ACTIONS(2304), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2322), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2330), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2334), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2326), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2324), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2274), 6,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
  [39127] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2412), 1,
      anon_sym_AMP,
    ACTIONS(2414), 1,
      anon_sym_QMARK,
    ACTIONS(2416), 1,
      anon_sym_PIPE,
    ACTIONS(2420), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2422), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2424), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2426), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2428), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2430), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2432), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2434), 1,
      anon_sym_CARET,
    ACTIONS(2442), 1,
      anon_sym_GT_EQ,
    ACTIONS(2446), 1,
      anon_sym_DOT,
    ACTIONS(2450), 1,
      anon_sym_PERCENT,
    STATE(1176), 1,
      sym_text_interpolation,
    ACTIONS(2418), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2436), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2444), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2448), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2440), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2438), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2286), 5,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      aux_sym_binary_expression_token1,
  [39213] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2412), 1,
      anon_sym_AMP,
    ACTIONS(2414), 1,
      anon_sym_QMARK,
    ACTIONS(2416), 1,
      anon_sym_PIPE,
    ACTIONS(2420), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2422), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2424), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2426), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2428), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2430), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2432), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2434), 1,
      anon_sym_CARET,
    ACTIONS(2442), 1,
      anon_sym_GT_EQ,
    ACTIONS(2446), 1,
      anon_sym_DOT,
    ACTIONS(2450), 1,
      anon_sym_PERCENT,
    STATE(1177), 1,
      sym_text_interpolation,
    ACTIONS(2418), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2436), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2444), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2448), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2440), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2438), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2290), 5,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      aux_sym_binary_expression_token1,
  [39299] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2412), 1,
      anon_sym_AMP,
    ACTIONS(2414), 1,
      anon_sym_QMARK,
    ACTIONS(2416), 1,
      anon_sym_PIPE,
    ACTIONS(2420), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2422), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2424), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2426), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2428), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2430), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2432), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2434), 1,
      anon_sym_CARET,
    ACTIONS(2442), 1,
      anon_sym_GT_EQ,
    ACTIONS(2446), 1,
      anon_sym_DOT,
    ACTIONS(2450), 1,
      anon_sym_PERCENT,
    STATE(1178), 1,
      sym_text_interpolation,
    ACTIONS(2418), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2436), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2444), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2448), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2440), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2438), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2274), 5,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      aux_sym_binary_expression_token1,
  [39385] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2412), 1,
      anon_sym_AMP,
    ACTIONS(2414), 1,
      anon_sym_QMARK,
    ACTIONS(2416), 1,
      anon_sym_PIPE,
    ACTIONS(2420), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2422), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2424), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2426), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2428), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2430), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2432), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2434), 1,
      anon_sym_CARET,
    ACTIONS(2442), 1,
      anon_sym_GT_EQ,
    ACTIONS(2446), 1,
      anon_sym_DOT,
    ACTIONS(2450), 1,
      anon_sym_PERCENT,
    STATE(1179), 1,
      sym_text_interpolation,
    ACTIONS(2418), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2436), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2444), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2448), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2440), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2438), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2282), 5,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      aux_sym_binary_expression_token1,
  [39471] = 15,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2422), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2442), 1,
      anon_sym_GT_EQ,
    ACTIONS(2446), 1,
      anon_sym_DOT,
    ACTIONS(2450), 1,
      anon_sym_PERCENT,
    STATE(1180), 1,
      sym_text_interpolation,
    ACTIONS(2418), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2436), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2444), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2448), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2172), 3,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(2440), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2438), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2170), 12,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
  [39539] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2412), 1,
      anon_sym_AMP,
    ACTIONS(2414), 1,
      anon_sym_QMARK,
    ACTIONS(2416), 1,
      anon_sym_PIPE,
    ACTIONS(2420), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2422), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2424), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2426), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2428), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2430), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2432), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2434), 1,
      anon_sym_CARET,
    ACTIONS(2442), 1,
      anon_sym_GT_EQ,
    ACTIONS(2446), 1,
      anon_sym_DOT,
    ACTIONS(2450), 1,
      anon_sym_PERCENT,
    STATE(1181), 1,
      sym_text_interpolation,
    ACTIONS(2418), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2436), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2444), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2448), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2440), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2438), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2294), 5,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      aux_sym_binary_expression_token1,
  [39625] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2422), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2450), 1,
      anon_sym_PERCENT,
    STATE(1182), 1,
      sym_text_interpolation,
    ACTIONS(2448), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2172), 8,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2170), 22,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
  [39679] = 21,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2172), 1,
      anon_sym_QMARK,
    ACTIONS(2412), 1,
      anon_sym_AMP,
    ACTIONS(2416), 1,
      anon_sym_PIPE,
    ACTIONS(2420), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2422), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2430), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2432), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2434), 1,
      anon_sym_CARET,
    ACTIONS(2442), 1,
      anon_sym_GT_EQ,
    ACTIONS(2446), 1,
      anon_sym_DOT,
    ACTIONS(2450), 1,
      anon_sym_PERCENT,
    STATE(1183), 1,
      sym_text_interpolation,
    ACTIONS(2418), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2436), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2444), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2448), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2440), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2438), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2170), 8,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [39759] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2422), 1,
      anon_sym_STAR_STAR,
    STATE(1184), 1,
      sym_text_interpolation,
    ACTIONS(2172), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2170), 23,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [39809] = 21,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2412), 1,
      anon_sym_AMP,
    ACTIONS(2414), 1,
      anon_sym_QMARK,
    ACTIONS(2416), 1,
      anon_sym_PIPE,
    ACTIONS(2420), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2422), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2430), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2432), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2434), 1,
      anon_sym_CARET,
    ACTIONS(2442), 1,
      anon_sym_GT_EQ,
    ACTIONS(2446), 1,
      anon_sym_DOT,
    ACTIONS(2450), 1,
      anon_sym_PERCENT,
    STATE(1185), 1,
      sym_text_interpolation,
    ACTIONS(2418), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2436), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2444), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2448), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2440), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2438), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2170), 8,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [39889] = 23,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2412), 1,
      anon_sym_AMP,
    ACTIONS(2414), 1,
      anon_sym_QMARK,
    ACTIONS(2416), 1,
      anon_sym_PIPE,
    ACTIONS(2420), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2422), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2424), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2428), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2430), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2432), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2434), 1,
      anon_sym_CARET,
    ACTIONS(2442), 1,
      anon_sym_GT_EQ,
    ACTIONS(2446), 1,
      anon_sym_DOT,
    ACTIONS(2450), 1,
      anon_sym_PERCENT,
    STATE(1186), 1,
      sym_text_interpolation,
    ACTIONS(2418), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2436), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2444), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2448), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2440), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2438), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2170), 6,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token3,
  [39973] = 22,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2412), 1,
      anon_sym_AMP,
    ACTIONS(2414), 1,
      anon_sym_QMARK,
    ACTIONS(2416), 1,
      anon_sym_PIPE,
    ACTIONS(2420), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2422), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2424), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2430), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2432), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2434), 1,
      anon_sym_CARET,
    ACTIONS(2442), 1,
      anon_sym_GT_EQ,
    ACTIONS(2446), 1,
      anon_sym_DOT,
    ACTIONS(2450), 1,
      anon_sym_PERCENT,
    STATE(1187), 1,
      sym_text_interpolation,
    ACTIONS(2418), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2436), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2444), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2448), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2440), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2438), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2170), 7,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [40055] = 19,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2172), 1,
      anon_sym_QMARK,
    ACTIONS(2412), 1,
      anon_sym_AMP,
    ACTIONS(2416), 1,
      anon_sym_PIPE,
    ACTIONS(2422), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2432), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2434), 1,
      anon_sym_CARET,
    ACTIONS(2442), 1,
      anon_sym_GT_EQ,
    ACTIONS(2446), 1,
      anon_sym_DOT,
    ACTIONS(2450), 1,
      anon_sym_PERCENT,
    STATE(1188), 1,
      sym_text_interpolation,
    ACTIONS(2418), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2436), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2444), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2448), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2440), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2438), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2170), 10,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
  [40131] = 18,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2172), 1,
      anon_sym_QMARK,
    ACTIONS(2412), 1,
      anon_sym_AMP,
    ACTIONS(2416), 1,
      anon_sym_PIPE,
    ACTIONS(2422), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2434), 1,
      anon_sym_CARET,
    ACTIONS(2442), 1,
      anon_sym_GT_EQ,
    ACTIONS(2446), 1,
      anon_sym_DOT,
    ACTIONS(2450), 1,
      anon_sym_PERCENT,
    STATE(1189), 1,
      sym_text_interpolation,
    ACTIONS(2418), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2436), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2444), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2448), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2440), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2438), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2170), 11,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
  [40205] = 16,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2412), 1,
      anon_sym_AMP,
    ACTIONS(2422), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2442), 1,
      anon_sym_GT_EQ,
    ACTIONS(2446), 1,
      anon_sym_DOT,
    ACTIONS(2450), 1,
      anon_sym_PERCENT,
    STATE(1190), 1,
      sym_text_interpolation,
    ACTIONS(2172), 2,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(2418), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2436), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2444), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2448), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2440), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2438), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2170), 12,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
  [40275] = 13,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2422), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2442), 1,
      anon_sym_GT_EQ,
    ACTIONS(2446), 1,
      anon_sym_DOT,
    ACTIONS(2450), 1,
      anon_sym_PERCENT,
    STATE(1191), 1,
      sym_text_interpolation,
    ACTIONS(2418), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2444), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2448), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2440), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2172), 5,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2170), 16,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [40339] = 11,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2422), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2446), 1,
      anon_sym_DOT,
    ACTIONS(2450), 1,
      anon_sym_PERCENT,
    STATE(1192), 1,
      sym_text_interpolation,
    ACTIONS(2418), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2444), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2448), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2172), 8,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2170), 17,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [40399] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2422), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2450), 1,
      anon_sym_PERCENT,
    STATE(1193), 1,
      sym_text_interpolation,
    ACTIONS(2418), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2448), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2172), 8,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2170), 20,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
  [40455] = 10,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2422), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2450), 1,
      anon_sym_PERCENT,
    STATE(1194), 1,
      sym_text_interpolation,
    ACTIONS(2418), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2444), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2448), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2172), 8,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2170), 18,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DOT,
  [40513] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2422), 1,
      anon_sym_STAR_STAR,
    STATE(1195), 1,
      sym_text_interpolation,
    ACTIONS(2172), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2170), 23,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [40563] = 21,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2412), 1,
      anon_sym_AMP,
    ACTIONS(2414), 1,
      anon_sym_QMARK,
    ACTIONS(2416), 1,
      anon_sym_PIPE,
    ACTIONS(2420), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2422), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2430), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2432), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2434), 1,
      anon_sym_CARET,
    ACTIONS(2442), 1,
      anon_sym_GT_EQ,
    ACTIONS(2446), 1,
      anon_sym_DOT,
    ACTIONS(2450), 1,
      anon_sym_PERCENT,
    STATE(1196), 1,
      sym_text_interpolation,
    ACTIONS(2418), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2436), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2444), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2448), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2440), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2438), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2272), 8,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [40643] = 21,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2412), 1,
      anon_sym_AMP,
    ACTIONS(2414), 1,
      anon_sym_QMARK,
    ACTIONS(2416), 1,
      anon_sym_PIPE,
    ACTIONS(2420), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2422), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2430), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2432), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2434), 1,
      anon_sym_CARET,
    ACTIONS(2442), 1,
      anon_sym_GT_EQ,
    ACTIONS(2446), 1,
      anon_sym_DOT,
    ACTIONS(2450), 1,
      anon_sym_PERCENT,
    STATE(1197), 1,
      sym_text_interpolation,
    ACTIONS(2418), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2436), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2444), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2448), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2440), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2438), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2276), 8,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [40723] = 21,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2268), 1,
      anon_sym_QMARK,
    ACTIONS(2412), 1,
      anon_sym_AMP,
    ACTIONS(2416), 1,
      anon_sym_PIPE,
    ACTIONS(2420), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2422), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2430), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2432), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2434), 1,
      anon_sym_CARET,
    ACTIONS(2442), 1,
      anon_sym_GT_EQ,
    ACTIONS(2446), 1,
      anon_sym_DOT,
    ACTIONS(2450), 1,
      anon_sym_PERCENT,
    STATE(1198), 1,
      sym_text_interpolation,
    ACTIONS(2418), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2436), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2444), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2448), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2440), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2438), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2266), 8,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [40803] = 21,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2412), 1,
      anon_sym_AMP,
    ACTIONS(2414), 1,
      anon_sym_QMARK,
    ACTIONS(2416), 1,
      anon_sym_PIPE,
    ACTIONS(2420), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2422), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2430), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2432), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2434), 1,
      anon_sym_CARET,
    ACTIONS(2442), 1,
      anon_sym_GT_EQ,
    ACTIONS(2446), 1,
      anon_sym_DOT,
    ACTIONS(2450), 1,
      anon_sym_PERCENT,
    STATE(1199), 1,
      sym_text_interpolation,
    ACTIONS(2418), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2436), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2444), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2448), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2440), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2438), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2270), 8,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [40883] = 21,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2280), 1,
      anon_sym_QMARK,
    ACTIONS(2412), 1,
      anon_sym_AMP,
    ACTIONS(2416), 1,
      anon_sym_PIPE,
    ACTIONS(2420), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2422), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2430), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2432), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2434), 1,
      anon_sym_CARET,
    ACTIONS(2442), 1,
      anon_sym_GT_EQ,
    ACTIONS(2446), 1,
      anon_sym_DOT,
    ACTIONS(2450), 1,
      anon_sym_PERCENT,
    STATE(1200), 1,
      sym_text_interpolation,
    ACTIONS(2418), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2436), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2444), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2448), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2440), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2438), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2278), 8,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [40963] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2412), 1,
      anon_sym_AMP,
    ACTIONS(2414), 1,
      anon_sym_QMARK,
    ACTIONS(2416), 1,
      anon_sym_PIPE,
    ACTIONS(2420), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2422), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2424), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2426), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2428), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2430), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2432), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2434), 1,
      anon_sym_CARET,
    ACTIONS(2442), 1,
      anon_sym_GT_EQ,
    ACTIONS(2446), 1,
      anon_sym_DOT,
    ACTIONS(2450), 1,
      anon_sym_PERCENT,
    STATE(1201), 1,
      sym_text_interpolation,
    ACTIONS(2418), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2436), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2444), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2448), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2440), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2438), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2292), 5,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      aux_sym_binary_expression_token1,
  [41049] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2412), 1,
      anon_sym_AMP,
    ACTIONS(2414), 1,
      anon_sym_QMARK,
    ACTIONS(2416), 1,
      anon_sym_PIPE,
    ACTIONS(2420), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2422), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2424), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2426), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2428), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2430), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2432), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2434), 1,
      anon_sym_CARET,
    ACTIONS(2442), 1,
      anon_sym_GT_EQ,
    ACTIONS(2446), 1,
      anon_sym_DOT,
    ACTIONS(2450), 1,
      anon_sym_PERCENT,
    STATE(1202), 1,
      sym_text_interpolation,
    ACTIONS(2418), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2436), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2444), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2448), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2440), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2438), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2184), 5,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      aux_sym_binary_expression_token1,
  [41135] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2412), 1,
      anon_sym_AMP,
    ACTIONS(2414), 1,
      anon_sym_QMARK,
    ACTIONS(2416), 1,
      anon_sym_PIPE,
    ACTIONS(2420), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2422), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2424), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2426), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2428), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2430), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2432), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2434), 1,
      anon_sym_CARET,
    ACTIONS(2442), 1,
      anon_sym_GT_EQ,
    ACTIONS(2446), 1,
      anon_sym_DOT,
    ACTIONS(2450), 1,
      anon_sym_PERCENT,
    STATE(1203), 1,
      sym_text_interpolation,
    ACTIONS(2418), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2436), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2444), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2448), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2440), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2438), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2256), 5,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      aux_sym_binary_expression_token1,
  [41221] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2412), 1,
      anon_sym_AMP,
    ACTIONS(2414), 1,
      anon_sym_QMARK,
    ACTIONS(2416), 1,
      anon_sym_PIPE,
    ACTIONS(2420), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2422), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2424), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2426), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2428), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2430), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2432), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2434), 1,
      anon_sym_CARET,
    ACTIONS(2442), 1,
      anon_sym_GT_EQ,
    ACTIONS(2446), 1,
      anon_sym_DOT,
    ACTIONS(2450), 1,
      anon_sym_PERCENT,
    STATE(1204), 1,
      sym_text_interpolation,
    ACTIONS(2418), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2436), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2444), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2448), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2440), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2438), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2296), 5,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      aux_sym_binary_expression_token1,
  [41307] = 25,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2412), 1,
      anon_sym_AMP,
    ACTIONS(2414), 1,
      anon_sym_QMARK,
    ACTIONS(2416), 1,
      anon_sym_PIPE,
    ACTIONS(2420), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2422), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2424), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2426), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2428), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2430), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2432), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2434), 1,
      anon_sym_CARET,
    ACTIONS(2442), 1,
      anon_sym_GT_EQ,
    ACTIONS(2446), 1,
      anon_sym_DOT,
    ACTIONS(2450), 1,
      anon_sym_PERCENT,
    ACTIONS(2452), 1,
      anon_sym_EQ_GT,
    STATE(1205), 1,
      sym_text_interpolation,
    ACTIONS(2418), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2436), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2444), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2448), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2440), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2154), 4,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RPAREN2,
      aux_sym_binary_expression_token1,
    ACTIONS(2438), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [41395] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2412), 1,
      anon_sym_AMP,
    ACTIONS(2414), 1,
      anon_sym_QMARK,
    ACTIONS(2416), 1,
      anon_sym_PIPE,
    ACTIONS(2420), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2422), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2424), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2426), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2428), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2430), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2432), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2434), 1,
      anon_sym_CARET,
    ACTIONS(2442), 1,
      anon_sym_GT_EQ,
    ACTIONS(2446), 1,
      anon_sym_DOT,
    ACTIONS(2450), 1,
      anon_sym_PERCENT,
    STATE(1206), 1,
      sym_text_interpolation,
    ACTIONS(2418), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2436), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2444), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2448), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2440), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2438), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2288), 5,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      aux_sym_binary_expression_token1,
  [41481] = 17,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2412), 1,
      anon_sym_AMP,
    ACTIONS(2422), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2434), 1,
      anon_sym_CARET,
    ACTIONS(2442), 1,
      anon_sym_GT_EQ,
    ACTIONS(2446), 1,
      anon_sym_DOT,
    ACTIONS(2450), 1,
      anon_sym_PERCENT,
    STATE(1207), 1,
      sym_text_interpolation,
    ACTIONS(2172), 2,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(2418), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2436), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2444), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2448), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2440), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2438), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2170), 11,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
  [41553] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2338), 1,
      anon_sym_AMP,
    ACTIONS(2340), 1,
      anon_sym_QMARK,
    ACTIONS(2342), 1,
      anon_sym_PIPE,
    ACTIONS(2346), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2348), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2350), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2352), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2354), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2356), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2358), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2360), 1,
      anon_sym_CARET,
    ACTIONS(2368), 1,
      anon_sym_GT_EQ,
    ACTIONS(2372), 1,
      anon_sym_DOT,
    ACTIONS(2376), 1,
      anon_sym_PERCENT,
    STATE(1208), 1,
      sym_text_interpolation,
    ACTIONS(2344), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2362), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2370), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2374), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2366), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2364), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2454), 4,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
  [41638] = 26,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2412), 1,
      anon_sym_AMP,
    ACTIONS(2414), 1,
      anon_sym_QMARK,
    ACTIONS(2416), 1,
      anon_sym_PIPE,
    ACTIONS(2420), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2422), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2424), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2426), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2428), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2430), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2432), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2434), 1,
      anon_sym_CARET,
    ACTIONS(2442), 1,
      anon_sym_GT_EQ,
    ACTIONS(2446), 1,
      anon_sym_DOT,
    ACTIONS(2450), 1,
      anon_sym_PERCENT,
    ACTIONS(2458), 1,
      anon_sym_LBRACE,
    STATE(1209), 1,
      sym_text_interpolation,
    STATE(2359), 1,
      sym_property_hook_list,
    ACTIONS(2418), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2436), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2444), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2448), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2456), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
    ACTIONS(2440), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2438), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [41727] = 26,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2412), 1,
      anon_sym_AMP,
    ACTIONS(2414), 1,
      anon_sym_QMARK,
    ACTIONS(2416), 1,
      anon_sym_PIPE,
    ACTIONS(2420), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2422), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2424), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2426), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2428), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2430), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2432), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2434), 1,
      anon_sym_CARET,
    ACTIONS(2442), 1,
      anon_sym_GT_EQ,
    ACTIONS(2446), 1,
      anon_sym_DOT,
    ACTIONS(2450), 1,
      anon_sym_PERCENT,
    ACTIONS(2458), 1,
      anon_sym_LBRACE,
    STATE(1210), 1,
      sym_text_interpolation,
    STATE(2482), 1,
      sym_property_hook_list,
    ACTIONS(2418), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2436), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2444), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2448), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2460), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
    ACTIONS(2440), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2438), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [41816] = 26,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2412), 1,
      anon_sym_AMP,
    ACTIONS(2414), 1,
      anon_sym_QMARK,
    ACTIONS(2416), 1,
      anon_sym_PIPE,
    ACTIONS(2420), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2422), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2424), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2426), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2428), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2430), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2432), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2434), 1,
      anon_sym_CARET,
    ACTIONS(2442), 1,
      anon_sym_GT_EQ,
    ACTIONS(2446), 1,
      anon_sym_DOT,
    ACTIONS(2450), 1,
      anon_sym_PERCENT,
    ACTIONS(2458), 1,
      anon_sym_LBRACE,
    STATE(1211), 1,
      sym_text_interpolation,
    STATE(2333), 1,
      sym_property_hook_list,
    ACTIONS(2418), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2436), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2444), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2448), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2462), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
    ACTIONS(2440), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2438), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [41905] = 26,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2412), 1,
      anon_sym_AMP,
    ACTIONS(2414), 1,
      anon_sym_QMARK,
    ACTIONS(2416), 1,
      anon_sym_PIPE,
    ACTIONS(2420), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2422), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2424), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2426), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2428), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2430), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2432), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2434), 1,
      anon_sym_CARET,
    ACTIONS(2442), 1,
      anon_sym_GT_EQ,
    ACTIONS(2446), 1,
      anon_sym_DOT,
    ACTIONS(2450), 1,
      anon_sym_PERCENT,
    ACTIONS(2458), 1,
      anon_sym_LBRACE,
    STATE(1212), 1,
      sym_text_interpolation,
    STATE(2338), 1,
      sym_property_hook_list,
    ACTIONS(2418), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2436), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2444), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2448), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2464), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
    ACTIONS(2440), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2438), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [41994] = 26,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2412), 1,
      anon_sym_AMP,
    ACTIONS(2414), 1,
      anon_sym_QMARK,
    ACTIONS(2416), 1,
      anon_sym_PIPE,
    ACTIONS(2420), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2422), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2424), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2426), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2428), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2430), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2432), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2434), 1,
      anon_sym_CARET,
    ACTIONS(2442), 1,
      anon_sym_GT_EQ,
    ACTIONS(2446), 1,
      anon_sym_DOT,
    ACTIONS(2450), 1,
      anon_sym_PERCENT,
    ACTIONS(2458), 1,
      anon_sym_LBRACE,
    STATE(1213), 1,
      sym_text_interpolation,
    STATE(2474), 1,
      sym_property_hook_list,
    ACTIONS(2418), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2436), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2444), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2448), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2466), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
    ACTIONS(2440), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2438), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [42083] = 26,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2412), 1,
      anon_sym_AMP,
    ACTIONS(2414), 1,
      anon_sym_QMARK,
    ACTIONS(2416), 1,
      anon_sym_PIPE,
    ACTIONS(2420), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2422), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2424), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2426), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2428), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2430), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2432), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2434), 1,
      anon_sym_CARET,
    ACTIONS(2442), 1,
      anon_sym_GT_EQ,
    ACTIONS(2446), 1,
      anon_sym_DOT,
    ACTIONS(2450), 1,
      anon_sym_PERCENT,
    ACTIONS(2458), 1,
      anon_sym_LBRACE,
    STATE(1214), 1,
      sym_text_interpolation,
    STATE(2407), 1,
      sym_property_hook_list,
    ACTIONS(2418), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2436), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2444), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2448), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2468), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
    ACTIONS(2440), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2438), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [42172] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(959), 1,
      anon_sym_COLON,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1215), 1,
      sym_text_interpolation,
    ACTIONS(2214), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2212), 22,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [42221] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(959), 1,
      anon_sym_COLON,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1216), 1,
      sym_text_interpolation,
    ACTIONS(2218), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2216), 22,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [42270] = 26,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2412), 1,
      anon_sym_AMP,
    ACTIONS(2414), 1,
      anon_sym_QMARK,
    ACTIONS(2416), 1,
      anon_sym_PIPE,
    ACTIONS(2420), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2422), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2424), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2426), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2428), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2430), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2432), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2434), 1,
      anon_sym_CARET,
    ACTIONS(2442), 1,
      anon_sym_GT_EQ,
    ACTIONS(2446), 1,
      anon_sym_DOT,
    ACTIONS(2450), 1,
      anon_sym_PERCENT,
    ACTIONS(2458), 1,
      anon_sym_LBRACE,
    STATE(1217), 1,
      sym_text_interpolation,
    STATE(2331), 1,
      sym_property_hook_list,
    ACTIONS(2418), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2436), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2444), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2448), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2470), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
    ACTIONS(2440), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2438), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [42359] = 26,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2412), 1,
      anon_sym_AMP,
    ACTIONS(2414), 1,
      anon_sym_QMARK,
    ACTIONS(2416), 1,
      anon_sym_PIPE,
    ACTIONS(2420), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2422), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2424), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2426), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2428), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2430), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2432), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2434), 1,
      anon_sym_CARET,
    ACTIONS(2442), 1,
      anon_sym_GT_EQ,
    ACTIONS(2446), 1,
      anon_sym_DOT,
    ACTIONS(2450), 1,
      anon_sym_PERCENT,
    ACTIONS(2458), 1,
      anon_sym_LBRACE,
    STATE(1218), 1,
      sym_text_interpolation,
    STATE(2339), 1,
      sym_property_hook_list,
    ACTIONS(2418), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2436), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2444), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2448), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2472), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
    ACTIONS(2440), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2438), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [42448] = 26,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2298), 1,
      anon_sym_AMP,
    ACTIONS(2300), 1,
      anon_sym_QMARK,
    ACTIONS(2302), 1,
      anon_sym_PIPE,
    ACTIONS(2306), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2308), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2310), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2312), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2314), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2316), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2318), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2320), 1,
      anon_sym_CARET,
    ACTIONS(2328), 1,
      anon_sym_GT_EQ,
    ACTIONS(2332), 1,
      anon_sym_DOT,
    ACTIONS(2336), 1,
      anon_sym_PERCENT,
    ACTIONS(2474), 1,
      anon_sym_COMMA,
    ACTIONS(2476), 1,
      anon_sym_EQ_GT,
    STATE(1219), 1,
      sym_text_interpolation,
    STATE(2166), 1,
      aux_sym_match_condition_list_repeat1,
    ACTIONS(2304), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2322), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2330), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2334), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2326), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2324), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [42536] = 25,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2338), 1,
      anon_sym_AMP,
    ACTIONS(2340), 1,
      anon_sym_QMARK,
    ACTIONS(2342), 1,
      anon_sym_PIPE,
    ACTIONS(2346), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2348), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2350), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2352), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2354), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2356), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2358), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2360), 1,
      anon_sym_CARET,
    ACTIONS(2368), 1,
      anon_sym_GT_EQ,
    ACTIONS(2372), 1,
      anon_sym_DOT,
    ACTIONS(2376), 1,
      anon_sym_PERCENT,
    ACTIONS(2480), 1,
      anon_sym_COMMA,
    STATE(1220), 1,
      sym_text_interpolation,
    ACTIONS(2344), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2362), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2370), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2374), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2478), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(2366), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2364), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [42622] = 25,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2338), 1,
      anon_sym_AMP,
    ACTIONS(2340), 1,
      anon_sym_QMARK,
    ACTIONS(2342), 1,
      anon_sym_PIPE,
    ACTIONS(2346), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2348), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2350), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2352), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2354), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2356), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2358), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2360), 1,
      anon_sym_CARET,
    ACTIONS(2368), 1,
      anon_sym_GT_EQ,
    ACTIONS(2372), 1,
      anon_sym_DOT,
    ACTIONS(2376), 1,
      anon_sym_PERCENT,
    STATE(509), 1,
      sym__semicolon,
    STATE(1221), 1,
      sym_text_interpolation,
    ACTIONS(360), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(2344), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2362), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2370), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2374), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2366), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2364), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [42708] = 25,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2338), 1,
      anon_sym_AMP,
    ACTIONS(2340), 1,
      anon_sym_QMARK,
    ACTIONS(2342), 1,
      anon_sym_PIPE,
    ACTIONS(2346), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2348), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2350), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2352), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2354), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2356), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2358), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2360), 1,
      anon_sym_CARET,
    ACTIONS(2368), 1,
      anon_sym_GT_EQ,
    ACTIONS(2372), 1,
      anon_sym_DOT,
    ACTIONS(2376), 1,
      anon_sym_PERCENT,
    ACTIONS(2480), 1,
      anon_sym_COMMA,
    STATE(1222), 1,
      sym_text_interpolation,
    ACTIONS(2344), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2362), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2370), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2374), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2482), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(2366), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2364), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [42794] = 18,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(603), 1,
      anon_sym_BSLASH,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1828), 1,
      anon_sym_LPAREN2,
    ACTIONS(1830), 1,
      anon_sym_QMARK,
    ACTIONS(2484), 1,
      sym_name,
    STATE(717), 1,
      sym__reserved_identifier,
    STATE(1223), 1,
      sym_text_interpolation,
    STATE(1485), 1,
      sym__types,
    STATE(1495), 1,
      sym_qualified_name,
    STATE(1589), 1,
      sym_type,
    STATE(1723), 1,
      sym_const_element,
    STATE(2507), 1,
      sym_namespace_name,
    STATE(2638), 1,
      sym__identifier,
    ACTIONS(2090), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(1501), 3,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    STATE(1528), 3,
      sym_union_type,
      sym_intersection_type,
      sym_disjunctive_normal_form_type,
    ACTIONS(1826), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [42866] = 18,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(603), 1,
      anon_sym_BSLASH,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1828), 1,
      anon_sym_LPAREN2,
    ACTIONS(1830), 1,
      anon_sym_QMARK,
    ACTIONS(2484), 1,
      sym_name,
    STATE(717), 1,
      sym__reserved_identifier,
    STATE(1224), 1,
      sym_text_interpolation,
    STATE(1485), 1,
      sym__types,
    STATE(1495), 1,
      sym_qualified_name,
    STATE(1608), 1,
      sym_type,
    STATE(1786), 1,
      sym_const_element,
    STATE(2507), 1,
      sym_namespace_name,
    STATE(2638), 1,
      sym__identifier,
    ACTIONS(2090), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(1501), 3,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    STATE(1528), 3,
      sym_union_type,
      sym_intersection_type,
      sym_disjunctive_normal_form_type,
    ACTIONS(1826), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [42938] = 25,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2338), 1,
      anon_sym_AMP,
    ACTIONS(2340), 1,
      anon_sym_QMARK,
    ACTIONS(2342), 1,
      anon_sym_PIPE,
    ACTIONS(2346), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2348), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2350), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2352), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2354), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2356), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2358), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2360), 1,
      anon_sym_CARET,
    ACTIONS(2368), 1,
      anon_sym_GT_EQ,
    ACTIONS(2372), 1,
      anon_sym_DOT,
    ACTIONS(2376), 1,
      anon_sym_PERCENT,
    STATE(1225), 1,
      sym_text_interpolation,
    STATE(1731), 1,
      sym__semicolon,
    ACTIONS(2344), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2362), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2370), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2374), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2486), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(2366), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2364), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [43024] = 25,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2338), 1,
      anon_sym_AMP,
    ACTIONS(2340), 1,
      anon_sym_QMARK,
    ACTIONS(2342), 1,
      anon_sym_PIPE,
    ACTIONS(2346), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2348), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2350), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2352), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2354), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2356), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2358), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2360), 1,
      anon_sym_CARET,
    ACTIONS(2368), 1,
      anon_sym_GT_EQ,
    ACTIONS(2372), 1,
      anon_sym_DOT,
    ACTIONS(2376), 1,
      anon_sym_PERCENT,
    STATE(1226), 1,
      sym_text_interpolation,
    STATE(2281), 1,
      sym__semicolon,
    ACTIONS(416), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(2344), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2362), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2370), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2374), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2366), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2364), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [43110] = 25,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2338), 1,
      anon_sym_AMP,
    ACTIONS(2340), 1,
      anon_sym_QMARK,
    ACTIONS(2342), 1,
      anon_sym_PIPE,
    ACTIONS(2346), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2348), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2350), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2352), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2354), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2356), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2358), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2360), 1,
      anon_sym_CARET,
    ACTIONS(2368), 1,
      anon_sym_GT_EQ,
    ACTIONS(2372), 1,
      anon_sym_DOT,
    ACTIONS(2376), 1,
      anon_sym_PERCENT,
    STATE(1227), 1,
      sym_text_interpolation,
    STATE(2282), 1,
      sym__semicolon,
    ACTIONS(416), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(2344), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2362), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2370), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2374), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2366), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2364), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [43196] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2338), 1,
      anon_sym_AMP,
    ACTIONS(2340), 1,
      anon_sym_QMARK,
    ACTIONS(2342), 1,
      anon_sym_PIPE,
    ACTIONS(2346), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2348), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2350), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2352), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2354), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2356), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2358), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2360), 1,
      anon_sym_CARET,
    ACTIONS(2368), 1,
      anon_sym_GT_EQ,
    ACTIONS(2372), 1,
      anon_sym_DOT,
    ACTIONS(2376), 1,
      anon_sym_PERCENT,
    STATE(1228), 1,
      sym_text_interpolation,
    ACTIONS(2344), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2362), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2370), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2374), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2366), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2488), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
    ACTIONS(2364), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [43280] = 25,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2338), 1,
      anon_sym_AMP,
    ACTIONS(2340), 1,
      anon_sym_QMARK,
    ACTIONS(2342), 1,
      anon_sym_PIPE,
    ACTIONS(2346), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2348), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2350), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2352), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2354), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2356), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2358), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2360), 1,
      anon_sym_CARET,
    ACTIONS(2368), 1,
      anon_sym_GT_EQ,
    ACTIONS(2372), 1,
      anon_sym_DOT,
    ACTIONS(2376), 1,
      anon_sym_PERCENT,
    STATE(1229), 1,
      sym_text_interpolation,
    STATE(2283), 1,
      sym__semicolon,
    ACTIONS(416), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(2344), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2362), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2370), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2374), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2366), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2364), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [43366] = 25,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2412), 1,
      anon_sym_AMP,
    ACTIONS(2414), 1,
      anon_sym_QMARK,
    ACTIONS(2416), 1,
      anon_sym_PIPE,
    ACTIONS(2420), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2422), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2424), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2426), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2428), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2430), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2432), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2434), 1,
      anon_sym_CARET,
    ACTIONS(2442), 1,
      anon_sym_GT_EQ,
    ACTIONS(2446), 1,
      anon_sym_DOT,
    ACTIONS(2450), 1,
      anon_sym_PERCENT,
    ACTIONS(2490), 1,
      anon_sym_EQ_GT,
    STATE(1230), 1,
      sym_text_interpolation,
    ACTIONS(2154), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
    ACTIONS(2418), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2436), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2444), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2448), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2440), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2438), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [43452] = 19,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(246), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(603), 1,
      anon_sym_BSLASH,
    ACTIONS(731), 1,
      anon_sym_AMP,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1818), 1,
      sym_name,
    ACTIONS(1828), 1,
      anon_sym_LPAREN2,
    ACTIONS(1830), 1,
      anon_sym_QMARK,
    ACTIONS(1867), 1,
      anon_sym_DOLLAR,
    STATE(1231), 1,
      sym_text_interpolation,
    STATE(1270), 1,
      sym_readonly_modifier,
    STATE(1495), 1,
      sym_qualified_name,
    STATE(1685), 1,
      sym__types,
    STATE(1900), 1,
      sym_type,
    STATE(2507), 1,
      sym_namespace_name,
    STATE(1808), 2,
      sym_variable_name,
      sym_by_ref,
    STATE(1501), 3,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    STATE(1528), 3,
      sym_union_type,
      sym_intersection_type,
      sym_disjunctive_normal_form_type,
    ACTIONS(1826), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [43526] = 25,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2338), 1,
      anon_sym_AMP,
    ACTIONS(2340), 1,
      anon_sym_QMARK,
    ACTIONS(2342), 1,
      anon_sym_PIPE,
    ACTIONS(2346), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2348), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2350), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2352), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2354), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2356), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2358), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2360), 1,
      anon_sym_CARET,
    ACTIONS(2368), 1,
      anon_sym_GT_EQ,
    ACTIONS(2372), 1,
      anon_sym_DOT,
    ACTIONS(2376), 1,
      anon_sym_PERCENT,
    STATE(542), 1,
      sym__semicolon,
    STATE(1232), 1,
      sym_text_interpolation,
    ACTIONS(360), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(2344), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2362), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2370), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2374), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2366), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2364), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [43612] = 25,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2298), 1,
      anon_sym_AMP,
    ACTIONS(2300), 1,
      anon_sym_QMARK,
    ACTIONS(2302), 1,
      anon_sym_PIPE,
    ACTIONS(2306), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2308), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2310), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2312), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2314), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2316), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2318), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2320), 1,
      anon_sym_CARET,
    ACTIONS(2328), 1,
      anon_sym_GT_EQ,
    ACTIONS(2332), 1,
      anon_sym_DOT,
    ACTIONS(2336), 1,
      anon_sym_PERCENT,
    ACTIONS(2492), 1,
      anon_sym_EQ_GT,
    STATE(1233), 1,
      sym_text_interpolation,
    ACTIONS(2154), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(2304), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2322), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2330), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2334), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2326), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2324), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [43698] = 25,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2338), 1,
      anon_sym_AMP,
    ACTIONS(2340), 1,
      anon_sym_QMARK,
    ACTIONS(2342), 1,
      anon_sym_PIPE,
    ACTIONS(2346), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2348), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2350), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2352), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2354), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2356), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2358), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2360), 1,
      anon_sym_CARET,
    ACTIONS(2368), 1,
      anon_sym_GT_EQ,
    ACTIONS(2372), 1,
      anon_sym_DOT,
    ACTIONS(2376), 1,
      anon_sym_PERCENT,
    STATE(1234), 1,
      sym_text_interpolation,
    STATE(2244), 1,
      sym__semicolon,
    ACTIONS(416), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(2344), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2362), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2370), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2374), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2366), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2364), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [43784] = 25,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2338), 1,
      anon_sym_AMP,
    ACTIONS(2340), 1,
      anon_sym_QMARK,
    ACTIONS(2342), 1,
      anon_sym_PIPE,
    ACTIONS(2346), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2348), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2350), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2352), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2354), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2356), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2358), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2360), 1,
      anon_sym_CARET,
    ACTIONS(2368), 1,
      anon_sym_GT_EQ,
    ACTIONS(2372), 1,
      anon_sym_DOT,
    ACTIONS(2376), 1,
      anon_sym_PERCENT,
    STATE(547), 1,
      sym__semicolon,
    STATE(1235), 1,
      sym_text_interpolation,
    ACTIONS(360), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(2344), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2362), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2370), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2374), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2366), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2364), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [43870] = 25,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2338), 1,
      anon_sym_AMP,
    ACTIONS(2340), 1,
      anon_sym_QMARK,
    ACTIONS(2342), 1,
      anon_sym_PIPE,
    ACTIONS(2346), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2348), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2350), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2352), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2354), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2356), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2358), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2360), 1,
      anon_sym_CARET,
    ACTIONS(2368), 1,
      anon_sym_GT_EQ,
    ACTIONS(2372), 1,
      anon_sym_DOT,
    ACTIONS(2376), 1,
      anon_sym_PERCENT,
    STATE(548), 1,
      sym__semicolon,
    STATE(1236), 1,
      sym_text_interpolation,
    ACTIONS(360), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(2344), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2362), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2370), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2374), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2366), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2364), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [43956] = 25,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2298), 1,
      anon_sym_AMP,
    ACTIONS(2300), 1,
      anon_sym_QMARK,
    ACTIONS(2302), 1,
      anon_sym_PIPE,
    ACTIONS(2306), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2308), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2310), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2312), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2314), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2316), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2318), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2320), 1,
      anon_sym_CARET,
    ACTIONS(2328), 1,
      anon_sym_GT_EQ,
    ACTIONS(2332), 1,
      anon_sym_DOT,
    ACTIONS(2336), 1,
      anon_sym_PERCENT,
    ACTIONS(2494), 1,
      anon_sym_EQ_GT,
    STATE(1237), 1,
      sym_text_interpolation,
    ACTIONS(2154), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(2304), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2322), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2330), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2334), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2326), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2324), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [44042] = 18,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(603), 1,
      anon_sym_BSLASH,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1828), 1,
      anon_sym_LPAREN2,
    ACTIONS(1830), 1,
      anon_sym_QMARK,
    ACTIONS(2484), 1,
      sym_name,
    STATE(717), 1,
      sym__reserved_identifier,
    STATE(1238), 1,
      sym_text_interpolation,
    STATE(1485), 1,
      sym__types,
    STATE(1495), 1,
      sym_qualified_name,
    STATE(1609), 1,
      sym_type,
    STATE(1805), 1,
      sym_const_element,
    STATE(2507), 1,
      sym_namespace_name,
    STATE(2638), 1,
      sym__identifier,
    ACTIONS(2090), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(1501), 3,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    STATE(1528), 3,
      sym_union_type,
      sym_intersection_type,
      sym_disjunctive_normal_form_type,
    ACTIONS(1826), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [44114] = 18,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(603), 1,
      anon_sym_BSLASH,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1828), 1,
      anon_sym_LPAREN2,
    ACTIONS(1830), 1,
      anon_sym_QMARK,
    ACTIONS(2484), 1,
      sym_name,
    STATE(717), 1,
      sym__reserved_identifier,
    STATE(1239), 1,
      sym_text_interpolation,
    STATE(1485), 1,
      sym__types,
    STATE(1495), 1,
      sym_qualified_name,
    STATE(1596), 1,
      sym_type,
    STATE(1785), 1,
      sym_const_element,
    STATE(2507), 1,
      sym_namespace_name,
    STATE(2638), 1,
      sym__identifier,
    ACTIONS(2090), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(1501), 3,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    STATE(1528), 3,
      sym_union_type,
      sym_intersection_type,
      sym_disjunctive_normal_form_type,
    ACTIONS(1826), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [44186] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2338), 1,
      anon_sym_AMP,
    ACTIONS(2340), 1,
      anon_sym_QMARK,
    ACTIONS(2342), 1,
      anon_sym_PIPE,
    ACTIONS(2346), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2348), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2350), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2352), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2354), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2356), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2358), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2360), 1,
      anon_sym_CARET,
    ACTIONS(2368), 1,
      anon_sym_GT_EQ,
    ACTIONS(2372), 1,
      anon_sym_DOT,
    ACTIONS(2376), 1,
      anon_sym_PERCENT,
    STATE(1240), 1,
      sym_text_interpolation,
    ACTIONS(2344), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2362), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2370), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2374), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2366), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2496), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
    ACTIONS(2364), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [44270] = 19,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(246), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(603), 1,
      anon_sym_BSLASH,
    ACTIONS(731), 1,
      anon_sym_AMP,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1818), 1,
      sym_name,
    ACTIONS(1828), 1,
      anon_sym_LPAREN2,
    ACTIONS(1830), 1,
      anon_sym_QMARK,
    ACTIONS(1867), 1,
      anon_sym_DOLLAR,
    STATE(1241), 1,
      sym_text_interpolation,
    STATE(1283), 1,
      sym_readonly_modifier,
    STATE(1495), 1,
      sym_qualified_name,
    STATE(1685), 1,
      sym__types,
    STATE(1913), 1,
      sym_type,
    STATE(2507), 1,
      sym_namespace_name,
    STATE(1764), 2,
      sym_variable_name,
      sym_by_ref,
    STATE(1501), 3,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    STATE(1528), 3,
      sym_union_type,
      sym_intersection_type,
      sym_disjunctive_normal_form_type,
    ACTIONS(1826), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [44344] = 25,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2298), 1,
      anon_sym_AMP,
    ACTIONS(2300), 1,
      anon_sym_QMARK,
    ACTIONS(2302), 1,
      anon_sym_PIPE,
    ACTIONS(2306), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2308), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2310), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2312), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2314), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2316), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2318), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2320), 1,
      anon_sym_CARET,
    ACTIONS(2328), 1,
      anon_sym_GT_EQ,
    ACTIONS(2332), 1,
      anon_sym_DOT,
    ACTIONS(2336), 1,
      anon_sym_PERCENT,
    ACTIONS(2478), 1,
      anon_sym_SEMI,
    ACTIONS(2498), 1,
      anon_sym_COMMA,
    STATE(1242), 1,
      sym_text_interpolation,
    ACTIONS(2304), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2322), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2330), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2334), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2326), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2324), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [44429] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2412), 1,
      anon_sym_AMP,
    ACTIONS(2414), 1,
      anon_sym_QMARK,
    ACTIONS(2416), 1,
      anon_sym_PIPE,
    ACTIONS(2420), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2422), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2424), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2426), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2428), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2430), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2432), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2434), 1,
      anon_sym_CARET,
    ACTIONS(2442), 1,
      anon_sym_GT_EQ,
    ACTIONS(2446), 1,
      anon_sym_DOT,
    ACTIONS(2450), 1,
      anon_sym_PERCENT,
    STATE(1243), 1,
      sym_text_interpolation,
    ACTIONS(2418), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2436), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2444), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2448), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2500), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
    ACTIONS(2440), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2438), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [44512] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2412), 1,
      anon_sym_AMP,
    ACTIONS(2414), 1,
      anon_sym_QMARK,
    ACTIONS(2416), 1,
      anon_sym_PIPE,
    ACTIONS(2420), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2422), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2424), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2426), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2428), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2430), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2432), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2434), 1,
      anon_sym_CARET,
    ACTIONS(2442), 1,
      anon_sym_GT_EQ,
    ACTIONS(2446), 1,
      anon_sym_DOT,
    ACTIONS(2450), 1,
      anon_sym_PERCENT,
    STATE(1244), 1,
      sym_text_interpolation,
    ACTIONS(2418), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2436), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2444), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2448), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2502), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
    ACTIONS(2440), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2438), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [44595] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2412), 1,
      anon_sym_AMP,
    ACTIONS(2414), 1,
      anon_sym_QMARK,
    ACTIONS(2416), 1,
      anon_sym_PIPE,
    ACTIONS(2420), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2422), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2424), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2426), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2428), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2430), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2432), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2434), 1,
      anon_sym_CARET,
    ACTIONS(2442), 1,
      anon_sym_GT_EQ,
    ACTIONS(2446), 1,
      anon_sym_DOT,
    ACTIONS(2450), 1,
      anon_sym_PERCENT,
    STATE(1245), 1,
      sym_text_interpolation,
    ACTIONS(2418), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2436), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2444), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2448), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2504), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
    ACTIONS(2440), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2438), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [44678] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2412), 1,
      anon_sym_AMP,
    ACTIONS(2414), 1,
      anon_sym_QMARK,
    ACTIONS(2416), 1,
      anon_sym_PIPE,
    ACTIONS(2420), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2422), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2424), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2426), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2428), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2430), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2432), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2434), 1,
      anon_sym_CARET,
    ACTIONS(2442), 1,
      anon_sym_GT_EQ,
    ACTIONS(2446), 1,
      anon_sym_DOT,
    ACTIONS(2450), 1,
      anon_sym_PERCENT,
    STATE(1246), 1,
      sym_text_interpolation,
    ACTIONS(2418), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2436), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2444), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2448), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2506), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
    ACTIONS(2440), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2438), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [44761] = 25,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2298), 1,
      anon_sym_AMP,
    ACTIONS(2300), 1,
      anon_sym_QMARK,
    ACTIONS(2302), 1,
      anon_sym_PIPE,
    ACTIONS(2306), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2308), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2310), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2312), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2314), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2316), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2318), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2320), 1,
      anon_sym_CARET,
    ACTIONS(2328), 1,
      anon_sym_GT_EQ,
    ACTIONS(2332), 1,
      anon_sym_DOT,
    ACTIONS(2336), 1,
      anon_sym_PERCENT,
    ACTIONS(2482), 1,
      anon_sym_SEMI,
    ACTIONS(2498), 1,
      anon_sym_COMMA,
    STATE(1247), 1,
      sym_text_interpolation,
    ACTIONS(2304), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2322), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2330), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2334), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2326), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2324), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [44846] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2412), 1,
      anon_sym_AMP,
    ACTIONS(2414), 1,
      anon_sym_QMARK,
    ACTIONS(2416), 1,
      anon_sym_PIPE,
    ACTIONS(2420), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2422), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2424), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2426), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2428), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2430), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2432), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2434), 1,
      anon_sym_CARET,
    ACTIONS(2442), 1,
      anon_sym_GT_EQ,
    ACTIONS(2446), 1,
      anon_sym_DOT,
    ACTIONS(2450), 1,
      anon_sym_PERCENT,
    STATE(1248), 1,
      sym_text_interpolation,
    ACTIONS(2418), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2436), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2444), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2448), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2508), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
    ACTIONS(2440), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2438), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [44929] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2298), 1,
      anon_sym_AMP,
    ACTIONS(2300), 1,
      anon_sym_QMARK,
    ACTIONS(2302), 1,
      anon_sym_PIPE,
    ACTIONS(2306), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2308), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2310), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2312), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2314), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2316), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2318), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2320), 1,
      anon_sym_CARET,
    ACTIONS(2328), 1,
      anon_sym_GT_EQ,
    ACTIONS(2332), 1,
      anon_sym_DOT,
    ACTIONS(2336), 1,
      anon_sym_PERCENT,
    STATE(1249), 1,
      sym_text_interpolation,
    ACTIONS(2304), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2322), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2330), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2334), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2510), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    ACTIONS(2326), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2324), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [45012] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2298), 1,
      anon_sym_AMP,
    ACTIONS(2300), 1,
      anon_sym_QMARK,
    ACTIONS(2302), 1,
      anon_sym_PIPE,
    ACTIONS(2306), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2308), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2310), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2312), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2314), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2316), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2318), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2320), 1,
      anon_sym_CARET,
    ACTIONS(2328), 1,
      anon_sym_GT_EQ,
    ACTIONS(2332), 1,
      anon_sym_DOT,
    ACTIONS(2336), 1,
      anon_sym_PERCENT,
    STATE(1250), 1,
      sym_text_interpolation,
    ACTIONS(2304), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2322), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2330), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2334), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2512), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    ACTIONS(2326), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2324), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [45095] = 25,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2224), 1,
      anon_sym_AMP,
    ACTIONS(2226), 1,
      anon_sym_PIPE,
    ACTIONS(2230), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2232), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2234), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2236), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2238), 1,
      anon_sym_CARET,
    ACTIONS(2246), 1,
      anon_sym_GT_EQ,
    ACTIONS(2250), 1,
      anon_sym_DOT,
    ACTIONS(2254), 1,
      anon_sym_PERCENT,
    ACTIONS(2258), 1,
      anon_sym_QMARK,
    ACTIONS(2260), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2262), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2264), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2514), 1,
      anon_sym_EQ_GT,
    ACTIONS(2516), 1,
      anon_sym_RPAREN2,
    STATE(1251), 1,
      sym_text_interpolation,
    ACTIONS(2228), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2240), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2248), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2252), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2244), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2242), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [45180] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2298), 1,
      anon_sym_AMP,
    ACTIONS(2300), 1,
      anon_sym_QMARK,
    ACTIONS(2302), 1,
      anon_sym_PIPE,
    ACTIONS(2306), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2308), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2310), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2312), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2314), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2316), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2318), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2320), 1,
      anon_sym_CARET,
    ACTIONS(2328), 1,
      anon_sym_GT_EQ,
    ACTIONS(2332), 1,
      anon_sym_DOT,
    ACTIONS(2336), 1,
      anon_sym_PERCENT,
    STATE(1252), 1,
      sym_text_interpolation,
    ACTIONS(2304), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2322), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2330), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2334), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2518), 2,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
    ACTIONS(2326), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2324), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [45263] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2412), 1,
      anon_sym_AMP,
    ACTIONS(2414), 1,
      anon_sym_QMARK,
    ACTIONS(2416), 1,
      anon_sym_PIPE,
    ACTIONS(2420), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2422), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2424), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2426), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2428), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2430), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2432), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2434), 1,
      anon_sym_CARET,
    ACTIONS(2442), 1,
      anon_sym_GT_EQ,
    ACTIONS(2446), 1,
      anon_sym_DOT,
    ACTIONS(2450), 1,
      anon_sym_PERCENT,
    STATE(1253), 1,
      sym_text_interpolation,
    ACTIONS(2418), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2436), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2444), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2448), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2520), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
    ACTIONS(2440), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2438), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [45346] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2412), 1,
      anon_sym_AMP,
    ACTIONS(2414), 1,
      anon_sym_QMARK,
    ACTIONS(2416), 1,
      anon_sym_PIPE,
    ACTIONS(2420), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2422), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2424), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2426), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2428), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2430), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2432), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2434), 1,
      anon_sym_CARET,
    ACTIONS(2442), 1,
      anon_sym_GT_EQ,
    ACTIONS(2446), 1,
      anon_sym_DOT,
    ACTIONS(2450), 1,
      anon_sym_PERCENT,
    STATE(1254), 1,
      sym_text_interpolation,
    ACTIONS(2418), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2436), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2444), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2448), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2522), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
    ACTIONS(2440), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2438), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [45429] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2224), 1,
      anon_sym_AMP,
    ACTIONS(2226), 1,
      anon_sym_PIPE,
    ACTIONS(2230), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2232), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2234), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2236), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2238), 1,
      anon_sym_CARET,
    ACTIONS(2246), 1,
      anon_sym_GT_EQ,
    ACTIONS(2250), 1,
      anon_sym_DOT,
    ACTIONS(2254), 1,
      anon_sym_PERCENT,
    ACTIONS(2258), 1,
      anon_sym_QMARK,
    ACTIONS(2260), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2262), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2264), 1,
      aux_sym_binary_expression_token4,
    STATE(1255), 1,
      sym_text_interpolation,
    ACTIONS(2228), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2240), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2248), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2252), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2524), 2,
      anon_sym_SEMI,
      anon_sym_COLON,
    ACTIONS(2244), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2242), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [45512] = 25,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2412), 1,
      anon_sym_AMP,
    ACTIONS(2414), 1,
      anon_sym_QMARK,
    ACTIONS(2416), 1,
      anon_sym_PIPE,
    ACTIONS(2420), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2422), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2424), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2426), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2428), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2430), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2432), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2434), 1,
      anon_sym_CARET,
    ACTIONS(2442), 1,
      anon_sym_GT_EQ,
    ACTIONS(2446), 1,
      anon_sym_DOT,
    ACTIONS(2450), 1,
      anon_sym_PERCENT,
    ACTIONS(2482), 1,
      anon_sym_RPAREN2,
    ACTIONS(2526), 1,
      anon_sym_COMMA,
    STATE(1256), 1,
      sym_text_interpolation,
    ACTIONS(2418), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2436), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2444), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2448), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2440), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2438), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [45597] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2412), 1,
      anon_sym_AMP,
    ACTIONS(2414), 1,
      anon_sym_QMARK,
    ACTIONS(2416), 1,
      anon_sym_PIPE,
    ACTIONS(2420), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2422), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2424), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2426), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2428), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2430), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2432), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2434), 1,
      anon_sym_CARET,
    ACTIONS(2442), 1,
      anon_sym_GT_EQ,
    ACTIONS(2446), 1,
      anon_sym_DOT,
    ACTIONS(2450), 1,
      anon_sym_PERCENT,
    STATE(1257), 1,
      sym_text_interpolation,
    ACTIONS(2418), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2436), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2444), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2448), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2528), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
    ACTIONS(2440), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2438), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [45680] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2412), 1,
      anon_sym_AMP,
    ACTIONS(2414), 1,
      anon_sym_QMARK,
    ACTIONS(2416), 1,
      anon_sym_PIPE,
    ACTIONS(2420), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2422), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2424), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2426), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2428), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2430), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2432), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2434), 1,
      anon_sym_CARET,
    ACTIONS(2442), 1,
      anon_sym_GT_EQ,
    ACTIONS(2446), 1,
      anon_sym_DOT,
    ACTIONS(2450), 1,
      anon_sym_PERCENT,
    STATE(1258), 1,
      sym_text_interpolation,
    ACTIONS(2418), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2436), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2444), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2448), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2530), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
    ACTIONS(2440), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2438), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [45763] = 27,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(318), 1,
      anon_sym_POUND_LBRACK,
    ACTIONS(2532), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(2534), 1,
      aux_sym_namespace_use_declaration_token1,
    ACTIONS(2536), 1,
      aux_sym__namespace_use_type_token1,
    ACTIONS(2538), 1,
      aux_sym__namespace_use_type_token2,
    ACTIONS(2540), 1,
      anon_sym_RBRACE,
    ACTIONS(2542), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(2544), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(2546), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(2548), 1,
      sym_var_modifier,
    STATE(718), 1,
      aux_sym_class_declaration_repeat1,
    STATE(1158), 1,
      sym_final_modifier,
    STATE(1259), 1,
      sym_text_interpolation,
    STATE(1266), 1,
      aux_sym_declaration_list_repeat1,
    STATE(1334), 1,
      sym__modifier,
    STATE(1365), 1,
      aux_sym_attribute_list_repeat1,
    STATE(1371), 1,
      sym_attribute_list,
    STATE(1373), 1,
      sym_attribute_group,
    STATE(1438), 1,
      sym__member_declaration,
    STATE(1439), 1,
      sym__class_const_declaration,
    STATE(1440), 1,
      sym__const_declaration,
    STATE(1827), 1,
      sym__function_definition_header,
    ACTIONS(2550), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1441), 3,
      sym_property_declaration,
      sym_method_declaration,
      sym_use_declaration,
    STATE(1335), 4,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym_static_modifier,
      sym_visibility_modifier,
  [45852] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2412), 1,
      anon_sym_AMP,
    ACTIONS(2414), 1,
      anon_sym_QMARK,
    ACTIONS(2416), 1,
      anon_sym_PIPE,
    ACTIONS(2420), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2422), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2424), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2426), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2428), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2430), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2432), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2434), 1,
      anon_sym_CARET,
    ACTIONS(2442), 1,
      anon_sym_GT_EQ,
    ACTIONS(2446), 1,
      anon_sym_DOT,
    ACTIONS(2450), 1,
      anon_sym_PERCENT,
    STATE(1260), 1,
      sym_text_interpolation,
    ACTIONS(2418), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2436), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2444), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2448), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2552), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
    ACTIONS(2440), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2438), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [45935] = 27,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(318), 1,
      anon_sym_POUND_LBRACK,
    ACTIONS(2532), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(2534), 1,
      aux_sym_namespace_use_declaration_token1,
    ACTIONS(2536), 1,
      aux_sym__namespace_use_type_token1,
    ACTIONS(2538), 1,
      aux_sym__namespace_use_type_token2,
    ACTIONS(2542), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(2544), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(2546), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(2548), 1,
      sym_var_modifier,
    ACTIONS(2554), 1,
      anon_sym_RBRACE,
    STATE(718), 1,
      aux_sym_class_declaration_repeat1,
    STATE(1158), 1,
      sym_final_modifier,
    STATE(1261), 1,
      sym_text_interpolation,
    STATE(1262), 1,
      aux_sym_declaration_list_repeat1,
    STATE(1334), 1,
      sym__modifier,
    STATE(1365), 1,
      aux_sym_attribute_list_repeat1,
    STATE(1371), 1,
      sym_attribute_list,
    STATE(1373), 1,
      sym_attribute_group,
    STATE(1438), 1,
      sym__member_declaration,
    STATE(1439), 1,
      sym__class_const_declaration,
    STATE(1440), 1,
      sym__const_declaration,
    STATE(1827), 1,
      sym__function_definition_header,
    ACTIONS(2550), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1441), 3,
      sym_property_declaration,
      sym_method_declaration,
      sym_use_declaration,
    STATE(1335), 4,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym_static_modifier,
      sym_visibility_modifier,
  [46024] = 27,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(318), 1,
      anon_sym_POUND_LBRACK,
    ACTIONS(2532), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(2534), 1,
      aux_sym_namespace_use_declaration_token1,
    ACTIONS(2536), 1,
      aux_sym__namespace_use_type_token1,
    ACTIONS(2538), 1,
      aux_sym__namespace_use_type_token2,
    ACTIONS(2542), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(2544), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(2546), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(2548), 1,
      sym_var_modifier,
    ACTIONS(2556), 1,
      anon_sym_RBRACE,
    STATE(718), 1,
      aux_sym_class_declaration_repeat1,
    STATE(1158), 1,
      sym_final_modifier,
    STATE(1262), 1,
      sym_text_interpolation,
    STATE(1269), 1,
      aux_sym_declaration_list_repeat1,
    STATE(1334), 1,
      sym__modifier,
    STATE(1365), 1,
      aux_sym_attribute_list_repeat1,
    STATE(1371), 1,
      sym_attribute_list,
    STATE(1373), 1,
      sym_attribute_group,
    STATE(1438), 1,
      sym__member_declaration,
    STATE(1439), 1,
      sym__class_const_declaration,
    STATE(1440), 1,
      sym__const_declaration,
    STATE(1827), 1,
      sym__function_definition_header,
    ACTIONS(2550), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1441), 3,
      sym_property_declaration,
      sym_method_declaration,
      sym_use_declaration,
    STATE(1335), 4,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym_static_modifier,
      sym_visibility_modifier,
  [46113] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2412), 1,
      anon_sym_AMP,
    ACTIONS(2414), 1,
      anon_sym_QMARK,
    ACTIONS(2416), 1,
      anon_sym_PIPE,
    ACTIONS(2420), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2422), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2424), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2426), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2428), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2430), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2432), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2434), 1,
      anon_sym_CARET,
    ACTIONS(2442), 1,
      anon_sym_GT_EQ,
    ACTIONS(2446), 1,
      anon_sym_DOT,
    ACTIONS(2450), 1,
      anon_sym_PERCENT,
    STATE(1263), 1,
      sym_text_interpolation,
    ACTIONS(2418), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2436), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2444), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2448), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2558), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
    ACTIONS(2440), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2438), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [46196] = 27,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(318), 1,
      anon_sym_POUND_LBRACK,
    ACTIONS(2532), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(2534), 1,
      aux_sym_namespace_use_declaration_token1,
    ACTIONS(2536), 1,
      aux_sym__namespace_use_type_token1,
    ACTIONS(2538), 1,
      aux_sym__namespace_use_type_token2,
    ACTIONS(2542), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(2544), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(2546), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(2548), 1,
      sym_var_modifier,
    ACTIONS(2560), 1,
      anon_sym_RBRACE,
    STATE(718), 1,
      aux_sym_class_declaration_repeat1,
    STATE(1158), 1,
      sym_final_modifier,
    STATE(1264), 1,
      sym_text_interpolation,
    STATE(1268), 1,
      aux_sym_declaration_list_repeat1,
    STATE(1334), 1,
      sym__modifier,
    STATE(1365), 1,
      aux_sym_attribute_list_repeat1,
    STATE(1371), 1,
      sym_attribute_list,
    STATE(1373), 1,
      sym_attribute_group,
    STATE(1438), 1,
      sym__member_declaration,
    STATE(1439), 1,
      sym__class_const_declaration,
    STATE(1440), 1,
      sym__const_declaration,
    STATE(1827), 1,
      sym__function_definition_header,
    ACTIONS(2550), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1441), 3,
      sym_property_declaration,
      sym_method_declaration,
      sym_use_declaration,
    STATE(1335), 4,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym_static_modifier,
      sym_visibility_modifier,
  [46285] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2412), 1,
      anon_sym_AMP,
    ACTIONS(2414), 1,
      anon_sym_QMARK,
    ACTIONS(2416), 1,
      anon_sym_PIPE,
    ACTIONS(2420), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2422), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2424), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2426), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2428), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2430), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2432), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2434), 1,
      anon_sym_CARET,
    ACTIONS(2442), 1,
      anon_sym_GT_EQ,
    ACTIONS(2446), 1,
      anon_sym_DOT,
    ACTIONS(2450), 1,
      anon_sym_PERCENT,
    STATE(1265), 1,
      sym_text_interpolation,
    ACTIONS(2418), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2436), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2444), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2448), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2562), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
    ACTIONS(2440), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2438), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [46368] = 27,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(318), 1,
      anon_sym_POUND_LBRACK,
    ACTIONS(2532), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(2534), 1,
      aux_sym_namespace_use_declaration_token1,
    ACTIONS(2536), 1,
      aux_sym__namespace_use_type_token1,
    ACTIONS(2538), 1,
      aux_sym__namespace_use_type_token2,
    ACTIONS(2542), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(2544), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(2546), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(2548), 1,
      sym_var_modifier,
    ACTIONS(2564), 1,
      anon_sym_RBRACE,
    STATE(718), 1,
      aux_sym_class_declaration_repeat1,
    STATE(1158), 1,
      sym_final_modifier,
    STATE(1266), 1,
      sym_text_interpolation,
    STATE(1269), 1,
      aux_sym_declaration_list_repeat1,
    STATE(1334), 1,
      sym__modifier,
    STATE(1365), 1,
      aux_sym_attribute_list_repeat1,
    STATE(1371), 1,
      sym_attribute_list,
    STATE(1373), 1,
      sym_attribute_group,
    STATE(1438), 1,
      sym__member_declaration,
    STATE(1439), 1,
      sym__class_const_declaration,
    STATE(1440), 1,
      sym__const_declaration,
    STATE(1827), 1,
      sym__function_definition_header,
    ACTIONS(2550), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1441), 3,
      sym_property_declaration,
      sym_method_declaration,
      sym_use_declaration,
    STATE(1335), 4,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym_static_modifier,
      sym_visibility_modifier,
  [46457] = 25,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2412), 1,
      anon_sym_AMP,
    ACTIONS(2414), 1,
      anon_sym_QMARK,
    ACTIONS(2416), 1,
      anon_sym_PIPE,
    ACTIONS(2420), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2422), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2424), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2426), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2428), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2430), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2432), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2434), 1,
      anon_sym_CARET,
    ACTIONS(2442), 1,
      anon_sym_GT_EQ,
    ACTIONS(2446), 1,
      anon_sym_DOT,
    ACTIONS(2450), 1,
      anon_sym_PERCENT,
    ACTIONS(2478), 1,
      anon_sym_RPAREN2,
    ACTIONS(2526), 1,
      anon_sym_COMMA,
    STATE(1267), 1,
      sym_text_interpolation,
    ACTIONS(2418), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2436), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2444), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2448), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2440), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2438), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [46542] = 27,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(318), 1,
      anon_sym_POUND_LBRACK,
    ACTIONS(2532), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(2534), 1,
      aux_sym_namespace_use_declaration_token1,
    ACTIONS(2536), 1,
      aux_sym__namespace_use_type_token1,
    ACTIONS(2538), 1,
      aux_sym__namespace_use_type_token2,
    ACTIONS(2542), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(2544), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(2546), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(2548), 1,
      sym_var_modifier,
    ACTIONS(2566), 1,
      anon_sym_RBRACE,
    STATE(718), 1,
      aux_sym_class_declaration_repeat1,
    STATE(1158), 1,
      sym_final_modifier,
    STATE(1268), 1,
      sym_text_interpolation,
    STATE(1269), 1,
      aux_sym_declaration_list_repeat1,
    STATE(1334), 1,
      sym__modifier,
    STATE(1365), 1,
      aux_sym_attribute_list_repeat1,
    STATE(1371), 1,
      sym_attribute_list,
    STATE(1373), 1,
      sym_attribute_group,
    STATE(1438), 1,
      sym__member_declaration,
    STATE(1439), 1,
      sym__class_const_declaration,
    STATE(1440), 1,
      sym__const_declaration,
    STATE(1827), 1,
      sym__function_definition_header,
    ACTIONS(2550), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1441), 3,
      sym_property_declaration,
      sym_method_declaration,
      sym_use_declaration,
    STATE(1335), 4,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym_static_modifier,
      sym_visibility_modifier,
  [46631] = 26,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(2568), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(2571), 1,
      aux_sym_namespace_use_declaration_token1,
    ACTIONS(2574), 1,
      aux_sym__namespace_use_type_token1,
    ACTIONS(2577), 1,
      aux_sym__namespace_use_type_token2,
    ACTIONS(2580), 1,
      anon_sym_RBRACE,
    ACTIONS(2582), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(2585), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(2588), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(2591), 1,
      sym_var_modifier,
    ACTIONS(2597), 1,
      anon_sym_POUND_LBRACK,
    STATE(718), 1,
      aux_sym_class_declaration_repeat1,
    STATE(1158), 1,
      sym_final_modifier,
    STATE(1334), 1,
      sym__modifier,
    STATE(1365), 1,
      aux_sym_attribute_list_repeat1,
    STATE(1371), 1,
      sym_attribute_list,
    STATE(1373), 1,
      sym_attribute_group,
    STATE(1438), 1,
      sym__member_declaration,
    STATE(1439), 1,
      sym__class_const_declaration,
    STATE(1440), 1,
      sym__const_declaration,
    STATE(1827), 1,
      sym__function_definition_header,
    STATE(1269), 2,
      sym_text_interpolation,
      aux_sym_declaration_list_repeat1,
    ACTIONS(2594), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1441), 3,
      sym_property_declaration,
      sym_method_declaration,
      sym_use_declaration,
    STATE(1335), 4,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym_static_modifier,
      sym_visibility_modifier,
  [46718] = 17,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(603), 1,
      anon_sym_BSLASH,
    ACTIONS(731), 1,
      anon_sym_AMP,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1818), 1,
      sym_name,
    ACTIONS(1828), 1,
      anon_sym_LPAREN2,
    ACTIONS(1830), 1,
      anon_sym_QMARK,
    ACTIONS(1867), 1,
      anon_sym_DOLLAR,
    STATE(1270), 1,
      sym_text_interpolation,
    STATE(1495), 1,
      sym_qualified_name,
    STATE(1685), 1,
      sym__types,
    STATE(1906), 1,
      sym_type,
    STATE(2507), 1,
      sym_namespace_name,
    STATE(1743), 2,
      sym_variable_name,
      sym_by_ref,
    STATE(1501), 3,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    STATE(1528), 3,
      sym_union_type,
      sym_intersection_type,
      sym_disjunctive_normal_form_type,
    ACTIONS(1826), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [46786] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2298), 1,
      anon_sym_AMP,
    ACTIONS(2300), 1,
      anon_sym_QMARK,
    ACTIONS(2302), 1,
      anon_sym_PIPE,
    ACTIONS(2306), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2308), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2310), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2312), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2314), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2316), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2318), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2320), 1,
      anon_sym_CARET,
    ACTIONS(2328), 1,
      anon_sym_GT_EQ,
    ACTIONS(2332), 1,
      anon_sym_DOT,
    ACTIONS(2336), 1,
      anon_sym_PERCENT,
    ACTIONS(2600), 1,
      anon_sym_RBRACK,
    STATE(1271), 1,
      sym_text_interpolation,
    ACTIONS(2304), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2322), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2330), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2334), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2326), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2324), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [46868] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2224), 1,
      anon_sym_AMP,
    ACTIONS(2226), 1,
      anon_sym_PIPE,
    ACTIONS(2230), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2232), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2234), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2236), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2238), 1,
      anon_sym_CARET,
    ACTIONS(2246), 1,
      anon_sym_GT_EQ,
    ACTIONS(2250), 1,
      anon_sym_DOT,
    ACTIONS(2254), 1,
      anon_sym_PERCENT,
    ACTIONS(2258), 1,
      anon_sym_QMARK,
    ACTIONS(2260), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2262), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2264), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2602), 1,
      anon_sym_RBRACE,
    STATE(1272), 1,
      sym_text_interpolation,
    ACTIONS(2228), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2240), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2248), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2252), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2244), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2242), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [46950] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2224), 1,
      anon_sym_AMP,
    ACTIONS(2226), 1,
      anon_sym_PIPE,
    ACTIONS(2230), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2232), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2234), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2236), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2238), 1,
      anon_sym_CARET,
    ACTIONS(2246), 1,
      anon_sym_GT_EQ,
    ACTIONS(2250), 1,
      anon_sym_DOT,
    ACTIONS(2254), 1,
      anon_sym_PERCENT,
    ACTIONS(2258), 1,
      anon_sym_QMARK,
    ACTIONS(2260), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2262), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2264), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2604), 1,
      anon_sym_RPAREN2,
    STATE(1273), 1,
      sym_text_interpolation,
    ACTIONS(2228), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2240), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2248), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2252), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2244), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2242), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [47032] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2610), 1,
      anon_sym_LPAREN,
    STATE(1274), 1,
      sym_text_interpolation,
    ACTIONS(2608), 3,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_DOLLAR,
    ACTIONS(2606), 26,
      aux_sym_function_static_declaration_token1,
      aux_sym__namespace_use_type_token1,
      aux_sym__namespace_use_type_token2,
      anon_sym_string,
      anon_sym_int,
      aux_sym_class_declaration_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_LPAREN2,
      anon_sym_QMARK,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
      sym_name,
  [47078] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2224), 1,
      anon_sym_AMP,
    ACTIONS(2226), 1,
      anon_sym_PIPE,
    ACTIONS(2230), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2232), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2234), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2236), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2238), 1,
      anon_sym_CARET,
    ACTIONS(2246), 1,
      anon_sym_GT_EQ,
    ACTIONS(2250), 1,
      anon_sym_DOT,
    ACTIONS(2254), 1,
      anon_sym_PERCENT,
    ACTIONS(2258), 1,
      anon_sym_QMARK,
    ACTIONS(2260), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2262), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2264), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2612), 1,
      anon_sym_RBRACE,
    STATE(1275), 1,
      sym_text_interpolation,
    ACTIONS(2228), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2240), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2248), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2252), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2244), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2242), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [47160] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2224), 1,
      anon_sym_AMP,
    ACTIONS(2226), 1,
      anon_sym_PIPE,
    ACTIONS(2230), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2232), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2234), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2236), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2238), 1,
      anon_sym_CARET,
    ACTIONS(2246), 1,
      anon_sym_GT_EQ,
    ACTIONS(2250), 1,
      anon_sym_DOT,
    ACTIONS(2254), 1,
      anon_sym_PERCENT,
    ACTIONS(2258), 1,
      anon_sym_QMARK,
    ACTIONS(2260), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2262), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2264), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2614), 1,
      anon_sym_RBRACE,
    STATE(1276), 1,
      sym_text_interpolation,
    ACTIONS(2228), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2240), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2248), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2252), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2244), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2242), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [47242] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2298), 1,
      anon_sym_AMP,
    ACTIONS(2300), 1,
      anon_sym_QMARK,
    ACTIONS(2302), 1,
      anon_sym_PIPE,
    ACTIONS(2306), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2308), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2310), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2312), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2314), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2316), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2318), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2320), 1,
      anon_sym_CARET,
    ACTIONS(2328), 1,
      anon_sym_GT_EQ,
    ACTIONS(2332), 1,
      anon_sym_DOT,
    ACTIONS(2336), 1,
      anon_sym_PERCENT,
    ACTIONS(2616), 1,
      anon_sym_RBRACK,
    STATE(1277), 1,
      sym_text_interpolation,
    ACTIONS(2304), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2322), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2330), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2334), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2326), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2324), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [47324] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2298), 1,
      anon_sym_AMP,
    ACTIONS(2300), 1,
      anon_sym_QMARK,
    ACTIONS(2302), 1,
      anon_sym_PIPE,
    ACTIONS(2306), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2308), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2310), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2312), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2314), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2316), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2318), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2320), 1,
      anon_sym_CARET,
    ACTIONS(2328), 1,
      anon_sym_GT_EQ,
    ACTIONS(2332), 1,
      anon_sym_DOT,
    ACTIONS(2336), 1,
      anon_sym_PERCENT,
    ACTIONS(2618), 1,
      anon_sym_RBRACK,
    STATE(1278), 1,
      sym_text_interpolation,
    ACTIONS(2304), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2322), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2330), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2334), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2326), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2324), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [47406] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2224), 1,
      anon_sym_AMP,
    ACTIONS(2226), 1,
      anon_sym_PIPE,
    ACTIONS(2230), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2232), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2234), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2236), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2238), 1,
      anon_sym_CARET,
    ACTIONS(2246), 1,
      anon_sym_GT_EQ,
    ACTIONS(2250), 1,
      anon_sym_DOT,
    ACTIONS(2254), 1,
      anon_sym_PERCENT,
    ACTIONS(2258), 1,
      anon_sym_QMARK,
    ACTIONS(2260), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2262), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2264), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2620), 1,
      anon_sym_RBRACE,
    STATE(1279), 1,
      sym_text_interpolation,
    ACTIONS(2228), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2240), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2248), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2252), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2244), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2242), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [47488] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2224), 1,
      anon_sym_AMP,
    ACTIONS(2226), 1,
      anon_sym_PIPE,
    ACTIONS(2230), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2232), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2234), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2236), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2238), 1,
      anon_sym_CARET,
    ACTIONS(2246), 1,
      anon_sym_GT_EQ,
    ACTIONS(2250), 1,
      anon_sym_DOT,
    ACTIONS(2254), 1,
      anon_sym_PERCENT,
    ACTIONS(2258), 1,
      anon_sym_QMARK,
    ACTIONS(2260), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2262), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2264), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2622), 1,
      anon_sym_RBRACE,
    STATE(1280), 1,
      sym_text_interpolation,
    ACTIONS(2228), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2240), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2248), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2252), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2244), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2242), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [47570] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2224), 1,
      anon_sym_AMP,
    ACTIONS(2226), 1,
      anon_sym_PIPE,
    ACTIONS(2230), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2232), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2234), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2236), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2238), 1,
      anon_sym_CARET,
    ACTIONS(2246), 1,
      anon_sym_GT_EQ,
    ACTIONS(2250), 1,
      anon_sym_DOT,
    ACTIONS(2254), 1,
      anon_sym_PERCENT,
    ACTIONS(2258), 1,
      anon_sym_QMARK,
    ACTIONS(2260), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2262), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2264), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2624), 1,
      anon_sym_EQ_GT,
    STATE(1281), 1,
      sym_text_interpolation,
    ACTIONS(2228), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2240), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2248), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2252), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2244), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2242), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [47652] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2224), 1,
      anon_sym_AMP,
    ACTIONS(2226), 1,
      anon_sym_PIPE,
    ACTIONS(2230), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2232), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2234), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2236), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2238), 1,
      anon_sym_CARET,
    ACTIONS(2246), 1,
      anon_sym_GT_EQ,
    ACTIONS(2250), 1,
      anon_sym_DOT,
    ACTIONS(2254), 1,
      anon_sym_PERCENT,
    ACTIONS(2258), 1,
      anon_sym_QMARK,
    ACTIONS(2260), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2262), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2264), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2626), 1,
      anon_sym_RBRACE,
    STATE(1282), 1,
      sym_text_interpolation,
    ACTIONS(2228), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2240), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2248), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2252), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2244), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2242), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [47734] = 17,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(603), 1,
      anon_sym_BSLASH,
    ACTIONS(731), 1,
      anon_sym_AMP,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1818), 1,
      sym_name,
    ACTIONS(1828), 1,
      anon_sym_LPAREN2,
    ACTIONS(1830), 1,
      anon_sym_QMARK,
    ACTIONS(1867), 1,
      anon_sym_DOLLAR,
    STATE(1283), 1,
      sym_text_interpolation,
    STATE(1495), 1,
      sym_qualified_name,
    STATE(1685), 1,
      sym__types,
    STATE(1880), 1,
      sym_type,
    STATE(2507), 1,
      sym_namespace_name,
    STATE(1735), 2,
      sym_variable_name,
      sym_by_ref,
    STATE(1501), 3,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    STATE(1528), 3,
      sym_union_type,
      sym_intersection_type,
      sym_disjunctive_normal_form_type,
    ACTIONS(1826), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [47802] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2298), 1,
      anon_sym_AMP,
    ACTIONS(2300), 1,
      anon_sym_QMARK,
    ACTIONS(2302), 1,
      anon_sym_PIPE,
    ACTIONS(2306), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2308), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2310), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2312), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2314), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2316), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2318), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2320), 1,
      anon_sym_CARET,
    ACTIONS(2328), 1,
      anon_sym_GT_EQ,
    ACTIONS(2332), 1,
      anon_sym_DOT,
    ACTIONS(2336), 1,
      anon_sym_PERCENT,
    ACTIONS(2628), 1,
      anon_sym_RBRACK,
    STATE(1284), 1,
      sym_text_interpolation,
    ACTIONS(2304), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2322), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2330), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2334), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2326), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2324), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [47884] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2224), 1,
      anon_sym_AMP,
    ACTIONS(2226), 1,
      anon_sym_PIPE,
    ACTIONS(2230), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2232), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2234), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2236), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2238), 1,
      anon_sym_CARET,
    ACTIONS(2246), 1,
      anon_sym_GT_EQ,
    ACTIONS(2250), 1,
      anon_sym_DOT,
    ACTIONS(2254), 1,
      anon_sym_PERCENT,
    ACTIONS(2258), 1,
      anon_sym_QMARK,
    ACTIONS(2260), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2262), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2264), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2630), 1,
      anon_sym_RPAREN2,
    STATE(1285), 1,
      sym_text_interpolation,
    ACTIONS(2228), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2240), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2248), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2252), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2244), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2242), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [47966] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2224), 1,
      anon_sym_AMP,
    ACTIONS(2226), 1,
      anon_sym_PIPE,
    ACTIONS(2230), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2232), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2234), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2236), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2238), 1,
      anon_sym_CARET,
    ACTIONS(2246), 1,
      anon_sym_GT_EQ,
    ACTIONS(2250), 1,
      anon_sym_DOT,
    ACTIONS(2254), 1,
      anon_sym_PERCENT,
    ACTIONS(2258), 1,
      anon_sym_QMARK,
    ACTIONS(2260), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2262), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2264), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2632), 1,
      anon_sym_COLON,
    STATE(1286), 1,
      sym_text_interpolation,
    ACTIONS(2228), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2240), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2248), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2252), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2244), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2242), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [48048] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2224), 1,
      anon_sym_AMP,
    ACTIONS(2226), 1,
      anon_sym_PIPE,
    ACTIONS(2230), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2232), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2234), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2236), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2238), 1,
      anon_sym_CARET,
    ACTIONS(2246), 1,
      anon_sym_GT_EQ,
    ACTIONS(2250), 1,
      anon_sym_DOT,
    ACTIONS(2254), 1,
      anon_sym_PERCENT,
    ACTIONS(2258), 1,
      anon_sym_QMARK,
    ACTIONS(2260), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2262), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2264), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2634), 1,
      anon_sym_RBRACE,
    STATE(1287), 1,
      sym_text_interpolation,
    ACTIONS(2228), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2240), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2248), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2252), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2244), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2242), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [48130] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2224), 1,
      anon_sym_AMP,
    ACTIONS(2226), 1,
      anon_sym_PIPE,
    ACTIONS(2230), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2232), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2234), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2236), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2238), 1,
      anon_sym_CARET,
    ACTIONS(2246), 1,
      anon_sym_GT_EQ,
    ACTIONS(2250), 1,
      anon_sym_DOT,
    ACTIONS(2254), 1,
      anon_sym_PERCENT,
    ACTIONS(2258), 1,
      anon_sym_QMARK,
    ACTIONS(2260), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2262), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2264), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2636), 1,
      anon_sym_RPAREN2,
    STATE(1288), 1,
      sym_text_interpolation,
    ACTIONS(2228), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2240), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2248), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2252), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2244), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2242), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [48212] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2224), 1,
      anon_sym_AMP,
    ACTIONS(2226), 1,
      anon_sym_PIPE,
    ACTIONS(2230), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2232), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2234), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2236), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2238), 1,
      anon_sym_CARET,
    ACTIONS(2246), 1,
      anon_sym_GT_EQ,
    ACTIONS(2250), 1,
      anon_sym_DOT,
    ACTIONS(2254), 1,
      anon_sym_PERCENT,
    ACTIONS(2258), 1,
      anon_sym_QMARK,
    ACTIONS(2260), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2262), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2264), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2516), 1,
      anon_sym_RPAREN2,
    STATE(1289), 1,
      sym_text_interpolation,
    ACTIONS(2228), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2240), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2248), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2252), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2244), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2242), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [48294] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2224), 1,
      anon_sym_AMP,
    ACTIONS(2226), 1,
      anon_sym_PIPE,
    ACTIONS(2230), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2232), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2234), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2236), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2238), 1,
      anon_sym_CARET,
    ACTIONS(2246), 1,
      anon_sym_GT_EQ,
    ACTIONS(2250), 1,
      anon_sym_DOT,
    ACTIONS(2254), 1,
      anon_sym_PERCENT,
    ACTIONS(2258), 1,
      anon_sym_QMARK,
    ACTIONS(2260), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2262), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2264), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2638), 1,
      anon_sym_RBRACE,
    STATE(1290), 1,
      sym_text_interpolation,
    ACTIONS(2228), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2240), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2248), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2252), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2244), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2242), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [48376] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2224), 1,
      anon_sym_AMP,
    ACTIONS(2226), 1,
      anon_sym_PIPE,
    ACTIONS(2230), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2232), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2234), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2236), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2238), 1,
      anon_sym_CARET,
    ACTIONS(2246), 1,
      anon_sym_GT_EQ,
    ACTIONS(2250), 1,
      anon_sym_DOT,
    ACTIONS(2254), 1,
      anon_sym_PERCENT,
    ACTIONS(2258), 1,
      anon_sym_QMARK,
    ACTIONS(2260), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2262), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2264), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2640), 1,
      anon_sym_RPAREN2,
    STATE(1291), 1,
      sym_text_interpolation,
    ACTIONS(2228), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2240), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2248), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2252), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2244), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2242), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [48458] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2224), 1,
      anon_sym_AMP,
    ACTIONS(2226), 1,
      anon_sym_PIPE,
    ACTIONS(2230), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2232), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2234), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2236), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2238), 1,
      anon_sym_CARET,
    ACTIONS(2246), 1,
      anon_sym_GT_EQ,
    ACTIONS(2250), 1,
      anon_sym_DOT,
    ACTIONS(2254), 1,
      anon_sym_PERCENT,
    ACTIONS(2258), 1,
      anon_sym_QMARK,
    ACTIONS(2260), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2262), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2264), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2642), 1,
      anon_sym_RPAREN2,
    STATE(1292), 1,
      sym_text_interpolation,
    ACTIONS(2228), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2240), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2248), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2252), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2244), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2242), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [48540] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2224), 1,
      anon_sym_AMP,
    ACTIONS(2226), 1,
      anon_sym_PIPE,
    ACTIONS(2230), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2232), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2234), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2236), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2238), 1,
      anon_sym_CARET,
    ACTIONS(2246), 1,
      anon_sym_GT_EQ,
    ACTIONS(2250), 1,
      anon_sym_DOT,
    ACTIONS(2254), 1,
      anon_sym_PERCENT,
    ACTIONS(2258), 1,
      anon_sym_QMARK,
    ACTIONS(2260), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2262), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2264), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2644), 1,
      anon_sym_RBRACE,
    STATE(1293), 1,
      sym_text_interpolation,
    ACTIONS(2228), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2240), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2248), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2252), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2244), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2242), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [48622] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2224), 1,
      anon_sym_AMP,
    ACTIONS(2226), 1,
      anon_sym_PIPE,
    ACTIONS(2230), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2232), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2234), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2236), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2238), 1,
      anon_sym_CARET,
    ACTIONS(2246), 1,
      anon_sym_GT_EQ,
    ACTIONS(2250), 1,
      anon_sym_DOT,
    ACTIONS(2254), 1,
      anon_sym_PERCENT,
    ACTIONS(2258), 1,
      anon_sym_QMARK,
    ACTIONS(2260), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2262), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2264), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2646), 1,
      anon_sym_RBRACE,
    STATE(1294), 1,
      sym_text_interpolation,
    ACTIONS(2228), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2240), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2248), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2252), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2244), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2242), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [48704] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2224), 1,
      anon_sym_AMP,
    ACTIONS(2226), 1,
      anon_sym_PIPE,
    ACTIONS(2230), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2232), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2234), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2236), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2238), 1,
      anon_sym_CARET,
    ACTIONS(2246), 1,
      anon_sym_GT_EQ,
    ACTIONS(2250), 1,
      anon_sym_DOT,
    ACTIONS(2254), 1,
      anon_sym_PERCENT,
    ACTIONS(2258), 1,
      anon_sym_QMARK,
    ACTIONS(2260), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2262), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2264), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2648), 1,
      anon_sym_COLON,
    STATE(1295), 1,
      sym_text_interpolation,
    ACTIONS(2228), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2240), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2248), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2252), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2244), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2242), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [48786] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2298), 1,
      anon_sym_AMP,
    ACTIONS(2300), 1,
      anon_sym_QMARK,
    ACTIONS(2302), 1,
      anon_sym_PIPE,
    ACTIONS(2306), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2308), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2310), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2312), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2314), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2316), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2318), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2320), 1,
      anon_sym_CARET,
    ACTIONS(2328), 1,
      anon_sym_GT_EQ,
    ACTIONS(2332), 1,
      anon_sym_DOT,
    ACTIONS(2336), 1,
      anon_sym_PERCENT,
    ACTIONS(2650), 1,
      anon_sym_RBRACK,
    STATE(1296), 1,
      sym_text_interpolation,
    ACTIONS(2304), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2322), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2330), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2334), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2326), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2324), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [48868] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2298), 1,
      anon_sym_AMP,
    ACTIONS(2300), 1,
      anon_sym_QMARK,
    ACTIONS(2302), 1,
      anon_sym_PIPE,
    ACTIONS(2306), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2308), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2310), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2312), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2314), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2316), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2318), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2320), 1,
      anon_sym_CARET,
    ACTIONS(2328), 1,
      anon_sym_GT_EQ,
    ACTIONS(2332), 1,
      anon_sym_DOT,
    ACTIONS(2336), 1,
      anon_sym_PERCENT,
    ACTIONS(2652), 1,
      anon_sym_RBRACK,
    STATE(1297), 1,
      sym_text_interpolation,
    ACTIONS(2304), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2322), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2330), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2334), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2326), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2324), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [48950] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2224), 1,
      anon_sym_AMP,
    ACTIONS(2226), 1,
      anon_sym_PIPE,
    ACTIONS(2230), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2232), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2234), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2236), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2238), 1,
      anon_sym_CARET,
    ACTIONS(2246), 1,
      anon_sym_GT_EQ,
    ACTIONS(2250), 1,
      anon_sym_DOT,
    ACTIONS(2254), 1,
      anon_sym_PERCENT,
    ACTIONS(2258), 1,
      anon_sym_QMARK,
    ACTIONS(2260), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2262), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2264), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2654), 1,
      anon_sym_RBRACE,
    STATE(1298), 1,
      sym_text_interpolation,
    ACTIONS(2228), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2240), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2248), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2252), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2244), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2242), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [49032] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2224), 1,
      anon_sym_AMP,
    ACTIONS(2226), 1,
      anon_sym_PIPE,
    ACTIONS(2230), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2232), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2234), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2236), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2238), 1,
      anon_sym_CARET,
    ACTIONS(2246), 1,
      anon_sym_GT_EQ,
    ACTIONS(2250), 1,
      anon_sym_DOT,
    ACTIONS(2254), 1,
      anon_sym_PERCENT,
    ACTIONS(2258), 1,
      anon_sym_QMARK,
    ACTIONS(2260), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2262), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2264), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2656), 1,
      anon_sym_EQ_GT,
    STATE(1299), 1,
      sym_text_interpolation,
    ACTIONS(2228), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2240), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2248), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2252), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2244), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2242), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [49114] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2224), 1,
      anon_sym_AMP,
    ACTIONS(2226), 1,
      anon_sym_PIPE,
    ACTIONS(2230), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2232), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2234), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2236), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2238), 1,
      anon_sym_CARET,
    ACTIONS(2246), 1,
      anon_sym_GT_EQ,
    ACTIONS(2250), 1,
      anon_sym_DOT,
    ACTIONS(2254), 1,
      anon_sym_PERCENT,
    ACTIONS(2258), 1,
      anon_sym_QMARK,
    ACTIONS(2260), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2262), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2264), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2658), 1,
      anon_sym_RBRACE,
    STATE(1300), 1,
      sym_text_interpolation,
    ACTIONS(2228), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2240), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2248), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2252), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2244), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2242), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [49196] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2224), 1,
      anon_sym_AMP,
    ACTIONS(2226), 1,
      anon_sym_PIPE,
    ACTIONS(2230), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2232), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2234), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2236), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2238), 1,
      anon_sym_CARET,
    ACTIONS(2246), 1,
      anon_sym_GT_EQ,
    ACTIONS(2250), 1,
      anon_sym_DOT,
    ACTIONS(2254), 1,
      anon_sym_PERCENT,
    ACTIONS(2258), 1,
      anon_sym_QMARK,
    ACTIONS(2260), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2262), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2264), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2660), 1,
      anon_sym_RBRACE,
    STATE(1301), 1,
      sym_text_interpolation,
    ACTIONS(2228), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2240), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2248), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2252), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2244), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2242), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [49278] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2224), 1,
      anon_sym_AMP,
    ACTIONS(2226), 1,
      anon_sym_PIPE,
    ACTIONS(2230), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2232), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2234), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2236), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2238), 1,
      anon_sym_CARET,
    ACTIONS(2246), 1,
      anon_sym_GT_EQ,
    ACTIONS(2250), 1,
      anon_sym_DOT,
    ACTIONS(2254), 1,
      anon_sym_PERCENT,
    ACTIONS(2258), 1,
      anon_sym_QMARK,
    ACTIONS(2260), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2262), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2264), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2662), 1,
      anon_sym_EQ_GT,
    STATE(1302), 1,
      sym_text_interpolation,
    ACTIONS(2228), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2240), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2248), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2252), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2244), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2242), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [49360] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2224), 1,
      anon_sym_AMP,
    ACTIONS(2226), 1,
      anon_sym_PIPE,
    ACTIONS(2230), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2232), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2234), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2236), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2238), 1,
      anon_sym_CARET,
    ACTIONS(2246), 1,
      anon_sym_GT_EQ,
    ACTIONS(2250), 1,
      anon_sym_DOT,
    ACTIONS(2254), 1,
      anon_sym_PERCENT,
    ACTIONS(2258), 1,
      anon_sym_QMARK,
    ACTIONS(2260), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2262), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2264), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2664), 1,
      anon_sym_COLON,
    STATE(1303), 1,
      sym_text_interpolation,
    ACTIONS(2228), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2240), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2248), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2252), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2244), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2242), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [49442] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2224), 1,
      anon_sym_AMP,
    ACTIONS(2226), 1,
      anon_sym_PIPE,
    ACTIONS(2230), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2232), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2234), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2236), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2238), 1,
      anon_sym_CARET,
    ACTIONS(2246), 1,
      anon_sym_GT_EQ,
    ACTIONS(2250), 1,
      anon_sym_DOT,
    ACTIONS(2254), 1,
      anon_sym_PERCENT,
    ACTIONS(2258), 1,
      anon_sym_QMARK,
    ACTIONS(2260), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2262), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2264), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2666), 1,
      anon_sym_RBRACE,
    STATE(1304), 1,
      sym_text_interpolation,
    ACTIONS(2228), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2240), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2248), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2252), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2244), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2242), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [49524] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2224), 1,
      anon_sym_AMP,
    ACTIONS(2226), 1,
      anon_sym_PIPE,
    ACTIONS(2230), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2232), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2234), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2236), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2238), 1,
      anon_sym_CARET,
    ACTIONS(2246), 1,
      anon_sym_GT_EQ,
    ACTIONS(2250), 1,
      anon_sym_DOT,
    ACTIONS(2254), 1,
      anon_sym_PERCENT,
    ACTIONS(2258), 1,
      anon_sym_QMARK,
    ACTIONS(2260), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2262), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2264), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2668), 1,
      anon_sym_RBRACE,
    STATE(1305), 1,
      sym_text_interpolation,
    ACTIONS(2228), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2240), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2248), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2252), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2244), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2242), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [49606] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2224), 1,
      anon_sym_AMP,
    ACTIONS(2226), 1,
      anon_sym_PIPE,
    ACTIONS(2230), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2232), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2234), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2236), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2238), 1,
      anon_sym_CARET,
    ACTIONS(2246), 1,
      anon_sym_GT_EQ,
    ACTIONS(2250), 1,
      anon_sym_DOT,
    ACTIONS(2254), 1,
      anon_sym_PERCENT,
    ACTIONS(2258), 1,
      anon_sym_QMARK,
    ACTIONS(2260), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2262), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2264), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2670), 1,
      anon_sym_RPAREN2,
    STATE(1306), 1,
      sym_text_interpolation,
    ACTIONS(2228), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2240), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2248), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2252), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2244), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2242), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [49688] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2224), 1,
      anon_sym_AMP,
    ACTIONS(2226), 1,
      anon_sym_PIPE,
    ACTIONS(2230), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2232), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2234), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2236), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2238), 1,
      anon_sym_CARET,
    ACTIONS(2246), 1,
      anon_sym_GT_EQ,
    ACTIONS(2250), 1,
      anon_sym_DOT,
    ACTIONS(2254), 1,
      anon_sym_PERCENT,
    ACTIONS(2258), 1,
      anon_sym_QMARK,
    ACTIONS(2260), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2262), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2264), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2672), 1,
      anon_sym_RBRACE,
    STATE(1307), 1,
      sym_text_interpolation,
    ACTIONS(2228), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2240), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2248), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2252), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2244), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2242), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [49770] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2224), 1,
      anon_sym_AMP,
    ACTIONS(2226), 1,
      anon_sym_PIPE,
    ACTIONS(2230), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2232), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2234), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2236), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2238), 1,
      anon_sym_CARET,
    ACTIONS(2246), 1,
      anon_sym_GT_EQ,
    ACTIONS(2250), 1,
      anon_sym_DOT,
    ACTIONS(2254), 1,
      anon_sym_PERCENT,
    ACTIONS(2258), 1,
      anon_sym_QMARK,
    ACTIONS(2260), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2262), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2264), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2674), 1,
      anon_sym_RBRACE,
    STATE(1308), 1,
      sym_text_interpolation,
    ACTIONS(2228), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2240), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2248), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2252), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2244), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2242), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [49852] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2298), 1,
      anon_sym_AMP,
    ACTIONS(2300), 1,
      anon_sym_QMARK,
    ACTIONS(2302), 1,
      anon_sym_PIPE,
    ACTIONS(2306), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2308), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2310), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2312), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2314), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2316), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2318), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2320), 1,
      anon_sym_CARET,
    ACTIONS(2328), 1,
      anon_sym_GT_EQ,
    ACTIONS(2332), 1,
      anon_sym_DOT,
    ACTIONS(2336), 1,
      anon_sym_PERCENT,
    ACTIONS(2676), 1,
      anon_sym_RBRACK,
    STATE(1309), 1,
      sym_text_interpolation,
    ACTIONS(2304), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2322), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2330), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2334), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2326), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2324), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [49934] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2224), 1,
      anon_sym_AMP,
    ACTIONS(2226), 1,
      anon_sym_PIPE,
    ACTIONS(2230), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2232), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2234), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2236), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2238), 1,
      anon_sym_CARET,
    ACTIONS(2246), 1,
      anon_sym_GT_EQ,
    ACTIONS(2250), 1,
      anon_sym_DOT,
    ACTIONS(2254), 1,
      anon_sym_PERCENT,
    ACTIONS(2258), 1,
      anon_sym_QMARK,
    ACTIONS(2260), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2262), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2264), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2678), 1,
      anon_sym_COLON,
    STATE(1310), 1,
      sym_text_interpolation,
    ACTIONS(2228), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2240), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2248), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2252), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2244), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2242), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [50016] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2298), 1,
      anon_sym_AMP,
    ACTIONS(2300), 1,
      anon_sym_QMARK,
    ACTIONS(2302), 1,
      anon_sym_PIPE,
    ACTIONS(2306), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2308), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2310), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2312), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2314), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2316), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2318), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2320), 1,
      anon_sym_CARET,
    ACTIONS(2328), 1,
      anon_sym_GT_EQ,
    ACTIONS(2332), 1,
      anon_sym_DOT,
    ACTIONS(2336), 1,
      anon_sym_PERCENT,
    ACTIONS(2680), 1,
      anon_sym_RBRACK,
    STATE(1311), 1,
      sym_text_interpolation,
    ACTIONS(2304), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2322), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2330), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2334), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2326), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2324), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [50098] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2224), 1,
      anon_sym_AMP,
    ACTIONS(2226), 1,
      anon_sym_PIPE,
    ACTIONS(2230), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2232), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2234), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2236), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2238), 1,
      anon_sym_CARET,
    ACTIONS(2246), 1,
      anon_sym_GT_EQ,
    ACTIONS(2250), 1,
      anon_sym_DOT,
    ACTIONS(2254), 1,
      anon_sym_PERCENT,
    ACTIONS(2258), 1,
      anon_sym_QMARK,
    ACTIONS(2260), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2262), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2264), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2682), 1,
      aux_sym_namespace_use_clause_token1,
    STATE(1312), 1,
      sym_text_interpolation,
    ACTIONS(2228), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2240), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2248), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2252), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2244), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2242), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [50180] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2298), 1,
      anon_sym_AMP,
    ACTIONS(2300), 1,
      anon_sym_QMARK,
    ACTIONS(2302), 1,
      anon_sym_PIPE,
    ACTIONS(2306), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2308), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2310), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2312), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2314), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2316), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2318), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2320), 1,
      anon_sym_CARET,
    ACTIONS(2328), 1,
      anon_sym_GT_EQ,
    ACTIONS(2332), 1,
      anon_sym_DOT,
    ACTIONS(2336), 1,
      anon_sym_PERCENT,
    ACTIONS(2684), 1,
      anon_sym_RBRACK,
    STATE(1313), 1,
      sym_text_interpolation,
    ACTIONS(2304), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2322), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2330), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2334), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2326), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2324), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [50262] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2298), 1,
      anon_sym_AMP,
    ACTIONS(2300), 1,
      anon_sym_QMARK,
    ACTIONS(2302), 1,
      anon_sym_PIPE,
    ACTIONS(2306), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2308), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2310), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2312), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2314), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2316), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2318), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2320), 1,
      anon_sym_CARET,
    ACTIONS(2328), 1,
      anon_sym_GT_EQ,
    ACTIONS(2332), 1,
      anon_sym_DOT,
    ACTIONS(2336), 1,
      anon_sym_PERCENT,
    ACTIONS(2686), 1,
      anon_sym_RBRACK,
    STATE(1314), 1,
      sym_text_interpolation,
    ACTIONS(2304), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2322), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2330), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2334), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2326), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2324), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [50344] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2224), 1,
      anon_sym_AMP,
    ACTIONS(2226), 1,
      anon_sym_PIPE,
    ACTIONS(2230), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2232), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2234), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2236), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2238), 1,
      anon_sym_CARET,
    ACTIONS(2246), 1,
      anon_sym_GT_EQ,
    ACTIONS(2250), 1,
      anon_sym_DOT,
    ACTIONS(2254), 1,
      anon_sym_PERCENT,
    ACTIONS(2258), 1,
      anon_sym_QMARK,
    ACTIONS(2260), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2262), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2264), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2688), 1,
      aux_sym_namespace_use_clause_token1,
    STATE(1315), 1,
      sym_text_interpolation,
    ACTIONS(2228), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2240), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2248), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2252), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2244), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2242), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [50426] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2224), 1,
      anon_sym_AMP,
    ACTIONS(2226), 1,
      anon_sym_PIPE,
    ACTIONS(2230), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2232), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2234), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2236), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2238), 1,
      anon_sym_CARET,
    ACTIONS(2246), 1,
      anon_sym_GT_EQ,
    ACTIONS(2250), 1,
      anon_sym_DOT,
    ACTIONS(2254), 1,
      anon_sym_PERCENT,
    ACTIONS(2258), 1,
      anon_sym_QMARK,
    ACTIONS(2260), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2262), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2264), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2690), 1,
      anon_sym_RBRACE,
    STATE(1316), 1,
      sym_text_interpolation,
    ACTIONS(2228), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2240), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2248), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2252), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2244), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2242), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [50508] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2224), 1,
      anon_sym_AMP,
    ACTIONS(2226), 1,
      anon_sym_PIPE,
    ACTIONS(2230), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2232), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2234), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2236), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2238), 1,
      anon_sym_CARET,
    ACTIONS(2246), 1,
      anon_sym_GT_EQ,
    ACTIONS(2250), 1,
      anon_sym_DOT,
    ACTIONS(2254), 1,
      anon_sym_PERCENT,
    ACTIONS(2258), 1,
      anon_sym_QMARK,
    ACTIONS(2260), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2262), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2264), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2692), 1,
      anon_sym_RPAREN2,
    STATE(1317), 1,
      sym_text_interpolation,
    ACTIONS(2228), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2240), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2248), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2252), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2244), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2242), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [50590] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2224), 1,
      anon_sym_AMP,
    ACTIONS(2226), 1,
      anon_sym_PIPE,
    ACTIONS(2230), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2232), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2234), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2236), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2238), 1,
      anon_sym_CARET,
    ACTIONS(2246), 1,
      anon_sym_GT_EQ,
    ACTIONS(2250), 1,
      anon_sym_DOT,
    ACTIONS(2254), 1,
      anon_sym_PERCENT,
    ACTIONS(2258), 1,
      anon_sym_QMARK,
    ACTIONS(2260), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2262), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2264), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2694), 1,
      anon_sym_RBRACE,
    STATE(1318), 1,
      sym_text_interpolation,
    ACTIONS(2228), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2240), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2248), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2252), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2244), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2242), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [50672] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2298), 1,
      anon_sym_AMP,
    ACTIONS(2300), 1,
      anon_sym_QMARK,
    ACTIONS(2302), 1,
      anon_sym_PIPE,
    ACTIONS(2306), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2308), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2310), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2312), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2314), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2316), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2318), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2320), 1,
      anon_sym_CARET,
    ACTIONS(2328), 1,
      anon_sym_GT_EQ,
    ACTIONS(2332), 1,
      anon_sym_DOT,
    ACTIONS(2336), 1,
      anon_sym_PERCENT,
    ACTIONS(2696), 1,
      anon_sym_RBRACK,
    STATE(1319), 1,
      sym_text_interpolation,
    ACTIONS(2304), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2322), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2330), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2334), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2326), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2324), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [50754] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2298), 1,
      anon_sym_AMP,
    ACTIONS(2300), 1,
      anon_sym_QMARK,
    ACTIONS(2302), 1,
      anon_sym_PIPE,
    ACTIONS(2306), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2308), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2310), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2312), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2314), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2316), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2318), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2320), 1,
      anon_sym_CARET,
    ACTIONS(2328), 1,
      anon_sym_GT_EQ,
    ACTIONS(2332), 1,
      anon_sym_DOT,
    ACTIONS(2336), 1,
      anon_sym_PERCENT,
    ACTIONS(2698), 1,
      anon_sym_RBRACK,
    STATE(1320), 1,
      sym_text_interpolation,
    ACTIONS(2304), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2322), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2330), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2334), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2326), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2324), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [50836] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2224), 1,
      anon_sym_AMP,
    ACTIONS(2226), 1,
      anon_sym_PIPE,
    ACTIONS(2230), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2232), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2234), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2236), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2238), 1,
      anon_sym_CARET,
    ACTIONS(2246), 1,
      anon_sym_GT_EQ,
    ACTIONS(2250), 1,
      anon_sym_DOT,
    ACTIONS(2254), 1,
      anon_sym_PERCENT,
    ACTIONS(2258), 1,
      anon_sym_QMARK,
    ACTIONS(2260), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2262), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2264), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2700), 1,
      aux_sym_namespace_use_clause_token1,
    STATE(1321), 1,
      sym_text_interpolation,
    ACTIONS(2228), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2240), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2248), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2252), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2244), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2242), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [50918] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2224), 1,
      anon_sym_AMP,
    ACTIONS(2226), 1,
      anon_sym_PIPE,
    ACTIONS(2230), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2232), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2234), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2236), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2238), 1,
      anon_sym_CARET,
    ACTIONS(2246), 1,
      anon_sym_GT_EQ,
    ACTIONS(2250), 1,
      anon_sym_DOT,
    ACTIONS(2254), 1,
      anon_sym_PERCENT,
    ACTIONS(2258), 1,
      anon_sym_QMARK,
    ACTIONS(2260), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2262), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2264), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2702), 1,
      aux_sym_namespace_use_clause_token1,
    STATE(1322), 1,
      sym_text_interpolation,
    ACTIONS(2228), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2240), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2248), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2252), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2244), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2242), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [51000] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2224), 1,
      anon_sym_AMP,
    ACTIONS(2226), 1,
      anon_sym_PIPE,
    ACTIONS(2230), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2232), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2234), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2236), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2238), 1,
      anon_sym_CARET,
    ACTIONS(2246), 1,
      anon_sym_GT_EQ,
    ACTIONS(2250), 1,
      anon_sym_DOT,
    ACTIONS(2254), 1,
      anon_sym_PERCENT,
    ACTIONS(2258), 1,
      anon_sym_QMARK,
    ACTIONS(2260), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2262), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2264), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2704), 1,
      anon_sym_RBRACE,
    STATE(1323), 1,
      sym_text_interpolation,
    ACTIONS(2228), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2240), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2248), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2252), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2244), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2242), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [51082] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(318), 1,
      anon_sym_POUND_LBRACK,
    ACTIONS(2532), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(2534), 1,
      aux_sym_namespace_use_declaration_token1,
    ACTIONS(2536), 1,
      aux_sym__namespace_use_type_token1,
    ACTIONS(2542), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(2544), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(2546), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(2548), 1,
      sym_var_modifier,
    ACTIONS(2706), 1,
      anon_sym_RBRACE,
    ACTIONS(2708), 1,
      aux_sym_enum_case_token1,
    STATE(1324), 1,
      sym_text_interpolation,
    STATE(1331), 1,
      aux_sym_enum_declaration_list_repeat1,
    STATE(1334), 1,
      sym__modifier,
    STATE(1365), 1,
      aux_sym_attribute_list_repeat1,
    STATE(1373), 1,
      sym_attribute_group,
    STATE(1375), 1,
      sym_attribute_list,
    STATE(1383), 1,
      aux_sym_class_declaration_repeat1,
    STATE(1443), 1,
      sym__enum_member_declaration,
    STATE(1827), 1,
      sym__function_definition_header,
    ACTIONS(2550), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1444), 3,
      sym_enum_case,
      sym_method_declaration,
      sym_use_declaration,
    STATE(1335), 5,
      sym_final_modifier,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym_static_modifier,
      sym_visibility_modifier,
  [51163] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1325), 1,
      sym_text_interpolation,
    ACTIONS(2712), 4,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LPAREN2,
      anon_sym_DOLLAR,
    ACTIONS(2710), 25,
      aux_sym_function_static_declaration_token1,
      aux_sym__namespace_use_type_token1,
      aux_sym__namespace_use_type_token2,
      anon_sym_string,
      anon_sym_int,
      aux_sym_class_declaration_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_QMARK,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
      sym_name,
  [51206] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(318), 1,
      anon_sym_POUND_LBRACK,
    ACTIONS(2532), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(2534), 1,
      aux_sym_namespace_use_declaration_token1,
    ACTIONS(2536), 1,
      aux_sym__namespace_use_type_token1,
    ACTIONS(2542), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(2544), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(2546), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(2548), 1,
      sym_var_modifier,
    ACTIONS(2708), 1,
      aux_sym_enum_case_token1,
    ACTIONS(2714), 1,
      anon_sym_RBRACE,
    STATE(1326), 1,
      sym_text_interpolation,
    STATE(1331), 1,
      aux_sym_enum_declaration_list_repeat1,
    STATE(1334), 1,
      sym__modifier,
    STATE(1365), 1,
      aux_sym_attribute_list_repeat1,
    STATE(1373), 1,
      sym_attribute_group,
    STATE(1375), 1,
      sym_attribute_list,
    STATE(1383), 1,
      aux_sym_class_declaration_repeat1,
    STATE(1443), 1,
      sym__enum_member_declaration,
    STATE(1827), 1,
      sym__function_definition_header,
    ACTIONS(2550), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1444), 3,
      sym_enum_case,
      sym_method_declaration,
      sym_use_declaration,
    STATE(1335), 5,
      sym_final_modifier,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym_static_modifier,
      sym_visibility_modifier,
  [51287] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(318), 1,
      anon_sym_POUND_LBRACK,
    ACTIONS(2532), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(2534), 1,
      aux_sym_namespace_use_declaration_token1,
    ACTIONS(2536), 1,
      aux_sym__namespace_use_type_token1,
    ACTIONS(2542), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(2544), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(2546), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(2548), 1,
      sym_var_modifier,
    ACTIONS(2708), 1,
      aux_sym_enum_case_token1,
    ACTIONS(2716), 1,
      anon_sym_RBRACE,
    STATE(1326), 1,
      aux_sym_enum_declaration_list_repeat1,
    STATE(1327), 1,
      sym_text_interpolation,
    STATE(1334), 1,
      sym__modifier,
    STATE(1365), 1,
      aux_sym_attribute_list_repeat1,
    STATE(1373), 1,
      sym_attribute_group,
    STATE(1375), 1,
      sym_attribute_list,
    STATE(1383), 1,
      aux_sym_class_declaration_repeat1,
    STATE(1443), 1,
      sym__enum_member_declaration,
    STATE(1827), 1,
      sym__function_definition_header,
    ACTIONS(2550), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1444), 3,
      sym_enum_case,
      sym_method_declaration,
      sym_use_declaration,
    STATE(1335), 5,
      sym_final_modifier,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym_static_modifier,
      sym_visibility_modifier,
  [51368] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(318), 1,
      anon_sym_POUND_LBRACK,
    ACTIONS(2532), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(2534), 1,
      aux_sym_namespace_use_declaration_token1,
    ACTIONS(2536), 1,
      aux_sym__namespace_use_type_token1,
    ACTIONS(2542), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(2544), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(2546), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(2548), 1,
      sym_var_modifier,
    ACTIONS(2708), 1,
      aux_sym_enum_case_token1,
    ACTIONS(2718), 1,
      anon_sym_RBRACE,
    STATE(1324), 1,
      aux_sym_enum_declaration_list_repeat1,
    STATE(1328), 1,
      sym_text_interpolation,
    STATE(1334), 1,
      sym__modifier,
    STATE(1365), 1,
      aux_sym_attribute_list_repeat1,
    STATE(1373), 1,
      sym_attribute_group,
    STATE(1375), 1,
      sym_attribute_list,
    STATE(1383), 1,
      aux_sym_class_declaration_repeat1,
    STATE(1443), 1,
      sym__enum_member_declaration,
    STATE(1827), 1,
      sym__function_definition_header,
    ACTIONS(2550), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1444), 3,
      sym_enum_case,
      sym_method_declaration,
      sym_use_declaration,
    STATE(1335), 5,
      sym_final_modifier,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym_static_modifier,
      sym_visibility_modifier,
  [51449] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1329), 1,
      sym_text_interpolation,
    ACTIONS(1810), 3,
      anon_sym_BSLASH,
      anon_sym_LPAREN2,
      anon_sym_DOLLAR,
    ACTIONS(2720), 26,
      aux_sym_function_static_declaration_token1,
      aux_sym__namespace_use_type_token1,
      aux_sym__namespace_use_type_token2,
      anon_sym_string,
      anon_sym_int,
      aux_sym_class_declaration_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      aux_sym__arrow_function_header_token1,
      anon_sym_QMARK,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
      sym_name,
  [51492] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1330), 1,
      sym_text_interpolation,
    ACTIONS(2724), 4,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LPAREN2,
      anon_sym_DOLLAR,
    ACTIONS(2722), 25,
      aux_sym_function_static_declaration_token1,
      aux_sym__namespace_use_type_token1,
      aux_sym__namespace_use_type_token2,
      anon_sym_string,
      anon_sym_int,
      aux_sym_class_declaration_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_QMARK,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
      sym_name,
  [51535] = 23,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(2726), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(2729), 1,
      aux_sym_namespace_use_declaration_token1,
    ACTIONS(2732), 1,
      aux_sym__namespace_use_type_token1,
    ACTIONS(2735), 1,
      anon_sym_RBRACE,
    ACTIONS(2737), 1,
      aux_sym_enum_case_token1,
    ACTIONS(2740), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(2743), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(2746), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(2749), 1,
      sym_var_modifier,
    ACTIONS(2755), 1,
      anon_sym_POUND_LBRACK,
    STATE(1334), 1,
      sym__modifier,
    STATE(1365), 1,
      aux_sym_attribute_list_repeat1,
    STATE(1373), 1,
      sym_attribute_group,
    STATE(1375), 1,
      sym_attribute_list,
    STATE(1383), 1,
      aux_sym_class_declaration_repeat1,
    STATE(1443), 1,
      sym__enum_member_declaration,
    STATE(1827), 1,
      sym__function_definition_header,
    STATE(1331), 2,
      sym_text_interpolation,
      aux_sym_enum_declaration_list_repeat1,
    ACTIONS(2752), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1444), 3,
      sym_enum_case,
      sym_method_declaration,
      sym_use_declaration,
    STATE(1335), 5,
      sym_final_modifier,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym_static_modifier,
      sym_visibility_modifier,
  [51614] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1332), 1,
      sym_text_interpolation,
    ACTIONS(2760), 4,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LPAREN2,
      anon_sym_DOLLAR,
    ACTIONS(2758), 25,
      aux_sym_function_static_declaration_token1,
      aux_sym__namespace_use_type_token1,
      aux_sym__namespace_use_type_token2,
      anon_sym_string,
      anon_sym_int,
      aux_sym_class_declaration_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_QMARK,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
      sym_name,
  [51657] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1333), 1,
      sym_text_interpolation,
    ACTIONS(2764), 3,
      anon_sym_BSLASH,
      anon_sym_LPAREN2,
      anon_sym_DOLLAR,
    ACTIONS(2762), 25,
      aux_sym_function_static_declaration_token1,
      aux_sym__namespace_use_type_token1,
      aux_sym__namespace_use_type_token2,
      anon_sym_string,
      anon_sym_int,
      aux_sym_class_declaration_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_QMARK,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
      sym_name,
  [51699] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1334), 1,
      sym_text_interpolation,
    ACTIONS(2768), 3,
      anon_sym_BSLASH,
      anon_sym_LPAREN2,
      anon_sym_DOLLAR,
    ACTIONS(2766), 25,
      aux_sym_function_static_declaration_token1,
      aux_sym__namespace_use_type_token1,
      aux_sym__namespace_use_type_token2,
      anon_sym_string,
      anon_sym_int,
      aux_sym_class_declaration_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_QMARK,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
      sym_name,
  [51741] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1335), 1,
      sym_text_interpolation,
    ACTIONS(2406), 3,
      anon_sym_BSLASH,
      anon_sym_LPAREN2,
      anon_sym_DOLLAR,
    ACTIONS(2404), 25,
      aux_sym_function_static_declaration_token1,
      aux_sym__namespace_use_type_token1,
      aux_sym__namespace_use_type_token2,
      anon_sym_string,
      anon_sym_int,
      aux_sym_class_declaration_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_QMARK,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
      sym_name,
  [51783] = 15,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(226), 1,
      anon_sym_BSLASH,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2770), 1,
      sym_name,
    ACTIONS(2774), 1,
      anon_sym_LPAREN2,
    ACTIONS(2776), 1,
      anon_sym_QMARK,
    ACTIONS(2778), 1,
      sym_bottom_type,
    STATE(1336), 1,
      sym_text_interpolation,
    STATE(1560), 1,
      sym__types,
    STATE(1778), 1,
      sym_qualified_name,
    STATE(1956), 1,
      sym_type,
    STATE(2575), 1,
      sym_namespace_name,
    STATE(1779), 3,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    STATE(2183), 3,
      sym_union_type,
      sym_intersection_type,
      sym_disjunctive_normal_form_type,
    ACTIONS(2772), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [51844] = 15,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(603), 1,
      anon_sym_BSLASH,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1818), 1,
      sym_name,
    ACTIONS(1828), 1,
      anon_sym_LPAREN2,
    ACTIONS(1830), 1,
      anon_sym_QMARK,
    ACTIONS(2780), 1,
      sym_bottom_type,
    STATE(1337), 1,
      sym_text_interpolation,
    STATE(1485), 1,
      sym__types,
    STATE(1495), 1,
      sym_qualified_name,
    STATE(2448), 1,
      sym_type,
    STATE(2507), 1,
      sym_namespace_name,
    STATE(1501), 3,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    STATE(1528), 3,
      sym_union_type,
      sym_intersection_type,
      sym_disjunctive_normal_form_type,
    ACTIONS(1826), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [51905] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(2786), 1,
      anon_sym_POUND_LBRACK,
    STATE(1342), 1,
      sym_attribute_group,
    STATE(1338), 2,
      sym_text_interpolation,
      aux_sym_attribute_list_repeat1,
    ACTIONS(2784), 5,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LPAREN2,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOLLAR,
    ACTIONS(2782), 17,
      anon_sym_string,
      anon_sym_int,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_QMARK,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
      sym_name,
  [51948] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(1865), 1,
      anon_sym_POUND_LBRACK,
    STATE(1338), 1,
      aux_sym_attribute_list_repeat1,
    STATE(1339), 1,
      sym_text_interpolation,
    STATE(1342), 1,
      sym_attribute_group,
    ACTIONS(2791), 5,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LPAREN2,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOLLAR,
    ACTIONS(2789), 17,
      anon_sym_string,
      anon_sym_int,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_QMARK,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
      sym_name,
  [51993] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1340), 1,
      sym_text_interpolation,
    ACTIONS(2795), 6,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LPAREN2,
      anon_sym_DOT_DOT_DOT,
      anon_sym_POUND_LBRACK,
      anon_sym_DOLLAR,
    ACTIONS(2793), 17,
      anon_sym_string,
      anon_sym_int,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_QMARK,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
      sym_name,
  [52030] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1341), 1,
      sym_text_interpolation,
    ACTIONS(2799), 6,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LPAREN2,
      anon_sym_DOT_DOT_DOT,
      anon_sym_POUND_LBRACK,
      anon_sym_DOLLAR,
    ACTIONS(2797), 17,
      anon_sym_string,
      anon_sym_int,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_QMARK,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
      sym_name,
  [52067] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1342), 1,
      sym_text_interpolation,
    ACTIONS(2803), 6,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LPAREN2,
      anon_sym_DOT_DOT_DOT,
      anon_sym_POUND_LBRACK,
      anon_sym_DOLLAR,
    ACTIONS(2801), 17,
      anon_sym_string,
      anon_sym_int,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_QMARK,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
      sym_name,
  [52104] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1343), 1,
      sym_text_interpolation,
    ACTIONS(2807), 6,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LPAREN2,
      anon_sym_DOT_DOT_DOT,
      anon_sym_POUND_LBRACK,
      anon_sym_DOLLAR,
    ACTIONS(2805), 17,
      anon_sym_string,
      anon_sym_int,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_QMARK,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
      sym_name,
  [52141] = 20,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2532), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(2542), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(2544), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(2546), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(2548), 1,
      sym_var_modifier,
    ACTIONS(2809), 1,
      aux_sym__namespace_use_type_token1,
    ACTIONS(2811), 1,
      aux_sym_trait_declaration_token1,
    ACTIONS(2813), 1,
      aux_sym_interface_declaration_token1,
    ACTIONS(2815), 1,
      aux_sym_enum_declaration_token1,
    ACTIONS(2817), 1,
      aux_sym_class_declaration_token1,
    ACTIONS(2819), 1,
      aux_sym__arrow_function_header_token1,
    STATE(1334), 1,
      sym__modifier,
    STATE(1344), 1,
      sym_text_interpolation,
    STATE(1395), 1,
      aux_sym_class_declaration_repeat1,
    STATE(1493), 1,
      sym_static_modifier,
    STATE(2469), 1,
      sym__function_definition_header,
    ACTIONS(2550), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1335), 4,
      sym_final_modifier,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym_visibility_modifier,
  [52207] = 12,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(603), 1,
      anon_sym_BSLASH,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1818), 1,
      sym_name,
    ACTIONS(1830), 1,
      anon_sym_QMARK,
    STATE(1345), 1,
      sym_text_interpolation,
    STATE(1495), 1,
      sym_qualified_name,
    STATE(2235), 1,
      sym__types,
    STATE(2507), 1,
      sym_namespace_name,
    STATE(2668), 1,
      sym_intersection_type,
    STATE(1501), 3,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    ACTIONS(1826), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [52257] = 12,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(226), 1,
      anon_sym_BSLASH,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2770), 1,
      sym_name,
    ACTIONS(2776), 1,
      anon_sym_QMARK,
    ACTIONS(2821), 1,
      anon_sym_LPAREN2,
    STATE(1346), 1,
      sym_text_interpolation,
    STATE(1778), 1,
      sym_qualified_name,
    STATE(1849), 1,
      sym__types,
    STATE(2575), 1,
      sym_namespace_name,
    STATE(1779), 3,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    ACTIONS(2772), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [52307] = 20,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1802), 1,
      anon_sym_DOLLAR,
    ACTIONS(2098), 1,
      sym_name,
    ACTIONS(2102), 1,
      anon_sym_BSLASH,
    ACTIONS(2106), 1,
      anon_sym_LPAREN2,
    STATE(933), 1,
      sym__new_variable,
    STATE(934), 1,
      sym__variable_member_access_expression,
    STATE(935), 1,
      sym__variable_nullsafe_member_access_expression,
    STATE(936), 1,
      sym__variable_scoped_property_access_expression,
    STATE(1043), 1,
      sym__reserved_identifier,
    STATE(1044), 1,
      sym__name,
    STATE(1054), 1,
      sym_parenthesized_expression,
    STATE(1124), 1,
      sym__class_name_reference,
    STATE(1347), 1,
      sym_text_interpolation,
    STATE(2565), 1,
      sym_namespace_name,
    STATE(938), 2,
      sym__variable_subscript_expression,
      sym__simple_variable,
    STATE(939), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
    STATE(1042), 2,
      sym_qualified_name,
      sym__identifier,
    ACTIONS(2108), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [52373] = 12,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1818), 1,
      sym_name,
    ACTIONS(1855), 1,
      anon_sym_BSLASH,
    ACTIONS(1863), 1,
      anon_sym_QMARK,
    ACTIONS(2823), 1,
      anon_sym_LPAREN2,
    STATE(1348), 1,
      sym_text_interpolation,
    STATE(1495), 1,
      sym_qualified_name,
    STATE(1515), 1,
      sym__types,
    STATE(2645), 1,
      sym_namespace_name,
    STATE(1501), 3,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    ACTIONS(1826), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [52423] = 12,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(603), 1,
      anon_sym_BSLASH,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1818), 1,
      sym_name,
    ACTIONS(1830), 1,
      anon_sym_QMARK,
    STATE(1349), 1,
      sym_text_interpolation,
    STATE(1495), 1,
      sym_qualified_name,
    STATE(2235), 1,
      sym__types,
    STATE(2507), 1,
      sym_namespace_name,
    STATE(2691), 1,
      sym_intersection_type,
    STATE(1501), 3,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    ACTIONS(1826), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [52473] = 12,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1818), 1,
      sym_name,
    ACTIONS(1855), 1,
      anon_sym_BSLASH,
    ACTIONS(1863), 1,
      anon_sym_QMARK,
    ACTIONS(2823), 1,
      anon_sym_LPAREN2,
    STATE(1350), 1,
      sym_text_interpolation,
    STATE(1495), 1,
      sym_qualified_name,
    STATE(1524), 1,
      sym__types,
    STATE(2645), 1,
      sym_namespace_name,
    STATE(1501), 3,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    ACTIONS(1826), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [52523] = 12,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(603), 1,
      anon_sym_BSLASH,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1818), 1,
      sym_name,
    ACTIONS(1830), 1,
      anon_sym_QMARK,
    ACTIONS(2823), 1,
      anon_sym_LPAREN2,
    STATE(1351), 1,
      sym_text_interpolation,
    STATE(1495), 1,
      sym_qualified_name,
    STATE(1515), 1,
      sym__types,
    STATE(2507), 1,
      sym_namespace_name,
    STATE(1501), 3,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    ACTIONS(1826), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [52573] = 12,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(603), 1,
      anon_sym_BSLASH,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1818), 1,
      sym_name,
    ACTIONS(1830), 1,
      anon_sym_QMARK,
    STATE(1352), 1,
      sym_text_interpolation,
    STATE(1495), 1,
      sym_qualified_name,
    STATE(2235), 1,
      sym__types,
    STATE(2507), 1,
      sym_namespace_name,
    STATE(2591), 1,
      sym_intersection_type,
    STATE(1501), 3,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    ACTIONS(1826), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [52623] = 20,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1808), 1,
      anon_sym_DOLLAR,
    ACTIONS(2092), 1,
      sym_name,
    ACTIONS(2094), 1,
      anon_sym_BSLASH,
    ACTIONS(2096), 1,
      anon_sym_LPAREN2,
    STATE(772), 1,
      sym__new_variable,
    STATE(785), 1,
      sym__variable_member_access_expression,
    STATE(786), 1,
      sym__variable_scoped_property_access_expression,
    STATE(847), 1,
      sym__variable_nullsafe_member_access_expression,
    STATE(911), 1,
      sym__name,
    STATE(914), 1,
      sym__reserved_identifier,
    STATE(931), 1,
      sym_parenthesized_expression,
    STATE(1021), 1,
      sym__class_name_reference,
    STATE(1353), 1,
      sym_text_interpolation,
    STATE(2652), 1,
      sym_namespace_name,
    STATE(788), 2,
      sym__variable_subscript_expression,
      sym__simple_variable,
    STATE(813), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
    STATE(893), 2,
      sym_qualified_name,
      sym__identifier,
    ACTIONS(2090), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [52689] = 12,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(603), 1,
      anon_sym_BSLASH,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1818), 1,
      sym_name,
    ACTIONS(1830), 1,
      anon_sym_QMARK,
    STATE(1354), 1,
      sym_text_interpolation,
    STATE(1495), 1,
      sym_qualified_name,
    STATE(2235), 1,
      sym__types,
    STATE(2507), 1,
      sym_namespace_name,
    STATE(2725), 1,
      sym_intersection_type,
    STATE(1501), 3,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    ACTIONS(1826), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [52739] = 12,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(603), 1,
      anon_sym_BSLASH,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1818), 1,
      sym_name,
    ACTIONS(1830), 1,
      anon_sym_QMARK,
    ACTIONS(2823), 1,
      anon_sym_LPAREN2,
    STATE(1355), 1,
      sym_text_interpolation,
    STATE(1495), 1,
      sym_qualified_name,
    STATE(1524), 1,
      sym__types,
    STATE(2507), 1,
      sym_namespace_name,
    STATE(1501), 3,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    ACTIONS(1826), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [52789] = 20,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2532), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(2542), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(2544), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(2546), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(2548), 1,
      sym_var_modifier,
    ACTIONS(2809), 1,
      aux_sym__namespace_use_type_token1,
    ACTIONS(2819), 1,
      aux_sym__arrow_function_header_token1,
    ACTIONS(2825), 1,
      aux_sym_trait_declaration_token1,
    ACTIONS(2827), 1,
      aux_sym_interface_declaration_token1,
    ACTIONS(2829), 1,
      aux_sym_enum_declaration_token1,
    ACTIONS(2831), 1,
      aux_sym_class_declaration_token1,
    STATE(1334), 1,
      sym__modifier,
    STATE(1356), 1,
      sym_text_interpolation,
    STATE(1385), 1,
      aux_sym_class_declaration_repeat1,
    STATE(1493), 1,
      sym_static_modifier,
    STATE(2476), 1,
      sym__function_definition_header,
    ACTIONS(2550), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1335), 4,
      sym_final_modifier,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym_visibility_modifier,
  [52855] = 12,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(226), 1,
      anon_sym_BSLASH,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2770), 1,
      sym_name,
    ACTIONS(2776), 1,
      anon_sym_QMARK,
    ACTIONS(2821), 1,
      anon_sym_LPAREN2,
    STATE(1357), 1,
      sym_text_interpolation,
    STATE(1778), 1,
      sym_qualified_name,
    STATE(1915), 1,
      sym__types,
    STATE(2575), 1,
      sym_namespace_name,
    STATE(1779), 3,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    ACTIONS(2772), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [52905] = 12,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(603), 1,
      anon_sym_BSLASH,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1818), 1,
      sym_name,
    ACTIONS(1830), 1,
      anon_sym_QMARK,
    STATE(1358), 1,
      sym_text_interpolation,
    STATE(1495), 1,
      sym_qualified_name,
    STATE(2235), 1,
      sym__types,
    STATE(2507), 1,
      sym_namespace_name,
    STATE(2720), 1,
      sym_intersection_type,
    STATE(1501), 3,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    ACTIONS(1826), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [52955] = 11,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(226), 1,
      anon_sym_BSLASH,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2770), 1,
      sym_name,
    ACTIONS(2776), 1,
      anon_sym_QMARK,
    STATE(1359), 1,
      sym_text_interpolation,
    STATE(1778), 1,
      sym_qualified_name,
    STATE(1885), 1,
      sym__types,
    STATE(2575), 1,
      sym_namespace_name,
    STATE(1779), 3,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    ACTIONS(2772), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [53002] = 11,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(226), 1,
      anon_sym_BSLASH,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2770), 1,
      sym_name,
    ACTIONS(2776), 1,
      anon_sym_QMARK,
    STATE(1360), 1,
      sym_text_interpolation,
    STATE(1778), 1,
      sym_qualified_name,
    STATE(1847), 1,
      sym__types,
    STATE(2575), 1,
      sym_namespace_name,
    STATE(1779), 3,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    ACTIONS(2772), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [53049] = 11,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1818), 1,
      sym_name,
    ACTIONS(1855), 1,
      anon_sym_BSLASH,
    ACTIONS(1863), 1,
      anon_sym_QMARK,
    STATE(1361), 1,
      sym_text_interpolation,
    STATE(1495), 1,
      sym_qualified_name,
    STATE(1514), 1,
      sym__types,
    STATE(2645), 1,
      sym_namespace_name,
    STATE(1501), 3,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    ACTIONS(1826), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [53096] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(2784), 1,
      anon_sym_AMP,
    ACTIONS(2833), 1,
      anon_sym_POUND_LBRACK,
    STATE(1373), 1,
      sym_attribute_group,
    STATE(1362), 2,
      sym_text_interpolation,
      aux_sym_attribute_list_repeat1,
    ACTIONS(2782), 17,
      aux_sym_function_static_declaration_token1,
      aux_sym__namespace_use_type_token1,
      aux_sym__namespace_use_type_token2,
      aux_sym_trait_declaration_token1,
      aux_sym_interface_declaration_token1,
      aux_sym_enum_declaration_token1,
      aux_sym_enum_case_token1,
      aux_sym_class_declaration_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      aux_sym__arrow_function_header_token1,
      sym_name,
  [53135] = 11,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(603), 1,
      anon_sym_BSLASH,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1818), 1,
      sym_name,
    ACTIONS(1830), 1,
      anon_sym_QMARK,
    STATE(1363), 1,
      sym_text_interpolation,
    STATE(1495), 1,
      sym_qualified_name,
    STATE(1505), 1,
      sym__types,
    STATE(2507), 1,
      sym_namespace_name,
    STATE(1501), 3,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    ACTIONS(1826), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [53182] = 11,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(603), 1,
      anon_sym_BSLASH,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1818), 1,
      sym_name,
    ACTIONS(1830), 1,
      anon_sym_QMARK,
    STATE(1364), 1,
      sym_text_interpolation,
    STATE(1495), 1,
      sym_qualified_name,
    STATE(1514), 1,
      sym__types,
    STATE(2507), 1,
      sym_namespace_name,
    STATE(1501), 3,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    ACTIONS(1826), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [53229] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(318), 1,
      anon_sym_POUND_LBRACK,
    ACTIONS(2791), 1,
      anon_sym_AMP,
    STATE(1362), 1,
      aux_sym_attribute_list_repeat1,
    STATE(1365), 1,
      sym_text_interpolation,
    STATE(1373), 1,
      sym_attribute_group,
    ACTIONS(2789), 17,
      aux_sym_function_static_declaration_token1,
      aux_sym__namespace_use_type_token1,
      aux_sym__namespace_use_type_token2,
      aux_sym_trait_declaration_token1,
      aux_sym_interface_declaration_token1,
      aux_sym_enum_declaration_token1,
      aux_sym_enum_case_token1,
      aux_sym_class_declaration_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      aux_sym__arrow_function_header_token1,
      sym_name,
  [53270] = 11,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1818), 1,
      sym_name,
    ACTIONS(1855), 1,
      anon_sym_BSLASH,
    ACTIONS(1863), 1,
      anon_sym_QMARK,
    STATE(1366), 1,
      sym_text_interpolation,
    STATE(1495), 1,
      sym_qualified_name,
    STATE(1505), 1,
      sym__types,
    STATE(2645), 1,
      sym_namespace_name,
    STATE(1501), 3,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    ACTIONS(1826), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [53317] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1832), 1,
      anon_sym_DOLLAR,
    ACTIONS(2836), 1,
      anon_sym_COLON_COLON,
    STATE(1367), 1,
      sym_text_interpolation,
    STATE(1719), 1,
      sym_static_variable_declaration,
    STATE(1865), 1,
      sym_variable_name,
    ACTIONS(1626), 4,
      anon_sym_LPAREN2,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1810), 12,
      aux_sym_function_static_declaration_token1,
      aux_sym__namespace_use_type_token1,
      aux_sym__namespace_use_type_token2,
      aux_sym_class_declaration_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      aux_sym__arrow_function_header_token1,
  [53359] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1832), 1,
      anon_sym_DOLLAR,
    ACTIONS(2836), 1,
      anon_sym_COLON_COLON,
    STATE(1368), 1,
      sym_text_interpolation,
    STATE(1784), 1,
      sym_static_variable_declaration,
    STATE(1865), 1,
      sym_variable_name,
    ACTIONS(1626), 4,
      anon_sym_LPAREN2,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1810), 12,
      aux_sym_function_static_declaration_token1,
      aux_sym__namespace_use_type_token1,
      aux_sym__namespace_use_type_token2,
      aux_sym_class_declaration_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      aux_sym__arrow_function_header_token1,
  [53401] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1369), 1,
      sym_text_interpolation,
    ACTIONS(1230), 9,
      aux_sym_function_static_declaration_token1,
      aux_sym_cast_type_token1,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
      aux_sym_else_clause_token1,
      aux_sym__new_non_dereferencable_expression_token1,
      anon_sym_self,
      anon_sym_parent,
      sym_name,
    ACTIONS(1228), 10,
      anon_sym_BSLASH,
      anon_sym_RBRACE,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
      aux_sym_string_token1,
      anon_sym_SQUOTE,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
  [53434] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1370), 1,
      sym_text_interpolation,
    ACTIONS(2795), 2,
      anon_sym_AMP,
      anon_sym_POUND_LBRACK,
    ACTIONS(2793), 17,
      aux_sym_function_static_declaration_token1,
      aux_sym__namespace_use_type_token1,
      aux_sym__namespace_use_type_token2,
      aux_sym_trait_declaration_token1,
      aux_sym_interface_declaration_token1,
      aux_sym_enum_declaration_token1,
      aux_sym_enum_case_token1,
      aux_sym_class_declaration_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      aux_sym__arrow_function_header_token1,
      sym_name,
  [53467] = 17,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2532), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(2536), 1,
      aux_sym__namespace_use_type_token1,
    ACTIONS(2538), 1,
      aux_sym__namespace_use_type_token2,
    ACTIONS(2542), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(2544), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(2546), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(2548), 1,
      sym_var_modifier,
    STATE(719), 1,
      aux_sym_class_declaration_repeat1,
    STATE(1164), 1,
      sym_final_modifier,
    STATE(1334), 1,
      sym__modifier,
    STATE(1371), 1,
      sym_text_interpolation,
    STATE(1451), 1,
      sym__const_declaration,
    STATE(1788), 1,
      sym__function_definition_header,
    ACTIONS(2550), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1335), 4,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym_static_modifier,
      sym_visibility_modifier,
  [53524] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1372), 1,
      sym_text_interpolation,
    ACTIONS(2799), 2,
      anon_sym_AMP,
      anon_sym_POUND_LBRACK,
    ACTIONS(2797), 17,
      aux_sym_function_static_declaration_token1,
      aux_sym__namespace_use_type_token1,
      aux_sym__namespace_use_type_token2,
      aux_sym_trait_declaration_token1,
      aux_sym_interface_declaration_token1,
      aux_sym_enum_declaration_token1,
      aux_sym_enum_case_token1,
      aux_sym_class_declaration_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      aux_sym__arrow_function_header_token1,
      sym_name,
  [53557] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1373), 1,
      sym_text_interpolation,
    ACTIONS(2803), 2,
      anon_sym_AMP,
      anon_sym_POUND_LBRACK,
    ACTIONS(2801), 17,
      aux_sym_function_static_declaration_token1,
      aux_sym__namespace_use_type_token1,
      aux_sym__namespace_use_type_token2,
      aux_sym_trait_declaration_token1,
      aux_sym_interface_declaration_token1,
      aux_sym_enum_declaration_token1,
      aux_sym_enum_case_token1,
      aux_sym_class_declaration_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      aux_sym__arrow_function_header_token1,
      sym_name,
  [53590] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1374), 1,
      sym_text_interpolation,
    ACTIONS(2807), 2,
      anon_sym_AMP,
      anon_sym_POUND_LBRACK,
    ACTIONS(2805), 17,
      aux_sym_function_static_declaration_token1,
      aux_sym__namespace_use_type_token1,
      aux_sym__namespace_use_type_token2,
      aux_sym_trait_declaration_token1,
      aux_sym_interface_declaration_token1,
      aux_sym_enum_declaration_token1,
      aux_sym_enum_case_token1,
      aux_sym_class_declaration_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      aux_sym__arrow_function_header_token1,
      sym_name,
  [53623] = 15,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2532), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(2536), 1,
      aux_sym__namespace_use_type_token1,
    ACTIONS(2542), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(2544), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(2546), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(2548), 1,
      sym_var_modifier,
    ACTIONS(2838), 1,
      aux_sym_enum_case_token1,
    STATE(1334), 1,
      sym__modifier,
    STATE(1375), 1,
      sym_text_interpolation,
    STATE(1379), 1,
      aux_sym_class_declaration_repeat1,
    STATE(1788), 1,
      sym__function_definition_header,
    ACTIONS(2550), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1335), 5,
      sym_final_modifier,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym_static_modifier,
      sym_visibility_modifier,
  [53675] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1818), 1,
      sym_name,
    ACTIONS(1855), 1,
      anon_sym_BSLASH,
    STATE(1376), 1,
      sym_text_interpolation,
    STATE(1495), 1,
      sym_qualified_name,
    STATE(2645), 1,
      sym_namespace_name,
    STATE(1497), 2,
      sym_named_type,
      sym_primitive_type,
    ACTIONS(1826), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [53715] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(603), 1,
      anon_sym_BSLASH,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1818), 1,
      sym_name,
    STATE(1377), 1,
      sym_text_interpolation,
    STATE(1495), 1,
      sym_qualified_name,
    STATE(2507), 1,
      sym_namespace_name,
    STATE(1497), 2,
      sym_named_type,
      sym_primitive_type,
    ACTIONS(1826), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [53755] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(226), 1,
      anon_sym_BSLASH,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2770), 1,
      sym_name,
    STATE(1378), 1,
      sym_text_interpolation,
    STATE(1778), 1,
      sym_qualified_name,
    STATE(2575), 1,
      sym_namespace_name,
    STATE(1823), 2,
      sym_named_type,
      sym_primitive_type,
    ACTIONS(2772), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [53795] = 14,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2532), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(2536), 1,
      aux_sym__namespace_use_type_token1,
    ACTIONS(2542), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(2544), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(2546), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(2548), 1,
      sym_var_modifier,
    STATE(1151), 1,
      aux_sym_class_declaration_repeat1,
    STATE(1334), 1,
      sym__modifier,
    STATE(1379), 1,
      sym_text_interpolation,
    STATE(1738), 1,
      sym__function_definition_header,
    ACTIONS(2550), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1335), 5,
      sym_final_modifier,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym_static_modifier,
      sym_visibility_modifier,
  [53844] = 13,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(611), 1,
      sym_integer,
    ACTIONS(641), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2840), 1,
      sym_float,
    ACTIONS(2842), 1,
      aux_sym__argument_name_token1,
    ACTIONS(2844), 1,
      aux_sym__argument_name_token2,
    STATE(1380), 1,
      sym_text_interpolation,
    STATE(2610), 1,
      sym_literal,
    ACTIONS(637), 2,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
    ACTIONS(639), 2,
      aux_sym_string_token1,
      anon_sym_SQUOTE,
    STATE(1036), 3,
      sym_boolean,
      sym_null,
      sym__string,
    STATE(767), 4,
      sym_encapsed_string,
      sym_string,
      sym_heredoc,
      sym_nowdoc,
  [53891] = 14,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2532), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(2542), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(2544), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(2546), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(2548), 1,
      sym_var_modifier,
    ACTIONS(2846), 1,
      aux_sym__namespace_use_type_token2,
    ACTIONS(2848), 1,
      aux_sym_class_declaration_token1,
    STATE(1151), 1,
      aux_sym_class_declaration_repeat1,
    STATE(1334), 1,
      sym__modifier,
    STATE(1381), 1,
      sym_text_interpolation,
    ACTIONS(2550), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1335), 5,
      sym_final_modifier,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym_static_modifier,
      sym_visibility_modifier,
  [53940] = 14,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2532), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(2542), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(2544), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(2546), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(2548), 1,
      sym_var_modifier,
    ACTIONS(2850), 1,
      aux_sym__namespace_use_type_token2,
    ACTIONS(2852), 1,
      aux_sym_class_declaration_token1,
    STATE(1151), 1,
      aux_sym_class_declaration_repeat1,
    STATE(1334), 1,
      sym__modifier,
    STATE(1382), 1,
      sym_text_interpolation,
    ACTIONS(2550), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1335), 5,
      sym_final_modifier,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym_static_modifier,
      sym_visibility_modifier,
  [53989] = 14,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2532), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(2536), 1,
      aux_sym__namespace_use_type_token1,
    ACTIONS(2542), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(2544), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(2546), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(2548), 1,
      sym_var_modifier,
    STATE(1151), 1,
      aux_sym_class_declaration_repeat1,
    STATE(1334), 1,
      sym__modifier,
    STATE(1383), 1,
      sym_text_interpolation,
    STATE(1796), 1,
      sym__function_definition_header,
    ACTIONS(2550), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1335), 5,
      sym_final_modifier,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym_static_modifier,
      sym_visibility_modifier,
  [54038] = 15,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(11), 1,
      anon_sym_QMARK_GT,
    ACTIONS(2854), 1,
      anon_sym_LBRACE,
    ACTIONS(2860), 1,
      anon_sym_BSLASHu,
    ACTIONS(2863), 1,
      sym__new_line,
    ACTIONS(2866), 1,
      anon_sym_DOLLAR,
    ACTIONS(2869), 1,
      sym_heredoc_end,
    STATE(1396), 1,
      aux_sym__interpolated_string_body_heredoc,
    STATE(1525), 1,
      sym_variable_name,
    STATE(1570), 1,
      sym__simple_string_member_access_expression,
    STATE(1584), 1,
      sym_dynamic_variable_name,
    ACTIONS(2857), 2,
      sym_encapsed_string_chars_heredoc,
      sym_escape_sequence,
    STATE(1384), 2,
      sym_text_interpolation,
      aux_sym_heredoc_body_repeat1,
    STATE(1562), 2,
      sym__simple_string_subscript_expression,
      sym__simple_variable,
    STATE(1605), 2,
      sym__complex_string_part,
      sym__simple_string_part,
  [54088] = 13,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2532), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(2542), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(2544), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(2546), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(2548), 1,
      sym_var_modifier,
    ACTIONS(2871), 1,
      aux_sym_class_declaration_token1,
    STATE(1151), 1,
      aux_sym_class_declaration_repeat1,
    STATE(1334), 1,
      sym__modifier,
    STATE(1385), 1,
      sym_text_interpolation,
    ACTIONS(2550), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1335), 5,
      sym_final_modifier,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym_static_modifier,
      sym_visibility_modifier,
  [54134] = 13,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2532), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(2542), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(2544), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(2546), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(2548), 1,
      sym_var_modifier,
    ACTIONS(2873), 1,
      aux_sym_class_declaration_token1,
    STATE(1334), 1,
      sym__modifier,
    STATE(1386), 1,
      sym_text_interpolation,
    STATE(1389), 1,
      aux_sym_class_declaration_repeat1,
    ACTIONS(2550), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1335), 5,
      sym_final_modifier,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym_static_modifier,
      sym_visibility_modifier,
  [54180] = 13,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2532), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(2542), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(2544), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(2546), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(2548), 1,
      sym_var_modifier,
    ACTIONS(2875), 1,
      aux_sym_class_declaration_token1,
    STATE(1151), 1,
      aux_sym_class_declaration_repeat1,
    STATE(1334), 1,
      sym__modifier,
    STATE(1387), 1,
      sym_text_interpolation,
    ACTIONS(2550), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1335), 5,
      sym_final_modifier,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym_static_modifier,
      sym_visibility_modifier,
  [54226] = 13,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2532), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(2542), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(2544), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(2546), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(2548), 1,
      sym_var_modifier,
    ACTIONS(2877), 1,
      aux_sym_class_declaration_token1,
    STATE(1151), 1,
      aux_sym_class_declaration_repeat1,
    STATE(1334), 1,
      sym__modifier,
    STATE(1388), 1,
      sym_text_interpolation,
    ACTIONS(2550), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1335), 5,
      sym_final_modifier,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym_static_modifier,
      sym_visibility_modifier,
  [54272] = 13,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2532), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(2542), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(2544), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(2546), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(2548), 1,
      sym_var_modifier,
    ACTIONS(2879), 1,
      aux_sym_class_declaration_token1,
    STATE(1151), 1,
      aux_sym_class_declaration_repeat1,
    STATE(1334), 1,
      sym__modifier,
    STATE(1389), 1,
      sym_text_interpolation,
    ACTIONS(2550), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1335), 5,
      sym_final_modifier,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym_static_modifier,
      sym_visibility_modifier,
  [54318] = 13,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2532), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(2542), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(2544), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(2546), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(2548), 1,
      sym_var_modifier,
    ACTIONS(2846), 1,
      aux_sym__namespace_use_type_token2,
    STATE(1151), 1,
      aux_sym_class_declaration_repeat1,
    STATE(1334), 1,
      sym__modifier,
    STATE(1390), 1,
      sym_text_interpolation,
    ACTIONS(2550), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1335), 5,
      sym_final_modifier,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym_static_modifier,
      sym_visibility_modifier,
  [54364] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1391), 1,
      sym_text_interpolation,
    ACTIONS(2881), 6,
      aux_sym_function_static_declaration_token1,
      aux_sym_cast_type_token1,
      aux_sym__new_non_dereferencable_expression_token1,
      anon_sym_self,
      anon_sym_parent,
      sym_name,
    ACTIONS(1737), 10,
      anon_sym_BSLASH,
      anon_sym_RBRACE,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
      aux_sym_string_token1,
      anon_sym_SQUOTE,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
  [54394] = 16,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(11), 1,
      anon_sym_QMARK_GT,
    ACTIONS(2883), 1,
      anon_sym_LBRACE,
    ACTIONS(2887), 1,
      anon_sym_BSLASHu,
    ACTIONS(2889), 1,
      sym__new_line,
    ACTIONS(2892), 1,
      anon_sym_DOLLAR,
    ACTIONS(2894), 1,
      sym_heredoc_end,
    STATE(1384), 1,
      aux_sym_heredoc_body_repeat1,
    STATE(1392), 1,
      sym_text_interpolation,
    STATE(1396), 1,
      aux_sym__interpolated_string_body_heredoc,
    STATE(1525), 1,
      sym_variable_name,
    STATE(1570), 1,
      sym__simple_string_member_access_expression,
    STATE(1584), 1,
      sym_dynamic_variable_name,
    ACTIONS(2885), 2,
      sym_encapsed_string_chars_heredoc,
      sym_escape_sequence,
    STATE(1562), 2,
      sym__simple_string_subscript_expression,
      sym__simple_variable,
    STATE(1605), 2,
      sym__complex_string_part,
      sym__simple_string_part,
  [54446] = 13,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2532), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(2542), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(2544), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(2546), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(2548), 1,
      sym_var_modifier,
    ACTIONS(2896), 1,
      aux_sym_class_declaration_token1,
    STATE(1334), 1,
      sym__modifier,
    STATE(1388), 1,
      aux_sym_class_declaration_repeat1,
    STATE(1393), 1,
      sym_text_interpolation,
    ACTIONS(2550), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1335), 5,
      sym_final_modifier,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym_static_modifier,
      sym_visibility_modifier,
  [54492] = 13,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2532), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(2542), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(2544), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(2546), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(2548), 1,
      sym_var_modifier,
    ACTIONS(2898), 1,
      aux_sym_class_declaration_token1,
    STATE(1151), 1,
      aux_sym_class_declaration_repeat1,
    STATE(1334), 1,
      sym__modifier,
    STATE(1394), 1,
      sym_text_interpolation,
    ACTIONS(2550), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1335), 5,
      sym_final_modifier,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym_static_modifier,
      sym_visibility_modifier,
  [54538] = 13,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2532), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(2542), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(2544), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(2546), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(2548), 1,
      sym_var_modifier,
    ACTIONS(2900), 1,
      aux_sym_class_declaration_token1,
    STATE(1151), 1,
      aux_sym_class_declaration_repeat1,
    STATE(1334), 1,
      sym__modifier,
    STATE(1395), 1,
      sym_text_interpolation,
    ACTIONS(2550), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1335), 5,
      sym_final_modifier,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym_static_modifier,
      sym_visibility_modifier,
  [54584] = 14,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(11), 1,
      anon_sym_QMARK_GT,
    ACTIONS(2883), 1,
      anon_sym_LBRACE,
    ACTIONS(2887), 1,
      anon_sym_BSLASHu,
    ACTIONS(2892), 1,
      anon_sym_DOLLAR,
    STATE(1396), 1,
      sym_text_interpolation,
    STATE(1399), 1,
      aux_sym__interpolated_string_body_heredoc,
    STATE(1525), 1,
      sym_variable_name,
    STATE(1570), 1,
      sym__simple_string_member_access_expression,
    STATE(1584), 1,
      sym_dynamic_variable_name,
    ACTIONS(2885), 2,
      sym_encapsed_string_chars_heredoc,
      sym_escape_sequence,
    ACTIONS(2902), 2,
      sym_heredoc_end,
      sym__new_line,
    STATE(1562), 2,
      sym__simple_string_subscript_expression,
      sym__simple_variable,
    STATE(1605), 2,
      sym__complex_string_part,
      sym__simple_string_part,
  [54631] = 15,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(11), 1,
      anon_sym_QMARK_GT,
    ACTIONS(2883), 1,
      anon_sym_LBRACE,
    ACTIONS(2887), 1,
      anon_sym_BSLASHu,
    ACTIONS(2892), 1,
      anon_sym_DOLLAR,
    ACTIONS(2904), 1,
      sym__new_line,
    STATE(1392), 1,
      aux_sym_heredoc_body_repeat1,
    STATE(1396), 1,
      aux_sym__interpolated_string_body_heredoc,
    STATE(1397), 1,
      sym_text_interpolation,
    STATE(1525), 1,
      sym_variable_name,
    STATE(1570), 1,
      sym__simple_string_member_access_expression,
    STATE(1584), 1,
      sym_dynamic_variable_name,
    ACTIONS(2885), 2,
      sym_encapsed_string_chars_heredoc,
      sym_escape_sequence,
    STATE(1562), 2,
      sym__simple_string_subscript_expression,
      sym__simple_variable,
    STATE(1605), 2,
      sym__complex_string_part,
      sym__simple_string_part,
  [54680] = 14,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(11), 1,
      anon_sym_QMARK_GT,
    ACTIONS(2883), 1,
      anon_sym_LBRACE,
    ACTIONS(2887), 1,
      anon_sym_BSLASHu,
    ACTIONS(2892), 1,
      anon_sym_DOLLAR,
    STATE(1398), 1,
      sym_text_interpolation,
    STATE(1399), 1,
      aux_sym__interpolated_string_body_heredoc,
    STATE(1525), 1,
      sym_variable_name,
    STATE(1570), 1,
      sym__simple_string_member_access_expression,
    STATE(1584), 1,
      sym_dynamic_variable_name,
    ACTIONS(2869), 2,
      sym_heredoc_end,
      sym__new_line,
    ACTIONS(2885), 2,
      sym_encapsed_string_chars_heredoc,
      sym_escape_sequence,
    STATE(1562), 2,
      sym__simple_string_subscript_expression,
      sym__simple_variable,
    STATE(1605), 2,
      sym__complex_string_part,
      sym__simple_string_part,
  [54727] = 13,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(11), 1,
      anon_sym_QMARK_GT,
    ACTIONS(2906), 1,
      anon_sym_LBRACE,
    ACTIONS(2912), 1,
      anon_sym_BSLASHu,
    ACTIONS(2917), 1,
      anon_sym_DOLLAR,
    STATE(1525), 1,
      sym_variable_name,
    STATE(1570), 1,
      sym__simple_string_member_access_expression,
    STATE(1584), 1,
      sym_dynamic_variable_name,
    ACTIONS(2909), 2,
      sym_encapsed_string_chars_heredoc,
      sym_escape_sequence,
    ACTIONS(2915), 2,
      sym_heredoc_end,
      sym__new_line,
    STATE(1399), 2,
      sym_text_interpolation,
      aux_sym__interpolated_string_body_heredoc,
    STATE(1562), 2,
      sym__simple_string_subscript_expression,
      sym__simple_variable,
    STATE(1605), 2,
      sym__complex_string_part,
      sym__simple_string_part,
  [54772] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1400), 1,
      sym_text_interpolation,
    ACTIONS(2920), 14,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym__namespace_use_type_token1,
      aux_sym__namespace_use_type_token2,
      anon_sym_RBRACE,
      aux_sym_enum_case_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [54798] = 13,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(226), 1,
      anon_sym_BSLASH,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2098), 1,
      sym_name,
    STATE(1043), 1,
      sym__reserved_identifier,
    STATE(1401), 1,
      sym_text_interpolation,
    STATE(1722), 1,
      sym_namespace_use_clause,
    STATE(1893), 1,
      sym__name,
    STATE(2007), 1,
      sym__namespace_use_group,
    STATE(2561), 1,
      sym_namespace_name,
    ACTIONS(2922), 2,
      aux_sym__namespace_use_type_token1,
      aux_sym__namespace_use_type_token2,
    STATE(1042), 2,
      sym_qualified_name,
      sym__identifier,
    ACTIONS(2108), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [54842] = 13,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(226), 1,
      anon_sym_BSLASH,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2098), 1,
      sym_name,
    STATE(1043), 1,
      sym__reserved_identifier,
    STATE(1402), 1,
      sym_text_interpolation,
    STATE(1807), 1,
      sym_namespace_use_clause,
    STATE(1893), 1,
      sym__name,
    STATE(2238), 1,
      sym__namespace_use_group,
    STATE(2561), 1,
      sym_namespace_name,
    ACTIONS(2922), 2,
      aux_sym__namespace_use_type_token1,
      aux_sym__namespace_use_type_token2,
    STATE(1042), 2,
      sym_qualified_name,
      sym__identifier,
    ACTIONS(2108), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [54886] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1403), 1,
      sym_text_interpolation,
    ACTIONS(2924), 14,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym__namespace_use_type_token1,
      aux_sym__namespace_use_type_token2,
      anon_sym_RBRACE,
      aux_sym_enum_case_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [54912] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1404), 1,
      sym_text_interpolation,
    ACTIONS(2926), 14,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym__namespace_use_type_token1,
      aux_sym__namespace_use_type_token2,
      anon_sym_RBRACE,
      aux_sym_enum_case_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [54938] = 14,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2928), 1,
      anon_sym_LBRACE,
    ACTIONS(2932), 1,
      anon_sym_BSLASHu,
    ACTIONS(2934), 1,
      anon_sym_DQUOTE,
    ACTIONS(2936), 1,
      anon_sym_DOLLAR,
    STATE(1405), 1,
      sym_text_interpolation,
    STATE(1412), 1,
      aux_sym__interpolated_string_body,
    STATE(1541), 1,
      sym_variable_name,
    STATE(1644), 1,
      sym__simple_string_member_access_expression,
    STATE(1655), 1,
      sym_dynamic_variable_name,
    ACTIONS(2930), 2,
      sym_encapsed_string_chars,
      sym_escape_sequence,
    STATE(1621), 2,
      sym__complex_string_part,
      sym__simple_string_part,
    STATE(1677), 2,
      sym__simple_string_subscript_expression,
      sym__simple_variable,
  [54984] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1406), 1,
      sym_text_interpolation,
    ACTIONS(2938), 14,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym__namespace_use_type_token1,
      aux_sym__namespace_use_type_token2,
      anon_sym_RBRACE,
      aux_sym_enum_case_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [55010] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1407), 1,
      sym_text_interpolation,
    ACTIONS(2940), 14,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym__namespace_use_type_token1,
      aux_sym__namespace_use_type_token2,
      anon_sym_RBRACE,
      aux_sym_enum_case_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [55036] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1408), 1,
      sym_text_interpolation,
    ACTIONS(2942), 14,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym__namespace_use_type_token1,
      aux_sym__namespace_use_type_token2,
      anon_sym_RBRACE,
      aux_sym_enum_case_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [55062] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1409), 1,
      sym_text_interpolation,
    ACTIONS(2944), 14,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym__namespace_use_type_token1,
      aux_sym__namespace_use_type_token2,
      anon_sym_RBRACE,
      aux_sym_enum_case_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [55088] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1410), 1,
      sym_text_interpolation,
    ACTIONS(2946), 14,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym__namespace_use_type_token1,
      aux_sym__namespace_use_type_token2,
      anon_sym_RBRACE,
      aux_sym_enum_case_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [55114] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1411), 1,
      sym_text_interpolation,
    ACTIONS(2948), 14,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym__namespace_use_type_token1,
      aux_sym__namespace_use_type_token2,
      anon_sym_RBRACE,
      aux_sym_enum_case_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [55140] = 13,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2950), 1,
      anon_sym_LBRACE,
    ACTIONS(2956), 1,
      anon_sym_BSLASHu,
    ACTIONS(2959), 1,
      anon_sym_DQUOTE,
    ACTIONS(2961), 1,
      anon_sym_DOLLAR,
    STATE(1541), 1,
      sym_variable_name,
    STATE(1644), 1,
      sym__simple_string_member_access_expression,
    STATE(1655), 1,
      sym_dynamic_variable_name,
    ACTIONS(2953), 2,
      sym_encapsed_string_chars,
      sym_escape_sequence,
    STATE(1412), 2,
      sym_text_interpolation,
      aux_sym__interpolated_string_body,
    STATE(1621), 2,
      sym__complex_string_part,
      sym__simple_string_part,
    STATE(1677), 2,
      sym__simple_string_subscript_expression,
      sym__simple_variable,
  [55184] = 14,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2964), 1,
      anon_sym_LBRACE,
    ACTIONS(2968), 1,
      anon_sym_BSLASHu,
    ACTIONS(2970), 1,
      anon_sym_BQUOTE,
    ACTIONS(2972), 1,
      anon_sym_DOLLAR,
    STATE(1413), 1,
      sym_text_interpolation,
    STATE(1419), 1,
      aux_sym__interpolated_execution_operator_body,
    STATE(1532), 1,
      sym_variable_name,
    STATE(1683), 1,
      sym_dynamic_variable_name,
    STATE(1692), 1,
      sym__simple_string_member_access_expression,
    ACTIONS(2966), 2,
      sym_execution_string_chars,
      sym_escape_sequence,
    STATE(1693), 2,
      sym__simple_string_subscript_expression,
      sym__simple_variable,
    STATE(1705), 2,
      sym__complex_string_part,
      sym__simple_string_part,
  [55230] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1414), 1,
      sym_text_interpolation,
    ACTIONS(2974), 14,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym__namespace_use_type_token1,
      aux_sym__namespace_use_type_token2,
      anon_sym_RBRACE,
      aux_sym_enum_case_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [55256] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1415), 1,
      sym_text_interpolation,
    ACTIONS(2976), 14,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym__namespace_use_type_token1,
      aux_sym__namespace_use_type_token2,
      anon_sym_RBRACE,
      aux_sym_enum_case_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [55282] = 13,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2978), 1,
      anon_sym_LBRACE,
    ACTIONS(2984), 1,
      anon_sym_BSLASHu,
    ACTIONS(2987), 1,
      anon_sym_BQUOTE,
    ACTIONS(2989), 1,
      anon_sym_DOLLAR,
    STATE(1532), 1,
      sym_variable_name,
    STATE(1683), 1,
      sym_dynamic_variable_name,
    STATE(1692), 1,
      sym__simple_string_member_access_expression,
    ACTIONS(2981), 2,
      sym_execution_string_chars,
      sym_escape_sequence,
    STATE(1416), 2,
      sym_text_interpolation,
      aux_sym__interpolated_execution_operator_body,
    STATE(1693), 2,
      sym__simple_string_subscript_expression,
      sym__simple_variable,
    STATE(1705), 2,
      sym__complex_string_part,
      sym__simple_string_part,
  [55326] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1417), 1,
      sym_text_interpolation,
    ACTIONS(2992), 14,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym__namespace_use_type_token1,
      aux_sym__namespace_use_type_token2,
      anon_sym_RBRACE,
      aux_sym_enum_case_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [55352] = 14,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2928), 1,
      anon_sym_LBRACE,
    ACTIONS(2932), 1,
      anon_sym_BSLASHu,
    ACTIONS(2936), 1,
      anon_sym_DOLLAR,
    ACTIONS(2994), 1,
      anon_sym_DQUOTE,
    STATE(1405), 1,
      aux_sym__interpolated_string_body,
    STATE(1418), 1,
      sym_text_interpolation,
    STATE(1541), 1,
      sym_variable_name,
    STATE(1644), 1,
      sym__simple_string_member_access_expression,
    STATE(1655), 1,
      sym_dynamic_variable_name,
    ACTIONS(2930), 2,
      sym_encapsed_string_chars,
      sym_escape_sequence,
    STATE(1621), 2,
      sym__complex_string_part,
      sym__simple_string_part,
    STATE(1677), 2,
      sym__simple_string_subscript_expression,
      sym__simple_variable,
  [55398] = 14,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2964), 1,
      anon_sym_LBRACE,
    ACTIONS(2968), 1,
      anon_sym_BSLASHu,
    ACTIONS(2972), 1,
      anon_sym_DOLLAR,
    ACTIONS(2996), 1,
      anon_sym_BQUOTE,
    STATE(1416), 1,
      aux_sym__interpolated_execution_operator_body,
    STATE(1419), 1,
      sym_text_interpolation,
    STATE(1532), 1,
      sym_variable_name,
    STATE(1683), 1,
      sym_dynamic_variable_name,
    STATE(1692), 1,
      sym__simple_string_member_access_expression,
    ACTIONS(2966), 2,
      sym_execution_string_chars,
      sym_escape_sequence,
    STATE(1693), 2,
      sym__simple_string_subscript_expression,
      sym__simple_variable,
    STATE(1705), 2,
      sym__complex_string_part,
      sym__simple_string_part,
  [55444] = 14,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2928), 1,
      anon_sym_LBRACE,
    ACTIONS(2932), 1,
      anon_sym_BSLASHu,
    ACTIONS(2936), 1,
      anon_sym_DOLLAR,
    ACTIONS(2998), 1,
      anon_sym_DQUOTE,
    STATE(1412), 1,
      aux_sym__interpolated_string_body,
    STATE(1420), 1,
      sym_text_interpolation,
    STATE(1541), 1,
      sym_variable_name,
    STATE(1644), 1,
      sym__simple_string_member_access_expression,
    STATE(1655), 1,
      sym_dynamic_variable_name,
    ACTIONS(2930), 2,
      sym_encapsed_string_chars,
      sym_escape_sequence,
    STATE(1621), 2,
      sym__complex_string_part,
      sym__simple_string_part,
    STATE(1677), 2,
      sym__simple_string_subscript_expression,
      sym__simple_variable,
  [55490] = 14,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2964), 1,
      anon_sym_LBRACE,
    ACTIONS(2968), 1,
      anon_sym_BSLASHu,
    ACTIONS(2972), 1,
      anon_sym_DOLLAR,
    ACTIONS(3000), 1,
      anon_sym_BQUOTE,
    STATE(1416), 1,
      aux_sym__interpolated_execution_operator_body,
    STATE(1421), 1,
      sym_text_interpolation,
    STATE(1532), 1,
      sym_variable_name,
    STATE(1683), 1,
      sym_dynamic_variable_name,
    STATE(1692), 1,
      sym__simple_string_member_access_expression,
    ACTIONS(2966), 2,
      sym_execution_string_chars,
      sym_escape_sequence,
    STATE(1693), 2,
      sym__simple_string_subscript_expression,
      sym__simple_variable,
    STATE(1705), 2,
      sym__complex_string_part,
      sym__simple_string_part,
  [55536] = 14,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2928), 1,
      anon_sym_LBRACE,
    ACTIONS(2932), 1,
      anon_sym_BSLASHu,
    ACTIONS(2936), 1,
      anon_sym_DOLLAR,
    ACTIONS(3002), 1,
      anon_sym_DQUOTE,
    STATE(1420), 1,
      aux_sym__interpolated_string_body,
    STATE(1422), 1,
      sym_text_interpolation,
    STATE(1541), 1,
      sym_variable_name,
    STATE(1644), 1,
      sym__simple_string_member_access_expression,
    STATE(1655), 1,
      sym_dynamic_variable_name,
    ACTIONS(2930), 2,
      sym_encapsed_string_chars,
      sym_escape_sequence,
    STATE(1621), 2,
      sym__complex_string_part,
      sym__simple_string_part,
    STATE(1677), 2,
      sym__simple_string_subscript_expression,
      sym__simple_variable,
  [55582] = 14,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2964), 1,
      anon_sym_LBRACE,
    ACTIONS(2968), 1,
      anon_sym_BSLASHu,
    ACTIONS(2972), 1,
      anon_sym_DOLLAR,
    ACTIONS(3004), 1,
      anon_sym_BQUOTE,
    STATE(1421), 1,
      aux_sym__interpolated_execution_operator_body,
    STATE(1423), 1,
      sym_text_interpolation,
    STATE(1532), 1,
      sym_variable_name,
    STATE(1683), 1,
      sym_dynamic_variable_name,
    STATE(1692), 1,
      sym__simple_string_member_access_expression,
    ACTIONS(2966), 2,
      sym_execution_string_chars,
      sym_escape_sequence,
    STATE(1693), 2,
      sym__simple_string_subscript_expression,
      sym__simple_variable,
    STATE(1705), 2,
      sym__complex_string_part,
      sym__simple_string_part,
  [55628] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1424), 1,
      sym_text_interpolation,
    ACTIONS(3006), 13,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym__namespace_use_type_token1,
      aux_sym__namespace_use_type_token2,
      anon_sym_RBRACE,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [55653] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1425), 1,
      sym_text_interpolation,
    ACTIONS(3008), 13,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym__namespace_use_type_token1,
      aux_sym__namespace_use_type_token2,
      anon_sym_RBRACE,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [55678] = 12,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(603), 1,
      anon_sym_BSLASH,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1763), 1,
      sym_name,
    STATE(717), 1,
      sym__reserved_identifier,
    STATE(1426), 1,
      sym_text_interpolation,
    STATE(2177), 1,
      sym__name,
    STATE(2181), 1,
      sym_namespace_use_clause,
    STATE(2507), 1,
      sym_namespace_name,
    ACTIONS(3010), 2,
      aux_sym__namespace_use_type_token1,
      aux_sym__namespace_use_type_token2,
    STATE(1496), 2,
      sym_qualified_name,
      sym__identifier,
    ACTIONS(2090), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [55719] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1427), 1,
      sym_text_interpolation,
    ACTIONS(3012), 13,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym__namespace_use_type_token1,
      aux_sym__namespace_use_type_token2,
      anon_sym_RBRACE,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [55744] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1428), 1,
      sym_text_interpolation,
    ACTIONS(3014), 13,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym__namespace_use_type_token1,
      aux_sym__namespace_use_type_token2,
      anon_sym_RBRACE,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [55769] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1429), 1,
      sym_text_interpolation,
    ACTIONS(3016), 13,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym__namespace_use_type_token1,
      aux_sym__namespace_use_type_token2,
      anon_sym_RBRACE,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [55794] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1430), 1,
      sym_text_interpolation,
    ACTIONS(3018), 13,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym__namespace_use_type_token1,
      aux_sym__namespace_use_type_token2,
      anon_sym_RBRACE,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [55819] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1431), 1,
      sym_text_interpolation,
    ACTIONS(3020), 13,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym__namespace_use_type_token1,
      anon_sym_RBRACE,
      aux_sym_enum_case_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [55844] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1432), 1,
      sym_text_interpolation,
    ACTIONS(3022), 13,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym__namespace_use_type_token1,
      anon_sym_RBRACE,
      aux_sym_enum_case_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [55869] = 12,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(603), 1,
      anon_sym_BSLASH,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1763), 1,
      sym_name,
    STATE(717), 1,
      sym__reserved_identifier,
    STATE(1433), 1,
      sym_text_interpolation,
    STATE(2177), 1,
      sym__name,
    STATE(2468), 1,
      sym_namespace_use_clause,
    STATE(2507), 1,
      sym_namespace_name,
    ACTIONS(3010), 2,
      aux_sym__namespace_use_type_token1,
      aux_sym__namespace_use_type_token2,
    STATE(1496), 2,
      sym_qualified_name,
      sym__identifier,
    ACTIONS(2090), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [55910] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1434), 1,
      sym_text_interpolation,
    ACTIONS(3024), 13,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym__namespace_use_type_token1,
      aux_sym__namespace_use_type_token2,
      anon_sym_RBRACE,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [55935] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1435), 1,
      sym_text_interpolation,
    ACTIONS(3026), 13,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym__namespace_use_type_token1,
      aux_sym__namespace_use_type_token2,
      anon_sym_RBRACE,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [55960] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1436), 1,
      sym_text_interpolation,
    ACTIONS(3028), 13,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym__namespace_use_type_token1,
      aux_sym__namespace_use_type_token2,
      anon_sym_RBRACE,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [55985] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1437), 1,
      sym_text_interpolation,
    ACTIONS(3030), 13,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym__namespace_use_type_token1,
      anon_sym_RBRACE,
      aux_sym_enum_case_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [56010] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1438), 1,
      sym_text_interpolation,
    ACTIONS(3032), 13,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym__namespace_use_type_token1,
      aux_sym__namespace_use_type_token2,
      anon_sym_RBRACE,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [56035] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1439), 1,
      sym_text_interpolation,
    ACTIONS(3034), 13,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym__namespace_use_type_token1,
      aux_sym__namespace_use_type_token2,
      anon_sym_RBRACE,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [56060] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1440), 1,
      sym_text_interpolation,
    ACTIONS(3036), 13,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym__namespace_use_type_token1,
      aux_sym__namespace_use_type_token2,
      anon_sym_RBRACE,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [56085] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1441), 1,
      sym_text_interpolation,
    ACTIONS(3038), 13,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym__namespace_use_type_token1,
      aux_sym__namespace_use_type_token2,
      anon_sym_RBRACE,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [56110] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1834), 1,
      anon_sym_BSLASH,
    STATE(1442), 1,
      sym_text_interpolation,
    STATE(2304), 1,
      aux_sym_namespace_name_repeat1,
    ACTIONS(3040), 4,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
      sym_name,
    ACTIONS(3042), 7,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      anon_sym_DOT_DOT_DOT,
      anon_sym_PIPE,
      anon_sym_DOLLAR,
  [56141] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1443), 1,
      sym_text_interpolation,
    ACTIONS(3044), 13,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym__namespace_use_type_token1,
      anon_sym_RBRACE,
      aux_sym_enum_case_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [56166] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1444), 1,
      sym_text_interpolation,
    ACTIONS(3046), 13,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym__namespace_use_type_token1,
      anon_sym_RBRACE,
      aux_sym_enum_case_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [56191] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1445), 1,
      sym_text_interpolation,
    ACTIONS(3048), 13,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym__namespace_use_type_token1,
      aux_sym__namespace_use_type_token2,
      anon_sym_RBRACE,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [56216] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1834), 1,
      anon_sym_BSLASH,
    STATE(1446), 1,
      sym_text_interpolation,
    STATE(2304), 1,
      aux_sym_namespace_name_repeat1,
    ACTIONS(1618), 11,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      aux_sym_class_interface_clause_token1,
      anon_sym_LPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
  [56245] = 13,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2887), 1,
      anon_sym_BSLASHu,
    ACTIONS(3050), 1,
      anon_sym_LBRACE,
    ACTIONS(3052), 1,
      anon_sym_DOLLAR,
    STATE(1398), 1,
      aux_sym__interpolated_string_body_heredoc,
    STATE(1447), 1,
      sym_text_interpolation,
    STATE(1525), 1,
      sym_variable_name,
    STATE(1570), 1,
      sym__simple_string_member_access_expression,
    STATE(1584), 1,
      sym_dynamic_variable_name,
    ACTIONS(2885), 2,
      sym_encapsed_string_chars_heredoc,
      sym_escape_sequence,
    STATE(1562), 2,
      sym__simple_string_subscript_expression,
      sym__simple_variable,
    STATE(1605), 2,
      sym__complex_string_part,
      sym__simple_string_part,
  [56288] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1448), 1,
      sym_text_interpolation,
    ACTIONS(3054), 13,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym__namespace_use_type_token1,
      anon_sym_RBRACE,
      aux_sym_enum_case_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [56313] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1449), 1,
      sym_text_interpolation,
    ACTIONS(3056), 13,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym__namespace_use_type_token1,
      aux_sym__namespace_use_type_token2,
      anon_sym_RBRACE,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [56338] = 12,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(226), 1,
      anon_sym_BSLASH,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2098), 1,
      sym_name,
    STATE(1043), 1,
      sym__reserved_identifier,
    STATE(1450), 1,
      sym_text_interpolation,
    STATE(1893), 1,
      sym__name,
    STATE(2225), 1,
      sym_namespace_use_clause,
    STATE(2575), 1,
      sym_namespace_name,
    ACTIONS(3058), 2,
      aux_sym__namespace_use_type_token1,
      aux_sym__namespace_use_type_token2,
    STATE(1042), 2,
      sym_qualified_name,
      sym__identifier,
    ACTIONS(2108), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [56379] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1451), 1,
      sym_text_interpolation,
    ACTIONS(3060), 13,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym__namespace_use_type_token1,
      aux_sym__namespace_use_type_token2,
      anon_sym_RBRACE,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [56404] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1452), 1,
      sym_text_interpolation,
    ACTIONS(3062), 13,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym__namespace_use_type_token1,
      aux_sym__namespace_use_type_token2,
      anon_sym_RBRACE,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [56429] = 14,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3064), 1,
      sym_name,
    ACTIONS(3067), 1,
      anon_sym_AMP,
    ACTIONS(3070), 1,
      anon_sym_RBRACE,
    ACTIONS(3072), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(3075), 1,
      anon_sym_POUND_LBRACK,
    STATE(1365), 1,
      aux_sym_attribute_list_repeat1,
    STATE(1373), 1,
      sym_attribute_group,
    STATE(1746), 1,
      sym_property_hook,
    STATE(1755), 1,
      sym_attribute_list,
    STATE(2145), 1,
      sym_final_modifier,
    STATE(2724), 1,
      sym_reference_modifier,
    STATE(1453), 2,
      sym_text_interpolation,
      aux_sym_property_hook_list_repeat1,
  [56473] = 11,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1808), 1,
      anon_sym_DOLLAR,
    ACTIONS(3078), 1,
      sym_name,
    ACTIONS(3082), 1,
      anon_sym_LBRACE,
    STATE(717), 1,
      sym__reserved_identifier,
    STATE(799), 1,
      sym__member_name,
    STATE(1454), 1,
      sym_text_interpolation,
    STATE(796), 2,
      sym__simple_variable,
      sym__identifier,
    STATE(813), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
    ACTIONS(3080), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [56511] = 11,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(645), 1,
      anon_sym_DOLLAR,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3084), 1,
      sym_name,
    ACTIONS(3088), 1,
      anon_sym_LBRACE,
    STATE(592), 1,
      sym__member_name,
    STATE(598), 1,
      sym__reserved_identifier,
    STATE(1455), 1,
      sym_text_interpolation,
    STATE(603), 2,
      sym__simple_variable,
      sym__identifier,
    STATE(618), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
    ACTIONS(3086), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [56549] = 15,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(242), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(318), 1,
      anon_sym_POUND_LBRACK,
    ACTIONS(1851), 1,
      anon_sym_AMP,
    ACTIONS(3090), 1,
      sym_name,
    ACTIONS(3092), 1,
      anon_sym_RBRACE,
    STATE(1365), 1,
      aux_sym_attribute_list_repeat1,
    STATE(1373), 1,
      sym_attribute_group,
    STATE(1453), 1,
      aux_sym_property_hook_list_repeat1,
    STATE(1456), 1,
      sym_text_interpolation,
    STATE(1746), 1,
      sym_property_hook,
    STATE(1755), 1,
      sym_attribute_list,
    STATE(2145), 1,
      sym_final_modifier,
    STATE(2724), 1,
      sym_reference_modifier,
  [56595] = 12,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(603), 1,
      anon_sym_BSLASH,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1763), 1,
      sym_name,
    ACTIONS(3094), 1,
      anon_sym_RBRACK,
    STATE(717), 1,
      sym__reserved_identifier,
    STATE(1457), 1,
      sym_text_interpolation,
    STATE(1952), 1,
      sym__name,
    STATE(2340), 1,
      sym_attribute,
    STATE(2507), 1,
      sym_namespace_name,
    STATE(1496), 2,
      sym_qualified_name,
      sym__identifier,
    ACTIONS(2090), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [56635] = 12,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(603), 1,
      anon_sym_BSLASH,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1763), 1,
      sym_name,
    ACTIONS(3096), 1,
      anon_sym_RBRACK,
    STATE(717), 1,
      sym__reserved_identifier,
    STATE(1458), 1,
      sym_text_interpolation,
    STATE(1952), 1,
      sym__name,
    STATE(2340), 1,
      sym_attribute,
    STATE(2507), 1,
      sym_namespace_name,
    STATE(1496), 2,
      sym_qualified_name,
      sym__identifier,
    ACTIONS(2090), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [56675] = 12,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1802), 1,
      anon_sym_DOLLAR,
    ACTIONS(3078), 1,
      sym_name,
    ACTIONS(3098), 1,
      anon_sym_LBRACE,
    STATE(717), 1,
      sym__reserved_identifier,
    STATE(758), 1,
      sym__identifier,
    STATE(948), 1,
      sym__simple_variable,
    STATE(1459), 1,
      sym_text_interpolation,
    STATE(2312), 1,
      sym__member_name,
    STATE(939), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
    ACTIONS(3080), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [56715] = 11,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(645), 1,
      anon_sym_DOLLAR,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3078), 1,
      sym_name,
    ACTIONS(3088), 1,
      anon_sym_LBRACE,
    STATE(591), 1,
      sym__member_name,
    STATE(717), 1,
      sym__reserved_identifier,
    STATE(1460), 1,
      sym_text_interpolation,
    STATE(603), 2,
      sym__simple_variable,
      sym__identifier,
    STATE(618), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
    ACTIONS(3080), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [56753] = 11,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(645), 1,
      anon_sym_DOLLAR,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3078), 1,
      sym_name,
    ACTIONS(3088), 1,
      anon_sym_LBRACE,
    STATE(592), 1,
      sym__member_name,
    STATE(717), 1,
      sym__reserved_identifier,
    STATE(1461), 1,
      sym_text_interpolation,
    STATE(603), 2,
      sym__simple_variable,
      sym__identifier,
    STATE(618), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
    ACTIONS(3080), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [56791] = 11,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(645), 1,
      anon_sym_DOLLAR,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3078), 1,
      sym_name,
    ACTIONS(3088), 1,
      anon_sym_LBRACE,
    STATE(606), 1,
      sym__member_name,
    STATE(717), 1,
      sym__reserved_identifier,
    STATE(1462), 1,
      sym_text_interpolation,
    STATE(603), 2,
      sym__simple_variable,
      sym__identifier,
    STATE(618), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
    ACTIONS(3080), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [56829] = 11,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(645), 1,
      anon_sym_DOLLAR,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3078), 1,
      sym_name,
    ACTIONS(3088), 1,
      anon_sym_LBRACE,
    STATE(607), 1,
      sym__member_name,
    STATE(717), 1,
      sym__reserved_identifier,
    STATE(1463), 1,
      sym_text_interpolation,
    STATE(603), 2,
      sym__simple_variable,
      sym__identifier,
    STATE(618), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
    ACTIONS(3080), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [56867] = 11,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1562), 1,
      anon_sym_DOLLAR,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3100), 1,
      sym_name,
    ACTIONS(3104), 1,
      anon_sym_LBRACE,
    STATE(861), 1,
      sym__member_name,
    STATE(870), 1,
      sym__reserved_identifier,
    STATE(1464), 1,
      sym_text_interpolation,
    STATE(874), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
    STATE(889), 2,
      sym__simple_variable,
      sym__identifier,
    ACTIONS(3102), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [56905] = 11,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1562), 1,
      anon_sym_DOLLAR,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3100), 1,
      sym_name,
    ACTIONS(3104), 1,
      anon_sym_LBRACE,
    STATE(862), 1,
      sym__member_name,
    STATE(870), 1,
      sym__reserved_identifier,
    STATE(1465), 1,
      sym_text_interpolation,
    STATE(874), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
    STATE(889), 2,
      sym__simple_variable,
      sym__identifier,
    ACTIONS(3102), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [56943] = 15,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(242), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(318), 1,
      anon_sym_POUND_LBRACK,
    ACTIONS(1851), 1,
      anon_sym_AMP,
    ACTIONS(3090), 1,
      sym_name,
    ACTIONS(3106), 1,
      anon_sym_RBRACE,
    STATE(1365), 1,
      aux_sym_attribute_list_repeat1,
    STATE(1373), 1,
      sym_attribute_group,
    STATE(1453), 1,
      aux_sym_property_hook_list_repeat1,
    STATE(1466), 1,
      sym_text_interpolation,
    STATE(1746), 1,
      sym_property_hook,
    STATE(1755), 1,
      sym_attribute_list,
    STATE(2145), 1,
      sym_final_modifier,
    STATE(2724), 1,
      sym_reference_modifier,
  [56989] = 15,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(242), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(318), 1,
      anon_sym_POUND_LBRACK,
    ACTIONS(1851), 1,
      anon_sym_AMP,
    ACTIONS(3090), 1,
      sym_name,
    ACTIONS(3108), 1,
      anon_sym_RBRACE,
    STATE(1365), 1,
      aux_sym_attribute_list_repeat1,
    STATE(1373), 1,
      sym_attribute_group,
    STATE(1466), 1,
      aux_sym_property_hook_list_repeat1,
    STATE(1467), 1,
      sym_text_interpolation,
    STATE(1746), 1,
      sym_property_hook,
    STATE(1755), 1,
      sym_attribute_list,
    STATE(2145), 1,
      sym_final_modifier,
    STATE(2724), 1,
      sym_reference_modifier,
  [57035] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3110), 1,
      aux_sym__namespace_use_type_token1,
    ACTIONS(3112), 1,
      aux_sym__arrow_function_header_token1,
    STATE(1468), 1,
      sym_text_interpolation,
    ACTIONS(2406), 10,
      aux_sym_function_static_declaration_token1,
      aux_sym__namespace_use_type_token2,
      aux_sym_class_declaration_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
  [57063] = 11,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1802), 1,
      anon_sym_DOLLAR,
    ACTIONS(3114), 1,
      sym_name,
    ACTIONS(3118), 1,
      anon_sym_LBRACE,
    STATE(901), 1,
      sym__member_name,
    STATE(979), 1,
      sym__reserved_identifier,
    STATE(1469), 1,
      sym_text_interpolation,
    STATE(939), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
    STATE(949), 2,
      sym__simple_variable,
      sym__identifier,
    ACTIONS(3116), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [57101] = 11,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1802), 1,
      anon_sym_DOLLAR,
    ACTIONS(3114), 1,
      sym_name,
    ACTIONS(3118), 1,
      anon_sym_LBRACE,
    STATE(898), 1,
      sym__member_name,
    STATE(979), 1,
      sym__reserved_identifier,
    STATE(1470), 1,
      sym_text_interpolation,
    STATE(939), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
    STATE(949), 2,
      sym__simple_variable,
      sym__identifier,
    ACTIONS(3116), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [57139] = 11,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1802), 1,
      anon_sym_DOLLAR,
    ACTIONS(3114), 1,
      sym_name,
    ACTIONS(3118), 1,
      anon_sym_LBRACE,
    STATE(952), 1,
      sym__member_name,
    STATE(979), 1,
      sym__reserved_identifier,
    STATE(1471), 1,
      sym_text_interpolation,
    STATE(939), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
    STATE(949), 2,
      sym__simple_variable,
      sym__identifier,
    ACTIONS(3116), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [57177] = 11,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1802), 1,
      anon_sym_DOLLAR,
    ACTIONS(3114), 1,
      sym_name,
    ACTIONS(3118), 1,
      anon_sym_LBRACE,
    STATE(953), 1,
      sym__member_name,
    STATE(979), 1,
      sym__reserved_identifier,
    STATE(1472), 1,
      sym_text_interpolation,
    STATE(939), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
    STATE(949), 2,
      sym__simple_variable,
      sym__identifier,
    ACTIONS(3116), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [57215] = 12,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(603), 1,
      anon_sym_BSLASH,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1763), 1,
      sym_name,
    ACTIONS(3120), 1,
      anon_sym_RBRACK,
    STATE(717), 1,
      sym__reserved_identifier,
    STATE(1473), 1,
      sym_text_interpolation,
    STATE(1952), 1,
      sym__name,
    STATE(2340), 1,
      sym_attribute,
    STATE(2507), 1,
      sym_namespace_name,
    STATE(1496), 2,
      sym_qualified_name,
      sym__identifier,
    ACTIONS(2090), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [57255] = 12,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(603), 1,
      anon_sym_BSLASH,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1763), 1,
      sym_name,
    ACTIONS(3122), 1,
      anon_sym_RBRACK,
    STATE(717), 1,
      sym__reserved_identifier,
    STATE(1474), 1,
      sym_text_interpolation,
    STATE(1952), 1,
      sym__name,
    STATE(2340), 1,
      sym_attribute,
    STATE(2507), 1,
      sym_namespace_name,
    STATE(1496), 2,
      sym_qualified_name,
      sym__identifier,
    ACTIONS(2090), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [57295] = 12,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1562), 1,
      anon_sym_DOLLAR,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3114), 1,
      sym_name,
    ACTIONS(3124), 1,
      anon_sym_LBRACE,
    STATE(888), 1,
      sym__simple_variable,
    STATE(979), 1,
      sym__reserved_identifier,
    STATE(1003), 1,
      sym__identifier,
    STATE(1475), 1,
      sym_text_interpolation,
    STATE(2499), 1,
      sym__member_name,
    STATE(874), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
    ACTIONS(3116), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [57335] = 11,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(645), 1,
      anon_sym_DOLLAR,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3084), 1,
      sym_name,
    ACTIONS(3088), 1,
      anon_sym_LBRACE,
    STATE(591), 1,
      sym__member_name,
    STATE(598), 1,
      sym__reserved_identifier,
    STATE(1476), 1,
      sym_text_interpolation,
    STATE(603), 2,
      sym__simple_variable,
      sym__identifier,
    STATE(618), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
    ACTIONS(3086), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [57373] = 12,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1808), 1,
      anon_sym_DOLLAR,
    ACTIONS(3078), 1,
      sym_name,
    ACTIONS(3098), 1,
      anon_sym_LBRACE,
    STATE(717), 1,
      sym__reserved_identifier,
    STATE(758), 1,
      sym__identifier,
    STATE(794), 1,
      sym__simple_variable,
    STATE(1477), 1,
      sym_text_interpolation,
    STATE(2332), 1,
      sym__member_name,
    STATE(813), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
    ACTIONS(3080), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [57413] = 15,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(242), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(318), 1,
      anon_sym_POUND_LBRACK,
    ACTIONS(1851), 1,
      anon_sym_AMP,
    ACTIONS(3090), 1,
      sym_name,
    ACTIONS(3126), 1,
      anon_sym_RBRACE,
    STATE(1365), 1,
      aux_sym_attribute_list_repeat1,
    STATE(1373), 1,
      sym_attribute_group,
    STATE(1456), 1,
      aux_sym_property_hook_list_repeat1,
    STATE(1478), 1,
      sym_text_interpolation,
    STATE(1746), 1,
      sym_property_hook,
    STATE(1755), 1,
      sym_attribute_list,
    STATE(2145), 1,
      sym_final_modifier,
    STATE(2724), 1,
      sym_reference_modifier,
  [57459] = 12,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(645), 1,
      anon_sym_DOLLAR,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3078), 1,
      sym_name,
    ACTIONS(3098), 1,
      anon_sym_LBRACE,
    STATE(601), 1,
      sym__simple_variable,
    STATE(717), 1,
      sym__reserved_identifier,
    STATE(758), 1,
      sym__identifier,
    STATE(1479), 1,
      sym_text_interpolation,
    STATE(2323), 1,
      sym__member_name,
    STATE(618), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
    ACTIONS(3080), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [57499] = 12,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(328), 1,
      anon_sym_DOLLAR,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3114), 1,
      sym_name,
    ACTIONS(3124), 1,
      anon_sym_LBRACE,
    STATE(636), 1,
      sym__simple_variable,
    STATE(979), 1,
      sym__reserved_identifier,
    STATE(1003), 1,
      sym__identifier,
    STATE(1480), 1,
      sym_text_interpolation,
    STATE(2394), 1,
      sym__member_name,
    STATE(650), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
    ACTIONS(3116), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [57539] = 11,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1558), 1,
      anon_sym_DOLLAR,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3128), 1,
      sym_name,
    ACTIONS(3132), 1,
      anon_sym_LBRACE,
    STATE(713), 1,
      sym__member_name,
    STATE(738), 1,
      sym__reserved_identifier,
    STATE(1481), 1,
      sym_text_interpolation,
    STATE(728), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
    STATE(743), 2,
      sym__simple_variable,
      sym__identifier,
    ACTIONS(3130), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [57577] = 11,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1558), 1,
      anon_sym_DOLLAR,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3128), 1,
      sym_name,
    ACTIONS(3132), 1,
      anon_sym_LBRACE,
    STATE(716), 1,
      sym__member_name,
    STATE(738), 1,
      sym__reserved_identifier,
    STATE(1482), 1,
      sym_text_interpolation,
    STATE(728), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
    STATE(743), 2,
      sym__simple_variable,
      sym__identifier,
    ACTIONS(3130), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [57615] = 11,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1808), 1,
      anon_sym_DOLLAR,
    ACTIONS(3078), 1,
      sym_name,
    ACTIONS(3082), 1,
      anon_sym_LBRACE,
    STATE(717), 1,
      sym__reserved_identifier,
    STATE(754), 1,
      sym__member_name,
    STATE(1483), 1,
      sym_text_interpolation,
    STATE(796), 2,
      sym__simple_variable,
      sym__identifier,
    STATE(813), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
    ACTIONS(3080), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [57653] = 11,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(328), 1,
      anon_sym_DOLLAR,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3134), 1,
      sym_name,
    ACTIONS(3138), 1,
      anon_sym_LBRACE,
    STATE(622), 1,
      sym__member_name,
    STATE(635), 1,
      sym__reserved_identifier,
    STATE(1484), 1,
      sym_text_interpolation,
    STATE(639), 2,
      sym__simple_variable,
      sym__identifier,
    STATE(650), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
    ACTIONS(3136), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [57691] = 10,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3145), 1,
      anon_sym_AMP,
    ACTIONS(3152), 1,
      anon_sym_PIPE,
    STATE(1485), 1,
      sym_text_interpolation,
    STATE(1510), 1,
      aux_sym_union_type_repeat1,
    STATE(1512), 1,
      aux_sym_intersection_type_repeat1,
    STATE(1513), 1,
      aux_sym_disjunctive_normal_form_type_repeat1,
    ACTIONS(3147), 3,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_DOLLAR,
    ACTIONS(3140), 4,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
      sym_name,
  [57727] = 11,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(328), 1,
      anon_sym_DOLLAR,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3134), 1,
      sym_name,
    ACTIONS(3138), 1,
      anon_sym_LBRACE,
    STATE(624), 1,
      sym__member_name,
    STATE(635), 1,
      sym__reserved_identifier,
    STATE(1486), 1,
      sym_text_interpolation,
    STATE(639), 2,
      sym__simple_variable,
      sym__identifier,
    STATE(650), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
    ACTIONS(3136), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [57765] = 12,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1562), 1,
      anon_sym_DOLLAR,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3078), 1,
      sym_name,
    ACTIONS(3098), 1,
      anon_sym_LBRACE,
    STATE(717), 1,
      sym__reserved_identifier,
    STATE(758), 1,
      sym__identifier,
    STATE(888), 1,
      sym__simple_variable,
    STATE(1487), 1,
      sym_text_interpolation,
    STATE(2499), 1,
      sym__member_name,
    STATE(874), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
    ACTIONS(3080), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [57805] = 11,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1808), 1,
      anon_sym_DOLLAR,
    ACTIONS(3078), 1,
      sym_name,
    ACTIONS(3082), 1,
      anon_sym_LBRACE,
    STATE(717), 1,
      sym__reserved_identifier,
    STATE(756), 1,
      sym__member_name,
    STATE(1488), 1,
      sym_text_interpolation,
    STATE(796), 2,
      sym__simple_variable,
      sym__identifier,
    STATE(813), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
    ACTIONS(3080), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [57843] = 11,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1808), 1,
      anon_sym_DOLLAR,
    ACTIONS(3078), 1,
      sym_name,
    ACTIONS(3082), 1,
      anon_sym_LBRACE,
    STATE(717), 1,
      sym__reserved_identifier,
    STATE(798), 1,
      sym__member_name,
    STATE(1489), 1,
      sym_text_interpolation,
    STATE(796), 2,
      sym__simple_variable,
      sym__identifier,
    STATE(813), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
    ACTIONS(3080), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [57881] = 12,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1558), 1,
      anon_sym_DOLLAR,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3078), 1,
      sym_name,
    ACTIONS(3098), 1,
      anon_sym_LBRACE,
    STATE(717), 1,
      sym__reserved_identifier,
    STATE(741), 1,
      sym__simple_variable,
    STATE(758), 1,
      sym__identifier,
    STATE(1490), 1,
      sym_text_interpolation,
    STATE(2322), 1,
      sym__member_name,
    STATE(728), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
    ACTIONS(3080), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [57921] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(324), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3154), 1,
      sym_integer,
    STATE(1491), 1,
      sym_text_interpolation,
    STATE(2269), 1,
      sym__string,
    ACTIONS(320), 2,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
    ACTIONS(322), 2,
      aux_sym_string_token1,
      anon_sym_SQUOTE,
    STATE(927), 4,
      sym_encapsed_string,
      sym_string,
      sym_heredoc,
      sym_nowdoc,
  [57954] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(324), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3156), 1,
      sym_integer,
    STATE(1492), 1,
      sym_text_interpolation,
    STATE(1997), 1,
      sym__string,
    ACTIONS(320), 2,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
    ACTIONS(322), 2,
      aux_sym_string_token1,
      anon_sym_SQUOTE,
    STATE(927), 4,
      sym_encapsed_string,
      sym_string,
      sym_heredoc,
      sym_nowdoc,
  [57987] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3158), 1,
      aux_sym__namespace_use_type_token1,
    ACTIONS(3160), 1,
      aux_sym__arrow_function_header_token1,
    STATE(1493), 1,
      sym_text_interpolation,
    ACTIONS(2406), 9,
      aux_sym_function_static_declaration_token1,
      aux_sym_class_declaration_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
  [58014] = 11,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(603), 1,
      anon_sym_BSLASH,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1763), 1,
      sym_name,
    STATE(717), 1,
      sym__reserved_identifier,
    STATE(1494), 1,
      sym_text_interpolation,
    STATE(1952), 1,
      sym__name,
    STATE(2340), 1,
      sym_attribute,
    STATE(2507), 1,
      sym_namespace_name,
    STATE(1496), 2,
      sym_qualified_name,
      sym__identifier,
    ACTIONS(2090), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [58051] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1495), 1,
      sym_text_interpolation,
    ACTIONS(3040), 4,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
      sym_name,
    ACTIONS(3042), 7,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      anon_sym_DOT_DOT_DOT,
      anon_sym_PIPE,
      anon_sym_DOLLAR,
  [58076] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1496), 1,
      sym_text_interpolation,
    ACTIONS(1948), 11,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      aux_sym_class_interface_clause_token1,
      anon_sym_LPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
  [58099] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1497), 1,
      sym_text_interpolation,
    ACTIONS(3162), 4,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
      sym_name,
    ACTIONS(3164), 7,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      anon_sym_DOT_DOT_DOT,
      anon_sym_PIPE,
      anon_sym_DOLLAR,
  [58124] = 11,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(603), 1,
      anon_sym_BSLASH,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1763), 1,
      sym_name,
    STATE(717), 1,
      sym__reserved_identifier,
    STATE(1498), 1,
      sym_text_interpolation,
    STATE(1952), 1,
      sym__name,
    STATE(1999), 1,
      sym_attribute,
    STATE(2507), 1,
      sym_namespace_name,
    STATE(1496), 2,
      sym_qualified_name,
      sym__identifier,
    ACTIONS(2090), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [58161] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1499), 1,
      sym_text_interpolation,
    ACTIONS(3166), 4,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
      sym_name,
    ACTIONS(3168), 7,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      anon_sym_DOT_DOT_DOT,
      anon_sym_PIPE,
      anon_sym_DOLLAR,
  [58186] = 11,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(603), 1,
      anon_sym_BSLASH,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1763), 1,
      sym_name,
    STATE(717), 1,
      sym__reserved_identifier,
    STATE(1500), 1,
      sym_text_interpolation,
    STATE(1952), 1,
      sym__name,
    STATE(2019), 1,
      sym_attribute,
    STATE(2507), 1,
      sym_namespace_name,
    STATE(1496), 2,
      sym_qualified_name,
      sym__identifier,
    ACTIONS(2090), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [58223] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1501), 1,
      sym_text_interpolation,
    ACTIONS(3170), 4,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
      sym_name,
    ACTIONS(3172), 7,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      anon_sym_DOT_DOT_DOT,
      anon_sym_PIPE,
      anon_sym_DOLLAR,
  [58248] = 10,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(603), 1,
      anon_sym_BSLASH,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1763), 1,
      sym_name,
    STATE(717), 1,
      sym__reserved_identifier,
    STATE(1502), 1,
      sym_text_interpolation,
    STATE(2253), 1,
      sym__name,
    STATE(2507), 1,
      sym_namespace_name,
    STATE(1496), 2,
      sym_qualified_name,
      sym__identifier,
    ACTIONS(2090), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [58282] = 10,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(603), 1,
      anon_sym_BSLASH,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1763), 1,
      sym_name,
    STATE(717), 1,
      sym__reserved_identifier,
    STATE(1503), 1,
      sym_text_interpolation,
    STATE(2289), 1,
      sym__name,
    STATE(2507), 1,
      sym_namespace_name,
    STATE(1496), 2,
      sym_qualified_name,
      sym__identifier,
    ACTIONS(2090), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [58316] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3178), 1,
      anon_sym_PIPE,
    STATE(1504), 1,
      sym_text_interpolation,
    STATE(1520), 1,
      aux_sym_disjunctive_normal_form_type_repeat1,
    ACTIONS(3174), 4,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
      sym_name,
    ACTIONS(3176), 4,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_DOLLAR,
  [58344] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1505), 1,
      sym_text_interpolation,
    ACTIONS(3180), 4,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
      sym_name,
    ACTIONS(3182), 6,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_DOT_DOT_DOT,
      anon_sym_PIPE,
      anon_sym_DOLLAR,
  [58368] = 10,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(226), 1,
      anon_sym_BSLASH,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2098), 1,
      sym_name,
    STATE(1043), 1,
      sym__reserved_identifier,
    STATE(1506), 1,
      sym_text_interpolation,
    STATE(1578), 1,
      sym__name,
    STATE(2575), 1,
      sym_namespace_name,
    STATE(1042), 2,
      sym_qualified_name,
      sym__identifier,
    ACTIONS(2108), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [58402] = 10,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(603), 1,
      anon_sym_BSLASH,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1763), 1,
      sym_name,
    STATE(717), 1,
      sym__reserved_identifier,
    STATE(1507), 1,
      sym_text_interpolation,
    STATE(2214), 1,
      sym__name,
    STATE(2507), 1,
      sym_namespace_name,
    STATE(1496), 2,
      sym_qualified_name,
      sym__identifier,
    ACTIONS(2090), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [58436] = 10,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(226), 1,
      anon_sym_BSLASH,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2098), 1,
      sym_name,
    STATE(1043), 1,
      sym__reserved_identifier,
    STATE(1508), 1,
      sym_text_interpolation,
    STATE(1941), 1,
      sym__name,
    STATE(2575), 1,
      sym_namespace_name,
    STATE(1042), 2,
      sym_qualified_name,
      sym__identifier,
    ACTIONS(2108), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [58470] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3178), 1,
      anon_sym_PIPE,
    STATE(1504), 1,
      aux_sym_disjunctive_normal_form_type_repeat1,
    STATE(1509), 1,
      sym_text_interpolation,
    ACTIONS(3184), 4,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
      sym_name,
    ACTIONS(3186), 4,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_DOLLAR,
  [58498] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3192), 1,
      anon_sym_PIPE,
    STATE(1510), 1,
      sym_text_interpolation,
    STATE(1516), 1,
      aux_sym_union_type_repeat1,
    ACTIONS(3188), 4,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
      sym_name,
    ACTIONS(3190), 4,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_DOLLAR,
  [58526] = 11,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1851), 1,
      anon_sym_AMP,
    ACTIONS(3078), 1,
      sym_name,
    ACTIONS(3194), 1,
      anon_sym_LPAREN2,
    STATE(717), 1,
      sym__reserved_identifier,
    STATE(1511), 1,
      sym_text_interpolation,
    STATE(1557), 1,
      sym_reference_modifier,
    STATE(1830), 1,
      sym_formal_parameters,
    STATE(2478), 1,
      sym__identifier,
    ACTIONS(2090), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [58562] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3145), 1,
      anon_sym_AMP,
    STATE(1512), 1,
      sym_text_interpolation,
    STATE(1518), 1,
      aux_sym_intersection_type_repeat1,
    ACTIONS(3196), 4,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
      sym_name,
    ACTIONS(3198), 4,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      anon_sym_DOLLAR,
  [58590] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3178), 1,
      anon_sym_PIPE,
    STATE(1513), 1,
      sym_text_interpolation,
    STATE(1520), 1,
      aux_sym_disjunctive_normal_form_type_repeat1,
    ACTIONS(3200), 4,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
      sym_name,
    ACTIONS(3202), 4,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_DOLLAR,
  [58618] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1514), 1,
      sym_text_interpolation,
    ACTIONS(3204), 4,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
      sym_name,
    ACTIONS(3206), 6,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOLLAR,
  [58642] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1515), 1,
      sym_text_interpolation,
    ACTIONS(3208), 4,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
      sym_name,
    ACTIONS(3211), 6,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_DOT_DOT_DOT,
      anon_sym_PIPE,
      anon_sym_DOLLAR,
  [58666] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3214), 1,
      anon_sym_PIPE,
    STATE(1516), 2,
      sym_text_interpolation,
      aux_sym_union_type_repeat1,
    ACTIONS(3180), 4,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
      sym_name,
    ACTIONS(3182), 4,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_DOLLAR,
  [58692] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2134), 1,
      anon_sym_COLON,
    ACTIONS(2836), 1,
      anon_sym_COLON_COLON,
    STATE(1517), 1,
      sym_text_interpolation,
    ACTIONS(1810), 2,
      aux_sym__namespace_use_type_token1,
      aux_sym__arrow_function_header_token1,
    ACTIONS(1626), 6,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [58720] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3217), 1,
      anon_sym_AMP,
    STATE(1518), 2,
      sym_text_interpolation,
      aux_sym_intersection_type_repeat1,
    ACTIONS(3204), 4,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
      sym_name,
    ACTIONS(3206), 4,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      anon_sym_DOLLAR,
  [58746] = 10,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(603), 1,
      anon_sym_BSLASH,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1763), 1,
      sym_name,
    STATE(717), 1,
      sym__reserved_identifier,
    STATE(1519), 1,
      sym_text_interpolation,
    STATE(1932), 1,
      sym__name,
    STATE(2507), 1,
      sym_namespace_name,
    STATE(1496), 2,
      sym_qualified_name,
      sym__identifier,
    ACTIONS(2090), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [58780] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3224), 1,
      anon_sym_PIPE,
    STATE(1520), 2,
      sym_text_interpolation,
      aux_sym_disjunctive_normal_form_type_repeat1,
    ACTIONS(3220), 4,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
      sym_name,
    ACTIONS(3222), 4,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_DOLLAR,
  [58806] = 10,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(226), 1,
      anon_sym_BSLASH,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2098), 1,
      sym_name,
    STATE(1043), 1,
      sym__reserved_identifier,
    STATE(1521), 1,
      sym_text_interpolation,
    STATE(1917), 1,
      sym__name,
    STATE(2575), 1,
      sym_namespace_name,
    STATE(1042), 2,
      sym_qualified_name,
      sym__identifier,
    ACTIONS(2108), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [58840] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1522), 1,
      sym_text_interpolation,
    ACTIONS(3227), 4,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
      sym_name,
    ACTIONS(3229), 6,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_DOT_DOT_DOT,
      anon_sym_PIPE,
      anon_sym_DOLLAR,
  [58864] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(11), 1,
      anon_sym_QMARK_GT,
    STATE(1523), 1,
      sym_text_interpolation,
    ACTIONS(1610), 5,
      sym_encapsed_string_chars_heredoc,
      sym_encapsed_string_chars_after_variable_heredoc,
      sym_heredoc_end,
      sym_escape_sequence,
      sym__new_line,
    ACTIONS(1612), 5,
      anon_sym_LBRACE,
      anon_sym_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_BSLASHu,
      anon_sym_DOLLAR,
  [58888] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1524), 1,
      sym_text_interpolation,
    ACTIONS(3220), 4,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
      sym_name,
    ACTIONS(3222), 6,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_DOT_DOT_DOT,
      anon_sym_PIPE,
      anon_sym_DOLLAR,
  [58912] = 8,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(11), 1,
      anon_sym_QMARK_GT,
    ACTIONS(3231), 1,
      anon_sym_DASH_GT,
    ACTIONS(3233), 1,
      anon_sym_LBRACK,
    ACTIONS(3235), 1,
      sym_encapsed_string_chars_after_variable_heredoc,
    STATE(1525), 1,
      sym_text_interpolation,
    ACTIONS(1704), 3,
      anon_sym_LBRACE,
      anon_sym_BSLASHu,
      anon_sym_DOLLAR,
    ACTIONS(1702), 4,
      sym_encapsed_string_chars_heredoc,
      sym_heredoc_end,
      sym_escape_sequence,
      sym__new_line,
  [58942] = 11,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1851), 1,
      anon_sym_AMP,
    ACTIONS(3078), 1,
      sym_name,
    ACTIONS(3194), 1,
      anon_sym_LPAREN2,
    STATE(717), 1,
      sym__reserved_identifier,
    STATE(1526), 1,
      sym_text_interpolation,
    STATE(1561), 1,
      sym_reference_modifier,
    STATE(1794), 1,
      sym_formal_parameters,
    STATE(2478), 1,
      sym__identifier,
    ACTIONS(2090), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [58978] = 10,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(226), 1,
      anon_sym_BSLASH,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2098), 1,
      sym_name,
    STATE(1043), 1,
      sym__reserved_identifier,
    STATE(1527), 1,
      sym_text_interpolation,
    STATE(1917), 1,
      sym__name,
    STATE(2635), 1,
      sym_namespace_name,
    STATE(1042), 2,
      sym_qualified_name,
      sym__identifier,
    ACTIONS(2108), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [59012] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1528), 1,
      sym_text_interpolation,
    ACTIONS(3237), 4,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
      sym_name,
    ACTIONS(3239), 5,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOLLAR,
  [59035] = 11,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3241), 1,
      anon_sym_LBRACE,
    ACTIONS(3243), 1,
      anon_sym_EQ_GT,
    ACTIONS(3245), 1,
      anon_sym_LPAREN2,
    STATE(1529), 1,
      sym_text_interpolation,
    STATE(1597), 1,
      sym_formal_parameters,
    STATE(1707), 1,
      sym__property_hook_body,
    STATE(1747), 1,
      sym_compound_statement,
    STATE(1748), 1,
      sym__semicolon,
    ACTIONS(2486), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [59070] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2836), 1,
      anon_sym_COLON_COLON,
    STATE(1530), 1,
      sym_text_interpolation,
    ACTIONS(1810), 2,
      aux_sym__namespace_use_type_token1,
      aux_sym__arrow_function_header_token1,
    ACTIONS(1626), 6,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [59095] = 11,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3241), 1,
      anon_sym_LBRACE,
    ACTIONS(3243), 1,
      anon_sym_EQ_GT,
    ACTIONS(3245), 1,
      anon_sym_LPAREN2,
    STATE(1531), 1,
      sym_text_interpolation,
    STATE(1573), 1,
      sym_formal_parameters,
    STATE(1744), 1,
      sym__property_hook_body,
    STATE(1747), 1,
      sym_compound_statement,
    STATE(1748), 1,
      sym__semicolon,
    ACTIONS(2486), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [59130] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1704), 1,
      anon_sym_BSLASHu,
    ACTIONS(3247), 1,
      anon_sym_DASH_GT,
    ACTIONS(3249), 1,
      anon_sym_LBRACK,
    ACTIONS(3251), 1,
      sym_execution_string_chars_after_variable,
    STATE(1532), 1,
      sym_text_interpolation,
    ACTIONS(1702), 5,
      sym_execution_string_chars,
      anon_sym_LBRACE,
      sym_escape_sequence,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR,
  [59159] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1612), 1,
      anon_sym_BSLASHu,
    STATE(1533), 1,
      sym_text_interpolation,
    ACTIONS(1610), 8,
      sym_execution_string_chars,
      sym_execution_string_chars_after_variable,
      anon_sym_LBRACE,
      anon_sym_DASH_GT,
      anon_sym_LBRACK,
      sym_escape_sequence,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR,
  [59182] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1612), 1,
      anon_sym_BSLASHu,
    STATE(1534), 1,
      sym_text_interpolation,
    ACTIONS(1610), 8,
      sym_encapsed_string_chars,
      sym_encapsed_string_chars_after_variable,
      anon_sym_LBRACE,
      anon_sym_DASH_GT,
      anon_sym_LBRACK,
      sym_escape_sequence,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
  [59205] = 11,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3241), 1,
      anon_sym_LBRACE,
    ACTIONS(3243), 1,
      anon_sym_EQ_GT,
    ACTIONS(3245), 1,
      anon_sym_LPAREN2,
    STATE(1535), 1,
      sym_text_interpolation,
    STATE(1582), 1,
      sym_formal_parameters,
    STATE(1747), 1,
      sym_compound_statement,
    STATE(1748), 1,
      sym__semicolon,
    STATE(1806), 1,
      sym__property_hook_body,
    ACTIONS(2486), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [59240] = 11,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3241), 1,
      anon_sym_LBRACE,
    ACTIONS(3243), 1,
      anon_sym_EQ_GT,
    ACTIONS(3245), 1,
      anon_sym_LPAREN2,
    STATE(1536), 1,
      sym_text_interpolation,
    STATE(1593), 1,
      sym_formal_parameters,
    STATE(1737), 1,
      sym__property_hook_body,
    STATE(1747), 1,
      sym_compound_statement,
    STATE(1748), 1,
      sym__semicolon,
    ACTIONS(2486), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [59275] = 11,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3241), 1,
      anon_sym_LBRACE,
    ACTIONS(3243), 1,
      anon_sym_EQ_GT,
    ACTIONS(3245), 1,
      anon_sym_LPAREN2,
    STATE(1537), 1,
      sym_text_interpolation,
    STATE(1595), 1,
      sym_formal_parameters,
    STATE(1741), 1,
      sym__property_hook_body,
    STATE(1747), 1,
      sym_compound_statement,
    STATE(1748), 1,
      sym__semicolon,
    ACTIONS(2486), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [59310] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1618), 1,
      anon_sym_EQ,
    ACTIONS(1834), 1,
      anon_sym_BSLASH,
    STATE(1538), 1,
      sym_text_interpolation,
    STATE(2304), 1,
      aux_sym_namespace_name_repeat1,
    ACTIONS(3042), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(3040), 4,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
      sym_name,
  [59339] = 11,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3241), 1,
      anon_sym_LBRACE,
    ACTIONS(3243), 1,
      anon_sym_EQ_GT,
    ACTIONS(3245), 1,
      anon_sym_LPAREN2,
    STATE(1539), 1,
      sym_text_interpolation,
    STATE(1581), 1,
      sym_formal_parameters,
    STATE(1747), 1,
      sym_compound_statement,
    STATE(1748), 1,
      sym__semicolon,
    STATE(1802), 1,
      sym__property_hook_body,
    ACTIONS(2486), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [59374] = 11,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3241), 1,
      anon_sym_LBRACE,
    ACTIONS(3243), 1,
      anon_sym_EQ_GT,
    ACTIONS(3245), 1,
      anon_sym_LPAREN2,
    STATE(1540), 1,
      sym_text_interpolation,
    STATE(1594), 1,
      sym_formal_parameters,
    STATE(1740), 1,
      sym__property_hook_body,
    STATE(1747), 1,
      sym_compound_statement,
    STATE(1748), 1,
      sym__semicolon,
    ACTIONS(2486), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [59409] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1704), 1,
      anon_sym_BSLASHu,
    ACTIONS(3253), 1,
      anon_sym_DASH_GT,
    ACTIONS(3255), 1,
      anon_sym_LBRACK,
    ACTIONS(3257), 1,
      sym_encapsed_string_chars_after_variable,
    STATE(1541), 1,
      sym_text_interpolation,
    ACTIONS(1702), 5,
      sym_encapsed_string_chars,
      anon_sym_LBRACE,
      sym_escape_sequence,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
  [59438] = 11,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3241), 1,
      anon_sym_LBRACE,
    ACTIONS(3243), 1,
      anon_sym_EQ_GT,
    ACTIONS(3245), 1,
      anon_sym_LPAREN2,
    STATE(1542), 1,
      sym_text_interpolation,
    STATE(1583), 1,
      sym_formal_parameters,
    STATE(1747), 1,
      sym_compound_statement,
    STATE(1748), 1,
      sym__semicolon,
    STATE(1811), 1,
      sym__property_hook_body,
    ACTIONS(2486), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [59473] = 11,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1590), 1,
      anon_sym_LPAREN2,
    ACTIONS(3259), 1,
      anon_sym_LBRACE,
    ACTIONS(3261), 1,
      aux_sym_base_clause_token1,
    ACTIONS(3263), 1,
      aux_sym_class_interface_clause_token1,
    STATE(988), 1,
      sym_declaration_list,
    STATE(1543), 1,
      sym_text_interpolation,
    STATE(1629), 1,
      sym_arguments,
    STATE(1875), 1,
      sym_base_clause,
    STATE(2388), 1,
      sym_class_interface_clause,
  [59507] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1851), 1,
      anon_sym_AMP,
    ACTIONS(3078), 1,
      sym_name,
    STATE(717), 1,
      sym__reserved_identifier,
    STATE(1544), 1,
      sym_text_interpolation,
    STATE(1679), 1,
      sym_reference_modifier,
    STATE(2336), 1,
      sym__identifier,
    ACTIONS(2090), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [59537] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(999), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3265), 1,
      aux_sym_catch_clause_token1,
    ACTIONS(3267), 1,
      aux_sym_finally_clause_token1,
    STATE(1545), 1,
      sym_text_interpolation,
    STATE(1546), 1,
      aux_sym_try_statement_repeat1,
    ACTIONS(997), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
    STATE(1834), 2,
      sym_catch_clause,
      sym_finally_clause,
  [59567] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(989), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3269), 1,
      aux_sym_catch_clause_token1,
    ACTIONS(3272), 1,
      aux_sym_finally_clause_token1,
    ACTIONS(987), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
    STATE(1546), 2,
      sym_text_interpolation,
      aux_sym_try_statement_repeat1,
    STATE(1834), 2,
      sym_catch_clause,
      sym_finally_clause,
  [59595] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1834), 1,
      anon_sym_BSLASH,
    ACTIONS(3275), 1,
      aux_sym_namespace_use_clause_token1,
    STATE(1547), 1,
      sym_text_interpolation,
    STATE(2304), 1,
      aux_sym_namespace_name_repeat1,
    ACTIONS(1618), 5,
      anon_sym_LPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [59621] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(866), 1,
      anon_sym_COMMA,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1672), 1,
      anon_sym_LPAREN2,
    ACTIONS(3277), 1,
      anon_sym_RPAREN2,
    STATE(1548), 1,
      sym_text_interpolation,
    STATE(2174), 1,
      aux_sym__list_destructing_repeat1,
    ACTIONS(1674), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [59649] = 11,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1590), 1,
      anon_sym_LPAREN2,
    ACTIONS(3261), 1,
      aux_sym_base_clause_token1,
    ACTIONS(3263), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3279), 1,
      anon_sym_LBRACE,
    STATE(818), 1,
      sym_declaration_list,
    STATE(1549), 1,
      sym_text_interpolation,
    STATE(1650), 1,
      sym_arguments,
    STATE(1844), 1,
      sym_base_clause,
    STATE(2360), 1,
      sym_class_interface_clause,
  [59683] = 11,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1590), 1,
      anon_sym_LPAREN2,
    ACTIONS(3261), 1,
      aux_sym_base_clause_token1,
    ACTIONS(3263), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3279), 1,
      anon_sym_LBRACE,
    STATE(781), 1,
      sym_declaration_list,
    STATE(1550), 1,
      sym_text_interpolation,
    STATE(1640), 1,
      sym_arguments,
    STATE(1873), 1,
      sym_base_clause,
    STATE(2308), 1,
      sym_class_interface_clause,
  [59717] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2134), 1,
      anon_sym_COLON,
    ACTIONS(2836), 1,
      anon_sym_COLON_COLON,
    STATE(1551), 1,
      sym_text_interpolation,
    ACTIONS(1626), 6,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [59741] = 11,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1590), 1,
      anon_sym_LPAREN2,
    ACTIONS(3259), 1,
      anon_sym_LBRACE,
    ACTIONS(3261), 1,
      aux_sym_base_clause_token1,
    ACTIONS(3263), 1,
      aux_sym_class_interface_clause_token1,
    STATE(923), 1,
      sym_declaration_list,
    STATE(1552), 1,
      sym_text_interpolation,
    STATE(1645), 1,
      sym_arguments,
    STATE(1860), 1,
      sym_base_clause,
    STATE(2479), 1,
      sym_class_interface_clause,
  [59775] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1672), 1,
      anon_sym_LPAREN2,
    ACTIONS(3281), 1,
      anon_sym_COMMA,
    ACTIONS(3283), 1,
      anon_sym_RPAREN2,
    STATE(1553), 1,
      sym_text_interpolation,
    STATE(1953), 1,
      aux_sym_unset_statement_repeat1,
    ACTIONS(1674), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [59803] = 11,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1590), 1,
      anon_sym_LPAREN2,
    ACTIONS(3259), 1,
      anon_sym_LBRACE,
    ACTIONS(3261), 1,
      aux_sym_base_clause_token1,
    ACTIONS(3263), 1,
      aux_sym_class_interface_clause_token1,
    STATE(922), 1,
      sym_declaration_list,
    STATE(1554), 1,
      sym_text_interpolation,
    STATE(1680), 1,
      sym_arguments,
    STATE(1856), 1,
      sym_base_clause,
    STATE(2370), 1,
      sym_class_interface_clause,
  [59837] = 11,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1590), 1,
      anon_sym_LPAREN2,
    ACTIONS(3261), 1,
      aux_sym_base_clause_token1,
    ACTIONS(3263), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3279), 1,
      anon_sym_LBRACE,
    STATE(814), 1,
      sym_declaration_list,
    STATE(1555), 1,
      sym_text_interpolation,
    STATE(1651), 1,
      sym_arguments,
    STATE(1898), 1,
      sym_base_clause,
    STATE(2358), 1,
      sym_class_interface_clause,
  [59871] = 11,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1590), 1,
      anon_sym_LPAREN2,
    ACTIONS(3259), 1,
      anon_sym_LBRACE,
    ACTIONS(3261), 1,
      aux_sym_base_clause_token1,
    ACTIONS(3263), 1,
      aux_sym_class_interface_clause_token1,
    STATE(920), 1,
      sym_declaration_list,
    STATE(1556), 1,
      sym_text_interpolation,
    STATE(1675), 1,
      sym_arguments,
    STATE(1846), 1,
      sym_base_clause,
    STATE(2377), 1,
      sym_class_interface_clause,
  [59905] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3078), 1,
      sym_name,
    ACTIONS(3194), 1,
      anon_sym_LPAREN2,
    STATE(717), 1,
      sym__reserved_identifier,
    STATE(1557), 1,
      sym_text_interpolation,
    STATE(1801), 1,
      sym_formal_parameters,
    STATE(2420), 1,
      sym__identifier,
    ACTIONS(2090), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [59935] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1672), 1,
      anon_sym_LPAREN2,
    ACTIONS(3285), 1,
      anon_sym_COMMA,
    ACTIONS(3287), 1,
      anon_sym_RPAREN2,
    STATE(1558), 1,
      sym_text_interpolation,
    STATE(2015), 1,
      aux_sym_unset_statement_repeat1,
    ACTIONS(1674), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [59963] = 11,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1590), 1,
      anon_sym_LPAREN2,
    ACTIONS(3261), 1,
      aux_sym_base_clause_token1,
    ACTIONS(3263), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3279), 1,
      anon_sym_LBRACE,
    STATE(826), 1,
      sym_declaration_list,
    STATE(1559), 1,
      sym_text_interpolation,
    STATE(1654), 1,
      sym_arguments,
    STATE(1858), 1,
      sym_base_clause,
    STATE(2414), 1,
      sym_class_interface_clause,
  [59997] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3289), 1,
      anon_sym_AMP,
    ACTIONS(3291), 1,
      anon_sym_PIPE,
    STATE(1560), 1,
      sym_text_interpolation,
    STATE(1732), 1,
      aux_sym_intersection_type_repeat1,
    STATE(1825), 1,
      aux_sym_union_type_repeat1,
    STATE(1826), 1,
      aux_sym_disjunctive_normal_form_type_repeat1,
    ACTIONS(3147), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [60027] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3078), 1,
      sym_name,
    ACTIONS(3194), 1,
      anon_sym_LPAREN2,
    STATE(717), 1,
      sym__reserved_identifier,
    STATE(1561), 1,
      sym_text_interpolation,
    STATE(1734), 1,
      sym_formal_parameters,
    STATE(2420), 1,
      sym__identifier,
    ACTIONS(2090), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [60057] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(11), 1,
      anon_sym_QMARK_GT,
    STATE(1562), 1,
      sym_text_interpolation,
    ACTIONS(3293), 3,
      anon_sym_LBRACE,
      anon_sym_BSLASHu,
      anon_sym_DOLLAR,
    ACTIONS(3295), 4,
      sym_encapsed_string_chars_heredoc,
      sym_heredoc_end,
      sym_escape_sequence,
      sym__new_line,
  [60078] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3297), 1,
      anon_sym_COMMA,
    ACTIONS(3299), 1,
      anon_sym_LBRACE,
    STATE(1563), 1,
      sym_text_interpolation,
    STATE(1708), 1,
      aux_sym_base_clause_repeat1,
    ACTIONS(360), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(1404), 2,
      sym_use_list,
      sym__semicolon,
  [60105] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3301), 1,
      anon_sym_COMMA,
    ACTIONS(3303), 1,
      anon_sym_LBRACE,
    STATE(1564), 1,
      sym_text_interpolation,
    STATE(1575), 1,
      aux_sym_property_declaration_repeat1,
    ACTIONS(360), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(1427), 2,
      sym_property_hook_list,
      sym__semicolon,
  [60132] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3301), 1,
      anon_sym_COMMA,
    ACTIONS(3303), 1,
      anon_sym_LBRACE,
    STATE(1565), 1,
      sym_text_interpolation,
    STATE(1767), 1,
      aux_sym_property_declaration_repeat1,
    ACTIONS(360), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(1435), 2,
      sym_property_hook_list,
      sym__semicolon,
  [60159] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3301), 1,
      anon_sym_COMMA,
    ACTIONS(3303), 1,
      anon_sym_LBRACE,
    STATE(1566), 1,
      sym_text_interpolation,
    STATE(1577), 1,
      aux_sym_property_declaration_repeat1,
    ACTIONS(360), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(1445), 2,
      sym_property_hook_list,
      sym__semicolon,
  [60186] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3285), 1,
      anon_sym_COMMA,
    ACTIONS(3287), 1,
      anon_sym_RPAREN2,
    STATE(1567), 1,
      sym_text_interpolation,
    STATE(2015), 1,
      aux_sym_unset_statement_repeat1,
    ACTIONS(1674), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [60211] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3285), 1,
      anon_sym_COMMA,
    ACTIONS(3287), 1,
      anon_sym_RPAREN2,
    STATE(1568), 1,
      sym_text_interpolation,
    STATE(2015), 1,
      aux_sym_unset_statement_repeat1,
    ACTIONS(1674), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [60236] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1672), 1,
      anon_sym_LPAREN2,
    STATE(1569), 1,
      sym_text_interpolation,
    ACTIONS(3305), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
    ACTIONS(1674), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [60259] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(11), 1,
      anon_sym_QMARK_GT,
    STATE(1570), 1,
      sym_text_interpolation,
    ACTIONS(3307), 3,
      anon_sym_LBRACE,
      anon_sym_BSLASHu,
      anon_sym_DOLLAR,
    ACTIONS(3309), 4,
      sym_encapsed_string_chars_heredoc,
      sym_heredoc_end,
      sym_escape_sequence,
      sym__new_line,
  [60280] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(11), 1,
      anon_sym_QMARK_GT,
    STATE(1571), 1,
      sym_text_interpolation,
    ACTIONS(3311), 3,
      anon_sym_LBRACE,
      anon_sym_BSLASHu,
      anon_sym_DOLLAR,
    ACTIONS(3313), 4,
      sym_encapsed_string_chars_heredoc,
      sym_heredoc_end,
      sym_escape_sequence,
      sym__new_line,
  [60301] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(11), 1,
      anon_sym_QMARK_GT,
    STATE(1572), 1,
      sym_text_interpolation,
    ACTIONS(3315), 3,
      anon_sym_LBRACE,
      anon_sym_BSLASHu,
      anon_sym_DOLLAR,
    ACTIONS(3317), 4,
      sym_encapsed_string_chars_heredoc,
      sym_heredoc_end,
      sym_escape_sequence,
      sym__new_line,
  [60322] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3241), 1,
      anon_sym_LBRACE,
    ACTIONS(3243), 1,
      anon_sym_EQ_GT,
    STATE(1573), 1,
      sym_text_interpolation,
    STATE(1747), 1,
      sym_compound_statement,
    STATE(1748), 1,
      sym__semicolon,
    STATE(1800), 1,
      sym__property_hook_body,
    ACTIONS(2486), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [60351] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(11), 1,
      anon_sym_QMARK_GT,
    STATE(1574), 1,
      sym_text_interpolation,
    ACTIONS(3319), 3,
      anon_sym_LBRACE,
      anon_sym_BSLASHu,
      anon_sym_DOLLAR,
    ACTIONS(3321), 4,
      sym_encapsed_string_chars_heredoc,
      sym_heredoc_end,
      sym_escape_sequence,
      sym__new_line,
  [60372] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3301), 1,
      anon_sym_COMMA,
    ACTIONS(3303), 1,
      anon_sym_LBRACE,
    STATE(1575), 1,
      sym_text_interpolation,
    STATE(1767), 1,
      aux_sym_property_declaration_repeat1,
    ACTIONS(360), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(1434), 2,
      sym_property_hook_list,
      sym__semicolon,
  [60399] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3301), 1,
      anon_sym_COMMA,
    ACTIONS(3303), 1,
      anon_sym_LBRACE,
    STATE(1576), 1,
      sym_text_interpolation,
    STATE(1588), 1,
      aux_sym_property_declaration_repeat1,
    ACTIONS(360), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(1452), 2,
      sym_property_hook_list,
      sym__semicolon,
  [60426] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3301), 1,
      anon_sym_COMMA,
    ACTIONS(3303), 1,
      anon_sym_LBRACE,
    STATE(1577), 1,
      sym_text_interpolation,
    STATE(1767), 1,
      aux_sym_property_declaration_repeat1,
    ACTIONS(360), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(1429), 2,
      sym_property_hook_list,
      sym__semicolon,
  [60453] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3297), 1,
      anon_sym_COMMA,
    ACTIONS(3299), 1,
      anon_sym_LBRACE,
    STATE(1563), 1,
      aux_sym_base_clause_repeat1,
    STATE(1578), 1,
      sym_text_interpolation,
    ACTIONS(360), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(1408), 2,
      sym_use_list,
      sym__semicolon,
  [60480] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2836), 1,
      anon_sym_COLON_COLON,
    STATE(1579), 1,
      sym_text_interpolation,
    ACTIONS(1626), 6,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [60501] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3301), 1,
      anon_sym_COMMA,
    ACTIONS(3303), 1,
      anon_sym_LBRACE,
    STATE(1565), 1,
      aux_sym_property_declaration_repeat1,
    STATE(1580), 1,
      sym_text_interpolation,
    ACTIONS(360), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(1449), 2,
      sym_property_hook_list,
      sym__semicolon,
  [60528] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3241), 1,
      anon_sym_LBRACE,
    ACTIONS(3243), 1,
      anon_sym_EQ_GT,
    STATE(1581), 1,
      sym_text_interpolation,
    STATE(1733), 1,
      sym__property_hook_body,
    STATE(1747), 1,
      sym_compound_statement,
    STATE(1748), 1,
      sym__semicolon,
    ACTIONS(2486), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [60557] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3241), 1,
      anon_sym_LBRACE,
    ACTIONS(3243), 1,
      anon_sym_EQ_GT,
    STATE(1582), 1,
      sym_text_interpolation,
    STATE(1736), 1,
      sym__property_hook_body,
    STATE(1747), 1,
      sym_compound_statement,
    STATE(1748), 1,
      sym__semicolon,
    ACTIONS(2486), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [60586] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3241), 1,
      anon_sym_LBRACE,
    ACTIONS(3243), 1,
      anon_sym_EQ_GT,
    STATE(1583), 1,
      sym_text_interpolation,
    STATE(1739), 1,
      sym__property_hook_body,
    STATE(1747), 1,
      sym_compound_statement,
    STATE(1748), 1,
      sym__semicolon,
    ACTIONS(2486), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [60615] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(11), 1,
      anon_sym_QMARK_GT,
    STATE(1584), 1,
      sym_text_interpolation,
    ACTIONS(1704), 3,
      anon_sym_LBRACE,
      anon_sym_BSLASHu,
      anon_sym_DOLLAR,
    ACTIONS(1702), 4,
      sym_encapsed_string_chars_heredoc,
      sym_heredoc_end,
      sym_escape_sequence,
      sym__new_line,
  [60636] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(11), 1,
      anon_sym_QMARK_GT,
    STATE(1585), 1,
      sym_text_interpolation,
    ACTIONS(1616), 3,
      anon_sym_LBRACE,
      anon_sym_BSLASHu,
      anon_sym_DOLLAR,
    ACTIONS(1614), 4,
      sym_encapsed_string_chars_heredoc,
      sym_heredoc_end,
      sym_escape_sequence,
      sym__new_line,
  [60657] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1586), 1,
      sym_text_interpolation,
    ACTIONS(2522), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
    ACTIONS(1618), 5,
      anon_sym_LPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [60678] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(11), 1,
      anon_sym_QMARK_GT,
    STATE(1587), 1,
      sym_text_interpolation,
    ACTIONS(1612), 3,
      anon_sym_LBRACE,
      anon_sym_BSLASHu,
      anon_sym_DOLLAR,
    ACTIONS(1610), 4,
      sym_encapsed_string_chars_heredoc,
      sym_heredoc_end,
      sym_escape_sequence,
      sym__new_line,
  [60699] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3301), 1,
      anon_sym_COMMA,
    ACTIONS(3303), 1,
      anon_sym_LBRACE,
    STATE(1588), 1,
      sym_text_interpolation,
    STATE(1767), 1,
      aux_sym_property_declaration_repeat1,
    ACTIONS(360), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(1424), 2,
      sym_property_hook_list,
      sym__semicolon,
  [60726] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3078), 1,
      sym_name,
    STATE(717), 1,
      sym__reserved_identifier,
    STATE(1589), 1,
      sym_text_interpolation,
    STATE(1824), 1,
      sym_const_element,
    STATE(2638), 1,
      sym__identifier,
    ACTIONS(2090), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [60753] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1672), 1,
      anon_sym_LPAREN2,
    STATE(1590), 1,
      sym_text_interpolation,
    ACTIONS(3323), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
    ACTIONS(1674), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [60776] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3281), 1,
      anon_sym_COMMA,
    ACTIONS(3283), 1,
      anon_sym_RPAREN2,
    STATE(1591), 1,
      sym_text_interpolation,
    STATE(1953), 1,
      aux_sym_unset_statement_repeat1,
    ACTIONS(1674), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [60801] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3281), 1,
      anon_sym_COMMA,
    ACTIONS(3283), 1,
      anon_sym_RPAREN2,
    STATE(1592), 1,
      sym_text_interpolation,
    STATE(1953), 1,
      aux_sym_unset_statement_repeat1,
    ACTIONS(1674), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [60826] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3241), 1,
      anon_sym_LBRACE,
    ACTIONS(3243), 1,
      anon_sym_EQ_GT,
    STATE(1593), 1,
      sym_text_interpolation,
    STATE(1747), 1,
      sym_compound_statement,
    STATE(1748), 1,
      sym__semicolon,
    STATE(1752), 1,
      sym__property_hook_body,
    ACTIONS(2486), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [60855] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3241), 1,
      anon_sym_LBRACE,
    ACTIONS(3243), 1,
      anon_sym_EQ_GT,
    STATE(1594), 1,
      sym_text_interpolation,
    STATE(1747), 1,
      sym_compound_statement,
    STATE(1748), 1,
      sym__semicolon,
    STATE(1753), 1,
      sym__property_hook_body,
    ACTIONS(2486), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [60884] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3241), 1,
      anon_sym_LBRACE,
    ACTIONS(3243), 1,
      anon_sym_EQ_GT,
    STATE(1595), 1,
      sym_text_interpolation,
    STATE(1747), 1,
      sym_compound_statement,
    STATE(1748), 1,
      sym__semicolon,
    STATE(1754), 1,
      sym__property_hook_body,
    ACTIONS(2486), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [60913] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3078), 1,
      sym_name,
    STATE(717), 1,
      sym__reserved_identifier,
    STATE(1596), 1,
      sym_text_interpolation,
    STATE(1770), 1,
      sym_const_element,
    STATE(2638), 1,
      sym__identifier,
    ACTIONS(2090), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [60940] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3241), 1,
      anon_sym_LBRACE,
    ACTIONS(3243), 1,
      anon_sym_EQ_GT,
    STATE(1597), 1,
      sym_text_interpolation,
    STATE(1747), 1,
      sym_compound_statement,
    STATE(1748), 1,
      sym__semicolon,
    STATE(1759), 1,
      sym__property_hook_body,
    ACTIONS(2486), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [60969] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1867), 1,
      anon_sym_DOLLAR,
    ACTIONS(3327), 1,
      anon_sym_DASH,
    STATE(1598), 1,
      sym_text_interpolation,
    STATE(2536), 1,
      sym__simple_string_array_access_argument,
    ACTIONS(3325), 2,
      sym_integer,
      sym_name,
    STATE(2527), 2,
      sym__simple_string_subscript_unary_expression,
      sym_variable_name,
  [60996] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3331), 1,
      aux_sym_enum_case_token1,
    ACTIONS(3334), 1,
      aux_sym_match_default_expression_token1,
    ACTIONS(3329), 2,
      anon_sym_RBRACE,
      aux_sym_switch_block_token1,
    STATE(1599), 2,
      sym_text_interpolation,
      aux_sym_switch_block_repeat1,
    STATE(1881), 2,
      sym_case_statement,
      sym_default_statement,
  [61021] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1867), 1,
      anon_sym_DOLLAR,
    ACTIONS(3327), 1,
      anon_sym_DASH,
    STATE(1600), 1,
      sym_text_interpolation,
    STATE(2592), 1,
      sym__simple_string_array_access_argument,
    ACTIONS(3325), 2,
      sym_integer,
      sym_name,
    STATE(2527), 2,
      sym__simple_string_subscript_unary_expression,
      sym_variable_name,
  [61048] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1601), 1,
      sym_text_interpolation,
    ACTIONS(2506), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
    ACTIONS(1618), 5,
      anon_sym_LPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [61069] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3337), 1,
      anon_sym_AMP,
    ACTIONS(3343), 1,
      anon_sym_PIPE,
    STATE(1602), 1,
      sym_text_interpolation,
    STATE(1831), 1,
      aux_sym_union_type_repeat1,
    STATE(1832), 1,
      aux_sym_disjunctive_normal_form_type_repeat1,
    STATE(1926), 1,
      aux_sym_intersection_type_repeat1,
    ACTIONS(3147), 2,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOLLAR,
  [61098] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(866), 1,
      anon_sym_COMMA,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3277), 1,
      anon_sym_RPAREN2,
    STATE(1603), 1,
      sym_text_interpolation,
    STATE(2174), 1,
      aux_sym__list_destructing_repeat1,
    ACTIONS(1674), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [61123] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(866), 1,
      anon_sym_COMMA,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3277), 1,
      anon_sym_RPAREN2,
    STATE(1604), 1,
      sym_text_interpolation,
    STATE(2174), 1,
      aux_sym__list_destructing_repeat1,
    ACTIONS(1674), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [61148] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(11), 1,
      anon_sym_QMARK_GT,
    STATE(1605), 1,
      sym_text_interpolation,
    ACTIONS(3345), 3,
      anon_sym_LBRACE,
      anon_sym_BSLASHu,
      anon_sym_DOLLAR,
    ACTIONS(3347), 4,
      sym_encapsed_string_chars_heredoc,
      sym_heredoc_end,
      sym_escape_sequence,
      sym__new_line,
  [61169] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1672), 1,
      anon_sym_LPAREN2,
    STATE(1606), 1,
      sym_text_interpolation,
    ACTIONS(3349), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(1674), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [61192] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(11), 1,
      anon_sym_QMARK_GT,
    STATE(1607), 1,
      sym_text_interpolation,
    ACTIONS(3351), 3,
      anon_sym_LBRACE,
      anon_sym_BSLASHu,
      anon_sym_DOLLAR,
    ACTIONS(2915), 4,
      sym_encapsed_string_chars_heredoc,
      sym_heredoc_end,
      sym_escape_sequence,
      sym__new_line,
  [61213] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3078), 1,
      sym_name,
    STATE(717), 1,
      sym__reserved_identifier,
    STATE(1608), 1,
      sym_text_interpolation,
    STATE(1813), 1,
      sym_const_element,
    STATE(2638), 1,
      sym__identifier,
    ACTIONS(2090), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [61240] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3078), 1,
      sym_name,
    STATE(717), 1,
      sym__reserved_identifier,
    STATE(1609), 1,
      sym_text_interpolation,
    STATE(1715), 1,
      sym_const_element,
    STATE(2638), 1,
      sym__identifier,
    ACTIONS(2090), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [61267] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1867), 1,
      anon_sym_DOLLAR,
    ACTIONS(3327), 1,
      anon_sym_DASH,
    STATE(1610), 1,
      sym_text_interpolation,
    STATE(2664), 1,
      sym__simple_string_array_access_argument,
    ACTIONS(3325), 2,
      sym_integer,
      sym_name,
    STATE(2527), 2,
      sym__simple_string_subscript_unary_expression,
      sym_variable_name,
  [61294] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1611), 1,
      sym_text_interpolation,
    ACTIONS(2530), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
    ACTIONS(1618), 5,
      anon_sym_LPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [61315] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1612), 1,
      sym_text_interpolation,
    ACTIONS(2120), 3,
      anon_sym_LPAREN2,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOLLAR,
    ACTIONS(2118), 4,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
      sym_name,
  [61336] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1613), 1,
      sym_text_interpolation,
    ACTIONS(2520), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
    ACTIONS(1618), 5,
      anon_sym_LPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [61357] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3078), 1,
      sym_name,
    STATE(717), 1,
      sym__reserved_identifier,
    STATE(1614), 1,
      sym_text_interpolation,
    STATE(2243), 1,
      sym_const_element,
    STATE(2638), 1,
      sym__identifier,
    ACTIONS(2090), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [61384] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1834), 1,
      anon_sym_BSLASH,
    STATE(1615), 1,
      sym_text_interpolation,
    STATE(2304), 1,
      aux_sym_namespace_name_repeat1,
    ACTIONS(3042), 5,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_PIPE,
  [61407] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(11), 1,
      anon_sym_QMARK_GT,
    STATE(1616), 1,
      sym_text_interpolation,
    ACTIONS(1688), 3,
      anon_sym_LBRACE,
      anon_sym_BSLASHu,
      anon_sym_DOLLAR,
    ACTIONS(1686), 4,
      sym_encapsed_string_chars_heredoc,
      sym_heredoc_end,
      sym_escape_sequence,
      sym__new_line,
  [61428] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3261), 1,
      aux_sym_base_clause_token1,
    ACTIONS(3263), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3353), 1,
      anon_sym_LBRACE,
    STATE(486), 1,
      sym_declaration_list,
    STATE(1617), 1,
      sym_text_interpolation,
    STATE(1918), 1,
      sym_base_clause,
    STATE(2490), 1,
      sym_class_interface_clause,
  [61456] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1612), 1,
      anon_sym_BSLASHu,
    STATE(1618), 1,
      sym_text_interpolation,
    ACTIONS(1610), 5,
      sym_execution_string_chars,
      anon_sym_LBRACE,
      sym_escape_sequence,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR,
  [61476] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1005), 1,
      aux_sym_while_statement_token1,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3355), 1,
      aux_sym_else_if_clause_token1,
    ACTIONS(3357), 1,
      aux_sym_else_clause_token1,
    STATE(1619), 1,
      sym_text_interpolation,
    STATE(1787), 1,
      aux_sym_if_statement_repeat1,
    STATE(1978), 1,
      sym_else_clause,
    STATE(2201), 1,
      sym_else_if_clause,
  [61504] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3359), 1,
      aux_sym_if_statement_token2,
    ACTIONS(3361), 1,
      aux_sym_else_if_clause_token1,
    ACTIONS(3363), 1,
      aux_sym_else_clause_token1,
    STATE(1620), 1,
      sym_text_interpolation,
    STATE(1688), 1,
      aux_sym_if_statement_repeat2,
    STATE(2203), 1,
      sym_else_if_clause_2,
    STATE(2712), 1,
      sym_else_clause_2,
  [61532] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3367), 1,
      anon_sym_BSLASHu,
    STATE(1621), 1,
      sym_text_interpolation,
    ACTIONS(3365), 5,
      sym_encapsed_string_chars,
      anon_sym_LBRACE,
      sym_escape_sequence,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
  [61552] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3369), 1,
      anon_sym_RBRACE,
    ACTIONS(3371), 1,
      aux_sym_enum_case_token1,
    ACTIONS(3373), 1,
      aux_sym_match_default_expression_token1,
    STATE(1622), 1,
      sym_text_interpolation,
    STATE(1665), 1,
      aux_sym_switch_block_repeat1,
    STATE(1881), 2,
      sym_case_statement,
      sym_default_statement,
  [61578] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3371), 1,
      aux_sym_enum_case_token1,
    ACTIONS(3373), 1,
      aux_sym_match_default_expression_token1,
    ACTIONS(3375), 1,
      aux_sym_switch_block_token1,
    STATE(1623), 1,
      sym_text_interpolation,
    STATE(1700), 1,
      aux_sym_switch_block_repeat1,
    STATE(1881), 2,
      sym_case_statement,
      sym_default_statement,
  [61604] = 9,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(11), 1,
      anon_sym_QMARK_GT,
    ACTIONS(3377), 1,
      anon_sym_SQUOTE,
    ACTIONS(3379), 1,
      aux_sym_string_token2,
    ACTIONS(3381), 1,
      aux_sym_string_content_token1,
    STATE(1624), 1,
      sym_text_interpolation,
    STATE(1630), 1,
      aux_sym_string_repeat1,
    STATE(1854), 1,
      aux_sym_string_content_repeat1,
    STATE(2188), 1,
      sym_string_content,
  [61632] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(645), 1,
      anon_sym_DOLLAR,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3383), 1,
      sym_name,
    ACTIONS(3385), 1,
      anon_sym_LBRACE,
    STATE(597), 1,
      sym__simple_variable,
    STATE(1625), 1,
      sym_text_interpolation,
    STATE(618), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
  [61658] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1590), 1,
      anon_sym_LPAREN2,
    STATE(604), 1,
      sym_arguments,
    STATE(1626), 1,
      sym_text_interpolation,
    ACTIONS(1674), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [61680] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1797), 1,
      anon_sym_BSLASH,
    STATE(1627), 1,
      sym_text_interpolation,
    STATE(2460), 1,
      aux_sym_namespace_name_repeat1,
    ACTIONS(1795), 4,
      anon_sym_AMP,
      anon_sym_DOT_DOT_DOT,
      anon_sym_PIPE,
      anon_sym_DOLLAR,
  [61702] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3261), 1,
      aux_sym_base_clause_token1,
    ACTIONS(3263), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3279), 1,
      anon_sym_LBRACE,
    STATE(1628), 1,
      sym_text_interpolation,
    STATE(1931), 1,
      sym_base_clause,
    STATE(2274), 1,
      sym_declaration_list,
    STATE(2488), 1,
      sym_class_interface_clause,
  [61730] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3259), 1,
      anon_sym_LBRACE,
    ACTIONS(3261), 1,
      aux_sym_base_clause_token1,
    ACTIONS(3263), 1,
      aux_sym_class_interface_clause_token1,
    STATE(920), 1,
      sym_declaration_list,
    STATE(1629), 1,
      sym_text_interpolation,
    STATE(1846), 1,
      sym_base_clause,
    STATE(2377), 1,
      sym_class_interface_clause,
  [61758] = 9,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(11), 1,
      anon_sym_QMARK_GT,
    ACTIONS(3379), 1,
      aux_sym_string_token2,
    ACTIONS(3381), 1,
      aux_sym_string_content_token1,
    ACTIONS(3387), 1,
      anon_sym_SQUOTE,
    STATE(1630), 1,
      sym_text_interpolation,
    STATE(1660), 1,
      aux_sym_string_repeat1,
    STATE(1854), 1,
      aux_sym_string_content_repeat1,
    STATE(2188), 1,
      sym_string_content,
  [61786] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1706), 1,
      anon_sym_LPAREN2,
    STATE(651), 1,
      sym_arguments,
    STATE(1631), 1,
      sym_text_interpolation,
    ACTIONS(1674), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [61808] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1632), 1,
      sym_text_interpolation,
    ACTIONS(3323), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
    ACTIONS(1674), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [61828] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1633), 1,
      sym_text_interpolation,
    ACTIONS(3323), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
    ACTIONS(1674), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [61848] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1013), 1,
      aux_sym_while_statement_token1,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3389), 1,
      aux_sym_else_if_clause_token1,
    ACTIONS(3392), 1,
      aux_sym_else_clause_token1,
    STATE(1634), 1,
      sym_text_interpolation,
    STATE(1636), 1,
      aux_sym_if_statement_repeat1,
    STATE(2201), 1,
      sym_else_if_clause,
    STATE(2202), 1,
      sym_else_clause,
  [61876] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3275), 1,
      aux_sym_namespace_use_clause_token1,
    ACTIONS(3395), 1,
      aux_sym_use_instead_of_clause_token1,
    STATE(1635), 1,
      sym_text_interpolation,
    ACTIONS(1674), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [61898] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1005), 1,
      aux_sym_while_statement_token1,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3397), 1,
      aux_sym_else_if_clause_token1,
    ACTIONS(3400), 1,
      aux_sym_else_clause_token1,
    STATE(1636), 1,
      sym_text_interpolation,
    STATE(1787), 1,
      aux_sym_if_statement_repeat1,
    STATE(1978), 1,
      sym_else_clause,
    STATE(2201), 1,
      sym_else_if_clause,
  [61926] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3361), 1,
      aux_sym_else_if_clause_token1,
    ACTIONS(3363), 1,
      aux_sym_else_clause_token1,
    ACTIONS(3403), 1,
      aux_sym_if_statement_token2,
    STATE(1637), 1,
      sym_text_interpolation,
    STATE(1647), 1,
      aux_sym_if_statement_repeat2,
    STATE(2203), 1,
      sym_else_if_clause_2,
    STATE(2670), 1,
      sym_else_clause_2,
  [61954] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3371), 1,
      aux_sym_enum_case_token1,
    ACTIONS(3373), 1,
      aux_sym_match_default_expression_token1,
    ACTIONS(3405), 1,
      anon_sym_RBRACE,
    STATE(1638), 1,
      sym_text_interpolation,
    STATE(1648), 1,
      aux_sym_switch_block_repeat1,
    STATE(1881), 2,
      sym_case_statement,
      sym_default_statement,
  [61980] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3371), 1,
      aux_sym_enum_case_token1,
    ACTIONS(3373), 1,
      aux_sym_match_default_expression_token1,
    ACTIONS(3407), 1,
      aux_sym_switch_block_token1,
    STATE(1639), 1,
      sym_text_interpolation,
    STATE(1649), 1,
      aux_sym_switch_block_repeat1,
    STATE(1881), 2,
      sym_case_statement,
      sym_default_statement,
  [62006] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3261), 1,
      aux_sym_base_clause_token1,
    ACTIONS(3263), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3279), 1,
      anon_sym_LBRACE,
    STATE(814), 1,
      sym_declaration_list,
    STATE(1640), 1,
      sym_text_interpolation,
    STATE(1898), 1,
      sym_base_clause,
    STATE(2358), 1,
      sym_class_interface_clause,
  [62034] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3261), 1,
      aux_sym_base_clause_token1,
    ACTIONS(3263), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3353), 1,
      anon_sym_LBRACE,
    STATE(532), 1,
      sym_declaration_list,
    STATE(1641), 1,
      sym_text_interpolation,
    STATE(1938), 1,
      sym_base_clause,
    STATE(2485), 1,
      sym_class_interface_clause,
  [62062] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(603), 1,
      anon_sym_BSLASH,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3409), 1,
      sym_name,
    STATE(1495), 1,
      sym_qualified_name,
    STATE(1642), 1,
      sym_text_interpolation,
    STATE(1851), 1,
      sym_named_type,
    STATE(2078), 1,
      sym_type_list,
    STATE(2507), 1,
      sym_namespace_name,
  [62090] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3261), 1,
      aux_sym_base_clause_token1,
    ACTIONS(3263), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3279), 1,
      anon_sym_LBRACE,
    STATE(1643), 1,
      sym_text_interpolation,
    STATE(1853), 1,
      sym_base_clause,
    STATE(2266), 1,
      sym_declaration_list,
    STATE(2384), 1,
      sym_class_interface_clause,
  [62118] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3307), 1,
      anon_sym_BSLASHu,
    STATE(1644), 1,
      sym_text_interpolation,
    ACTIONS(3309), 5,
      sym_encapsed_string_chars,
      anon_sym_LBRACE,
      sym_escape_sequence,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
  [62138] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3259), 1,
      anon_sym_LBRACE,
    ACTIONS(3261), 1,
      aux_sym_base_clause_token1,
    ACTIONS(3263), 1,
      aux_sym_class_interface_clause_token1,
    STATE(922), 1,
      sym_declaration_list,
    STATE(1645), 1,
      sym_text_interpolation,
    STATE(1856), 1,
      sym_base_clause,
    STATE(2370), 1,
      sym_class_interface_clause,
  [62166] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3261), 1,
      aux_sym_base_clause_token1,
    ACTIONS(3263), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3279), 1,
      anon_sym_LBRACE,
    STATE(1646), 1,
      sym_text_interpolation,
    STATE(1855), 1,
      sym_base_clause,
    STATE(2288), 1,
      sym_declaration_list,
    STATE(2387), 1,
      sym_class_interface_clause,
  [62194] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3361), 1,
      aux_sym_else_if_clause_token1,
    ACTIONS(3363), 1,
      aux_sym_else_clause_token1,
    ACTIONS(3411), 1,
      aux_sym_if_statement_token2,
    STATE(1647), 1,
      sym_text_interpolation,
    STATE(1765), 1,
      aux_sym_if_statement_repeat2,
    STATE(2203), 1,
      sym_else_if_clause_2,
    STATE(2516), 1,
      sym_else_clause_2,
  [62222] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3371), 1,
      aux_sym_enum_case_token1,
    ACTIONS(3373), 1,
      aux_sym_match_default_expression_token1,
    ACTIONS(3413), 1,
      anon_sym_RBRACE,
    STATE(1599), 1,
      aux_sym_switch_block_repeat1,
    STATE(1648), 1,
      sym_text_interpolation,
    STATE(1881), 2,
      sym_case_statement,
      sym_default_statement,
  [62248] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3371), 1,
      aux_sym_enum_case_token1,
    ACTIONS(3373), 1,
      aux_sym_match_default_expression_token1,
    ACTIONS(3415), 1,
      aux_sym_switch_block_token1,
    STATE(1599), 1,
      aux_sym_switch_block_repeat1,
    STATE(1649), 1,
      sym_text_interpolation,
    STATE(1881), 2,
      sym_case_statement,
      sym_default_statement,
  [62274] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3261), 1,
      aux_sym_base_clause_token1,
    ACTIONS(3263), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3279), 1,
      anon_sym_LBRACE,
    STATE(826), 1,
      sym_declaration_list,
    STATE(1650), 1,
      sym_text_interpolation,
    STATE(1858), 1,
      sym_base_clause,
    STATE(2414), 1,
      sym_class_interface_clause,
  [62302] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3261), 1,
      aux_sym_base_clause_token1,
    ACTIONS(3263), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3279), 1,
      anon_sym_LBRACE,
    STATE(825), 1,
      sym_declaration_list,
    STATE(1651), 1,
      sym_text_interpolation,
    STATE(1862), 1,
      sym_base_clause,
    STATE(2413), 1,
      sym_class_interface_clause,
  [62330] = 9,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(11), 1,
      anon_sym_QMARK_GT,
    ACTIONS(3417), 1,
      sym_php_tag,
    ACTIONS(3419), 1,
      aux_sym_text_token1,
    ACTIONS(3421), 1,
      aux_sym_text_token2,
    ACTIONS(3423), 1,
      sym__eof,
    STATE(1652), 1,
      sym_text_interpolation,
    STATE(1761), 1,
      aux_sym_text_repeat1,
    STATE(2366), 1,
      sym_text,
  [62358] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3261), 1,
      aux_sym_base_clause_token1,
    ACTIONS(3263), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3279), 1,
      anon_sym_LBRACE,
    STATE(1653), 1,
      sym_text_interpolation,
    STATE(1864), 1,
      sym_base_clause,
    STATE(2004), 1,
      sym_declaration_list,
    STATE(2431), 1,
      sym_class_interface_clause,
  [62386] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3261), 1,
      aux_sym_base_clause_token1,
    ACTIONS(3263), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3279), 1,
      anon_sym_LBRACE,
    STATE(837), 1,
      sym_declaration_list,
    STATE(1654), 1,
      sym_text_interpolation,
    STATE(1866), 1,
      sym_base_clause,
    STATE(2445), 1,
      sym_class_interface_clause,
  [62414] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1704), 1,
      anon_sym_BSLASHu,
    STATE(1655), 1,
      sym_text_interpolation,
    ACTIONS(1702), 5,
      sym_encapsed_string_chars,
      anon_sym_LBRACE,
      sym_escape_sequence,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
  [62434] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3425), 1,
      anon_sym_BSLASHu,
    STATE(1656), 1,
      sym_text_interpolation,
    ACTIONS(2959), 5,
      sym_encapsed_string_chars,
      anon_sym_LBRACE,
      sym_escape_sequence,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
  [62454] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1616), 1,
      anon_sym_BSLASHu,
    STATE(1657), 1,
      sym_text_interpolation,
    ACTIONS(1614), 5,
      sym_encapsed_string_chars,
      anon_sym_LBRACE,
      sym_escape_sequence,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
  [62474] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1562), 1,
      anon_sym_DOLLAR,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3427), 1,
      sym_name,
    ACTIONS(3429), 1,
      anon_sym_LBRACE,
    STATE(885), 1,
      sym__simple_variable,
    STATE(1658), 1,
      sym_text_interpolation,
    STATE(874), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
  [62500] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2078), 1,
      anon_sym_LPAREN2,
    STATE(886), 1,
      sym_arguments,
    STATE(1659), 1,
      sym_text_interpolation,
    ACTIONS(1674), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [62522] = 8,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(11), 1,
      anon_sym_QMARK_GT,
    ACTIONS(3431), 1,
      anon_sym_SQUOTE,
    ACTIONS(3433), 1,
      aux_sym_string_token2,
    ACTIONS(3436), 1,
      aux_sym_string_content_token1,
    STATE(1854), 1,
      aux_sym_string_content_repeat1,
    STATE(2188), 1,
      sym_string_content,
    STATE(1660), 2,
      sym_text_interpolation,
      aux_sym_string_repeat1,
  [62548] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1802), 1,
      anon_sym_DOLLAR,
    ACTIONS(3439), 1,
      sym_name,
    ACTIONS(3441), 1,
      anon_sym_LBRACE,
    STATE(944), 1,
      sym__simple_variable,
    STATE(1661), 1,
      sym_text_interpolation,
    STATE(939), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
  [62574] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2116), 1,
      anon_sym_LPAREN2,
    STATE(945), 1,
      sym_arguments,
    STATE(1662), 1,
      sym_text_interpolation,
    ACTIONS(1674), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [62596] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3443), 1,
      anon_sym_BSLASHu,
    STATE(1663), 1,
      sym_text_interpolation,
    ACTIONS(2987), 5,
      sym_execution_string_chars,
      anon_sym_LBRACE,
      sym_escape_sequence,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR,
  [62616] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3445), 1,
      sym_name,
    ACTIONS(3447), 1,
      anon_sym_LBRACE,
    ACTIONS(3449), 1,
      anon_sym_DOLLAR,
    STATE(1657), 1,
      sym__simple_variable,
    STATE(1664), 1,
      sym_text_interpolation,
    STATE(1655), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
  [62642] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3371), 1,
      aux_sym_enum_case_token1,
    ACTIONS(3373), 1,
      aux_sym_match_default_expression_token1,
    ACTIONS(3451), 1,
      anon_sym_RBRACE,
    STATE(1599), 1,
      aux_sym_switch_block_repeat1,
    STATE(1665), 1,
      sym_text_interpolation,
    STATE(1881), 2,
      sym_case_statement,
      sym_default_statement,
  [62668] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3453), 1,
      sym_name,
    ACTIONS(3455), 1,
      anon_sym_LBRACE,
    ACTIONS(3457), 1,
      anon_sym_DOLLAR,
    STATE(1666), 1,
      sym_text_interpolation,
    STATE(1691), 1,
      sym__simple_variable,
    STATE(1683), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
  [62694] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1837), 1,
      anon_sym_LPAREN2,
    STATE(791), 1,
      sym_arguments,
    STATE(1667), 1,
      sym_text_interpolation,
    ACTIONS(1674), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [62716] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1558), 1,
      anon_sym_DOLLAR,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3459), 1,
      sym_name,
    ACTIONS(3461), 1,
      anon_sym_LBRACE,
    STATE(730), 1,
      sym__simple_variable,
    STATE(1668), 1,
      sym_text_interpolation,
    STATE(728), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
  [62742] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1808), 1,
      anon_sym_DOLLAR,
    ACTIONS(3463), 1,
      sym_name,
    ACTIONS(3465), 1,
      anon_sym_LBRACE,
    STATE(816), 1,
      sym__simple_variable,
    STATE(1669), 1,
      sym_text_interpolation,
    STATE(813), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
  [62768] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3447), 1,
      anon_sym_LBRACE,
    ACTIONS(3449), 1,
      anon_sym_DOLLAR,
    ACTIONS(3467), 1,
      sym_name,
    STATE(1657), 1,
      sym__simple_variable,
    STATE(1670), 1,
      sym_text_interpolation,
    STATE(1655), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
  [62794] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3455), 1,
      anon_sym_LBRACE,
    ACTIONS(3457), 1,
      anon_sym_DOLLAR,
    ACTIONS(3469), 1,
      sym_name,
    STATE(1671), 1,
      sym_text_interpolation,
    STATE(1691), 1,
      sym__simple_variable,
    STATE(1683), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
  [62820] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3471), 1,
      sym_name,
    ACTIONS(3473), 1,
      anon_sym_LBRACE,
    ACTIONS(3475), 1,
      anon_sym_DOLLAR,
    STATE(1585), 1,
      sym__simple_variable,
    STATE(1672), 1,
      sym_text_interpolation,
    STATE(1584), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
  [62846] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3473), 1,
      anon_sym_LBRACE,
    ACTIONS(3475), 1,
      anon_sym_DOLLAR,
    ACTIONS(3477), 1,
      sym_name,
    STATE(1585), 1,
      sym__simple_variable,
    STATE(1673), 1,
      sym_text_interpolation,
    STATE(1584), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
  [62872] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3311), 1,
      anon_sym_BSLASHu,
    STATE(1674), 1,
      sym_text_interpolation,
    ACTIONS(3313), 5,
      sym_encapsed_string_chars,
      anon_sym_LBRACE,
      sym_escape_sequence,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
  [62892] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3259), 1,
      anon_sym_LBRACE,
    ACTIONS(3261), 1,
      aux_sym_base_clause_token1,
    ACTIONS(3263), 1,
      aux_sym_class_interface_clause_token1,
    STATE(921), 1,
      sym_declaration_list,
    STATE(1675), 1,
      sym_text_interpolation,
    STATE(1859), 1,
      sym_base_clause,
    STATE(2362), 1,
      sym_class_interface_clause,
  [62920] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3315), 1,
      anon_sym_BSLASHu,
    STATE(1676), 1,
      sym_text_interpolation,
    ACTIONS(3317), 5,
      sym_encapsed_string_chars,
      anon_sym_LBRACE,
      sym_escape_sequence,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
  [62940] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3293), 1,
      anon_sym_BSLASHu,
    STATE(1677), 1,
      sym_text_interpolation,
    ACTIONS(3295), 5,
      sym_encapsed_string_chars,
      anon_sym_LBRACE,
      sym_escape_sequence,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
  [62960] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1678), 1,
      sym_text_interpolation,
    ACTIONS(3305), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
    ACTIONS(1674), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [62980] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3078), 1,
      sym_name,
    STATE(717), 1,
      sym__reserved_identifier,
    STATE(1679), 1,
      sym_text_interpolation,
    STATE(2473), 1,
      sym__identifier,
    ACTIONS(2090), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [63004] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3259), 1,
      anon_sym_LBRACE,
    ACTIONS(3261), 1,
      aux_sym_base_clause_token1,
    ACTIONS(3263), 1,
      aux_sym_class_interface_clause_token1,
    STATE(975), 1,
      sym_declaration_list,
    STATE(1680), 1,
      sym_text_interpolation,
    STATE(1876), 1,
      sym_base_clause,
    STATE(2342), 1,
      sym_class_interface_clause,
  [63032] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1688), 1,
      anon_sym_BSLASHu,
    STATE(1681), 1,
      sym_text_interpolation,
    ACTIONS(1686), 5,
      sym_encapsed_string_chars,
      anon_sym_LBRACE,
      sym_escape_sequence,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
  [63052] = 9,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(11), 1,
      anon_sym_QMARK_GT,
    ACTIONS(3379), 1,
      aux_sym_string_token2,
    ACTIONS(3381), 1,
      aux_sym_string_content_token1,
    ACTIONS(3479), 1,
      anon_sym_SQUOTE,
    STATE(1682), 1,
      sym_text_interpolation,
    STATE(1698), 1,
      aux_sym_string_repeat1,
    STATE(1854), 1,
      aux_sym_string_content_repeat1,
    STATE(2188), 1,
      sym_string_content,
  [63080] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1704), 1,
      anon_sym_BSLASHu,
    STATE(1683), 1,
      sym_text_interpolation,
    ACTIONS(1702), 5,
      sym_execution_string_chars,
      anon_sym_LBRACE,
      sym_escape_sequence,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR,
  [63100] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1684), 1,
      sym_text_interpolation,
    ACTIONS(3349), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(1674), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [63120] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3147), 1,
      anon_sym_DOLLAR,
    ACTIONS(3152), 1,
      anon_sym_PIPE,
    ACTIONS(3481), 1,
      anon_sym_AMP,
    STATE(1510), 1,
      aux_sym_union_type_repeat1,
    STATE(1513), 1,
      aux_sym_disjunctive_normal_form_type_repeat1,
    STATE(1685), 1,
      sym_text_interpolation,
    STATE(2207), 1,
      aux_sym_intersection_type_repeat1,
  [63148] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1686), 1,
      sym_text_interpolation,
    ACTIONS(3349), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(1674), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [63168] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1687), 1,
      sym_text_interpolation,
    ACTIONS(3305), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
    ACTIONS(1674), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [63188] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3361), 1,
      aux_sym_else_if_clause_token1,
    ACTIONS(3363), 1,
      aux_sym_else_clause_token1,
    ACTIONS(3487), 1,
      aux_sym_if_statement_token2,
    STATE(1688), 1,
      sym_text_interpolation,
    STATE(1765), 1,
      aux_sym_if_statement_repeat2,
    STATE(2203), 1,
      sym_else_if_clause_2,
    STATE(2518), 1,
      sym_else_clause_2,
  [63216] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3261), 1,
      aux_sym_base_clause_token1,
    ACTIONS(3263), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3353), 1,
      anon_sym_LBRACE,
    STATE(485), 1,
      sym_declaration_list,
    STATE(1689), 1,
      sym_text_interpolation,
    STATE(1935), 1,
      sym_base_clause,
    STATE(2404), 1,
      sym_class_interface_clause,
  [63244] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3319), 1,
      anon_sym_BSLASHu,
    STATE(1690), 1,
      sym_text_interpolation,
    ACTIONS(3321), 5,
      sym_encapsed_string_chars,
      anon_sym_LBRACE,
      sym_escape_sequence,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
  [63264] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1616), 1,
      anon_sym_BSLASHu,
    STATE(1691), 1,
      sym_text_interpolation,
    ACTIONS(1614), 5,
      sym_execution_string_chars,
      anon_sym_LBRACE,
      sym_escape_sequence,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR,
  [63284] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3307), 1,
      anon_sym_BSLASHu,
    STATE(1692), 1,
      sym_text_interpolation,
    ACTIONS(3309), 5,
      sym_execution_string_chars,
      anon_sym_LBRACE,
      sym_escape_sequence,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR,
  [63304] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3293), 1,
      anon_sym_BSLASHu,
    STATE(1693), 1,
      sym_text_interpolation,
    ACTIONS(3295), 5,
      sym_execution_string_chars,
      anon_sym_LBRACE,
      sym_escape_sequence,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR,
  [63324] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3311), 1,
      anon_sym_BSLASHu,
    STATE(1694), 1,
      sym_text_interpolation,
    ACTIONS(3313), 5,
      sym_execution_string_chars,
      anon_sym_LBRACE,
      sym_escape_sequence,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR,
  [63344] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1688), 1,
      anon_sym_BSLASHu,
    STATE(1695), 1,
      sym_text_interpolation,
    ACTIONS(1686), 5,
      sym_execution_string_chars,
      anon_sym_LBRACE,
      sym_escape_sequence,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR,
  [63364] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1013), 1,
      aux_sym_while_statement_token1,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3355), 1,
      aux_sym_else_if_clause_token1,
    ACTIONS(3357), 1,
      aux_sym_else_clause_token1,
    STATE(1619), 1,
      aux_sym_if_statement_repeat1,
    STATE(1696), 1,
      sym_text_interpolation,
    STATE(2201), 1,
      sym_else_if_clause,
    STATE(2202), 1,
      sym_else_clause,
  [63392] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3315), 1,
      anon_sym_BSLASHu,
    STATE(1697), 1,
      sym_text_interpolation,
    ACTIONS(3317), 5,
      sym_execution_string_chars,
      anon_sym_LBRACE,
      sym_escape_sequence,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR,
  [63412] = 9,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(11), 1,
      anon_sym_QMARK_GT,
    ACTIONS(3379), 1,
      aux_sym_string_token2,
    ACTIONS(3381), 1,
      aux_sym_string_content_token1,
    ACTIONS(3489), 1,
      anon_sym_SQUOTE,
    STATE(1660), 1,
      aux_sym_string_repeat1,
    STATE(1698), 1,
      sym_text_interpolation,
    STATE(1854), 1,
      aux_sym_string_content_repeat1,
    STATE(2188), 1,
      sym_string_content,
  [63440] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(328), 1,
      anon_sym_DOLLAR,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3491), 1,
      sym_name,
    ACTIONS(3493), 1,
      anon_sym_LBRACE,
    STATE(648), 1,
      sym__simple_variable,
    STATE(1699), 1,
      sym_text_interpolation,
    STATE(650), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
  [63466] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3371), 1,
      aux_sym_enum_case_token1,
    ACTIONS(3373), 1,
      aux_sym_match_default_expression_token1,
    ACTIONS(3495), 1,
      aux_sym_switch_block_token1,
    STATE(1599), 1,
      aux_sym_switch_block_repeat1,
    STATE(1700), 1,
      sym_text_interpolation,
    STATE(1881), 2,
      sym_case_statement,
      sym_default_statement,
  [63492] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1612), 1,
      anon_sym_BSLASHu,
    STATE(1701), 1,
      sym_text_interpolation,
    ACTIONS(1610), 5,
      sym_encapsed_string_chars,
      anon_sym_LBRACE,
      sym_escape_sequence,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
  [63512] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3261), 1,
      aux_sym_base_clause_token1,
    ACTIONS(3263), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3353), 1,
      anon_sym_LBRACE,
    STATE(534), 1,
      sym_declaration_list,
    STATE(1702), 1,
      sym_text_interpolation,
    STATE(1904), 1,
      sym_base_clause,
    STATE(2412), 1,
      sym_class_interface_clause,
  [63540] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3319), 1,
      anon_sym_BSLASHu,
    STATE(1703), 1,
      sym_text_interpolation,
    ACTIONS(3321), 5,
      sym_execution_string_chars,
      anon_sym_LBRACE,
      sym_escape_sequence,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR,
  [63560] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(603), 1,
      anon_sym_BSLASH,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3409), 1,
      sym_name,
    STATE(1495), 1,
      sym_qualified_name,
    STATE(1704), 1,
      sym_text_interpolation,
    STATE(1851), 1,
      sym_named_type,
    STATE(2187), 1,
      sym_type_list,
    STATE(2507), 1,
      sym_namespace_name,
  [63588] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3499), 1,
      anon_sym_BSLASHu,
    STATE(1705), 1,
      sym_text_interpolation,
    ACTIONS(3497), 5,
      sym_execution_string_chars,
      anon_sym_LBRACE,
      sym_escape_sequence,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR,
  [63608] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1816), 1,
      anon_sym_LPAREN2,
    STATE(739), 1,
      sym_arguments,
    STATE(1706), 1,
      sym_text_interpolation,
    ACTIONS(1674), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [63630] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1707), 1,
      sym_text_interpolation,
    ACTIONS(3501), 2,
      aux_sym_final_modifier_token1,
      sym_name,
    ACTIONS(3503), 3,
      anon_sym_AMP,
      anon_sym_RBRACE,
      anon_sym_POUND_LBRACK,
  [63649] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3507), 1,
      anon_sym_COMMA,
    STATE(1708), 2,
      sym_text_interpolation,
      aux_sym_base_clause_repeat1,
    ACTIONS(3505), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [63668] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3512), 1,
      anon_sym_COLON,
    STATE(1709), 1,
      sym_text_interpolation,
    STATE(2296), 1,
      sym__return_type,
    ACTIONS(3510), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [63689] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3514), 1,
      aux_sym_namespace_use_declaration_token1,
    ACTIONS(3516), 1,
      anon_sym_LBRACE,
    ACTIONS(3518), 1,
      anon_sym_COLON,
    STATE(1710), 1,
      sym_text_interpolation,
    STATE(2260), 1,
      sym_anonymous_function_use_clause,
    STATE(2648), 1,
      sym__return_type,
  [63714] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3520), 1,
      anon_sym_PIPE,
    STATE(1711), 1,
      sym_text_interpolation,
    STATE(1777), 1,
      aux_sym_disjunctive_normal_form_type_repeat1,
    ACTIONS(3186), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [63735] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3522), 1,
      anon_sym_COMMA,
    STATE(1712), 1,
      sym_text_interpolation,
    STATE(1911), 1,
      aux_sym__const_declaration_repeat1,
    STATE(1955), 1,
      sym__semicolon,
    ACTIONS(416), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [63758] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(376), 1,
      anon_sym_LBRACE,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3524), 1,
      sym_name,
    ACTIONS(3526), 1,
      anon_sym_BSLASH,
    STATE(1713), 1,
      sym_text_interpolation,
    STATE(1721), 1,
      sym_namespace_name,
    STATE(2176), 1,
      sym_compound_statement,
  [63783] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1046), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1714), 1,
      sym_text_interpolation,
    ACTIONS(1044), 4,
      aux_sym_catch_clause_token1,
      aux_sym_finally_clause_token1,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [63802] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3522), 1,
      anon_sym_COMMA,
    STATE(533), 1,
      sym__semicolon,
    STATE(1715), 1,
      sym_text_interpolation,
    STATE(1836), 1,
      aux_sym__const_declaration_repeat1,
    ACTIONS(360), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [63825] = 8,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(11), 1,
      anon_sym_QMARK_GT,
    ACTIONS(13), 1,
      aux_sym_text_token1,
    ACTIONS(15), 1,
      aux_sym_text_token2,
    ACTIONS(3528), 1,
      ts_builtin_sym_end,
    ACTIONS(3530), 1,
      sym_php_tag,
    STATE(1716), 1,
      sym_text_interpolation,
    STATE(1769), 1,
      aux_sym_text_repeat1,
  [63850] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1672), 1,
      anon_sym_LPAREN2,
    STATE(1717), 1,
      sym_text_interpolation,
    ACTIONS(1674), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [63869] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3522), 1,
      anon_sym_COMMA,
    STATE(538), 1,
      sym__semicolon,
    STATE(1718), 1,
      sym_text_interpolation,
    STATE(1911), 1,
      aux_sym__const_declaration_repeat1,
    ACTIONS(360), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [63892] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3532), 1,
      anon_sym_COMMA,
    STATE(1719), 1,
      sym_text_interpolation,
    STATE(1817), 1,
      aux_sym_function_static_declaration_repeat1,
    STATE(2249), 1,
      sym__semicolon,
    ACTIONS(416), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [63915] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3534), 1,
      anon_sym_COMMA,
    STATE(1720), 1,
      sym_text_interpolation,
    STATE(1818), 1,
      aux_sym_global_declaration_repeat1,
    STATE(2250), 1,
      sym__semicolon,
    ACTIONS(416), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [63938] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(376), 1,
      anon_sym_LBRACE,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1721), 1,
      sym_text_interpolation,
    STATE(2251), 1,
      sym_compound_statement,
    STATE(2252), 1,
      sym__semicolon,
    ACTIONS(416), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [63961] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3536), 1,
      anon_sym_COMMA,
    STATE(1722), 1,
      sym_text_interpolation,
    STATE(1819), 1,
      aux_sym_namespace_use_declaration_repeat1,
    STATE(2254), 1,
      sym__semicolon,
    ACTIONS(416), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [63984] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3522), 1,
      anon_sym_COMMA,
    STATE(1723), 1,
      sym_text_interpolation,
    STATE(1828), 1,
      aux_sym__const_declaration_repeat1,
    STATE(2263), 1,
      sym__semicolon,
    ACTIONS(416), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [64007] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3263), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3538), 1,
      anon_sym_LBRACE,
    ACTIONS(3540), 1,
      anon_sym_COLON,
    STATE(1724), 1,
      sym_text_interpolation,
    STATE(2273), 1,
      sym_enum_declaration_list,
    STATE(2486), 1,
      sym_class_interface_clause,
  [64032] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1058), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1725), 1,
      sym_text_interpolation,
    ACTIONS(1056), 4,
      aux_sym_catch_clause_token1,
      aux_sym_finally_clause_token1,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [64051] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3265), 1,
      aux_sym_catch_clause_token1,
    ACTIONS(3267), 1,
      aux_sym_finally_clause_token1,
    STATE(1545), 1,
      aux_sym_try_statement_repeat1,
    STATE(1726), 1,
      sym_text_interpolation,
    STATE(1834), 2,
      sym_catch_clause,
      sym_finally_clause,
  [64074] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3542), 1,
      anon_sym_PIPE,
    STATE(1727), 2,
      sym_text_interpolation,
      aux_sym_union_type_repeat1,
    ACTIONS(3182), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [64093] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3545), 1,
      anon_sym_AMP,
    STATE(1728), 2,
      sym_text_interpolation,
      aux_sym_intersection_type_repeat1,
    ACTIONS(3206), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [64112] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1729), 1,
      sym_text_interpolation,
    ACTIONS(1230), 2,
      aux_sym_final_modifier_token1,
      sym_name,
    ACTIONS(1228), 3,
      anon_sym_AMP,
      anon_sym_RBRACE,
      anon_sym_POUND_LBRACK,
  [64131] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3548), 1,
      anon_sym_PIPE,
    STATE(1730), 2,
      sym_text_interpolation,
      aux_sym_disjunctive_normal_form_type_repeat1,
    ACTIONS(3222), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [64150] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1731), 1,
      sym_text_interpolation,
    ACTIONS(3551), 2,
      aux_sym_final_modifier_token1,
      sym_name,
    ACTIONS(3553), 3,
      anon_sym_AMP,
      anon_sym_RBRACE,
      anon_sym_POUND_LBRACK,
  [64169] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3289), 1,
      anon_sym_AMP,
    STATE(1728), 1,
      aux_sym_intersection_type_repeat1,
    STATE(1732), 1,
      sym_text_interpolation,
    ACTIONS(3198), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [64190] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1733), 1,
      sym_text_interpolation,
    ACTIONS(3555), 2,
      aux_sym_final_modifier_token1,
      sym_name,
    ACTIONS(3557), 3,
      anon_sym_AMP,
      anon_sym_RBRACE,
      anon_sym_POUND_LBRACK,
  [64209] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3514), 1,
      aux_sym_namespace_use_declaration_token1,
    ACTIONS(3518), 1,
      anon_sym_COLON,
    ACTIONS(3559), 1,
      anon_sym_LBRACE,
    STATE(1734), 1,
      sym_text_interpolation,
    STATE(2245), 1,
      sym_anonymous_function_use_clause,
    STATE(2617), 1,
      sym__return_type,
  [64234] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2458), 1,
      anon_sym_LBRACE,
    ACTIONS(3563), 1,
      anon_sym_EQ,
    STATE(1735), 1,
      sym_text_interpolation,
    STATE(2435), 1,
      sym_property_hook_list,
    ACTIONS(3561), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
  [64257] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1736), 1,
      sym_text_interpolation,
    ACTIONS(3565), 2,
      aux_sym_final_modifier_token1,
      sym_name,
    ACTIONS(3567), 3,
      anon_sym_AMP,
      anon_sym_RBRACE,
      anon_sym_POUND_LBRACK,
  [64276] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1737), 1,
      sym_text_interpolation,
    ACTIONS(3569), 2,
      aux_sym_final_modifier_token1,
      sym_name,
    ACTIONS(3571), 3,
      anon_sym_AMP,
      anon_sym_RBRACE,
      anon_sym_POUND_LBRACK,
  [64295] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(228), 1,
      anon_sym_LBRACE,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1400), 1,
      sym_compound_statement,
    STATE(1414), 1,
      sym__semicolon,
    STATE(1738), 1,
      sym_text_interpolation,
    ACTIONS(360), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [64318] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1739), 1,
      sym_text_interpolation,
    ACTIONS(3573), 2,
      aux_sym_final_modifier_token1,
      sym_name,
    ACTIONS(3575), 3,
      anon_sym_AMP,
      anon_sym_RBRACE,
      anon_sym_POUND_LBRACK,
  [64337] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1740), 1,
      sym_text_interpolation,
    ACTIONS(3577), 2,
      aux_sym_final_modifier_token1,
      sym_name,
    ACTIONS(3579), 3,
      anon_sym_AMP,
      anon_sym_RBRACE,
      anon_sym_POUND_LBRACK,
  [64356] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1741), 1,
      sym_text_interpolation,
    ACTIONS(3581), 2,
      aux_sym_final_modifier_token1,
      sym_name,
    ACTIONS(3583), 3,
      anon_sym_AMP,
      anon_sym_RBRACE,
      anon_sym_POUND_LBRACK,
  [64375] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3263), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3538), 1,
      anon_sym_LBRACE,
    ACTIONS(3585), 1,
      anon_sym_COLON,
    STATE(1742), 1,
      sym_text_interpolation,
    STATE(2264), 1,
      sym_enum_declaration_list,
    STATE(2383), 1,
      sym_class_interface_clause,
  [64400] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2458), 1,
      anon_sym_LBRACE,
    ACTIONS(3589), 1,
      anon_sym_EQ,
    STATE(1743), 1,
      sym_text_interpolation,
    STATE(2495), 1,
      sym_property_hook_list,
    ACTIONS(3587), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
  [64423] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1744), 1,
      sym_text_interpolation,
    ACTIONS(3591), 2,
      aux_sym_final_modifier_token1,
      sym_name,
    ACTIONS(3593), 3,
      anon_sym_AMP,
      anon_sym_RBRACE,
      anon_sym_POUND_LBRACK,
  [64442] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1054), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1745), 1,
      sym_text_interpolation,
    ACTIONS(1052), 4,
      aux_sym_catch_clause_token1,
      aux_sym_finally_clause_token1,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [64461] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1746), 1,
      sym_text_interpolation,
    ACTIONS(3595), 2,
      aux_sym_final_modifier_token1,
      sym_name,
    ACTIONS(3597), 3,
      anon_sym_AMP,
      anon_sym_RBRACE,
      anon_sym_POUND_LBRACK,
  [64480] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1747), 1,
      sym_text_interpolation,
    ACTIONS(3599), 2,
      aux_sym_final_modifier_token1,
      sym_name,
    ACTIONS(3601), 3,
      anon_sym_AMP,
      anon_sym_RBRACE,
      anon_sym_POUND_LBRACK,
  [64499] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1748), 1,
      sym_text_interpolation,
    ACTIONS(3603), 2,
      aux_sym_final_modifier_token1,
      sym_name,
    ACTIONS(3605), 3,
      anon_sym_AMP,
      anon_sym_RBRACE,
      anon_sym_POUND_LBRACK,
  [64518] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2458), 1,
      anon_sym_LBRACE,
    ACTIONS(3609), 1,
      anon_sym_EQ,
    STATE(1749), 1,
      sym_text_interpolation,
    STATE(2497), 1,
      sym_property_hook_list,
    ACTIONS(3607), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
  [64541] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2458), 1,
      anon_sym_LBRACE,
    ACTIONS(3613), 1,
      anon_sym_EQ,
    STATE(1750), 1,
      sym_text_interpolation,
    STATE(2447), 1,
      sym_property_hook_list,
    ACTIONS(3611), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
  [64564] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2458), 1,
      anon_sym_LBRACE,
    ACTIONS(3617), 1,
      anon_sym_EQ,
    STATE(1751), 1,
      sym_text_interpolation,
    STATE(2327), 1,
      sym_property_hook_list,
    ACTIONS(3615), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
  [64587] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1752), 1,
      sym_text_interpolation,
    ACTIONS(3619), 2,
      aux_sym_final_modifier_token1,
      sym_name,
    ACTIONS(3621), 3,
      anon_sym_AMP,
      anon_sym_RBRACE,
      anon_sym_POUND_LBRACK,
  [64606] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1753), 1,
      sym_text_interpolation,
    ACTIONS(3623), 2,
      aux_sym_final_modifier_token1,
      sym_name,
    ACTIONS(3625), 3,
      anon_sym_AMP,
      anon_sym_RBRACE,
      anon_sym_POUND_LBRACK,
  [64625] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1754), 1,
      sym_text_interpolation,
    ACTIONS(3627), 2,
      aux_sym_final_modifier_token1,
      sym_name,
    ACTIONS(3629), 3,
      anon_sym_AMP,
      anon_sym_RBRACE,
      anon_sym_POUND_LBRACK,
  [64644] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(242), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1851), 1,
      anon_sym_AMP,
    ACTIONS(3631), 1,
      sym_name,
    STATE(1755), 1,
      sym_text_interpolation,
    STATE(2221), 1,
      sym_final_modifier,
    STATE(2539), 1,
      sym_reference_modifier,
  [64669] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(731), 1,
      anon_sym_AMP,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1867), 1,
      anon_sym_DOLLAR,
    ACTIONS(3633), 1,
      anon_sym_RPAREN2,
    STATE(1756), 1,
      sym_text_interpolation,
    STATE(2459), 2,
      sym_variable_name,
      sym_by_ref,
  [64692] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(731), 1,
      anon_sym_AMP,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1867), 1,
      anon_sym_DOLLAR,
    ACTIONS(3635), 1,
      anon_sym_RPAREN2,
    STATE(1757), 1,
      sym_text_interpolation,
    STATE(2459), 2,
      sym_variable_name,
      sym_by_ref,
  [64715] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(228), 1,
      anon_sym_LBRACE,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3524), 1,
      sym_name,
    ACTIONS(3526), 1,
      anon_sym_BSLASH,
    STATE(557), 1,
      sym_compound_statement,
    STATE(1758), 1,
      sym_text_interpolation,
    STATE(1793), 1,
      sym_namespace_name,
  [64740] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1759), 1,
      sym_text_interpolation,
    ACTIONS(3637), 2,
      aux_sym_final_modifier_token1,
      sym_name,
    ACTIONS(3639), 3,
      anon_sym_AMP,
      anon_sym_RBRACE,
      anon_sym_POUND_LBRACK,
  [64759] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3532), 1,
      anon_sym_COMMA,
    STATE(578), 1,
      sym__semicolon,
    STATE(1760), 1,
      sym_text_interpolation,
    STATE(1892), 1,
      aux_sym_function_static_declaration_repeat1,
    ACTIONS(360), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [64782] = 8,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(11), 1,
      anon_sym_QMARK_GT,
    ACTIONS(3419), 1,
      aux_sym_text_token1,
    ACTIONS(3421), 1,
      aux_sym_text_token2,
    ACTIONS(3528), 1,
      sym__eof,
    ACTIONS(3530), 1,
      sym_php_tag,
    STATE(1761), 1,
      sym_text_interpolation,
    STATE(1775), 1,
      aux_sym_text_repeat1,
  [64807] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3534), 1,
      anon_sym_COMMA,
    STATE(579), 1,
      sym__semicolon,
    STATE(1762), 1,
      sym_text_interpolation,
    STATE(1894), 1,
      aux_sym_global_declaration_repeat1,
    ACTIONS(360), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [64830] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3643), 1,
      anon_sym_BSLASH,
    STATE(1763), 1,
      sym_text_interpolation,
    STATE(1829), 1,
      aux_sym_namespace_name_repeat1,
    ACTIONS(3641), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [64851] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2458), 1,
      anon_sym_LBRACE,
    ACTIONS(3647), 1,
      anon_sym_EQ,
    STATE(1764), 1,
      sym_text_interpolation,
    STATE(2504), 1,
      sym_property_hook_list,
    ACTIONS(3645), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
  [64874] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3649), 1,
      aux_sym_if_statement_token2,
    ACTIONS(3651), 1,
      aux_sym_else_if_clause_token1,
    ACTIONS(3654), 1,
      aux_sym_else_clause_token1,
    STATE(2203), 1,
      sym_else_if_clause_2,
    STATE(1765), 2,
      sym_text_interpolation,
      aux_sym_if_statement_repeat2,
  [64897] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(959), 1,
      anon_sym_COLON,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1851), 1,
      anon_sym_AMP,
    ACTIONS(3194), 1,
      anon_sym_LPAREN2,
    STATE(1766), 1,
      sym_text_interpolation,
    STATE(1830), 1,
      sym_formal_parameters,
    STATE(2378), 1,
      sym_reference_modifier,
  [64922] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3658), 1,
      anon_sym_COMMA,
    STATE(1767), 2,
      sym_text_interpolation,
      aux_sym_property_declaration_repeat1,
    ACTIONS(3656), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [64941] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3536), 1,
      anon_sym_COMMA,
    STATE(580), 1,
      sym__semicolon,
    STATE(1768), 1,
      sym_text_interpolation,
    STATE(1895), 1,
      aux_sym_namespace_use_declaration_repeat1,
    ACTIONS(360), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [64964] = 7,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(11), 1,
      anon_sym_QMARK_GT,
    ACTIONS(3661), 1,
      ts_builtin_sym_end,
    ACTIONS(3663), 1,
      sym_php_tag,
    ACTIONS(3665), 1,
      aux_sym_text_token1,
    ACTIONS(3668), 1,
      aux_sym_text_token2,
    STATE(1769), 2,
      sym_text_interpolation,
      aux_sym_text_repeat1,
  [64987] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3522), 1,
      anon_sym_COMMA,
    STATE(1770), 1,
      sym_text_interpolation,
    STATE(1810), 1,
      aux_sym__const_declaration_repeat1,
    STATE(2005), 1,
      sym__semicolon,
    ACTIONS(416), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [65010] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1771), 1,
      sym_text_interpolation,
    ACTIONS(1031), 2,
      aux_sym_final_modifier_token1,
      sym_name,
    ACTIONS(1029), 3,
      anon_sym_AMP,
      anon_sym_RBRACE,
      anon_sym_POUND_LBRACK,
  [65029] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3522), 1,
      anon_sym_COMMA,
    STATE(1772), 1,
      sym_text_interpolation,
    STATE(1911), 1,
      aux_sym__const_declaration_repeat1,
    STATE(2006), 1,
      sym__semicolon,
    ACTIONS(416), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [65052] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1773), 1,
      sym_text_interpolation,
    ACTIONS(1035), 2,
      aux_sym_final_modifier_token1,
      sym_name,
    ACTIONS(1033), 3,
      anon_sym_AMP,
      anon_sym_RBRACE,
      anon_sym_POUND_LBRACK,
  [65071] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1774), 1,
      sym_text_interpolation,
    ACTIONS(3671), 5,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
  [65088] = 7,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(11), 1,
      anon_sym_QMARK_GT,
    ACTIONS(3661), 1,
      sym__eof,
    ACTIONS(3663), 1,
      sym_php_tag,
    ACTIONS(3673), 1,
      aux_sym_text_token1,
    ACTIONS(3676), 1,
      aux_sym_text_token2,
    STATE(1775), 2,
      sym_text_interpolation,
      aux_sym_text_repeat1,
  [65111] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1776), 1,
      sym_text_interpolation,
    ACTIONS(3168), 5,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_PIPE,
  [65128] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3520), 1,
      anon_sym_PIPE,
    STATE(1730), 1,
      aux_sym_disjunctive_normal_form_type_repeat1,
    STATE(1777), 1,
      sym_text_interpolation,
    ACTIONS(3176), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [65149] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1778), 1,
      sym_text_interpolation,
    ACTIONS(3042), 5,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_PIPE,
  [65166] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1779), 1,
      sym_text_interpolation,
    ACTIONS(3172), 5,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_PIPE,
  [65183] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3679), 1,
      anon_sym_PIPE,
    STATE(1780), 2,
      sym_text_interpolation,
      aux_sym_union_type_repeat1,
    ACTIONS(3182), 3,
      anon_sym_AMP,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOLLAR,
  [65202] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3682), 1,
      anon_sym_PIPE,
    STATE(1781), 2,
      sym_text_interpolation,
      aux_sym_disjunctive_normal_form_type_repeat1,
    ACTIONS(3222), 3,
      anon_sym_AMP,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOLLAR,
  [65221] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3514), 1,
      aux_sym_namespace_use_declaration_token1,
    ACTIONS(3518), 1,
      anon_sym_COLON,
    ACTIONS(3685), 1,
      anon_sym_LBRACE,
    STATE(1782), 1,
      sym_text_interpolation,
    STATE(2293), 1,
      sym_anonymous_function_use_clause,
    STATE(2715), 1,
      sym__return_type,
  [65246] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3687), 1,
      anon_sym_PIPE,
    STATE(1781), 1,
      aux_sym_disjunctive_normal_form_type_repeat1,
    STATE(1783), 1,
      sym_text_interpolation,
    ACTIONS(3176), 3,
      anon_sym_AMP,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOLLAR,
  [65267] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3532), 1,
      anon_sym_COMMA,
    STATE(540), 1,
      sym__semicolon,
    STATE(1760), 1,
      aux_sym_function_static_declaration_repeat1,
    STATE(1784), 1,
      sym_text_interpolation,
    ACTIONS(360), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [65290] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3522), 1,
      anon_sym_COMMA,
    STATE(1772), 1,
      aux_sym__const_declaration_repeat1,
    STATE(1785), 1,
      sym_text_interpolation,
    STATE(2014), 1,
      sym__semicolon,
    ACTIONS(416), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [65313] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3522), 1,
      anon_sym_COMMA,
    STATE(483), 1,
      sym__semicolon,
    STATE(1786), 1,
      sym_text_interpolation,
    STATE(1815), 1,
      aux_sym__const_declaration_repeat1,
    ACTIONS(360), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [65336] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1037), 1,
      aux_sym_while_statement_token1,
    ACTIONS(1039), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3689), 1,
      aux_sym_else_if_clause_token1,
    STATE(2201), 1,
      sym_else_if_clause,
    STATE(1787), 2,
      sym_text_interpolation,
      aux_sym_if_statement_repeat1,
  [65359] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(228), 1,
      anon_sym_LBRACE,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1409), 1,
      sym_compound_statement,
    STATE(1411), 1,
      sym__semicolon,
    STATE(1788), 1,
      sym_text_interpolation,
    ACTIONS(360), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [65382] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1887), 1,
      anon_sym_LPAREN2,
    ACTIONS(3692), 1,
      anon_sym_COLON_COLON,
    ACTIONS(3694), 1,
      anon_sym_DASH_GT,
    ACTIONS(3696), 1,
      anon_sym_QMARK_DASH_GT,
    ACTIONS(3698), 1,
      anon_sym_LBRACK,
    STATE(1789), 1,
      sym_text_interpolation,
  [65407] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(603), 1,
      anon_sym_BSLASH,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3409), 1,
      sym_name,
    STATE(1495), 1,
      sym_qualified_name,
    STATE(1790), 1,
      sym_text_interpolation,
    STATE(2285), 1,
      sym_named_type,
    STATE(2507), 1,
      sym_namespace_name,
  [65432] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3534), 1,
      anon_sym_COMMA,
    STATE(545), 1,
      sym__semicolon,
    STATE(1762), 1,
      aux_sym_global_declaration_repeat1,
    STATE(1791), 1,
      sym_text_interpolation,
    ACTIONS(360), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [65455] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3643), 1,
      anon_sym_BSLASH,
    STATE(1792), 1,
      sym_text_interpolation,
    STATE(1803), 1,
      aux_sym_namespace_name_repeat1,
    ACTIONS(3700), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [65476] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(228), 1,
      anon_sym_LBRACE,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(546), 1,
      sym_compound_statement,
    STATE(563), 1,
      sym__semicolon,
    STATE(1793), 1,
      sym_text_interpolation,
    ACTIONS(360), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [65499] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3514), 1,
      aux_sym_namespace_use_declaration_token1,
    ACTIONS(3518), 1,
      anon_sym_COLON,
    ACTIONS(3702), 1,
      anon_sym_LBRACE,
    STATE(1794), 1,
      sym_text_interpolation,
    STATE(2069), 1,
      sym_anonymous_function_use_clause,
    STATE(2588), 1,
      sym__return_type,
  [65524] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3263), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3704), 1,
      anon_sym_LBRACE,
    ACTIONS(3706), 1,
      anon_sym_COLON,
    STATE(481), 1,
      sym_enum_declaration_list,
    STATE(1795), 1,
      sym_text_interpolation,
    STATE(2466), 1,
      sym_class_interface_clause,
  [65549] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(228), 1,
      anon_sym_LBRACE,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1415), 1,
      sym_compound_statement,
    STATE(1417), 1,
      sym__semicolon,
    STATE(1796), 1,
      sym_text_interpolation,
    ACTIONS(360), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [65572] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1851), 1,
      anon_sym_AMP,
    ACTIONS(1867), 1,
      anon_sym_DOLLAR,
    ACTIONS(3708), 1,
      anon_sym_DOT_DOT_DOT,
    STATE(1797), 1,
      sym_text_interpolation,
    STATE(2232), 1,
      sym_reference_modifier,
    STATE(2233), 1,
      sym_variable_name,
  [65597] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3712), 1,
      anon_sym_EQ,
    STATE(1798), 1,
      sym_text_interpolation,
    ACTIONS(3710), 4,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
  [65616] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3714), 1,
      aux_sym_catch_clause_token1,
    ACTIONS(3716), 1,
      aux_sym_finally_clause_token1,
    STATE(443), 1,
      aux_sym_try_statement_repeat1,
    STATE(1799), 1,
      sym_text_interpolation,
    STATE(452), 2,
      sym_catch_clause,
      sym_finally_clause,
  [65639] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1800), 1,
      sym_text_interpolation,
    ACTIONS(3718), 2,
      aux_sym_final_modifier_token1,
      sym_name,
    ACTIONS(3720), 3,
      anon_sym_AMP,
      anon_sym_RBRACE,
      anon_sym_POUND_LBRACK,
  [65658] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3514), 1,
      aux_sym_namespace_use_declaration_token1,
    ACTIONS(3518), 1,
      anon_sym_COLON,
    ACTIONS(3722), 1,
      anon_sym_LBRACE,
    STATE(1801), 1,
      sym_text_interpolation,
    STATE(2239), 1,
      sym_anonymous_function_use_clause,
    STATE(2594), 1,
      sym__return_type,
  [65683] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1802), 1,
      sym_text_interpolation,
    ACTIONS(3724), 2,
      aux_sym_final_modifier_token1,
      sym_name,
    ACTIONS(3726), 3,
      anon_sym_AMP,
      anon_sym_RBRACE,
      anon_sym_POUND_LBRACK,
  [65702] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3643), 1,
      anon_sym_BSLASH,
    STATE(1803), 1,
      sym_text_interpolation,
    STATE(1841), 1,
      aux_sym_namespace_name_repeat1,
    ACTIONS(3641), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [65723] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1804), 1,
      sym_text_interpolation,
    ACTIONS(3728), 5,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
  [65740] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3522), 1,
      anon_sym_COMMA,
    STATE(457), 1,
      sym__semicolon,
    STATE(1718), 1,
      aux_sym__const_declaration_repeat1,
    STATE(1805), 1,
      sym_text_interpolation,
    ACTIONS(360), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [65763] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1806), 1,
      sym_text_interpolation,
    ACTIONS(3730), 2,
      aux_sym_final_modifier_token1,
      sym_name,
    ACTIONS(3732), 3,
      anon_sym_AMP,
      anon_sym_RBRACE,
      anon_sym_POUND_LBRACK,
  [65782] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3536), 1,
      anon_sym_COMMA,
    STATE(471), 1,
      sym__semicolon,
    STATE(1768), 1,
      aux_sym_namespace_use_declaration_repeat1,
    STATE(1807), 1,
      sym_text_interpolation,
    ACTIONS(360), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [65805] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2458), 1,
      anon_sym_LBRACE,
    ACTIONS(3736), 1,
      anon_sym_EQ,
    STATE(1808), 1,
      sym_text_interpolation,
    STATE(2426), 1,
      sym_property_hook_list,
    ACTIONS(3734), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
  [65828] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1851), 1,
      anon_sym_AMP,
    ACTIONS(1867), 1,
      anon_sym_DOLLAR,
    ACTIONS(3738), 1,
      anon_sym_DOT_DOT_DOT,
    STATE(1809), 1,
      sym_text_interpolation,
    STATE(2265), 1,
      sym_reference_modifier,
    STATE(2267), 1,
      sym_variable_name,
  [65853] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3522), 1,
      anon_sym_COMMA,
    STATE(1810), 1,
      sym_text_interpolation,
    STATE(1911), 1,
      aux_sym__const_declaration_repeat1,
    STATE(2048), 1,
      sym__semicolon,
    ACTIONS(416), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [65876] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1811), 1,
      sym_text_interpolation,
    ACTIONS(3740), 2,
      aux_sym_final_modifier_token1,
      sym_name,
    ACTIONS(3742), 3,
      anon_sym_AMP,
      anon_sym_RBRACE,
      anon_sym_POUND_LBRACK,
  [65895] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3522), 1,
      anon_sym_COMMA,
    STATE(490), 1,
      sym__semicolon,
    STATE(1812), 1,
      sym_text_interpolation,
    STATE(1911), 1,
      aux_sym__const_declaration_repeat1,
    ACTIONS(360), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [65918] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3522), 1,
      anon_sym_COMMA,
    STATE(456), 1,
      sym__semicolon,
    STATE(1812), 1,
      aux_sym__const_declaration_repeat1,
    STATE(1813), 1,
      sym_text_interpolation,
    ACTIONS(360), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [65941] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1814), 1,
      sym_text_interpolation,
    ACTIONS(3744), 5,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
  [65958] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3522), 1,
      anon_sym_COMMA,
    STATE(457), 1,
      sym__semicolon,
    STATE(1815), 1,
      sym_text_interpolation,
    STATE(1911), 1,
      aux_sym__const_declaration_repeat1,
    ACTIONS(360), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [65981] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3263), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3704), 1,
      anon_sym_LBRACE,
    ACTIONS(3746), 1,
      anon_sym_COLON,
    STATE(530), 1,
      sym_enum_declaration_list,
    STATE(1816), 1,
      sym_text_interpolation,
    STATE(2354), 1,
      sym_class_interface_clause,
  [66006] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3532), 1,
      anon_sym_COMMA,
    STATE(1817), 1,
      sym_text_interpolation,
    STATE(1892), 1,
      aux_sym_function_static_declaration_repeat1,
    STATE(2219), 1,
      sym__semicolon,
    ACTIONS(416), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [66029] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3534), 1,
      anon_sym_COMMA,
    STATE(1818), 1,
      sym_text_interpolation,
    STATE(1894), 1,
      aux_sym_global_declaration_repeat1,
    STATE(2223), 1,
      sym__semicolon,
    ACTIONS(416), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [66052] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3536), 1,
      anon_sym_COMMA,
    STATE(1819), 1,
      sym_text_interpolation,
    STATE(1895), 1,
      aux_sym_namespace_use_declaration_repeat1,
    STATE(2279), 1,
      sym__semicolon,
    ACTIONS(416), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [66075] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1820), 1,
      sym_text_interpolation,
    ACTIONS(3748), 5,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
  [66092] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3514), 1,
      aux_sym_namespace_use_declaration_token1,
    ACTIONS(3518), 1,
      anon_sym_COLON,
    ACTIONS(3750), 1,
      anon_sym_LBRACE,
    STATE(1821), 1,
      sym_text_interpolation,
    STATE(2200), 1,
      sym_anonymous_function_use_clause,
    STATE(2678), 1,
      sym__return_type,
  [66117] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3512), 1,
      anon_sym_COLON,
    STATE(1822), 1,
      sym_text_interpolation,
    STATE(1976), 1,
      sym__return_type,
    ACTIONS(3752), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [66138] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1823), 1,
      sym_text_interpolation,
    ACTIONS(3164), 5,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_PIPE,
  [66155] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3522), 1,
      anon_sym_COMMA,
    STATE(1712), 1,
      aux_sym__const_declaration_repeat1,
    STATE(1824), 1,
      sym_text_interpolation,
    STATE(1984), 1,
      sym__semicolon,
    ACTIONS(416), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [66178] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3754), 1,
      anon_sym_PIPE,
    STATE(1727), 1,
      aux_sym_union_type_repeat1,
    STATE(1825), 1,
      sym_text_interpolation,
    ACTIONS(3190), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [66199] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3520), 1,
      anon_sym_PIPE,
    STATE(1730), 1,
      aux_sym_disjunctive_normal_form_type_repeat1,
    STATE(1826), 1,
      sym_text_interpolation,
    ACTIONS(3202), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [66220] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(228), 1,
      anon_sym_LBRACE,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1406), 1,
      sym_compound_statement,
    STATE(1407), 1,
      sym__semicolon,
    STATE(1827), 1,
      sym_text_interpolation,
    ACTIONS(360), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [66243] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3522), 1,
      anon_sym_COMMA,
    STATE(1828), 1,
      sym_text_interpolation,
    STATE(1911), 1,
      aux_sym__const_declaration_repeat1,
    STATE(2014), 1,
      sym__semicolon,
    ACTIONS(416), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [66266] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3643), 1,
      anon_sym_BSLASH,
    STATE(1829), 1,
      sym_text_interpolation,
    STATE(1841), 1,
      aux_sym_namespace_name_repeat1,
    ACTIONS(3756), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [66287] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3514), 1,
      aux_sym_namespace_use_declaration_token1,
    ACTIONS(3518), 1,
      anon_sym_COLON,
    ACTIONS(3758), 1,
      anon_sym_LBRACE,
    STATE(1830), 1,
      sym_text_interpolation,
    STATE(2227), 1,
      sym_anonymous_function_use_clause,
    STATE(2577), 1,
      sym__return_type,
  [66312] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3760), 1,
      anon_sym_PIPE,
    STATE(1780), 1,
      aux_sym_union_type_repeat1,
    STATE(1831), 1,
      sym_text_interpolation,
    ACTIONS(3190), 3,
      anon_sym_AMP,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOLLAR,
  [66333] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3687), 1,
      anon_sym_PIPE,
    STATE(1781), 1,
      aux_sym_disjunctive_normal_form_type_repeat1,
    STATE(1832), 1,
      sym_text_interpolation,
    ACTIONS(3202), 3,
      anon_sym_AMP,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOLLAR,
  [66354] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3687), 1,
      anon_sym_PIPE,
    STATE(1783), 1,
      aux_sym_disjunctive_normal_form_type_repeat1,
    STATE(1833), 1,
      sym_text_interpolation,
    ACTIONS(3186), 3,
      anon_sym_AMP,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOLLAR,
  [66375] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1050), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1834), 1,
      sym_text_interpolation,
    ACTIONS(1048), 4,
      aux_sym_catch_clause_token1,
      aux_sym_finally_clause_token1,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [66394] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3762), 1,
      sym_name,
    STATE(1835), 1,
      sym_text_interpolation,
    STATE(2065), 1,
      sym_visibility_modifier,
    ACTIONS(3764), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
  [66415] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3522), 1,
      anon_sym_COMMA,
    STATE(466), 1,
      sym__semicolon,
    STATE(1836), 1,
      sym_text_interpolation,
    STATE(1911), 1,
      aux_sym__const_declaration_repeat1,
    ACTIONS(360), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [66438] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2050), 1,
      anon_sym_LPAREN2,
    STATE(1837), 1,
      sym_text_interpolation,
    ACTIONS(2052), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [66457] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3514), 1,
      aux_sym_namespace_use_declaration_token1,
    ACTIONS(3518), 1,
      anon_sym_COLON,
    ACTIONS(3766), 1,
      anon_sym_LBRACE,
    STATE(1838), 1,
      sym_text_interpolation,
    STATE(2241), 1,
      sym_anonymous_function_use_clause,
    STATE(2605), 1,
      sym__return_type,
  [66482] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2458), 1,
      anon_sym_LBRACE,
    ACTIONS(3770), 1,
      anon_sym_EQ,
    STATE(1839), 1,
      sym_text_interpolation,
    STATE(2400), 1,
      sym_property_hook_list,
    ACTIONS(3768), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
  [66505] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1840), 1,
      sym_text_interpolation,
    ACTIONS(1873), 5,
      anon_sym_LPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [66522] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3774), 1,
      anon_sym_BSLASH,
    STATE(1841), 2,
      sym_text_interpolation,
      aux_sym_namespace_name_repeat1,
    ACTIONS(3772), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [66541] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(959), 1,
      anon_sym_COLON,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1851), 1,
      anon_sym_AMP,
    ACTIONS(3194), 1,
      anon_sym_LPAREN2,
    STATE(1842), 1,
      sym_text_interpolation,
    STATE(2210), 1,
      sym_formal_parameters,
    STATE(2356), 1,
      sym_reference_modifier,
  [66566] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1843), 1,
      sym_text_interpolation,
    ACTIONS(3728), 4,
      aux_sym_namespace_use_declaration_token1,
      anon_sym_LBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
  [66582] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3263), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3279), 1,
      anon_sym_LBRACE,
    STATE(826), 1,
      sym_declaration_list,
    STATE(1844), 1,
      sym_text_interpolation,
    STATE(2414), 1,
      sym_class_interface_clause,
  [66604] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(11), 1,
      anon_sym_QMARK_GT,
    STATE(1845), 1,
      sym_text_interpolation,
    ACTIONS(3777), 2,
      ts_builtin_sym_end,
      aux_sym_text_token2,
    ACTIONS(3779), 2,
      sym_php_tag,
      aux_sym_text_token1,
  [66622] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3259), 1,
      anon_sym_LBRACE,
    ACTIONS(3263), 1,
      aux_sym_class_interface_clause_token1,
    STATE(921), 1,
      sym_declaration_list,
    STATE(1846), 1,
      sym_text_interpolation,
    STATE(2362), 1,
      sym_class_interface_clause,
  [66644] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1847), 1,
      sym_text_interpolation,
    ACTIONS(3182), 4,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_PIPE,
  [66660] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(866), 1,
      anon_sym_COMMA,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3781), 1,
      anon_sym_EQ,
    ACTIONS(3783), 1,
      anon_sym_RPAREN2,
    STATE(1848), 1,
      sym_text_interpolation,
    STATE(1987), 1,
      aux_sym__list_destructing_repeat1,
  [66682] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1849), 1,
      sym_text_interpolation,
    ACTIONS(3222), 4,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_PIPE,
  [66698] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1850), 1,
      sym_text_interpolation,
    ACTIONS(3671), 4,
      aux_sym_namespace_use_declaration_token1,
      anon_sym_LBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
  [66714] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3787), 1,
      anon_sym_PIPE,
    STATE(1851), 1,
      sym_text_interpolation,
    STATE(1868), 1,
      aux_sym_type_list_repeat1,
    ACTIONS(3785), 2,
      anon_sym_RPAREN2,
      anon_sym_DOLLAR,
  [66734] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3789), 1,
      anon_sym_AMP,
    ACTIONS(3206), 2,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOLLAR,
    STATE(1852), 2,
      sym_text_interpolation,
      aux_sym_intersection_type_repeat1,
  [66752] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3263), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3279), 1,
      anon_sym_LBRACE,
    STATE(1853), 1,
      sym_text_interpolation,
    STATE(2003), 1,
      sym_declaration_list,
    STATE(2428), 1,
      sym_class_interface_clause,
  [66774] = 6,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(11), 1,
      anon_sym_QMARK_GT,
    ACTIONS(3381), 1,
      aux_sym_string_content_token1,
    STATE(1854), 1,
      sym_text_interpolation,
    STATE(1888), 1,
      aux_sym_string_content_repeat1,
    ACTIONS(3792), 2,
      anon_sym_SQUOTE,
      aux_sym_string_token2,
  [66794] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3263), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3279), 1,
      anon_sym_LBRACE,
    STATE(1855), 1,
      sym_text_interpolation,
    STATE(2009), 1,
      sym_declaration_list,
    STATE(2433), 1,
      sym_class_interface_clause,
  [66816] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3259), 1,
      anon_sym_LBRACE,
    ACTIONS(3263), 1,
      aux_sym_class_interface_clause_token1,
    STATE(975), 1,
      sym_declaration_list,
    STATE(1856), 1,
      sym_text_interpolation,
    STATE(2342), 1,
      sym_class_interface_clause,
  [66838] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1851), 1,
      anon_sym_AMP,
    ACTIONS(3194), 1,
      anon_sym_LPAREN2,
    STATE(1782), 1,
      sym_formal_parameters,
    STATE(1857), 1,
      sym_text_interpolation,
    STATE(2371), 1,
      sym_reference_modifier,
  [66860] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3263), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3279), 1,
      anon_sym_LBRACE,
    STATE(837), 1,
      sym_declaration_list,
    STATE(1858), 1,
      sym_text_interpolation,
    STATE(2445), 1,
      sym_class_interface_clause,
  [66882] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3259), 1,
      anon_sym_LBRACE,
    ACTIONS(3263), 1,
      aux_sym_class_interface_clause_token1,
    STATE(974), 1,
      sym_declaration_list,
    STATE(1859), 1,
      sym_text_interpolation,
    STATE(2344), 1,
      sym_class_interface_clause,
  [66904] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3259), 1,
      anon_sym_LBRACE,
    ACTIONS(3263), 1,
      aux_sym_class_interface_clause_token1,
    STATE(922), 1,
      sym_declaration_list,
    STATE(1860), 1,
      sym_text_interpolation,
    STATE(2370), 1,
      sym_class_interface_clause,
  [66926] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1851), 1,
      anon_sym_AMP,
    ACTIONS(3194), 1,
      anon_sym_LPAREN2,
    STATE(1861), 1,
      sym_text_interpolation,
    STATE(2185), 1,
      sym_formal_parameters,
    STATE(2373), 1,
      sym_reference_modifier,
  [66948] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3263), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3279), 1,
      anon_sym_LBRACE,
    STATE(836), 1,
      sym_declaration_list,
    STATE(1862), 1,
      sym_text_interpolation,
    STATE(2446), 1,
      sym_class_interface_clause,
  [66970] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3263), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3538), 1,
      anon_sym_LBRACE,
    STATE(1863), 1,
      sym_text_interpolation,
    STATE(2044), 1,
      sym_enum_declaration_list,
    STATE(2452), 1,
      sym_class_interface_clause,
  [66992] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3263), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3279), 1,
      anon_sym_LBRACE,
    STATE(1864), 1,
      sym_text_interpolation,
    STATE(2047), 1,
      sym_declaration_list,
    STATE(2453), 1,
      sym_class_interface_clause,
  [67014] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3796), 1,
      anon_sym_EQ,
    STATE(1865), 1,
      sym_text_interpolation,
    ACTIONS(3794), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [67032] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3263), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3279), 1,
      anon_sym_LBRACE,
    STATE(843), 1,
      sym_declaration_list,
    STATE(1866), 1,
      sym_text_interpolation,
    STATE(2462), 1,
      sym_class_interface_clause,
  [67054] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1867), 1,
      sym_text_interpolation,
    ACTIONS(3798), 4,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_RPAREN2,
      anon_sym_RBRACK,
  [67070] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3787), 1,
      anon_sym_PIPE,
    STATE(1868), 1,
      sym_text_interpolation,
    STATE(1939), 1,
      aux_sym_type_list_repeat1,
    ACTIONS(3800), 2,
      anon_sym_RPAREN2,
      anon_sym_DOLLAR,
  [67090] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1851), 1,
      anon_sym_AMP,
    ACTIONS(3194), 1,
      anon_sym_LPAREN2,
    STATE(1869), 1,
      sym_text_interpolation,
    STATE(2210), 1,
      sym_formal_parameters,
    STATE(2356), 1,
      sym_reference_modifier,
  [67112] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1851), 1,
      anon_sym_AMP,
    ACTIONS(3194), 1,
      anon_sym_LPAREN2,
    STATE(1870), 1,
      sym_text_interpolation,
    STATE(2206), 1,
      sym_formal_parameters,
    STATE(2403), 1,
      sym_reference_modifier,
  [67134] = 7,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(11), 1,
      anon_sym_QMARK_GT,
    ACTIONS(3802), 1,
      anon_sym_DQUOTE2,
    ACTIONS(3804), 1,
      sym__new_line,
    ACTIONS(3806), 1,
      sym_heredoc_end,
    STATE(1871), 1,
      sym_text_interpolation,
    STATE(2302), 1,
      sym_heredoc_body,
  [67156] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(11), 1,
      anon_sym_QMARK_GT,
    ACTIONS(3810), 1,
      sym_nowdoc_string,
    ACTIONS(3808), 2,
      sym_heredoc_end,
      sym__new_line,
    STATE(1872), 2,
      sym_text_interpolation,
      aux_sym_nowdoc_body_repeat1,
  [67174] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3263), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3279), 1,
      anon_sym_LBRACE,
    STATE(814), 1,
      sym_declaration_list,
    STATE(1873), 1,
      sym_text_interpolation,
    STATE(2358), 1,
      sym_class_interface_clause,
  [67196] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3261), 1,
      aux_sym_base_clause_token1,
    ACTIONS(3353), 1,
      anon_sym_LBRACE,
    STATE(480), 1,
      sym_declaration_list,
    STATE(1874), 1,
      sym_text_interpolation,
    STATE(2411), 1,
      sym_base_clause,
  [67218] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3259), 1,
      anon_sym_LBRACE,
    ACTIONS(3263), 1,
      aux_sym_class_interface_clause_token1,
    STATE(920), 1,
      sym_declaration_list,
    STATE(1875), 1,
      sym_text_interpolation,
    STATE(2377), 1,
      sym_class_interface_clause,
  [67240] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3259), 1,
      anon_sym_LBRACE,
    ACTIONS(3263), 1,
      aux_sym_class_interface_clause_token1,
    STATE(991), 1,
      sym_declaration_list,
    STATE(1876), 1,
      sym_text_interpolation,
    STATE(2376), 1,
      sym_class_interface_clause,
  [67262] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1851), 1,
      anon_sym_AMP,
    ACTIONS(3194), 1,
      anon_sym_LPAREN2,
    STATE(1710), 1,
      sym_formal_parameters,
    STATE(1877), 1,
      sym_text_interpolation,
    STATE(2441), 1,
      sym_reference_modifier,
  [67284] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1851), 1,
      anon_sym_AMP,
    ACTIONS(3194), 1,
      anon_sym_LPAREN2,
    STATE(1878), 1,
      sym_text_interpolation,
    STATE(2038), 1,
      sym_formal_parameters,
    STATE(2307), 1,
      sym_reference_modifier,
  [67306] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2532), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(2819), 1,
      aux_sym__arrow_function_header_token1,
    ACTIONS(3813), 1,
      aux_sym__namespace_use_type_token1,
    STATE(1879), 1,
      sym_text_interpolation,
    STATE(2389), 1,
      sym_static_modifier,
  [67328] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(731), 1,
      anon_sym_AMP,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1867), 1,
      anon_sym_DOLLAR,
    STATE(1880), 1,
      sym_text_interpolation,
    STATE(1751), 2,
      sym_variable_name,
      sym_by_ref,
  [67348] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1881), 1,
      sym_text_interpolation,
    ACTIONS(3815), 4,
      anon_sym_RBRACE,
      aux_sym_enum_case_token1,
      aux_sym_match_default_expression_token1,
      aux_sym_switch_block_token1,
  [67364] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1882), 1,
      sym_text_interpolation,
    ACTIONS(1814), 4,
      anon_sym_AMP,
      anon_sym_DOT_DOT_DOT,
      anon_sym_PIPE,
      anon_sym_DOLLAR,
  [67380] = 7,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(11), 1,
      anon_sym_QMARK_GT,
    ACTIONS(3804), 1,
      sym__new_line,
    ACTIONS(3817), 1,
      anon_sym_DQUOTE2,
    ACTIONS(3819), 1,
      sym_heredoc_end,
    STATE(1883), 1,
      sym_text_interpolation,
    STATE(2317), 1,
      sym_heredoc_body,
  [67402] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1851), 1,
      anon_sym_AMP,
    ACTIONS(3194), 1,
      anon_sym_LPAREN2,
    STATE(1830), 1,
      sym_formal_parameters,
    STATE(1884), 1,
      sym_text_interpolation,
    STATE(2378), 1,
      sym_reference_modifier,
  [67424] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1885), 1,
      sym_text_interpolation,
    ACTIONS(3206), 4,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_AMP,
      anon_sym_LBRACE,
  [67440] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3821), 1,
      anon_sym_COLON_COLON,
    ACTIONS(3823), 1,
      anon_sym_DASH_GT,
    ACTIONS(3825), 1,
      anon_sym_QMARK_DASH_GT,
    ACTIONS(3827), 1,
      anon_sym_LBRACK,
    STATE(1886), 1,
      sym_text_interpolation,
  [67462] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1887), 1,
      sym_text_interpolation,
    ACTIONS(1674), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [67478] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(11), 1,
      anon_sym_QMARK_GT,
    ACTIONS(3831), 1,
      aux_sym_string_content_token1,
    ACTIONS(3829), 2,
      anon_sym_SQUOTE,
      aux_sym_string_token2,
    STATE(1888), 2,
      sym_text_interpolation,
      aux_sym_string_content_repeat1,
  [67496] = 7,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(11), 1,
      anon_sym_QMARK_GT,
    ACTIONS(3804), 1,
      sym__new_line,
    ACTIONS(3834), 1,
      anon_sym_DQUOTE2,
    ACTIONS(3836), 1,
      sym_heredoc_end,
    STATE(1889), 1,
      sym_text_interpolation,
    STATE(2375), 1,
      sym_heredoc_body,
  [67518] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1890), 1,
      sym_text_interpolation,
    ACTIONS(3838), 4,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_RPAREN2,
      anon_sym_RBRACK,
  [67534] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(645), 1,
      anon_sym_DOLLAR,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(599), 1,
      sym__simple_variable,
    STATE(1891), 1,
      sym_text_interpolation,
    STATE(618), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
  [67554] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3842), 1,
      anon_sym_COMMA,
    ACTIONS(3840), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(1892), 2,
      sym_text_interpolation,
      aux_sym_function_static_declaration_repeat1,
  [67572] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3847), 1,
      aux_sym_namespace_use_clause_token1,
    STATE(1893), 1,
      sym_text_interpolation,
    ACTIONS(3845), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [67590] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3851), 1,
      anon_sym_COMMA,
    ACTIONS(3849), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(1894), 2,
      sym_text_interpolation,
      aux_sym_global_declaration_repeat1,
  [67608] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3856), 1,
      anon_sym_COMMA,
    ACTIONS(3854), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(1895), 2,
      sym_text_interpolation,
      aux_sym_namespace_use_declaration_repeat1,
  [67626] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3821), 1,
      anon_sym_COLON_COLON,
    ACTIONS(3859), 1,
      anon_sym_DASH_GT,
    ACTIONS(3861), 1,
      anon_sym_QMARK_DASH_GT,
    ACTIONS(3863), 1,
      anon_sym_LBRACK,
    STATE(1896), 1,
      sym_text_interpolation,
  [67648] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1897), 1,
      sym_text_interpolation,
    STATE(2552), 1,
      sym_declare_directive,
    ACTIONS(3865), 3,
      anon_sym_ticks,
      anon_sym_encoding,
      anon_sym_strict_types,
  [67666] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3263), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3279), 1,
      anon_sym_LBRACE,
    STATE(825), 1,
      sym_declaration_list,
    STATE(1898), 1,
      sym_text_interpolation,
    STATE(2413), 1,
      sym_class_interface_clause,
  [67688] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1899), 1,
      sym_text_interpolation,
    STATE(2618), 1,
      sym_declare_directive,
    ACTIONS(3865), 3,
      anon_sym_ticks,
      anon_sym_encoding,
      anon_sym_strict_types,
  [67706] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(731), 1,
      anon_sym_AMP,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1867), 1,
      anon_sym_DOLLAR,
    STATE(1900), 1,
      sym_text_interpolation,
    STATE(1749), 2,
      sym_variable_name,
      sym_by_ref,
  [67726] = 7,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(11), 1,
      anon_sym_QMARK_GT,
    ACTIONS(3804), 1,
      sym__new_line,
    ACTIONS(3867), 1,
      anon_sym_DQUOTE2,
    ACTIONS(3869), 1,
      sym_heredoc_end,
    STATE(1901), 1,
      sym_text_interpolation,
    STATE(2409), 1,
      sym_heredoc_body,
  [67748] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(328), 1,
      anon_sym_DOLLAR,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1791), 1,
      sym__simple_variable,
    STATE(1902), 1,
      sym_text_interpolation,
    STATE(650), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
  [67768] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(731), 1,
      anon_sym_AMP,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1867), 1,
      anon_sym_DOLLAR,
    STATE(1903), 1,
      sym_text_interpolation,
    STATE(2292), 2,
      sym_variable_name,
      sym_by_ref,
  [67788] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3263), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3353), 1,
      anon_sym_LBRACE,
    STATE(462), 1,
      sym_declaration_list,
    STATE(1904), 1,
      sym_text_interpolation,
    STATE(2498), 1,
      sym_class_interface_clause,
  [67810] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(11), 1,
      anon_sym_QMARK_GT,
    STATE(1905), 1,
      sym_text_interpolation,
    ACTIONS(3777), 2,
      sym__eof,
      aux_sym_text_token2,
    ACTIONS(3779), 2,
      sym_php_tag,
      aux_sym_text_token1,
  [67828] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(731), 1,
      anon_sym_AMP,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1867), 1,
      anon_sym_DOLLAR,
    STATE(1906), 1,
      sym_text_interpolation,
    STATE(1839), 2,
      sym_variable_name,
      sym_by_ref,
  [67848] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1802), 1,
      anon_sym_DOLLAR,
    STATE(947), 1,
      sym__simple_variable,
    STATE(1907), 1,
      sym_text_interpolation,
    STATE(939), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
  [67868] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3871), 1,
      anon_sym_LPAREN,
    STATE(1908), 1,
      sym_text_interpolation,
    ACTIONS(2608), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      sym_name,
  [67886] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3873), 1,
      anon_sym_COMMA,
    STATE(1909), 1,
      sym_text_interpolation,
    STATE(1920), 1,
      aux_sym_base_clause_repeat1,
    ACTIONS(3875), 2,
      anon_sym_LBRACE,
      aux_sym_class_interface_clause_token1,
  [67906] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(328), 1,
      anon_sym_DOLLAR,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1910), 1,
      sym_text_interpolation,
    STATE(2222), 1,
      sym__simple_variable,
    STATE(650), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
  [67926] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3879), 1,
      anon_sym_COMMA,
    ACTIONS(3877), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(1911), 2,
      sym_text_interpolation,
      aux_sym__const_declaration_repeat1,
  [67944] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3263), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3704), 1,
      anon_sym_LBRACE,
    STATE(508), 1,
      sym_enum_declaration_list,
    STATE(1912), 1,
      sym_text_interpolation,
    STATE(2385), 1,
      sym_class_interface_clause,
  [67966] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(731), 1,
      anon_sym_AMP,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1867), 1,
      anon_sym_DOLLAR,
    STATE(1913), 1,
      sym_text_interpolation,
    STATE(1750), 2,
      sym_variable_name,
      sym_by_ref,
  [67986] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1914), 1,
      sym_text_interpolation,
    ACTIONS(3229), 4,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_PIPE,
  [68002] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1915), 1,
      sym_text_interpolation,
    ACTIONS(3211), 4,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_PIPE,
  [68018] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3261), 1,
      aux_sym_base_clause_token1,
    ACTIONS(3279), 1,
      anon_sym_LBRACE,
    STATE(1916), 1,
      sym_text_interpolation,
    STATE(2262), 1,
      sym_declaration_list,
    STATE(2382), 1,
      sym_base_clause,
  [68040] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3884), 1,
      aux_sym_namespace_use_clause_token1,
    STATE(1917), 1,
      sym_text_interpolation,
    ACTIONS(3882), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [68058] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3263), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3353), 1,
      anon_sym_LBRACE,
    STATE(555), 1,
      sym_declaration_list,
    STATE(1918), 1,
      sym_text_interpolation,
    STATE(2492), 1,
      sym_class_interface_clause,
  [68080] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3886), 1,
      anon_sym_EQ,
    STATE(1437), 1,
      sym__semicolon,
    STATE(1919), 1,
      sym_text_interpolation,
    ACTIONS(360), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [68100] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3888), 1,
      anon_sym_COMMA,
    ACTIONS(3505), 2,
      anon_sym_LBRACE,
      aux_sym_class_interface_clause_token1,
    STATE(1920), 2,
      sym_text_interpolation,
      aux_sym_base_clause_repeat1,
  [68118] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3891), 1,
      anon_sym_LPAREN2,
    STATE(1921), 1,
      sym_text_interpolation,
    STATE(2189), 1,
      sym__semicolon,
    ACTIONS(416), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [68138] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1851), 1,
      anon_sym_AMP,
    ACTIONS(3194), 1,
      anon_sym_LPAREN2,
    STATE(1794), 1,
      sym_formal_parameters,
    STATE(1922), 1,
      sym_text_interpolation,
    STATE(2502), 1,
      sym_reference_modifier,
  [68160] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3261), 1,
      aux_sym_base_clause_token1,
    ACTIONS(3353), 1,
      anon_sym_LBRACE,
    STATE(529), 1,
      sym_declaration_list,
    STATE(1923), 1,
      sym_text_interpolation,
    STATE(2503), 1,
      sym_base_clause,
  [68182] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3821), 1,
      anon_sym_COLON_COLON,
    ACTIONS(3893), 1,
      anon_sym_DASH_GT,
    ACTIONS(3895), 1,
      anon_sym_QMARK_DASH_GT,
    ACTIONS(3897), 1,
      anon_sym_LBRACK,
    STATE(1924), 1,
      sym_text_interpolation,
  [68204] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1925), 1,
      sym_text_interpolation,
    ACTIONS(3656), 4,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
  [68220] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3899), 1,
      anon_sym_AMP,
    STATE(1852), 1,
      aux_sym_intersection_type_repeat1,
    STATE(1926), 1,
      sym_text_interpolation,
    ACTIONS(3198), 2,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOLLAR,
  [68240] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3821), 1,
      anon_sym_COLON_COLON,
    ACTIONS(3902), 1,
      anon_sym_DASH_GT,
    ACTIONS(3904), 1,
      anon_sym_QMARK_DASH_GT,
    ACTIONS(3906), 1,
      anon_sym_LBRACK,
    STATE(1927), 1,
      sym_text_interpolation,
  [68262] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3908), 1,
      anon_sym_LPAREN2,
    STATE(465), 1,
      sym__semicolon,
    STATE(1928), 1,
      sym_text_interpolation,
    ACTIONS(360), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [68282] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1929), 1,
      sym_text_interpolation,
    ACTIONS(3744), 4,
      aux_sym_namespace_use_declaration_token1,
      anon_sym_LBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
  [68298] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1808), 1,
      anon_sym_DOLLAR,
    STATE(793), 1,
      sym__simple_variable,
    STATE(1930), 1,
      sym_text_interpolation,
    STATE(813), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
  [68318] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3263), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3279), 1,
      anon_sym_LBRACE,
    STATE(1931), 1,
      sym_text_interpolation,
    STATE(2054), 1,
      sym_declaration_list,
    STATE(2335), 1,
      sym_class_interface_clause,
  [68340] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3873), 1,
      anon_sym_COMMA,
    STATE(1909), 1,
      aux_sym_base_clause_repeat1,
    STATE(1932), 1,
      sym_text_interpolation,
    ACTIONS(3910), 2,
      anon_sym_LBRACE,
      aux_sym_class_interface_clause_token1,
  [68360] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3263), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3538), 1,
      anon_sym_LBRACE,
    STATE(1933), 1,
      sym_text_interpolation,
    STATE(1961), 1,
      sym_enum_declaration_list,
    STATE(2396), 1,
      sym_class_interface_clause,
  [68382] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3912), 1,
      anon_sym_EQ,
    STATE(1431), 1,
      sym__semicolon,
    STATE(1934), 1,
      sym_text_interpolation,
    ACTIONS(360), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [68402] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3263), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3353), 1,
      anon_sym_LBRACE,
    STATE(531), 1,
      sym_declaration_list,
    STATE(1935), 1,
      sym_text_interpolation,
    STATE(2461), 1,
      sym_class_interface_clause,
  [68424] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3261), 1,
      aux_sym_base_clause_token1,
    ACTIONS(3279), 1,
      anon_sym_LBRACE,
    STATE(1936), 1,
      sym_text_interpolation,
    STATE(2271), 1,
      sym_declaration_list,
    STATE(2481), 1,
      sym_base_clause,
  [68446] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(731), 1,
      anon_sym_AMP,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1867), 1,
      anon_sym_DOLLAR,
    STATE(1937), 1,
      sym_text_interpolation,
    STATE(2459), 2,
      sym_variable_name,
      sym_by_ref,
  [68466] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3263), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3353), 1,
      anon_sym_LBRACE,
    STATE(513), 1,
      sym_declaration_list,
    STATE(1938), 1,
      sym_text_interpolation,
    STATE(2393), 1,
      sym_class_interface_clause,
  [68488] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3916), 1,
      anon_sym_PIPE,
    ACTIONS(3914), 2,
      anon_sym_RPAREN2,
      anon_sym_DOLLAR,
    STATE(1939), 2,
      sym_text_interpolation,
      aux_sym_type_list_repeat1,
  [68506] = 6,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(11), 1,
      anon_sym_QMARK_GT,
    ACTIONS(3921), 1,
      sym_nowdoc_string,
    STATE(1872), 1,
      aux_sym_nowdoc_body_repeat1,
    STATE(1940), 1,
      sym_text_interpolation,
    ACTIONS(3919), 2,
      sym_heredoc_end,
      sym__new_line,
  [68526] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1941), 1,
      sym_text_interpolation,
    ACTIONS(3505), 4,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
  [68542] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3821), 1,
      anon_sym_COLON_COLON,
    ACTIONS(3923), 1,
      anon_sym_DASH_GT,
    ACTIONS(3925), 1,
      anon_sym_QMARK_DASH_GT,
    ACTIONS(3927), 1,
      anon_sym_LBRACK,
    STATE(1942), 1,
      sym_text_interpolation,
  [68564] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3263), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3704), 1,
      anon_sym_LBRACE,
    STATE(493), 1,
      sym_enum_declaration_list,
    STATE(1943), 1,
      sym_text_interpolation,
    STATE(2425), 1,
      sym_class_interface_clause,
  [68586] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1944), 1,
      sym_text_interpolation,
    ACTIONS(1674), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [68602] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(328), 1,
      anon_sym_DOLLAR,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1720), 1,
      sym__simple_variable,
    STATE(1945), 1,
      sym_text_interpolation,
    STATE(650), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
  [68622] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3821), 1,
      anon_sym_COLON_COLON,
    ACTIONS(3929), 1,
      anon_sym_DASH_GT,
    ACTIONS(3931), 1,
      anon_sym_QMARK_DASH_GT,
    ACTIONS(3933), 1,
      anon_sym_LBRACK,
    STATE(1946), 1,
      sym_text_interpolation,
  [68644] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1947), 1,
      sym_text_interpolation,
    ACTIONS(3748), 4,
      aux_sym_namespace_use_declaration_token1,
      anon_sym_LBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
  [68660] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3821), 1,
      anon_sym_COLON_COLON,
    ACTIONS(3827), 1,
      anon_sym_LBRACK,
    ACTIONS(3935), 1,
      anon_sym_DASH_GT,
    ACTIONS(3937), 1,
      anon_sym_QMARK_DASH_GT,
    STATE(1948), 1,
      sym_text_interpolation,
  [68682] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1949), 1,
      sym_text_interpolation,
    STATE(2671), 1,
      sym_declare_directive,
    ACTIONS(3865), 3,
      anon_sym_ticks,
      anon_sym_encoding,
      anon_sym_strict_types,
  [68700] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1950), 1,
      sym_text_interpolation,
    ACTIONS(3772), 4,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_BSLASH,
      anon_sym_LBRACE,
  [68716] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1951), 1,
      sym_text_interpolation,
    STATE(2633), 1,
      sym_declare_directive,
    ACTIONS(3865), 3,
      anon_sym_ticks,
      anon_sym_encoding,
      anon_sym_strict_types,
  [68734] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1590), 1,
      anon_sym_LPAREN2,
    STATE(1952), 1,
      sym_text_interpolation,
    STATE(2465), 1,
      sym_arguments,
    ACTIONS(3939), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [68754] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1782), 1,
      anon_sym_RPAREN2,
    ACTIONS(3941), 1,
      anon_sym_COMMA,
    STATE(1953), 1,
      sym_text_interpolation,
    STATE(2055), 1,
      aux_sym_unset_statement_repeat1,
  [68773] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(500), 1,
      sym__semicolon,
    STATE(1954), 1,
      sym_text_interpolation,
    ACTIONS(360), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [68790] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1202), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1955), 1,
      sym_text_interpolation,
    ACTIONS(1200), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [68807] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1956), 1,
      sym_text_interpolation,
    ACTIONS(3943), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [68822] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(503), 1,
      sym__semicolon,
    STATE(1957), 1,
      sym_text_interpolation,
    ACTIONS(360), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [68839] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1210), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1958), 1,
      sym_text_interpolation,
    ACTIONS(1208), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [68856] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(504), 1,
      sym__semicolon,
    STATE(1959), 1,
      sym_text_interpolation,
    ACTIONS(360), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [68873] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3781), 1,
      anon_sym_EQ,
    STATE(1960), 1,
      sym_text_interpolation,
    ACTIONS(3945), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
  [68890] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1214), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1961), 1,
      sym_text_interpolation,
    ACTIONS(1212), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [68907] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1218), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1962), 1,
      sym_text_interpolation,
    ACTIONS(1216), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [68924] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(506), 1,
      sym__semicolon,
    STATE(1963), 1,
      sym_text_interpolation,
    ACTIONS(360), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [68941] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1964), 1,
      sym_text_interpolation,
    ACTIONS(3947), 3,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_RPAREN2,
  [68956] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1965), 1,
      sym_text_interpolation,
    ACTIONS(3949), 3,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_RPAREN2,
  [68971] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1222), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1966), 1,
      sym_text_interpolation,
    ACTIONS(1220), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [68988] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1967), 1,
      sym_text_interpolation,
    ACTIONS(3951), 3,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_RPAREN2,
  [69003] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1968), 1,
      sym_text_interpolation,
    STATE(2021), 1,
      sym__semicolon,
    ACTIONS(416), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [69020] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1226), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1969), 1,
      sym_text_interpolation,
    ACTIONS(1224), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [69037] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1230), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1970), 1,
      sym_text_interpolation,
    ACTIONS(1228), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [69054] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1238), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1971), 1,
      sym_text_interpolation,
    ACTIONS(1236), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [69071] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3953), 1,
      anon_sym_DQUOTE,
    ACTIONS(3955), 1,
      anon_sym_SQUOTE,
    ACTIONS(3957), 1,
      sym_heredoc_start,
    STATE(1972), 1,
      sym_text_interpolation,
  [69090] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1832), 1,
      anon_sym_DOLLAR,
    STATE(1566), 1,
      sym_property_element,
    STATE(1798), 1,
      sym_variable_name,
    STATE(1973), 1,
      sym_text_interpolation,
  [69109] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1242), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1974), 1,
      sym_text_interpolation,
    ACTIONS(1240), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [69126] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1258), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1975), 1,
      sym_text_interpolation,
    ACTIONS(1256), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [69143] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1976), 1,
      sym_text_interpolation,
    ACTIONS(3959), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [69158] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1330), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1977), 1,
      sym_text_interpolation,
    ACTIONS(1328), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [69175] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1334), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1978), 1,
      sym_text_interpolation,
    ACTIONS(1332), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [69192] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1338), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1979), 1,
      sym_text_interpolation,
    ACTIONS(1336), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [69209] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(866), 1,
      anon_sym_COMMA,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3961), 1,
      anon_sym_RPAREN2,
    STATE(1980), 1,
      sym_text_interpolation,
    STATE(1990), 1,
      aux_sym__list_destructing_repeat1,
  [69228] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1981), 1,
      sym_text_interpolation,
    STATE(2032), 1,
      sym__semicolon,
    ACTIONS(416), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [69245] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1982), 1,
      sym_text_interpolation,
    STATE(2033), 1,
      sym__semicolon,
    ACTIONS(416), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [69262] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1983), 1,
      sym_text_interpolation,
    ACTIONS(3963), 3,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_RPAREN2,
  [69277] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1066), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1984), 1,
      sym_text_interpolation,
    ACTIONS(1064), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [69294] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1342), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1985), 1,
      sym_text_interpolation,
    ACTIONS(1340), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [69311] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1986), 1,
      sym_text_interpolation,
    STATE(2036), 1,
      sym__semicolon,
    ACTIONS(416), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [69328] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(866), 1,
      anon_sym_COMMA,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3965), 1,
      anon_sym_RPAREN2,
    STATE(1987), 1,
      sym_text_interpolation,
    STATE(1990), 1,
      aux_sym__list_destructing_repeat1,
  [69347] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3969), 1,
      anon_sym_EQ,
    STATE(1988), 1,
      sym_text_interpolation,
    ACTIONS(3967), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
  [69364] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(541), 1,
      sym__semicolon,
    STATE(1989), 1,
      sym_text_interpolation,
    ACTIONS(360), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [69381] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1780), 1,
      anon_sym_RPAREN2,
    ACTIONS(3971), 1,
      anon_sym_COMMA,
    STATE(1990), 2,
      sym_text_interpolation,
      aux_sym__list_destructing_repeat1,
  [69398] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3781), 1,
      anon_sym_EQ,
    STATE(1991), 1,
      sym_text_interpolation,
    ACTIONS(3974), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [69415] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3976), 1,
      anon_sym_COMMA,
    ACTIONS(3978), 1,
      anon_sym_RBRACK,
    STATE(1992), 1,
      sym_text_interpolation,
    STATE(2092), 1,
      aux_sym__array_destructing_repeat1,
  [69434] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3518), 1,
      anon_sym_COLON,
    ACTIONS(3980), 1,
      anon_sym_EQ_GT,
    STATE(1993), 1,
      sym_text_interpolation,
    STATE(2739), 1,
      sym__return_type,
  [69453] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3873), 1,
      anon_sym_COMMA,
    ACTIONS(3982), 1,
      anon_sym_LBRACE,
    STATE(1920), 1,
      aux_sym_base_clause_repeat1,
    STATE(1994), 1,
      sym_text_interpolation,
  [69472] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3984), 1,
      anon_sym_COMMA,
    ACTIONS(3986), 1,
      anon_sym_RBRACK,
    STATE(1995), 1,
      sym_text_interpolation,
    STATE(2094), 1,
      aux_sym_array_creation_expression_repeat1,
  [69491] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(526), 1,
      sym__semicolon,
    STATE(1996), 1,
      sym_text_interpolation,
    ACTIONS(360), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [69508] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1448), 1,
      sym__semicolon,
    STATE(1997), 1,
      sym_text_interpolation,
    ACTIONS(360), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [69525] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3976), 1,
      anon_sym_COMMA,
    ACTIONS(3978), 1,
      anon_sym_RBRACK,
    STATE(1998), 1,
      sym_text_interpolation,
    STATE(2095), 1,
      aux_sym__array_destructing_repeat1,
  [69544] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3988), 1,
      anon_sym_COMMA,
    ACTIONS(3990), 1,
      anon_sym_RBRACK,
    STATE(1999), 1,
      sym_text_interpolation,
    STATE(2098), 1,
      aux_sym_attribute_group_repeat1,
  [69563] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1346), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2000), 1,
      sym_text_interpolation,
    ACTIONS(1344), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [69580] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1350), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2001), 1,
      sym_text_interpolation,
    ACTIONS(1348), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [69597] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(535), 1,
      sym__semicolon,
    STATE(2002), 1,
      sym_text_interpolation,
    ACTIONS(360), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [69614] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1362), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2003), 1,
      sym_text_interpolation,
    ACTIONS(1360), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [69631] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1366), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2004), 1,
      sym_text_interpolation,
    ACTIONS(1364), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [69648] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1370), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2005), 1,
      sym_text_interpolation,
    ACTIONS(1368), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [69665] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1390), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2006), 1,
      sym_text_interpolation,
    ACTIONS(1388), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [69682] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2007), 1,
      sym_text_interpolation,
    STATE(2256), 1,
      sym__semicolon,
    ACTIONS(416), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [69699] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(537), 1,
      sym__semicolon,
    STATE(2008), 1,
      sym_text_interpolation,
    ACTIONS(360), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [69716] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1458), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2009), 1,
      sym_text_interpolation,
    ACTIONS(1456), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [69733] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3994), 1,
      aux_sym_else_clause_token1,
    STATE(2010), 1,
      sym_text_interpolation,
    ACTIONS(3992), 2,
      aux_sym_if_statement_token2,
      aux_sym_else_if_clause_token1,
  [69750] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3633), 1,
      anon_sym_RPAREN2,
    ACTIONS(3996), 1,
      anon_sym_COMMA,
    STATE(2011), 1,
      sym_text_interpolation,
    STATE(2248), 1,
      aux_sym_anonymous_function_use_clause_repeat1,
  [69769] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(539), 1,
      sym__semicolon,
    STATE(2012), 1,
      sym_text_interpolation,
    ACTIONS(360), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [69786] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2013), 1,
      sym_text_interpolation,
    STATE(2276), 1,
      sym__semicolon,
    ACTIONS(416), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [69803] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1070), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2014), 1,
      sym_text_interpolation,
    ACTIONS(1068), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [69820] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1788), 1,
      anon_sym_RPAREN2,
    ACTIONS(3998), 1,
      anon_sym_COMMA,
    STATE(2015), 1,
      sym_text_interpolation,
    STATE(2055), 1,
      aux_sym_unset_statement_repeat1,
  [69839] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1510), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2016), 1,
      sym_text_interpolation,
    ACTIONS(1508), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [69856] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4000), 1,
      anon_sym_LBRACE,
    ACTIONS(4002), 1,
      anon_sym_COLON,
    STATE(2017), 1,
      sym_text_interpolation,
    STATE(2287), 1,
      sym_switch_block,
  [69875] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4004), 1,
      anon_sym_COMMA,
    ACTIONS(4006), 1,
      anon_sym_RBRACK,
    STATE(2018), 1,
      sym_text_interpolation,
    STATE(2040), 1,
      aux_sym_array_creation_expression_repeat1,
  [69894] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4008), 1,
      anon_sym_COMMA,
    ACTIONS(4010), 1,
      anon_sym_RBRACK,
    STATE(2019), 1,
      sym_text_interpolation,
    STATE(2042), 1,
      aux_sym_attribute_group_repeat1,
  [69913] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(543), 1,
      sym__semicolon,
    STATE(2020), 1,
      sym_text_interpolation,
    ACTIONS(360), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [69930] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1514), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2021), 1,
      sym_text_interpolation,
    ACTIONS(1512), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [69947] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2022), 1,
      sym_text_interpolation,
    STATE(2051), 1,
      sym__semicolon,
    ACTIONS(416), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [69964] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2023), 1,
      sym_text_interpolation,
    STATE(2052), 1,
      sym__semicolon,
    ACTIONS(416), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [69981] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1526), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2024), 1,
      sym_text_interpolation,
    ACTIONS(1524), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [69998] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(571), 1,
      sym__semicolon,
    STATE(2025), 1,
      sym_text_interpolation,
    ACTIONS(360), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [70015] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1534), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2026), 1,
      sym_text_interpolation,
    ACTIONS(1532), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [70032] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3781), 1,
      anon_sym_EQ,
    STATE(2027), 1,
      sym_text_interpolation,
    ACTIONS(4012), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [70049] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(552), 1,
      sym__semicolon,
    STATE(2028), 1,
      sym_text_interpolation,
    ACTIONS(360), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [70066] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4014), 1,
      anon_sym_COMMA,
    ACTIONS(4016), 1,
      anon_sym_RPAREN2,
    STATE(2029), 1,
      sym_text_interpolation,
    STATE(2056), 1,
      aux_sym_formal_parameters_repeat1,
  [70085] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4018), 1,
      anon_sym_COMMA,
    ACTIONS(4020), 1,
      anon_sym_RPAREN2,
    STATE(2030), 1,
      sym_text_interpolation,
    STATE(2059), 1,
      aux_sym_array_creation_expression_repeat1,
  [70104] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1154), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2031), 1,
      sym_text_interpolation,
    ACTIONS(1152), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [70121] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1234), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2032), 1,
      sym_text_interpolation,
    ACTIONS(1232), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [70138] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1130), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2033), 1,
      sym_text_interpolation,
    ACTIONS(1128), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [70155] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2034), 1,
      sym_text_interpolation,
    STATE(2075), 1,
      sym__semicolon,
    ACTIONS(416), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [70172] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1078), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2035), 1,
      sym_text_interpolation,
    ACTIONS(1076), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [70189] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1178), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2036), 1,
      sym_text_interpolation,
    ACTIONS(1176), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [70206] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(489), 1,
      sym__semicolon,
    STATE(2037), 1,
      sym_text_interpolation,
    ACTIONS(360), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [70223] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3518), 1,
      anon_sym_COLON,
    ACTIONS(4022), 1,
      anon_sym_EQ_GT,
    STATE(2038), 1,
      sym_text_interpolation,
    STATE(2681), 1,
      sym__return_type,
  [70242] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1082), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2039), 1,
      sym_text_interpolation,
    ACTIONS(1080), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [70259] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(849), 1,
      anon_sym_RBRACK,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4024), 1,
      anon_sym_COMMA,
    STATE(2040), 1,
      sym_text_interpolation,
    STATE(2149), 1,
      aux_sym_array_creation_expression_repeat1,
  [70278] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1086), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2041), 1,
      sym_text_interpolation,
    ACTIONS(1084), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [70295] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3094), 1,
      anon_sym_RBRACK,
    ACTIONS(4026), 1,
      anon_sym_COMMA,
    STATE(2042), 1,
      sym_text_interpolation,
    STATE(2168), 1,
      aux_sym_attribute_group_repeat1,
  [70314] = 6,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(11), 1,
      anon_sym_QMARK_GT,
    ACTIONS(3804), 1,
      sym__new_line,
    ACTIONS(4028), 1,
      sym_heredoc_end,
    STATE(2043), 1,
      sym_text_interpolation,
    STATE(2369), 1,
      sym_heredoc_body,
  [70333] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1274), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2044), 1,
      sym_text_interpolation,
    ACTIONS(1272), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [70350] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1282), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2045), 1,
      sym_text_interpolation,
    ACTIONS(1280), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [70367] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4030), 1,
      anon_sym_COMMA,
    ACTIONS(4032), 1,
      anon_sym_RPAREN2,
    STATE(2046), 1,
      sym_text_interpolation,
    STATE(2072), 1,
      aux_sym_arguments_repeat1,
  [70386] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1294), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2047), 1,
      sym_text_interpolation,
    ACTIONS(1292), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [70403] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1106), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2048), 1,
      sym_text_interpolation,
    ACTIONS(1104), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [70420] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1110), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2049), 1,
      sym_text_interpolation,
    ACTIONS(1108), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [70437] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4034), 1,
      anon_sym_COMMA,
    ACTIONS(4037), 1,
      anon_sym_RBRACE,
    STATE(2050), 2,
      sym_text_interpolation,
      aux_sym_match_block_repeat1,
  [70454] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1254), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2051), 1,
      sym_text_interpolation,
    ACTIONS(1252), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [70471] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1266), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2052), 1,
      sym_text_interpolation,
    ACTIONS(1264), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [70488] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2053), 1,
      sym_text_interpolation,
    STATE(2090), 1,
      sym__semicolon,
    ACTIONS(416), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [70505] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1090), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2054), 1,
      sym_text_interpolation,
    ACTIONS(1088), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [70522] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3323), 1,
      anon_sym_RPAREN2,
    ACTIONS(4039), 1,
      anon_sym_COMMA,
    STATE(2055), 2,
      sym_text_interpolation,
      aux_sym_unset_statement_repeat1,
  [70539] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2072), 1,
      anon_sym_RPAREN2,
    ACTIONS(4042), 1,
      anon_sym_COMMA,
    STATE(2056), 1,
      sym_text_interpolation,
    STATE(2236), 1,
      aux_sym_formal_parameters_repeat1,
  [70558] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2057), 1,
      sym_text_interpolation,
    STATE(2093), 1,
      sym__semicolon,
    ACTIONS(416), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [70575] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2058), 1,
      sym_text_interpolation,
    ACTIONS(4044), 3,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_RPAREN2,
  [70590] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(835), 1,
      anon_sym_RPAREN2,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4046), 1,
      anon_sym_COMMA,
    STATE(2059), 1,
      sym_text_interpolation,
    STATE(2275), 1,
      aux_sym_array_creation_expression_repeat1,
  [70609] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1298), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2060), 1,
      sym_text_interpolation,
    ACTIONS(1296), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [70626] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1414), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2061), 1,
      sym_text_interpolation,
    ACTIONS(1412), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [70643] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4048), 1,
      anon_sym_COMMA,
    ACTIONS(4050), 1,
      anon_sym_RBRACE,
    STATE(2062), 1,
      sym_text_interpolation,
    STATE(2083), 1,
      aux_sym_match_block_repeat1,
  [70662] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1094), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2063), 1,
      sym_text_interpolation,
    ACTIONS(1092), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [70679] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1554), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2064), 1,
      sym_text_interpolation,
    ACTIONS(1552), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [70696] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4052), 1,
      sym_name,
    STATE(2065), 1,
      sym_text_interpolation,
    ACTIONS(4054), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [70713] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2066), 1,
      sym_text_interpolation,
    ACTIONS(2760), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      sym_name,
  [70728] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1134), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2067), 1,
      sym_text_interpolation,
    ACTIONS(1132), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [70745] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1146), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2068), 1,
      sym_text_interpolation,
    ACTIONS(1144), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [70762] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3518), 1,
      anon_sym_COLON,
    ACTIONS(4056), 1,
      anon_sym_LBRACE,
    STATE(2069), 1,
      sym_text_interpolation,
    STATE(2619), 1,
      sym__return_type,
  [70781] = 6,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(11), 1,
      anon_sym_QMARK_GT,
    ACTIONS(3804), 1,
      sym__new_line,
    ACTIONS(4058), 1,
      sym_heredoc_end,
    STATE(2070), 1,
      sym_text_interpolation,
    STATE(2421), 1,
      sym_heredoc_body,
  [70800] = 6,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(11), 1,
      anon_sym_QMARK_GT,
    ACTIONS(4060), 1,
      sym__new_line,
    ACTIONS(4062), 1,
      sym_heredoc_end,
    STATE(2071), 1,
      sym_text_interpolation,
    STATE(2422), 1,
      sym_nowdoc_body,
  [70819] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(807), 1,
      anon_sym_RPAREN2,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4064), 1,
      anon_sym_COMMA,
    STATE(2072), 1,
      sym_text_interpolation,
    STATE(2216), 1,
      aux_sym_arguments_repeat1,
  [70838] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1190), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2073), 1,
      sym_text_interpolation,
    ACTIONS(1188), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [70855] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1194), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2074), 1,
      sym_text_interpolation,
    ACTIONS(1192), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [70872] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1198), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2075), 1,
      sym_text_interpolation,
    ACTIONS(1196), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [70889] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2518), 1,
      anon_sym_EQ_GT,
    ACTIONS(4066), 1,
      anon_sym_COMMA,
    STATE(2076), 2,
      sym_text_interpolation,
      aux_sym_match_condition_list_repeat1,
  [70906] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(554), 1,
      sym__semicolon,
    STATE(2077), 1,
      sym_text_interpolation,
    ACTIONS(360), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [70923] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1867), 1,
      anon_sym_DOLLAR,
    ACTIONS(4069), 1,
      anon_sym_RPAREN2,
    STATE(2078), 1,
      sym_text_interpolation,
    STATE(2656), 1,
      sym_variable_name,
  [70942] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(556), 1,
      sym__semicolon,
    STATE(2079), 1,
      sym_text_interpolation,
    ACTIONS(360), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [70959] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(559), 1,
      sym__semicolon,
    STATE(2080), 1,
      sym_text_interpolation,
    ACTIONS(360), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [70976] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(866), 1,
      anon_sym_COMMA,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1773), 1,
      anon_sym_RPAREN2,
    STATE(1980), 1,
      aux_sym__list_destructing_repeat1,
    STATE(2081), 1,
      sym_text_interpolation,
  [70995] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(866), 1,
      anon_sym_COMMA,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1773), 1,
      anon_sym_RPAREN2,
    STATE(1990), 1,
      aux_sym__list_destructing_repeat1,
    STATE(2082), 1,
      sym_text_interpolation,
  [71014] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(864), 1,
      anon_sym_RBRACE,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4071), 1,
      anon_sym_COMMA,
    STATE(2050), 1,
      aux_sym_match_block_repeat1,
    STATE(2083), 1,
      sym_text_interpolation,
  [71033] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1832), 1,
      anon_sym_DOLLAR,
    STATE(1576), 1,
      sym_property_element,
    STATE(1798), 1,
      sym_variable_name,
    STATE(2084), 1,
      sym_text_interpolation,
  [71052] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(560), 1,
      sym__semicolon,
    STATE(2085), 1,
      sym_text_interpolation,
    ACTIONS(360), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [71069] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1246), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2086), 1,
      sym_text_interpolation,
    ACTIONS(1244), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [71086] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1250), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2087), 1,
      sym_text_interpolation,
    ACTIONS(1248), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [71103] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(561), 1,
      sym__semicolon,
    STATE(2088), 1,
      sym_text_interpolation,
    ACTIONS(360), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [71120] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(562), 1,
      sym__semicolon,
    STATE(2089), 1,
      sym_text_interpolation,
    ACTIONS(360), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [71137] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1262), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2090), 1,
      sym_text_interpolation,
    ACTIONS(1260), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [71154] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1832), 1,
      anon_sym_DOLLAR,
    STATE(1798), 1,
      sym_variable_name,
    STATE(1925), 1,
      sym_property_element,
    STATE(2091), 1,
      sym_text_interpolation,
  [71173] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3976), 1,
      anon_sym_COMMA,
    ACTIONS(4073), 1,
      anon_sym_RBRACK,
    STATE(2092), 1,
      sym_text_interpolation,
    STATE(2095), 1,
      aux_sym__array_destructing_repeat1,
  [71192] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1270), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2093), 1,
      sym_text_interpolation,
    ACTIONS(1268), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [71209] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(847), 1,
      anon_sym_RBRACK,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4075), 1,
      anon_sym_COMMA,
    STATE(2094), 1,
      sym_text_interpolation,
    STATE(2149), 1,
      aux_sym_array_creation_expression_repeat1,
  [71228] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4077), 1,
      anon_sym_COMMA,
    ACTIONS(4080), 1,
      anon_sym_RBRACK,
    STATE(2095), 2,
      sym_text_interpolation,
      aux_sym__array_destructing_repeat1,
  [71245] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2096), 1,
      sym_text_interpolation,
    STATE(2114), 1,
      sym__semicolon,
    ACTIONS(416), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [71262] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2097), 1,
      sym_text_interpolation,
    STATE(2118), 1,
      sym__semicolon,
    ACTIONS(416), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [71279] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3096), 1,
      anon_sym_RBRACK,
    ACTIONS(4082), 1,
      anon_sym_COMMA,
    STATE(2098), 1,
      sym_text_interpolation,
    STATE(2168), 1,
      aux_sym_attribute_group_repeat1,
  [71298] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2099), 1,
      sym_text_interpolation,
    STATE(2121), 1,
      sym__semicolon,
    ACTIONS(416), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [71315] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1286), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2100), 1,
      sym_text_interpolation,
    ACTIONS(1284), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [71332] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1290), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2101), 1,
      sym_text_interpolation,
    ACTIONS(1288), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [71349] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2102), 1,
      sym_text_interpolation,
    STATE(2124), 1,
      sym__semicolon,
    ACTIONS(416), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [71366] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1302), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2103), 1,
      sym_text_interpolation,
    ACTIONS(1300), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [71383] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1306), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2104), 1,
      sym_text_interpolation,
    ACTIONS(1304), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [71400] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1314), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2105), 1,
      sym_text_interpolation,
    ACTIONS(1312), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [71417] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1318), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2106), 1,
      sym_text_interpolation,
    ACTIONS(1316), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [71434] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(495), 1,
      sym__semicolon,
    STATE(2107), 1,
      sym_text_interpolation,
    ACTIONS(360), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [71451] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2108), 1,
      sym_text_interpolation,
    STATE(2132), 1,
      sym__semicolon,
    ACTIONS(416), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [71468] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(564), 1,
      sym__semicolon,
    STATE(2109), 1,
      sym_text_interpolation,
    ACTIONS(360), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [71485] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(566), 1,
      sym__semicolon,
    STATE(2110), 1,
      sym_text_interpolation,
    ACTIONS(360), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [71502] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(567), 1,
      sym__semicolon,
    STATE(2111), 1,
      sym_text_interpolation,
    ACTIONS(360), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [71519] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(568), 1,
      sym__semicolon,
    STATE(2112), 1,
      sym_text_interpolation,
    ACTIONS(360), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [71536] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4084), 1,
      anon_sym_COMMA,
    ACTIONS(4086), 1,
      anon_sym_RPAREN2,
    STATE(2113), 1,
      sym_text_interpolation,
    STATE(2117), 1,
      aux_sym_arguments_repeat1,
  [71555] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1378), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2114), 1,
      sym_text_interpolation,
    ACTIONS(1376), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [71572] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1832), 1,
      anon_sym_DOLLAR,
    STATE(1865), 1,
      sym_variable_name,
    STATE(2115), 1,
      sym_text_interpolation,
    STATE(2220), 1,
      sym_static_variable_declaration,
  [71591] = 6,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(11), 1,
      anon_sym_QMARK_GT,
    ACTIONS(3804), 1,
      sym__new_line,
    ACTIONS(4088), 1,
      sym_heredoc_end,
    STATE(2116), 1,
      sym_text_interpolation,
    STATE(2380), 1,
      sym_heredoc_body,
  [71610] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(789), 1,
      anon_sym_RPAREN2,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4090), 1,
      anon_sym_COMMA,
    STATE(2117), 1,
      sym_text_interpolation,
    STATE(2216), 1,
      aux_sym_arguments_repeat1,
  [71629] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1386), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2118), 1,
      sym_text_interpolation,
    ACTIONS(1384), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [71646] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(569), 1,
      sym__semicolon,
    STATE(2119), 1,
      sym_text_interpolation,
    ACTIONS(360), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [71663] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2120), 1,
      sym_text_interpolation,
    STATE(2133), 1,
      sym__semicolon,
    ACTIONS(416), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [71680] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1394), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2121), 1,
      sym_text_interpolation,
    ACTIONS(1392), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [71697] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2122), 1,
      sym_text_interpolation,
    STATE(2137), 1,
      sym__semicolon,
    ACTIONS(416), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [71714] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2123), 1,
      sym_text_interpolation,
    STATE(2138), 1,
      sym__semicolon,
    ACTIONS(416), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [71731] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1410), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2124), 1,
      sym_text_interpolation,
    ACTIONS(1408), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [71748] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2125), 1,
      sym_text_interpolation,
    STATE(2297), 1,
      sym__semicolon,
    ACTIONS(416), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [71765] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2126), 1,
      sym_text_interpolation,
    STATE(2146), 1,
      sym__semicolon,
    ACTIONS(416), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [71782] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1062), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2127), 1,
      sym_text_interpolation,
    ACTIONS(1060), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [71799] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2128), 1,
      sym_text_interpolation,
    STATE(2150), 1,
      sym__semicolon,
    ACTIONS(416), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [71816] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1438), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2129), 1,
      sym_text_interpolation,
    ACTIONS(1436), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [71833] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1442), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2130), 1,
      sym_text_interpolation,
    ACTIONS(1440), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [71850] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4092), 1,
      anon_sym_COMMA,
    ACTIONS(4094), 1,
      anon_sym_RPAREN2,
    STATE(2131), 1,
      sym_text_interpolation,
    STATE(2135), 1,
      aux_sym_arguments_repeat1,
  [71869] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1446), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2132), 1,
      sym_text_interpolation,
    ACTIONS(1444), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [71886] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1454), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2133), 1,
      sym_text_interpolation,
    ACTIONS(1452), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [71903] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4096), 1,
      anon_sym_LBRACE,
    ACTIONS(4098), 1,
      anon_sym_COLON,
    STATE(553), 1,
      sym_switch_block,
    STATE(2134), 1,
      sym_text_interpolation,
  [71922] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(791), 1,
      anon_sym_RPAREN2,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4100), 1,
      anon_sym_COMMA,
    STATE(2135), 1,
      sym_text_interpolation,
    STATE(2216), 1,
      aux_sym_arguments_repeat1,
  [71941] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2136), 1,
      sym_text_interpolation,
    ACTIONS(4102), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
      anon_sym_RBRACK,
  [71956] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1462), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2137), 1,
      sym_text_interpolation,
    ACTIONS(1460), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [71973] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1470), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2138), 1,
      sym_text_interpolation,
    ACTIONS(1468), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [71990] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2139), 1,
      sym_text_interpolation,
    STATE(2153), 1,
      sym__semicolon,
    ACTIONS(416), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [72007] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1522), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2140), 1,
      sym_text_interpolation,
    ACTIONS(1520), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [72024] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1310), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2141), 1,
      sym_text_interpolation,
    ACTIONS(1308), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [72041] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(498), 1,
      sym__semicolon,
    STATE(2142), 1,
      sym_text_interpolation,
    ACTIONS(360), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [72058] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4104), 1,
      anon_sym_COMMA,
    ACTIONS(4106), 1,
      anon_sym_RPAREN2,
    STATE(2143), 1,
      sym_text_interpolation,
    STATE(2147), 1,
      aux_sym_arguments_repeat1,
  [72077] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(472), 1,
      sym__semicolon,
    STATE(2144), 1,
      sym_text_interpolation,
    ACTIONS(360), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [72094] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1851), 1,
      anon_sym_AMP,
    ACTIONS(4108), 1,
      sym_name,
    STATE(2145), 1,
      sym_text_interpolation,
    STATE(2535), 1,
      sym_reference_modifier,
  [72113] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1478), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2146), 1,
      sym_text_interpolation,
    ACTIONS(1476), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [72130] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(801), 1,
      anon_sym_RPAREN2,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4110), 1,
      anon_sym_COMMA,
    STATE(2147), 1,
      sym_text_interpolation,
    STATE(2216), 1,
      aux_sym_arguments_repeat1,
  [72149] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2148), 1,
      sym_text_interpolation,
    STATE(2157), 1,
      sym__semicolon,
    ACTIONS(416), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [72166] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4102), 1,
      anon_sym_RBRACK,
    ACTIONS(4112), 1,
      anon_sym_COMMA,
    STATE(2149), 2,
      sym_text_interpolation,
      aux_sym_array_creation_expression_repeat1,
  [72183] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1482), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2150), 1,
      sym_text_interpolation,
    ACTIONS(1480), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [72200] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2151), 1,
      sym_text_interpolation,
    STATE(2158), 1,
      sym__semicolon,
    ACTIONS(416), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [72217] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2152), 1,
      sym_text_interpolation,
    STATE(2161), 1,
      sym__semicolon,
    ACTIONS(416), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [72234] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1490), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2153), 1,
      sym_text_interpolation,
    ACTIONS(1488), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [72251] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(525), 1,
      sym__semicolon,
    STATE(2154), 1,
      sym_text_interpolation,
    ACTIONS(360), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [72268] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4115), 1,
      anon_sym_COMMA,
    ACTIONS(4117), 1,
      anon_sym_RPAREN2,
    STATE(2155), 1,
      sym_text_interpolation,
    STATE(2159), 1,
      aux_sym_arguments_repeat1,
  [72287] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(862), 1,
      anon_sym_RBRACE,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4119), 1,
      anon_sym_COMMA,
    STATE(2050), 1,
      aux_sym_match_block_repeat1,
    STATE(2156), 1,
      sym_text_interpolation,
  [72306] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1494), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2157), 1,
      sym_text_interpolation,
    ACTIONS(1492), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [72323] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1498), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2158), 1,
      sym_text_interpolation,
    ACTIONS(1496), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [72340] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(795), 1,
      anon_sym_RPAREN2,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4121), 1,
      anon_sym_COMMA,
    STATE(2159), 1,
      sym_text_interpolation,
    STATE(2216), 1,
      aux_sym_arguments_repeat1,
  [72359] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(959), 1,
      anon_sym_COLON,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2088), 1,
      anon_sym_LPAREN2,
    STATE(2160), 1,
      sym_text_interpolation,
    STATE(2381), 1,
      sym_parenthesized_expression,
  [72378] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1502), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2161), 1,
      sym_text_interpolation,
    ACTIONS(1500), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [72395] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4123), 1,
      sym_name,
    ACTIONS(4125), 1,
      anon_sym_LBRACE,
    STATE(2162), 1,
      sym_text_interpolation,
    STATE(2434), 1,
      sym_namespace_use_group,
  [72414] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2163), 1,
      sym_text_interpolation,
    STATE(2164), 1,
      sym__semicolon,
    ACTIONS(416), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [72431] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1506), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2164), 1,
      sym_text_interpolation,
    ACTIONS(1504), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [72448] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1098), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2165), 1,
      sym_text_interpolation,
    ACTIONS(1096), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [72465] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(979), 1,
      anon_sym_EQ_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4127), 1,
      anon_sym_COMMA,
    STATE(2076), 1,
      aux_sym_match_condition_list_repeat1,
    STATE(2166), 1,
      sym_text_interpolation,
  [72484] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1966), 1,
      sym__semicolon,
    STATE(2167), 1,
      sym_text_interpolation,
    ACTIONS(416), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [72501] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4129), 1,
      anon_sym_COMMA,
    ACTIONS(4132), 1,
      anon_sym_RBRACK,
    STATE(2168), 2,
      sym_text_interpolation,
      aux_sym_attribute_group_repeat1,
  [72518] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1969), 1,
      sym__semicolon,
    STATE(2169), 1,
      sym_text_interpolation,
    ACTIONS(416), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [72535] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4134), 1,
      anon_sym_DQUOTE,
    ACTIONS(4136), 1,
      anon_sym_SQUOTE,
    ACTIONS(4138), 1,
      sym_heredoc_start,
    STATE(2170), 1,
      sym_text_interpolation,
  [72554] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1867), 1,
      anon_sym_DOLLAR,
    ACTIONS(4140), 1,
      anon_sym_DOT_DOT_DOT,
    STATE(2171), 1,
      sym_text_interpolation,
    STATE(2228), 1,
      sym_variable_name,
  [72573] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(484), 1,
      sym__semicolon,
    STATE(2172), 1,
      sym_text_interpolation,
    ACTIONS(360), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [72590] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2173), 1,
      sym_text_interpolation,
    ACTIONS(4142), 3,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_RPAREN2,
  [72605] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(866), 1,
      anon_sym_COMMA,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4144), 1,
      anon_sym_RPAREN2,
    STATE(1990), 1,
      aux_sym__list_destructing_repeat1,
    STATE(2174), 1,
      sym_text_interpolation,
  [72624] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2175), 1,
      sym_text_interpolation,
    ACTIONS(4146), 3,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_RPAREN2,
  [72639] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1466), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2176), 1,
      sym_text_interpolation,
    ACTIONS(1464), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [72656] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4148), 1,
      aux_sym_namespace_use_clause_token1,
    STATE(2177), 1,
      sym_text_interpolation,
    ACTIONS(3845), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [72673] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4150), 1,
      anon_sym_COMMA,
    ACTIONS(4152), 1,
      anon_sym_RPAREN2,
    STATE(2178), 1,
      sym_text_interpolation,
    STATE(2246), 1,
      aux_sym_arguments_repeat1,
  [72692] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(866), 1,
      anon_sym_COMMA,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4154), 1,
      anon_sym_RPAREN2,
    STATE(1990), 1,
      aux_sym__list_destructing_repeat1,
    STATE(2179), 1,
      sym_text_interpolation,
  [72711] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2180), 1,
      sym_text_interpolation,
    ACTIONS(4156), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [72726] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4158), 1,
      anon_sym_COMMA,
    ACTIONS(4160), 1,
      anon_sym_RBRACE,
    STATE(2181), 1,
      sym_text_interpolation,
    STATE(2290), 1,
      aux_sym_namespace_use_declaration_repeat1,
  [72745] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(11), 1,
      anon_sym_QMARK_GT,
    STATE(2182), 1,
      sym_text_interpolation,
    ACTIONS(4162), 3,
      sym_heredoc_end,
      sym_nowdoc_string,
      sym__new_line,
  [72760] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2183), 1,
      sym_text_interpolation,
    ACTIONS(3239), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [72775] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1974), 1,
      sym__semicolon,
    STATE(2184), 1,
      sym_text_interpolation,
    ACTIONS(416), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [72792] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3518), 1,
      anon_sym_COLON,
    ACTIONS(4164), 1,
      anon_sym_EQ_GT,
    STATE(2185), 1,
      sym_text_interpolation,
    STATE(2537), 1,
      sym__return_type,
  [72811] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1975), 1,
      sym__semicolon,
    STATE(2186), 1,
      sym_text_interpolation,
    ACTIONS(416), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [72828] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1867), 1,
      anon_sym_DOLLAR,
    ACTIONS(4166), 1,
      anon_sym_RPAREN2,
    STATE(2187), 1,
      sym_text_interpolation,
    STATE(2624), 1,
      sym_variable_name,
  [72847] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(11), 1,
      anon_sym_QMARK_GT,
    ACTIONS(4170), 1,
      aux_sym_string_content_token1,
    STATE(2188), 1,
      sym_text_interpolation,
    ACTIONS(4168), 2,
      anon_sym_SQUOTE,
      aux_sym_string_token2,
  [72864] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1102), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2189), 1,
      sym_text_interpolation,
    ACTIONS(1100), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [72881] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2190), 1,
      sym_text_interpolation,
    STATE(2280), 1,
      sym__semicolon,
    ACTIONS(416), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [72898] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1114), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2191), 1,
      sym_text_interpolation,
    ACTIONS(1112), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [72915] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(866), 1,
      anon_sym_COMMA,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4172), 1,
      anon_sym_RPAREN2,
    STATE(2179), 1,
      aux_sym__list_destructing_repeat1,
    STATE(2192), 1,
      sym_text_interpolation,
  [72934] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1118), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2193), 1,
      sym_text_interpolation,
    ACTIONS(1116), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [72951] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(11), 1,
      anon_sym_QMARK_GT,
    ACTIONS(4176), 1,
      aux_sym_string_content_token1,
    STATE(2194), 1,
      sym_text_interpolation,
    ACTIONS(4174), 2,
      anon_sym_SQUOTE,
      aux_sym_string_token2,
  [72968] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1122), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2195), 1,
      sym_text_interpolation,
    ACTIONS(1120), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [72985] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(866), 1,
      anon_sym_COMMA,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3277), 1,
      anon_sym_RPAREN2,
    STATE(2174), 1,
      aux_sym__list_destructing_repeat1,
    STATE(2196), 1,
      sym_text_interpolation,
  [73004] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4178), 1,
      anon_sym_COMMA,
    ACTIONS(4180), 1,
      anon_sym_RPAREN2,
    STATE(2197), 1,
      sym_text_interpolation,
    STATE(2231), 1,
      aux_sym_formal_parameters_repeat1,
  [73023] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2198), 1,
      sym_text_interpolation,
    ACTIONS(4182), 3,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_RPAREN2,
  [73038] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2199), 1,
      sym_text_interpolation,
    ACTIONS(4184), 3,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_RPAREN2,
  [73053] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3518), 1,
      anon_sym_COLON,
    ACTIONS(4186), 1,
      anon_sym_LBRACE,
    STATE(2200), 1,
      sym_text_interpolation,
    STATE(2529), 1,
      sym__return_type,
  [73072] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1138), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2201), 1,
      sym_text_interpolation,
    ACTIONS(1136), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [73089] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1142), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2202), 1,
      sym_text_interpolation,
    ACTIONS(1140), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [73106] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4190), 1,
      aux_sym_else_clause_token1,
    STATE(2203), 1,
      sym_text_interpolation,
    ACTIONS(4188), 2,
      aux_sym_if_statement_token2,
      aux_sym_else_if_clause_token1,
  [73123] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1530), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2204), 1,
      sym_text_interpolation,
    ACTIONS(1528), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [73140] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1979), 1,
      sym__semicolon,
    STATE(2205), 1,
      sym_text_interpolation,
    ACTIONS(416), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [73157] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3518), 1,
      anon_sym_COLON,
    ACTIONS(4192), 1,
      anon_sym_EQ_GT,
    STATE(2206), 1,
      sym_text_interpolation,
    STATE(2533), 1,
      sym__return_type,
  [73176] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3198), 1,
      anon_sym_DOLLAR,
    ACTIONS(4194), 1,
      anon_sym_AMP,
    STATE(1518), 1,
      aux_sym_intersection_type_repeat1,
    STATE(2207), 1,
      sym_text_interpolation,
  [73195] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1150), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2208), 1,
      sym_text_interpolation,
    ACTIONS(1148), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [73212] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1985), 1,
      sym__semicolon,
    STATE(2209), 1,
      sym_text_interpolation,
    ACTIONS(416), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [73229] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3518), 1,
      anon_sym_COLON,
    ACTIONS(4197), 1,
      anon_sym_EQ_GT,
    STATE(2210), 1,
      sym_text_interpolation,
    STATE(2621), 1,
      sym__return_type,
  [73248] = 6,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(11), 1,
      anon_sym_QMARK_GT,
    ACTIONS(3804), 1,
      sym__new_line,
    ACTIONS(4199), 1,
      sym_heredoc_end,
    STATE(2211), 1,
      sym_text_interpolation,
    STATE(2410), 1,
      sym_heredoc_body,
  [73267] = 6,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(11), 1,
      anon_sym_QMARK_GT,
    ACTIONS(4060), 1,
      sym__new_line,
    ACTIONS(4201), 1,
      sym_heredoc_end,
    STATE(2212), 1,
      sym_text_interpolation,
    STATE(2416), 1,
      sym_nowdoc_body,
  [73286] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4205), 1,
      anon_sym_EQ,
    STATE(2213), 1,
      sym_text_interpolation,
    ACTIONS(4203), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
  [73303] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2214), 1,
      sym_text_interpolation,
    ACTIONS(3505), 3,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      aux_sym_class_interface_clause_token1,
  [73318] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4207), 1,
      anon_sym_COMMA,
    ACTIONS(4209), 1,
      anon_sym_RBRACE,
    STATE(2156), 1,
      aux_sym_match_block_repeat1,
    STATE(2215), 1,
      sym_text_interpolation,
  [73337] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4211), 1,
      anon_sym_COMMA,
    ACTIONS(4214), 1,
      anon_sym_RPAREN2,
    STATE(2216), 2,
      sym_text_interpolation,
      aux_sym_arguments_repeat1,
  [73354] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1518), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2217), 1,
      sym_text_interpolation,
    ACTIONS(1516), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [73371] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1538), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2218), 1,
      sym_text_interpolation,
    ACTIONS(1536), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [73388] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1542), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2219), 1,
      sym_text_interpolation,
    ACTIONS(1540), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [73405] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2220), 1,
      sym_text_interpolation,
    ACTIONS(3840), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [73420] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1851), 1,
      anon_sym_AMP,
    ACTIONS(4216), 1,
      sym_name,
    STATE(2221), 1,
      sym_text_interpolation,
    STATE(2732), 1,
      sym_reference_modifier,
  [73439] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2222), 1,
      sym_text_interpolation,
    ACTIONS(3849), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [73454] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1546), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2223), 1,
      sym_text_interpolation,
    ACTIONS(1544), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [73471] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4123), 1,
      sym_name,
    ACTIONS(4125), 1,
      anon_sym_LBRACE,
    STATE(2224), 1,
      sym_text_interpolation,
    STATE(2367), 1,
      sym_namespace_use_group,
  [73490] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2225), 1,
      sym_text_interpolation,
    ACTIONS(3854), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [73505] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2226), 1,
      sym_text_interpolation,
    ACTIONS(4218), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [73520] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3518), 1,
      anon_sym_COLON,
    ACTIONS(4220), 1,
      anon_sym_LBRACE,
    STATE(2227), 1,
      sym_text_interpolation,
    STATE(2598), 1,
      sym__return_type,
  [73539] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4224), 1,
      anon_sym_EQ,
    STATE(2228), 1,
      sym_text_interpolation,
    ACTIONS(4222), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
  [73556] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3518), 1,
      anon_sym_COLON,
    ACTIONS(4226), 1,
      anon_sym_EQ_GT,
    STATE(2229), 1,
      sym_text_interpolation,
    STATE(2737), 1,
      sym__return_type,
  [73575] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3518), 1,
      anon_sym_COLON,
    ACTIONS(3752), 1,
      anon_sym_LBRACE,
    STATE(2230), 1,
      sym_text_interpolation,
    STATE(2599), 1,
      sym__return_type,
  [73594] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2076), 1,
      anon_sym_RPAREN2,
    ACTIONS(4228), 1,
      anon_sym_COMMA,
    STATE(2231), 1,
      sym_text_interpolation,
    STATE(2236), 1,
      aux_sym_formal_parameters_repeat1,
  [73613] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1867), 1,
      anon_sym_DOLLAR,
    ACTIONS(4230), 1,
      anon_sym_DOT_DOT_DOT,
    STATE(2232), 1,
      sym_text_interpolation,
    STATE(2242), 1,
      sym_variable_name,
  [73632] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4234), 1,
      anon_sym_EQ,
    STATE(2233), 1,
      sym_text_interpolation,
    ACTIONS(4232), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
  [73649] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1867), 1,
      anon_sym_DOLLAR,
    ACTIONS(4236), 1,
      anon_sym_DOT_DOT_DOT,
    STATE(2234), 1,
      sym_text_interpolation,
    STATE(2257), 1,
      sym_variable_name,
  [73668] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3145), 1,
      anon_sym_AMP,
    ACTIONS(4238), 1,
      anon_sym_RPAREN2,
    STATE(1512), 1,
      aux_sym_intersection_type_repeat1,
    STATE(2235), 1,
      sym_text_interpolation,
  [73687] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4240), 1,
      anon_sym_COMMA,
    ACTIONS(4243), 1,
      anon_sym_RPAREN2,
    STATE(2236), 2,
      sym_text_interpolation,
      aux_sym_formal_parameters_repeat1,
  [73704] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4247), 1,
      anon_sym_EQ,
    STATE(2237), 1,
      sym_text_interpolation,
    ACTIONS(4245), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
  [73721] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(482), 1,
      sym__semicolon,
    STATE(2238), 1,
      sym_text_interpolation,
    ACTIONS(360), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [73738] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3518), 1,
      anon_sym_COLON,
    ACTIONS(4249), 1,
      anon_sym_LBRACE,
    STATE(2239), 1,
      sym_text_interpolation,
    STATE(2676), 1,
      sym__return_type,
  [73757] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3510), 1,
      anon_sym_LBRACE,
    ACTIONS(3518), 1,
      anon_sym_COLON,
    STATE(2240), 1,
      sym_text_interpolation,
    STATE(2682), 1,
      sym__return_type,
  [73776] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3518), 1,
      anon_sym_COLON,
    ACTIONS(4251), 1,
      anon_sym_LBRACE,
    STATE(2241), 1,
      sym_text_interpolation,
    STATE(2634), 1,
      sym__return_type,
  [73795] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4255), 1,
      anon_sym_EQ,
    STATE(2242), 1,
      sym_text_interpolation,
    ACTIONS(4253), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
  [73812] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2243), 1,
      sym_text_interpolation,
    ACTIONS(3877), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [73827] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1278), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2244), 1,
      sym_text_interpolation,
    ACTIONS(1276), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [73844] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3518), 1,
      anon_sym_COLON,
    ACTIONS(4257), 1,
      anon_sym_LBRACE,
    STATE(2245), 1,
      sym_text_interpolation,
    STATE(2642), 1,
      sym__return_type,
  [73863] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(803), 1,
      anon_sym_RPAREN2,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4259), 1,
      anon_sym_COMMA,
    STATE(2216), 1,
      aux_sym_arguments_repeat1,
    STATE(2246), 1,
      sym_text_interpolation,
  [73882] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(536), 1,
      sym__semicolon,
    STATE(2247), 1,
      sym_text_interpolation,
    ACTIONS(360), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [73899] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4261), 1,
      anon_sym_COMMA,
    ACTIONS(4264), 1,
      anon_sym_RPAREN2,
    STATE(2248), 2,
      sym_text_interpolation,
      aux_sym_anonymous_function_use_clause_repeat1,
  [73916] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1398), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2249), 1,
      sym_text_interpolation,
    ACTIONS(1396), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [73933] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1418), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2250), 1,
      sym_text_interpolation,
    ACTIONS(1416), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [73950] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1422), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2251), 1,
      sym_text_interpolation,
    ACTIONS(1420), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [73967] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1486), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2252), 1,
      sym_text_interpolation,
    ACTIONS(1484), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [73984] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4266), 1,
      aux_sym_namespace_use_clause_token1,
    STATE(2253), 1,
      sym_text_interpolation,
    ACTIONS(3882), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [74001] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1126), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2254), 1,
      sym_text_interpolation,
    ACTIONS(1124), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [74018] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1391), 1,
      sym__semicolon,
    STATE(2255), 1,
      sym_text_interpolation,
    ACTIONS(416), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [74035] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1170), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2256), 1,
      sym_text_interpolation,
    ACTIONS(1168), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [74052] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4270), 1,
      anon_sym_EQ,
    STATE(2257), 1,
      sym_text_interpolation,
    ACTIONS(4268), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
  [74069] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(841), 1,
      anon_sym_RPAREN2,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4272), 1,
      anon_sym_COMMA,
    STATE(2258), 1,
      sym_text_interpolation,
    STATE(2275), 1,
      aux_sym_array_creation_expression_repeat1,
  [74088] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4274), 1,
      anon_sym_COMMA,
    ACTIONS(4276), 1,
      anon_sym_RPAREN2,
    STATE(2258), 1,
      aux_sym_array_creation_expression_repeat1,
    STATE(2259), 1,
      sym_text_interpolation,
  [74107] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3518), 1,
      anon_sym_COLON,
    ACTIONS(4278), 1,
      anon_sym_LBRACE,
    STATE(2260), 1,
      sym_text_interpolation,
    STATE(2686), 1,
      sym__return_type,
  [74126] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1158), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2261), 1,
      sym_text_interpolation,
    ACTIONS(1156), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [74143] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1162), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2262), 1,
      sym_text_interpolation,
    ACTIONS(1160), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [74160] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1174), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2263), 1,
      sym_text_interpolation,
    ACTIONS(1172), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [74177] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1166), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2264), 1,
      sym_text_interpolation,
    ACTIONS(1164), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [74194] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1867), 1,
      anon_sym_DOLLAR,
    ACTIONS(4280), 1,
      anon_sym_DOT_DOT_DOT,
    STATE(1988), 1,
      sym_variable_name,
    STATE(2265), 1,
      sym_text_interpolation,
  [74213] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1182), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2266), 1,
      sym_text_interpolation,
    ACTIONS(1180), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [74230] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4284), 1,
      anon_sym_EQ,
    STATE(2267), 1,
      sym_text_interpolation,
    ACTIONS(4282), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
  [74247] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3518), 1,
      anon_sym_COLON,
    ACTIONS(4286), 1,
      anon_sym_EQ_GT,
    STATE(2268), 1,
      sym_text_interpolation,
    STATE(2689), 1,
      sym__return_type,
  [74266] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1432), 1,
      sym__semicolon,
    STATE(2269), 1,
      sym_text_interpolation,
    ACTIONS(360), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [74283] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1326), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2270), 1,
      sym_text_interpolation,
    ACTIONS(1324), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [74300] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1354), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2271), 1,
      sym_text_interpolation,
    ACTIONS(1352), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [74317] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(464), 1,
      sym__semicolon,
    STATE(2272), 1,
      sym_text_interpolation,
    ACTIONS(360), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [74334] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1358), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2273), 1,
      sym_text_interpolation,
    ACTIONS(1356), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [74351] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1374), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2274), 1,
      sym_text_interpolation,
    ACTIONS(1372), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [74368] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4102), 1,
      anon_sym_RPAREN2,
    ACTIONS(4288), 1,
      anon_sym_COMMA,
    STATE(2275), 2,
      sym_text_interpolation,
      aux_sym_array_creation_expression_repeat1,
  [74385] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1382), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2276), 1,
      sym_text_interpolation,
    ACTIONS(1380), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [74402] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2165), 1,
      sym__semicolon,
    STATE(2277), 1,
      sym_text_interpolation,
    ACTIONS(416), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [74419] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(505), 1,
      sym__semicolon,
    STATE(2278), 1,
      sym_text_interpolation,
    ACTIONS(360), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [74436] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1550), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2279), 1,
      sym_text_interpolation,
    ACTIONS(1548), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [74453] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1402), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2280), 1,
      sym_text_interpolation,
    ACTIONS(1400), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [74470] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1406), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2281), 1,
      sym_text_interpolation,
    ACTIONS(1404), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [74487] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1426), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2282), 1,
      sym_text_interpolation,
    ACTIONS(1424), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [74504] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1430), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2283), 1,
      sym_text_interpolation,
    ACTIONS(1428), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [74521] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1434), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2284), 1,
      sym_text_interpolation,
    ACTIONS(1432), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [74538] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2285), 1,
      sym_text_interpolation,
    ACTIONS(3914), 3,
      anon_sym_RPAREN2,
      anon_sym_PIPE,
      anon_sym_DOLLAR,
  [74553] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3854), 1,
      anon_sym_RBRACE,
    ACTIONS(4291), 1,
      anon_sym_COMMA,
    STATE(2286), 2,
      sym_text_interpolation,
      aux_sym_namespace_use_declaration_repeat1,
  [74570] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1450), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2287), 1,
      sym_text_interpolation,
    ACTIONS(1448), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [74587] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1186), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2288), 1,
      sym_text_interpolation,
    ACTIONS(1184), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [74604] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3873), 1,
      anon_sym_COMMA,
    ACTIONS(4294), 1,
      anon_sym_LBRACE,
    STATE(1994), 1,
      aux_sym_base_clause_repeat1,
    STATE(2289), 1,
      sym_text_interpolation,
  [74623] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4158), 1,
      anon_sym_COMMA,
    ACTIONS(4296), 1,
      anon_sym_RBRACE,
    STATE(2286), 1,
      aux_sym_namespace_use_declaration_repeat1,
    STATE(2290), 1,
      sym_text_interpolation,
  [74642] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(507), 1,
      sym__semicolon,
    STATE(2291), 1,
      sym_text_interpolation,
    ACTIONS(360), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [74659] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4298), 1,
      anon_sym_COMMA,
    ACTIONS(4300), 1,
      anon_sym_RPAREN2,
    STATE(2011), 1,
      aux_sym_anonymous_function_use_clause_repeat1,
    STATE(2292), 1,
      sym_text_interpolation,
  [74678] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3518), 1,
      anon_sym_COLON,
    ACTIONS(4302), 1,
      anon_sym_LBRACE,
    STATE(2293), 1,
      sym_text_interpolation,
    STATE(2606), 1,
      sym__return_type,
  [74697] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(496), 1,
      sym__semicolon,
    STATE(2294), 1,
      sym_text_interpolation,
    ACTIONS(360), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [74714] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3518), 1,
      anon_sym_COLON,
    ACTIONS(4304), 1,
      anon_sym_EQ_GT,
    STATE(2295), 1,
      sym_text_interpolation,
    STATE(2607), 1,
      sym__return_type,
  [74733] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2296), 1,
      sym_text_interpolation,
    ACTIONS(4306), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [74748] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1474), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2297), 1,
      sym_text_interpolation,
    ACTIONS(1472), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [74765] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2298), 1,
      sym_text_interpolation,
    ACTIONS(4218), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [74779] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4308), 1,
      anon_sym_LPAREN2,
    STATE(75), 1,
      sym_parenthesized_expression,
    STATE(2299), 1,
      sym_text_interpolation,
  [74795] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(376), 1,
      anon_sym_LBRACE,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1745), 1,
      sym_compound_statement,
    STATE(2300), 1,
      sym_text_interpolation,
  [74811] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4310), 1,
      anon_sym_LPAREN2,
    STATE(2186), 1,
      sym_parenthesized_expression,
    STATE(2301), 1,
      sym_text_interpolation,
  [74827] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(11), 1,
      anon_sym_QMARK_GT,
    ACTIONS(4312), 1,
      sym__new_line,
    ACTIONS(4314), 1,
      sym_heredoc_end,
    STATE(2302), 1,
      sym_text_interpolation,
  [74843] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1590), 1,
      anon_sym_LPAREN2,
    STATE(782), 1,
      sym_arguments,
    STATE(2303), 1,
      sym_text_interpolation,
  [74859] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1797), 1,
      anon_sym_BSLASH,
    STATE(2304), 1,
      sym_text_interpolation,
    STATE(2320), 1,
      aux_sym_namespace_name_repeat1,
  [74875] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2116), 1,
      anon_sym_LPAREN2,
    STATE(945), 1,
      sym_arguments,
    STATE(2305), 1,
      sym_text_interpolation,
  [74891] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2306), 1,
      sym_text_interpolation,
    ACTIONS(4316), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
  [74905] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3194), 1,
      anon_sym_LPAREN2,
    STATE(2268), 1,
      sym_formal_parameters,
    STATE(2307), 1,
      sym_text_interpolation,
  [74921] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3279), 1,
      anon_sym_LBRACE,
    STATE(814), 1,
      sym_declaration_list,
    STATE(2308), 1,
      sym_text_interpolation,
  [74937] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2516), 1,
      anon_sym_RPAREN2,
    ACTIONS(4318), 1,
      anon_sym_EQ,
    STATE(2309), 1,
      sym_text_interpolation,
  [74953] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2310), 1,
      sym_text_interpolation,
    ACTIONS(4037), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [74967] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4320), 1,
      anon_sym_LBRACE,
    STATE(1127), 1,
      sym_match_block,
    STATE(2311), 1,
      sym_text_interpolation,
  [74983] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2116), 1,
      anon_sym_LPAREN2,
    STATE(957), 1,
      sym_arguments,
    STATE(2312), 1,
      sym_text_interpolation,
  [74999] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2313), 1,
      sym_text_interpolation,
    ACTIONS(1780), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
  [75013] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3353), 1,
      anon_sym_LBRACE,
    STATE(522), 1,
      sym_declaration_list,
    STATE(2314), 1,
      sym_text_interpolation,
  [75029] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4308), 1,
      anon_sym_LPAREN2,
    STATE(62), 1,
      sym_parenthesized_expression,
    STATE(2315), 1,
      sym_text_interpolation,
  [75045] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(376), 1,
      anon_sym_LBRACE,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2218), 1,
      sym_compound_statement,
    STATE(2316), 1,
      sym_text_interpolation,
  [75061] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(11), 1,
      anon_sym_QMARK_GT,
    ACTIONS(4322), 1,
      sym__new_line,
    ACTIONS(4324), 1,
      sym_heredoc_end,
    STATE(2317), 1,
      sym_text_interpolation,
  [75077] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(376), 1,
      anon_sym_LBRACE,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1034), 1,
      sym_compound_statement,
    STATE(2318), 1,
      sym_text_interpolation,
  [75093] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1816), 1,
      anon_sym_LPAREN2,
    STATE(739), 1,
      sym_arguments,
    STATE(2319), 1,
      sym_text_interpolation,
  [75109] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4326), 1,
      anon_sym_BSLASH,
    STATE(2320), 2,
      sym_text_interpolation,
      aux_sym_namespace_name_repeat1,
  [75123] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(507), 1,
      anon_sym_COLON,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2010), 1,
      sym_colon_block,
    STATE(2321), 1,
      sym_text_interpolation,
  [75139] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1816), 1,
      anon_sym_LPAREN2,
    STATE(747), 1,
      sym_arguments,
    STATE(2322), 1,
      sym_text_interpolation,
  [75155] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1590), 1,
      anon_sym_LPAREN2,
    STATE(616), 1,
      sym_arguments,
    STATE(2323), 1,
      sym_text_interpolation,
  [75171] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1590), 1,
      anon_sym_LPAREN2,
    STATE(604), 1,
      sym_arguments,
    STATE(2324), 1,
      sym_text_interpolation,
  [75187] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3279), 1,
      anon_sym_LBRACE,
    STATE(2261), 1,
      sym_declaration_list,
    STATE(2325), 1,
      sym_text_interpolation,
  [75203] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2088), 1,
      anon_sym_LPAREN2,
    STATE(2311), 1,
      sym_parenthesized_expression,
    STATE(2326), 1,
      sym_text_interpolation,
  [75219] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2327), 1,
      sym_text_interpolation,
    ACTIONS(4329), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
  [75233] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1837), 1,
      anon_sym_LPAREN2,
    STATE(791), 1,
      sym_arguments,
    STATE(2328), 1,
      sym_text_interpolation,
  [75249] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2329), 1,
      sym_text_interpolation,
    ACTIONS(4331), 2,
      anon_sym_LBRACE,
      anon_sym_COLON,
  [75263] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(959), 1,
      anon_sym_COLON,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4333), 1,
      anon_sym_LPAREN2,
    STATE(2330), 1,
      sym_text_interpolation,
  [75279] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2331), 1,
      sym_text_interpolation,
    ACTIONS(4335), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
  [75293] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1837), 1,
      anon_sym_LPAREN2,
    STATE(802), 1,
      sym_arguments,
    STATE(2332), 1,
      sym_text_interpolation,
  [75309] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2333), 1,
      sym_text_interpolation,
    ACTIONS(4337), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
  [75323] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2334), 1,
      sym_text_interpolation,
    ACTIONS(2478), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [75337] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3279), 1,
      anon_sym_LBRACE,
    STATE(1962), 1,
      sym_declaration_list,
    STATE(2335), 1,
      sym_text_interpolation,
  [75353] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3245), 1,
      anon_sym_LPAREN2,
    STATE(1822), 1,
      sym_formal_parameters,
    STATE(2336), 1,
      sym_text_interpolation,
  [75369] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2337), 1,
      sym_text_interpolation,
    ACTIONS(4339), 2,
      anon_sym_LBRACE,
      anon_sym_COLON,
  [75383] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2338), 1,
      sym_text_interpolation,
    ACTIONS(4341), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
  [75397] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2339), 1,
      sym_text_interpolation,
    ACTIONS(4343), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
  [75411] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2340), 1,
      sym_text_interpolation,
    ACTIONS(4132), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [75425] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2341), 1,
      sym_text_interpolation,
    ACTIONS(4054), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [75439] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3259), 1,
      anon_sym_LBRACE,
    STATE(991), 1,
      sym_declaration_list,
    STATE(2342), 1,
      sym_text_interpolation,
  [75455] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4308), 1,
      anon_sym_LPAREN2,
    STATE(114), 1,
      sym_parenthesized_expression,
    STATE(2343), 1,
      sym_text_interpolation,
  [75471] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3259), 1,
      anon_sym_LBRACE,
    STATE(992), 1,
      sym_declaration_list,
    STATE(2344), 1,
      sym_text_interpolation,
  [75487] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2088), 1,
      anon_sym_LPAREN2,
    STATE(2321), 1,
      sym_parenthesized_expression,
    STATE(2345), 1,
      sym_text_interpolation,
  [75503] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2346), 1,
      sym_text_interpolation,
    ACTIONS(4345), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
  [75517] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3279), 1,
      anon_sym_LBRACE,
    STATE(2270), 1,
      sym_declaration_list,
    STATE(2347), 1,
      sym_text_interpolation,
  [75533] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(376), 1,
      anon_sym_LBRACE,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1726), 1,
      sym_compound_statement,
    STATE(2348), 1,
      sym_text_interpolation,
  [75549] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4308), 1,
      anon_sym_LPAREN2,
    STATE(79), 1,
      sym_parenthesized_expression,
    STATE(2349), 1,
      sym_text_interpolation,
  [75565] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2088), 1,
      anon_sym_LPAREN2,
    STATE(2350), 1,
      sym_text_interpolation,
    STATE(2381), 1,
      sym_parenthesized_expression,
  [75581] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2088), 1,
      anon_sym_LPAREN2,
    STATE(2017), 1,
      sym_parenthesized_expression,
    STATE(2351), 1,
      sym_text_interpolation,
  [75597] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1867), 1,
      anon_sym_DOLLAR,
    STATE(2352), 1,
      sym_text_interpolation,
    STATE(2436), 1,
      sym_variable_name,
  [75613] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4347), 1,
      anon_sym_LBRACE,
    STATE(451), 1,
      sym_compound_statement,
    STATE(2353), 1,
      sym_text_interpolation,
  [75629] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3704), 1,
      anon_sym_LBRACE,
    STATE(461), 1,
      sym_enum_declaration_list,
    STATE(2354), 1,
      sym_text_interpolation,
  [75645] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2355), 1,
      sym_text_interpolation,
    ACTIONS(3305), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
  [75659] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3194), 1,
      anon_sym_LPAREN2,
    STATE(2229), 1,
      sym_formal_parameters,
    STATE(2356), 1,
      sym_text_interpolation,
  [75675] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2357), 1,
      sym_text_interpolation,
    ACTIONS(4349), 2,
      anon_sym_string,
      anon_sym_int,
  [75689] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3279), 1,
      anon_sym_LBRACE,
    STATE(825), 1,
      sym_declaration_list,
    STATE(2358), 1,
      sym_text_interpolation,
  [75705] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2359), 1,
      sym_text_interpolation,
    ACTIONS(4351), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
  [75719] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3279), 1,
      anon_sym_LBRACE,
    STATE(826), 1,
      sym_declaration_list,
    STATE(2360), 1,
      sym_text_interpolation,
  [75735] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2361), 1,
      sym_text_interpolation,
    ACTIONS(4353), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [75749] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3259), 1,
      anon_sym_LBRACE,
    STATE(974), 1,
      sym_declaration_list,
    STATE(2362), 1,
      sym_text_interpolation,
  [75765] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2363), 1,
      sym_text_interpolation,
    ACTIONS(4355), 2,
      anon_sym_string,
      anon_sym_int,
  [75779] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2364), 1,
      sym_text_interpolation,
    ACTIONS(2506), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
  [75793] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(358), 1,
      anon_sym_COLON,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2365), 1,
      sym_text_interpolation,
    STATE(2718), 1,
      sym_colon_block,
  [75809] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2366), 1,
      sym_text_interpolation,
    ACTIONS(4357), 2,
      sym__eof,
      sym_php_tag,
  [75823] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2367), 1,
      sym_text_interpolation,
    ACTIONS(4359), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [75837] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3110), 1,
      aux_sym__namespace_use_type_token1,
    ACTIONS(3112), 1,
      aux_sym__arrow_function_header_token1,
    STATE(2368), 1,
      sym_text_interpolation,
  [75853] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(11), 1,
      anon_sym_QMARK_GT,
    ACTIONS(4361), 1,
      sym__new_line,
    ACTIONS(4363), 1,
      sym_heredoc_end,
    STATE(2369), 1,
      sym_text_interpolation,
  [75869] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3259), 1,
      anon_sym_LBRACE,
    STATE(975), 1,
      sym_declaration_list,
    STATE(2370), 1,
      sym_text_interpolation,
  [75885] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3194), 1,
      anon_sym_LPAREN2,
    STATE(1838), 1,
      sym_formal_parameters,
    STATE(2371), 1,
      sym_text_interpolation,
  [75901] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2372), 1,
      sym_text_interpolation,
    ACTIONS(4365), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
  [75915] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3194), 1,
      anon_sym_LPAREN2,
    STATE(2295), 1,
      sym_formal_parameters,
    STATE(2373), 1,
      sym_text_interpolation,
  [75931] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2374), 1,
      sym_text_interpolation,
    ACTIONS(4367), 2,
      anon_sym_string,
      anon_sym_int,
  [75945] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(11), 1,
      anon_sym_QMARK_GT,
    ACTIONS(4369), 1,
      sym__new_line,
    ACTIONS(4371), 1,
      sym_heredoc_end,
    STATE(2375), 1,
      sym_text_interpolation,
  [75961] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3259), 1,
      anon_sym_LBRACE,
    STATE(1002), 1,
      sym_declaration_list,
    STATE(2376), 1,
      sym_text_interpolation,
  [75977] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3259), 1,
      anon_sym_LBRACE,
    STATE(921), 1,
      sym_declaration_list,
    STATE(2377), 1,
      sym_text_interpolation,
  [75993] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3194), 1,
      anon_sym_LPAREN2,
    STATE(1801), 1,
      sym_formal_parameters,
    STATE(2378), 1,
      sym_text_interpolation,
  [76009] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2379), 1,
      sym_text_interpolation,
    ACTIONS(2478), 2,
      anon_sym_SEMI,
      anon_sym_RPAREN2,
  [76023] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(11), 1,
      anon_sym_QMARK_GT,
    ACTIONS(4373), 1,
      sym__new_line,
    ACTIONS(4375), 1,
      sym_heredoc_end,
    STATE(2380), 1,
      sym_text_interpolation,
  [76039] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4377), 1,
      anon_sym_LBRACE,
    STATE(1011), 1,
      sym_match_block,
    STATE(2381), 1,
      sym_text_interpolation,
  [76055] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3279), 1,
      anon_sym_LBRACE,
    STATE(2000), 1,
      sym_declaration_list,
    STATE(2382), 1,
      sym_text_interpolation,
  [76071] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3538), 1,
      anon_sym_LBRACE,
    STATE(2001), 1,
      sym_enum_declaration_list,
    STATE(2383), 1,
      sym_text_interpolation,
  [76087] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3279), 1,
      anon_sym_LBRACE,
    STATE(2003), 1,
      sym_declaration_list,
    STATE(2384), 1,
      sym_text_interpolation,
  [76103] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3704), 1,
      anon_sym_LBRACE,
    STATE(501), 1,
      sym_enum_declaration_list,
    STATE(2385), 1,
      sym_text_interpolation,
  [76119] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2386), 1,
      sym_text_interpolation,
    ACTIONS(4379), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
  [76133] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3279), 1,
      anon_sym_LBRACE,
    STATE(2009), 1,
      sym_declaration_list,
    STATE(2387), 1,
      sym_text_interpolation,
  [76149] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3259), 1,
      anon_sym_LBRACE,
    STATE(920), 1,
      sym_declaration_list,
    STATE(2388), 1,
      sym_text_interpolation,
  [76165] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3158), 1,
      aux_sym__namespace_use_type_token1,
    ACTIONS(3160), 1,
      aux_sym__arrow_function_header_token1,
    STATE(2389), 1,
      sym_text_interpolation,
  [76181] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4308), 1,
      anon_sym_LPAREN2,
    STATE(115), 1,
      sym_parenthesized_expression,
    STATE(2390), 1,
      sym_text_interpolation,
  [76197] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1887), 1,
      anon_sym_LPAREN2,
    ACTIONS(3692), 1,
      anon_sym_COLON_COLON,
    STATE(2391), 1,
      sym_text_interpolation,
  [76213] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2392), 1,
      sym_text_interpolation,
    ACTIONS(4012), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [76227] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3353), 1,
      anon_sym_LBRACE,
    STATE(502), 1,
      sym_declaration_list,
    STATE(2393), 1,
      sym_text_interpolation,
  [76243] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1706), 1,
      anon_sym_LPAREN2,
    STATE(640), 1,
      sym_arguments,
    STATE(2394), 1,
      sym_text_interpolation,
  [76259] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2395), 1,
      sym_text_interpolation,
    ACTIONS(3349), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [76273] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3538), 1,
      anon_sym_LBRACE,
    STATE(2016), 1,
      sym_enum_declaration_list,
    STATE(2396), 1,
      sym_text_interpolation,
  [76289] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(489), 1,
      ts_builtin_sym_end,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4381), 1,
      sym_php_tag,
    STATE(2397), 1,
      sym_text_interpolation,
  [76305] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2398), 1,
      sym_text_interpolation,
    ACTIONS(4383), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [76319] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3353), 1,
      anon_sym_LBRACE,
    STATE(479), 1,
      sym_declaration_list,
    STATE(2399), 1,
      sym_text_interpolation,
  [76335] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2400), 1,
      sym_text_interpolation,
    ACTIONS(4385), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
  [76349] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2401), 1,
      sym_text_interpolation,
    ACTIONS(4387), 2,
      anon_sym_SEMI,
      anon_sym_COLON,
  [76363] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4308), 1,
      anon_sym_LPAREN2,
    STATE(60), 1,
      sym_parenthesized_expression,
    STATE(2402), 1,
      sym_text_interpolation,
  [76379] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3194), 1,
      anon_sym_LPAREN2,
    STATE(1993), 1,
      sym_formal_parameters,
    STATE(2403), 1,
      sym_text_interpolation,
  [76395] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3353), 1,
      anon_sym_LBRACE,
    STATE(531), 1,
      sym_declaration_list,
    STATE(2404), 1,
      sym_text_interpolation,
  [76411] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2405), 1,
      sym_text_interpolation,
    ACTIONS(3781), 2,
      anon_sym_EQ,
      anon_sym_RPAREN2,
  [76425] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2406), 1,
      sym_text_interpolation,
    ACTIONS(4389), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
  [76439] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2407), 1,
      sym_text_interpolation,
    ACTIONS(4391), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
  [76453] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2408), 1,
      sym_text_interpolation,
    ACTIONS(2482), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [76467] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(11), 1,
      anon_sym_QMARK_GT,
    ACTIONS(4393), 1,
      sym__new_line,
    ACTIONS(4395), 1,
      sym_heredoc_end,
    STATE(2409), 1,
      sym_text_interpolation,
  [76483] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(11), 1,
      anon_sym_QMARK_GT,
    ACTIONS(4397), 1,
      sym__new_line,
    ACTIONS(4399), 1,
      sym_heredoc_end,
    STATE(2410), 1,
      sym_text_interpolation,
  [76499] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3353), 1,
      anon_sym_LBRACE,
    STATE(527), 1,
      sym_declaration_list,
    STATE(2411), 1,
      sym_text_interpolation,
  [76515] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3353), 1,
      anon_sym_LBRACE,
    STATE(462), 1,
      sym_declaration_list,
    STATE(2412), 1,
      sym_text_interpolation,
  [76531] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3279), 1,
      anon_sym_LBRACE,
    STATE(836), 1,
      sym_declaration_list,
    STATE(2413), 1,
      sym_text_interpolation,
  [76547] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3279), 1,
      anon_sym_LBRACE,
    STATE(837), 1,
      sym_declaration_list,
    STATE(2414), 1,
      sym_text_interpolation,
  [76563] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3921), 1,
      sym_nowdoc_string,
    STATE(1940), 1,
      aux_sym_nowdoc_body_repeat1,
    STATE(2415), 1,
      sym_text_interpolation,
  [76579] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(11), 1,
      anon_sym_QMARK_GT,
    ACTIONS(4401), 1,
      sym__new_line,
    ACTIONS(4403), 1,
      sym_heredoc_end,
    STATE(2416), 1,
      sym_text_interpolation,
  [76595] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2417), 1,
      sym_text_interpolation,
    ACTIONS(4214), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
  [76609] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(376), 1,
      anon_sym_LBRACE,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1799), 1,
      sym_compound_statement,
    STATE(2418), 1,
      sym_text_interpolation,
  [76625] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2419), 1,
      sym_text_interpolation,
    ACTIONS(2482), 2,
      anon_sym_SEMI,
      anon_sym_RPAREN2,
  [76639] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3194), 1,
      anon_sym_LPAREN2,
    STATE(2240), 1,
      sym_formal_parameters,
    STATE(2420), 1,
      sym_text_interpolation,
  [76655] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(11), 1,
      anon_sym_QMARK_GT,
    ACTIONS(4405), 1,
      sym__new_line,
    ACTIONS(4407), 1,
      sym_heredoc_end,
    STATE(2421), 1,
      sym_text_interpolation,
  [76671] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(11), 1,
      anon_sym_QMARK_GT,
    ACTIONS(4409), 1,
      sym__new_line,
    ACTIONS(4411), 1,
      sym_heredoc_end,
    STATE(2422), 1,
      sym_text_interpolation,
  [76687] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2423), 1,
      sym_text_interpolation,
    ACTIONS(3008), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
  [76701] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2424), 1,
      sym_text_interpolation,
    ACTIONS(2520), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
  [76715] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3704), 1,
      anon_sym_LBRACE,
    STATE(570), 1,
      sym_enum_declaration_list,
    STATE(2425), 1,
      sym_text_interpolation,
  [76731] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2426), 1,
      sym_text_interpolation,
    ACTIONS(4413), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
  [76745] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4308), 1,
      anon_sym_LPAREN2,
    STATE(107), 1,
      sym_parenthesized_expression,
    STATE(2427), 1,
      sym_text_interpolation,
  [76761] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3279), 1,
      anon_sym_LBRACE,
    STATE(2045), 1,
      sym_declaration_list,
    STATE(2428), 1,
      sym_text_interpolation,
  [76777] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2429), 1,
      sym_text_interpolation,
    ACTIONS(2530), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
  [76791] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2430), 1,
      sym_text_interpolation,
    ACTIONS(4243), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
  [76805] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3279), 1,
      anon_sym_LBRACE,
    STATE(2047), 1,
      sym_declaration_list,
    STATE(2431), 1,
      sym_text_interpolation,
  [76821] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2432), 1,
      sym_text_interpolation,
    ACTIONS(4415), 2,
      anon_sym_string,
      anon_sym_int,
  [76835] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3279), 1,
      anon_sym_LBRACE,
    STATE(2049), 1,
      sym_declaration_list,
    STATE(2433), 1,
      sym_text_interpolation,
  [76851] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2434), 1,
      sym_text_interpolation,
    ACTIONS(4417), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [76865] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2435), 1,
      sym_text_interpolation,
    ACTIONS(4419), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
  [76879] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2436), 1,
      sym_text_interpolation,
    ACTIONS(4421), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
  [76893] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1867), 1,
      anon_sym_DOLLAR,
    STATE(2372), 1,
      sym_variable_name,
    STATE(2437), 1,
      sym_text_interpolation,
  [76909] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4310), 1,
      anon_sym_LPAREN2,
    STATE(1959), 1,
      sym_parenthesized_expression,
    STATE(2438), 1,
      sym_text_interpolation,
  [76925] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2439), 1,
      sym_text_interpolation,
    ACTIONS(4423), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [76939] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(376), 1,
      anon_sym_LBRACE,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1714), 1,
      sym_compound_statement,
    STATE(2440), 1,
      sym_text_interpolation,
  [76955] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3194), 1,
      anon_sym_LPAREN2,
    STATE(1821), 1,
      sym_formal_parameters,
    STATE(2441), 1,
      sym_text_interpolation,
  [76971] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1867), 1,
      anon_sym_DOLLAR,
    STATE(2442), 1,
      sym_text_interpolation,
    STATE(2449), 1,
      sym_variable_name,
  [76987] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1867), 1,
      anon_sym_DOLLAR,
    STATE(2443), 1,
      sym_text_interpolation,
    STATE(2463), 1,
      sym_variable_name,
  [77003] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2444), 1,
      sym_text_interpolation,
    ACTIONS(4080), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [77017] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3279), 1,
      anon_sym_LBRACE,
    STATE(843), 1,
      sym_declaration_list,
    STATE(2445), 1,
      sym_text_interpolation,
  [77033] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3279), 1,
      anon_sym_LBRACE,
    STATE(844), 1,
      sym_declaration_list,
    STATE(2446), 1,
      sym_text_interpolation,
  [77049] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2447), 1,
      sym_text_interpolation,
    ACTIONS(4426), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
  [77063] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2448), 1,
      sym_text_interpolation,
    ACTIONS(3943), 2,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
  [77077] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2449), 1,
      sym_text_interpolation,
    ACTIONS(4428), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
  [77091] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2450), 1,
      sym_text_interpolation,
    ACTIONS(4430), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
  [77105] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1867), 1,
      anon_sym_DOLLAR,
    STATE(2386), 1,
      sym_variable_name,
    STATE(2451), 1,
      sym_text_interpolation,
  [77121] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3538), 1,
      anon_sym_LBRACE,
    STATE(2086), 1,
      sym_enum_declaration_list,
    STATE(2452), 1,
      sym_text_interpolation,
  [77137] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3279), 1,
      anon_sym_LBRACE,
    STATE(2087), 1,
      sym_declaration_list,
    STATE(2453), 1,
      sym_text_interpolation,
  [77153] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2088), 1,
      anon_sym_LPAREN2,
    STATE(2134), 1,
      sym_parenthesized_expression,
    STATE(2454), 1,
      sym_text_interpolation,
  [77169] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4333), 1,
      anon_sym_LPAREN2,
    ACTIONS(4432), 1,
      anon_sym_RPAREN2,
    STATE(2455), 1,
      sym_text_interpolation,
  [77185] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(376), 1,
      anon_sym_LBRACE,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1725), 1,
      sym_compound_statement,
    STATE(2456), 1,
      sym_text_interpolation,
  [77201] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2457), 1,
      sym_text_interpolation,
    ACTIONS(4434), 2,
      anon_sym_LBRACE,
      anon_sym_COLON,
  [77215] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2458), 1,
      sym_text_interpolation,
    ACTIONS(1778), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [77229] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2459), 1,
      sym_text_interpolation,
    ACTIONS(4264), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
  [77243] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4436), 1,
      anon_sym_BSLASH,
    STATE(2320), 1,
      aux_sym_namespace_name_repeat1,
    STATE(2460), 1,
      sym_text_interpolation,
  [77259] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3353), 1,
      anon_sym_LBRACE,
    STATE(510), 1,
      sym_declaration_list,
    STATE(2461), 1,
      sym_text_interpolation,
  [77275] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3279), 1,
      anon_sym_LBRACE,
    STATE(765), 1,
      sym_declaration_list,
    STATE(2462), 1,
      sym_text_interpolation,
  [77291] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2463), 1,
      sym_text_interpolation,
    ACTIONS(4439), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
  [77305] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2464), 1,
      sym_text_interpolation,
    ACTIONS(4441), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [77319] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2465), 1,
      sym_text_interpolation,
    ACTIONS(4444), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [77333] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3704), 1,
      anon_sym_LBRACE,
    STATE(528), 1,
      sym_enum_declaration_list,
    STATE(2466), 1,
      sym_text_interpolation,
  [77349] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1867), 1,
      anon_sym_DOLLAR,
    STATE(2306), 1,
      sym_variable_name,
    STATE(2467), 1,
      sym_text_interpolation,
  [77365] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2468), 1,
      sym_text_interpolation,
    ACTIONS(3854), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [77379] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(376), 1,
      anon_sym_LBRACE,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2204), 1,
      sym_compound_statement,
    STATE(2469), 1,
      sym_text_interpolation,
  [77395] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(228), 1,
      anon_sym_LBRACE,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(577), 1,
      sym_compound_statement,
    STATE(2470), 1,
      sym_text_interpolation,
  [77411] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1706), 1,
      anon_sym_LPAREN2,
    STATE(651), 1,
      sym_arguments,
    STATE(2471), 1,
      sym_text_interpolation,
  [77427] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1867), 1,
      anon_sym_DOLLAR,
    STATE(2406), 1,
      sym_variable_name,
    STATE(2472), 1,
      sym_text_interpolation,
  [77443] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3245), 1,
      anon_sym_LPAREN2,
    STATE(1709), 1,
      sym_formal_parameters,
    STATE(2473), 1,
      sym_text_interpolation,
  [77459] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2474), 1,
      sym_text_interpolation,
    ACTIONS(4446), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
  [77473] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2475), 1,
      sym_text_interpolation,
    ACTIONS(4448), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [77487] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(228), 1,
      anon_sym_LBRACE,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(575), 1,
      sym_compound_statement,
    STATE(2476), 1,
      sym_text_interpolation,
  [77503] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4308), 1,
      anon_sym_LPAREN2,
    STATE(106), 1,
      sym_parenthesized_expression,
    STATE(2477), 1,
      sym_text_interpolation,
  [77519] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3194), 1,
      anon_sym_LPAREN2,
    STATE(2230), 1,
      sym_formal_parameters,
    STATE(2478), 1,
      sym_text_interpolation,
  [77535] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3259), 1,
      anon_sym_LBRACE,
    STATE(922), 1,
      sym_declaration_list,
    STATE(2479), 1,
      sym_text_interpolation,
  [77551] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4308), 1,
      anon_sym_LPAREN2,
    STATE(98), 1,
      sym_parenthesized_expression,
    STATE(2480), 1,
      sym_text_interpolation,
  [77567] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3279), 1,
      anon_sym_LBRACE,
    STATE(2035), 1,
      sym_declaration_list,
    STATE(2481), 1,
      sym_text_interpolation,
  [77583] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2482), 1,
      sym_text_interpolation,
    ACTIONS(4450), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
  [77597] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2483), 1,
      sym_text_interpolation,
    ACTIONS(2522), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
  [77611] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2078), 1,
      anon_sym_LPAREN2,
    STATE(886), 1,
      sym_arguments,
    STATE(2484), 1,
      sym_text_interpolation,
  [77627] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3353), 1,
      anon_sym_LBRACE,
    STATE(513), 1,
      sym_declaration_list,
    STATE(2485), 1,
      sym_text_interpolation,
  [77643] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3538), 1,
      anon_sym_LBRACE,
    STATE(2041), 1,
      sym_enum_declaration_list,
    STATE(2486), 1,
      sym_text_interpolation,
  [77659] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4347), 1,
      anon_sym_LBRACE,
    STATE(453), 1,
      sym_compound_statement,
    STATE(2487), 1,
      sym_text_interpolation,
  [77675] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3279), 1,
      anon_sym_LBRACE,
    STATE(2054), 1,
      sym_declaration_list,
    STATE(2488), 1,
      sym_text_interpolation,
  [77691] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4452), 1,
      anon_sym_LBRACE,
    STATE(1087), 1,
      sym_compound_statement,
    STATE(2489), 1,
      sym_text_interpolation,
  [77707] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3353), 1,
      anon_sym_LBRACE,
    STATE(555), 1,
      sym_declaration_list,
    STATE(2490), 1,
      sym_text_interpolation,
  [77723] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4347), 1,
      anon_sym_LBRACE,
    STATE(454), 1,
      sym_compound_statement,
    STATE(2491), 1,
      sym_text_interpolation,
  [77739] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3353), 1,
      anon_sym_LBRACE,
    STATE(467), 1,
      sym_declaration_list,
    STATE(2492), 1,
      sym_text_interpolation,
  [77755] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2493), 1,
      sym_text_interpolation,
    ACTIONS(4454), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [77769] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1867), 1,
      anon_sym_DOLLAR,
    STATE(2450), 1,
      sym_variable_name,
    STATE(2494), 1,
      sym_text_interpolation,
  [77785] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2495), 1,
      sym_text_interpolation,
    ACTIONS(4456), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
  [77799] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2496), 1,
      sym_text_interpolation,
    ACTIONS(4156), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [77813] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2497), 1,
      sym_text_interpolation,
    ACTIONS(4458), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
  [77827] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3353), 1,
      anon_sym_LBRACE,
    STATE(494), 1,
      sym_declaration_list,
    STATE(2498), 1,
      sym_text_interpolation,
  [77843] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2078), 1,
      anon_sym_LPAREN2,
    STATE(892), 1,
      sym_arguments,
    STATE(2499), 1,
      sym_text_interpolation,
  [77859] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2500), 1,
      sym_text_interpolation,
    ACTIONS(3014), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
  [77873] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4308), 1,
      anon_sym_LPAREN2,
    STATE(74), 1,
      sym_parenthesized_expression,
    STATE(2501), 1,
      sym_text_interpolation,
  [77889] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3194), 1,
      anon_sym_LPAREN2,
    STATE(1734), 1,
      sym_formal_parameters,
    STATE(2502), 1,
      sym_text_interpolation,
  [77905] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3353), 1,
      anon_sym_LBRACE,
    STATE(459), 1,
      sym_declaration_list,
    STATE(2503), 1,
      sym_text_interpolation,
  [77921] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2504), 1,
      sym_text_interpolation,
    ACTIONS(4460), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
  [77935] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4462), 1,
      anon_sym_EQ,
    STATE(2505), 1,
      sym_text_interpolation,
  [77948] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4464), 1,
      sym_name,
    STATE(2506), 1,
      sym_text_interpolation,
  [77961] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4466), 1,
      anon_sym_BSLASH,
    STATE(2507), 1,
      sym_text_interpolation,
  [77974] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4468), 1,
      anon_sym_RBRACK,
    STATE(2508), 1,
      sym_text_interpolation,
  [77987] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4470), 1,
      anon_sym_COLON_COLON,
    STATE(2509), 1,
      sym_text_interpolation,
  [78000] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4472), 1,
      aux_sym_while_statement_token2,
    STATE(2510), 1,
      sym_text_interpolation,
  [78013] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4474), 1,
      sym_heredoc_end,
    STATE(2511), 1,
      sym_text_interpolation,
  [78026] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4476), 1,
      sym_name,
    STATE(2512), 1,
      sym_text_interpolation,
  [78039] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4478), 1,
      sym_heredoc_end,
    STATE(2513), 1,
      sym_text_interpolation,
  [78052] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4480), 1,
      anon_sym_RPAREN2,
    STATE(2514), 1,
      sym_text_interpolation,
  [78065] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4482), 1,
      anon_sym_EQ_GT,
    STATE(2515), 1,
      sym_text_interpolation,
  [78078] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4484), 1,
      aux_sym_if_statement_token2,
    STATE(2516), 1,
      sym_text_interpolation,
  [78091] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4486), 1,
      aux_sym_while_statement_token1,
    STATE(2517), 1,
      sym_text_interpolation,
  [78104] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4488), 1,
      aux_sym_if_statement_token2,
    STATE(2518), 1,
      sym_text_interpolation,
  [78117] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4490), 1,
      aux_sym_foreach_statement_token2,
    STATE(2519), 1,
      sym_text_interpolation,
  [78130] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4492), 1,
      anon_sym_RPAREN2,
    STATE(2520), 1,
      sym_text_interpolation,
  [78143] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4094), 1,
      anon_sym_RPAREN2,
    STATE(2521), 1,
      sym_text_interpolation,
  [78156] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4494), 1,
      anon_sym_COLON_COLON,
    STATE(2522), 1,
      sym_text_interpolation,
  [78169] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4496), 1,
      anon_sym_RPAREN,
    STATE(2523), 1,
      sym_text_interpolation,
  [78182] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4498), 1,
      sym_heredoc_end,
    STATE(2524), 1,
      sym_text_interpolation,
  [78195] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4500), 1,
      anon_sym_EQ_GT,
    STATE(2525), 1,
      sym_text_interpolation,
  [78208] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4502), 1,
      sym_name,
    STATE(2526), 1,
      sym_text_interpolation,
  [78221] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4504), 1,
      anon_sym_RBRACK,
    STATE(2527), 1,
      sym_text_interpolation,
  [78234] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4506), 1,
      anon_sym_RPAREN2,
    STATE(2528), 1,
      sym_text_interpolation,
  [78247] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4508), 1,
      anon_sym_LBRACE,
    STATE(2529), 1,
      sym_text_interpolation,
  [78260] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4510), 1,
      anon_sym_EQ,
    STATE(2530), 1,
      sym_text_interpolation,
  [78273] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4512), 1,
      ts_builtin_sym_end,
    STATE(2531), 1,
      sym_text_interpolation,
  [78286] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4514), 1,
      aux_sym_while_statement_token1,
    STATE(2532), 1,
      sym_text_interpolation,
  [78299] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4516), 1,
      anon_sym_EQ_GT,
    STATE(2533), 1,
      sym_text_interpolation,
  [78312] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4518), 1,
      sym_integer,
    STATE(2534), 1,
      sym_text_interpolation,
  [78325] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4520), 1,
      sym_name,
    STATE(2535), 1,
      sym_text_interpolation,
  [78338] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4522), 1,
      anon_sym_RBRACK,
    STATE(2536), 1,
      sym_text_interpolation,
  [78351] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4524), 1,
      anon_sym_EQ_GT,
    STATE(2537), 1,
      sym_text_interpolation,
  [78364] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4526), 1,
      sym_heredoc_end,
    STATE(2538), 1,
      sym_text_interpolation,
  [78377] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4528), 1,
      sym_name,
    STATE(2539), 1,
      sym_text_interpolation,
  [78390] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4530), 1,
      sym_heredoc_end,
    STATE(2540), 1,
      sym_text_interpolation,
  [78403] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4532), 1,
      anon_sym_RPAREN2,
    STATE(2541), 1,
      sym_text_interpolation,
  [78416] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4534), 1,
      sym_heredoc_start,
    STATE(2542), 1,
      sym_text_interpolation,
  [78429] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4152), 1,
      anon_sym_RPAREN2,
    STATE(2543), 1,
      sym_text_interpolation,
  [78442] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4536), 1,
      sym_name,
    STATE(2544), 1,
      sym_text_interpolation,
  [78455] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4538), 1,
      sym_name,
    STATE(2545), 1,
      sym_text_interpolation,
  [78468] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4540), 1,
      sym_name,
    STATE(2546), 1,
      sym_text_interpolation,
  [78481] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4542), 1,
      anon_sym_EQ_GT,
    STATE(2547), 1,
      sym_text_interpolation,
  [78494] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4544), 1,
      anon_sym_EQ,
    STATE(2548), 1,
      sym_text_interpolation,
  [78507] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4546), 1,
      anon_sym_RPAREN2,
    STATE(2549), 1,
      sym_text_interpolation,
  [78520] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4548), 1,
      anon_sym_RPAREN2,
    STATE(2550), 1,
      sym_text_interpolation,
  [78533] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4550), 1,
      sym_name,
    STATE(2551), 1,
      sym_text_interpolation,
  [78546] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4552), 1,
      anon_sym_RPAREN2,
    STATE(2552), 1,
      sym_text_interpolation,
  [78559] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4554), 1,
      anon_sym_LPAREN2,
    STATE(2553), 1,
      sym_text_interpolation,
  [78572] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4556), 1,
      sym_name,
    STATE(2554), 1,
      sym_text_interpolation,
  [78585] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4558), 1,
      anon_sym_RPAREN2,
    STATE(2555), 1,
      sym_text_interpolation,
  [78598] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3383), 1,
      sym_name,
    STATE(2556), 1,
      sym_text_interpolation,
  [78611] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4560), 1,
      sym_name,
    STATE(2557), 1,
      sym_text_interpolation,
  [78624] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4562), 1,
      anon_sym_RPAREN2,
    STATE(2558), 1,
      sym_text_interpolation,
  [78637] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4564), 1,
      anon_sym_RPAREN2,
    STATE(2559), 1,
      sym_text_interpolation,
  [78650] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4566), 1,
      anon_sym_RPAREN2,
    STATE(2560), 1,
      sym_text_interpolation,
  [78663] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4568), 1,
      anon_sym_BSLASH,
    STATE(2561), 1,
      sym_text_interpolation,
  [78676] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4570), 1,
      anon_sym_RPAREN2,
    STATE(2562), 1,
      sym_text_interpolation,
  [78689] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4572), 1,
      sym_name,
    STATE(2563), 1,
      sym_text_interpolation,
  [78702] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4574), 1,
      anon_sym_COLON_COLON,
    STATE(2564), 1,
      sym_text_interpolation,
  [78715] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4576), 1,
      anon_sym_BSLASH,
    STATE(2565), 1,
      sym_text_interpolation,
  [78728] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4578), 1,
      anon_sym_LPAREN2,
    STATE(2566), 1,
      sym_text_interpolation,
  [78741] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4580), 1,
      sym_name,
    STATE(2567), 1,
      sym_text_interpolation,
  [78754] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4582), 1,
      anon_sym_RPAREN2,
    STATE(2568), 1,
      sym_text_interpolation,
  [78767] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3491), 1,
      sym_name,
    STATE(2569), 1,
      sym_text_interpolation,
  [78780] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_SQUOTE2,
    STATE(2570), 1,
      sym_text_interpolation,
  [78793] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4586), 1,
      anon_sym_RPAREN2,
    STATE(2571), 1,
      sym_text_interpolation,
  [78806] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4588), 1,
      anon_sym_COLON_COLON,
    STATE(2572), 1,
      sym_text_interpolation,
  [78819] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4590), 1,
      anon_sym_RPAREN2,
    STATE(2573), 1,
      sym_text_interpolation,
  [78832] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4592), 1,
      aux_sym_while_statement_token2,
    STATE(2574), 1,
      sym_text_interpolation,
  [78845] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4594), 1,
      anon_sym_BSLASH,
    STATE(2575), 1,
      sym_text_interpolation,
  [78858] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4596), 1,
      anon_sym_SEMI,
    STATE(2576), 1,
      sym_text_interpolation,
  [78871] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4598), 1,
      anon_sym_LBRACE,
    STATE(2577), 1,
      sym_text_interpolation,
  [78884] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4600), 1,
      sym_name,
    STATE(2578), 1,
      sym_text_interpolation,
  [78897] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4602), 1,
      anon_sym_SEMI,
    STATE(2579), 1,
      sym_text_interpolation,
  [78910] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4604), 1,
      anon_sym_SQUOTE2,
    STATE(2580), 1,
      sym_text_interpolation,
  [78923] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4606), 1,
      sym_name,
    STATE(2581), 1,
      sym_text_interpolation,
  [78936] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4608), 1,
      anon_sym_LPAREN2,
    STATE(2582), 1,
      sym_text_interpolation,
  [78949] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4610), 1,
      sym_name,
    STATE(2583), 1,
      sym_text_interpolation,
  [78962] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4612), 1,
      anon_sym_RPAREN2,
    STATE(2584), 1,
      sym_text_interpolation,
  [78975] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4614), 1,
      anon_sym_RPAREN2,
    STATE(2585), 1,
      sym_text_interpolation,
  [78988] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4616), 1,
      sym_heredoc_end,
    STATE(2586), 1,
      sym_text_interpolation,
  [79001] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4618), 1,
      sym_name,
    STATE(2587), 1,
      sym_text_interpolation,
  [79014] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4620), 1,
      anon_sym_LBRACE,
    STATE(2588), 1,
      sym_text_interpolation,
  [79027] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4622), 1,
      anon_sym_LPAREN2,
    STATE(2589), 1,
      sym_text_interpolation,
  [79040] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4624), 1,
      sym_name,
    STATE(2590), 1,
      sym_text_interpolation,
  [79053] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4626), 1,
      anon_sym_RPAREN2,
    STATE(2591), 1,
      sym_text_interpolation,
  [79066] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4628), 1,
      anon_sym_RBRACK,
    STATE(2592), 1,
      sym_text_interpolation,
  [79079] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4630), 1,
      sym_heredoc_end,
    STATE(2593), 1,
      sym_text_interpolation,
  [79092] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4632), 1,
      anon_sym_LBRACE,
    STATE(2594), 1,
      sym_text_interpolation,
  [79105] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4634), 1,
      sym_heredoc_end,
    STATE(2595), 1,
      sym_text_interpolation,
  [79118] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4636), 1,
      sym_name,
    STATE(2596), 1,
      sym_text_interpolation,
  [79131] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4638), 1,
      sym_heredoc_end,
    STATE(2597), 1,
      sym_text_interpolation,
  [79144] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4640), 1,
      anon_sym_LBRACE,
    STATE(2598), 1,
      sym_text_interpolation,
  [79157] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3959), 1,
      anon_sym_LBRACE,
    STATE(2599), 1,
      sym_text_interpolation,
  [79170] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4642), 1,
      sym_name,
    STATE(2600), 1,
      sym_text_interpolation,
  [79183] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4117), 1,
      anon_sym_RPAREN2,
    STATE(2601), 1,
      sym_text_interpolation,
  [79196] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4644), 1,
      anon_sym_SEMI,
    STATE(2602), 1,
      sym_text_interpolation,
  [79209] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4646), 1,
      anon_sym_SEMI,
    STATE(2603), 1,
      sym_text_interpolation,
  [79222] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4648), 1,
      sym_name,
    STATE(2604), 1,
      sym_text_interpolation,
  [79235] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4650), 1,
      anon_sym_LBRACE,
    STATE(2605), 1,
      sym_text_interpolation,
  [79248] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4652), 1,
      anon_sym_LBRACE,
    STATE(2606), 1,
      sym_text_interpolation,
  [79261] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4654), 1,
      anon_sym_EQ_GT,
    STATE(2607), 1,
      sym_text_interpolation,
  [79274] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3821), 1,
      anon_sym_COLON_COLON,
    STATE(2608), 1,
      sym_text_interpolation,
  [79287] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3986), 1,
      anon_sym_RBRACK,
    STATE(2609), 1,
      sym_text_interpolation,
  [79300] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4656), 1,
      anon_sym_RPAREN2,
    STATE(2610), 1,
      sym_text_interpolation,
  [79313] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4658), 1,
      sym_name,
    STATE(2611), 1,
      sym_text_interpolation,
  [79326] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4006), 1,
      anon_sym_RBRACK,
    STATE(2612), 1,
      sym_text_interpolation,
  [79339] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4660), 1,
      sym_heredoc_end,
    STATE(2613), 1,
      sym_text_interpolation,
  [79352] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4432), 1,
      anon_sym_RPAREN2,
    STATE(2614), 1,
      sym_text_interpolation,
  [79365] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4662), 1,
      sym_name,
    STATE(2615), 1,
      sym_text_interpolation,
  [79378] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4664), 1,
      anon_sym_SEMI,
    STATE(2616), 1,
      sym_text_interpolation,
  [79391] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4666), 1,
      anon_sym_LBRACE,
    STATE(2617), 1,
      sym_text_interpolation,
  [79404] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4668), 1,
      anon_sym_RPAREN2,
    STATE(2618), 1,
      sym_text_interpolation,
  [79417] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4670), 1,
      anon_sym_LBRACE,
    STATE(2619), 1,
      sym_text_interpolation,
  [79430] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4672), 1,
      sym_name,
    STATE(2620), 1,
      sym_text_interpolation,
  [79443] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4674), 1,
      anon_sym_EQ_GT,
    STATE(2621), 1,
      sym_text_interpolation,
  [79456] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4676), 1,
      sym_name,
    STATE(2622), 1,
      sym_text_interpolation,
  [79469] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4678), 1,
      anon_sym_RPAREN2,
    STATE(2623), 1,
      sym_text_interpolation,
  [79482] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4680), 1,
      anon_sym_RPAREN2,
    STATE(2624), 1,
      sym_text_interpolation,
  [79495] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4682), 1,
      aux_sym_foreach_statement_token2,
    STATE(2625), 1,
      sym_text_interpolation,
  [79508] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4684), 1,
      sym_name,
    STATE(2626), 1,
      sym_text_interpolation,
  [79521] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4686), 1,
      sym_name,
    STATE(2627), 1,
      sym_text_interpolation,
  [79534] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4688), 1,
      sym_name,
    STATE(2628), 1,
      sym_text_interpolation,
  [79547] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4690), 1,
      sym_name,
    STATE(2629), 1,
      sym_text_interpolation,
  [79560] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4692), 1,
      anon_sym_RPAREN2,
    STATE(2630), 1,
      sym_text_interpolation,
  [79573] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4694), 1,
      anon_sym_RPAREN2,
    STATE(2631), 1,
      sym_text_interpolation,
  [79586] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4318), 1,
      anon_sym_EQ,
    STATE(2632), 1,
      sym_text_interpolation,
  [79599] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4696), 1,
      anon_sym_RPAREN2,
    STATE(2633), 1,
      sym_text_interpolation,
  [79612] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4698), 1,
      anon_sym_LBRACE,
    STATE(2634), 1,
      sym_text_interpolation,
  [79625] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4700), 1,
      anon_sym_BSLASH,
    STATE(2635), 1,
      sym_text_interpolation,
  [79638] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4276), 1,
      anon_sym_RPAREN2,
    STATE(2636), 1,
      sym_text_interpolation,
  [79651] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4702), 1,
      sym_name,
    STATE(2637), 1,
      sym_text_interpolation,
  [79664] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4704), 1,
      anon_sym_EQ,
    STATE(2638), 1,
      sym_text_interpolation,
  [79677] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4706), 1,
      anon_sym_EQ_GT,
    STATE(2639), 1,
      sym_text_interpolation,
  [79690] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4708), 1,
      anon_sym_EQ,
    STATE(2640), 1,
      sym_text_interpolation,
  [79703] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4710), 1,
      anon_sym_RPAREN2,
    STATE(2641), 1,
      sym_text_interpolation,
  [79716] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4712), 1,
      anon_sym_LBRACE,
    STATE(2642), 1,
      sym_text_interpolation,
  [79729] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3772), 1,
      anon_sym_BSLASH,
    STATE(2643), 1,
      sym_text_interpolation,
  [79742] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4714), 1,
      sym_name,
    STATE(2644), 1,
      sym_text_interpolation,
  [79755] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4716), 1,
      anon_sym_BSLASH,
    STATE(2645), 1,
      sym_text_interpolation,
  [79768] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4718), 1,
      sym_name,
    STATE(2646), 1,
      sym_text_interpolation,
  [79781] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4720), 1,
      sym_name,
    STATE(2647), 1,
      sym_text_interpolation,
  [79794] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4722), 1,
      anon_sym_LBRACE,
    STATE(2648), 1,
      sym_text_interpolation,
  [79807] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4724), 1,
      anon_sym_RPAREN2,
    STATE(2649), 1,
      sym_text_interpolation,
  [79820] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4123), 1,
      sym_name,
    STATE(2650), 1,
      sym_text_interpolation,
  [79833] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4726), 1,
      anon_sym_COLON_COLON,
    STATE(2651), 1,
      sym_text_interpolation,
  [79846] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4728), 1,
      anon_sym_BSLASH,
    STATE(2652), 1,
      sym_text_interpolation,
  [79859] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4016), 1,
      anon_sym_RPAREN2,
    STATE(2653), 1,
      sym_text_interpolation,
  [79872] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4730), 1,
      anon_sym_RPAREN2,
    STATE(2654), 1,
      sym_text_interpolation,
  [79885] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4732), 1,
      anon_sym_RPAREN2,
    STATE(2655), 1,
      sym_text_interpolation,
  [79898] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4734), 1,
      anon_sym_RPAREN2,
    STATE(2656), 1,
      sym_text_interpolation,
  [79911] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4736), 1,
      anon_sym_SEMI,
    STATE(2657), 1,
      sym_text_interpolation,
  [79924] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4180), 1,
      anon_sym_RPAREN2,
    STATE(2658), 1,
      sym_text_interpolation,
  [79937] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4738), 1,
      anon_sym_COLON_COLON,
    STATE(2659), 1,
      sym_text_interpolation,
  [79950] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4740), 1,
      anon_sym_RPAREN2,
    STATE(2660), 1,
      sym_text_interpolation,
  [79963] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4742), 1,
      sym_name,
    STATE(2661), 1,
      sym_text_interpolation,
  [79976] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4744), 1,
      anon_sym_LPAREN2,
    STATE(2662), 1,
      sym_text_interpolation,
  [79989] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4746), 1,
      anon_sym_LPAREN2,
    STATE(2663), 1,
      sym_text_interpolation,
  [80002] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4748), 1,
      anon_sym_RBRACK,
    STATE(2664), 1,
      sym_text_interpolation,
  [80015] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2516), 1,
      anon_sym_RPAREN2,
    STATE(2665), 1,
      sym_text_interpolation,
  [80028] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4750), 1,
      sym_name,
    STATE(2666), 1,
      sym_text_interpolation,
  [80041] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4752), 1,
      sym_heredoc_start,
    STATE(2667), 1,
      sym_text_interpolation,
  [80054] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4754), 1,
      anon_sym_RPAREN2,
    STATE(2668), 1,
      sym_text_interpolation,
  [80067] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4756), 1,
      sym_name,
    STATE(2669), 1,
      sym_text_interpolation,
  [80080] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4758), 1,
      aux_sym_if_statement_token2,
    STATE(2670), 1,
      sym_text_interpolation,
  [80093] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4760), 1,
      anon_sym_RPAREN2,
    STATE(2671), 1,
      sym_text_interpolation,
  [80106] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4762), 1,
      anon_sym_SEMI,
    STATE(2672), 1,
      sym_text_interpolation,
  [80119] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4764), 1,
      sym_name,
    STATE(2673), 1,
      sym_text_interpolation,
  [80132] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4766), 1,
      anon_sym_LPAREN2,
    STATE(2674), 1,
      sym_text_interpolation,
  [80145] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4768), 1,
      sym_name,
    STATE(2675), 1,
      sym_text_interpolation,
  [80158] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4770), 1,
      anon_sym_LBRACE,
    STATE(2676), 1,
      sym_text_interpolation,
  [80171] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4772), 1,
      anon_sym_LPAREN2,
    STATE(2677), 1,
      sym_text_interpolation,
  [80184] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4774), 1,
      anon_sym_LBRACE,
    STATE(2678), 1,
      sym_text_interpolation,
  [80197] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4776), 1,
      anon_sym_EQ_GT,
    STATE(2679), 1,
      sym_text_interpolation,
  [80210] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4778), 1,
      anon_sym_RPAREN2,
    STATE(2680), 1,
      sym_text_interpolation,
  [80223] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4780), 1,
      anon_sym_EQ_GT,
    STATE(2681), 1,
      sym_text_interpolation,
  [80236] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4306), 1,
      anon_sym_LBRACE,
    STATE(2682), 1,
      sym_text_interpolation,
  [80249] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4782), 1,
      anon_sym_RPAREN2,
    STATE(2683), 1,
      sym_text_interpolation,
  [80262] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4784), 1,
      anon_sym_RPAREN2,
    STATE(2684), 1,
      sym_text_interpolation,
  [80275] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4786), 1,
      anon_sym_RPAREN2,
    STATE(2685), 1,
      sym_text_interpolation,
  [80288] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4788), 1,
      anon_sym_LBRACE,
    STATE(2686), 1,
      sym_text_interpolation,
  [80301] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4790), 1,
      anon_sym_RPAREN2,
    STATE(2687), 1,
      sym_text_interpolation,
  [80314] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4050), 1,
      anon_sym_RBRACE,
    STATE(2688), 1,
      sym_text_interpolation,
  [80327] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4792), 1,
      anon_sym_EQ_GT,
    STATE(2689), 1,
      sym_text_interpolation,
  [80340] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4794), 1,
      anon_sym_COLON_COLON,
    STATE(2690), 1,
      sym_text_interpolation,
  [80353] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4796), 1,
      anon_sym_RPAREN2,
    STATE(2691), 1,
      sym_text_interpolation,
  [80366] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4798), 1,
      sym_name,
    STATE(2692), 1,
      sym_text_interpolation,
  [80379] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4800), 1,
      anon_sym_RPAREN2,
    STATE(2693), 1,
      sym_text_interpolation,
  [80392] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4802), 1,
      sym_name,
    STATE(2694), 1,
      sym_text_interpolation,
  [80405] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4804), 1,
      sym_name,
    STATE(2695), 1,
      sym_text_interpolation,
  [80418] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4806), 1,
      sym_name,
    STATE(2696), 1,
      sym_text_interpolation,
  [80431] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4808), 1,
      sym_name,
    STATE(2697), 1,
      sym_text_interpolation,
  [80444] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4810), 1,
      anon_sym_LPAREN2,
    STATE(2698), 1,
      sym_text_interpolation,
  [80457] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4812), 1,
      anon_sym_RPAREN,
    STATE(2699), 1,
      sym_text_interpolation,
  [80470] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4814), 1,
      anon_sym_LPAREN2,
    STATE(2700), 1,
      sym_text_interpolation,
  [80483] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4816), 1,
      anon_sym_LPAREN2,
    STATE(2701), 1,
      sym_text_interpolation,
  [80496] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4818), 1,
      anon_sym_SEMI,
    STATE(2702), 1,
      sym_text_interpolation,
  [80509] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4820), 1,
      sym_name,
    STATE(2703), 1,
      sym_text_interpolation,
  [80522] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4822), 1,
      sym_name,
    STATE(2704), 1,
      sym_text_interpolation,
  [80535] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4020), 1,
      anon_sym_RPAREN2,
    STATE(2705), 1,
      sym_text_interpolation,
  [80548] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4824), 1,
      sym_name,
    STATE(2706), 1,
      sym_text_interpolation,
  [80561] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4826), 1,
      sym_heredoc_start,
    STATE(2707), 1,
      sym_text_interpolation,
  [80574] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4828), 1,
      sym_name,
    STATE(2708), 1,
      sym_text_interpolation,
  [80587] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4830), 1,
      sym_name,
    STATE(2709), 1,
      sym_text_interpolation,
  [80600] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4832), 1,
      anon_sym_SEMI,
    STATE(2710), 1,
      sym_text_interpolation,
  [80613] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4086), 1,
      anon_sym_RPAREN2,
    STATE(2711), 1,
      sym_text_interpolation,
  [80626] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4834), 1,
      aux_sym_if_statement_token2,
    STATE(2712), 1,
      sym_text_interpolation,
  [80639] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4333), 1,
      anon_sym_LPAREN2,
    STATE(2713), 1,
      sym_text_interpolation,
  [80652] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4209), 1,
      anon_sym_RBRACE,
    STATE(2714), 1,
      sym_text_interpolation,
  [80665] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4836), 1,
      anon_sym_LBRACE,
    STATE(2715), 1,
      sym_text_interpolation,
  [80678] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4838), 1,
      sym_heredoc_start,
    STATE(2716), 1,
      sym_text_interpolation,
  [80691] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4840), 1,
      anon_sym_LPAREN2,
    STATE(2717), 1,
      sym_text_interpolation,
  [80704] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4842), 1,
      aux_sym_if_statement_token2,
    STATE(2718), 1,
      sym_text_interpolation,
  [80717] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4032), 1,
      anon_sym_RPAREN2,
    STATE(2719), 1,
      sym_text_interpolation,
  [80730] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4844), 1,
      anon_sym_RPAREN2,
    STATE(2720), 1,
      sym_text_interpolation,
  [80743] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4846), 1,
      anon_sym_LPAREN2,
    STATE(2721), 1,
      sym_text_interpolation,
  [80756] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(959), 1,
      anon_sym_COLON,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2722), 1,
      sym_text_interpolation,
  [80769] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4848), 1,
      anon_sym_SEMI,
    STATE(2723), 1,
      sym_text_interpolation,
  [80782] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4850), 1,
      sym_name,
    STATE(2724), 1,
      sym_text_interpolation,
  [80795] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4852), 1,
      anon_sym_RPAREN2,
    STATE(2725), 1,
      sym_text_interpolation,
  [80808] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4854), 1,
      anon_sym_SEMI,
    STATE(2726), 1,
      sym_text_interpolation,
  [80821] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4856), 1,
      anon_sym_LPAREN2,
    STATE(2727), 1,
      sym_text_interpolation,
  [80834] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4858), 1,
      anon_sym_RPAREN2,
    STATE(2728), 1,
      sym_text_interpolation,
  [80847] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4860), 1,
      anon_sym_LPAREN2,
    STATE(2729), 1,
      sym_text_interpolation,
  [80860] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4862), 1,
      anon_sym_LPAREN2,
    STATE(2730), 1,
      sym_text_interpolation,
  [80873] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4864), 1,
      anon_sym_EQ_GT,
    STATE(2731), 1,
      sym_text_interpolation,
  [80886] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4866), 1,
      sym_name,
    STATE(2732), 1,
      sym_text_interpolation,
  [80899] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4868), 1,
      anon_sym_SEMI,
    STATE(2733), 1,
      sym_text_interpolation,
  [80912] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4106), 1,
      anon_sym_RPAREN2,
    STATE(2734), 1,
      sym_text_interpolation,
  [80925] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4870), 1,
      anon_sym_LPAREN2,
    STATE(2735), 1,
      sym_text_interpolation,
  [80938] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4872), 1,
      anon_sym_LPAREN2,
    STATE(2736), 1,
      sym_text_interpolation,
  [80951] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4874), 1,
      anon_sym_EQ_GT,
    STATE(2737), 1,
      sym_text_interpolation,
  [80964] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4876), 1,
      anon_sym_LPAREN2,
    STATE(2738), 1,
      sym_text_interpolation,
  [80977] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4878), 1,
      anon_sym_EQ_GT,
    STATE(2739), 1,
      sym_text_interpolation,
  [80990] = 1,
    ACTIONS(4880), 1,
      ts_builtin_sym_end,
  [80994] = 1,
    ACTIONS(4882), 1,
      ts_builtin_sym_end,
};

static const uint32_t ts_small_parse_table_map[] = {
  [SMALL_STATE(591)] = 0,
  [SMALL_STATE(592)] = 79,
  [SMALL_STATE(593)] = 158,
  [SMALL_STATE(594)] = 232,
  [SMALL_STATE(595)] = 306,
  [SMALL_STATE(596)] = 382,
  [SMALL_STATE(597)] = 456,
  [SMALL_STATE(598)] = 530,
  [SMALL_STATE(599)] = 604,
  [SMALL_STATE(600)] = 678,
  [SMALL_STATE(601)] = 752,
  [SMALL_STATE(602)] = 828,
  [SMALL_STATE(603)] = 902,
  [SMALL_STATE(604)] = 976,
  [SMALL_STATE(605)] = 1050,
  [SMALL_STATE(606)] = 1124,
  [SMALL_STATE(607)] = 1198,
  [SMALL_STATE(608)] = 1272,
  [SMALL_STATE(609)] = 1346,
  [SMALL_STATE(610)] = 1420,
  [SMALL_STATE(611)] = 1494,
  [SMALL_STATE(612)] = 1578,
  [SMALL_STATE(613)] = 1652,
  [SMALL_STATE(614)] = 1726,
  [SMALL_STATE(615)] = 1800,
  [SMALL_STATE(616)] = 1874,
  [SMALL_STATE(617)] = 1948,
  [SMALL_STATE(618)] = 2022,
  [SMALL_STATE(619)] = 2096,
  [SMALL_STATE(620)] = 2170,
  [SMALL_STATE(621)] = 2251,
  [SMALL_STATE(622)] = 2332,
  [SMALL_STATE(623)] = 2407,
  [SMALL_STATE(624)] = 2488,
  [SMALL_STATE(625)] = 2563,
  [SMALL_STATE(626)] = 2643,
  [SMALL_STATE(627)] = 2713,
  [SMALL_STATE(628)] = 2783,
  [SMALL_STATE(629)] = 2853,
  [SMALL_STATE(630)] = 2933,
  [SMALL_STATE(631)] = 3011,
  [SMALL_STATE(632)] = 3149,
  [SMALL_STATE(633)] = 3219,
  [SMALL_STATE(634)] = 3289,
  [SMALL_STATE(635)] = 3359,
  [SMALL_STATE(636)] = 3429,
  [SMALL_STATE(637)] = 3501,
  [SMALL_STATE(638)] = 3571,
  [SMALL_STATE(639)] = 3641,
  [SMALL_STATE(640)] = 3711,
  [SMALL_STATE(641)] = 3781,
  [SMALL_STATE(642)] = 3919,
  [SMALL_STATE(643)] = 3989,
  [SMALL_STATE(644)] = 4125,
  [SMALL_STATE(645)] = 4195,
  [SMALL_STATE(646)] = 4337,
  [SMALL_STATE(647)] = 4417,
  [SMALL_STATE(648)] = 4559,
  [SMALL_STATE(649)] = 4629,
  [SMALL_STATE(650)] = 4699,
  [SMALL_STATE(651)] = 4769,
  [SMALL_STATE(652)] = 4839,
  [SMALL_STATE(653)] = 4909,
  [SMALL_STATE(654)] = 4987,
  [SMALL_STATE(655)] = 5059,
  [SMALL_STATE(656)] = 5129,
  [SMALL_STATE(657)] = 5206,
  [SMALL_STATE(658)] = 5285,
  [SMALL_STATE(659)] = 5424,
  [SMALL_STATE(660)] = 5493,
  [SMALL_STATE(661)] = 5570,
  [SMALL_STATE(662)] = 5647,
  [SMALL_STATE(663)] = 5724,
  [SMALL_STATE(664)] = 5793,
  [SMALL_STATE(665)] = 5862,
  [SMALL_STATE(666)] = 5931,
  [SMALL_STATE(667)] = 6010,
  [SMALL_STATE(668)] = 6087,
  [SMALL_STATE(669)] = 6172,
  [SMALL_STATE(670)] = 6249,
  [SMALL_STATE(671)] = 6318,
  [SMALL_STATE(672)] = 6387,
  [SMALL_STATE(673)] = 6456,
  [SMALL_STATE(674)] = 6525,
  [SMALL_STATE(675)] = 6594,
  [SMALL_STATE(676)] = 6670,
  [SMALL_STATE(677)] = 6752,
  [SMALL_STATE(678)] = 6828,
  [SMALL_STATE(679)] = 6908,
  [SMALL_STATE(680)] = 6990,
  [SMALL_STATE(681)] = 7070,
  [SMALL_STATE(682)] = 7146,
  [SMALL_STATE(683)] = 7226,
  [SMALL_STATE(684)] = 7302,
  [SMALL_STATE(685)] = 7379,
  [SMALL_STATE(686)] = 7512,
  [SMALL_STATE(687)] = 7589,
  [SMALL_STATE(688)] = 7666,
  [SMALL_STATE(689)] = 7799,
  [SMALL_STATE(690)] = 7876,
  [SMALL_STATE(691)] = 8009,
  [SMALL_STATE(692)] = 8142,
  [SMALL_STATE(693)] = 8219,
  [SMALL_STATE(694)] = 8298,
  [SMALL_STATE(695)] = 8375,
  [SMALL_STATE(696)] = 8505,
  [SMALL_STATE(697)] = 8575,
  [SMALL_STATE(698)] = 8705,
  [SMALL_STATE(699)] = 8835,
  [SMALL_STATE(700)] = 8965,
  [SMALL_STATE(701)] = 9095,
  [SMALL_STATE(702)] = 9171,
  [SMALL_STATE(703)] = 9301,
  [SMALL_STATE(704)] = 9431,
  [SMALL_STATE(705)] = 9561,
  [SMALL_STATE(706)] = 9691,
  [SMALL_STATE(707)] = 9821,
  [SMALL_STATE(708)] = 9951,
  [SMALL_STATE(709)] = 10027,
  [SMALL_STATE(710)] = 10157,
  [SMALL_STATE(711)] = 10287,
  [SMALL_STATE(712)] = 10353,
  [SMALL_STATE(713)] = 10417,
  [SMALL_STATE(714)] = 10482,
  [SMALL_STATE(715)] = 10547,
  [SMALL_STATE(716)] = 10608,
  [SMALL_STATE(717)] = 10673,
  [SMALL_STATE(718)] = 10734,
  [SMALL_STATE(719)] = 10843,
  [SMALL_STATE(720)] = 10952,
  [SMALL_STATE(721)] = 11013,
  [SMALL_STATE(722)] = 11073,
  [SMALL_STATE(723)] = 11133,
  [SMALL_STATE(724)] = 11193,
  [SMALL_STATE(725)] = 11253,
  [SMALL_STATE(726)] = 11313,
  [SMALL_STATE(727)] = 11373,
  [SMALL_STATE(728)] = 11433,
  [SMALL_STATE(729)] = 11493,
  [SMALL_STATE(730)] = 11553,
  [SMALL_STATE(731)] = 11613,
  [SMALL_STATE(732)] = 11673,
  [SMALL_STATE(733)] = 11733,
  [SMALL_STATE(734)] = 11799,
  [SMALL_STATE(735)] = 11859,
  [SMALL_STATE(736)] = 11921,
  [SMALL_STATE(737)] = 11987,
  [SMALL_STATE(738)] = 12049,
  [SMALL_STATE(739)] = 12109,
  [SMALL_STATE(740)] = 12169,
  [SMALL_STATE(741)] = 12229,
  [SMALL_STATE(742)] = 12291,
  [SMALL_STATE(743)] = 12353,
  [SMALL_STATE(744)] = 12413,
  [SMALL_STATE(745)] = 12475,
  [SMALL_STATE(746)] = 12535,
  [SMALL_STATE(747)] = 12595,
  [SMALL_STATE(748)] = 12655,
  [SMALL_STATE(749)] = 12714,
  [SMALL_STATE(750)] = 12777,
  [SMALL_STATE(751)] = 12836,
  [SMALL_STATE(752)] = 12899,
  [SMALL_STATE(753)] = 12958,
  [SMALL_STATE(754)] = 13017,
  [SMALL_STATE(755)] = 13080,
  [SMALL_STATE(756)] = 13139,
  [SMALL_STATE(757)] = 13202,
  [SMALL_STATE(758)] = 13261,
  [SMALL_STATE(759)] = 13322,
  [SMALL_STATE(760)] = 13381,
  [SMALL_STATE(761)] = 13442,
  [SMALL_STATE(762)] = 13501,
  [SMALL_STATE(763)] = 13560,
  [SMALL_STATE(764)] = 13623,
  [SMALL_STATE(765)] = 13727,
  [SMALL_STATE(766)] = 13785,
  [SMALL_STATE(767)] = 13845,
  [SMALL_STATE(768)] = 13903,
  [SMALL_STATE(769)] = 13963,
  [SMALL_STATE(770)] = 14021,
  [SMALL_STATE(771)] = 14083,
  [SMALL_STATE(772)] = 14141,
  [SMALL_STATE(773)] = 14207,
  [SMALL_STATE(774)] = 14269,
  [SMALL_STATE(775)] = 14331,
  [SMALL_STATE(776)] = 14389,
  [SMALL_STATE(777)] = 14447,
  [SMALL_STATE(778)] = 14505,
  [SMALL_STATE(779)] = 14563,
  [SMALL_STATE(780)] = 14621,
  [SMALL_STATE(781)] = 14679,
  [SMALL_STATE(782)] = 14737,
  [SMALL_STATE(783)] = 14795,
  [SMALL_STATE(784)] = 14853,
  [SMALL_STATE(785)] = 14911,
  [SMALL_STATE(786)] = 14969,
  [SMALL_STATE(787)] = 15027,
  [SMALL_STATE(788)] = 15085,
  [SMALL_STATE(789)] = 15143,
  [SMALL_STATE(790)] = 15203,
  [SMALL_STATE(791)] = 15261,
  [SMALL_STATE(792)] = 15319,
  [SMALL_STATE(793)] = 15377,
  [SMALL_STATE(794)] = 15435,
  [SMALL_STATE(795)] = 15495,
  [SMALL_STATE(796)] = 15553,
  [SMALL_STATE(797)] = 15611,
  [SMALL_STATE(798)] = 15669,
  [SMALL_STATE(799)] = 15727,
  [SMALL_STATE(800)] = 15785,
  [SMALL_STATE(801)] = 15843,
  [SMALL_STATE(802)] = 15901,
  [SMALL_STATE(803)] = 15959,
  [SMALL_STATE(804)] = 16017,
  [SMALL_STATE(805)] = 16075,
  [SMALL_STATE(806)] = 16133,
  [SMALL_STATE(807)] = 16191,
  [SMALL_STATE(808)] = 16249,
  [SMALL_STATE(809)] = 16307,
  [SMALL_STATE(810)] = 16365,
  [SMALL_STATE(811)] = 16425,
  [SMALL_STATE(812)] = 16487,
  [SMALL_STATE(813)] = 16545,
  [SMALL_STATE(814)] = 16603,
  [SMALL_STATE(815)] = 16661,
  [SMALL_STATE(816)] = 16719,
  [SMALL_STATE(817)] = 16777,
  [SMALL_STATE(818)] = 16835,
  [SMALL_STATE(819)] = 16893,
  [SMALL_STATE(820)] = 16997,
  [SMALL_STATE(821)] = 17055,
  [SMALL_STATE(822)] = 17113,
  [SMALL_STATE(823)] = 17171,
  [SMALL_STATE(824)] = 17229,
  [SMALL_STATE(825)] = 17287,
  [SMALL_STATE(826)] = 17345,
  [SMALL_STATE(827)] = 17403,
  [SMALL_STATE(828)] = 17461,
  [SMALL_STATE(829)] = 17521,
  [SMALL_STATE(830)] = 17581,
  [SMALL_STATE(831)] = 17639,
  [SMALL_STATE(832)] = 17697,
  [SMALL_STATE(833)] = 17755,
  [SMALL_STATE(834)] = 17813,
  [SMALL_STATE(835)] = 17871,
  [SMALL_STATE(836)] = 17929,
  [SMALL_STATE(837)] = 17987,
  [SMALL_STATE(838)] = 18045,
  [SMALL_STATE(839)] = 18103,
  [SMALL_STATE(840)] = 18161,
  [SMALL_STATE(841)] = 18219,
  [SMALL_STATE(842)] = 18277,
  [SMALL_STATE(843)] = 18339,
  [SMALL_STATE(844)] = 18397,
  [SMALL_STATE(845)] = 18455,
  [SMALL_STATE(846)] = 18513,
  [SMALL_STATE(847)] = 18571,
  [SMALL_STATE(848)] = 18629,
  [SMALL_STATE(849)] = 18690,
  [SMALL_STATE(850)] = 18747,
  [SMALL_STATE(851)] = 18848,
  [SMALL_STATE(852)] = 18907,
  [SMALL_STATE(853)] = 18966,
  [SMALL_STATE(854)] = 19027,
  [SMALL_STATE(855)] = 19128,
  [SMALL_STATE(856)] = 19187,
  [SMALL_STATE(857)] = 19246,
  [SMALL_STATE(858)] = 19347,
  [SMALL_STATE(859)] = 19408,
  [SMALL_STATE(860)] = 19467,
  [SMALL_STATE(861)] = 19568,
  [SMALL_STATE(862)] = 19629,
  [SMALL_STATE(863)] = 19690,
  [SMALL_STATE(864)] = 19746,
  [SMALL_STATE(865)] = 19808,
  [SMALL_STATE(866)] = 19864,
  [SMALL_STATE(867)] = 19920,
  [SMALL_STATE(868)] = 19976,
  [SMALL_STATE(869)] = 20036,
  [SMALL_STATE(870)] = 20092,
  [SMALL_STATE(871)] = 20148,
  [SMALL_STATE(872)] = 20264,
  [SMALL_STATE(873)] = 20362,
  [SMALL_STATE(874)] = 20478,
  [SMALL_STATE(875)] = 20534,
  [SMALL_STATE(876)] = 20590,
  [SMALL_STATE(877)] = 20646,
  [SMALL_STATE(878)] = 20704,
  [SMALL_STATE(879)] = 20820,
  [SMALL_STATE(880)] = 20876,
  [SMALL_STATE(881)] = 20938,
  [SMALL_STATE(882)] = 20994,
  [SMALL_STATE(883)] = 21054,
  [SMALL_STATE(884)] = 21110,
  [SMALL_STATE(885)] = 21166,
  [SMALL_STATE(886)] = 21222,
  [SMALL_STATE(887)] = 21278,
  [SMALL_STATE(888)] = 21334,
  [SMALL_STATE(889)] = 21392,
  [SMALL_STATE(890)] = 21448,
  [SMALL_STATE(891)] = 21504,
  [SMALL_STATE(892)] = 21560,
  [SMALL_STATE(893)] = 21616,
  [SMALL_STATE(894)] = 21671,
  [SMALL_STATE(895)] = 21728,
  [SMALL_STATE(896)] = 21787,
  [SMALL_STATE(897)] = 21842,
  [SMALL_STATE(898)] = 21901,
  [SMALL_STATE(899)] = 21960,
  [SMALL_STATE(900)] = 22017,
  [SMALL_STATE(901)] = 22072,
  [SMALL_STATE(902)] = 22131,
  [SMALL_STATE(903)] = 22188,
  [SMALL_STATE(904)] = 22243,
  [SMALL_STATE(905)] = 22298,
  [SMALL_STATE(906)] = 22353,
  [SMALL_STATE(907)] = 22408,
  [SMALL_STATE(908)] = 22463,
  [SMALL_STATE(909)] = 22518,
  [SMALL_STATE(910)] = 22577,
  [SMALL_STATE(911)] = 22632,
  [SMALL_STATE(912)] = 22689,
  [SMALL_STATE(913)] = 22744,
  [SMALL_STATE(914)] = 22799,
  [SMALL_STATE(915)] = 22854,
  [SMALL_STATE(916)] = 22909,
  [SMALL_STATE(917)] = 22965,
  [SMALL_STATE(918)] = 23019,
  [SMALL_STATE(919)] = 23073,
  [SMALL_STATE(920)] = 23127,
  [SMALL_STATE(921)] = 23181,
  [SMALL_STATE(922)] = 23235,
  [SMALL_STATE(923)] = 23289,
  [SMALL_STATE(924)] = 23343,
  [SMALL_STATE(925)] = 23397,
  [SMALL_STATE(926)] = 23451,
  [SMALL_STATE(927)] = 23505,
  [SMALL_STATE(928)] = 23559,
  [SMALL_STATE(929)] = 23613,
  [SMALL_STATE(930)] = 23667,
  [SMALL_STATE(931)] = 23721,
  [SMALL_STATE(932)] = 23775,
  [SMALL_STATE(933)] = 23829,
  [SMALL_STATE(934)] = 23891,
  [SMALL_STATE(935)] = 23945,
  [SMALL_STATE(936)] = 23999,
  [SMALL_STATE(937)] = 24053,
  [SMALL_STATE(938)] = 24107,
  [SMALL_STATE(939)] = 24161,
  [SMALL_STATE(940)] = 24215,
  [SMALL_STATE(941)] = 24271,
  [SMALL_STATE(942)] = 24327,
  [SMALL_STATE(943)] = 24383,
  [SMALL_STATE(944)] = 24437,
  [SMALL_STATE(945)] = 24491,
  [SMALL_STATE(946)] = 24545,
  [SMALL_STATE(947)] = 24599,
  [SMALL_STATE(948)] = 24653,
  [SMALL_STATE(949)] = 24709,
  [SMALL_STATE(950)] = 24763,
  [SMALL_STATE(951)] = 24817,
  [SMALL_STATE(952)] = 24871,
  [SMALL_STATE(953)] = 24925,
  [SMALL_STATE(954)] = 24979,
  [SMALL_STATE(955)] = 25033,
  [SMALL_STATE(956)] = 25087,
  [SMALL_STATE(957)] = 25141,
  [SMALL_STATE(958)] = 25195,
  [SMALL_STATE(959)] = 25249,
  [SMALL_STATE(960)] = 25303,
  [SMALL_STATE(961)] = 25357,
  [SMALL_STATE(962)] = 25411,
  [SMALL_STATE(963)] = 25469,
  [SMALL_STATE(964)] = 25523,
  [SMALL_STATE(965)] = 25581,
  [SMALL_STATE(966)] = 25635,
  [SMALL_STATE(967)] = 25693,
  [SMALL_STATE(968)] = 25747,
  [SMALL_STATE(969)] = 25801,
  [SMALL_STATE(970)] = 25855,
  [SMALL_STATE(971)] = 25909,
  [SMALL_STATE(972)] = 25963,
  [SMALL_STATE(973)] = 26021,
  [SMALL_STATE(974)] = 26075,
  [SMALL_STATE(975)] = 26129,
  [SMALL_STATE(976)] = 26183,
  [SMALL_STATE(977)] = 26237,
  [SMALL_STATE(978)] = 26291,
  [SMALL_STATE(979)] = 26345,
  [SMALL_STATE(980)] = 26399,
  [SMALL_STATE(981)] = 26453,
  [SMALL_STATE(982)] = 26507,
  [SMALL_STATE(983)] = 26561,
  [SMALL_STATE(984)] = 26615,
  [SMALL_STATE(985)] = 26669,
  [SMALL_STATE(986)] = 26731,
  [SMALL_STATE(987)] = 26785,
  [SMALL_STATE(988)] = 26839,
  [SMALL_STATE(989)] = 26893,
  [SMALL_STATE(990)] = 26947,
  [SMALL_STATE(991)] = 27005,
  [SMALL_STATE(992)] = 27059,
  [SMALL_STATE(993)] = 27113,
  [SMALL_STATE(994)] = 27167,
  [SMALL_STATE(995)] = 27221,
  [SMALL_STATE(996)] = 27275,
  [SMALL_STATE(997)] = 27329,
  [SMALL_STATE(998)] = 27383,
  [SMALL_STATE(999)] = 27437,
  [SMALL_STATE(1000)] = 27499,
  [SMALL_STATE(1001)] = 27555,
  [SMALL_STATE(1002)] = 27617,
  [SMALL_STATE(1003)] = 27671,
  [SMALL_STATE(1004)] = 27727,
  [SMALL_STATE(1005)] = 27785,
  [SMALL_STATE(1006)] = 27841,
  [SMALL_STATE(1007)] = 27895,
  [SMALL_STATE(1008)] = 27948,
  [SMALL_STATE(1009)] = 28001,
  [SMALL_STATE(1010)] = 28054,
  [SMALL_STATE(1011)] = 28109,
  [SMALL_STATE(1012)] = 28162,
  [SMALL_STATE(1013)] = 28215,
  [SMALL_STATE(1014)] = 28270,
  [SMALL_STATE(1015)] = 28325,
  [SMALL_STATE(1016)] = 28378,
  [SMALL_STATE(1017)] = 28431,
  [SMALL_STATE(1018)] = 28484,
  [SMALL_STATE(1019)] = 28541,
  [SMALL_STATE(1020)] = 28596,
  [SMALL_STATE(1021)] = 28651,
  [SMALL_STATE(1022)] = 28704,
  [SMALL_STATE(1023)] = 28757,
  [SMALL_STATE(1024)] = 28814,
  [SMALL_STATE(1025)] = 28867,
  [SMALL_STATE(1026)] = 28920,
  [SMALL_STATE(1027)] = 28973,
  [SMALL_STATE(1028)] = 29026,
  [SMALL_STATE(1029)] = 29081,
  [SMALL_STATE(1030)] = 29136,
  [SMALL_STATE(1031)] = 29191,
  [SMALL_STATE(1032)] = 29244,
  [SMALL_STATE(1033)] = 29297,
  [SMALL_STATE(1034)] = 29350,
  [SMALL_STATE(1035)] = 29403,
  [SMALL_STATE(1036)] = 29456,
  [SMALL_STATE(1037)] = 29509,
  [SMALL_STATE(1038)] = 29562,
  [SMALL_STATE(1039)] = 29615,
  [SMALL_STATE(1040)] = 29668,
  [SMALL_STATE(1041)] = 29721,
  [SMALL_STATE(1042)] = 29773,
  [SMALL_STATE(1043)] = 29825,
  [SMALL_STATE(1044)] = 29877,
  [SMALL_STATE(1045)] = 29930,
  [SMALL_STATE(1046)] = 29985,
  [SMALL_STATE(1047)] = 30036,
  [SMALL_STATE(1048)] = 30118,
  [SMALL_STATE(1049)] = 30206,
  [SMALL_STATE(1050)] = 30280,
  [SMALL_STATE(1051)] = 30362,
  [SMALL_STATE(1052)] = 30444,
  [SMALL_STATE(1053)] = 30500,
  [SMALL_STATE(1054)] = 30582,
  [SMALL_STATE(1055)] = 30632,
  [SMALL_STATE(1056)] = 30720,
  [SMALL_STATE(1057)] = 30802,
  [SMALL_STATE(1058)] = 30854,
  [SMALL_STATE(1059)] = 30906,
  [SMALL_STATE(1060)] = 30988,
  [SMALL_STATE(1061)] = 31070,
  [SMALL_STATE(1062)] = 31156,
  [SMALL_STATE(1063)] = 31244,
  [SMALL_STATE(1064)] = 31294,
  [SMALL_STATE(1065)] = 31364,
  [SMALL_STATE(1066)] = 31448,
  [SMALL_STATE(1067)] = 31538,
  [SMALL_STATE(1068)] = 31616,
  [SMALL_STATE(1069)] = 31704,
  [SMALL_STATE(1070)] = 31792,
  [SMALL_STATE(1071)] = 31868,
  [SMALL_STATE(1072)] = 31956,
  [SMALL_STATE(1073)] = 32028,
  [SMALL_STATE(1074)] = 32094,
  [SMALL_STATE(1075)] = 32182,
  [SMALL_STATE(1076)] = 32270,
  [SMALL_STATE(1077)] = 32332,
  [SMALL_STATE(1078)] = 32390,
  [SMALL_STATE(1079)] = 32478,
  [SMALL_STATE(1080)] = 32538,
  [SMALL_STATE(1081)] = 32626,
  [SMALL_STATE(1082)] = 32713,
  [SMALL_STATE(1083)] = 32762,
  [SMALL_STATE(1084)] = 32849,
  [SMALL_STATE(1085)] = 32936,
  [SMALL_STATE(1086)] = 32985,
  [SMALL_STATE(1087)] = 33034,
  [SMALL_STATE(1088)] = 33083,
  [SMALL_STATE(1089)] = 33132,
  [SMALL_STATE(1090)] = 33213,
  [SMALL_STATE(1091)] = 33262,
  [SMALL_STATE(1092)] = 33311,
  [SMALL_STATE(1093)] = 33398,
  [SMALL_STATE(1094)] = 33447,
  [SMALL_STATE(1095)] = 33496,
  [SMALL_STATE(1096)] = 33545,
  [SMALL_STATE(1097)] = 33632,
  [SMALL_STATE(1098)] = 33681,
  [SMALL_STATE(1099)] = 33770,
  [SMALL_STATE(1100)] = 33819,
  [SMALL_STATE(1101)] = 33868,
  [SMALL_STATE(1102)] = 33955,
  [SMALL_STATE(1103)] = 34036,
  [SMALL_STATE(1104)] = 34123,
  [SMALL_STATE(1105)] = 34172,
  [SMALL_STATE(1106)] = 34221,
  [SMALL_STATE(1107)] = 34270,
  [SMALL_STATE(1108)] = 34357,
  [SMALL_STATE(1109)] = 34426,
  [SMALL_STATE(1110)] = 34499,
  [SMALL_STATE(1111)] = 34554,
  [SMALL_STATE(1112)] = 34635,
  [SMALL_STATE(1113)] = 34686,
  [SMALL_STATE(1114)] = 34767,
  [SMALL_STATE(1115)] = 34852,
  [SMALL_STATE(1116)] = 34935,
  [SMALL_STATE(1117)] = 35012,
  [SMALL_STATE(1118)] = 35087,
  [SMALL_STATE(1119)] = 35158,
  [SMALL_STATE(1120)] = 35223,
  [SMALL_STATE(1121)] = 35284,
  [SMALL_STATE(1122)] = 35341,
  [SMALL_STATE(1123)] = 35400,
  [SMALL_STATE(1124)] = 35451,
  [SMALL_STATE(1125)] = 35500,
  [SMALL_STATE(1126)] = 35581,
  [SMALL_STATE(1127)] = 35662,
  [SMALL_STATE(1128)] = 35711,
  [SMALL_STATE(1129)] = 35798,
  [SMALL_STATE(1130)] = 35879,
  [SMALL_STATE(1131)] = 35966,
  [SMALL_STATE(1132)] = 36053,
  [SMALL_STATE(1133)] = 36122,
  [SMALL_STATE(1134)] = 36195,
  [SMALL_STATE(1135)] = 36250,
  [SMALL_STATE(1136)] = 36331,
  [SMALL_STATE(1137)] = 36382,
  [SMALL_STATE(1138)] = 36463,
  [SMALL_STATE(1139)] = 36548,
  [SMALL_STATE(1140)] = 36631,
  [SMALL_STATE(1141)] = 36708,
  [SMALL_STATE(1142)] = 36783,
  [SMALL_STATE(1143)] = 36854,
  [SMALL_STATE(1144)] = 36919,
  [SMALL_STATE(1145)] = 36980,
  [SMALL_STATE(1146)] = 37037,
  [SMALL_STATE(1147)] = 37096,
  [SMALL_STATE(1148)] = 37147,
  [SMALL_STATE(1149)] = 37196,
  [SMALL_STATE(1150)] = 37277,
  [SMALL_STATE(1151)] = 37358,
  [SMALL_STATE(1152)] = 37423,
  [SMALL_STATE(1153)] = 37472,
  [SMALL_STATE(1154)] = 37553,
  [SMALL_STATE(1155)] = 37634,
  [SMALL_STATE(1156)] = 37715,
  [SMALL_STATE(1157)] = 37802,
  [SMALL_STATE(1158)] = 37851,
  [SMALL_STATE(1159)] = 37908,
  [SMALL_STATE(1160)] = 37959,
  [SMALL_STATE(1161)] = 38046,
  [SMALL_STATE(1162)] = 38127,
  [SMALL_STATE(1163)] = 38176,
  [SMALL_STATE(1164)] = 38225,
  [SMALL_STATE(1165)] = 38282,
  [SMALL_STATE(1166)] = 38369,
  [SMALL_STATE(1167)] = 38456,
  [SMALL_STATE(1168)] = 38545,
  [SMALL_STATE(1169)] = 38594,
  [SMALL_STATE(1170)] = 38681,
  [SMALL_STATE(1171)] = 38768,
  [SMALL_STATE(1172)] = 38855,
  [SMALL_STATE(1173)] = 38904,
  [SMALL_STATE(1174)] = 38953,
  [SMALL_STATE(1175)] = 39040,
  [SMALL_STATE(1176)] = 39127,
  [SMALL_STATE(1177)] = 39213,
  [SMALL_STATE(1178)] = 39299,
  [SMALL_STATE(1179)] = 39385,
  [SMALL_STATE(1180)] = 39471,
  [SMALL_STATE(1181)] = 39539,
  [SMALL_STATE(1182)] = 39625,
  [SMALL_STATE(1183)] = 39679,
  [SMALL_STATE(1184)] = 39759,
  [SMALL_STATE(1185)] = 39809,
  [SMALL_STATE(1186)] = 39889,
  [SMALL_STATE(1187)] = 39973,
  [SMALL_STATE(1188)] = 40055,
  [SMALL_STATE(1189)] = 40131,
  [SMALL_STATE(1190)] = 40205,
  [SMALL_STATE(1191)] = 40275,
  [SMALL_STATE(1192)] = 40339,
  [SMALL_STATE(1193)] = 40399,
  [SMALL_STATE(1194)] = 40455,
  [SMALL_STATE(1195)] = 40513,
  [SMALL_STATE(1196)] = 40563,
  [SMALL_STATE(1197)] = 40643,
  [SMALL_STATE(1198)] = 40723,
  [SMALL_STATE(1199)] = 40803,
  [SMALL_STATE(1200)] = 40883,
  [SMALL_STATE(1201)] = 40963,
  [SMALL_STATE(1202)] = 41049,
  [SMALL_STATE(1203)] = 41135,
  [SMALL_STATE(1204)] = 41221,
  [SMALL_STATE(1205)] = 41307,
  [SMALL_STATE(1206)] = 41395,
  [SMALL_STATE(1207)] = 41481,
  [SMALL_STATE(1208)] = 41553,
  [SMALL_STATE(1209)] = 41638,
  [SMALL_STATE(1210)] = 41727,
  [SMALL_STATE(1211)] = 41816,
  [SMALL_STATE(1212)] = 41905,
  [SMALL_STATE(1213)] = 41994,
  [SMALL_STATE(1214)] = 42083,
  [SMALL_STATE(1215)] = 42172,
  [SMALL_STATE(1216)] = 42221,
  [SMALL_STATE(1217)] = 42270,
  [SMALL_STATE(1218)] = 42359,
  [SMALL_STATE(1219)] = 42448,
  [SMALL_STATE(1220)] = 42536,
  [SMALL_STATE(1221)] = 42622,
  [SMALL_STATE(1222)] = 42708,
  [SMALL_STATE(1223)] = 42794,
  [SMALL_STATE(1224)] = 42866,
  [SMALL_STATE(1225)] = 42938,
  [SMALL_STATE(1226)] = 43024,
  [SMALL_STATE(1227)] = 43110,
  [SMALL_STATE(1228)] = 43196,
  [SMALL_STATE(1229)] = 43280,
  [SMALL_STATE(1230)] = 43366,
  [SMALL_STATE(1231)] = 43452,
  [SMALL_STATE(1232)] = 43526,
  [SMALL_STATE(1233)] = 43612,
  [SMALL_STATE(1234)] = 43698,
  [SMALL_STATE(1235)] = 43784,
  [SMALL_STATE(1236)] = 43870,
  [SMALL_STATE(1237)] = 43956,
  [SMALL_STATE(1238)] = 44042,
  [SMALL_STATE(1239)] = 44114,
  [SMALL_STATE(1240)] = 44186,
  [SMALL_STATE(1241)] = 44270,
  [SMALL_STATE(1242)] = 44344,
  [SMALL_STATE(1243)] = 44429,
  [SMALL_STATE(1244)] = 44512,
  [SMALL_STATE(1245)] = 44595,
  [SMALL_STATE(1246)] = 44678,
  [SMALL_STATE(1247)] = 44761,
  [SMALL_STATE(1248)] = 44846,
  [SMALL_STATE(1249)] = 44929,
  [SMALL_STATE(1250)] = 45012,
  [SMALL_STATE(1251)] = 45095,
  [SMALL_STATE(1252)] = 45180,
  [SMALL_STATE(1253)] = 45263,
  [SMALL_STATE(1254)] = 45346,
  [SMALL_STATE(1255)] = 45429,
  [SMALL_STATE(1256)] = 45512,
  [SMALL_STATE(1257)] = 45597,
  [SMALL_STATE(1258)] = 45680,
  [SMALL_STATE(1259)] = 45763,
  [SMALL_STATE(1260)] = 45852,
  [SMALL_STATE(1261)] = 45935,
  [SMALL_STATE(1262)] = 46024,
  [SMALL_STATE(1263)] = 46113,
  [SMALL_STATE(1264)] = 46196,
  [SMALL_STATE(1265)] = 46285,
  [SMALL_STATE(1266)] = 46368,
  [SMALL_STATE(1267)] = 46457,
  [SMALL_STATE(1268)] = 46542,
  [SMALL_STATE(1269)] = 46631,
  [SMALL_STATE(1270)] = 46718,
  [SMALL_STATE(1271)] = 46786,
  [SMALL_STATE(1272)] = 46868,
  [SMALL_STATE(1273)] = 46950,
  [SMALL_STATE(1274)] = 47032,
  [SMALL_STATE(1275)] = 47078,
  [SMALL_STATE(1276)] = 47160,
  [SMALL_STATE(1277)] = 47242,
  [SMALL_STATE(1278)] = 47324,
  [SMALL_STATE(1279)] = 47406,
  [SMALL_STATE(1280)] = 47488,
  [SMALL_STATE(1281)] = 47570,
  [SMALL_STATE(1282)] = 47652,
  [SMALL_STATE(1283)] = 47734,
  [SMALL_STATE(1284)] = 47802,
  [SMALL_STATE(1285)] = 47884,
  [SMALL_STATE(1286)] = 47966,
  [SMALL_STATE(1287)] = 48048,
  [SMALL_STATE(1288)] = 48130,
  [SMALL_STATE(1289)] = 48212,
  [SMALL_STATE(1290)] = 48294,
  [SMALL_STATE(1291)] = 48376,
  [SMALL_STATE(1292)] = 48458,
  [SMALL_STATE(1293)] = 48540,
  [SMALL_STATE(1294)] = 48622,
  [SMALL_STATE(1295)] = 48704,
  [SMALL_STATE(1296)] = 48786,
  [SMALL_STATE(1297)] = 48868,
  [SMALL_STATE(1298)] = 48950,
  [SMALL_STATE(1299)] = 49032,
  [SMALL_STATE(1300)] = 49114,
  [SMALL_STATE(1301)] = 49196,
  [SMALL_STATE(1302)] = 49278,
  [SMALL_STATE(1303)] = 49360,
  [SMALL_STATE(1304)] = 49442,
  [SMALL_STATE(1305)] = 49524,
  [SMALL_STATE(1306)] = 49606,
  [SMALL_STATE(1307)] = 49688,
  [SMALL_STATE(1308)] = 49770,
  [SMALL_STATE(1309)] = 49852,
  [SMALL_STATE(1310)] = 49934,
  [SMALL_STATE(1311)] = 50016,
  [SMALL_STATE(1312)] = 50098,
  [SMALL_STATE(1313)] = 50180,
  [SMALL_STATE(1314)] = 50262,
  [SMALL_STATE(1315)] = 50344,
  [SMALL_STATE(1316)] = 50426,
  [SMALL_STATE(1317)] = 50508,
  [SMALL_STATE(1318)] = 50590,
  [SMALL_STATE(1319)] = 50672,
  [SMALL_STATE(1320)] = 50754,
  [SMALL_STATE(1321)] = 50836,
  [SMALL_STATE(1322)] = 50918,
  [SMALL_STATE(1323)] = 51000,
  [SMALL_STATE(1324)] = 51082,
  [SMALL_STATE(1325)] = 51163,
  [SMALL_STATE(1326)] = 51206,
  [SMALL_STATE(1327)] = 51287,
  [SMALL_STATE(1328)] = 51368,
  [SMALL_STATE(1329)] = 51449,
  [SMALL_STATE(1330)] = 51492,
  [SMALL_STATE(1331)] = 51535,
  [SMALL_STATE(1332)] = 51614,
  [SMALL_STATE(1333)] = 51657,
  [SMALL_STATE(1334)] = 51699,
  [SMALL_STATE(1335)] = 51741,
  [SMALL_STATE(1336)] = 51783,
  [SMALL_STATE(1337)] = 51844,
  [SMALL_STATE(1338)] = 51905,
  [SMALL_STATE(1339)] = 51948,
  [SMALL_STATE(1340)] = 51993,
  [SMALL_STATE(1341)] = 52030,
  [SMALL_STATE(1342)] = 52067,
  [SMALL_STATE(1343)] = 52104,
  [SMALL_STATE(1344)] = 52141,
  [SMALL_STATE(1345)] = 52207,
  [SMALL_STATE(1346)] = 52257,
  [SMALL_STATE(1347)] = 52307,
  [SMALL_STATE(1348)] = 52373,
  [SMALL_STATE(1349)] = 52423,
  [SMALL_STATE(1350)] = 52473,
  [SMALL_STATE(1351)] = 52523,
  [SMALL_STATE(1352)] = 52573,
  [SMALL_STATE(1353)] = 52623,
  [SMALL_STATE(1354)] = 52689,
  [SMALL_STATE(1355)] = 52739,
  [SMALL_STATE(1356)] = 52789,
  [SMALL_STATE(1357)] = 52855,
  [SMALL_STATE(1358)] = 52905,
  [SMALL_STATE(1359)] = 52955,
  [SMALL_STATE(1360)] = 53002,
  [SMALL_STATE(1361)] = 53049,
  [SMALL_STATE(1362)] = 53096,
  [SMALL_STATE(1363)] = 53135,
  [SMALL_STATE(1364)] = 53182,
  [SMALL_STATE(1365)] = 53229,
  [SMALL_STATE(1366)] = 53270,
  [SMALL_STATE(1367)] = 53317,
  [SMALL_STATE(1368)] = 53359,
  [SMALL_STATE(1369)] = 53401,
  [SMALL_STATE(1370)] = 53434,
  [SMALL_STATE(1371)] = 53467,
  [SMALL_STATE(1372)] = 53524,
  [SMALL_STATE(1373)] = 53557,
  [SMALL_STATE(1374)] = 53590,
  [SMALL_STATE(1375)] = 53623,
  [SMALL_STATE(1376)] = 53675,
  [SMALL_STATE(1377)] = 53715,
  [SMALL_STATE(1378)] = 53755,
  [SMALL_STATE(1379)] = 53795,
  [SMALL_STATE(1380)] = 53844,
  [SMALL_STATE(1381)] = 53891,
  [SMALL_STATE(1382)] = 53940,
  [SMALL_STATE(1383)] = 53989,
  [SMALL_STATE(1384)] = 54038,
  [SMALL_STATE(1385)] = 54088,
  [SMALL_STATE(1386)] = 54134,
  [SMALL_STATE(1387)] = 54180,
  [SMALL_STATE(1388)] = 54226,
  [SMALL_STATE(1389)] = 54272,
  [SMALL_STATE(1390)] = 54318,
  [SMALL_STATE(1391)] = 54364,
  [SMALL_STATE(1392)] = 54394,
  [SMALL_STATE(1393)] = 54446,
  [SMALL_STATE(1394)] = 54492,
  [SMALL_STATE(1395)] = 54538,
  [SMALL_STATE(1396)] = 54584,
  [SMALL_STATE(1397)] = 54631,
  [SMALL_STATE(1398)] = 54680,
  [SMALL_STATE(1399)] = 54727,
  [SMALL_STATE(1400)] = 54772,
  [SMALL_STATE(1401)] = 54798,
  [SMALL_STATE(1402)] = 54842,
  [SMALL_STATE(1403)] = 54886,
  [SMALL_STATE(1404)] = 54912,
  [SMALL_STATE(1405)] = 54938,
  [SMALL_STATE(1406)] = 54984,
  [SMALL_STATE(1407)] = 55010,
  [SMALL_STATE(1408)] = 55036,
  [SMALL_STATE(1409)] = 55062,
  [SMALL_STATE(1410)] = 55088,
  [SMALL_STATE(1411)] = 55114,
  [SMALL_STATE(1412)] = 55140,
  [SMALL_STATE(1413)] = 55184,
  [SMALL_STATE(1414)] = 55230,
  [SMALL_STATE(1415)] = 55256,
  [SMALL_STATE(1416)] = 55282,
  [SMALL_STATE(1417)] = 55326,
  [SMALL_STATE(1418)] = 55352,
  [SMALL_STATE(1419)] = 55398,
  [SMALL_STATE(1420)] = 55444,
  [SMALL_STATE(1421)] = 55490,
  [SMALL_STATE(1422)] = 55536,
  [SMALL_STATE(1423)] = 55582,
  [SMALL_STATE(1424)] = 55628,
  [SMALL_STATE(1425)] = 55653,
  [SMALL_STATE(1426)] = 55678,
  [SMALL_STATE(1427)] = 55719,
  [SMALL_STATE(1428)] = 55744,
  [SMALL_STATE(1429)] = 55769,
  [SMALL_STATE(1430)] = 55794,
  [SMALL_STATE(1431)] = 55819,
  [SMALL_STATE(1432)] = 55844,
  [SMALL_STATE(1433)] = 55869,
  [SMALL_STATE(1434)] = 55910,
  [SMALL_STATE(1435)] = 55935,
  [SMALL_STATE(1436)] = 55960,
  [SMALL_STATE(1437)] = 55985,
  [SMALL_STATE(1438)] = 56010,
  [SMALL_STATE(1439)] = 56035,
  [SMALL_STATE(1440)] = 56060,
  [SMALL_STATE(1441)] = 56085,
  [SMALL_STATE(1442)] = 56110,
  [SMALL_STATE(1443)] = 56141,
  [SMALL_STATE(1444)] = 56166,
  [SMALL_STATE(1445)] = 56191,
  [SMALL_STATE(1446)] = 56216,
  [SMALL_STATE(1447)] = 56245,
  [SMALL_STATE(1448)] = 56288,
  [SMALL_STATE(1449)] = 56313,
  [SMALL_STATE(1450)] = 56338,
  [SMALL_STATE(1451)] = 56379,
  [SMALL_STATE(1452)] = 56404,
  [SMALL_STATE(1453)] = 56429,
  [SMALL_STATE(1454)] = 56473,
  [SMALL_STATE(1455)] = 56511,
  [SMALL_STATE(1456)] = 56549,
  [SMALL_STATE(1457)] = 56595,
  [SMALL_STATE(1458)] = 56635,
  [SMALL_STATE(1459)] = 56675,
  [SMALL_STATE(1460)] = 56715,
  [SMALL_STATE(1461)] = 56753,
  [SMALL_STATE(1462)] = 56791,
  [SMALL_STATE(1463)] = 56829,
  [SMALL_STATE(1464)] = 56867,
  [SMALL_STATE(1465)] = 56905,
  [SMALL_STATE(1466)] = 56943,
  [SMALL_STATE(1467)] = 56989,
  [SMALL_STATE(1468)] = 57035,
  [SMALL_STATE(1469)] = 57063,
  [SMALL_STATE(1470)] = 57101,
  [SMALL_STATE(1471)] = 57139,
  [SMALL_STATE(1472)] = 57177,
  [SMALL_STATE(1473)] = 57215,
  [SMALL_STATE(1474)] = 57255,
  [SMALL_STATE(1475)] = 57295,
  [SMALL_STATE(1476)] = 57335,
  [SMALL_STATE(1477)] = 57373,
  [SMALL_STATE(1478)] = 57413,
  [SMALL_STATE(1479)] = 57459,
  [SMALL_STATE(1480)] = 57499,
  [SMALL_STATE(1481)] = 57539,
  [SMALL_STATE(1482)] = 57577,
  [SMALL_STATE(1483)] = 57615,
  [SMALL_STATE(1484)] = 57653,
  [SMALL_STATE(1485)] = 57691,
  [SMALL_STATE(1486)] = 57727,
  [SMALL_STATE(1487)] = 57765,
  [SMALL_STATE(1488)] = 57805,
  [SMALL_STATE(1489)] = 57843,
  [SMALL_STATE(1490)] = 57881,
  [SMALL_STATE(1491)] = 57921,
  [SMALL_STATE(1492)] = 57954,
  [SMALL_STATE(1493)] = 57987,
  [SMALL_STATE(1494)] = 58014,
  [SMALL_STATE(1495)] = 58051,
  [SMALL_STATE(1496)] = 58076,
  [SMALL_STATE(1497)] = 58099,
  [SMALL_STATE(1498)] = 58124,
  [SMALL_STATE(1499)] = 58161,
  [SMALL_STATE(1500)] = 58186,
  [SMALL_STATE(1501)] = 58223,
  [SMALL_STATE(1502)] = 58248,
  [SMALL_STATE(1503)] = 58282,
  [SMALL_STATE(1504)] = 58316,
  [SMALL_STATE(1505)] = 58344,
  [SMALL_STATE(1506)] = 58368,
  [SMALL_STATE(1507)] = 58402,
  [SMALL_STATE(1508)] = 58436,
  [SMALL_STATE(1509)] = 58470,
  [SMALL_STATE(1510)] = 58498,
  [SMALL_STATE(1511)] = 58526,
  [SMALL_STATE(1512)] = 58562,
  [SMALL_STATE(1513)] = 58590,
  [SMALL_STATE(1514)] = 58618,
  [SMALL_STATE(1515)] = 58642,
  [SMALL_STATE(1516)] = 58666,
  [SMALL_STATE(1517)] = 58692,
  [SMALL_STATE(1518)] = 58720,
  [SMALL_STATE(1519)] = 58746,
  [SMALL_STATE(1520)] = 58780,
  [SMALL_STATE(1521)] = 58806,
  [SMALL_STATE(1522)] = 58840,
  [SMALL_STATE(1523)] = 58864,
  [SMALL_STATE(1524)] = 58888,
  [SMALL_STATE(1525)] = 58912,
  [SMALL_STATE(1526)] = 58942,
  [SMALL_STATE(1527)] = 58978,
  [SMALL_STATE(1528)] = 59012,
  [SMALL_STATE(1529)] = 59035,
  [SMALL_STATE(1530)] = 59070,
  [SMALL_STATE(1531)] = 59095,
  [SMALL_STATE(1532)] = 59130,
  [SMALL_STATE(1533)] = 59159,
  [SMALL_STATE(1534)] = 59182,
  [SMALL_STATE(1535)] = 59205,
  [SMALL_STATE(1536)] = 59240,
  [SMALL_STATE(1537)] = 59275,
  [SMALL_STATE(1538)] = 59310,
  [SMALL_STATE(1539)] = 59339,
  [SMALL_STATE(1540)] = 59374,
  [SMALL_STATE(1541)] = 59409,
  [SMALL_STATE(1542)] = 59438,
  [SMALL_STATE(1543)] = 59473,
  [SMALL_STATE(1544)] = 59507,
  [SMALL_STATE(1545)] = 59537,
  [SMALL_STATE(1546)] = 59567,
  [SMALL_STATE(1547)] = 59595,
  [SMALL_STATE(1548)] = 59621,
  [SMALL_STATE(1549)] = 59649,
  [SMALL_STATE(1550)] = 59683,
  [SMALL_STATE(1551)] = 59717,
  [SMALL_STATE(1552)] = 59741,
  [SMALL_STATE(1553)] = 59775,
  [SMALL_STATE(1554)] = 59803,
  [SMALL_STATE(1555)] = 59837,
  [SMALL_STATE(1556)] = 59871,
  [SMALL_STATE(1557)] = 59905,
  [SMALL_STATE(1558)] = 59935,
  [SMALL_STATE(1559)] = 59963,
  [SMALL_STATE(1560)] = 59997,
  [SMALL_STATE(1561)] = 60027,
  [SMALL_STATE(1562)] = 60057,
  [SMALL_STATE(1563)] = 60078,
  [SMALL_STATE(1564)] = 60105,
  [SMALL_STATE(1565)] = 60132,
  [SMALL_STATE(1566)] = 60159,
  [SMALL_STATE(1567)] = 60186,
  [SMALL_STATE(1568)] = 60211,
  [SMALL_STATE(1569)] = 60236,
  [SMALL_STATE(1570)] = 60259,
  [SMALL_STATE(1571)] = 60280,
  [SMALL_STATE(1572)] = 60301,
  [SMALL_STATE(1573)] = 60322,
  [SMALL_STATE(1574)] = 60351,
  [SMALL_STATE(1575)] = 60372,
  [SMALL_STATE(1576)] = 60399,
  [SMALL_STATE(1577)] = 60426,
  [SMALL_STATE(1578)] = 60453,
  [SMALL_STATE(1579)] = 60480,
  [SMALL_STATE(1580)] = 60501,
  [SMALL_STATE(1581)] = 60528,
  [SMALL_STATE(1582)] = 60557,
  [SMALL_STATE(1583)] = 60586,
  [SMALL_STATE(1584)] = 60615,
  [SMALL_STATE(1585)] = 60636,
  [SMALL_STATE(1586)] = 60657,
  [SMALL_STATE(1587)] = 60678,
  [SMALL_STATE(1588)] = 60699,
  [SMALL_STATE(1589)] = 60726,
  [SMALL_STATE(1590)] = 60753,
  [SMALL_STATE(1591)] = 60776,
  [SMALL_STATE(1592)] = 60801,
  [SMALL_STATE(1593)] = 60826,
  [SMALL_STATE(1594)] = 60855,
  [SMALL_STATE(1595)] = 60884,
  [SMALL_STATE(1596)] = 60913,
  [SMALL_STATE(1597)] = 60940,
  [SMALL_STATE(1598)] = 60969,
  [SMALL_STATE(1599)] = 60996,
  [SMALL_STATE(1600)] = 61021,
  [SMALL_STATE(1601)] = 61048,
  [SMALL_STATE(1602)] = 61069,
  [SMALL_STATE(1603)] = 61098,
  [SMALL_STATE(1604)] = 61123,
  [SMALL_STATE(1605)] = 61148,
  [SMALL_STATE(1606)] = 61169,
  [SMALL_STATE(1607)] = 61192,
  [SMALL_STATE(1608)] = 61213,
  [SMALL_STATE(1609)] = 61240,
  [SMALL_STATE(1610)] = 61267,
  [SMALL_STATE(1611)] = 61294,
  [SMALL_STATE(1612)] = 61315,
  [SMALL_STATE(1613)] = 61336,
  [SMALL_STATE(1614)] = 61357,
  [SMALL_STATE(1615)] = 61384,
  [SMALL_STATE(1616)] = 61407,
  [SMALL_STATE(1617)] = 61428,
  [SMALL_STATE(1618)] = 61456,
  [SMALL_STATE(1619)] = 61476,
  [SMALL_STATE(1620)] = 61504,
  [SMALL_STATE(1621)] = 61532,
  [SMALL_STATE(1622)] = 61552,
  [SMALL_STATE(1623)] = 61578,
  [SMALL_STATE(1624)] = 61604,
  [SMALL_STATE(1625)] = 61632,
  [SMALL_STATE(1626)] = 61658,
  [SMALL_STATE(1627)] = 61680,
  [SMALL_STATE(1628)] = 61702,
  [SMALL_STATE(1629)] = 61730,
  [SMALL_STATE(1630)] = 61758,
  [SMALL_STATE(1631)] = 61786,
  [SMALL_STATE(1632)] = 61808,
  [SMALL_STATE(1633)] = 61828,
  [SMALL_STATE(1634)] = 61848,
  [SMALL_STATE(1635)] = 61876,
  [SMALL_STATE(1636)] = 61898,
  [SMALL_STATE(1637)] = 61926,
  [SMALL_STATE(1638)] = 61954,
  [SMALL_STATE(1639)] = 61980,
  [SMALL_STATE(1640)] = 62006,
  [SMALL_STATE(1641)] = 62034,
  [SMALL_STATE(1642)] = 62062,
  [SMALL_STATE(1643)] = 62090,
  [SMALL_STATE(1644)] = 62118,
  [SMALL_STATE(1645)] = 62138,
  [SMALL_STATE(1646)] = 62166,
  [SMALL_STATE(1647)] = 62194,
  [SMALL_STATE(1648)] = 62222,
  [SMALL_STATE(1649)] = 62248,
  [SMALL_STATE(1650)] = 62274,
  [SMALL_STATE(1651)] = 62302,
  [SMALL_STATE(1652)] = 62330,
  [SMALL_STATE(1653)] = 62358,
  [SMALL_STATE(1654)] = 62386,
  [SMALL_STATE(1655)] = 62414,
  [SMALL_STATE(1656)] = 62434,
  [SMALL_STATE(1657)] = 62454,
  [SMALL_STATE(1658)] = 62474,
  [SMALL_STATE(1659)] = 62500,
  [SMALL_STATE(1660)] = 62522,
  [SMALL_STATE(1661)] = 62548,
  [SMALL_STATE(1662)] = 62574,
  [SMALL_STATE(1663)] = 62596,
  [SMALL_STATE(1664)] = 62616,
  [SMALL_STATE(1665)] = 62642,
  [SMALL_STATE(1666)] = 62668,
  [SMALL_STATE(1667)] = 62694,
  [SMALL_STATE(1668)] = 62716,
  [SMALL_STATE(1669)] = 62742,
  [SMALL_STATE(1670)] = 62768,
  [SMALL_STATE(1671)] = 62794,
  [SMALL_STATE(1672)] = 62820,
  [SMALL_STATE(1673)] = 62846,
  [SMALL_STATE(1674)] = 62872,
  [SMALL_STATE(1675)] = 62892,
  [SMALL_STATE(1676)] = 62920,
  [SMALL_STATE(1677)] = 62940,
  [SMALL_STATE(1678)] = 62960,
  [SMALL_STATE(1679)] = 62980,
  [SMALL_STATE(1680)] = 63004,
  [SMALL_STATE(1681)] = 63032,
  [SMALL_STATE(1682)] = 63052,
  [SMALL_STATE(1683)] = 63080,
  [SMALL_STATE(1684)] = 63100,
  [SMALL_STATE(1685)] = 63120,
  [SMALL_STATE(1686)] = 63148,
  [SMALL_STATE(1687)] = 63168,
  [SMALL_STATE(1688)] = 63188,
  [SMALL_STATE(1689)] = 63216,
  [SMALL_STATE(1690)] = 63244,
  [SMALL_STATE(1691)] = 63264,
  [SMALL_STATE(1692)] = 63284,
  [SMALL_STATE(1693)] = 63304,
  [SMALL_STATE(1694)] = 63324,
  [SMALL_STATE(1695)] = 63344,
  [SMALL_STATE(1696)] = 63364,
  [SMALL_STATE(1697)] = 63392,
  [SMALL_STATE(1698)] = 63412,
  [SMALL_STATE(1699)] = 63440,
  [SMALL_STATE(1700)] = 63466,
  [SMALL_STATE(1701)] = 63492,
  [SMALL_STATE(1702)] = 63512,
  [SMALL_STATE(1703)] = 63540,
  [SMALL_STATE(1704)] = 63560,
  [SMALL_STATE(1705)] = 63588,
  [SMALL_STATE(1706)] = 63608,
  [SMALL_STATE(1707)] = 63630,
  [SMALL_STATE(1708)] = 63649,
  [SMALL_STATE(1709)] = 63668,
  [SMALL_STATE(1710)] = 63689,
  [SMALL_STATE(1711)] = 63714,
  [SMALL_STATE(1712)] = 63735,
  [SMALL_STATE(1713)] = 63758,
  [SMALL_STATE(1714)] = 63783,
  [SMALL_STATE(1715)] = 63802,
  [SMALL_STATE(1716)] = 63825,
  [SMALL_STATE(1717)] = 63850,
  [SMALL_STATE(1718)] = 63869,
  [SMALL_STATE(1719)] = 63892,
  [SMALL_STATE(1720)] = 63915,
  [SMALL_STATE(1721)] = 63938,
  [SMALL_STATE(1722)] = 63961,
  [SMALL_STATE(1723)] = 63984,
  [SMALL_STATE(1724)] = 64007,
  [SMALL_STATE(1725)] = 64032,
  [SMALL_STATE(1726)] = 64051,
  [SMALL_STATE(1727)] = 64074,
  [SMALL_STATE(1728)] = 64093,
  [SMALL_STATE(1729)] = 64112,
  [SMALL_STATE(1730)] = 64131,
  [SMALL_STATE(1731)] = 64150,
  [SMALL_STATE(1732)] = 64169,
  [SMALL_STATE(1733)] = 64190,
  [SMALL_STATE(1734)] = 64209,
  [SMALL_STATE(1735)] = 64234,
  [SMALL_STATE(1736)] = 64257,
  [SMALL_STATE(1737)] = 64276,
  [SMALL_STATE(1738)] = 64295,
  [SMALL_STATE(1739)] = 64318,
  [SMALL_STATE(1740)] = 64337,
  [SMALL_STATE(1741)] = 64356,
  [SMALL_STATE(1742)] = 64375,
  [SMALL_STATE(1743)] = 64400,
  [SMALL_STATE(1744)] = 64423,
  [SMALL_STATE(1745)] = 64442,
  [SMALL_STATE(1746)] = 64461,
  [SMALL_STATE(1747)] = 64480,
  [SMALL_STATE(1748)] = 64499,
  [SMALL_STATE(1749)] = 64518,
  [SMALL_STATE(1750)] = 64541,
  [SMALL_STATE(1751)] = 64564,
  [SMALL_STATE(1752)] = 64587,
  [SMALL_STATE(1753)] = 64606,
  [SMALL_STATE(1754)] = 64625,
  [SMALL_STATE(1755)] = 64644,
  [SMALL_STATE(1756)] = 64669,
  [SMALL_STATE(1757)] = 64692,
  [SMALL_STATE(1758)] = 64715,
  [SMALL_STATE(1759)] = 64740,
  [SMALL_STATE(1760)] = 64759,
  [SMALL_STATE(1761)] = 64782,
  [SMALL_STATE(1762)] = 64807,
  [SMALL_STATE(1763)] = 64830,
  [SMALL_STATE(1764)] = 64851,
  [SMALL_STATE(1765)] = 64874,
  [SMALL_STATE(1766)] = 64897,
  [SMALL_STATE(1767)] = 64922,
  [SMALL_STATE(1768)] = 64941,
  [SMALL_STATE(1769)] = 64964,
  [SMALL_STATE(1770)] = 64987,
  [SMALL_STATE(1771)] = 65010,
  [SMALL_STATE(1772)] = 65029,
  [SMALL_STATE(1773)] = 65052,
  [SMALL_STATE(1774)] = 65071,
  [SMALL_STATE(1775)] = 65088,
  [SMALL_STATE(1776)] = 65111,
  [SMALL_STATE(1777)] = 65128,
  [SMALL_STATE(1778)] = 65149,
  [SMALL_STATE(1779)] = 65166,
  [SMALL_STATE(1780)] = 65183,
  [SMALL_STATE(1781)] = 65202,
  [SMALL_STATE(1782)] = 65221,
  [SMALL_STATE(1783)] = 65246,
  [SMALL_STATE(1784)] = 65267,
  [SMALL_STATE(1785)] = 65290,
  [SMALL_STATE(1786)] = 65313,
  [SMALL_STATE(1787)] = 65336,
  [SMALL_STATE(1788)] = 65359,
  [SMALL_STATE(1789)] = 65382,
  [SMALL_STATE(1790)] = 65407,
  [SMALL_STATE(1791)] = 65432,
  [SMALL_STATE(1792)] = 65455,
  [SMALL_STATE(1793)] = 65476,
  [SMALL_STATE(1794)] = 65499,
  [SMALL_STATE(1795)] = 65524,
  [SMALL_STATE(1796)] = 65549,
  [SMALL_STATE(1797)] = 65572,
  [SMALL_STATE(1798)] = 65597,
  [SMALL_STATE(1799)] = 65616,
  [SMALL_STATE(1800)] = 65639,
  [SMALL_STATE(1801)] = 65658,
  [SMALL_STATE(1802)] = 65683,
  [SMALL_STATE(1803)] = 65702,
  [SMALL_STATE(1804)] = 65723,
  [SMALL_STATE(1805)] = 65740,
  [SMALL_STATE(1806)] = 65763,
  [SMALL_STATE(1807)] = 65782,
  [SMALL_STATE(1808)] = 65805,
  [SMALL_STATE(1809)] = 65828,
  [SMALL_STATE(1810)] = 65853,
  [SMALL_STATE(1811)] = 65876,
  [SMALL_STATE(1812)] = 65895,
  [SMALL_STATE(1813)] = 65918,
  [SMALL_STATE(1814)] = 65941,
  [SMALL_STATE(1815)] = 65958,
  [SMALL_STATE(1816)] = 65981,
  [SMALL_STATE(1817)] = 66006,
  [SMALL_STATE(1818)] = 66029,
  [SMALL_STATE(1819)] = 66052,
  [SMALL_STATE(1820)] = 66075,
  [SMALL_STATE(1821)] = 66092,
  [SMALL_STATE(1822)] = 66117,
  [SMALL_STATE(1823)] = 66138,
  [SMALL_STATE(1824)] = 66155,
  [SMALL_STATE(1825)] = 66178,
  [SMALL_STATE(1826)] = 66199,
  [SMALL_STATE(1827)] = 66220,
  [SMALL_STATE(1828)] = 66243,
  [SMALL_STATE(1829)] = 66266,
  [SMALL_STATE(1830)] = 66287,
  [SMALL_STATE(1831)] = 66312,
  [SMALL_STATE(1832)] = 66333,
  [SMALL_STATE(1833)] = 66354,
  [SMALL_STATE(1834)] = 66375,
  [SMALL_STATE(1835)] = 66394,
  [SMALL_STATE(1836)] = 66415,
  [SMALL_STATE(1837)] = 66438,
  [SMALL_STATE(1838)] = 66457,
  [SMALL_STATE(1839)] = 66482,
  [SMALL_STATE(1840)] = 66505,
  [SMALL_STATE(1841)] = 66522,
  [SMALL_STATE(1842)] = 66541,
  [SMALL_STATE(1843)] = 66566,
  [SMALL_STATE(1844)] = 66582,
  [SMALL_STATE(1845)] = 66604,
  [SMALL_STATE(1846)] = 66622,
  [SMALL_STATE(1847)] = 66644,
  [SMALL_STATE(1848)] = 66660,
  [SMALL_STATE(1849)] = 66682,
  [SMALL_STATE(1850)] = 66698,
  [SMALL_STATE(1851)] = 66714,
  [SMALL_STATE(1852)] = 66734,
  [SMALL_STATE(1853)] = 66752,
  [SMALL_STATE(1854)] = 66774,
  [SMALL_STATE(1855)] = 66794,
  [SMALL_STATE(1856)] = 66816,
  [SMALL_STATE(1857)] = 66838,
  [SMALL_STATE(1858)] = 66860,
  [SMALL_STATE(1859)] = 66882,
  [SMALL_STATE(1860)] = 66904,
  [SMALL_STATE(1861)] = 66926,
  [SMALL_STATE(1862)] = 66948,
  [SMALL_STATE(1863)] = 66970,
  [SMALL_STATE(1864)] = 66992,
  [SMALL_STATE(1865)] = 67014,
  [SMALL_STATE(1866)] = 67032,
  [SMALL_STATE(1867)] = 67054,
  [SMALL_STATE(1868)] = 67070,
  [SMALL_STATE(1869)] = 67090,
  [SMALL_STATE(1870)] = 67112,
  [SMALL_STATE(1871)] = 67134,
  [SMALL_STATE(1872)] = 67156,
  [SMALL_STATE(1873)] = 67174,
  [SMALL_STATE(1874)] = 67196,
  [SMALL_STATE(1875)] = 67218,
  [SMALL_STATE(1876)] = 67240,
  [SMALL_STATE(1877)] = 67262,
  [SMALL_STATE(1878)] = 67284,
  [SMALL_STATE(1879)] = 67306,
  [SMALL_STATE(1880)] = 67328,
  [SMALL_STATE(1881)] = 67348,
  [SMALL_STATE(1882)] = 67364,
  [SMALL_STATE(1883)] = 67380,
  [SMALL_STATE(1884)] = 67402,
  [SMALL_STATE(1885)] = 67424,
  [SMALL_STATE(1886)] = 67440,
  [SMALL_STATE(1887)] = 67462,
  [SMALL_STATE(1888)] = 67478,
  [SMALL_STATE(1889)] = 67496,
  [SMALL_STATE(1890)] = 67518,
  [SMALL_STATE(1891)] = 67534,
  [SMALL_STATE(1892)] = 67554,
  [SMALL_STATE(1893)] = 67572,
  [SMALL_STATE(1894)] = 67590,
  [SMALL_STATE(1895)] = 67608,
  [SMALL_STATE(1896)] = 67626,
  [SMALL_STATE(1897)] = 67648,
  [SMALL_STATE(1898)] = 67666,
  [SMALL_STATE(1899)] = 67688,
  [SMALL_STATE(1900)] = 67706,
  [SMALL_STATE(1901)] = 67726,
  [SMALL_STATE(1902)] = 67748,
  [SMALL_STATE(1903)] = 67768,
  [SMALL_STATE(1904)] = 67788,
  [SMALL_STATE(1905)] = 67810,
  [SMALL_STATE(1906)] = 67828,
  [SMALL_STATE(1907)] = 67848,
  [SMALL_STATE(1908)] = 67868,
  [SMALL_STATE(1909)] = 67886,
  [SMALL_STATE(1910)] = 67906,
  [SMALL_STATE(1911)] = 67926,
  [SMALL_STATE(1912)] = 67944,
  [SMALL_STATE(1913)] = 67966,
  [SMALL_STATE(1914)] = 67986,
  [SMALL_STATE(1915)] = 68002,
  [SMALL_STATE(1916)] = 68018,
  [SMALL_STATE(1917)] = 68040,
  [SMALL_STATE(1918)] = 68058,
  [SMALL_STATE(1919)] = 68080,
  [SMALL_STATE(1920)] = 68100,
  [SMALL_STATE(1921)] = 68118,
  [SMALL_STATE(1922)] = 68138,
  [SMALL_STATE(1923)] = 68160,
  [SMALL_STATE(1924)] = 68182,
  [SMALL_STATE(1925)] = 68204,
  [SMALL_STATE(1926)] = 68220,
  [SMALL_STATE(1927)] = 68240,
  [SMALL_STATE(1928)] = 68262,
  [SMALL_STATE(1929)] = 68282,
  [SMALL_STATE(1930)] = 68298,
  [SMALL_STATE(1931)] = 68318,
  [SMALL_STATE(1932)] = 68340,
  [SMALL_STATE(1933)] = 68360,
  [SMALL_STATE(1934)] = 68382,
  [SMALL_STATE(1935)] = 68402,
  [SMALL_STATE(1936)] = 68424,
  [SMALL_STATE(1937)] = 68446,
  [SMALL_STATE(1938)] = 68466,
  [SMALL_STATE(1939)] = 68488,
  [SMALL_STATE(1940)] = 68506,
  [SMALL_STATE(1941)] = 68526,
  [SMALL_STATE(1942)] = 68542,
  [SMALL_STATE(1943)] = 68564,
  [SMALL_STATE(1944)] = 68586,
  [SMALL_STATE(1945)] = 68602,
  [SMALL_STATE(1946)] = 68622,
  [SMALL_STATE(1947)] = 68644,
  [SMALL_STATE(1948)] = 68660,
  [SMALL_STATE(1949)] = 68682,
  [SMALL_STATE(1950)] = 68700,
  [SMALL_STATE(1951)] = 68716,
  [SMALL_STATE(1952)] = 68734,
  [SMALL_STATE(1953)] = 68754,
  [SMALL_STATE(1954)] = 68773,
  [SMALL_STATE(1955)] = 68790,
  [SMALL_STATE(1956)] = 68807,
  [SMALL_STATE(1957)] = 68822,
  [SMALL_STATE(1958)] = 68839,
  [SMALL_STATE(1959)] = 68856,
  [SMALL_STATE(1960)] = 68873,
  [SMALL_STATE(1961)] = 68890,
  [SMALL_STATE(1962)] = 68907,
  [SMALL_STATE(1963)] = 68924,
  [SMALL_STATE(1964)] = 68941,
  [SMALL_STATE(1965)] = 68956,
  [SMALL_STATE(1966)] = 68971,
  [SMALL_STATE(1967)] = 68988,
  [SMALL_STATE(1968)] = 69003,
  [SMALL_STATE(1969)] = 69020,
  [SMALL_STATE(1970)] = 69037,
  [SMALL_STATE(1971)] = 69054,
  [SMALL_STATE(1972)] = 69071,
  [SMALL_STATE(1973)] = 69090,
  [SMALL_STATE(1974)] = 69109,
  [SMALL_STATE(1975)] = 69126,
  [SMALL_STATE(1976)] = 69143,
  [SMALL_STATE(1977)] = 69158,
  [SMALL_STATE(1978)] = 69175,
  [SMALL_STATE(1979)] = 69192,
  [SMALL_STATE(1980)] = 69209,
  [SMALL_STATE(1981)] = 69228,
  [SMALL_STATE(1982)] = 69245,
  [SMALL_STATE(1983)] = 69262,
  [SMALL_STATE(1984)] = 69277,
  [SMALL_STATE(1985)] = 69294,
  [SMALL_STATE(1986)] = 69311,
  [SMALL_STATE(1987)] = 69328,
  [SMALL_STATE(1988)] = 69347,
  [SMALL_STATE(1989)] = 69364,
  [SMALL_STATE(1990)] = 69381,
  [SMALL_STATE(1991)] = 69398,
  [SMALL_STATE(1992)] = 69415,
  [SMALL_STATE(1993)] = 69434,
  [SMALL_STATE(1994)] = 69453,
  [SMALL_STATE(1995)] = 69472,
  [SMALL_STATE(1996)] = 69491,
  [SMALL_STATE(1997)] = 69508,
  [SMALL_STATE(1998)] = 69525,
  [SMALL_STATE(1999)] = 69544,
  [SMALL_STATE(2000)] = 69563,
  [SMALL_STATE(2001)] = 69580,
  [SMALL_STATE(2002)] = 69597,
  [SMALL_STATE(2003)] = 69614,
  [SMALL_STATE(2004)] = 69631,
  [SMALL_STATE(2005)] = 69648,
  [SMALL_STATE(2006)] = 69665,
  [SMALL_STATE(2007)] = 69682,
  [SMALL_STATE(2008)] = 69699,
  [SMALL_STATE(2009)] = 69716,
  [SMALL_STATE(2010)] = 69733,
  [SMALL_STATE(2011)] = 69750,
  [SMALL_STATE(2012)] = 69769,
  [SMALL_STATE(2013)] = 69786,
  [SMALL_STATE(2014)] = 69803,
  [SMALL_STATE(2015)] = 69820,
  [SMALL_STATE(2016)] = 69839,
  [SMALL_STATE(2017)] = 69856,
  [SMALL_STATE(2018)] = 69875,
  [SMALL_STATE(2019)] = 69894,
  [SMALL_STATE(2020)] = 69913,
  [SMALL_STATE(2021)] = 69930,
  [SMALL_STATE(2022)] = 69947,
  [SMALL_STATE(2023)] = 69964,
  [SMALL_STATE(2024)] = 69981,
  [SMALL_STATE(2025)] = 69998,
  [SMALL_STATE(2026)] = 70015,
  [SMALL_STATE(2027)] = 70032,
  [SMALL_STATE(2028)] = 70049,
  [SMALL_STATE(2029)] = 70066,
  [SMALL_STATE(2030)] = 70085,
  [SMALL_STATE(2031)] = 70104,
  [SMALL_STATE(2032)] = 70121,
  [SMALL_STATE(2033)] = 70138,
  [SMALL_STATE(2034)] = 70155,
  [SMALL_STATE(2035)] = 70172,
  [SMALL_STATE(2036)] = 70189,
  [SMALL_STATE(2037)] = 70206,
  [SMALL_STATE(2038)] = 70223,
  [SMALL_STATE(2039)] = 70242,
  [SMALL_STATE(2040)] = 70259,
  [SMALL_STATE(2041)] = 70278,
  [SMALL_STATE(2042)] = 70295,
  [SMALL_STATE(2043)] = 70314,
  [SMALL_STATE(2044)] = 70333,
  [SMALL_STATE(2045)] = 70350,
  [SMALL_STATE(2046)] = 70367,
  [SMALL_STATE(2047)] = 70386,
  [SMALL_STATE(2048)] = 70403,
  [SMALL_STATE(2049)] = 70420,
  [SMALL_STATE(2050)] = 70437,
  [SMALL_STATE(2051)] = 70454,
  [SMALL_STATE(2052)] = 70471,
  [SMALL_STATE(2053)] = 70488,
  [SMALL_STATE(2054)] = 70505,
  [SMALL_STATE(2055)] = 70522,
  [SMALL_STATE(2056)] = 70539,
  [SMALL_STATE(2057)] = 70558,
  [SMALL_STATE(2058)] = 70575,
  [SMALL_STATE(2059)] = 70590,
  [SMALL_STATE(2060)] = 70609,
  [SMALL_STATE(2061)] = 70626,
  [SMALL_STATE(2062)] = 70643,
  [SMALL_STATE(2063)] = 70662,
  [SMALL_STATE(2064)] = 70679,
  [SMALL_STATE(2065)] = 70696,
  [SMALL_STATE(2066)] = 70713,
  [SMALL_STATE(2067)] = 70728,
  [SMALL_STATE(2068)] = 70745,
  [SMALL_STATE(2069)] = 70762,
  [SMALL_STATE(2070)] = 70781,
  [SMALL_STATE(2071)] = 70800,
  [SMALL_STATE(2072)] = 70819,
  [SMALL_STATE(2073)] = 70838,
  [SMALL_STATE(2074)] = 70855,
  [SMALL_STATE(2075)] = 70872,
  [SMALL_STATE(2076)] = 70889,
  [SMALL_STATE(2077)] = 70906,
  [SMALL_STATE(2078)] = 70923,
  [SMALL_STATE(2079)] = 70942,
  [SMALL_STATE(2080)] = 70959,
  [SMALL_STATE(2081)] = 70976,
  [SMALL_STATE(2082)] = 70995,
  [SMALL_STATE(2083)] = 71014,
  [SMALL_STATE(2084)] = 71033,
  [SMALL_STATE(2085)] = 71052,
  [SMALL_STATE(2086)] = 71069,
  [SMALL_STATE(2087)] = 71086,
  [SMALL_STATE(2088)] = 71103,
  [SMALL_STATE(2089)] = 71120,
  [SMALL_STATE(2090)] = 71137,
  [SMALL_STATE(2091)] = 71154,
  [SMALL_STATE(2092)] = 71173,
  [SMALL_STATE(2093)] = 71192,
  [SMALL_STATE(2094)] = 71209,
  [SMALL_STATE(2095)] = 71228,
  [SMALL_STATE(2096)] = 71245,
  [SMALL_STATE(2097)] = 71262,
  [SMALL_STATE(2098)] = 71279,
  [SMALL_STATE(2099)] = 71298,
  [SMALL_STATE(2100)] = 71315,
  [SMALL_STATE(2101)] = 71332,
  [SMALL_STATE(2102)] = 71349,
  [SMALL_STATE(2103)] = 71366,
  [SMALL_STATE(2104)] = 71383,
  [SMALL_STATE(2105)] = 71400,
  [SMALL_STATE(2106)] = 71417,
  [SMALL_STATE(2107)] = 71434,
  [SMALL_STATE(2108)] = 71451,
  [SMALL_STATE(2109)] = 71468,
  [SMALL_STATE(2110)] = 71485,
  [SMALL_STATE(2111)] = 71502,
  [SMALL_STATE(2112)] = 71519,
  [SMALL_STATE(2113)] = 71536,
  [SMALL_STATE(2114)] = 71555,
  [SMALL_STATE(2115)] = 71572,
  [SMALL_STATE(2116)] = 71591,
  [SMALL_STATE(2117)] = 71610,
  [SMALL_STATE(2118)] = 71629,
  [SMALL_STATE(2119)] = 71646,
  [SMALL_STATE(2120)] = 71663,
  [SMALL_STATE(2121)] = 71680,
  [SMALL_STATE(2122)] = 71697,
  [SMALL_STATE(2123)] = 71714,
  [SMALL_STATE(2124)] = 71731,
  [SMALL_STATE(2125)] = 71748,
  [SMALL_STATE(2126)] = 71765,
  [SMALL_STATE(2127)] = 71782,
  [SMALL_STATE(2128)] = 71799,
  [SMALL_STATE(2129)] = 71816,
  [SMALL_STATE(2130)] = 71833,
  [SMALL_STATE(2131)] = 71850,
  [SMALL_STATE(2132)] = 71869,
  [SMALL_STATE(2133)] = 71886,
  [SMALL_STATE(2134)] = 71903,
  [SMALL_STATE(2135)] = 71922,
  [SMALL_STATE(2136)] = 71941,
  [SMALL_STATE(2137)] = 71956,
  [SMALL_STATE(2138)] = 71973,
  [SMALL_STATE(2139)] = 71990,
  [SMALL_STATE(2140)] = 72007,
  [SMALL_STATE(2141)] = 72024,
  [SMALL_STATE(2142)] = 72041,
  [SMALL_STATE(2143)] = 72058,
  [SMALL_STATE(2144)] = 72077,
  [SMALL_STATE(2145)] = 72094,
  [SMALL_STATE(2146)] = 72113,
  [SMALL_STATE(2147)] = 72130,
  [SMALL_STATE(2148)] = 72149,
  [SMALL_STATE(2149)] = 72166,
  [SMALL_STATE(2150)] = 72183,
  [SMALL_STATE(2151)] = 72200,
  [SMALL_STATE(2152)] = 72217,
  [SMALL_STATE(2153)] = 72234,
  [SMALL_STATE(2154)] = 72251,
  [SMALL_STATE(2155)] = 72268,
  [SMALL_STATE(2156)] = 72287,
  [SMALL_STATE(2157)] = 72306,
  [SMALL_STATE(2158)] = 72323,
  [SMALL_STATE(2159)] = 72340,
  [SMALL_STATE(2160)] = 72359,
  [SMALL_STATE(2161)] = 72378,
  [SMALL_STATE(2162)] = 72395,
  [SMALL_STATE(2163)] = 72414,
  [SMALL_STATE(2164)] = 72431,
  [SMALL_STATE(2165)] = 72448,
  [SMALL_STATE(2166)] = 72465,
  [SMALL_STATE(2167)] = 72484,
  [SMALL_STATE(2168)] = 72501,
  [SMALL_STATE(2169)] = 72518,
  [SMALL_STATE(2170)] = 72535,
  [SMALL_STATE(2171)] = 72554,
  [SMALL_STATE(2172)] = 72573,
  [SMALL_STATE(2173)] = 72590,
  [SMALL_STATE(2174)] = 72605,
  [SMALL_STATE(2175)] = 72624,
  [SMALL_STATE(2176)] = 72639,
  [SMALL_STATE(2177)] = 72656,
  [SMALL_STATE(2178)] = 72673,
  [SMALL_STATE(2179)] = 72692,
  [SMALL_STATE(2180)] = 72711,
  [SMALL_STATE(2181)] = 72726,
  [SMALL_STATE(2182)] = 72745,
  [SMALL_STATE(2183)] = 72760,
  [SMALL_STATE(2184)] = 72775,
  [SMALL_STATE(2185)] = 72792,
  [SMALL_STATE(2186)] = 72811,
  [SMALL_STATE(2187)] = 72828,
  [SMALL_STATE(2188)] = 72847,
  [SMALL_STATE(2189)] = 72864,
  [SMALL_STATE(2190)] = 72881,
  [SMALL_STATE(2191)] = 72898,
  [SMALL_STATE(2192)] = 72915,
  [SMALL_STATE(2193)] = 72934,
  [SMALL_STATE(2194)] = 72951,
  [SMALL_STATE(2195)] = 72968,
  [SMALL_STATE(2196)] = 72985,
  [SMALL_STATE(2197)] = 73004,
  [SMALL_STATE(2198)] = 73023,
  [SMALL_STATE(2199)] = 73038,
  [SMALL_STATE(2200)] = 73053,
  [SMALL_STATE(2201)] = 73072,
  [SMALL_STATE(2202)] = 73089,
  [SMALL_STATE(2203)] = 73106,
  [SMALL_STATE(2204)] = 73123,
  [SMALL_STATE(2205)] = 73140,
  [SMALL_STATE(2206)] = 73157,
  [SMALL_STATE(2207)] = 73176,
  [SMALL_STATE(2208)] = 73195,
  [SMALL_STATE(2209)] = 73212,
  [SMALL_STATE(2210)] = 73229,
  [SMALL_STATE(2211)] = 73248,
  [SMALL_STATE(2212)] = 73267,
  [SMALL_STATE(2213)] = 73286,
  [SMALL_STATE(2214)] = 73303,
  [SMALL_STATE(2215)] = 73318,
  [SMALL_STATE(2216)] = 73337,
  [SMALL_STATE(2217)] = 73354,
  [SMALL_STATE(2218)] = 73371,
  [SMALL_STATE(2219)] = 73388,
  [SMALL_STATE(2220)] = 73405,
  [SMALL_STATE(2221)] = 73420,
  [SMALL_STATE(2222)] = 73439,
  [SMALL_STATE(2223)] = 73454,
  [SMALL_STATE(2224)] = 73471,
  [SMALL_STATE(2225)] = 73490,
  [SMALL_STATE(2226)] = 73505,
  [SMALL_STATE(2227)] = 73520,
  [SMALL_STATE(2228)] = 73539,
  [SMALL_STATE(2229)] = 73556,
  [SMALL_STATE(2230)] = 73575,
  [SMALL_STATE(2231)] = 73594,
  [SMALL_STATE(2232)] = 73613,
  [SMALL_STATE(2233)] = 73632,
  [SMALL_STATE(2234)] = 73649,
  [SMALL_STATE(2235)] = 73668,
  [SMALL_STATE(2236)] = 73687,
  [SMALL_STATE(2237)] = 73704,
  [SMALL_STATE(2238)] = 73721,
  [SMALL_STATE(2239)] = 73738,
  [SMALL_STATE(2240)] = 73757,
  [SMALL_STATE(2241)] = 73776,
  [SMALL_STATE(2242)] = 73795,
  [SMALL_STATE(2243)] = 73812,
  [SMALL_STATE(2244)] = 73827,
  [SMALL_STATE(2245)] = 73844,
  [SMALL_STATE(2246)] = 73863,
  [SMALL_STATE(2247)] = 73882,
  [SMALL_STATE(2248)] = 73899,
  [SMALL_STATE(2249)] = 73916,
  [SMALL_STATE(2250)] = 73933,
  [SMALL_STATE(2251)] = 73950,
  [SMALL_STATE(2252)] = 73967,
  [SMALL_STATE(2253)] = 73984,
  [SMALL_STATE(2254)] = 74001,
  [SMALL_STATE(2255)] = 74018,
  [SMALL_STATE(2256)] = 74035,
  [SMALL_STATE(2257)] = 74052,
  [SMALL_STATE(2258)] = 74069,
  [SMALL_STATE(2259)] = 74088,
  [SMALL_STATE(2260)] = 74107,
  [SMALL_STATE(2261)] = 74126,
  [SMALL_STATE(2262)] = 74143,
  [SMALL_STATE(2263)] = 74160,
  [SMALL_STATE(2264)] = 74177,
  [SMALL_STATE(2265)] = 74194,
  [SMALL_STATE(2266)] = 74213,
  [SMALL_STATE(2267)] = 74230,
  [SMALL_STATE(2268)] = 74247,
  [SMALL_STATE(2269)] = 74266,
  [SMALL_STATE(2270)] = 74283,
  [SMALL_STATE(2271)] = 74300,
  [SMALL_STATE(2272)] = 74317,
  [SMALL_STATE(2273)] = 74334,
  [SMALL_STATE(2274)] = 74351,
  [SMALL_STATE(2275)] = 74368,
  [SMALL_STATE(2276)] = 74385,
  [SMALL_STATE(2277)] = 74402,
  [SMALL_STATE(2278)] = 74419,
  [SMALL_STATE(2279)] = 74436,
  [SMALL_STATE(2280)] = 74453,
  [SMALL_STATE(2281)] = 74470,
  [SMALL_STATE(2282)] = 74487,
  [SMALL_STATE(2283)] = 74504,
  [SMALL_STATE(2284)] = 74521,
  [SMALL_STATE(2285)] = 74538,
  [SMALL_STATE(2286)] = 74553,
  [SMALL_STATE(2287)] = 74570,
  [SMALL_STATE(2288)] = 74587,
  [SMALL_STATE(2289)] = 74604,
  [SMALL_STATE(2290)] = 74623,
  [SMALL_STATE(2291)] = 74642,
  [SMALL_STATE(2292)] = 74659,
  [SMALL_STATE(2293)] = 74678,
  [SMALL_STATE(2294)] = 74697,
  [SMALL_STATE(2295)] = 74714,
  [SMALL_STATE(2296)] = 74733,
  [SMALL_STATE(2297)] = 74748,
  [SMALL_STATE(2298)] = 74765,
  [SMALL_STATE(2299)] = 74779,
  [SMALL_STATE(2300)] = 74795,
  [SMALL_STATE(2301)] = 74811,
  [SMALL_STATE(2302)] = 74827,
  [SMALL_STATE(2303)] = 74843,
  [SMALL_STATE(2304)] = 74859,
  [SMALL_STATE(2305)] = 74875,
  [SMALL_STATE(2306)] = 74891,
  [SMALL_STATE(2307)] = 74905,
  [SMALL_STATE(2308)] = 74921,
  [SMALL_STATE(2309)] = 74937,
  [SMALL_STATE(2310)] = 74953,
  [SMALL_STATE(2311)] = 74967,
  [SMALL_STATE(2312)] = 74983,
  [SMALL_STATE(2313)] = 74999,
  [SMALL_STATE(2314)] = 75013,
  [SMALL_STATE(2315)] = 75029,
  [SMALL_STATE(2316)] = 75045,
  [SMALL_STATE(2317)] = 75061,
  [SMALL_STATE(2318)] = 75077,
  [SMALL_STATE(2319)] = 75093,
  [SMALL_STATE(2320)] = 75109,
  [SMALL_STATE(2321)] = 75123,
  [SMALL_STATE(2322)] = 75139,
  [SMALL_STATE(2323)] = 75155,
  [SMALL_STATE(2324)] = 75171,
  [SMALL_STATE(2325)] = 75187,
  [SMALL_STATE(2326)] = 75203,
  [SMALL_STATE(2327)] = 75219,
  [SMALL_STATE(2328)] = 75233,
  [SMALL_STATE(2329)] = 75249,
  [SMALL_STATE(2330)] = 75263,
  [SMALL_STATE(2331)] = 75279,
  [SMALL_STATE(2332)] = 75293,
  [SMALL_STATE(2333)] = 75309,
  [SMALL_STATE(2334)] = 75323,
  [SMALL_STATE(2335)] = 75337,
  [SMALL_STATE(2336)] = 75353,
  [SMALL_STATE(2337)] = 75369,
  [SMALL_STATE(2338)] = 75383,
  [SMALL_STATE(2339)] = 75397,
  [SMALL_STATE(2340)] = 75411,
  [SMALL_STATE(2341)] = 75425,
  [SMALL_STATE(2342)] = 75439,
  [SMALL_STATE(2343)] = 75455,
  [SMALL_STATE(2344)] = 75471,
  [SMALL_STATE(2345)] = 75487,
  [SMALL_STATE(2346)] = 75503,
  [SMALL_STATE(2347)] = 75517,
  [SMALL_STATE(2348)] = 75533,
  [SMALL_STATE(2349)] = 75549,
  [SMALL_STATE(2350)] = 75565,
  [SMALL_STATE(2351)] = 75581,
  [SMALL_STATE(2352)] = 75597,
  [SMALL_STATE(2353)] = 75613,
  [SMALL_STATE(2354)] = 75629,
  [SMALL_STATE(2355)] = 75645,
  [SMALL_STATE(2356)] = 75659,
  [SMALL_STATE(2357)] = 75675,
  [SMALL_STATE(2358)] = 75689,
  [SMALL_STATE(2359)] = 75705,
  [SMALL_STATE(2360)] = 75719,
  [SMALL_STATE(2361)] = 75735,
  [SMALL_STATE(2362)] = 75749,
  [SMALL_STATE(2363)] = 75765,
  [SMALL_STATE(2364)] = 75779,
  [SMALL_STATE(2365)] = 75793,
  [SMALL_STATE(2366)] = 75809,
  [SMALL_STATE(2367)] = 75823,
  [SMALL_STATE(2368)] = 75837,
  [SMALL_STATE(2369)] = 75853,
  [SMALL_STATE(2370)] = 75869,
  [SMALL_STATE(2371)] = 75885,
  [SMALL_STATE(2372)] = 75901,
  [SMALL_STATE(2373)] = 75915,
  [SMALL_STATE(2374)] = 75931,
  [SMALL_STATE(2375)] = 75945,
  [SMALL_STATE(2376)] = 75961,
  [SMALL_STATE(2377)] = 75977,
  [SMALL_STATE(2378)] = 75993,
  [SMALL_STATE(2379)] = 76009,
  [SMALL_STATE(2380)] = 76023,
  [SMALL_STATE(2381)] = 76039,
  [SMALL_STATE(2382)] = 76055,
  [SMALL_STATE(2383)] = 76071,
  [SMALL_STATE(2384)] = 76087,
  [SMALL_STATE(2385)] = 76103,
  [SMALL_STATE(2386)] = 76119,
  [SMALL_STATE(2387)] = 76133,
  [SMALL_STATE(2388)] = 76149,
  [SMALL_STATE(2389)] = 76165,
  [SMALL_STATE(2390)] = 76181,
  [SMALL_STATE(2391)] = 76197,
  [SMALL_STATE(2392)] = 76213,
  [SMALL_STATE(2393)] = 76227,
  [SMALL_STATE(2394)] = 76243,
  [SMALL_STATE(2395)] = 76259,
  [SMALL_STATE(2396)] = 76273,
  [SMALL_STATE(2397)] = 76289,
  [SMALL_STATE(2398)] = 76305,
  [SMALL_STATE(2399)] = 76319,
  [SMALL_STATE(2400)] = 76335,
  [SMALL_STATE(2401)] = 76349,
  [SMALL_STATE(2402)] = 76363,
  [SMALL_STATE(2403)] = 76379,
  [SMALL_STATE(2404)] = 76395,
  [SMALL_STATE(2405)] = 76411,
  [SMALL_STATE(2406)] = 76425,
  [SMALL_STATE(2407)] = 76439,
  [SMALL_STATE(2408)] = 76453,
  [SMALL_STATE(2409)] = 76467,
  [SMALL_STATE(2410)] = 76483,
  [SMALL_STATE(2411)] = 76499,
  [SMALL_STATE(2412)] = 76515,
  [SMALL_STATE(2413)] = 76531,
  [SMALL_STATE(2414)] = 76547,
  [SMALL_STATE(2415)] = 76563,
  [SMALL_STATE(2416)] = 76579,
  [SMALL_STATE(2417)] = 76595,
  [SMALL_STATE(2418)] = 76609,
  [SMALL_STATE(2419)] = 76625,
  [SMALL_STATE(2420)] = 76639,
  [SMALL_STATE(2421)] = 76655,
  [SMALL_STATE(2422)] = 76671,
  [SMALL_STATE(2423)] = 76687,
  [SMALL_STATE(2424)] = 76701,
  [SMALL_STATE(2425)] = 76715,
  [SMALL_STATE(2426)] = 76731,
  [SMALL_STATE(2427)] = 76745,
  [SMALL_STATE(2428)] = 76761,
  [SMALL_STATE(2429)] = 76777,
  [SMALL_STATE(2430)] = 76791,
  [SMALL_STATE(2431)] = 76805,
  [SMALL_STATE(2432)] = 76821,
  [SMALL_STATE(2433)] = 76835,
  [SMALL_STATE(2434)] = 76851,
  [SMALL_STATE(2435)] = 76865,
  [SMALL_STATE(2436)] = 76879,
  [SMALL_STATE(2437)] = 76893,
  [SMALL_STATE(2438)] = 76909,
  [SMALL_STATE(2439)] = 76925,
  [SMALL_STATE(2440)] = 76939,
  [SMALL_STATE(2441)] = 76955,
  [SMALL_STATE(2442)] = 76971,
  [SMALL_STATE(2443)] = 76987,
  [SMALL_STATE(2444)] = 77003,
  [SMALL_STATE(2445)] = 77017,
  [SMALL_STATE(2446)] = 77033,
  [SMALL_STATE(2447)] = 77049,
  [SMALL_STATE(2448)] = 77063,
  [SMALL_STATE(2449)] = 77077,
  [SMALL_STATE(2450)] = 77091,
  [SMALL_STATE(2451)] = 77105,
  [SMALL_STATE(2452)] = 77121,
  [SMALL_STATE(2453)] = 77137,
  [SMALL_STATE(2454)] = 77153,
  [SMALL_STATE(2455)] = 77169,
  [SMALL_STATE(2456)] = 77185,
  [SMALL_STATE(2457)] = 77201,
  [SMALL_STATE(2458)] = 77215,
  [SMALL_STATE(2459)] = 77229,
  [SMALL_STATE(2460)] = 77243,
  [SMALL_STATE(2461)] = 77259,
  [SMALL_STATE(2462)] = 77275,
  [SMALL_STATE(2463)] = 77291,
  [SMALL_STATE(2464)] = 77305,
  [SMALL_STATE(2465)] = 77319,
  [SMALL_STATE(2466)] = 77333,
  [SMALL_STATE(2467)] = 77349,
  [SMALL_STATE(2468)] = 77365,
  [SMALL_STATE(2469)] = 77379,
  [SMALL_STATE(2470)] = 77395,
  [SMALL_STATE(2471)] = 77411,
  [SMALL_STATE(2472)] = 77427,
  [SMALL_STATE(2473)] = 77443,
  [SMALL_STATE(2474)] = 77459,
  [SMALL_STATE(2475)] = 77473,
  [SMALL_STATE(2476)] = 77487,
  [SMALL_STATE(2477)] = 77503,
  [SMALL_STATE(2478)] = 77519,
  [SMALL_STATE(2479)] = 77535,
  [SMALL_STATE(2480)] = 77551,
  [SMALL_STATE(2481)] = 77567,
  [SMALL_STATE(2482)] = 77583,
  [SMALL_STATE(2483)] = 77597,
  [SMALL_STATE(2484)] = 77611,
  [SMALL_STATE(2485)] = 77627,
  [SMALL_STATE(2486)] = 77643,
  [SMALL_STATE(2487)] = 77659,
  [SMALL_STATE(2488)] = 77675,
  [SMALL_STATE(2489)] = 77691,
  [SMALL_STATE(2490)] = 77707,
  [SMALL_STATE(2491)] = 77723,
  [SMALL_STATE(2492)] = 77739,
  [SMALL_STATE(2493)] = 77755,
  [SMALL_STATE(2494)] = 77769,
  [SMALL_STATE(2495)] = 77785,
  [SMALL_STATE(2496)] = 77799,
  [SMALL_STATE(2497)] = 77813,
  [SMALL_STATE(2498)] = 77827,
  [SMALL_STATE(2499)] = 77843,
  [SMALL_STATE(2500)] = 77859,
  [SMALL_STATE(2501)] = 77873,
  [SMALL_STATE(2502)] = 77889,
  [SMALL_STATE(2503)] = 77905,
  [SMALL_STATE(2504)] = 77921,
  [SMALL_STATE(2505)] = 77935,
  [SMALL_STATE(2506)] = 77948,
  [SMALL_STATE(2507)] = 77961,
  [SMALL_STATE(2508)] = 77974,
  [SMALL_STATE(2509)] = 77987,
  [SMALL_STATE(2510)] = 78000,
  [SMALL_STATE(2511)] = 78013,
  [SMALL_STATE(2512)] = 78026,
  [SMALL_STATE(2513)] = 78039,
  [SMALL_STATE(2514)] = 78052,
  [SMALL_STATE(2515)] = 78065,
  [SMALL_STATE(2516)] = 78078,
  [SMALL_STATE(2517)] = 78091,
  [SMALL_STATE(2518)] = 78104,
  [SMALL_STATE(2519)] = 78117,
  [SMALL_STATE(2520)] = 78130,
  [SMALL_STATE(2521)] = 78143,
  [SMALL_STATE(2522)] = 78156,
  [SMALL_STATE(2523)] = 78169,
  [SMALL_STATE(2524)] = 78182,
  [SMALL_STATE(2525)] = 78195,
  [SMALL_STATE(2526)] = 78208,
  [SMALL_STATE(2527)] = 78221,
  [SMALL_STATE(2528)] = 78234,
  [SMALL_STATE(2529)] = 78247,
  [SMALL_STATE(2530)] = 78260,
  [SMALL_STATE(2531)] = 78273,
  [SMALL_STATE(2532)] = 78286,
  [SMALL_STATE(2533)] = 78299,
  [SMALL_STATE(2534)] = 78312,
  [SMALL_STATE(2535)] = 78325,
  [SMALL_STATE(2536)] = 78338,
  [SMALL_STATE(2537)] = 78351,
  [SMALL_STATE(2538)] = 78364,
  [SMALL_STATE(2539)] = 78377,
  [SMALL_STATE(2540)] = 78390,
  [SMALL_STATE(2541)] = 78403,
  [SMALL_STATE(2542)] = 78416,
  [SMALL_STATE(2543)] = 78429,
  [SMALL_STATE(2544)] = 78442,
  [SMALL_STATE(2545)] = 78455,
  [SMALL_STATE(2546)] = 78468,
  [SMALL_STATE(2547)] = 78481,
  [SMALL_STATE(2548)] = 78494,
  [SMALL_STATE(2549)] = 78507,
  [SMALL_STATE(2550)] = 78520,
  [SMALL_STATE(2551)] = 78533,
  [SMALL_STATE(2552)] = 78546,
  [SMALL_STATE(2553)] = 78559,
  [SMALL_STATE(2554)] = 78572,
  [SMALL_STATE(2555)] = 78585,
  [SMALL_STATE(2556)] = 78598,
  [SMALL_STATE(2557)] = 78611,
  [SMALL_STATE(2558)] = 78624,
  [SMALL_STATE(2559)] = 78637,
  [SMALL_STATE(2560)] = 78650,
  [SMALL_STATE(2561)] = 78663,
  [SMALL_STATE(2562)] = 78676,
  [SMALL_STATE(2563)] = 78689,
  [SMALL_STATE(2564)] = 78702,
  [SMALL_STATE(2565)] = 78715,
  [SMALL_STATE(2566)] = 78728,
  [SMALL_STATE(2567)] = 78741,
  [SMALL_STATE(2568)] = 78754,
  [SMALL_STATE(2569)] = 78767,
  [SMALL_STATE(2570)] = 78780,
  [SMALL_STATE(2571)] = 78793,
  [SMALL_STATE(2572)] = 78806,
  [SMALL_STATE(2573)] = 78819,
  [SMALL_STATE(2574)] = 78832,
  [SMALL_STATE(2575)] = 78845,
  [SMALL_STATE(2576)] = 78858,
  [SMALL_STATE(2577)] = 78871,
  [SMALL_STATE(2578)] = 78884,
  [SMALL_STATE(2579)] = 78897,
  [SMALL_STATE(2580)] = 78910,
  [SMALL_STATE(2581)] = 78923,
  [SMALL_STATE(2582)] = 78936,
  [SMALL_STATE(2583)] = 78949,
  [SMALL_STATE(2584)] = 78962,
  [SMALL_STATE(2585)] = 78975,
  [SMALL_STATE(2586)] = 78988,
  [SMALL_STATE(2587)] = 79001,
  [SMALL_STATE(2588)] = 79014,
  [SMALL_STATE(2589)] = 79027,
  [SMALL_STATE(2590)] = 79040,
  [SMALL_STATE(2591)] = 79053,
  [SMALL_STATE(2592)] = 79066,
  [SMALL_STATE(2593)] = 79079,
  [SMALL_STATE(2594)] = 79092,
  [SMALL_STATE(2595)] = 79105,
  [SMALL_STATE(2596)] = 79118,
  [SMALL_STATE(2597)] = 79131,
  [SMALL_STATE(2598)] = 79144,
  [SMALL_STATE(2599)] = 79157,
  [SMALL_STATE(2600)] = 79170,
  [SMALL_STATE(2601)] = 79183,
  [SMALL_STATE(2602)] = 79196,
  [SMALL_STATE(2603)] = 79209,
  [SMALL_STATE(2604)] = 79222,
  [SMALL_STATE(2605)] = 79235,
  [SMALL_STATE(2606)] = 79248,
  [SMALL_STATE(2607)] = 79261,
  [SMALL_STATE(2608)] = 79274,
  [SMALL_STATE(2609)] = 79287,
  [SMALL_STATE(2610)] = 79300,
  [SMALL_STATE(2611)] = 79313,
  [SMALL_STATE(2612)] = 79326,
  [SMALL_STATE(2613)] = 79339,
  [SMALL_STATE(2614)] = 79352,
  [SMALL_STATE(2615)] = 79365,
  [SMALL_STATE(2616)] = 79378,
  [SMALL_STATE(2617)] = 79391,
  [SMALL_STATE(2618)] = 79404,
  [SMALL_STATE(2619)] = 79417,
  [SMALL_STATE(2620)] = 79430,
  [SMALL_STATE(2621)] = 79443,
  [SMALL_STATE(2622)] = 79456,
  [SMALL_STATE(2623)] = 79469,
  [SMALL_STATE(2624)] = 79482,
  [SMALL_STATE(2625)] = 79495,
  [SMALL_STATE(2626)] = 79508,
  [SMALL_STATE(2627)] = 79521,
  [SMALL_STATE(2628)] = 79534,
  [SMALL_STATE(2629)] = 79547,
  [SMALL_STATE(2630)] = 79560,
  [SMALL_STATE(2631)] = 79573,
  [SMALL_STATE(2632)] = 79586,
  [SMALL_STATE(2633)] = 79599,
  [SMALL_STATE(2634)] = 79612,
  [SMALL_STATE(2635)] = 79625,
  [SMALL_STATE(2636)] = 79638,
  [SMALL_STATE(2637)] = 79651,
  [SMALL_STATE(2638)] = 79664,
  [SMALL_STATE(2639)] = 79677,
  [SMALL_STATE(2640)] = 79690,
  [SMALL_STATE(2641)] = 79703,
  [SMALL_STATE(2642)] = 79716,
  [SMALL_STATE(2643)] = 79729,
  [SMALL_STATE(2644)] = 79742,
  [SMALL_STATE(2645)] = 79755,
  [SMALL_STATE(2646)] = 79768,
  [SMALL_STATE(2647)] = 79781,
  [SMALL_STATE(2648)] = 79794,
  [SMALL_STATE(2649)] = 79807,
  [SMALL_STATE(2650)] = 79820,
  [SMALL_STATE(2651)] = 79833,
  [SMALL_STATE(2652)] = 79846,
  [SMALL_STATE(2653)] = 79859,
  [SMALL_STATE(2654)] = 79872,
  [SMALL_STATE(2655)] = 79885,
  [SMALL_STATE(2656)] = 79898,
  [SMALL_STATE(2657)] = 79911,
  [SMALL_STATE(2658)] = 79924,
  [SMALL_STATE(2659)] = 79937,
  [SMALL_STATE(2660)] = 79950,
  [SMALL_STATE(2661)] = 79963,
  [SMALL_STATE(2662)] = 79976,
  [SMALL_STATE(2663)] = 79989,
  [SMALL_STATE(2664)] = 80002,
  [SMALL_STATE(2665)] = 80015,
  [SMALL_STATE(2666)] = 80028,
  [SMALL_STATE(2667)] = 80041,
  [SMALL_STATE(2668)] = 80054,
  [SMALL_STATE(2669)] = 80067,
  [SMALL_STATE(2670)] = 80080,
  [SMALL_STATE(2671)] = 80093,
  [SMALL_STATE(2672)] = 80106,
  [SMALL_STATE(2673)] = 80119,
  [SMALL_STATE(2674)] = 80132,
  [SMALL_STATE(2675)] = 80145,
  [SMALL_STATE(2676)] = 80158,
  [SMALL_STATE(2677)] = 80171,
  [SMALL_STATE(2678)] = 80184,
  [SMALL_STATE(2679)] = 80197,
  [SMALL_STATE(2680)] = 80210,
  [SMALL_STATE(2681)] = 80223,
  [SMALL_STATE(2682)] = 80236,
  [SMALL_STATE(2683)] = 80249,
  [SMALL_STATE(2684)] = 80262,
  [SMALL_STATE(2685)] = 80275,
  [SMALL_STATE(2686)] = 80288,
  [SMALL_STATE(2687)] = 80301,
  [SMALL_STATE(2688)] = 80314,
  [SMALL_STATE(2689)] = 80327,
  [SMALL_STATE(2690)] = 80340,
  [SMALL_STATE(2691)] = 80353,
  [SMALL_STATE(2692)] = 80366,
  [SMALL_STATE(2693)] = 80379,
  [SMALL_STATE(2694)] = 80392,
  [SMALL_STATE(2695)] = 80405,
  [SMALL_STATE(2696)] = 80418,
  [SMALL_STATE(2697)] = 80431,
  [SMALL_STATE(2698)] = 80444,
  [SMALL_STATE(2699)] = 80457,
  [SMALL_STATE(2700)] = 80470,
  [SMALL_STATE(2701)] = 80483,
  [SMALL_STATE(2702)] = 80496,
  [SMALL_STATE(2703)] = 80509,
  [SMALL_STATE(2704)] = 80522,
  [SMALL_STATE(2705)] = 80535,
  [SMALL_STATE(2706)] = 80548,
  [SMALL_STATE(2707)] = 80561,
  [SMALL_STATE(2708)] = 80574,
  [SMALL_STATE(2709)] = 80587,
  [SMALL_STATE(2710)] = 80600,
  [SMALL_STATE(2711)] = 80613,
  [SMALL_STATE(2712)] = 80626,
  [SMALL_STATE(2713)] = 80639,
  [SMALL_STATE(2714)] = 80652,
  [SMALL_STATE(2715)] = 80665,
  [SMALL_STATE(2716)] = 80678,
  [SMALL_STATE(2717)] = 80691,
  [SMALL_STATE(2718)] = 80704,
  [SMALL_STATE(2719)] = 80717,
  [SMALL_STATE(2720)] = 80730,
  [SMALL_STATE(2721)] = 80743,
  [SMALL_STATE(2722)] = 80756,
  [SMALL_STATE(2723)] = 80769,
  [SMALL_STATE(2724)] = 80782,
  [SMALL_STATE(2725)] = 80795,
  [SMALL_STATE(2726)] = 80808,
  [SMALL_STATE(2727)] = 80821,
  [SMALL_STATE(2728)] = 80834,
  [SMALL_STATE(2729)] = 80847,
  [SMALL_STATE(2730)] = 80860,
  [SMALL_STATE(2731)] = 80873,
  [SMALL_STATE(2732)] = 80886,
  [SMALL_STATE(2733)] = 80899,
  [SMALL_STATE(2734)] = 80912,
  [SMALL_STATE(2735)] = 80925,
  [SMALL_STATE(2736)] = 80938,
  [SMALL_STATE(2737)] = 80951,
  [SMALL_STATE(2738)] = 80964,
  [SMALL_STATE(2739)] = 80977,
  [SMALL_STATE(2740)] = 80990,
  [SMALL_STATE(2741)] = 80994,
};

static const TSParseActionEntry ts_parse_actions[] = {
  [0] = {.entry = {.count = 0, .reusable = false}},
  [1] = {.entry = {.count = 1, .reusable = false}}, RECOVER(),
  [3] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1652),
  [5] = {.entry = {.count = 1, .reusable = false}}, SHIFT_EXTRA(),
  [7] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_program, 0, 0, 0),
  [9] = {.entry = {.count = 1, .reusable = false}}, SHIFT(52),
  [11] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1652),
  [13] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1845),
  [15] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1845),
  [17] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0),
  [19] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(999),
  [22] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(455),
  [25] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1368),
  [28] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1902),
  [31] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1758),
  [34] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1402),
  [37] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1511),
  [40] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1224),
  [43] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(2637),
  [46] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(102),
  [49] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(2506),
  [52] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(2578),
  [55] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(2675),
  [58] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0),
  [60] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(2661),
  [63] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1330),
  [66] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1333),
  [69] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1325),
  [72] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1335),
  [75] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1274),
  [78] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(122),
  [81] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1869),
  [84] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(2582),
  [87] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(228),
  [90] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1928),
  [93] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(2589),
  [96] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(2566),
  [99] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1162),
  [102] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(2418),
  [105] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(2626),
  [108] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(211),
  [111] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(214),
  [114] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(193),
  [117] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(316),
  [120] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(2402),
  [123] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(116),
  [126] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(2677),
  [129] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(2698),
  [132] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(2315),
  [135] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(2326),
  [138] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(2454),
  [141] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(301),
  [144] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(301),
  [147] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(302),
  [150] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(585),
  [153] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(307),
  [156] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(878),
  [159] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(710),
  [162] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(2701),
  [165] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(141),
  [168] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1579),
  [171] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1085),
  [174] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1086),
  [177] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1498),
  [180] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1418),
  [183] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1682),
  [186] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1972),
  [189] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1413),
  [192] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1699),
  [195] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(120),
  [198] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(322),
  [201] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(337),
  [204] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(338),
  [207] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(347),
  [210] = {.entry = {.count = 1, .reusable = false}}, SHIFT(999),
  [212] = {.entry = {.count = 1, .reusable = true}}, SHIFT(455),
  [214] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1368),
  [216] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1902),
  [218] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1758),
  [220] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1402),
  [222] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1511),
  [224] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1224),
  [226] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2637),
  [228] = {.entry = {.count = 1, .reusable = true}}, SHIFT(102),
  [230] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_default_statement, 3, 0, 0),
  [232] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2506),
  [234] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2578),
  [236] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2675),
  [238] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_default_statement, 3, 0, 0),
  [240] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2661),
  [242] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1330),
  [244] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1333),
  [246] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1325),
  [248] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1335),
  [250] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1274),
  [252] = {.entry = {.count = 1, .reusable = true}}, SHIFT(122),
  [254] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1869),
  [256] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2582),
  [258] = {.entry = {.count = 1, .reusable = false}}, SHIFT(228),
  [260] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1928),
  [262] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2589),
  [264] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2566),
  [266] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1162),
  [268] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2418),
  [270] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2626),
  [272] = {.entry = {.count = 1, .reusable = false}}, SHIFT(211),
  [274] = {.entry = {.count = 1, .reusable = false}}, SHIFT(214),
  [276] = {.entry = {.count = 1, .reusable = false}}, SHIFT(193),
  [278] = {.entry = {.count = 1, .reusable = false}}, SHIFT(316),
  [280] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2402),
  [282] = {.entry = {.count = 1, .reusable = false}}, SHIFT(116),
  [284] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2677),
  [286] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2698),
  [288] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2315),
  [290] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2326),
  [292] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2454),
  [294] = {.entry = {.count = 1, .reusable = false}}, SHIFT(301),
  [296] = {.entry = {.count = 1, .reusable = true}}, SHIFT(301),
  [298] = {.entry = {.count = 1, .reusable = true}}, SHIFT(302),
  [300] = {.entry = {.count = 1, .reusable = false}}, SHIFT(585),
  [302] = {.entry = {.count = 1, .reusable = false}}, SHIFT(307),
  [304] = {.entry = {.count = 1, .reusable = false}}, SHIFT(878),
  [306] = {.entry = {.count = 1, .reusable = true}}, SHIFT(710),
  [308] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2701),
  [310] = {.entry = {.count = 1, .reusable = true}}, SHIFT(141),
  [312] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1579),
  [314] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1085),
  [316] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1086),
  [318] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1498),
  [320] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1418),
  [322] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1682),
  [324] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1972),
  [326] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1413),
  [328] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1699),
  [330] = {.entry = {.count = 1, .reusable = false}}, SHIFT(120),
  [332] = {.entry = {.count = 1, .reusable = false}}, SHIFT(322),
  [334] = {.entry = {.count = 1, .reusable = false}}, SHIFT(337),
  [336] = {.entry = {.count = 1, .reusable = false}}, SHIFT(338),
  [338] = {.entry = {.count = 1, .reusable = false}}, SHIFT(347),
  [340] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_default_statement, 2, 0, 0),
  [342] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_default_statement, 2, 0, 0),
  [344] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case_statement, 4, 0, 135),
  [346] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_case_statement, 4, 0, 135),
  [348] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case_statement, 3, 0, 135),
  [350] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_case_statement, 3, 0, 135),
  [352] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_colon_block, 2, 0, 0),
  [354] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_colon_block, 1, 0, 0),
  [356] = {.entry = {.count = 1, .reusable = true}}, SHIFT(497),
  [358] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8),
  [360] = {.entry = {.count = 1, .reusable = true}}, SHIFT(565),
  [362] = {.entry = {.count = 1, .reusable = false}}, SHIFT(985),
  [364] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1970),
  [366] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1367),
  [368] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1945),
  [370] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1713),
  [372] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1401),
  [374] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1223),
  [376] = {.entry = {.count = 1, .reusable = true}}, SHIFT(77),
  [378] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2692),
  [380] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2694),
  [382] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2696),
  [384] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2704),
  [386] = {.entry = {.count = 1, .reusable = false}}, SHIFT(223),
  [388] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1921),
  [390] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2662),
  [392] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2663),
  [394] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2348),
  [396] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2646),
  [398] = {.entry = {.count = 1, .reusable = false}}, SHIFT(191),
  [400] = {.entry = {.count = 1, .reusable = false}}, SHIFT(199),
  [402] = {.entry = {.count = 1, .reusable = false}}, SHIFT(203),
  [404] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2501),
  [406] = {.entry = {.count = 1, .reusable = false}}, SHIFT(117),
  [408] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2717),
  [410] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2730),
  [412] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2299),
  [414] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2351),
  [416] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1369),
  [418] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(2729),
  [421] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(2477),
  [424] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(2736),
  [427] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(2738),
  [430] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(2349),
  [433] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2729),
  [435] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2477),
  [437] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2736),
  [439] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2738),
  [441] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2349),
  [443] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2700),
  [445] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2427),
  [447] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2727),
  [449] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2735),
  [451] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2480),
  [453] = {.entry = {.count = 1, .reusable = true}}, SHIFT(82),
  [455] = {.entry = {.count = 1, .reusable = true}}, SHIFT(80),
  [457] = {.entry = {.count = 1, .reusable = true}}, SHIFT(84),
  [459] = {.entry = {.count = 1, .reusable = true}}, SHIFT(85),
  [461] = {.entry = {.count = 1, .reusable = true}}, SHIFT(86),
  [463] = {.entry = {.count = 1, .reusable = true}}, SHIFT(61),
  [465] = {.entry = {.count = 1, .reusable = true}}, SHIFT(89),
  [467] = {.entry = {.count = 1, .reusable = true}}, SHIFT(91),
  [469] = {.entry = {.count = 1, .reusable = true}}, SHIFT(92),
  [471] = {.entry = {.count = 1, .reusable = true}}, SHIFT(96),
  [473] = {.entry = {.count = 1, .reusable = true}}, SHIFT(53),
  [475] = {.entry = {.count = 1, .reusable = true}}, SHIFT(108),
  [477] = {.entry = {.count = 1, .reusable = true}}, SHIFT(58),
  [479] = {.entry = {.count = 1, .reusable = true}}, SHIFT(72),
  [481] = {.entry = {.count = 1, .reusable = true}}, SHIFT(59),
  [483] = {.entry = {.count = 1, .reusable = true}}, SHIFT(65),
  [485] = {.entry = {.count = 1, .reusable = true}}, SHIFT(67),
  [487] = {.entry = {.count = 1, .reusable = true}}, SHIFT(68),
  [489] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_program, 1, 0, 0),
  [491] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2291),
  [493] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_program, 2, 0, 0),
  [495] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2278),
  [497] = {.entry = {.count = 1, .reusable = true}}, SHIFT(521),
  [499] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2002),
  [501] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2008),
  [503] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2012),
  [505] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2020),
  [507] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12),
  [509] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2077),
  [511] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2079),
  [513] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2080),
  [515] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2085),
  [517] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2088),
  [519] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2089),
  [521] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2109),
  [523] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2110),
  [525] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2111),
  [527] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2112),
  [529] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2119),
  [531] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2127),
  [533] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_program, 3, 0, 0),
  [535] = {.entry = {.count = 1, .reusable = true}}, SHIFT(769),
  [537] = {.entry = {.count = 1, .reusable = true}}, SHIFT(777),
  [539] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2023),
  [541] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2053),
  [543] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2057),
  [545] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2096),
  [547] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2097),
  [549] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2099),
  [551] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2102),
  [553] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2120),
  [555] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2122),
  [557] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2123),
  [559] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2125),
  [561] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2126),
  [563] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2128),
  [565] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2139),
  [567] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2148),
  [569] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2151),
  [571] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2152),
  [573] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2163),
  [575] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1104),
  [577] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1082),
  [579] = {.entry = {.count = 1, .reusable = true}}, SHIFT(448),
  [581] = {.entry = {.count = 1, .reusable = true}}, SHIFT(558),
  [583] = {.entry = {.count = 1, .reusable = true}}, SHIFT(449),
  [585] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1771),
  [587] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1773),
  [589] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1963),
  [591] = {.entry = {.count = 1, .reusable = false}}, SHIFT(736),
  [593] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_yield_expression, 1, 0, 0),
  [595] = {.entry = {.count = 1, .reusable = false}}, SHIFT(702),
  [597] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1530),
  [599] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_yield_expression, 1, 0, 0),
  [601] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1884),
  [603] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2629),
  [605] = {.entry = {.count = 1, .reusable = true}}, SHIFT(124),
  [607] = {.entry = {.count = 1, .reusable = true}}, SHIFT(328),
  [609] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2713),
  [611] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1036),
  [613] = {.entry = {.count = 1, .reusable = false}}, SHIFT(264),
  [615] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2350),
  [617] = {.entry = {.count = 1, .reusable = false}}, SHIFT(265),
  [619] = {.entry = {.count = 1, .reusable = true}}, SHIFT(265),
  [621] = {.entry = {.count = 1, .reusable = true}}, SHIFT(266),
  [623] = {.entry = {.count = 1, .reusable = false}}, SHIFT(583),
  [625] = {.entry = {.count = 1, .reusable = false}}, SHIFT(267),
  [627] = {.entry = {.count = 1, .reusable = false}}, SHIFT(873),
  [629] = {.entry = {.count = 1, .reusable = true}}, SHIFT(699),
  [631] = {.entry = {.count = 1, .reusable = true}}, SHIFT(135),
  [633] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1037),
  [635] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1038),
  [637] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1422),
  [639] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1624),
  [641] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2170),
  [643] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1423),
  [645] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1625),
  [647] = {.entry = {.count = 1, .reusable = false}}, SHIFT(118),
  [649] = {.entry = {.count = 1, .reusable = false}}, SHIFT(273),
  [651] = {.entry = {.count = 1, .reusable = false}}, SHIFT(268),
  [653] = {.entry = {.count = 1, .reusable = false}}, SHIFT(269),
  [655] = {.entry = {.count = 1, .reusable = false}}, SHIFT(270),
  [657] = {.entry = {.count = 1, .reusable = false}}, SHIFT(271),
  [659] = {.entry = {.count = 1, .reusable = true}}, SHIFT(129),
  [661] = {.entry = {.count = 1, .reusable = true}}, SHIFT(371),
  [663] = {.entry = {.count = 1, .reusable = false}}, SHIFT(339),
  [665] = {.entry = {.count = 1, .reusable = false}}, SHIFT(260),
  [667] = {.entry = {.count = 1, .reusable = true}}, SHIFT(260),
  [669] = {.entry = {.count = 1, .reusable = true}}, SHIFT(341),
  [671] = {.entry = {.count = 1, .reusable = false}}, SHIFT(582),
  [673] = {.entry = {.count = 1, .reusable = false}}, SHIFT(342),
  [675] = {.entry = {.count = 1, .reusable = true}}, SHIFT(133),
  [677] = {.entry = {.count = 1, .reusable = false}}, SHIFT(119),
  [679] = {.entry = {.count = 1, .reusable = false}}, SHIFT(348),
  [681] = {.entry = {.count = 1, .reusable = false}}, SHIFT(343),
  [683] = {.entry = {.count = 1, .reusable = false}}, SHIFT(344),
  [685] = {.entry = {.count = 1, .reusable = false}}, SHIFT(345),
  [687] = {.entry = {.count = 1, .reusable = false}}, SHIFT(346),
  [689] = {.entry = {.count = 1, .reusable = false}}, SHIFT(864),
  [691] = {.entry = {.count = 1, .reusable = false}}, SHIFT(697),
  [693] = {.entry = {.count = 1, .reusable = true}}, SHIFT(272),
  [695] = {.entry = {.count = 1, .reusable = false}}, SHIFT(377),
  [697] = {.entry = {.count = 1, .reusable = true}}, SHIFT(127),
  [699] = {.entry = {.count = 1, .reusable = true}}, SHIFT(379),
  [701] = {.entry = {.count = 1, .reusable = false}}, SHIFT(383),
  [703] = {.entry = {.count = 1, .reusable = false}}, SHIFT(384),
  [705] = {.entry = {.count = 1, .reusable = true}}, SHIFT(384),
  [707] = {.entry = {.count = 1, .reusable = true}}, SHIFT(385),
  [709] = {.entry = {.count = 1, .reusable = false}}, SHIFT(584),
  [711] = {.entry = {.count = 1, .reusable = false}}, SHIFT(386),
  [713] = {.entry = {.count = 1, .reusable = true}}, SHIFT(136),
  [715] = {.entry = {.count = 1, .reusable = false}}, SHIFT(121),
  [717] = {.entry = {.count = 1, .reusable = false}}, SHIFT(391),
  [719] = {.entry = {.count = 1, .reusable = false}}, SHIFT(387),
  [721] = {.entry = {.count = 1, .reusable = false}}, SHIFT(388),
  [723] = {.entry = {.count = 1, .reusable = false}}, SHIFT(389),
  [725] = {.entry = {.count = 1, .reusable = false}}, SHIFT(390),
  [727] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2455),
  [729] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2614),
  [731] = {.entry = {.count = 1, .reusable = true}}, SHIFT(705),
  [733] = {.entry = {.count = 1, .reusable = true}}, SHIFT(171),
  [735] = {.entry = {.count = 1, .reusable = true}}, SHIFT(882),
  [737] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1023),
  [739] = {.entry = {.count = 1, .reusable = true}}, SHIFT(774),
  [741] = {.entry = {.count = 1, .reusable = true}}, SHIFT(942),
  [743] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1001),
  [745] = {.entry = {.count = 1, .reusable = true}}, SHIFT(910),
  [747] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1517),
  [749] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2722),
  [751] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1766),
  [753] = {.entry = {.count = 1, .reusable = true}}, SHIFT(887),
  [755] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1842),
  [757] = {.entry = {.count = 1, .reusable = true}}, SHIFT(246),
  [759] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2330),
  [761] = {.entry = {.count = 1, .reusable = false}}, SHIFT(247),
  [763] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2160),
  [765] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1551),
  [767] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1215),
  [769] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1216),
  [771] = {.entry = {.count = 1, .reusable = true}}, SHIFT(946),
  [773] = {.entry = {.count = 1, .reusable = true}}, SHIFT(588),
  [775] = {.entry = {.count = 1, .reusable = true}}, SHIFT(740),
  [777] = {.entry = {.count = 1, .reusable = true}}, SHIFT(178),
  [779] = {.entry = {.count = 1, .reusable = true}}, SHIFT(894),
  [781] = {.entry = {.count = 1, .reusable = true}}, SHIFT(628),
  [783] = {.entry = {.count = 1, .reusable = true}}, SHIFT(792),
  [785] = {.entry = {.count = 1, .reusable = true}}, SHIFT(867),
  [787] = {.entry = {.count = 1, .reusable = true}}, SHIFT(965),
  [789] = {.entry = {.count = 1, .reusable = true}}, SHIFT(865),
  [791] = {.entry = {.count = 1, .reusable = true}}, SHIFT(963),
  [793] = {.entry = {.count = 1, .reusable = true}}, SHIFT(637),
  [795] = {.entry = {.count = 1, .reusable = true}}, SHIFT(807),
  [797] = {.entry = {.count = 1, .reusable = true}}, SHIFT(809),
  [799] = {.entry = {.count = 1, .reusable = true}}, SHIFT(726),
  [801] = {.entry = {.count = 1, .reusable = true}}, SHIFT(725),
  [803] = {.entry = {.count = 1, .reusable = true}}, SHIFT(649),
  [805] = {.entry = {.count = 1, .reusable = true}}, SHIFT(589),
  [807] = {.entry = {.count = 1, .reusable = true}}, SHIFT(587),
  [809] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2636),
  [811] = {.entry = {.count = 1, .reusable = true}}, SHIFT(984),
  [813] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2705),
  [815] = {.entry = {.count = 1, .reusable = true}}, SHIFT(779),
  [817] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2612),
  [819] = {.entry = {.count = 1, .reusable = true}}, SHIFT(780),
  [821] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2609),
  [823] = {.entry = {.count = 1, .reusable = true}}, SHIFT(987),
  [825] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2688),
  [827] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1024),
  [829] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2515),
  [831] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2714),
  [833] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1090),
  [835] = {.entry = {.count = 1, .reusable = true}}, SHIFT(824),
  [837] = {.entry = {.count = 1, .reusable = true}}, SHIFT(827),
  [839] = {.entry = {.count = 1, .reusable = true}}, SHIFT(924),
  [841] = {.entry = {.count = 1, .reusable = true}}, SHIFT(970),
  [843] = {.entry = {.count = 1, .reusable = true}}, SHIFT(969),
  [845] = {.entry = {.count = 1, .reusable = true}}, SHIFT(835),
  [847] = {.entry = {.count = 1, .reusable = true}}, SHIFT(950),
  [849] = {.entry = {.count = 1, .reusable = true}}, SHIFT(820),
  [851] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__array_destructing_repeat1, 1, 0, 0),
  [853] = {.entry = {.count = 1, .reusable = true}}, SHIFT(128),
  [855] = {.entry = {.count = 1, .reusable = true}}, SHIFT(134),
  [857] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__array_destructing_repeat1, 1, 0, 0), SHIFT(783),
  [860] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1088),
  [862] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1106),
  [864] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1032),
  [866] = {.entry = {.count = 1, .reusable = true}}, SHIFT(181),
  [868] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2058),
  [870] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__array_destructing_repeat1, 1, 0, 0), SHIFT(993),
  [873] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1035),
  [875] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__list_destructing_repeat1, 1, 0, 0),
  [877] = {.entry = {.count = 1, .reusable = true}}, SHIFT(33),
  [879] = {.entry = {.count = 1, .reusable = true}}, SHIFT(219),
  [881] = {.entry = {.count = 1, .reusable = true}}, SHIFT(216),
  [883] = {.entry = {.count = 1, .reusable = true}}, SHIFT(221),
  [885] = {.entry = {.count = 1, .reusable = true}}, SHIFT(50),
  [887] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22),
  [889] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20),
  [891] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21),
  [893] = {.entry = {.count = 1, .reusable = true}}, SHIFT(197),
  [895] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16),
  [897] = {.entry = {.count = 1, .reusable = true}}, SHIFT(43),
  [899] = {.entry = {.count = 1, .reusable = true}}, SHIFT(44),
  [901] = {.entry = {.count = 1, .reusable = true}}, SHIFT(200),
  [903] = {.entry = {.count = 1, .reusable = true}}, SHIFT(202),
  [905] = {.entry = {.count = 1, .reusable = true}}, SHIFT(190),
  [907] = {.entry = {.count = 1, .reusable = true}}, SHIFT(25),
  [909] = {.entry = {.count = 1, .reusable = true}}, SHIFT(192),
  [911] = {.entry = {.count = 1, .reusable = true}}, SHIFT(31),
  [913] = {.entry = {.count = 1, .reusable = true}}, SHIFT(34),
  [915] = {.entry = {.count = 1, .reusable = true}}, SHIFT(38),
  [917] = {.entry = {.count = 1, .reusable = true}}, SHIFT(204),
  [919] = {.entry = {.count = 1, .reusable = true}}, SHIFT(27),
  [921] = {.entry = {.count = 1, .reusable = true}}, SHIFT(195),
  [923] = {.entry = {.count = 1, .reusable = true}}, SHIFT(45),
  [925] = {.entry = {.count = 1, .reusable = true}}, SHIFT(210),
  [927] = {.entry = {.count = 1, .reusable = true}}, SHIFT(212),
  [929] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18),
  [931] = {.entry = {.count = 1, .reusable = true}}, SHIFT(48),
  [933] = {.entry = {.count = 1, .reusable = true}}, SHIFT(702),
  [935] = {.entry = {.count = 1, .reusable = true}}, SHIFT(697),
  [937] = {.entry = {.count = 1, .reusable = true}}, SHIFT(369),
  [939] = {.entry = {.count = 1, .reusable = true}}, SHIFT(411),
  [941] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_match_condition_list, 3, 0, 0),
  [943] = {.entry = {.count = 1, .reusable = true}}, SHIFT(309),
  [945] = {.entry = {.count = 1, .reusable = true}}, SHIFT(642),
  [947] = {.entry = {.count = 1, .reusable = true}}, SHIFT(296),
  [949] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2277),
  [951] = {.entry = {.count = 1, .reusable = true}}, SHIFT(295),
  [953] = {.entry = {.count = 1, .reusable = true}}, SHIFT(605),
  [955] = {.entry = {.count = 1, .reusable = true}}, SHIFT(608),
  [957] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variadic_placeholder, 1, 0, 0),
  [959] = {.entry = {.count = 1, .reusable = true}}, SHIFT(869),
  [961] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2272),
  [963] = {.entry = {.count = 1, .reusable = true}}, SHIFT(891),
  [965] = {.entry = {.count = 1, .reusable = true}}, SHIFT(951),
  [967] = {.entry = {.count = 1, .reusable = true}}, SHIFT(954),
  [969] = {.entry = {.count = 1, .reusable = true}}, SHIFT(745),
  [971] = {.entry = {.count = 1, .reusable = true}}, SHIFT(797),
  [973] = {.entry = {.count = 1, .reusable = true}}, SHIFT(800),
  [975] = {.entry = {.count = 1, .reusable = true}}, SHIFT(308),
  [977] = {.entry = {.count = 1, .reusable = true}}, SHIFT(370),
  [979] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_match_condition_list, 2, 0, 0),
  [981] = {.entry = {.count = 1, .reusable = true}}, SHIFT(412),
  [983] = {.entry = {.count = 1, .reusable = true}}, SHIFT(158),
  [985] = {.entry = {.count = 1, .reusable = true}}, SHIFT(160),
  [987] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_try_statement_repeat1, 2, 0, 0),
  [989] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_try_statement_repeat1, 2, 0, 0),
  [991] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_try_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(2674),
  [994] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_try_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(2487),
  [997] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_try_statement, 3, 0, 6),
  [999] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_try_statement, 3, 0, 6),
  [1001] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2674),
  [1003] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2487),
  [1005] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 4, 0, 53),
  [1007] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 4, 0, 53),
  [1009] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2390),
  [1011] = {.entry = {.count = 1, .reusable = false}}, SHIFT(111),
  [1013] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 3, 0, 23),
  [1015] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 3, 0, 23),
  [1017] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_if_statement, 4, 0, 53), SHIFT(2390),
  [1020] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_if_statement, 4, 0, 53), SHIFT(112),
  [1023] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_if_statement, 3, 0, 23), SHIFT(2390),
  [1026] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_if_statement, 3, 0, 23), SHIFT(112),
  [1029] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_compound_statement, 2, 0, 0),
  [1031] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_compound_statement, 2, 0, 0),
  [1033] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_compound_statement, 3, 0, 0),
  [1035] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_compound_statement, 3, 0, 0),
  [1037] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_if_statement_repeat1, 2, 0, 96),
  [1039] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_if_statement_repeat1, 2, 0, 96),
  [1041] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_if_statement_repeat1, 2, 0, 96), SHIFT_REPEAT(2390),
  [1044] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_catch_clause, 5, 0, 164),
  [1046] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_catch_clause, 5, 0, 164),
  [1048] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_try_statement_repeat1, 1, 0, 0),
  [1050] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_try_statement_repeat1, 1, 0, 0),
  [1052] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_finally_clause, 2, 0, 6),
  [1054] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_finally_clause, 2, 0, 6),
  [1056] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_catch_clause, 6, 0, 187),
  [1058] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_catch_clause, 6, 0, 187),
  [1060] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_empty_statement, 1, 0, 0),
  [1062] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_empty_statement, 1, 0, 0),
  [1064] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__const_declaration, 4, 0, 46),
  [1066] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__const_declaration, 4, 0, 46),
  [1068] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__const_declaration, 4, 0, 0),
  [1070] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__const_declaration, 4, 0, 0),
  [1072] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_declaration_list, 2, 0, 0),
  [1074] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_declaration_list, 2, 0, 0),
  [1076] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_interface_declaration, 4, 0, 48),
  [1078] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_interface_declaration, 4, 0, 48),
  [1080] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_declaration_list, 2, 0, 0),
  [1082] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_declaration_list, 2, 0, 0),
  [1084] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_declaration, 4, 0, 48),
  [1086] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_declaration, 4, 0, 48),
  [1088] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 4, 0, 48),
  [1090] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 4, 0, 48),
  [1092] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 7, 0, 167),
  [1094] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 7, 0, 167),
  [1096] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_exit_statement, 4, 0, 0),
  [1098] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_exit_statement, 4, 0, 0),
  [1100] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_exit_statement, 2, 0, 0),
  [1102] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_exit_statement, 2, 0, 0),
  [1104] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__const_declaration, 6, 0, 114),
  [1106] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__const_declaration, 6, 0, 114),
  [1108] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 6, 0, 150),
  [1110] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 6, 0, 150),
  [1112] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_continue_statement, 2, 0, 0),
  [1114] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_continue_statement, 2, 0, 0),
  [1116] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_break_statement, 2, 0, 0),
  [1118] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_break_statement, 2, 0, 0),
  [1120] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_return_statement, 2, 0, 0),
  [1122] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_return_statement, 2, 0, 0),
  [1124] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_use_declaration, 3, 0, 0),
  [1126] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_namespace_use_declaration, 3, 0, 0),
  [1128] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 6, 0, 53),
  [1130] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 6, 0, 53),
  [1132] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 7, 0, 169),
  [1134] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 7, 0, 169),
  [1136] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_if_statement_repeat1, 1, 0, 51),
  [1138] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_if_statement_repeat1, 1, 0, 51),
  [1140] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 4, 0, 52),
  [1142] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 4, 0, 52),
  [1144] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 7, 0, 170),
  [1146] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 7, 0, 170),
  [1148] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_switch_block, 2, 0, 0),
  [1150] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_switch_block, 2, 0, 0),
  [1152] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_else_if_clause, 3, 0, 23),
  [1154] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_else_if_clause, 3, 0, 23),
  [1156] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_trait_declaration, 4, 0, 72),
  [1158] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_trait_declaration, 4, 0, 72),
  [1160] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_interface_declaration, 4, 0, 72),
  [1162] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_interface_declaration, 4, 0, 72),
  [1164] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_declaration, 4, 0, 72),
  [1166] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_declaration, 4, 0, 72),
  [1168] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_use_declaration, 3, 0, 18),
  [1170] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_namespace_use_declaration, 3, 0, 18),
  [1172] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__const_declaration, 3, 0, 0),
  [1174] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__const_declaration, 3, 0, 0),
  [1176] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_switch_block, 4, 0, 0),
  [1178] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_switch_block, 4, 0, 0),
  [1180] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 4, 0, 72),
  [1182] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 4, 0, 72),
  [1184] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 4, 0, 74),
  [1186] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 4, 0, 74),
  [1188] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_foreach_statement, 7, 0, 171),
  [1190] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_foreach_statement, 7, 0, 171),
  [1192] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_foreach_statement, 7, 0, 0),
  [1194] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_foreach_statement, 7, 0, 0),
  [1196] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 7, 0, 95),
  [1198] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 7, 0, 95),
  [1200] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__const_declaration, 5, 0, 46),
  [1202] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__const_declaration, 5, 0, 46),
  [1204] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_declaration_list, 3, 0, 0),
  [1206] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_declaration_list, 3, 0, 0),
  [1208] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_declaration_list, 3, 0, 0),
  [1210] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_declaration_list, 3, 0, 0),
  [1212] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_declaration, 5, 0, 92),
  [1214] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_declaration, 5, 0, 92),
  [1216] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 5, 0, 93),
  [1218] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 5, 0, 93),
  [1220] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_exit_statement, 5, 0, 0),
  [1222] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_exit_statement, 5, 0, 0),
  [1224] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_unset_statement, 5, 0, 0),
  [1226] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_unset_statement, 5, 0, 0),
  [1228] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__semicolon, 1, 0, 0),
  [1230] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__semicolon, 1, 0, 0),
  [1232] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 6, 0, 52),
  [1234] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 6, 0, 52),
  [1236] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_declare_statement, 5, 0, 0),
  [1238] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_declare_statement, 5, 0, 0),
  [1240] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_while_statement, 5, 0, 23),
  [1242] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_while_statement, 5, 0, 23),
  [1244] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_declaration, 7, 0, 174),
  [1246] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_declaration, 7, 0, 174),
  [1248] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 7, 0, 176),
  [1250] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 7, 0, 176),
  [1252] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_unset_statement, 7, 0, 0),
  [1254] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_unset_statement, 7, 0, 0),
  [1256] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_do_statement, 5, 0, 94),
  [1258] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_do_statement, 5, 0, 94),
  [1260] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_declare_statement, 8, 0, 0),
  [1262] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_declare_statement, 8, 0, 0),
  [1264] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_declare_statement, 7, 0, 0),
  [1266] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_declare_statement, 7, 0, 0),
  [1268] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 8, 0, 0),
  [1270] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 8, 0, 0),
  [1272] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_declaration, 6, 0, 145),
  [1274] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_declaration, 6, 0, 145),
  [1276] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_expression_statement, 2, 0, 0),
  [1278] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_expression_statement, 2, 0, 0),
  [1280] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 6, 0, 146),
  [1282] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 6, 0, 146),
  [1284] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 8, 0, 188),
  [1286] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 8, 0, 188),
  [1288] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 8, 0, 189),
  [1290] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 8, 0, 189),
  [1292] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 6, 0, 149),
  [1294] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 6, 0, 149),
  [1296] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 7, 0, 165),
  [1298] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 7, 0, 165),
  [1300] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 8, 0, 190),
  [1302] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 8, 0, 190),
  [1304] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 8, 0, 191),
  [1306] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 8, 0, 191),
  [1308] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_const_declaration, 1, 0, 1),
  [1310] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_const_declaration, 1, 0, 1),
  [1312] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 8, 0, 192),
  [1314] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 8, 0, 192),
  [1316] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 8, 0, 193),
  [1318] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 8, 0, 193),
  [1320] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 1, 0, 0),
  [1322] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 1, 0, 0),
  [1324] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_trait_declaration, 3, 0, 15),
  [1326] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_trait_declaration, 3, 0, 15),
  [1328] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_else_clause, 2, 0, 6),
  [1330] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_else_clause, 2, 0, 6),
  [1332] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 5, 0, 95),
  [1334] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 5, 0, 95),
  [1336] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 5, 0, 23),
  [1338] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 5, 0, 23),
  [1340] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_switch_block, 3, 0, 0),
  [1342] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_switch_block, 3, 0, 0),
  [1344] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_interface_declaration, 5, 0, 110),
  [1346] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_interface_declaration, 5, 0, 110),
  [1348] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_declaration, 5, 0, 110),
  [1350] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_declaration, 5, 0, 110),
  [1352] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_interface_declaration, 3, 0, 15),
  [1354] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_interface_declaration, 3, 0, 15),
  [1356] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_declaration, 3, 0, 15),
  [1358] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_declaration, 3, 0, 15),
  [1360] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 5, 0, 110),
  [1362] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 5, 0, 110),
  [1364] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 5, 0, 113),
  [1366] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 5, 0, 113),
  [1368] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__const_declaration, 5, 0, 114),
  [1370] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__const_declaration, 5, 0, 114),
  [1372] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 3, 0, 15),
  [1374] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 3, 0, 15),
  [1376] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 9, 0, 171),
  [1378] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 9, 0, 171),
  [1380] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_echo_statement, 3, 0, 0),
  [1382] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_echo_statement, 3, 0, 0),
  [1384] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 9, 0, 166),
  [1386] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 9, 0, 166),
  [1388] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__const_declaration, 5, 0, 0),
  [1390] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__const_declaration, 5, 0, 0),
  [1392] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 9, 0, 168),
  [1394] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 9, 0, 168),
  [1396] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_static_declaration, 3, 0, 0),
  [1398] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_static_declaration, 3, 0, 0),
  [1400] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_goto_statement, 3, 0, 0),
  [1402] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_goto_statement, 3, 0, 0),
  [1404] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_continue_statement, 3, 0, 0),
  [1406] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_continue_statement, 3, 0, 0),
  [1408] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 9, 0, 170),
  [1410] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 9, 0, 170),
  [1412] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 7, 0, 166),
  [1414] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 7, 0, 166),
  [1416] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_global_declaration, 3, 0, 0),
  [1418] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_global_declaration, 3, 0, 0),
  [1420] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_definition, 3, 0, 15),
  [1422] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_namespace_definition, 3, 0, 15),
  [1424] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_break_statement, 3, 0, 0),
  [1426] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_break_statement, 3, 0, 0),
  [1428] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_return_statement, 3, 0, 0),
  [1430] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_return_statement, 3, 0, 0),
  [1432] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_while_statement, 3, 0, 23),
  [1434] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_while_statement, 3, 0, 23),
  [1436] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 9, 0, 203),
  [1438] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 9, 0, 203),
  [1440] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 9, 0, 204),
  [1442] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 9, 0, 204),
  [1444] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_foreach_statement, 9, 0, 171),
  [1446] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_foreach_statement, 9, 0, 171),
  [1448] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_switch_statement, 3, 0, 23),
  [1450] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_switch_statement, 3, 0, 23),
  [1452] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 10, 0, 209),
  [1454] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 10, 0, 209),
  [1456] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 5, 0, 115),
  [1458] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 5, 0, 115),
  [1460] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 10, 0, 210),
  [1462] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 10, 0, 210),
  [1464] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_definition, 2, 0, 6),
  [1466] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_namespace_definition, 2, 0, 6),
  [1468] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 10, 0, 189),
  [1470] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 10, 0, 189),
  [1472] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 10, 0, 211),
  [1474] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 10, 0, 211),
  [1476] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 10, 0, 191),
  [1478] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 10, 0, 191),
  [1480] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 10, 0, 193),
  [1482] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 10, 0, 193),
  [1484] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_definition, 3, 0, 16),
  [1486] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_namespace_definition, 3, 0, 16),
  [1488] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 11, 0, 213),
  [1490] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 11, 0, 213),
  [1492] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 11, 0, 214),
  [1494] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 11, 0, 214),
  [1496] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 11, 0, 215),
  [1498] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 11, 0, 215),
  [1500] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 11, 0, 204),
  [1502] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 11, 0, 204),
  [1504] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 12, 0, 216),
  [1506] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 12, 0, 216),
  [1508] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_declaration, 6, 0, 131),
  [1510] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_declaration, 6, 0, 131),
  [1512] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_unset_statement, 6, 0, 0),
  [1514] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_unset_statement, 6, 0, 0),
  [1516] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_named_label_statement, 2, 0, 0),
  [1518] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_named_label_statement, 2, 0, 0),
  [1520] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_statement, 1, 0, 0),
  [1522] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_statement, 1, 0, 0),
  [1524] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 6, 0, 132),
  [1526] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 6, 0, 132),
  [1528] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_definition, 3, 0, 33),
  [1530] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_definition, 3, 0, 33),
  [1532] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 6, 0, 0),
  [1534] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 6, 0, 0),
  [1536] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_definition, 2, 0, 12),
  [1538] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_definition, 2, 0, 12),
  [1540] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_static_declaration, 4, 0, 0),
  [1542] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_static_declaration, 4, 0, 0),
  [1544] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_global_declaration, 4, 0, 0),
  [1546] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_global_declaration, 4, 0, 0),
  [1548] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_use_declaration, 4, 0, 0),
  [1550] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_namespace_use_declaration, 4, 0, 0),
  [1552] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 7, 0, 168),
  [1554] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 7, 0, 168),
  [1556] = {.entry = {.count = 1, .reusable = true}}, SHIFT(130),
  [1558] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1668),
  [1560] = {.entry = {.count = 1, .reusable = true}}, SHIFT(123),
  [1562] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1658),
  [1564] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parenthesized_expression, 3, 0, 0),
  [1566] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parenthesized_expression, 3, 0, 0),
  [1568] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_arguments, 4, 0, 0),
  [1570] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_arguments, 4, 0, 0),
  [1572] = {.entry = {.count = 1, .reusable = true}}, SHIFT_EXTRA(),
  [1574] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_arguments, 2, 0, 0),
  [1576] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_arguments, 2, 0, 0),
  [1578] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_arguments, 5, 0, 0),
  [1580] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_arguments, 5, 0, 0),
  [1582] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_arguments, 3, 0, 0),
  [1584] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_arguments, 3, 0, 0),
  [1586] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_member_access_expression, 3, 0, 31),
  [1588] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_member_access_expression, 3, 0, 31),
  [1590] = {.entry = {.count = 1, .reusable = true}}, SHIFT(139),
  [1592] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_nullsafe_member_access_expression, 3, 0, 31),
  [1594] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_nullsafe_member_access_expression, 3, 0, 31),
  [1596] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__member_name, 3, 0, 16),
  [1598] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__member_name, 3, 0, 16),
  [1600] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__variable_subscript_expression, 4, 0, 0),
  [1602] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__variable_subscript_expression, 4, 0, 0),
  [1604] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__new_variable, 1, 0, 0),
  [1606] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__new_variable, 1, 0, 0),
  [1608] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__callable_variable, 1, 0, 0),
  [1610] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variable_name, 2, 0, 0),
  [1612] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_variable_name, 2, 0, 0),
  [1614] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_dynamic_variable_name, 2, 0, 0),
  [1616] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_dynamic_variable_name, 2, 0, 0),
  [1618] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__identifier, 1, 0, 0),
  [1620] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__identifier, 1, 0, 0),
  [1622] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__variable_scoped_property_access_expression, 3, 0, 25),
  [1624] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__variable_scoped_property_access_expression, 3, 0, 25),
  [1626] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__reserved_identifier, 1, 0, 0),
  [1628] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__reserved_identifier, 1, 0, 0),
  [1630] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_scoped_property_access_expression, 3, 0, 25),
  [1632] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_scoped_property_access_expression, 3, 0, 25),
  [1634] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__member_name, 1, 0, 5),
  [1636] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__new_variable, 1, 0, 4),
  [1638] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__new_variable, 1, 0, 4),
  [1640] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__member_name, 1, 0, 5),
  [1642] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_call_expression, 2, 0, 11),
  [1644] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_call_expression, 2, 0, 11),
  [1646] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__dereferencable_subscript_expression, 3, 0, 0),
  [1648] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__dereferencable_subscript_expression, 3, 0, 0),
  [1650] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__variable_member_access_expression, 3, 0, 31),
  [1652] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__variable_member_access_expression, 3, 0, 31),
  [1654] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__variable_nullsafe_member_access_expression, 3, 0, 31),
  [1656] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__variable_nullsafe_member_access_expression, 3, 0, 31),
  [1658] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__variable_subscript_expression, 3, 0, 0),
  [1660] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__variable_subscript_expression, 3, 0, 0),
  [1662] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_nullsafe_member_call_expression, 4, 0, 69),
  [1664] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_nullsafe_member_call_expression, 4, 0, 69),
  [1666] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_primary_expression, 1, 0, 0),
  [1668] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_primary_expression, 1, 0, 0),
  [1670] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_cast_variable, 4, 0, 50),
  [1672] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__callable_expression, 1, 0, 0),
  [1674] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__dereferencable_expression, 1, 0, 0),
  [1676] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1008),
  [1678] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_cast_variable, 4, 0, 50),
  [1680] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__callable_variable, 1, 0, 0),
  [1682] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__new_variable, 1, 0, 3),
  [1684] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__new_variable, 1, 0, 3),
  [1686] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_dynamic_variable_name, 4, 0, 0),
  [1688] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_dynamic_variable_name, 4, 0, 0),
  [1690] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_member_call_expression, 4, 0, 69),
  [1692] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_member_call_expression, 4, 0, 69),
  [1694] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_scoped_call_expression, 4, 0, 68),
  [1696] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_scoped_call_expression, 4, 0, 68),
  [1698] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__dereferencable_subscript_expression, 4, 0, 0),
  [1700] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__dereferencable_subscript_expression, 4, 0, 0),
  [1702] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__simple_variable, 1, 0, 0),
  [1704] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__simple_variable, 1, 0, 0),
  [1706] = {.entry = {.count = 1, .reusable = true}}, SHIFT(142),
  [1708] = {.entry = {.count = 1, .reusable = false}}, SHIFT(239),
  [1710] = {.entry = {.count = 1, .reusable = true}}, SHIFT(292),
  [1712] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1105),
  [1714] = {.entry = {.count = 1, .reusable = false}}, SHIFT(237),
  [1716] = {.entry = {.count = 1, .reusable = true}}, SHIFT(261),
  [1718] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1547),
  [1720] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1403),
  [1722] = {.entry = {.count = 1, .reusable = true}}, SHIFT(132),
  [1724] = {.entry = {.count = 1, .reusable = false}}, SHIFT(871),
  [1726] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1410),
  [1728] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_use_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1547),
  [1731] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_use_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1579),
  [1734] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_use_list_repeat1, 2, 0, 0), SHIFT_REPEAT(2629),
  [1737] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_use_list_repeat1, 2, 0, 0),
  [1739] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_use_list_repeat1, 2, 0, 0), SHIFT_REPEAT(132),
  [1742] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_use_list_repeat1, 2, 0, 0), SHIFT_REPEAT(2713),
  [1745] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_use_list_repeat1, 2, 0, 0), SHIFT_REPEAT(871),
  [1748] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_use_list_repeat1, 2, 0, 0), SHIFT_REPEAT(158),
  [1751] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_use_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1422),
  [1754] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_use_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1624),
  [1757] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_use_list_repeat1, 2, 0, 0), SHIFT_REPEAT(2170),
  [1760] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_use_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1625),
  [1763] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1446),
  [1765] = {.entry = {.count = 1, .reusable = false}}, SHIFT(256),
  [1767] = {.entry = {.count = 1, .reusable = true}}, SHIFT(367),
  [1769] = {.entry = {.count = 1, .reusable = false}}, SHIFT(259),
  [1771] = {.entry = {.count = 1, .reusable = true}}, SHIFT(410),
  [1773] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1964),
  [1775] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_primary_expression, 1, 0, 0), REDUCE(sym__array_destructing_element, 1, 0, 0),
  [1778] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__array_destructing_element, 1, 0, 0),
  [1780] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__list_destructing_repeat1, 2, 0, 0),
  [1782] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1968),
  [1784] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2022),
  [1786] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1957),
  [1788] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2025),
  [1790] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_primary_expression, 1, 0, 0), REDUCE(sym__array_destructing_element, 3, 0, 0),
  [1793] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_qualified_name, 2, 0, 8),
  [1795] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_qualified_name, 2, 0, 8),
  [1797] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_namespace_name, 2, 0, 0), SHIFT(2706),
  [1800] = {.entry = {.count = 1, .reusable = true}}, SHIFT(125),
  [1802] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1661),
  [1804] = {.entry = {.count = 1, .reusable = true}}, SHIFT(126),
  [1806] = {.entry = {.count = 1, .reusable = true}}, SHIFT(131),
  [1808] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1669),
  [1810] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_static_modifier, 1, 0, 0),
  [1812] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_qualified_name, 3, 0, 26),
  [1814] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_qualified_name, 3, 0, 26),
  [1816] = {.entry = {.count = 1, .reusable = true}}, SHIFT(140),
  [1818] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1442),
  [1820] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1329),
  [1822] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1544),
  [1824] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1238),
  [1826] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1499),
  [1828] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1352),
  [1830] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1377),
  [1832] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2569),
  [1834] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_namespace_name, 1, 0, 0), SHIFT(2706),
  [1837] = {.entry = {.count = 1, .reusable = true}}, SHIFT(143),
  [1839] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_constant_access_expression, 3, 0, 0),
  [1841] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_constant_access_expression, 3, 0, 0),
  [1843] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_constant_access_expression, 5, 0, 107),
  [1845] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_constant_access_expression, 5, 0, 107),
  [1847] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_by_ref, 2, 0, 0),
  [1849] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_by_ref, 2, 0, 0),
  [1851] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1612),
  [1853] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2658),
  [1855] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2604),
  [1857] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1358),
  [1859] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1947),
  [1861] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2352),
  [1863] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1376),
  [1865] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1500),
  [1867] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2556),
  [1869] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_class, 7, 0, 194),
  [1871] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_anonymous_class, 7, 0, 194),
  [1873] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__dereferencable_scalar, 1, 0, 0),
  [1875] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__string, 1, 0, 0),
  [1877] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__string, 1, 0, 0),
  [1879] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_literal, 1, 0, 0),
  [1881] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_literal, 1, 0, 0),
  [1883] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__new_dereferencable_expression, 2, 0, 0),
  [1885] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__new_dereferencable_expression, 2, 0, 0),
  [1887] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__class_name_reference, 1, 0, 0),
  [1889] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__class_name_reference, 1, 0, 0),
  [1891] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1930),
  [1893] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1489),
  [1895] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1454),
  [1897] = {.entry = {.count = 1, .reusable = true}}, SHIFT(254),
  [1899] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_update_expression, 2, 0, 9),
  [1901] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_update_expression, 2, 0, 9),
  [1903] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_creation_expression, 2, 0, 0),
  [1905] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_creation_expression, 2, 0, 0),
  [1907] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__array_destructing, 2, 0, 0), REDUCE(sym_array_creation_expression, 2, 0, 0),
  [1910] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__array_destructing, 2, 0, 0),
  [1912] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_encapsed_string, 2, 0, 0),
  [1914] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_encapsed_string, 2, 0, 0),
  [1916] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_string, 2, 0, 0),
  [1918] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_string, 2, 0, 0),
  [1920] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_creation_expression, 3, 0, 22),
  [1922] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_creation_expression, 3, 0, 22),
  [1924] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_class, 2, 0, 6),
  [1926] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_anonymous_class, 2, 0, 6),
  [1928] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__new_dereferencable_expression, 3, 0, 0),
  [1930] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__new_dereferencable_expression, 3, 0, 0),
  [1932] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_creation_expression, 3, 0, 0),
  [1934] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_creation_expression, 3, 0, 0),
  [1936] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_encapsed_string, 3, 0, 0),
  [1938] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_encapsed_string, 3, 0, 0),
  [1940] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_string, 3, 0, 0),
  [1942] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_string, 3, 0, 0),
  [1944] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_heredoc, 3, 0, 24),
  [1946] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_heredoc, 3, 0, 24),
  [1948] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__name, 1, 0, 0),
  [1950] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_creation_expression, 4, 0, 22),
  [1952] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_creation_expression, 4, 0, 22),
  [1954] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_class, 3, 0, 36),
  [1956] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_anonymous_class, 3, 0, 36),
  [1958] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_class, 3, 0, 54),
  [1960] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_anonymous_class, 3, 0, 54),
  [1962] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2653),
  [1964] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1820),
  [1966] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_creation_expression, 4, 0, 0),
  [1968] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_creation_expression, 4, 0, 0),
  [1970] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_heredoc, 4, 0, 58),
  [1972] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_heredoc, 4, 0, 58),
  [1974] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_heredoc, 4, 0, 59),
  [1976] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_heredoc, 4, 0, 59),
  [1978] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_heredoc, 4, 0, 60),
  [1980] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_heredoc, 4, 0, 60),
  [1982] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_creation_expression, 5, 0, 22),
  [1984] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_creation_expression, 5, 0, 22),
  [1986] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_class, 4, 0, 97),
  [1988] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_anonymous_class, 4, 0, 97),
  [1990] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_class, 4, 0, 98),
  [1992] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_anonymous_class, 4, 0, 98),
  [1994] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_creation_expression, 5, 0, 0),
  [1996] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_creation_expression, 5, 0, 0),
  [1998] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_heredoc, 5, 0, 99),
  [2000] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_heredoc, 5, 0, 99),
  [2002] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_heredoc, 5, 0, 100),
  [2004] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_heredoc, 5, 0, 100),
  [2006] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_heredoc, 5, 0, 101),
  [2008] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_heredoc, 5, 0, 101),
  [2010] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_heredoc, 5, 0, 102),
  [2012] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_heredoc, 5, 0, 102),
  [2014] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_nowdoc, 5, 0, 101),
  [2016] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_nowdoc, 5, 0, 101),
  [2018] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_creation_expression, 6, 0, 22),
  [2020] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_creation_expression, 6, 0, 22),
  [2022] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_class, 5, 0, 136),
  [2024] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_anonymous_class, 5, 0, 136),
  [2026] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_class, 5, 0, 137),
  [2028] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_anonymous_class, 5, 0, 137),
  [2030] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_heredoc, 6, 0, 140),
  [2032] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_heredoc, 6, 0, 140),
  [2034] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_heredoc, 6, 0, 141),
  [2036] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_heredoc, 6, 0, 141),
  [2038] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_heredoc, 6, 0, 142),
  [2040] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_heredoc, 6, 0, 142),
  [2042] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_nowdoc, 6, 0, 141),
  [2044] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_nowdoc, 6, 0, 141),
  [2046] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_creation_expression, 1, 0, 0),
  [2048] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object_creation_expression, 1, 0, 0),
  [2050] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__callable_expression, 1, 0, 2),
  [2052] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__dereferencable_expression, 1, 0, 2),
  [2054] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_class, 6, 0, 172),
  [2056] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_anonymous_class, 6, 0, 172),
  [2058] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_class, 6, 0, 132),
  [2060] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_anonymous_class, 6, 0, 132),
  [2062] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_heredoc, 7, 0, 173),
  [2064] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_heredoc, 7, 0, 173),
  [2066] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_nowdoc, 7, 0, 173),
  [2068] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_nowdoc, 7, 0, 173),
  [2070] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1929),
  [2072] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1774),
  [2074] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1814),
  [2076] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1850),
  [2078] = {.entry = {.count = 1, .reusable = true}}, SHIFT(137),
  [2080] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__argument_name, 2, 0, 61),
  [2082] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__argument_name, 2, 0, 61),
  [2084] = {.entry = {.count = 1, .reusable = false}}, SHIFT(711),
  [2086] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1550),
  [2088] = {.entry = {.count = 1, .reusable = true}}, SHIFT(327),
  [2090] = {.entry = {.count = 1, .reusable = false}}, SHIFT(849),
  [2092] = {.entry = {.count = 1, .reusable = false}}, SHIFT(858),
  [2094] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2628),
  [2096] = {.entry = {.count = 1, .reusable = true}}, SHIFT(416),
  [2098] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1004),
  [2100] = {.entry = {.count = 1, .reusable = false}}, SHIFT(735),
  [2102] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2673),
  [2104] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1543),
  [2106] = {.entry = {.count = 1, .reusable = true}}, SHIFT(378),
  [2108] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1041),
  [2110] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__name, 1, 0, 0),
  [2112] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__new_non_dereferencable_expression, 2, 0, 0),
  [2114] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__new_non_dereferencable_expression, 2, 0, 0),
  [2116] = {.entry = {.count = 1, .reusable = true}}, SHIFT(138),
  [2118] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_reference_modifier, 1, 0, 0),
  [2120] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_reference_modifier, 1, 0, 0),
  [2122] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1907),
  [2124] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1471),
  [2126] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1472),
  [2128] = {.entry = {.count = 1, .reusable = true}}, SHIFT(251),
  [2130] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2217),
  [2132] = {.entry = {.count = 1, .reusable = false}}, SHIFT(572),
  [2134] = {.entry = {.count = 1, .reusable = false}}, SHIFT(869),
  [2136] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_unary_op_expression, 2, 0, 9),
  [2138] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_unary_op_expression, 2, 0, 9),
  [2140] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_update_expression, 2, 0, 14),
  [2142] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_update_expression, 2, 0, 14),
  [2144] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_expression, 1, 0, 0),
  [2146] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_expression, 1, 0, 0),
  [2148] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1353),
  [2150] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_match_expression, 3, 0, 23),
  [2152] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_match_expression, 3, 0, 23),
  [2154] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_element_initializer, 1, 0, 0),
  [2156] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_element_initializer, 1, 0, 0),
  [2158] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_error_suppression_expression, 2, 0, 0),
  [2160] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_error_suppression_expression, 2, 0, 0),
  [2162] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_clone_expression, 2, 0, 0),
  [2164] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_clone_expression, 2, 0, 0),
  [2166] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_shell_command_expression, 3, 0, 0),
  [2168] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_shell_command_expression, 3, 0, 0),
  [2170] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_binary_expression, 3, 0, 29),
  [2172] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_binary_expression, 3, 0, 29),
  [2174] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__unary_expression, 1, 0, 0),
  [2176] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__unary_expression, 1, 0, 0),
  [2178] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__array_destructing, 2, 0, 0),
  [2180] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_match_block, 2, 0, 0),
  [2182] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_match_block, 2, 0, 0),
  [2184] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_element_initializer, 3, 0, 0),
  [2186] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_element_initializer, 3, 0, 0),
  [2188] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_match_block, 3, 0, 0),
  [2190] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_match_block, 3, 0, 0),
  [2192] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_shell_command_expression, 2, 0, 0),
  [2194] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_shell_command_expression, 2, 0, 0),
  [2196] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_match_block, 4, 0, 0),
  [2198] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_match_block, 4, 0, 0),
  [2200] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_yield_expression, 2, 0, 0),
  [2202] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_yield_expression, 2, 0, 0),
  [2204] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_function, 2, 0, 13),
  [2206] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_anonymous_function, 2, 0, 13),
  [2208] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_match_block, 5, 0, 0),
  [2210] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_match_block, 5, 0, 0),
  [2212] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_null, 1, 0, 0),
  [2214] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_null, 1, 0, 0),
  [2216] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_boolean, 1, 0, 0),
  [2218] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_boolean, 1, 0, 0),
  [2220] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_cast_expression, 4, 0, 50),
  [2222] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_cast_expression, 4, 0, 50),
  [2224] = {.entry = {.count = 1, .reusable = false}}, SHIFT(275),
  [2226] = {.entry = {.count = 1, .reusable = false}}, SHIFT(276),
  [2228] = {.entry = {.count = 1, .reusable = true}}, SHIFT(277),
  [2230] = {.entry = {.count = 1, .reusable = true}}, SHIFT(278),
  [2232] = {.entry = {.count = 1, .reusable = true}}, SHIFT(279),
  [2234] = {.entry = {.count = 1, .reusable = true}}, SHIFT(283),
  [2236] = {.entry = {.count = 1, .reusable = true}}, SHIFT(284),
  [2238] = {.entry = {.count = 1, .reusable = true}}, SHIFT(285),
  [2240] = {.entry = {.count = 1, .reusable = false}}, SHIFT(286),
  [2242] = {.entry = {.count = 1, .reusable = true}}, SHIFT(286),
  [2244] = {.entry = {.count = 1, .reusable = false}}, SHIFT(287),
  [2246] = {.entry = {.count = 1, .reusable = true}}, SHIFT(287),
  [2248] = {.entry = {.count = 1, .reusable = true}}, SHIFT(288),
  [2250] = {.entry = {.count = 1, .reusable = true}}, SHIFT(289),
  [2252] = {.entry = {.count = 1, .reusable = false}}, SHIFT(290),
  [2254] = {.entry = {.count = 1, .reusable = true}}, SHIFT(290),
  [2256] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_throw_expression, 2, 0, 0),
  [2258] = {.entry = {.count = 1, .reusable = false}}, SHIFT(243),
  [2260] = {.entry = {.count = 1, .reusable = true}}, SHIFT(280),
  [2262] = {.entry = {.count = 1, .reusable = true}}, SHIFT(281),
  [2264] = {.entry = {.count = 1, .reusable = true}}, SHIFT(282),
  [2266] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_conditional_expression, 4, 0, 66),
  [2268] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_conditional_expression, 4, 0, 66),
  [2270] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_reference_assignment_expression, 4, 0, 67),
  [2272] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_assignment_expression, 3, 0, 30),
  [2274] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_yield_expression, 3, 0, 0),
  [2276] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_augmented_assignment_expression, 3, 0, 29),
  [2278] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_conditional_expression, 5, 0, 106),
  [2280] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_conditional_expression, 5, 0, 106),
  [2282] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_arrow_function, 3, 0, 28),
  [2284] = {.entry = {.count = 1, .reusable = true}}, SHIFT(225),
  [2286] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_include_expression, 2, 0, 0),
  [2288] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_include_once_expression, 2, 0, 0),
  [2290] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_require_expression, 2, 0, 0),
  [2292] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variadic_unpacking, 2, 0, 0),
  [2294] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_require_once_expression, 2, 0, 0),
  [2296] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_print_intrinsic, 2, 0, 0),
  [2298] = {.entry = {.count = 1, .reusable = false}}, SHIFT(350),
  [2300] = {.entry = {.count = 1, .reusable = false}}, SHIFT(234),
  [2302] = {.entry = {.count = 1, .reusable = false}}, SHIFT(351),
  [2304] = {.entry = {.count = 1, .reusable = true}}, SHIFT(352),
  [2306] = {.entry = {.count = 1, .reusable = true}}, SHIFT(353),
  [2308] = {.entry = {.count = 1, .reusable = true}}, SHIFT(436),
  [2310] = {.entry = {.count = 1, .reusable = true}}, SHIFT(355),
  [2312] = {.entry = {.count = 1, .reusable = true}}, SHIFT(356),
  [2314] = {.entry = {.count = 1, .reusable = true}}, SHIFT(357),
  [2316] = {.entry = {.count = 1, .reusable = true}}, SHIFT(358),
  [2318] = {.entry = {.count = 1, .reusable = true}}, SHIFT(359),
  [2320] = {.entry = {.count = 1, .reusable = true}}, SHIFT(360),
  [2322] = {.entry = {.count = 1, .reusable = false}}, SHIFT(361),
  [2324] = {.entry = {.count = 1, .reusable = true}}, SHIFT(361),
  [2326] = {.entry = {.count = 1, .reusable = false}}, SHIFT(362),
  [2328] = {.entry = {.count = 1, .reusable = true}}, SHIFT(362),
  [2330] = {.entry = {.count = 1, .reusable = true}}, SHIFT(363),
  [2332] = {.entry = {.count = 1, .reusable = true}}, SHIFT(364),
  [2334] = {.entry = {.count = 1, .reusable = false}}, SHIFT(365),
  [2336] = {.entry = {.count = 1, .reusable = true}}, SHIFT(365),
  [2338] = {.entry = {.count = 1, .reusable = false}}, SHIFT(320),
  [2340] = {.entry = {.count = 1, .reusable = false}}, SHIFT(255),
  [2342] = {.entry = {.count = 1, .reusable = false}}, SHIFT(354),
  [2344] = {.entry = {.count = 1, .reusable = true}}, SHIFT(414),
  [2346] = {.entry = {.count = 1, .reusable = true}}, SHIFT(262),
  [2348] = {.entry = {.count = 1, .reusable = true}}, SHIFT(291),
  [2350] = {.entry = {.count = 1, .reusable = true}}, SHIFT(293),
  [2352] = {.entry = {.count = 1, .reusable = true}}, SHIFT(306),
  [2354] = {.entry = {.count = 1, .reusable = true}}, SHIFT(313),
  [2356] = {.entry = {.count = 1, .reusable = true}}, SHIFT(315),
  [2358] = {.entry = {.count = 1, .reusable = true}}, SHIFT(318),
  [2360] = {.entry = {.count = 1, .reusable = true}}, SHIFT(319),
  [2362] = {.entry = {.count = 1, .reusable = false}}, SHIFT(323),
  [2364] = {.entry = {.count = 1, .reusable = true}}, SHIFT(323),
  [2366] = {.entry = {.count = 1, .reusable = false}}, SHIFT(325),
  [2368] = {.entry = {.count = 1, .reusable = true}}, SHIFT(325),
  [2370] = {.entry = {.count = 1, .reusable = true}}, SHIFT(326),
  [2372] = {.entry = {.count = 1, .reusable = true}}, SHIFT(366),
  [2374] = {.entry = {.count = 1, .reusable = false}}, SHIFT(409),
  [2376] = {.entry = {.count = 1, .reusable = true}}, SHIFT(409),
  [2378] = {.entry = {.count = 1, .reusable = true}}, SHIFT(233),
  [2380] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2443),
  [2382] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_class_declaration_repeat1, 2, 0, 0),
  [2384] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_declaration_repeat1, 2, 0, 0), SHIFT_REPEAT(1329),
  [2387] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_class_declaration_repeat1, 2, 0, 0),
  [2389] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_declaration_repeat1, 2, 0, 0), SHIFT_REPEAT(1330),
  [2392] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_declaration_repeat1, 2, 0, 0), SHIFT_REPEAT(1333),
  [2395] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_declaration_repeat1, 2, 0, 0), SHIFT_REPEAT(1325),
  [2398] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_declaration_repeat1, 2, 0, 0), SHIFT_REPEAT(1335),
  [2401] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_declaration_repeat1, 2, 0, 0), SHIFT_REPEAT(1274),
  [2404] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__modifier, 1, 0, 0),
  [2406] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__modifier, 1, 0, 0),
  [2408] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1347),
  [2410] = {.entry = {.count = 1, .reusable = true}}, SHIFT(227),
  [2412] = {.entry = {.count = 1, .reusable = false}}, SHIFT(393),
  [2414] = {.entry = {.count = 1, .reusable = false}}, SHIFT(235),
  [2416] = {.entry = {.count = 1, .reusable = false}}, SHIFT(394),
  [2418] = {.entry = {.count = 1, .reusable = true}}, SHIFT(395),
  [2420] = {.entry = {.count = 1, .reusable = true}}, SHIFT(396),
  [2422] = {.entry = {.count = 1, .reusable = true}}, SHIFT(397),
  [2424] = {.entry = {.count = 1, .reusable = true}}, SHIFT(398),
  [2426] = {.entry = {.count = 1, .reusable = true}}, SHIFT(399),
  [2428] = {.entry = {.count = 1, .reusable = true}}, SHIFT(400),
  [2430] = {.entry = {.count = 1, .reusable = true}}, SHIFT(401),
  [2432] = {.entry = {.count = 1, .reusable = true}}, SHIFT(402),
  [2434] = {.entry = {.count = 1, .reusable = true}}, SHIFT(403),
  [2436] = {.entry = {.count = 1, .reusable = false}}, SHIFT(404),
  [2438] = {.entry = {.count = 1, .reusable = true}}, SHIFT(404),
  [2440] = {.entry = {.count = 1, .reusable = false}}, SHIFT(405),
  [2442] = {.entry = {.count = 1, .reusable = true}}, SHIFT(405),
  [2444] = {.entry = {.count = 1, .reusable = true}}, SHIFT(406),
  [2446] = {.entry = {.count = 1, .reusable = true}}, SHIFT(407),
  [2448] = {.entry = {.count = 1, .reusable = false}}, SHIFT(408),
  [2450] = {.entry = {.count = 1, .reusable = true}}, SHIFT(408),
  [2452] = {.entry = {.count = 1, .reusable = true}}, SHIFT(226),
  [2454] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_element, 3, 0, 86),
  [2456] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_promotion_parameter, 5, 0, 152),
  [2458] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1467),
  [2460] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_promotion_parameter, 6, 0, 177),
  [2462] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_promotion_parameter, 6, 0, 182),
  [2464] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_promotion_parameter, 6, 0, 183),
  [2466] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_promotion_parameter, 7, 0, 201),
  [2468] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_promotion_parameter, 4, 0, 118),
  [2470] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_promotion_parameter, 5, 0, 158),
  [2472] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_promotion_parameter, 5, 0, 151),
  [2474] = {.entry = {.count = 1, .reusable = true}}, SHIFT(258),
  [2476] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_match_condition_list, 1, 0, 0),
  [2478] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__expressions, 1, 0, 0),
  [2480] = {.entry = {.count = 1, .reusable = true}}, SHIFT(241),
  [2482] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_sequence_expression, 3, 0, 0),
  [2484] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1538),
  [2486] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1729),
  [2488] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_const_element, 3, 0, 0),
  [2490] = {.entry = {.count = 1, .reusable = true}}, SHIFT(229),
  [2492] = {.entry = {.count = 1, .reusable = true}}, SHIFT(232),
  [2494] = {.entry = {.count = 1, .reusable = true}}, SHIFT(230),
  [2496] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_static_variable_declaration, 3, 0, 34),
  [2498] = {.entry = {.count = 1, .reusable = true}}, SHIFT(240),
  [2500] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_simple_parameter, 4, 0, 120),
  [2502] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_simple_parameter, 6, 0, 184),
  [2504] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_simple_parameter, 4, 0, 126),
  [2506] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_argument, 1, 0, 0),
  [2508] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_simple_parameter, 3, 0, 86),
  [2510] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_match_default_expression, 3, 0, 133),
  [2512] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_match_conditional_expression, 3, 0, 134),
  [2514] = {.entry = {.count = 1, .reusable = true}}, SHIFT(207),
  [2516] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__foreach_value, 1, 0, 0),
  [2518] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_match_condition_list_repeat1, 2, 0, 0),
  [2520] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_argument, 2, 0, 62),
  [2522] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_argument, 2, 0, 63),
  [2524] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6),
  [2526] = {.entry = {.count = 1, .reusable = true}}, SHIFT(257),
  [2528] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_simple_parameter, 5, 0, 160),
  [2530] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_argument, 3, 0, 103),
  [2532] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1329),
  [2534] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1506),
  [2536] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1544),
  [2538] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1224),
  [2540] = {.entry = {.count = 1, .reusable = true}}, SHIFT(458),
  [2542] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1330),
  [2544] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1333),
  [2546] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1325),
  [2548] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1335),
  [2550] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1274),
  [2552] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_simple_parameter, 5, 0, 155),
  [2554] = {.entry = {.count = 1, .reusable = true}}, SHIFT(981),
  [2556] = {.entry = {.count = 1, .reusable = true}}, SHIFT(986),
  [2558] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_simple_parameter, 4, 0, 116),
  [2560] = {.entry = {.count = 1, .reusable = true}}, SHIFT(720),
  [2562] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_simple_parameter, 5, 0, 156),
  [2564] = {.entry = {.count = 1, .reusable = true}}, SHIFT(491),
  [2566] = {.entry = {.count = 1, .reusable = true}}, SHIFT(715),
  [2568] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1329),
  [2571] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1506),
  [2574] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1544),
  [2577] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1224),
  [2580] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_declaration_list_repeat1, 2, 0, 0),
  [2582] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1330),
  [2585] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1333),
  [2588] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1325),
  [2591] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1335),
  [2594] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1274),
  [2597] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1498),
  [2600] = {.entry = {.count = 1, .reusable = true}}, SHIFT(638),
  [2602] = {.entry = {.count = 1, .reusable = true}}, SHIFT(652),
  [2604] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2107),
  [2606] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_visibility_modifier, 1, 0, 0),
  [2608] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_visibility_modifier, 1, 0, 0),
  [2610] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2596),
  [2612] = {.entry = {.count = 1, .reusable = true}}, SHIFT(721),
  [2614] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1695),
  [2616] = {.entry = {.count = 1, .reusable = true}}, SHIFT(805),
  [2618] = {.entry = {.count = 1, .reusable = true}}, SHIFT(806),
  [2620] = {.entry = {.count = 1, .reusable = true}}, SHIFT(808),
  [2622] = {.entry = {.count = 1, .reusable = true}}, SHIFT(731),
  [2624] = {.entry = {.count = 1, .reusable = true}}, SHIFT(647),
  [2626] = {.entry = {.count = 1, .reusable = true}}, SHIFT(817),
  [2628] = {.entry = {.count = 1, .reusable = true}}, SHIFT(659),
  [2630] = {.entry = {.count = 1, .reusable = true}}, SHIFT(778),
  [2632] = {.entry = {.count = 1, .reusable = true}}, SHIFT(373),
  [2634] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1616),
  [2636] = {.entry = {.count = 1, .reusable = true}}, SHIFT(982),
  [2638] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1006),
  [2640] = {.entry = {.count = 1, .reusable = true}}, SHIFT(967),
  [2642] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2167),
  [2644] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1694),
  [2646] = {.entry = {.count = 1, .reusable = true}}, SHIFT(614),
  [2648] = {.entry = {.count = 1, .reusable = true}}, SHIFT(297),
  [2650] = {.entry = {.count = 1, .reusable = true}}, SHIFT(617),
  [2652] = {.entry = {.count = 1, .reusable = true}}, SHIFT(594),
  [2654] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1681),
  [2656] = {.entry = {.count = 1, .reusable = true}}, SHIFT(645),
  [2658] = {.entry = {.count = 1, .reusable = true}}, SHIFT(626),
  [2660] = {.entry = {.count = 1, .reusable = true}}, SHIFT(593),
  [2662] = {.entry = {.count = 1, .reusable = true}}, SHIFT(658),
  [2664] = {.entry = {.count = 1, .reusable = true}}, SHIFT(324),
  [2666] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1674),
  [2668] = {.entry = {.count = 1, .reusable = true}}, SHIFT(916),
  [2670] = {.entry = {.count = 1, .reusable = true}}, SHIFT(586),
  [2672] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1571),
  [2674] = {.entry = {.count = 1, .reusable = true}}, SHIFT(875),
  [2676] = {.entry = {.count = 1, .reusable = true}}, SHIFT(884),
  [2678] = {.entry = {.count = 1, .reusable = true}}, SHIFT(413),
  [2680] = {.entry = {.count = 1, .reusable = true}}, SHIFT(724),
  [2682] = {.entry = {.count = 1, .reusable = true}}, SHIFT(185),
  [2684] = {.entry = {.count = 1, .reusable = true}}, SHIFT(757),
  [2686] = {.entry = {.count = 1, .reusable = true}}, SHIFT(908),
  [2688] = {.entry = {.count = 1, .reusable = true}}, SHIFT(184),
  [2690] = {.entry = {.count = 1, .reusable = true}}, SHIFT(866),
  [2692] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1063),
  [2694] = {.entry = {.count = 1, .reusable = true}}, SHIFT(955),
  [2696] = {.entry = {.count = 1, .reusable = true}}, SHIFT(960),
  [2698] = {.entry = {.count = 1, .reusable = true}}, SHIFT(961),
  [2700] = {.entry = {.count = 1, .reusable = true}}, SHIFT(183),
  [2702] = {.entry = {.count = 1, .reusable = true}}, SHIFT(187),
  [2704] = {.entry = {.count = 1, .reusable = true}}, SHIFT(760),
  [2706] = {.entry = {.count = 1, .reusable = true}}, SHIFT(492),
  [2708] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2666),
  [2710] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_readonly_modifier, 1, 0, 0),
  [2712] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_readonly_modifier, 1, 0, 0),
  [2714] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1958),
  [2716] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2039),
  [2718] = {.entry = {.count = 1, .reusable = true}}, SHIFT(460),
  [2720] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_static_modifier, 1, 0, 0),
  [2722] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_final_modifier, 1, 0, 0),
  [2724] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_final_modifier, 1, 0, 0),
  [2726] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_enum_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1329),
  [2729] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_enum_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1506),
  [2732] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_enum_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1544),
  [2735] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_enum_declaration_list_repeat1, 2, 0, 0),
  [2737] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_enum_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(2666),
  [2740] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_enum_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1330),
  [2743] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_enum_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1333),
  [2746] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_enum_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1325),
  [2749] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_enum_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1335),
  [2752] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_enum_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1274),
  [2755] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_enum_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1498),
  [2758] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_visibility_modifier, 4, 0, 49),
  [2760] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_visibility_modifier, 4, 0, 49),
  [2762] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_abstract_modifier, 1, 0, 0),
  [2764] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_modifier, 1, 0, 0),
  [2766] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_class_declaration_repeat1, 1, 0, 0),
  [2768] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_class_declaration_repeat1, 1, 0, 0),
  [2770] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1615),
  [2772] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1776),
  [2774] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1345),
  [2776] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1378),
  [2778] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1956),
  [2780] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2448),
  [2782] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_attribute_list_repeat1, 2, 0, 0),
  [2784] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_attribute_list_repeat1, 2, 0, 0),
  [2786] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attribute_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1500),
  [2789] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_attribute_list, 1, 0, 0),
  [2791] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_attribute_list, 1, 0, 0),
  [2793] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_attribute_group, 4, 0, 0),
  [2795] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_attribute_group, 4, 0, 0),
  [2797] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_attribute_group, 5, 0, 0),
  [2799] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_attribute_group, 5, 0, 0),
  [2801] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_attribute_list_repeat1, 1, 0, 0),
  [2803] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_attribute_list_repeat1, 1, 0, 0),
  [2805] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_attribute_group, 3, 0, 0),
  [2807] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_attribute_group, 3, 0, 0),
  [2809] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1526),
  [2811] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2544),
  [2813] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2545),
  [2815] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2546),
  [2817] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2554),
  [2819] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1870),
  [2821] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1349),
  [2823] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1354),
  [2825] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2587),
  [2827] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2615),
  [2829] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2620),
  [2831] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2622),
  [2833] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attribute_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1498),
  [2836] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_relative_scope, 1, 0, 0),
  [2838] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2600),
  [2840] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1036),
  [2842] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1037),
  [2844] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1038),
  [2846] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1238),
  [2848] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2703),
  [2850] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1239),
  [2852] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2563),
  [2854] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_heredoc_body_repeat1, 2, 0, 0), SHIFT_REPEAT(380),
  [2857] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_heredoc_body_repeat1, 2, 0, 0), SHIFT_REPEAT(1605),
  [2860] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_heredoc_body_repeat1, 2, 0, 0), SHIFT_REPEAT(1605),
  [2863] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_heredoc_body_repeat1, 2, 0, 0), SHIFT_REPEAT(1447),
  [2866] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_heredoc_body_repeat1, 2, 0, 0), SHIFT_REPEAT(1672),
  [2869] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_heredoc_body_repeat1, 2, 0, 0),
  [2871] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2512),
  [2873] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1549),
  [2875] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1555),
  [2877] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1554),
  [2879] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1559),
  [2881] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_use_list_repeat1, 2, 0, 0),
  [2883] = {.entry = {.count = 1, .reusable = false}}, SHIFT(380),
  [2885] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1605),
  [2887] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1605),
  [2889] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_heredoc_body, 2, 0, 0), SHIFT(1447),
  [2892] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1672),
  [2894] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_heredoc_body, 2, 0, 0),
  [2896] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1552),
  [2898] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1556),
  [2900] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2583),
  [2902] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_heredoc_body_repeat1, 1, 0, 0),
  [2904] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1447),
  [2906] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__interpolated_string_body_heredoc, 2, 0, 0), SHIFT_REPEAT(380),
  [2909] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__interpolated_string_body_heredoc, 2, 0, 0), SHIFT_REPEAT(1605),
  [2912] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__interpolated_string_body_heredoc, 2, 0, 0), SHIFT_REPEAT(1605),
  [2915] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__interpolated_string_body_heredoc, 2, 0, 0),
  [2917] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__interpolated_string_body_heredoc, 2, 0, 0), SHIFT_REPEAT(1672),
  [2920] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_declaration, 4, 0, 162),
  [2922] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1527),
  [2924] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_use_list, 3, 0, 0),
  [2926] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_use_declaration, 4, 0, 0),
  [2928] = {.entry = {.count = 1, .reusable = true}}, SHIFT(372),
  [2930] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1621),
  [2932] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1621),
  [2934] = {.entry = {.count = 1, .reusable = true}}, SHIFT(994),
  [2936] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1664),
  [2938] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_declaration, 2, 0, 12),
  [2940] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_declaration, 2, 0, 90),
  [2942] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_use_declaration, 3, 0, 0),
  [2944] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_declaration, 3, 0, 33),
  [2946] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_use_list, 2, 0, 0),
  [2948] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_declaration, 3, 0, 128),
  [2950] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__interpolated_string_body, 2, 0, 0), SHIFT_REPEAT(372),
  [2953] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__interpolated_string_body, 2, 0, 0), SHIFT_REPEAT(1621),
  [2956] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__interpolated_string_body, 2, 0, 0), SHIFT_REPEAT(1621),
  [2959] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__interpolated_string_body, 2, 0, 0),
  [2961] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__interpolated_string_body, 2, 0, 0), SHIFT_REPEAT(1664),
  [2964] = {.entry = {.count = 1, .reusable = true}}, SHIFT(329),
  [2966] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1705),
  [2968] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1705),
  [2970] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1093),
  [2972] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1666),
  [2974] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_declaration, 4, 0, 163),
  [2976] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_declaration, 3, 0, 129),
  [2978] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__interpolated_execution_operator_body, 2, 0, 0), SHIFT_REPEAT(329),
  [2981] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__interpolated_execution_operator_body, 2, 0, 0), SHIFT_REPEAT(1705),
  [2984] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__interpolated_execution_operator_body, 2, 0, 0), SHIFT_REPEAT(1705),
  [2987] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__interpolated_execution_operator_body, 2, 0, 0),
  [2989] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__interpolated_execution_operator_body, 2, 0, 0), SHIFT_REPEAT(1666),
  [2992] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_declaration, 3, 0, 130),
  [2994] = {.entry = {.count = 1, .reusable = true}}, SHIFT(973),
  [2996] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1099),
  [2998] = {.entry = {.count = 1, .reusable = true}}, SHIFT(784),
  [3000] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1017),
  [3002] = {.entry = {.count = 1, .reusable = true}}, SHIFT(775),
  [3004] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1031),
  [3006] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_declaration, 6, 0, 185),
  [3008] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_hook_list, 3, 0, 0),
  [3010] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1502),
  [3012] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_declaration, 4, 0, 161),
  [3014] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_hook_list, 2, 0, 0),
  [3016] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_declaration, 5, 0, 46),
  [3018] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__class_const_declaration, 3, 0, 127),
  [3020] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_case, 4, 0, 82),
  [3022] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_case, 5, 0, 186),
  [3024] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_declaration, 5, 0, 161),
  [3026] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_declaration, 4, 0, 0),
  [3028] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__class_const_declaration, 2, 0, 89),
  [3030] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_case, 3, 0, 16),
  [3032] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_declaration_list_repeat1, 1, 0, 0),
  [3034] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__member_declaration, 1, 0, 47),
  [3036] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__class_const_declaration, 1, 0, 1),
  [3038] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__member_declaration, 1, 0, 0),
  [3040] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_named_type, 1, 0, 0),
  [3042] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_named_type, 1, 0, 0),
  [3044] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_enum_declaration_list_repeat1, 1, 0, 0),
  [3046] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__enum_member_declaration, 1, 0, 0),
  [3048] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_declaration, 4, 0, 46),
  [3050] = {.entry = {.count = 1, .reusable = true}}, SHIFT(380),
  [3052] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1672),
  [3054] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_case, 6, 0, 202),
  [3056] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_declaration, 3, 0, 0),
  [3058] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1521),
  [3060] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__class_const_declaration, 2, 0, 91),
  [3062] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_declaration, 5, 0, 185),
  [3064] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_property_hook_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1531),
  [3067] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_property_hook_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1612),
  [3070] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_property_hook_list_repeat1, 2, 0, 0),
  [3072] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_property_hook_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1330),
  [3075] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_property_hook_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1498),
  [3078] = {.entry = {.count = 1, .reusable = false}}, SHIFT(717),
  [3080] = {.entry = {.count = 1, .reusable = false}}, SHIFT(727),
  [3082] = {.entry = {.count = 1, .reusable = true}}, SHIFT(423),
  [3084] = {.entry = {.count = 1, .reusable = false}}, SHIFT(598),
  [3086] = {.entry = {.count = 1, .reusable = false}}, SHIFT(600),
  [3088] = {.entry = {.count = 1, .reusable = true}}, SHIFT(333),
  [3090] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1531),
  [3092] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1425),
  [3094] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1340),
  [3096] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1370),
  [3098] = {.entry = {.count = 1, .reusable = true}}, SHIFT(332),
  [3100] = {.entry = {.count = 1, .reusable = false}}, SHIFT(870),
  [3102] = {.entry = {.count = 1, .reusable = false}}, SHIFT(863),
  [3104] = {.entry = {.count = 1, .reusable = true}}, SHIFT(382),
  [3106] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2423),
  [3108] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2500),
  [3110] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1857),
  [3112] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1861),
  [3114] = {.entry = {.count = 1, .reusable = false}}, SHIFT(979),
  [3116] = {.entry = {.count = 1, .reusable = false}}, SHIFT(918),
  [3118] = {.entry = {.count = 1, .reusable = true}}, SHIFT(418),
  [3120] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1372),
  [3122] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1341),
  [3124] = {.entry = {.count = 1, .reusable = true}}, SHIFT(310),
  [3126] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1428),
  [3128] = {.entry = {.count = 1, .reusable = false}}, SHIFT(738),
  [3130] = {.entry = {.count = 1, .reusable = false}}, SHIFT(732),
  [3132] = {.entry = {.count = 1, .reusable = true}}, SHIFT(421),
  [3134] = {.entry = {.count = 1, .reusable = false}}, SHIFT(635),
  [3136] = {.entry = {.count = 1, .reusable = false}}, SHIFT(655),
  [3138] = {.entry = {.count = 1, .reusable = true}}, SHIFT(311),
  [3140] = {.entry = {.count = 4, .reusable = false}}, REDUCE(sym_type, 1, 0, 0), REDUCE(sym_union_type, 1, 0, 0), REDUCE(sym_intersection_type, 1, 0, 0), REDUCE(sym_disjunctive_normal_form_type, 1, -1, 0),
  [3145] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1364),
  [3147] = {.entry = {.count = 4, .reusable = true}}, REDUCE(sym_type, 1, 0, 0), REDUCE(sym_union_type, 1, 0, 0), REDUCE(sym_intersection_type, 1, 0, 0), REDUCE(sym_disjunctive_normal_form_type, 1, -1, 0),
  [3152] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1351),
  [3154] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2269),
  [3156] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1997),
  [3158] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1877),
  [3160] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1878),
  [3162] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_optional_type, 2, 0, 0),
  [3164] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_optional_type, 2, 0, 0),
  [3166] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_primitive_type, 1, 0, 0),
  [3168] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_primitive_type, 1, 0, 0),
  [3170] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__types, 1, 0, 0),
  [3172] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__types, 1, 0, 0),
  [3174] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_disjunctive_normal_form_type, 4, -1, 0),
  [3176] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_disjunctive_normal_form_type, 4, -1, 0),
  [3178] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1355),
  [3180] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_union_type_repeat1, 2, 0, 0),
  [3182] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_union_type_repeat1, 2, 0, 0),
  [3184] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_disjunctive_normal_form_type, 3, -1, 0),
  [3186] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_disjunctive_normal_form_type, 3, -1, 0),
  [3188] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_union_type, 2, 0, 0),
  [3190] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_union_type, 2, 0, 0),
  [3192] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1363),
  [3194] = {.entry = {.count = 1, .reusable = true}}, SHIFT(764),
  [3196] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_intersection_type, 2, 0, 0),
  [3198] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_intersection_type, 2, 0, 0),
  [3200] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_disjunctive_normal_form_type, 2, -1, 0),
  [3202] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_disjunctive_normal_form_type, 2, -1, 0),
  [3204] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_intersection_type_repeat1, 2, 0, 0),
  [3206] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_intersection_type_repeat1, 2, 0, 0),
  [3208] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_union_type_repeat1, 2, 0, 0), REDUCE(aux_sym_disjunctive_normal_form_type_repeat1, 2, 0, 0),
  [3211] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_union_type_repeat1, 2, 0, 0), REDUCE(aux_sym_disjunctive_normal_form_type_repeat1, 2, 0, 0),
  [3214] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_union_type_repeat1, 2, 0, 0), SHIFT_REPEAT(1363),
  [3217] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_intersection_type_repeat1, 2, 0, 0), SHIFT_REPEAT(1364),
  [3220] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_disjunctive_normal_form_type_repeat1, 2, 0, 0),
  [3222] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_disjunctive_normal_form_type_repeat1, 2, 0, 0),
  [3224] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_disjunctive_normal_form_type_repeat1, 2, 0, 0), SHIFT_REPEAT(1355),
  [3227] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_disjunctive_normal_form_type_repeat1, 4, 0, 0),
  [3229] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_disjunctive_normal_form_type_repeat1, 4, 0, 0),
  [3231] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2709),
  [3233] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1610),
  [3235] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1607),
  [3237] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type, 1, 0, 0),
  [3239] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type, 1, 0, 0),
  [3241] = {.entry = {.count = 1, .reusable = true}}, SHIFT(104),
  [3243] = {.entry = {.count = 1, .reusable = true}}, SHIFT(299),
  [3245] = {.entry = {.count = 1, .reusable = true}}, SHIFT(819),
  [3247] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2611),
  [3249] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1600),
  [3251] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1663),
  [3253] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2669),
  [3255] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1598),
  [3257] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1656),
  [3259] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1261),
  [3261] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1519),
  [3263] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1503),
  [3265] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2721),
  [3267] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2300),
  [3269] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_try_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(2721),
  [3272] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_try_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(2300),
  [3275] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1835),
  [3277] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2173),
  [3279] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1264),
  [3281] = {.entry = {.count = 1, .reusable = true}}, SHIFT(685),
  [3283] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2169),
  [3285] = {.entry = {.count = 1, .reusable = true}}, SHIFT(691),
  [3287] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2294),
  [3289] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1359),
  [3291] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1357),
  [3293] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__simple_string_part, 1, 0, 0),
  [3295] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__simple_string_part, 1, 0, 0),
  [3297] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1508),
  [3299] = {.entry = {.count = 1, .reusable = true}}, SHIFT(641),
  [3301] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2091),
  [3303] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1478),
  [3305] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__list_destructing_repeat1, 4, 0, 0),
  [3307] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__simple_string_part, 1, 0, 3),
  [3309] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__simple_string_part, 1, 0, 3),
  [3311] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__complex_string_part, 3, 0, 0),
  [3313] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__complex_string_part, 3, 0, 0),
  [3315] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__simple_string_member_access_expression, 3, 0, 57),
  [3317] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__simple_string_member_access_expression, 3, 0, 57),
  [3319] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__simple_string_subscript_expression, 4, 0, 0),
  [3321] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__simple_string_subscript_expression, 4, 0, 0),
  [3323] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_unset_statement_repeat1, 2, 0, 0),
  [3325] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2527),
  [3327] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2534),
  [3329] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_switch_block_repeat1, 2, 0, 0),
  [3331] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_switch_block_repeat1, 2, 0, 0), SHIFT_REPEAT(317),
  [3334] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_switch_block_repeat1, 2, 0, 0), SHIFT_REPEAT(2401),
  [3337] = {.entry = {.count = 5, .reusable = true}}, REDUCE(sym_type, 1, 0, 0), REDUCE(sym_union_type, 1, 0, 0), REDUCE(sym_intersection_type, 1, 0, 0), REDUCE(sym_disjunctive_normal_form_type, 1, -1, 0), SHIFT(1361),
  [3343] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1348),
  [3345] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__interpolated_string_body_heredoc, 1, 0, 0),
  [3347] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__interpolated_string_body_heredoc, 1, 0, 0),
  [3349] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__array_destructing_element, 3, 0, 0),
  [3351] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__interpolated_string_body_heredoc, 2, 0, 0),
  [3353] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1259),
  [3355] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2343),
  [3357] = {.entry = {.count = 1, .reusable = false}}, SHIFT(110),
  [3359] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2154),
  [3361] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2345),
  [3363] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2365),
  [3365] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__interpolated_string_body, 1, 0, 0),
  [3367] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__interpolated_string_body, 1, 0, 0),
  [3369] = {.entry = {.count = 1, .reusable = true}}, SHIFT(477),
  [3371] = {.entry = {.count = 1, .reusable = true}}, SHIFT(317),
  [3373] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2401),
  [3375] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1996),
  [3377] = {.entry = {.count = 1, .reusable = false}}, SHIFT(776),
  [3379] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2188),
  [3381] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2194),
  [3383] = {.entry = {.count = 1, .reusable = true}}, SHIFT(596),
  [3385] = {.entry = {.count = 1, .reusable = true}}, SHIFT(330),
  [3387] = {.entry = {.count = 1, .reusable = false}}, SHIFT(790),
  [3389] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_statement, 3, 0, 23), SHIFT(2343),
  [3392] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_if_statement, 3, 0, 23), SHIFT(113),
  [3395] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2567),
  [3397] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_statement, 4, 0, 53), SHIFT(2343),
  [3400] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_if_statement, 4, 0, 53), SHIFT(113),
  [3403] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2205),
  [3405] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2208),
  [3407] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2209),
  [3409] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1442),
  [3411] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1982),
  [3413] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1985),
  [3415] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1986),
  [3417] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2740),
  [3419] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1905),
  [3421] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1905),
  [3423] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2740),
  [3425] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__interpolated_string_body, 2, 0, 0),
  [3427] = {.entry = {.count = 1, .reusable = true}}, SHIFT(883),
  [3429] = {.entry = {.count = 1, .reusable = true}}, SHIFT(381),
  [3431] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_string_repeat1, 2, 0, 0),
  [3433] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_string_repeat1, 2, 0, 0), SHIFT_REPEAT(2188),
  [3436] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_string_repeat1, 2, 0, 0), SHIFT_REPEAT(2194),
  [3439] = {.entry = {.count = 1, .reusable = true}}, SHIFT(943),
  [3441] = {.entry = {.count = 1, .reusable = true}}, SHIFT(417),
  [3443] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__interpolated_execution_operator_body, 2, 0, 0),
  [3445] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1534),
  [3447] = {.entry = {.count = 1, .reusable = true}}, SHIFT(420),
  [3449] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1670),
  [3451] = {.entry = {.count = 1, .reusable = true}}, SHIFT(526),
  [3453] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1533),
  [3455] = {.entry = {.count = 1, .reusable = true}}, SHIFT(422),
  [3457] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1671),
  [3459] = {.entry = {.count = 1, .reusable = true}}, SHIFT(729),
  [3461] = {.entry = {.count = 1, .reusable = true}}, SHIFT(424),
  [3463] = {.entry = {.count = 1, .reusable = true}}, SHIFT(815),
  [3465] = {.entry = {.count = 1, .reusable = true}}, SHIFT(425),
  [3467] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1701),
  [3469] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1618),
  [3471] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1523),
  [3473] = {.entry = {.count = 1, .reusable = true}}, SHIFT(426),
  [3475] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1673),
  [3477] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1587),
  [3479] = {.entry = {.count = 1, .reusable = false}}, SHIFT(983),
  [3481] = {.entry = {.count = 5, .reusable = true}}, REDUCE(sym_type, 1, 0, 0), REDUCE(sym_union_type, 1, 0, 0), REDUCE(sym_intersection_type, 1, 0, 0), REDUCE(sym_disjunctive_normal_form_type, 1, -1, 0), SHIFT(1364),
  [3487] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2144),
  [3489] = {.entry = {.count = 1, .reusable = false}}, SHIFT(995),
  [3491] = {.entry = {.count = 1, .reusable = true}}, SHIFT(644),
  [3493] = {.entry = {.count = 1, .reusable = true}}, SHIFT(376),
  [3495] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2172),
  [3497] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__interpolated_execution_operator_body, 1, 0, 0),
  [3499] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__interpolated_execution_operator_body, 1, 0, 0),
  [3501] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_property_hook, 5, 0, 208),
  [3503] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_hook, 5, 0, 208),
  [3505] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_base_clause_repeat1, 2, 0, 0),
  [3507] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_base_clause_repeat1, 2, 0, 0), SHIFT_REPEAT(1508),
  [3510] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__function_definition_header, 4, 0, 42),
  [3512] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1336),
  [3514] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2553),
  [3516] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__anonymous_function_header, 4, 0, 73),
  [3518] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1337),
  [3520] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1346),
  [3522] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1614),
  [3524] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1792),
  [3526] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2695),
  [3528] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_text, 1, 0, 0),
  [3530] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_text, 1, 0, 0),
  [3532] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2115),
  [3534] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1910),
  [3536] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1450),
  [3538] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1327),
  [3540] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2363),
  [3542] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_union_type_repeat1, 2, 0, 0), SHIFT_REPEAT(1360),
  [3545] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_intersection_type_repeat1, 2, 0, 0), SHIFT_REPEAT(1359),
  [3548] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_disjunctive_normal_form_type_repeat1, 2, 0, 0), SHIFT_REPEAT(1346),
  [3551] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__property_hook_body, 3, 0, 6),
  [3553] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__property_hook_body, 3, 0, 6),
  [3555] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_property_hook, 4, 0, 195),
  [3557] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_hook, 4, 0, 195),
  [3559] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__anonymous_function_header, 4, 0, 70),
  [3561] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_promotion_parameter, 4, 0, 122),
  [3563] = {.entry = {.count = 1, .reusable = true}}, SHIFT(303),
  [3565] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_property_hook, 4, 0, 196),
  [3567] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_hook, 4, 0, 196),
  [3569] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_property_hook, 4, 0, 197),
  [3571] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_hook, 4, 0, 197),
  [3573] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_property_hook, 4, 0, 198),
  [3575] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_hook, 4, 0, 198),
  [3577] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_property_hook, 4, 0, 199),
  [3579] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_hook, 4, 0, 199),
  [3581] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_property_hook, 4, 0, 200),
  [3583] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_hook, 4, 0, 200),
  [3585] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2374),
  [3587] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_promotion_parameter, 3, 0, 78),
  [3589] = {.entry = {.count = 1, .reusable = true}}, SHIFT(415),
  [3591] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_property_hook, 2, 0, 153),
  [3593] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_hook, 2, 0, 153),
  [3595] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_property_hook_list_repeat1, 1, 0, 0),
  [3597] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_property_hook_list_repeat1, 1, 0, 0),
  [3599] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__property_hook_body, 1, 0, 154),
  [3601] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__property_hook_body, 1, 0, 154),
  [3603] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__property_hook_body, 1, 0, 0),
  [3605] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__property_hook_body, 1, 0, 0),
  [3607] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_promotion_parameter, 3, 0, 79),
  [3609] = {.entry = {.count = 1, .reusable = true}}, SHIFT(419),
  [3611] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_promotion_parameter, 4, 0, 123),
  [3613] = {.entry = {.count = 1, .reusable = true}}, SHIFT(304),
  [3615] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_promotion_parameter, 5, 0, 157),
  [3617] = {.entry = {.count = 1, .reusable = true}}, SHIFT(368),
  [3619] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_property_hook, 5, 0, 205),
  [3621] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_hook, 5, 0, 205),
  [3623] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_property_hook, 5, 0, 206),
  [3625] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_hook, 5, 0, 206),
  [3627] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_property_hook, 5, 0, 207),
  [3629] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_hook, 5, 0, 207),
  [3631] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1542),
  [3633] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2457),
  [3635] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2337),
  [3637] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_property_hook, 6, 0, 212),
  [3639] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_hook, 6, 0, 212),
  [3641] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_name, 2, 0, 0),
  [3643] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2557),
  [3645] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_promotion_parameter, 3, 0, 84),
  [3647] = {.entry = {.count = 1, .reusable = true}}, SHIFT(429),
  [3649] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_if_statement_repeat2, 2, 0, 96),
  [3651] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_if_statement_repeat2, 2, 0, 96), SHIFT_REPEAT(2345),
  [3654] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_if_statement_repeat2, 2, 0, 96),
  [3656] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_property_declaration_repeat1, 2, 0, 0),
  [3658] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_property_declaration_repeat1, 2, 0, 0), SHIFT_REPEAT(2091),
  [3661] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_text_repeat1, 2, 0, 0),
  [3663] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_text_repeat1, 2, 0, 0),
  [3665] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_text_repeat1, 2, 0, 0), SHIFT_REPEAT(1845),
  [3668] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_text_repeat1, 2, 0, 0), SHIFT_REPEAT(1845),
  [3671] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_formal_parameters, 4, 0, 0),
  [3673] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_text_repeat1, 2, 0, 0), SHIFT_REPEAT(1905),
  [3676] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_text_repeat1, 2, 0, 0), SHIFT_REPEAT(1905),
  [3679] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_union_type_repeat1, 2, 0, 0), SHIFT_REPEAT(1366),
  [3682] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_disjunctive_normal_form_type_repeat1, 2, 0, 0), SHIFT_REPEAT(1350),
  [3685] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__anonymous_function_header, 3, 0, 27),
  [3687] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1350),
  [3689] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_if_statement_repeat1, 2, 0, 96), SHIFT_REPEAT(2343),
  [3692] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1891),
  [3694] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1462),
  [3696] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1463),
  [3698] = {.entry = {.count = 1, .reusable = true}}, SHIFT(245),
  [3700] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_name, 1, 0, 0),
  [3702] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__anonymous_function_header, 3, 0, 32),
  [3704] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1328),
  [3706] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2432),
  [3708] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2442),
  [3710] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_element, 1, 0, 5),
  [3712] = {.entry = {.count = 1, .reusable = true}}, SHIFT(431),
  [3714] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2674),
  [3716] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2487),
  [3718] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_property_hook, 3, 0, 178),
  [3720] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_hook, 3, 0, 178),
  [3722] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__anonymous_function_header, 3, 0, 19),
  [3724] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_property_hook, 3, 0, 179),
  [3726] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_hook, 3, 0, 179),
  [3728] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_formal_parameters, 3, 0, 0),
  [3730] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_property_hook, 3, 0, 180),
  [3732] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_hook, 3, 0, 180),
  [3734] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_promotion_parameter, 2, 0, 38),
  [3736] = {.entry = {.count = 1, .reusable = true}}, SHIFT(334),
  [3738] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2472),
  [3740] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_property_hook, 3, 0, 181),
  [3742] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_hook, 3, 0, 181),
  [3744] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_formal_parameters, 5, 0, 0),
  [3746] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2357),
  [3748] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_formal_parameters, 2, 0, 0),
  [3750] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__anonymous_function_header, 5, 0, 111),
  [3752] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__function_definition_header, 3, 0, 21),
  [3754] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1360),
  [3756] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_name, 3, 0, 0),
  [3758] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__anonymous_function_header, 2, 0, 7),
  [3760] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1366),
  [3762] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2341),
  [3764] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1908),
  [3766] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__anonymous_function_header, 4, 0, 64),
  [3768] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_promotion_parameter, 4, 0, 117),
  [3770] = {.entry = {.count = 1, .reusable = true}}, SHIFT(298),
  [3772] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_namespace_name_repeat1, 2, 0, 0),
  [3774] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_namespace_name_repeat1, 2, 0, 0), SHIFT_REPEAT(2557),
  [3777] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_text_repeat1, 1, 0, 0),
  [3779] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_text_repeat1, 1, 0, 0),
  [3781] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_list_literal, 1, 0, 0),
  [3783] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1983),
  [3785] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_list, 1, 0, 0),
  [3787] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1790),
  [3789] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_intersection_type_repeat1, 2, 0, 0), SHIFT_REPEAT(1361),
  [3792] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_string_content, 1, 0, 0),
  [3794] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_static_variable_declaration, 1, 0, 5),
  [3796] = {.entry = {.count = 1, .reusable = true}}, SHIFT(263),
  [3798] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__array_destructing, 3, 0, 0),
  [3800] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_list, 2, 0, 0),
  [3802] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2116),
  [3804] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1397),
  [3806] = {.entry = {.count = 1, .reusable = true}}, SHIFT(997),
  [3808] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_nowdoc_body_repeat1, 2, 0, 0),
  [3810] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_nowdoc_body_repeat1, 2, 0, 0), SHIFT_REPEAT(2182),
  [3813] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1922),
  [3815] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_switch_block_repeat1, 1, 0, 0),
  [3817] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2043),
  [3819] = {.entry = {.count = 1, .reusable = true}}, SHIFT(795),
  [3821] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__scope_resolution_qualifier, 1, 0, 0),
  [3823] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1460),
  [3825] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1461),
  [3827] = {.entry = {.count = 1, .reusable = true}}, SHIFT(244),
  [3829] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_string_content_repeat1, 2, 0, 0),
  [3831] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_string_content_repeat1, 2, 0, 0), SHIFT_REPEAT(2194),
  [3834] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2070),
  [3836] = {.entry = {.count = 1, .reusable = true}}, SHIFT(823),
  [3838] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__array_destructing, 4, 0, 0),
  [3840] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_function_static_declaration_repeat1, 2, 0, 0),
  [3842] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_function_static_declaration_repeat1, 2, 0, 0), SHIFT_REPEAT(2115),
  [3845] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_use_clause, 1, 0, 0),
  [3847] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2627),
  [3849] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_global_declaration_repeat1, 2, 0, 0),
  [3851] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_global_declaration_repeat1, 2, 0, 0), SHIFT_REPEAT(1910),
  [3854] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_namespace_use_declaration_repeat1, 2, 0, 0),
  [3856] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_namespace_use_declaration_repeat1, 2, 0, 0), SHIFT_REPEAT(1450),
  [3859] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1464),
  [3861] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1465),
  [3863] = {.entry = {.count = 1, .reusable = true}}, SHIFT(249),
  [3865] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2505),
  [3867] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2211),
  [3869] = {.entry = {.count = 1, .reusable = true}}, SHIFT(917),
  [3871] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2526),
  [3873] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1507),
  [3875] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_base_clause, 3, 0, 0),
  [3877] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__const_declaration_repeat1, 2, 0, 0),
  [3879] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__const_declaration_repeat1, 2, 0, 0), SHIFT_REPEAT(1614),
  [3882] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_use_clause, 2, 0, 17),
  [3884] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2551),
  [3886] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1491),
  [3888] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_base_clause_repeat1, 2, 0, 0), SHIFT_REPEAT(1507),
  [3891] = {.entry = {.count = 1, .reusable = true}}, SHIFT(242),
  [3893] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1469),
  [3895] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1470),
  [3897] = {.entry = {.count = 1, .reusable = true}}, SHIFT(250),
  [3899] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_intersection_type, 2, 0, 0), SHIFT(1361),
  [3902] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1481),
  [3904] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1482),
  [3906] = {.entry = {.count = 1, .reusable = true}}, SHIFT(252),
  [3908] = {.entry = {.count = 1, .reusable = true}}, SHIFT(248),
  [3910] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_base_clause, 2, 0, 0),
  [3912] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1492),
  [3914] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_type_list_repeat1, 2, 0, 0),
  [3916] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_type_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1790),
  [3919] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_nowdoc_body, 2, 0, 0),
  [3921] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2182),
  [3923] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1483),
  [3925] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1488),
  [3927] = {.entry = {.count = 1, .reusable = true}}, SHIFT(253),
  [3929] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1484),
  [3931] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1486),
  [3933] = {.entry = {.count = 1, .reusable = true}}, SHIFT(238),
  [3935] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1476),
  [3937] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1455),
  [3939] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_attribute, 1, 0, 0),
  [3941] = {.entry = {.count = 1, .reusable = true}}, SHIFT(688),
  [3943] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__return_type, 2, 0, 43),
  [3945] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__list_destructing_repeat1, 2, 0, 55),
  [3947] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__list_destructing, 4, 0, 0),
  [3949] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__list_destructing, 7, 0, 0),
  [3951] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__list_destructing, 7, 0, 139),
  [3953] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2707),
  [3955] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2716),
  [3957] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1871),
  [3959] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__function_definition_header, 4, 0, 45),
  [3961] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2198),
  [3963] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__list_destructing, 4, 0, 56),
  [3965] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2199),
  [3967] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_simple_parameter, 4, 0, 125),
  [3969] = {.entry = {.count = 1, .reusable = true}}, SHIFT(305),
  [3971] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__list_destructing_repeat1, 2, 0, 0), SHIFT_REPEAT(181),
  [3974] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__array_destructing_element, 1, 0, 10),
  [3976] = {.entry = {.count = 1, .reusable = true}}, SHIFT(179),
  [3978] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1867),
  [3980] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__arrow_function_header, 4, 0, 70),
  [3982] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_interface_clause, 3, 0, 0),
  [3984] = {.entry = {.count = 1, .reusable = true}}, SHIFT(169),
  [3986] = {.entry = {.count = 1, .reusable = true}}, SHIFT(993),
  [3988] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1458),
  [3990] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1374),
  [3992] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_else_if_clause_2, 3, 0, 23),
  [3994] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_else_if_clause_2, 3, 0, 23),
  [3996] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1757),
  [3998] = {.entry = {.count = 1, .reusable = true}}, SHIFT(690),
  [4000] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1638),
  [4002] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1639),
  [4004] = {.entry = {.count = 1, .reusable = true}}, SHIFT(170),
  [4006] = {.entry = {.count = 1, .reusable = true}}, SHIFT(783),
  [4008] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1457),
  [4010] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1343),
  [4012] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__array_destructing_element, 3, 0, 56),
  [4014] = {.entry = {.count = 1, .reusable = true}}, SHIFT(854),
  [4016] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1804),
  [4018] = {.entry = {.count = 1, .reusable = true}}, SHIFT(163),
  [4020] = {.entry = {.count = 1, .reusable = true}}, SHIFT(812),
  [4022] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__arrow_function_header, 4, 0, 73),
  [4024] = {.entry = {.count = 1, .reusable = true}}, SHIFT(164),
  [4026] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1474),
  [4028] = {.entry = {.count = 1, .reusable = true}}, SHIFT(821),
  [4030] = {.entry = {.count = 1, .reusable = true}}, SHIFT(155),
  [4032] = {.entry = {.count = 1, .reusable = true}}, SHIFT(590),
  [4034] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_match_block_repeat1, 2, 0, 0), SHIFT_REPEAT(186),
  [4037] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_match_block_repeat1, 2, 0, 0),
  [4039] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_unset_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(707),
  [4042] = {.entry = {.count = 1, .reusable = true}}, SHIFT(857),
  [4044] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__list_destructing, 3, 0, 0),
  [4046] = {.entry = {.count = 1, .reusable = true}}, SHIFT(168),
  [4048] = {.entry = {.count = 1, .reusable = true}}, SHIFT(176),
  [4050] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1027),
  [4052] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2475),
  [4054] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_use_as_clause, 3, 0, 0),
  [4056] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__anonymous_function_header, 4, 0, 32),
  [4058] = {.entry = {.count = 1, .reusable = true}}, SHIFT(832),
  [4060] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2415),
  [4062] = {.entry = {.count = 1, .reusable = true}}, SHIFT(834),
  [4064] = {.entry = {.count = 1, .reusable = true}}, SHIFT(154),
  [4066] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_match_condition_list_repeat1, 2, 0, 0), SHIFT_REPEAT(340),
  [4069] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2353),
  [4071] = {.entry = {.count = 1, .reusable = true}}, SHIFT(180),
  [4073] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1890),
  [4075] = {.entry = {.count = 1, .reusable = true}}, SHIFT(165),
  [4077] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__array_destructing_repeat1, 2, 0, 0), SHIFT_REPEAT(179),
  [4080] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__array_destructing_repeat1, 2, 0, 0),
  [4082] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1473),
  [4084] = {.entry = {.count = 1, .reusable = true}}, SHIFT(146),
  [4086] = {.entry = {.count = 1, .reusable = true}}, SHIFT(876),
  [4088] = {.entry = {.count = 1, .reusable = true}}, SHIFT(968),
  [4090] = {.entry = {.count = 1, .reusable = true}}, SHIFT(144),
  [4092] = {.entry = {.count = 1, .reusable = true}}, SHIFT(147),
  [4094] = {.entry = {.count = 1, .reusable = true}}, SHIFT(956),
  [4096] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1622),
  [4098] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1623),
  [4100] = {.entry = {.count = 1, .reusable = true}}, SHIFT(145),
  [4102] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_array_creation_expression_repeat1, 2, 0, 0),
  [4104] = {.entry = {.count = 1, .reusable = true}}, SHIFT(152),
  [4106] = {.entry = {.count = 1, .reusable = true}}, SHIFT(746),
  [4108] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1535),
  [4110] = {.entry = {.count = 1, .reusable = true}}, SHIFT(151),
  [4112] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_array_creation_expression_repeat1, 2, 0, 0), SHIFT_REPEAT(175),
  [4115] = {.entry = {.count = 1, .reusable = true}}, SHIFT(149),
  [4117] = {.entry = {.count = 1, .reusable = true}}, SHIFT(801),
  [4119] = {.entry = {.count = 1, .reusable = true}}, SHIFT(173),
  [4121] = {.entry = {.count = 1, .reusable = true}}, SHIFT(150),
  [4123] = {.entry = {.count = 1, .reusable = true}}, SHIFT(904),
  [4125] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1426),
  [4127] = {.entry = {.count = 1, .reusable = true}}, SHIFT(236),
  [4129] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attribute_group_repeat1, 2, 0, 0), SHIFT_REPEAT(1494),
  [4132] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_attribute_group_repeat1, 2, 0, 0),
  [4134] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2542),
  [4136] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2667),
  [4138] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1883),
  [4140] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2437),
  [4142] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__list_destructing, 6, 0, 0),
  [4144] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1965),
  [4146] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__list_destructing, 6, 0, 139),
  [4148] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2647),
  [4150] = {.entry = {.count = 1, .reusable = true}}, SHIFT(153),
  [4152] = {.entry = {.count = 1, .reusable = true}}, SHIFT(627),
  [4154] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1967),
  [4156] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_use_clause, 4, 0, 75),
  [4158] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1433),
  [4160] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2493),
  [4162] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_nowdoc_body_repeat1, 1, 0, 0),
  [4164] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__arrow_function_header, 3, 0, 27),
  [4166] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2440),
  [4168] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_string_repeat1, 1, 0, 0),
  [4170] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_string_repeat1, 1, 0, 0),
  [4172] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2175),
  [4174] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_string_content_repeat1, 1, 0, 0),
  [4176] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_string_content_repeat1, 1, 0, 0),
  [4178] = {.entry = {.count = 1, .reusable = true}}, SHIFT(860),
  [4180] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1843),
  [4182] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__list_destructing, 5, 0, 0),
  [4184] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__list_destructing, 5, 0, 56),
  [4186] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__anonymous_function_header, 6, 0, 111),
  [4188] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_if_statement_repeat2, 1, 0, 51),
  [4190] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_if_statement_repeat2, 1, 0, 51),
  [4192] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__arrow_function_header, 3, 0, 32),
  [4194] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_intersection_type, 2, 0, 0), SHIFT(1364),
  [4197] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__arrow_function_header, 2, 0, 7),
  [4199] = {.entry = {.count = 1, .reusable = true}}, SHIFT(928),
  [4201] = {.entry = {.count = 1, .reusable = true}}, SHIFT(930),
  [4203] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_simple_parameter, 1, 0, 5),
  [4205] = {.entry = {.count = 1, .reusable = true}}, SHIFT(312),
  [4207] = {.entry = {.count = 1, .reusable = true}}, SHIFT(174),
  [4209] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1097),
  [4211] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_arguments_repeat1, 2, 0, 0), SHIFT_REPEAT(159),
  [4214] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_arguments_repeat1, 2, 0, 0),
  [4216] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1537),
  [4218] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_use_clause, 3, 0, 35),
  [4220] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__anonymous_function_header, 3, 0, 7),
  [4222] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_simple_parameter, 2, 0, 37),
  [4224] = {.entry = {.count = 1, .reusable = true}}, SHIFT(331),
  [4226] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__arrow_function_header, 3, 0, 19),
  [4228] = {.entry = {.count = 1, .reusable = true}}, SHIFT(850),
  [4230] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2451),
  [4232] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_simple_parameter, 2, 0, 39),
  [4234] = {.entry = {.count = 1, .reusable = true}}, SHIFT(335),
  [4236] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2467),
  [4238] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_intersection_type, 1, 0, 0),
  [4240] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_formal_parameters_repeat1, 2, 0, 0), SHIFT_REPEAT(872),
  [4243] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_formal_parameters_repeat1, 2, 0, 0),
  [4245] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_simple_parameter, 2, 0, 40),
  [4247] = {.entry = {.count = 1, .reusable = true}}, SHIFT(336),
  [4249] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__anonymous_function_header, 4, 0, 19),
  [4251] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__anonymous_function_header, 5, 0, 64),
  [4253] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_simple_parameter, 3, 0, 81),
  [4255] = {.entry = {.count = 1, .reusable = true}}, SHIFT(427),
  [4257] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__anonymous_function_header, 5, 0, 70),
  [4259] = {.entry = {.count = 1, .reusable = true}}, SHIFT(148),
  [4261] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_anonymous_function_use_clause_repeat1, 2, 0, 0), SHIFT_REPEAT(1937),
  [4264] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_anonymous_function_use_clause_repeat1, 2, 0, 0),
  [4266] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2581),
  [4268] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_simple_parameter, 3, 0, 83),
  [4270] = {.entry = {.count = 1, .reusable = true}}, SHIFT(428),
  [4272] = {.entry = {.count = 1, .reusable = true}}, SHIFT(167),
  [4274] = {.entry = {.count = 1, .reusable = true}}, SHIFT(166),
  [4276] = {.entry = {.count = 1, .reusable = true}}, SHIFT(919),
  [4278] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__anonymous_function_header, 5, 0, 73),
  [4280] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2494),
  [4282] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_simple_parameter, 3, 0, 85),
  [4284] = {.entry = {.count = 1, .reusable = true}}, SHIFT(430),
  [4286] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__arrow_function_header, 5, 0, 111),
  [4288] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_array_creation_expression_repeat1, 2, 0, 0), SHIFT_REPEAT(172),
  [4291] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_namespace_use_declaration_repeat1, 2, 0, 0), SHIFT_REPEAT(1433),
  [4294] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_interface_clause, 2, 0, 0),
  [4296] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2398),
  [4298] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1756),
  [4300] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2329),
  [4302] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__anonymous_function_header, 4, 0, 27),
  [4304] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__arrow_function_header, 4, 0, 64),
  [4306] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__function_definition_header, 5, 0, 88),
  [4308] = {.entry = {.count = 1, .reusable = true}}, SHIFT(314),
  [4310] = {.entry = {.count = 1, .reusable = true}}, SHIFT(300),
  [4312] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2513),
  [4314] = {.entry = {.count = 1, .reusable = true}}, SHIFT(971),
  [4316] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variadic_parameter, 4, 0, 121),
  [4318] = {.entry = {.count = 1, .reusable = true}}, SHIFT(239),
  [4320] = {.entry = {.count = 1, .reusable = true}}, SHIFT(162),
  [4322] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2597),
  [4324] = {.entry = {.count = 1, .reusable = true}}, SHIFT(822),
  [4326] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_namespace_name_repeat1, 2, 0, 0), SHIFT_REPEAT(2706),
  [4329] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_promotion_parameter, 6, 0, 157),
  [4331] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_function_use_clause, 4, 0, 0),
  [4333] = {.entry = {.count = 1, .reusable = true}}, SHIFT(157),
  [4335] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_promotion_parameter, 6, 0, 158),
  [4337] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_promotion_parameter, 7, 0, 182),
  [4339] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_function_use_clause, 6, 0, 0),
  [4341] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_promotion_parameter, 7, 0, 183),
  [4343] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_promotion_parameter, 6, 0, 151),
  [4345] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__list_destructing_repeat1, 4, 0, 138),
  [4347] = {.entry = {.count = 1, .reusable = true}}, SHIFT(101),
  [4349] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1943),
  [4351] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_promotion_parameter, 6, 0, 152),
  [4353] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_use_instead_of_clause, 3, 0, 0),
  [4355] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1933),
  [4357] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2741),
  [4359] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__namespace_use_group, 4, 0, 76),
  [4361] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2538),
  [4363] = {.entry = {.count = 1, .reusable = true}}, SHIFT(830),
  [4365] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variadic_parameter, 3, 0, 77),
  [4367] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1863),
  [4369] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2540),
  [4371] = {.entry = {.count = 1, .reusable = true}}, SHIFT(833),
  [4373] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2511),
  [4375] = {.entry = {.count = 1, .reusable = true}}, SHIFT(925),
  [4377] = {.entry = {.count = 1, .reusable = true}}, SHIFT(161),
  [4379] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variadic_parameter, 4, 0, 119),
  [4381] = {.entry = {.count = 1, .reusable = true}}, SHIFT(109),
  [4383] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_use_group, 4, 0, 0),
  [4385] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_promotion_parameter, 5, 0, 117),
  [4387] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4),
  [4389] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variadic_parameter, 4, 0, 124),
  [4391] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_promotion_parameter, 5, 0, 118),
  [4393] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2524),
  [4395] = {.entry = {.count = 1, .reusable = true}}, SHIFT(929),
  [4397] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2586),
  [4399] = {.entry = {.count = 1, .reusable = true}}, SHIFT(977),
  [4401] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2613),
  [4403] = {.entry = {.count = 1, .reusable = true}}, SHIFT(980),
  [4405] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2593),
  [4407] = {.entry = {.count = 1, .reusable = true}}, SHIFT(839),
  [4409] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2595),
  [4411] = {.entry = {.count = 1, .reusable = true}}, SHIFT(841),
  [4413] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_promotion_parameter, 3, 0, 38),
  [4415] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1912),
  [4417] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__namespace_use_group, 3, 0, 36),
  [4419] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_promotion_parameter, 5, 0, 122),
  [4421] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variadic_parameter, 2, 0, 16),
  [4423] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__array_destructing_element, 3, 0, 0), REDUCE(sym_array_element_initializer, 3, 0, 0),
  [4426] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_promotion_parameter, 5, 0, 123),
  [4428] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variadic_parameter, 3, 0, 80),
  [4430] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variadic_parameter, 5, 0, 159),
  [4432] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_cast_type, 1, 0, 0),
  [4434] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_function_use_clause, 5, 0, 0),
  [4436] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_namespace_name, 3, 0, 0), SHIFT(2706),
  [4439] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variadic_parameter, 3, 0, 82),
  [4441] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__array_destructing_element, 1, 0, 0), REDUCE(sym_array_element_initializer, 1, 0, 0),
  [4444] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_attribute, 2, 0, 7),
  [4446] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_promotion_parameter, 8, 0, 201),
  [4448] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_use_as_clause, 4, 0, 0),
  [4450] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_promotion_parameter, 7, 0, 177),
  [4452] = {.entry = {.count = 1, .reusable = true}}, SHIFT(99),
  [4454] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_use_group, 3, 0, 0),
  [4456] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_promotion_parameter, 4, 0, 78),
  [4458] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_promotion_parameter, 4, 0, 79),
  [4460] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_promotion_parameter, 4, 0, 84),
  [4462] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1380),
  [4464] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2314),
  [4466] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2590),
  [4468] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__simple_string_subscript_unary_expression, 2, 0, 0),
  [4470] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1475),
  [4472] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2184),
  [4474] = {.entry = {.count = 1, .reusable = true}}, SHIFT(976),
  [4476] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1641),
  [4478] = {.entry = {.count = 1, .reusable = true}}, SHIFT(926),
  [4480] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10),
  [4482] = {.entry = {.count = 1, .reusable = true}}, SHIFT(374),
  [4484] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2034),
  [4486] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2438),
  [4488] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2037),
  [4490] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2028),
  [4492] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_foreach_pair, 3, 0, 0),
  [4494] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1479),
  [4496] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1332),
  [4498] = {.entry = {.count = 1, .reusable = true}}, SHIFT(978),
  [4500] = {.entry = {.count = 1, .reusable = true}}, SHIFT(375),
  [4502] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2699),
  [4504] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__simple_string_array_access_argument, 1, 0, 0),
  [4506] = {.entry = {.count = 1, .reusable = true}}, SHIFT(437),
  [4508] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__anonymous_function_header, 7, 0, 175),
  [4510] = {.entry = {.count = 1, .reusable = true}}, SHIFT(237),
  [4512] = {.entry = {.count = 1, .reusable = true}},  ACCEPT_INPUT(),
  [4514] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2301),
  [4516] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__arrow_function_header, 4, 0, 71),
  [4518] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2508),
  [4520] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1536),
  [4522] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1690),
  [4524] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__arrow_function_header, 4, 0, 65),
  [4526] = {.entry = {.count = 1, .reusable = true}}, SHIFT(838),
  [4528] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1540),
  [4530] = {.entry = {.count = 1, .reusable = true}}, SHIFT(840),
  [4532] = {.entry = {.count = 1, .reusable = true}}, SHIFT(698),
  [4534] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1889),
  [4536] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2325),
  [4538] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1916),
  [4540] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1742),
  [4542] = {.entry = {.count = 1, .reusable = true}}, SHIFT(349),
  [4544] = {.entry = {.count = 1, .reusable = true}}, SHIFT(256),
  [4546] = {.entry = {.count = 1, .reusable = true}}, SHIFT(439),
  [4548] = {.entry = {.count = 1, .reusable = true}}, SHIFT(438),
  [4550] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2180),
  [4552] = {.entry = {.count = 1, .reusable = true}}, SHIFT(40),
  [4554] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1903),
  [4556] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1643),
  [4558] = {.entry = {.count = 1, .reusable = true}}, SHIFT(42),
  [4560] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1950),
  [4562] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15),
  [4564] = {.entry = {.count = 1, .reusable = true}}, SHIFT(46),
  [4566] = {.entry = {.count = 1, .reusable = true}}, SHIFT(47),
  [4568] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2162),
  [4570] = {.entry = {.count = 1, .reusable = true}}, SHIFT(49),
  [4572] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1646),
  [4574] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1490),
  [4576] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2697),
  [4578] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1951),
  [4580] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2361),
  [4582] = {.entry = {.count = 1, .reusable = true}}, SHIFT(32),
  [4584] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2212),
  [4586] = {.entry = {.count = 1, .reusable = true}}, SHIFT(700),
  [4588] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1487),
  [4590] = {.entry = {.count = 1, .reusable = true}}, SHIFT(703),
  [4592] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1954),
  [4594] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2650),
  [4596] = {.entry = {.count = 1, .reusable = true}}, SHIFT(201),
  [4598] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__anonymous_function_header, 3, 0, 20),
  [4600] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1923),
  [4602] = {.entry = {.count = 1, .reusable = true}}, SHIFT(222),
  [4604] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2071),
  [4606] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2496),
  [4608] = {.entry = {.count = 1, .reusable = true}}, SHIFT(156),
  [4610] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1653),
  [4612] = {.entry = {.count = 1, .reusable = true}}, SHIFT(23),
  [4614] = {.entry = {.count = 1, .reusable = true}}, SHIFT(24),
  [4616] = {.entry = {.count = 1, .reusable = true}}, SHIFT(996),
  [4618] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2399),
  [4620] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__anonymous_function_header, 4, 0, 71),
  [4622] = {.entry = {.count = 1, .reusable = true}}, SHIFT(709),
  [4624] = {.entry = {.count = 1, .reusable = true}}, SHIFT(712),
  [4626] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1509),
  [4628] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1703),
  [4630] = {.entry = {.count = 1, .reusable = true}}, SHIFT(845),
  [4632] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__anonymous_function_header, 4, 0, 41),
  [4634] = {.entry = {.count = 1, .reusable = true}}, SHIFT(846),
  [4636] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2523),
  [4638] = {.entry = {.count = 1, .reusable = true}}, SHIFT(831),
  [4640] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__anonymous_function_header, 4, 0, 44),
  [4642] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1934),
  [4644] = {.entry = {.count = 1, .reusable = true}}, SHIFT(196),
  [4646] = {.entry = {.count = 1, .reusable = true}}, SHIFT(217),
  [4648] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1627),
  [4650] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__anonymous_function_header, 5, 0, 104),
  [4652] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__anonymous_function_header, 5, 0, 105),
  [4654] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__arrow_function_header, 5, 0, 104),
  [4656] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_declare_directive, 3, 0, 0),
  [4658] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1697),
  [4660] = {.entry = {.count = 1, .reusable = true}}, SHIFT(998),
  [4662] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1874),
  [4664] = {.entry = {.count = 1, .reusable = true}}, SHIFT(208),
  [4666] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__anonymous_function_header, 5, 0, 108),
  [4668] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17),
  [4670] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__anonymous_function_header, 5, 0, 109),
  [4672] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1795),
  [4674] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__arrow_function_header, 3, 0, 20),
  [4676] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1689),
  [4678] = {.entry = {.count = 1, .reusable = true}}, SHIFT(26),
  [4680] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2456),
  [4682] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2108),
  [4684] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1989),
  [4686] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2226),
  [4688] = {.entry = {.count = 1, .reusable = true}}, SHIFT(853),
  [4690] = {.entry = {.count = 1, .reusable = true}}, SHIFT(696),
  [4692] = {.entry = {.count = 1, .reusable = true}}, SHIFT(35),
  [4694] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19),
  [4696] = {.entry = {.count = 1, .reusable = true}}, SHIFT(28),
  [4698] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__anonymous_function_header, 6, 0, 143),
  [4700] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2224),
  [4702] = {.entry = {.count = 1, .reusable = true}}, SHIFT(848),
  [4704] = {.entry = {.count = 1, .reusable = true}}, SHIFT(294),
  [4706] = {.entry = {.count = 1, .reusable = true}}, SHIFT(392),
  [4708] = {.entry = {.count = 1, .reusable = true}}, SHIFT(259),
  [4710] = {.entry = {.count = 1, .reusable = true}}, SHIFT(440),
  [4712] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__anonymous_function_header, 6, 0, 144),
  [4714] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1882),
  [4716] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2644),
  [4718] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2190),
  [4720] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2298),
  [4722] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__anonymous_function_header, 5, 0, 112),
  [4724] = {.entry = {.count = 1, .reusable = true}}, SHIFT(704),
  [4726] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1480),
  [4728] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2708),
  [4730] = {.entry = {.count = 1, .reusable = true}}, SHIFT(41),
  [4732] = {.entry = {.count = 1, .reusable = true}}, SHIFT(695),
  [4734] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2491),
  [4736] = {.entry = {.count = 1, .reusable = true}}, SHIFT(194),
  [4738] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1477),
  [4740] = {.entry = {.count = 1, .reusable = true}}, SHIFT(30),
  [4742] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1702),
  [4744] = {.entry = {.count = 1, .reusable = true}}, SHIFT(706),
  [4746] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1899),
  [4748] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1574),
  [4750] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1919),
  [4752] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2580),
  [4754] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1711),
  [4756] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1676),
  [4758] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1981),
  [4760] = {.entry = {.count = 1, .reusable = true}}, SHIFT(29),
  [4762] = {.entry = {.count = 1, .reusable = true}}, SHIFT(198),
  [4764] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1018),
  [4766] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1642),
  [4768] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1816),
  [4770] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__anonymous_function_header, 5, 0, 87),
  [4772] = {.entry = {.count = 1, .reusable = true}}, SHIFT(206),
  [4774] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__anonymous_function_header, 6, 0, 147),
  [4776] = {.entry = {.count = 1, .reusable = true}}, SHIFT(274),
  [4778] = {.entry = {.count = 1, .reusable = true}}, SHIFT(51),
  [4780] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__arrow_function_header, 5, 0, 112),
  [4782] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14),
  [4784] = {.entry = {.count = 1, .reusable = true}}, SHIFT(36),
  [4786] = {.entry = {.count = 1, .reusable = true}}, SHIFT(37),
  [4788] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__anonymous_function_header, 6, 0, 148),
  [4790] = {.entry = {.count = 1, .reusable = true}}, SHIFT(39),
  [4792] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__arrow_function_header, 6, 0, 147),
  [4794] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1459),
  [4796] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1914),
  [4798] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2347),
  [4800] = {.entry = {.count = 1, .reusable = true}}, SHIFT(441),
  [4802] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1936),
  [4804] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1763),
  [4806] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1724),
  [4808] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1046),
  [4810] = {.entry = {.count = 1, .reusable = true}}, SHIFT(321),
  [4812] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2066),
  [4814] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1897),
  [4816] = {.entry = {.count = 1, .reusable = true}}, SHIFT(177),
  [4818] = {.entry = {.count = 1, .reusable = true}}, SHIFT(205),
  [4820] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1617),
  [4822] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1628),
  [4824] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2643),
  [4826] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1901),
  [4828] = {.entry = {.count = 1, .reusable = true}}, SHIFT(913),
  [4830] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1572),
  [4832] = {.entry = {.count = 1, .reusable = true}}, SHIFT(218),
  [4834] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2142),
  [4836] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__anonymous_function_header, 4, 0, 65),
  [4838] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2570),
  [4840] = {.entry = {.count = 1, .reusable = true}}, SHIFT(209),
  [4842] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_else_clause_2, 2, 0, 6),
  [4844] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1833),
  [4846] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1704),
  [4848] = {.entry = {.count = 1, .reusable = true}}, SHIFT(188),
  [4850] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1539),
  [4852] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1522),
  [4854] = {.entry = {.count = 1, .reusable = true}}, SHIFT(213),
  [4856] = {.entry = {.count = 1, .reusable = true}}, SHIFT(215),
  [4858] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9),
  [4860] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1949),
  [4862] = {.entry = {.count = 1, .reusable = true}}, SHIFT(432),
  [4864] = {.entry = {.count = 1, .reusable = true}}, SHIFT(434),
  [4866] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1529),
  [4868] = {.entry = {.count = 1, .reusable = true}}, SHIFT(220),
  [4870] = {.entry = {.count = 1, .reusable = true}}, SHIFT(433),
  [4872] = {.entry = {.count = 1, .reusable = true}}, SHIFT(189),
  [4874] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__arrow_function_header, 4, 0, 41),
  [4876] = {.entry = {.count = 1, .reusable = true}}, SHIFT(435),
  [4878] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__arrow_function_header, 5, 0, 108),
  [4880] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_text_interpolation, 2, 0, 0),
  [4882] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_text_interpolation, 3, 0, 0),
};

enum ts_external_scanner_symbol_identifiers {
  ts_external_token__automatic_semicolon = 0,
  ts_external_token_encapsed_string_chars = 1,
  ts_external_token_encapsed_string_chars_after_variable = 2,
  ts_external_token_execution_string_chars = 3,
  ts_external_token_execution_string_chars_after_variable = 4,
  ts_external_token_encapsed_string_chars_heredoc = 5,
  ts_external_token_encapsed_string_chars_after_variable_heredoc = 6,
  ts_external_token__eof = 7,
  ts_external_token_heredoc_start = 8,
  ts_external_token_heredoc_end = 9,
  ts_external_token_nowdoc_string = 10,
  ts_external_token_sentinel_error = 11,
};

static const TSSymbol ts_external_scanner_symbol_map[EXTERNAL_TOKEN_COUNT] = {
  [ts_external_token__automatic_semicolon] = sym__automatic_semicolon,
  [ts_external_token_encapsed_string_chars] = sym_encapsed_string_chars,
  [ts_external_token_encapsed_string_chars_after_variable] = sym_encapsed_string_chars_after_variable,
  [ts_external_token_execution_string_chars] = sym_execution_string_chars,
  [ts_external_token_execution_string_chars_after_variable] = sym_execution_string_chars_after_variable,
  [ts_external_token_encapsed_string_chars_heredoc] = sym_encapsed_string_chars_heredoc,
  [ts_external_token_encapsed_string_chars_after_variable_heredoc] = sym_encapsed_string_chars_after_variable_heredoc,
  [ts_external_token__eof] = sym__eof,
  [ts_external_token_heredoc_start] = sym_heredoc_start,
  [ts_external_token_heredoc_end] = sym_heredoc_end,
  [ts_external_token_nowdoc_string] = sym_nowdoc_string,
  [ts_external_token_sentinel_error] = sym_sentinel_error,
};

static const bool ts_external_scanner_states[15][EXTERNAL_TOKEN_COUNT] = {
  [1] = {
    [ts_external_token__automatic_semicolon] = true,
    [ts_external_token_encapsed_string_chars] = true,
    [ts_external_token_encapsed_string_chars_after_variable] = true,
    [ts_external_token_execution_string_chars] = true,
    [ts_external_token_execution_string_chars_after_variable] = true,
    [ts_external_token_encapsed_string_chars_heredoc] = true,
    [ts_external_token_encapsed_string_chars_after_variable_heredoc] = true,
    [ts_external_token__eof] = true,
    [ts_external_token_heredoc_start] = true,
    [ts_external_token_heredoc_end] = true,
    [ts_external_token_nowdoc_string] = true,
    [ts_external_token_sentinel_error] = true,
  },
  [2] = {
    [ts_external_token__automatic_semicolon] = true,
  },
  [3] = {
    [ts_external_token_encapsed_string_chars_heredoc] = true,
    [ts_external_token_heredoc_end] = true,
  },
  [4] = {
    [ts_external_token_encapsed_string_chars_heredoc] = true,
  },
  [5] = {
    [ts_external_token_encapsed_string_chars] = true,
  },
  [6] = {
    [ts_external_token_execution_string_chars] = true,
  },
  [7] = {
    [ts_external_token_encapsed_string_chars_heredoc] = true,
    [ts_external_token_encapsed_string_chars_after_variable_heredoc] = true,
    [ts_external_token_heredoc_end] = true,
  },
  [8] = {
    [ts_external_token_execution_string_chars] = true,
    [ts_external_token_execution_string_chars_after_variable] = true,
  },
  [9] = {
    [ts_external_token_encapsed_string_chars] = true,
    [ts_external_token_encapsed_string_chars_after_variable] = true,
  },
  [10] = {
    [ts_external_token__eof] = true,
  },
  [11] = {
    [ts_external_token_heredoc_end] = true,
  },
  [12] = {
    [ts_external_token_heredoc_end] = true,
    [ts_external_token_nowdoc_string] = true,
  },
  [13] = {
    [ts_external_token_heredoc_start] = true,
  },
  [14] = {
    [ts_external_token_nowdoc_string] = true,
  },
};

#ifdef __cplusplus
extern "C" {
#endif
void *tree_sitter_php_external_scanner_create(void);
void tree_sitter_php_external_scanner_destroy(void *);
bool tree_sitter_php_external_scanner_scan(void *, TSLexer *, const bool *);
unsigned tree_sitter_php_external_scanner_serialize(void *, char *);
void tree_sitter_php_external_scanner_deserialize(void *, const char *, unsigned);

#ifdef TREE_SITTER_HIDE_SYMBOLS
#define TS_PUBLIC
#elif defined(_WIN32)
#define TS_PUBLIC __declspec(dllexport)
#else
#define TS_PUBLIC __attribute__((visibility("default")))
#endif

TS_PUBLIC const TSLanguage *tree_sitter_php(void) {
  static const TSLanguage language = {
    .version = LANGUAGE_VERSION,
    .symbol_count = SYMBOL_COUNT,
    .alias_count = ALIAS_COUNT,
    .token_count = TOKEN_COUNT,
    .external_token_count = EXTERNAL_TOKEN_COUNT,
    .state_count = STATE_COUNT,
    .large_state_count = LARGE_STATE_COUNT,
    .production_id_count = PRODUCTION_ID_COUNT,
    .field_count = FIELD_COUNT,
    .max_alias_sequence_length = MAX_ALIAS_SEQUENCE_LENGTH,
    .parse_table = &ts_parse_table[0][0],
    .small_parse_table = ts_small_parse_table,
    .small_parse_table_map = ts_small_parse_table_map,
    .parse_actions = ts_parse_actions,
    .symbol_names = ts_symbol_names,
    .field_names = ts_field_names,
    .field_map_slices = ts_field_map_slices,
    .field_map_entries = ts_field_map_entries,
    .symbol_metadata = ts_symbol_metadata,
    .public_symbol_map = ts_symbol_map,
    .alias_map = ts_non_terminal_alias_map,
    .alias_sequences = &ts_alias_sequences[0][0],
    .lex_modes = ts_lex_modes,
    .lex_fn = ts_lex,
    .keyword_lex_fn = ts_lex_keywords,
    .keyword_capture_token = sym_name,
    .external_scanner = {
      &ts_external_scanner_states[0][0],
      ts_external_scanner_symbol_map,
      tree_sitter_php_external_scanner_create,
      tree_sitter_php_external_scanner_destroy,
      tree_sitter_php_external_scanner_scan,
      tree_sitter_php_external_scanner_serialize,
      tree_sitter_php_external_scanner_deserialize,
    },
    .primary_state_ids = ts_primary_state_ids,
  };
  return &language;
}
#ifdef __cplusplus
}
#endif
